/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62lvtypezd2nodez12zd2setzd2exzd23453z70zzast_lvtypez00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2var3451za2zzast_lvtypez00(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2closure3424z70zzast_lvtypez00(obj_t,
		BgL_closurez00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set3460za2zzast_lvtypez00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2fail3445z70zzast_lvtypez00(obj_t,
		BgL_failz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2sequenc3426z70zzast_lvtypez00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez123415za2zzast_lvtypez00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex3455za2zzast_lvtypez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	static obj_t BGl_z62lvtypezd2nodez12zd2app3428z70zzast_lvtypez00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2funcall3432z70zzast_lvtypez00(obj_t,
		BgL_funcallz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2conditi3443z70zzast_lvtypez00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2cast3436z70zzast_lvtypez00(obj_t,
		BgL_castz00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2setq3438z70zzast_lvtypez00(obj_t,
		BgL_setqz00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2select3447z70zzast_lvtypez00(obj_t,
		BgL_selectz00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly3430za2zzast_lvtypez00(obj_t,
		BgL_appzd2lyzd2_bglt);
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref3462za2zzast_lvtypez00(obj_t,
		BgL_boxzd2refzd2_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2extern3434z70zzast_lvtypez00(obj_t,
		BgL_externz00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo3458za2zzast_lvtypez00(obj_t,
		BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62lvtypezd2nodez12zd2atom3418z70zzast_lvtypez00(obj_t,
		BgL_atomz00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2var3422z70zzast_lvtypez00(obj_t,
		BgL_varz00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2kwote3420z70zzast_lvtypez00(obj_t,
		BgL_kwotez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun3449za2zzast_lvtypez00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2nodezd2envz00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3631z00, BGl_z62lvtypezd2nodezb0zzast_lvtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3602z00zzast_lvtypez00,
		BgL_bgl_string3602za700za7za7a3632za7, "lvtype-node!3415", 16);
	      DEFINE_STRING(BGl_string3603z00zzast_lvtypez00,
		BgL_bgl_string3603za700za7za7a3633za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3605z00zzast_lvtypez00,
		BgL_bgl_string3605za700za7za7a3634za7, "lvtype-node!", 12);
	      DEFINE_STRING(BGl_string3626z00zzast_lvtypez00,
		BgL_bgl_string3626za700za7za7a3635za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3627z00zzast_lvtypez00,
		BgL_bgl_string3627za700za7za7a3636za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string3628z00zzast_lvtypez00,
		BgL_bgl_string3628za700za7za7a3637za7, "lvtype-node!3415 ", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2astz12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2astza73638za7,
		BGl_z62lvtypezd2astz12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3639z00,
		BGl_z62lvtypezd2nodez12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3601z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3640z00,
		BGl_z62lvtypezd2nodez123415za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3604z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3641z00,
		BGl_z62lvtypezd2nodez12zd2atom3418z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3606z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3642z00,
		BGl_z62lvtypezd2nodez12zd2kwote3420z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3607z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3643z00,
		BGl_z62lvtypezd2nodez12zd2var3422z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3608z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3644z00,
		BGl_z62lvtypezd2nodez12zd2closure3424z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3609z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3645z00,
		BGl_z62lvtypezd2nodez12zd2sequenc3426z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3610z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3646z00,
		BGl_z62lvtypezd2nodez12zd2app3428z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3611z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3647z00,
		BGl_z62lvtypezd2nodez12zd2appzd2ly3430za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3612z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3648z00,
		BGl_z62lvtypezd2nodez12zd2funcall3432z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3613z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3649z00,
		BGl_z62lvtypezd2nodez12zd2extern3434z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3614z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3650z00,
		BGl_z62lvtypezd2nodez12zd2cast3436z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3615z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3651z00,
		BGl_z62lvtypezd2nodez12zd2setq3438z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3616z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3652z00,
		BGl_z62lvtypezd2nodez12zd2conditi3443z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3617z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3653z00,
		BGl_z62lvtypezd2nodez12zd2fail3445z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3618z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3654z00,
		BGl_z62lvtypezd2nodez12zd2select3447z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3619z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3655z00,
		BGl_z62lvtypezd2nodez12zd2letzd2fun3449za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3620z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3656z00,
		BGl_z62lvtypezd2nodez12zd2letzd2var3451za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3621z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3657z00,
		BGl_z62lvtypezd2nodez12zd2setzd2exzd23453z70zzast_lvtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3622z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3658z00,
		BGl_z62lvtypezd2nodez12zd2jumpzd2ex3455za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3623z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3659z00,
		BGl_z62lvtypezd2nodez12zd2makezd2bo3458za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3624z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3660z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2set3460za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3625z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node3661z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2ref3462za2zzast_lvtypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_1751, char *BgL_fromz00_1752)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_genericzd2initzd2zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_1741;

				BgL_cportz00_1741 =
					bgl_open_input_string(BGl_string3628z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1742;

					BgL_iz00_1742 = ((long) 0);
				BgL_loopz00_1743:
					if ((BgL_iz00_1742 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg3630z00_1745;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_1747;

										BgL_locationz00_1747 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg3630z00_1745 =
												BGl_readz00zz__readerz00(BgL_cportz00_1741,
												BgL_locationz00_1747);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_1770;

									BgL_auxz00_1770 = (int) (BgL_iz00_1742);
									CNST_TABLE_SET(BgL_auxz00_1770, BgL_arg3630z00_1745);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_1748;

								BgL_auxz00_1748 = (int) ((BgL_iz00_1742 - ((long) 1)));
								{
									long BgL_iz00_1775;

									BgL_iz00_1775 = (long) (BgL_auxz00_1748);
									BgL_iz00_1742 = BgL_iz00_1775;
									goto BgL_loopz00_1743;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-ast! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t
		BgL_astz00_3)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			{
				obj_t BgL_l3402z00_846;

				BgL_l3402z00_846 = BgL_astz00_3;
			BgL_zc3anonymousza33466ze3z83_847:
				if (PAIRP(BgL_l3402z00_846))
					{	/* Ast/lvtype.scm 32 */
						{	/* Ast/lvtype.scm 33 */
							obj_t BgL_gz00_849;

							BgL_gz00_849 = CAR(BgL_l3402z00_846);
							{	/* Ast/lvtype.scm 33 */
								obj_t BgL_arg3468z00_850;

								{	/* Ast/lvtype.scm 33 */
									BgL_sfunz00_bglt BgL_obj1924z00_1452;

									{	/* Ast/lvtype.scm 33 */
										BgL_variablez00_bglt BgL_obj1612z00_1451;

										BgL_obj1612z00_1451 = ((BgL_variablez00_bglt) BgL_gz00_849);
										BgL_obj1924z00_1452 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1451)))->BgL_valuez00));
									}
									BgL_arg3468z00_850 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj1924z00_1452)))->BgL_bodyz00);
								}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
									((BgL_nodez00_bglt) BgL_arg3468z00_850));
							}
						}
						{
							obj_t BgL_l3402z00_1788;

							BgL_l3402z00_1788 = CDR(BgL_l3402z00_846);
							BgL_l3402z00_846 = BgL_l3402z00_1788;
							goto BgL_zc3anonymousza33466ze3z83_847;
						}
					}
				else
					{	/* Ast/lvtype.scm 32 */
						((bool_t) 1);
					}
			}
			return BgL_astz00_3;
		}
	}



/* &lvtype-ast! */
	obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t BgL_envz00_1568,
		obj_t BgL_astz00_1569)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			return BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_astz00_1569);
		}
	}



/* lvtype-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
				{	/* Ast/lvtype.scm 41 */
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_4);
				}
			else
				{	/* Ast/lvtype.scm 41 */
					BFALSE;
				}
			return BgL_nodez00_4;
		}
	}



/* &lvtype-node */
	BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t BgL_envz00_1570,
		obj_t BgL_nodez00_1571)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return
				BGl_lvtypezd2nodezd2zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_1571));
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 232 */
			{
				obj_t BgL_l3413z00_855;

				BgL_l3413z00_855 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza33471ze3z83_856:
				if (PAIRP(BgL_l3413z00_855))
					{	/* Ast/lvtype.scm 233 */
						{	/* Ast/lvtype.scm 233 */
							obj_t BgL_arg3473z00_858;

							BgL_arg3473z00_858 = CAR(BgL_l3413z00_855);
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
								((BgL_nodez00_bglt) BgL_arg3473z00_858));
						}
						{
							obj_t BgL_l3413z00_1801;

							BgL_l3413z00_1801 = CDR(BgL_l3413z00_855);
							BgL_l3413z00_855 = BgL_l3413z00_1801;
							goto BgL_zc3anonymousza33471ze3z83_856;
						}
					}
				else
					{	/* Ast/lvtype.scm 233 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_28, BgL_typez00_bglt BgL_typez00_29)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 238 */
			{	/* Ast/lvtype.scm 239 */
				obj_t BgL_ntypez00_861;
				BgL_typez00_bglt BgL_otypez00_862;

				if ((((obj_t) BgL_typez00_29) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 239 */
						BgL_ntypez00_861 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 239 */
						BgL_ntypez00_861 = ((obj_t) BgL_typez00_29);
					}
				BgL_otypez00_862 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_variablez00_28)))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_862) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 242 */
						BgL_typez00_bglt BgL_val1610z00_1460;

						BgL_val1610z00_1460 = ((BgL_typez00_bglt) BgL_ntypez00_861);
						return
							((((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_variablez00_28)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_val1610z00_1460), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 241 */
						return BFALSE;
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_proc3601z00zzast_lvtypez00, BGl_nodez00zzast_nodez00,
				BGl_string3602z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!3415 */
	obj_t BGl_z62lvtypezd2nodez123415za2zzast_lvtypez00(obj_t BgL_envz00_1573,
		BgL_nodez00_bglt BgL_nodez00_1574)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 48 */
			{
				BgL_nodez00_bglt BgL_nodez00_1263;

				BgL_nodez00_1263 = BgL_nodez00_1574;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string3603z00zzast_lvtypez00, ((obj_t) BgL_nodez00_1263));
		}}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 48 */
			{	/* Ast/lvtype.scm 48 */
				obj_t BgL_method3416z00_1266;

				{	/* Ast/lvtype.scm 48 */
					obj_t BgL_res3597z00_1489;

					{	/* Ast/lvtype.scm 48 */
						BgL_objectz00_bglt BgL_objz00_1461;

						BgL_objz00_1461 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/lvtype.scm 48 */
							long BgL_objzd2classzd2numz00_1462;

							{	/* Ast/lvtype.scm 48 */
								long BgL_res3591z00_1465;

								BgL_res3591z00_1465 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1461);
								BgL_objzd2classzd2numz00_1462 = BgL_res3591z00_1465;
							}
							{	/* Ast/lvtype.scm 48 */
								obj_t BgL_arg2545z00_1463;

								BgL_arg2545z00_1463 =
									PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
									(int) (((long) 1)));
								{	/* Ast/lvtype.scm 48 */
									obj_t BgL_arrayz00_1466;
									int BgL_offsetz00_1467;

									BgL_arrayz00_1466 = BgL_arg2545z00_1463;
									BgL_offsetz00_1467 = (int) (BgL_objzd2classzd2numz00_1462);
									{	/* Ast/lvtype.scm 48 */
										long BgL_offsetz00_1468;

										BgL_offsetz00_1468 =
											((long) (BgL_offsetz00_1467) - OBJECT_TYPE);
										{	/* Ast/lvtype.scm 48 */
											long BgL_modz00_1469;

											{	/* Ast/lvtype.scm 48 */
												int BgL_arg2547z00_1470;

												BgL_arg2547z00_1470 = (int) (((long) 16));
												{	/* Ast/lvtype.scm 48 */
													long BgL_res3594z00_1480;

													{	/* Ast/lvtype.scm 48 */
														long BgL_auxz00_1827;

														BgL_auxz00_1827 = (long) (BgL_arg2547z00_1470);
														BgL_res3594z00_1480 =
															(BgL_offsetz00_1468 / BgL_auxz00_1827);
													}
													BgL_modz00_1469 = BgL_res3594z00_1480;
											}}
											{	/* Ast/lvtype.scm 48 */
												long BgL_restz00_1471;

												{	/* Ast/lvtype.scm 48 */
													int BgL_arg2546z00_1472;

													BgL_arg2546z00_1472 = (int) (((long) 16));
													{	/* Ast/lvtype.scm 48 */
														long BgL_res3596z00_1484;

														{	/* Ast/lvtype.scm 48 */
															long BgL_auxz00_1831;

															BgL_auxz00_1831 = (long) (BgL_arg2546z00_1472);
															BgL_res3596z00_1484 =
																(BgL_offsetz00_1468 % BgL_auxz00_1831);
														}
														BgL_restz00_1471 = BgL_res3596z00_1484;
												}}
												{	/* Ast/lvtype.scm 48 */

													BgL_res3597z00_1489 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1466,
															(int) (BgL_modz00_1469)),
														(int) (BgL_restz00_1471));
					}}}}}}}}
					BgL_method3416z00_1266 = BgL_res3597z00_1489;
				}
				return
					PROCEDURE_ENTRY(BgL_method3416z00_1266) (BgL_method3416z00_1266,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &lvtype-node! */
	obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t BgL_envz00_1575,
		obj_t BgL_nodez00_1576)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 48 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_1576));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc3604z00zzast_lvtypez00, BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3606z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc3607z00zzast_lvtypez00, BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc3608z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3609z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc3610z00zzast_lvtypez00, BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3611z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3612z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc3613z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc3614z00zzast_lvtypez00, BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc3615z00zzast_lvtypez00, BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3616z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc3617z00zzast_lvtypez00, BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc3618z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3619z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3620z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3621z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3622z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3623z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3624z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3625z00zzast_lvtypez00,
				BGl_string3605z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!-box-ref3462 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref3462za2zzast_lvtypez00(obj_t
		BgL_envz00_1598, BgL_boxzd2refzd2_bglt BgL_nodez00_1599)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 225 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1442;

				BgL_nodez00_1442 = BgL_nodez00_1599;
				{	/* Ast/lvtype.scm 226 */
					BgL_varz00_bglt BgL_arg3588z00_1566;

					BgL_arg3588z00_1566 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1442)))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg3588z00_1566));
				}
			}
		}
	}



/* &lvtype-node!-box-set3460 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set3460za2zzast_lvtypez00(obj_t
		BgL_envz00_1600, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1601)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 217 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1435;

				BgL_nodez00_1435 = BgL_nodez00_1601;
				{	/* Ast/lvtype.scm 219 */
					BgL_varz00_bglt BgL_arg3586z00_1439;

					BgL_arg3586z00_1439 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1435)))->BgL_varz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg3586z00_1439));
				}
				{	/* Ast/lvtype.scm 220 */
					BgL_nodez00_bglt BgL_arg3587z00_1440;

					BgL_arg3587z00_1440 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1435)))->BgL_valuez00);
					return BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3587z00_1440);
				}
			}
		}
	}



/* &lvtype-node!-make-bo3458 */
	obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo3458za2zzast_lvtypez00(obj_t
		BgL_envz00_1602, BgL_makezd2boxzd2_bglt BgL_nodez00_1603)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 210 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1429;

				BgL_nodez00_1429 = BgL_nodez00_1603;
				{	/* Ast/lvtype.scm 211 */
					BgL_nodez00_bglt BgL_arg3585z00_1561;

					BgL_arg3585z00_1561 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1429)))->BgL_valuez00);
					return BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3585z00_1561);
				}
			}
		}
	}



/* &lvtype-node!-jump-ex3455 */
	obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex3455za2zzast_lvtypez00(obj_t
		BgL_envz00_1604, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1605)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 202 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1422;

				BgL_nodez00_1422 = BgL_nodez00_1605;
				{	/* Ast/lvtype.scm 204 */
					BgL_nodez00_bglt BgL_arg3583z00_1426;

					BgL_arg3583z00_1426 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1422)))->BgL_exitz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3583z00_1426);
				}
				{	/* Ast/lvtype.scm 205 */
					BgL_nodez00_bglt BgL_arg3584z00_1427;

					BgL_arg3584z00_1427 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1422)))->BgL_valuez00);
					return BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3584z00_1427);
				}
			}
		}
	}



/* &lvtype-node!-set-ex-3453 */
	obj_t BGl_z62lvtypezd2nodez12zd2setzd2exzd23453z70zzast_lvtypez00(obj_t
		BgL_envz00_1606, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1607)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 194 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1415;

				BgL_nodez00_1415 = BgL_nodez00_1607;
				{	/* Ast/lvtype.scm 196 */
					BgL_nodez00_bglt BgL_arg3581z00_1419;

					BgL_arg3581z00_1419 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1415)))->BgL_bodyz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3581z00_1419);
				}
				{	/* Ast/lvtype.scm 197 */
					BgL_varz00_bglt BgL_arg3582z00_1420;

					BgL_arg3582z00_1420 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1415)))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg3582z00_1420));
				}
			}
		}
	}



/* &lvtype-node!-let-var3451 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2var3451za2zzast_lvtypez00(obj_t
		BgL_envz00_1608, BgL_letzd2varzd2_bglt BgL_nodez00_1609)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 179 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1394;

				BgL_nodez00_1394 = BgL_nodez00_1609;
				{	/* Ast/lvtype.scm 181 */
					obj_t BgL_g3412z00_1398;

					BgL_g3412z00_1398 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1394)))->BgL_bindingsz00);
					{
						obj_t BgL_l3410z00_1400;

						BgL_l3410z00_1400 = BgL_g3412z00_1398;
					BgL_zc3anonymousza33572ze3z83_1401:
						if (PAIRP(BgL_l3410z00_1400))
							{	/* Ast/lvtype.scm 181 */
								{	/* Ast/lvtype.scm 182 */
									obj_t BgL_bindingz00_1403;

									BgL_bindingz00_1403 = CAR(BgL_l3410z00_1400);
									{	/* Ast/lvtype.scm 182 */
										obj_t BgL_varz00_1404;
										obj_t BgL_valz00_1405;

										BgL_varz00_1404 = CAR(BgL_bindingz00_1403);
										BgL_valz00_1405 = CDR(BgL_bindingz00_1403);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
											((BgL_nodez00_bglt) BgL_valz00_1405));
										{	/* Ast/lvtype.scm 185 */
											BgL_typez00_bglt BgL_arg3574z00_1406;

											BgL_arg3574z00_1406 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_valz00_1405));
											BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
												((BgL_variablez00_bglt) BgL_varz00_1404),
												BgL_arg3574z00_1406);
										}
									}
								}
								{
									obj_t BgL_l3410z00_1906;

									BgL_l3410z00_1906 = CDR(BgL_l3410z00_1400);
									BgL_l3410z00_1400 = BgL_l3410z00_1906;
									goto BgL_zc3anonymousza33572ze3z83_1401;
								}
							}
						else
							{	/* Ast/lvtype.scm 181 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 187 */
					BgL_nodez00_bglt BgL_arg3576z00_1409;

					BgL_arg3576z00_1409 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1394)))->BgL_bodyz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3576z00_1409);
				}
				{	/* Ast/lvtype.scm 188 */
					bool_t BgL_testz00_1911;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Ast/lvtype.scm 188 */
							BgL_typez00_bglt BgL_arg3580z00_1413;

							{	/* Ast/lvtype.scm 188 */
								BgL_nodez00_bglt BgL_obj2137z00_1552;

								BgL_obj2137z00_1552 = ((BgL_nodez00_bglt) BgL_nodez00_1394);
								BgL_arg3580z00_1413 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_1552)))->BgL_typez00);
							}
							BgL_testz00_1911 =
								(
								((obj_t) BgL_arg3580z00_1413) == BGl_za2_za2z00zztype_cachez00);
						}
					else
						{	/* Ast/lvtype.scm 188 */
							BgL_testz00_1911 = ((bool_t) 0);
						}
					if (BgL_testz00_1911)
						{	/* Ast/lvtype.scm 189 */
							BgL_typez00_bglt BgL_arg3578z00_1411;

							{	/* Ast/lvtype.scm 189 */
								BgL_nodez00_bglt BgL_arg3579z00_1412;

								BgL_arg3579z00_1412 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1394)))->BgL_bodyz00);
								BgL_arg3578z00_1411 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg3579z00_1412);
							}
							{	/* Ast/lvtype.scm 189 */
								BgL_nodez00_bglt BgL_obj2139z00_1554;

								BgL_obj2139z00_1554 = ((BgL_nodez00_bglt) BgL_nodez00_1394);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_1554)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg3578z00_1411), BUNSPEC);
							}
						}
					else
						{	/* Ast/lvtype.scm 188 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-let-fun3449 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun3449za2zzast_lvtypez00(obj_t
		BgL_envz00_1610, BgL_letzd2funzd2_bglt BgL_nodez00_1611)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 167 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1374;

				BgL_nodez00_1374 = BgL_nodez00_1611;
				{	/* Ast/lvtype.scm 169 */
					obj_t BgL_g3409z00_1378;

					BgL_g3409z00_1378 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1374)))->BgL_localsz00);
					{
						obj_t BgL_l3407z00_1380;

						BgL_l3407z00_1380 = BgL_g3409z00_1378;
					BgL_zc3anonymousza33561ze3z83_1381:
						if (PAIRP(BgL_l3407z00_1380))
							{	/* Ast/lvtype.scm 169 */
								{	/* Ast/lvtype.scm 170 */
									obj_t BgL_localz00_1383;

									BgL_localz00_1383 = CAR(BgL_l3407z00_1380);
									{	/* Ast/lvtype.scm 170 */
										obj_t BgL_arg3563z00_1384;

										{	/* Ast/lvtype.scm 170 */
											BgL_sfunz00_bglt BgL_obj1924z00_1537;

											{	/* Ast/lvtype.scm 170 */
												BgL_variablez00_bglt BgL_obj1612z00_1536;

												BgL_obj1612z00_1536 =
													((BgL_variablez00_bglt) BgL_localz00_1383);
												BgL_obj1924z00_1537 =
													((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1536)))->BgL_valuez00));
											}
											BgL_arg3563z00_1384 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1924z00_1537)))->BgL_bodyz00);
										}
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
											((BgL_nodez00_bglt) BgL_arg3563z00_1384));
									}
								}
								{
									obj_t BgL_l3407z00_1938;

									BgL_l3407z00_1938 = CDR(BgL_l3407z00_1380);
									BgL_l3407z00_1380 = BgL_l3407z00_1938;
									goto BgL_zc3anonymousza33561ze3z83_1381;
								}
							}
						else
							{	/* Ast/lvtype.scm 169 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 172 */
					BgL_nodez00_bglt BgL_arg3567z00_1388;

					BgL_arg3567z00_1388 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1374)))->BgL_bodyz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3567z00_1388);
				}
				{	/* Ast/lvtype.scm 173 */
					bool_t BgL_testz00_1943;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Ast/lvtype.scm 173 */
							BgL_typez00_bglt BgL_arg3571z00_1392;

							{	/* Ast/lvtype.scm 173 */
								BgL_nodez00_bglt BgL_obj2137z00_1540;

								BgL_obj2137z00_1540 = ((BgL_nodez00_bglt) BgL_nodez00_1374);
								BgL_arg3571z00_1392 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_1540)))->BgL_typez00);
							}
							BgL_testz00_1943 =
								(
								((obj_t) BgL_arg3571z00_1392) == BGl_za2_za2z00zztype_cachez00);
						}
					else
						{	/* Ast/lvtype.scm 173 */
							BgL_testz00_1943 = ((bool_t) 0);
						}
					if (BgL_testz00_1943)
						{	/* Ast/lvtype.scm 174 */
							BgL_typez00_bglt BgL_arg3569z00_1390;

							{	/* Ast/lvtype.scm 174 */
								BgL_nodez00_bglt BgL_arg3570z00_1391;

								BgL_arg3570z00_1391 =
									(((BgL_letzd2funzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1374)))->BgL_bodyz00);
								BgL_arg3569z00_1390 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg3570z00_1391);
							}
							{	/* Ast/lvtype.scm 174 */
								BgL_nodez00_bglt BgL_obj2139z00_1542;

								BgL_obj2139z00_1542 = ((BgL_nodez00_bglt) BgL_nodez00_1374);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_1542)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg3569z00_1390), BUNSPEC);
							}
						}
					else
						{	/* Ast/lvtype.scm 173 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-select3447 */
	obj_t BGl_z62lvtypezd2nodez12zd2select3447z70zzast_lvtypez00(obj_t
		BgL_envz00_1612, BgL_selectz00_bglt BgL_nodez00_1613)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 157 */
			{
				BgL_selectz00_bglt BgL_nodez00_1359;

				BgL_nodez00_1359 = BgL_nodez00_1613;
				{	/* Ast/lvtype.scm 159 */
					BgL_nodez00_bglt BgL_arg3556z00_1363;

					BgL_arg3556z00_1363 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1359)))->BgL_testz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3556z00_1363);
				}
				{	/* Ast/lvtype.scm 160 */
					obj_t BgL_g3406z00_1364;

					BgL_g3406z00_1364 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1359)))->BgL_clausesz00);
					{
						obj_t BgL_l3404z00_1366;

						{	/* Ast/lvtype.scm 160 */
							bool_t BgL_auxz00_1962;

							BgL_l3404z00_1366 = BgL_g3406z00_1364;
						BgL_zc3anonymousza33557ze3z83_1367:
							if (PAIRP(BgL_l3404z00_1366))
								{	/* Ast/lvtype.scm 160 */
									{	/* Ast/lvtype.scm 161 */
										obj_t BgL_clausez00_1369;

										BgL_clausez00_1369 = CAR(BgL_l3404z00_1366);
										{	/* Ast/lvtype.scm 161 */
											obj_t BgL_arg3559z00_1370;

											BgL_arg3559z00_1370 = CDR(BgL_clausez00_1369);
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
												((BgL_nodez00_bglt) BgL_arg3559z00_1370));
										}
									}
									{
										obj_t BgL_l3404z00_1969;

										BgL_l3404z00_1969 = CDR(BgL_l3404z00_1366);
										BgL_l3404z00_1366 = BgL_l3404z00_1969;
										goto BgL_zc3anonymousza33557ze3z83_1367;
									}
								}
							else
								{	/* Ast/lvtype.scm 160 */
									BgL_auxz00_1962 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_1962);
						}
					}
				}
			}
		}
	}



/* &lvtype-node!-fail3445 */
	obj_t BGl_z62lvtypezd2nodez12zd2fail3445z70zzast_lvtypez00(obj_t
		BgL_envz00_1614, BgL_failz00_bglt BgL_nodez00_1615)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 148 */
			{
				BgL_failz00_bglt BgL_nodez00_1351;

				BgL_nodez00_1351 = BgL_nodez00_1615;
				{	/* Ast/lvtype.scm 150 */
					BgL_nodez00_bglt BgL_arg3553z00_1355;

					BgL_arg3553z00_1355 =
						(((BgL_failz00_bglt) CREF(
								((obj_t) BgL_nodez00_1351)))->BgL_procz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3553z00_1355);
				}
				{	/* Ast/lvtype.scm 151 */
					BgL_nodez00_bglt BgL_arg3554z00_1356;

					BgL_arg3554z00_1356 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1351)))->BgL_msgz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3554z00_1356);
				}
				{	/* Ast/lvtype.scm 152 */
					BgL_nodez00_bglt BgL_arg3555z00_1357;

					BgL_arg3555z00_1357 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1351)))->BgL_objz00);
					return BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3555z00_1357);
				}
			}
		}
	}



/* &lvtype-node!-conditi3443 */
	obj_t BGl_z62lvtypezd2nodez12zd2conditi3443z70zzast_lvtypez00(obj_t
		BgL_envz00_1616, BgL_conditionalz00_bglt BgL_nodez00_1617)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 137 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1340;

				BgL_nodez00_1340 = BgL_nodez00_1617;
				{	/* Ast/lvtype.scm 139 */
					BgL_nodez00_bglt BgL_arg3547z00_1344;

					BgL_arg3547z00_1344 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1340)))->BgL_testz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3547z00_1344);
				}
				{	/* Ast/lvtype.scm 140 */
					BgL_nodez00_bglt BgL_arg3548z00_1345;

					BgL_arg3548z00_1345 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1340)))->BgL_truez00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3548z00_1345);
				}
				{	/* Ast/lvtype.scm 141 */
					BgL_nodez00_bglt BgL_arg3549z00_1346;

					BgL_arg3549z00_1346 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1340)))->BgL_falsez00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3549z00_1346);
				}
				{	/* Ast/lvtype.scm 142 */
					bool_t BgL_testz00_1990;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Ast/lvtype.scm 142 */
							BgL_typez00_bglt BgL_arg3552z00_1349;

							{	/* Ast/lvtype.scm 142 */
								BgL_nodez00_bglt BgL_obj2137z00_1519;

								BgL_obj2137z00_1519 = ((BgL_nodez00_bglt) BgL_nodez00_1340);
								BgL_arg3552z00_1349 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_1519)))->BgL_typez00);
							}
							BgL_testz00_1990 =
								(
								((obj_t) BgL_arg3552z00_1349) == BGl_za2_za2z00zztype_cachez00);
						}
					else
						{	/* Ast/lvtype.scm 142 */
							BgL_testz00_1990 = ((bool_t) 0);
						}
					if (BgL_testz00_1990)
						{	/* Ast/lvtype.scm 143 */
							BgL_typez00_bglt BgL_arg3551z00_1348;

							BgL_arg3551z00_1348 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_nodez00_1340));
							{	/* Ast/lvtype.scm 143 */
								BgL_nodez00_bglt BgL_obj2139z00_1520;

								BgL_obj2139z00_1520 = ((BgL_nodez00_bglt) BgL_nodez00_1340);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_1520)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg3551z00_1348), BUNSPEC);
							}
						}
					else
						{	/* Ast/lvtype.scm 142 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-setq3438 */
	obj_t BGl_z62lvtypezd2nodez12zd2setq3438z70zzast_lvtypez00(obj_t
		BgL_envz00_1618, BgL_setqz00_bglt BgL_nodez00_1619)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 129 */
			{
				BgL_setqz00_bglt BgL_nodez00_1333;

				BgL_nodez00_1333 = BgL_nodez00_1619;
				{	/* Ast/lvtype.scm 131 */
					BgL_nodez00_bglt BgL_arg3545z00_1337;

					BgL_arg3545z00_1337 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1333)))->BgL_valuez00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3545z00_1337);
				}
				{	/* Ast/lvtype.scm 132 */
					BgL_varz00_bglt BgL_arg3546z00_1338;

					BgL_arg3546z00_1338 =
						(((BgL_setqz00_bglt) CREF(((obj_t) BgL_nodez00_1333)))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg3546z00_1338));
				}
			}
		}
	}



/* &lvtype-node!-cast3436 */
	obj_t BGl_z62lvtypezd2nodez12zd2cast3436z70zzast_lvtypez00(obj_t
		BgL_envz00_1620, BgL_castz00_bglt BgL_nodez00_1621)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 122 */
			{
				BgL_castz00_bglt BgL_nodez00_1327;

				BgL_nodez00_1327 = BgL_nodez00_1621;
				{	/* Ast/lvtype.scm 123 */
					BgL_nodez00_bglt BgL_arg3544z00_1512;

					BgL_arg3544z00_1512 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1327)))->BgL_argz00);
					return BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3544z00_1512);
				}
			}
		}
	}



/* &lvtype-node!-extern3434 */
	obj_t BGl_z62lvtypezd2nodez12zd2extern3434z70zzast_lvtypez00(obj_t
		BgL_envz00_1622, BgL_externz00_bglt BgL_nodez00_1623)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 115 */
			{
				BgL_externz00_bglt BgL_nodez00_1321;

				BgL_nodez00_1321 = BgL_nodez00_1623;
				{	/* Ast/lvtype.scm 116 */
					obj_t BgL_arg3543z00_1509;

					BgL_arg3543z00_1509 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1321)))->BgL_exprza2za2);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg3543z00_1509));
				}
			}
		}
	}



/* &lvtype-node!-funcall3432 */
	obj_t BGl_z62lvtypezd2nodez12zd2funcall3432z70zzast_lvtypez00(obj_t
		BgL_envz00_1624, BgL_funcallz00_bglt BgL_nodez00_1625)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 107 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1314;

				BgL_nodez00_1314 = BgL_nodez00_1625;
				{	/* Ast/lvtype.scm 109 */
					BgL_nodez00_bglt BgL_arg3541z00_1318;

					BgL_arg3541z00_1318 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1314)))->BgL_funz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3541z00_1318);
				}
				{	/* Ast/lvtype.scm 110 */
					obj_t BgL_arg3542z00_1319;

					BgL_arg3542z00_1319 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1314)))->BgL_argsz00);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg3542z00_1319));
				}
			}
		}
	}



/* &lvtype-node!-app-ly3430 */
	obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly3430za2zzast_lvtypez00(obj_t
		BgL_envz00_1626, BgL_appzd2lyzd2_bglt BgL_nodez00_1627)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 99 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1307;

				BgL_nodez00_1307 = BgL_nodez00_1627;
				{	/* Ast/lvtype.scm 101 */
					BgL_nodez00_bglt BgL_arg3539z00_1311;

					BgL_arg3539z00_1311 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1307)))->BgL_funz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3539z00_1311);
				}
				{	/* Ast/lvtype.scm 102 */
					BgL_nodez00_bglt BgL_arg3540z00_1312;

					BgL_arg3540z00_1312 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1307)))->BgL_argz00);
					return BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_arg3540z00_1312);
				}
			}
		}
	}



/* &lvtype-node!-app3428 */
	obj_t BGl_z62lvtypezd2nodez12zd2app3428z70zzast_lvtypez00(obj_t
		BgL_envz00_1628, BgL_appz00_bglt BgL_nodez00_1629)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 90 */
			{
				BgL_appz00_bglt BgL_nodez00_1298;

				BgL_nodez00_1298 = BgL_nodez00_1629;
				{	/* Ast/lvtype.scm 92 */
					obj_t BgL_arg3535z00_1302;

					BgL_arg3535z00_1302 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1298)))->BgL_argsz00);
					BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3535z00_1302);
				}
				{	/* Ast/lvtype.scm 93 */
					bool_t BgL_testz00_2033;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Ast/lvtype.scm 93 */
							BgL_typez00_bglt BgL_arg3538z00_1305;

							{	/* Ast/lvtype.scm 93 */
								BgL_nodez00_bglt BgL_obj2137z00_1501;

								BgL_obj2137z00_1501 = ((BgL_nodez00_bglt) BgL_nodez00_1298);
								BgL_arg3538z00_1305 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_1501)))->BgL_typez00);
							}
							BgL_testz00_2033 =
								(
								((obj_t) BgL_arg3538z00_1305) == BGl_za2_za2z00zztype_cachez00);
						}
					else
						{	/* Ast/lvtype.scm 93 */
							BgL_testz00_2033 = ((bool_t) 0);
						}
					if (BgL_testz00_2033)
						{	/* Ast/lvtype.scm 94 */
							BgL_typez00_bglt BgL_arg3537z00_1304;

							BgL_arg3537z00_1304 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_nodez00_1298));
							{	/* Ast/lvtype.scm 94 */
								BgL_nodez00_bglt BgL_obj2139z00_1502;

								BgL_obj2139z00_1502 = ((BgL_nodez00_bglt) BgL_nodez00_1298);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_1502)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg3537z00_1304), BUNSPEC);
							}
						}
					else
						{	/* Ast/lvtype.scm 93 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-sequenc3426 */
	obj_t BGl_z62lvtypezd2nodez12zd2sequenc3426z70zzast_lvtypez00(obj_t
		BgL_envz00_1630, BgL_sequencez00_bglt BgL_nodez00_1631)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 81 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1289;

				BgL_nodez00_1289 = BgL_nodez00_1631;
				{	/* Ast/lvtype.scm 83 */
					obj_t BgL_arg3531z00_1293;

					BgL_arg3531z00_1293 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1289)))->BgL_nodesz00);
					BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3531z00_1293);
				}
				{	/* Ast/lvtype.scm 84 */
					bool_t BgL_testz00_2049;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Ast/lvtype.scm 84 */
							BgL_typez00_bglt BgL_arg3534z00_1296;

							{	/* Ast/lvtype.scm 84 */
								BgL_nodez00_bglt BgL_obj2137z00_1497;

								BgL_obj2137z00_1497 = ((BgL_nodez00_bglt) BgL_nodez00_1289);
								BgL_arg3534z00_1296 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_1497)))->BgL_typez00);
							}
							BgL_testz00_2049 =
								(
								((obj_t) BgL_arg3534z00_1296) == BGl_za2_za2z00zztype_cachez00);
						}
					else
						{	/* Ast/lvtype.scm 84 */
							BgL_testz00_2049 = ((bool_t) 0);
						}
					if (BgL_testz00_2049)
						{	/* Ast/lvtype.scm 85 */
							BgL_typez00_bglt BgL_arg3533z00_1295;

							BgL_arg3533z00_1295 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_nodez00_1289));
							{	/* Ast/lvtype.scm 85 */
								BgL_nodez00_bglt BgL_obj2139z00_1498;

								BgL_obj2139z00_1498 = ((BgL_nodez00_bglt) BgL_nodez00_1289);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_1498)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg3533z00_1295), BUNSPEC);
							}
						}
					else
						{	/* Ast/lvtype.scm 84 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-closure3424 */
	obj_t BGl_z62lvtypezd2nodez12zd2closure3424z70zzast_lvtypez00(obj_t
		BgL_envz00_1632, BgL_closurez00_bglt BgL_nodez00_1633)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 75 */
			{
				BgL_closurez00_bglt BgL_nodez00_1284;

				BgL_nodez00_1284 = BgL_nodez00_1633;
				{	/* Ast/lvtype.scm 76 */
					obj_t BgL_arg3530z00_1495;

					BgL_arg3530z00_1495 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1284));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3605z00zzast_lvtypez00, BGl_string3626z00zzast_lvtypez00,
						BgL_arg3530z00_1495);
				}
			}
		}
	}



/* &lvtype-node!-var3422 */
	obj_t BGl_z62lvtypezd2nodez12zd2var3422z70zzast_lvtypez00(obj_t
		BgL_envz00_1634, BgL_varz00_bglt BgL_nodez00_1635)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 65 */
			{
				BgL_varz00_bglt BgL_nodez00_1275;

				BgL_nodez00_1275 = BgL_nodez00_1635;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Ast/lvtype.scm 68 */
						bool_t BgL_testz00_2067;

						{	/* Ast/lvtype.scm 68 */
							BgL_typez00_bglt BgL_arg3529z00_1282;

							{	/* Ast/lvtype.scm 68 */
								BgL_nodez00_bglt BgL_obj2137z00_1490;

								BgL_obj2137z00_1490 = ((BgL_nodez00_bglt) BgL_nodez00_1275);
								BgL_arg3529z00_1282 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_1490)))->BgL_typez00);
							}
							BgL_testz00_2067 =
								(
								((obj_t) BgL_arg3529z00_1282) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2067)
							{	/* Ast/lvtype.scm 69 */
								BgL_typez00_bglt BgL_arg3527z00_1280;

								{	/* Ast/lvtype.scm 69 */
									BgL_variablez00_bglt BgL_obj1609z00_1492;

									BgL_obj1609z00_1492 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_nodez00_1275)))->BgL_variablez00);
									BgL_arg3527z00_1280 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1609z00_1492)))->BgL_typez00);
								}
								{	/* Ast/lvtype.scm 69 */
									BgL_nodez00_bglt BgL_obj2139z00_1493;

									BgL_obj2139z00_1493 = ((BgL_nodez00_bglt) BgL_nodez00_1275);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2139z00_1493)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3527z00_1280), BUNSPEC);
								}
							}
						else
							{	/* Ast/lvtype.scm 68 */
								BFALSE;
							}
					}
				else
					{	/* Ast/lvtype.scm 66 */
						BFALSE;
					}
				return ((obj_t) BgL_nodez00_1275);
			}
		}
	}



/* &lvtype-node!-kwote3420 */
	obj_t BGl_z62lvtypezd2nodez12zd2kwote3420z70zzast_lvtypez00(obj_t
		BgL_envz00_1636, BgL_kwotez00_bglt BgL_nodez00_1637)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 59 */
			return ((obj_t) BgL_nodez00_1637);
		}
	}



/* &lvtype-node!-atom3418 */
	obj_t BGl_z62lvtypezd2nodez12zd2atom3418z70zzast_lvtypez00(obj_t
		BgL_envz00_1638, BgL_atomz00_bglt BgL_nodez00_1639)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 53 */
			return ((obj_t) BgL_nodez00_1639);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3627z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
