/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz123600z70zzast_envz00(obj_t,
		BgL_cfunz00_bglt);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_z62zc3anonymousza33605ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33736ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz123589z70zzast_envz00(obj_t,
		BgL_valuez00_bglt);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz123593z70zzast_envz00(obj_t,
		BgL_funz00_bglt);
	static obj_t BGl_z62restorezd2valuezd2typesz123596z70zzast_envz00(obj_t,
		BgL_sfunz00_bglt);
	static obj_t BGl_z62restorezd2valuezd2typesz123598z70zzast_envz00(obj_t,
		BgL_isfunz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7123897za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global3898z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob3899z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck3900z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza73901za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b03902za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3875z00zzast_envz00,
		BgL_bgl_string3875za700za7za7a3903za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3876z00zzast_envz00,
		BgL_bgl_string3876za700za7za7a3904za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string3877z00zzast_envz00,
		BgL_bgl_string3877za700za7za7a3905za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string3878z00zzast_envz00,
		BgL_bgl_string3878za700za7za7a3906za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string3879z00zzast_envz00,
		BgL_bgl_string3879za700za7za7a3907za7, "eval", 4);
	      DEFINE_STRING(BGl_string3880z00zzast_envz00,
		BgL_bgl_string3880za700za7za7a3908za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string3881z00zzast_envz00,
		BgL_bgl_string3881za700za7za7a3909za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string3883z00zzast_envz00,
		BgL_bgl_string3883za700za7za7a3910za7, "restore-value-types!3589", 24);
	      DEFINE_STRING(BGl_string3885z00zzast_envz00,
		BgL_bgl_string3885za700za7za7a3911za7, "restore-value-types!", 20);
	      DEFINE_STRING(BGl_string3889z00zzast_envz00,
		BgL_bgl_string3889za700za7za7a3912za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string3890z00zzast_envz00,
		BgL_bgl_string3890za700za7za7a3913za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3891z00zzast_envz00,
		BgL_bgl_string3891za700za7za7a3914za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string3892z00zzast_envz00,
		BgL_bgl_string3892za700za7za7a3915za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string3893z00zzast_envz00,
		BgL_bgl_string3893za700za7za7a3916za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string3894z00zzast_envz00,
		BgL_bgl_string3894za700za7za7a3917za7,
		"now read eval @ get-global/module foreign the-global-environment ", 65);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res3918z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d23919z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7123920za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global3921z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza73922za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val3923z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d23924za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global3925z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3874z00zzast_envz00,
		BgL_bgl_za762za7c3anonymousza73926za7,
		BGl_z62zc3anonymousza33605ze3ze1zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val3927z00,
		BGl_z62restorezd2valuezd2typesz123589z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val3928z00,
		BGl_z62restorezd2valuezd2typesz123593z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3886z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val3929z00,
		BGl_z62restorezd2valuezd2typesz123596z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3887z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val3930z00,
		BGl_z62restorezd2valuezd2typesz123598z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3888z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val3931z00,
		BGl_z62restorezd2valuezd2typesz123600z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo3932z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2032, char *BgL_fromz00_2033)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2023;

				BgL_cportz00_2023 =
					bgl_open_input_string(BGl_string3894z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2024;

					BgL_iz00_2024 = ((long) 6);
				BgL_loopz00_2025:
					if ((BgL_iz00_2024 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg3896z00_2027;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2029;

										BgL_locationz00_2029 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg3896z00_2027 =
												BGl_readz00zz__readerz00(BgL_cportz00_2023,
												BgL_locationz00_2029);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_2056;

									BgL_auxz00_2056 = (int) (BgL_iz00_2024);
									CNST_TABLE_SET(BgL_auxz00_2056, BgL_arg3896z00_2027);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2030;

								BgL_auxz00_2030 = (int) ((BgL_iz00_2024 - ((long) 1)));
								{
									long BgL_iz00_2061;

									BgL_iz00_2061 = (long) (BgL_auxz00_2030);
									BgL_iz00_2024 = BgL_iz00_2061;
									goto BgL_loopz00_2025;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}
	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_1860,
		obj_t BgL_genvz00_1861)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_1861);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc3874z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_1863,
		obj_t BgL_genvz00_1864)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_1864);
		}
	}



/* &<anonymous:3605> */
	obj_t BGl_z62zc3anonymousza33605ze3ze1zzast_envz00(obj_t BgL_envz00_1865,
		obj_t BgL_kz00_1866, obj_t BgL_bucketz00_1867)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_960;
				obj_t BgL_bucketz00_961;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_2067;

					BgL_kz00_960 = BgL_kz00_1866;
					BgL_bucketz00_961 = BgL_bucketz00_1867;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g3582z00_963;

						BgL_g3582z00_963 = CDR(BgL_bucketz00_961);
						{
							obj_t BgL_l3580z00_965;

							BgL_l3580z00_965 = BgL_g3582z00_963;
						BgL_zc3anonymousza33606ze3z83_966:
							if (PAIRP(BgL_l3580z00_965))
								{	/* Ast/venv.scm 87 */
									{	/* Ast/venv.scm 68 */
										obj_t BgL_newz00_968;

										BgL_newz00_968 = CAR(BgL_l3580z00_965);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_968,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_969;

											{	/* Ast/venv.scm 69 */
												BgL_globalz00_bglt BgL_obj1698z00_1641;

												BgL_obj1698z00_1641 =
													((BgL_globalz00_bglt) BgL_newz00_968);
												BgL_modulez00_969 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1698z00_1641)))->BgL_modulez00);
											}
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_970;

												{	/* Ast/venv.scm 70 */
													BgL_variablez00_bglt BgL_obj1605z00_1642;

													BgL_obj1605z00_1642 =
														((BgL_variablez00_bglt) BgL_newz00_968);
													BgL_idz00_970 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1605z00_1642)))->BgL_idz00);
												}
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_971;

													BgL_bucketz00_971 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_970);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_971))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_2082;

																if (
																	(BgL_modulez00_969 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_2082 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_2085;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg3617z00_981;

																			{	/* Ast/venv.scm 77 */
																				BgL_globalz00_bglt BgL_obj1698z00_1649;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_1648;

																					BgL_pairz00_1648 =
																						CDR(BgL_bucketz00_971);
																					BgL_obj1698z00_1649 =
																						((BgL_globalz00_bglt)
																						CAR(BgL_pairz00_1648));
																				}
																				BgL_arg3617z00_981 =
																					(((BgL_globalz00_bglt) CREF(
																							((obj_t) BgL_obj1698z00_1649)))->
																					BgL_modulez00);
																			}
																			BgL_testz00_2085 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg3617z00_981);
																		}
																		if (BgL_testz00_2085)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2082 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2082 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_2082)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_974;

																		BgL_newzd2bucketzd2_974 =
																			MAKE_PAIR(BgL_newz00_968,
																			CDR(BgL_bucketz00_971));
																		SET_CDR(BgL_bucketz00_971,
																			BgL_newzd2bucketzd2_974);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg3612z00_976;
																		obj_t BgL_arg3613z00_977;

																		BgL_arg3612z00_976 = CDR(BgL_bucketz00_971);
																		BgL_arg3613z00_977 =
																			MAKE_PAIR(BgL_newz00_968,
																			CDR(CDR(BgL_bucketz00_971)));
																		SET_CDR(BgL_arg3612z00_976,
																			BgL_arg3613z00_977);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg3619z00_983;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list3620z00_984;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg3621z00_985;

																		BgL_arg3621z00_985 =
																			MAKE_PAIR(BgL_newz00_968, BNIL);
																		BgL_list3620z00_984 =
																			MAKE_PAIR(BgL_idz00_970,
																			BgL_arg3621z00_985);
																	}
																	BgL_arg3619z00_983 = BgL_list3620z00_984;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_970,
																	BgL_arg3619z00_983);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l3580z00_2103;

										BgL_l3580z00_2103 = CDR(BgL_l3580z00_965);
										BgL_l3580z00_965 = BgL_l3580z00_2103;
										goto BgL_zc3anonymousza33606ze3z83_966;
									}
								}
							else
								{	/* Ast/venv.scm 87 */
									BgL_auxz00_2067 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2067);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l3583z00_990;

				BgL_l3583z00_990 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza33623ze3z83_991:
				if (PAIRP(BgL_l3583z00_990))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l3583z00_990));
						{
							obj_t BgL_l3583z00_2110;

							BgL_l3583z00_2110 = CDR(BgL_l3583z00_990);
							BgL_l3583z00_990 = BgL_l3583z00_2110;
							goto BgL_zc3anonymousza33623ze3z83_991;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_1868)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_997;

				{	/* Ast/venv.scm 115 */
					BgL_variablez00_bglt BgL_obj1609z00_1669;

					BgL_obj1609z00_1669 = ((BgL_variablez00_bglt) BgL_newz00_6);
					BgL_typez00_997 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1609z00_1669)))->BgL_typez00);
				}
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_998;

					{	/* Ast/venv.scm 116 */
						BgL_variablez00_bglt BgL_obj1612z00_1670;

						BgL_obj1612z00_1670 = ((BgL_variablez00_bglt) BgL_newz00_6);
						BgL_valuez00_998 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1612z00_1670)))->BgL_valuez00);
					}
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typezd2idzd2_999;

						BgL_typezd2idzd2_999 =
							(((BgL_typez00_bglt) CREF(((obj_t) BgL_typez00_997)))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{	/* Ast/venv.scm 119 */
								BgL_typez00_bglt BgL_arg3627z00_1000;

								BgL_arg3627z00_1000 =
									BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_999);
								{	/* Ast/venv.scm 119 */
									BgL_variablez00_bglt BgL_obj1611z00_1672;

									BgL_obj1611z00_1672 = ((BgL_variablez00_bglt) BgL_newz00_6);
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1611z00_1672)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3627z00_1000), BUNSPEC);
								}
							}
							BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_998);
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_2127;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_2128;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg3636z00_1009;

										BgL_arg3636z00_1009 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Ast/venv.scm 123 */
											BgL_backendz00_bglt BgL_obj3429z00_1674;

											BgL_obj3429z00_1674 =
												((BgL_backendz00_bglt) BgL_arg3636z00_1009);
											BgL_testz00_2128 =
												(((BgL_backendz00_bglt) CREF(
														((obj_t) BgL_obj3429z00_1674)))->
												BgL_qualifiedzd2typeszd2);
										}
									}
									if (BgL_testz00_2128)
										{	/* Ast/venv.scm 124 */
											bool_t BgL_testz00_2133;

											{	/* Ast/venv.scm 124 */
												obj_t BgL_auxz00_2134;

												{	/* Ast/venv.scm 124 */
													BgL_globalz00_bglt BgL_obj1698z00_1675;

													BgL_obj1698z00_1675 =
														((BgL_globalz00_bglt) BgL_newz00_6);
													BgL_auxz00_2134 =
														(((BgL_globalz00_bglt) CREF(
																((obj_t) BgL_obj1698z00_1675)))->BgL_modulez00);
												}
												BgL_testz00_2133 =
													(BgL_auxz00_2134 == CNST_TABLE_REF(((long) 1)));
											}
											if (BgL_testz00_2133)
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2127 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2127 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_2127 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2127)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg3629z00_1002;
										obj_t BgL_arg3630z00_1003;
										obj_t BgL_arg3631z00_1004;

										{	/* Ast/venv.scm 125 */
											BgL_globalz00_bglt BgL_obj1698z00_1676;

											BgL_obj1698z00_1676 = ((BgL_globalz00_bglt) BgL_newz00_6);
											BgL_arg3629z00_1002 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1698z00_1676)))->BgL_modulez00);
										}
										{	/* Ast/venv.scm 126 */
											BgL_globalz00_bglt BgL_obj1720z00_1677;

											BgL_obj1720z00_1677 = ((BgL_globalz00_bglt) BgL_newz00_6);
											BgL_arg3630z00_1003 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1720z00_1677)))->
												BgL_jvmzd2typezd2namez00);
										}
										BgL_arg3631z00_1004 =
											BGl_shapez00zztools_shapez00(BgL_newz00_6);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list3632z00_1005;

											BgL_list3632z00_1005 =
												MAKE_PAIR(BgL_arg3631z00_1004, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg3629z00_1002, BgL_arg3630z00_1003,
												BgL_list3632z00_1005);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_1869,
		obj_t BgL_newz00_1870)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_1870);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_1871,
		obj_t BgL_funz00_1872)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_1872);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_1873)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_1874)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_14,
		obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			{	/* Ast/venv.scm 234 */
				obj_t BgL_bucketz00_1011;
				obj_t BgL_modulez00_1012;

				BgL_bucketz00_1011 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (NULLP(BgL_modulez00_15))
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_1012 = BNIL;
					}
				else
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_1012 = CAR(BgL_modulez00_15);
					}
				if (PAIRP(BgL_bucketz00_1011))
					{	/* Ast/venv.scm 237 */
						if (NULLP(CDR(BgL_bucketz00_1011)))
							{	/* Ast/venv.scm 239 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 239 */
								if (NULLP(BgL_modulez00_1012))
									{	/* Ast/venv.scm 241 */
										return CAR(CDR(BgL_bucketz00_1011));
									}
								else
									{
										obj_t BgL_globalsz00_1018;

										BgL_globalsz00_1018 = CDR(BgL_bucketz00_1011);
									BgL_zc3anonymousza33641ze3z83_1019:
										if (NULLP(BgL_globalsz00_1018))
											{	/* Ast/venv.scm 246 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 248 */
												bool_t BgL_testz00_2169;

												{	/* Ast/venv.scm 248 */
													obj_t BgL_auxz00_2170;

													{	/* Ast/venv.scm 248 */
														BgL_globalz00_bglt BgL_obj1698z00_1696;

														{	/* Ast/venv.scm 248 */
															obj_t BgL_pairz00_1695;

															BgL_pairz00_1695 = BgL_globalsz00_1018;
															BgL_obj1698z00_1696 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_1695));
														}
														BgL_auxz00_2170 =
															(((BgL_globalz00_bglt) CREF(
																	((obj_t) BgL_obj1698z00_1696)))->
															BgL_modulez00);
													}
													BgL_testz00_2169 =
														(BgL_auxz00_2170 == BgL_modulez00_1012);
												}
												if (BgL_testz00_2169)
													{	/* Ast/venv.scm 248 */
														return CAR(BgL_globalsz00_1018);
													}
												else
													{
														obj_t BgL_globalsz00_2177;

														BgL_globalsz00_2177 = CDR(BgL_globalsz00_1018);
														BgL_globalsz00_1018 = BgL_globalsz00_2177;
														goto BgL_zc3anonymousza33641ze3z83_1019;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 237 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_1875,
		obj_t BgL_idz00_1876, obj_t BgL_modulez00_1877)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1876, BgL_modulez00_1877);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_16, obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			{	/* Ast/venv.scm 257 */
				obj_t BgL_bucketz00_1028;

				BgL_bucketz00_1028 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_16);
				if (PAIRP(BgL_bucketz00_1028))
					{	/* Ast/venv.scm 259 */
						if (NULLP(CDR(BgL_bucketz00_1028)))
							{	/* Ast/venv.scm 261 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_1034;

								BgL_globalsz00_1034 = CDR(BgL_bucketz00_1028);
							BgL_zc3anonymousza33653ze3z83_1035:
								if (NULLP(BgL_globalsz00_1034))
									{	/* Ast/venv.scm 268 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 270 */
										bool_t BgL_testz00_2189;

										{	/* Ast/venv.scm 270 */
											obj_t BgL_auxz00_2190;

											{	/* Ast/venv.scm 270 */
												BgL_globalz00_bglt BgL_obj1698z00_1714;

												{	/* Ast/venv.scm 270 */
													obj_t BgL_pairz00_1713;

													BgL_pairz00_1713 = BgL_globalsz00_1034;
													BgL_obj1698z00_1714 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_1713));
												}
												BgL_auxz00_2190 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1698z00_1714)))->BgL_modulez00);
											}
											BgL_testz00_2189 = (BgL_auxz00_2190 == BgL_modulez00_17);
										}
										if (BgL_testz00_2189)
											{	/* Ast/venv.scm 270 */
												return CAR(BgL_globalsz00_1034);
											}
										else
											{
												obj_t BgL_globalsz00_2197;

												BgL_globalsz00_2197 = CDR(BgL_globalsz00_1034);
												BgL_globalsz00_1034 = BgL_globalsz00_2197;
												goto BgL_zc3anonymousza33653ze3z83_1035;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 259 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_1878,
		obj_t BgL_idz00_1879, obj_t BgL_modulez00_1880)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1879,
				BgL_modulez00_1880);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_18, obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			{	/* Ast/venv.scm 279 */
				obj_t BgL_globalz00_1043;

				BgL_globalz00_1043 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_18,
					BgL_modulez00_19);
				{	/* Ast/venv.scm 280 */
					bool_t BgL_testz00_2202;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1043,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 280 */
							BgL_testz00_2202 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 280 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2202 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2202 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_2202)
						{	/* Ast/venv.scm 283 */
							obj_t BgL_arg3663z00_1045;

							{	/* Ast/venv.scm 283 */
								obj_t BgL_list3664z00_1046;

								{	/* Ast/venv.scm 283 */
									obj_t BgL_arg3665z00_1047;

									BgL_arg3665z00_1047 = MAKE_PAIR(BgL_modulez00_19, BNIL);
									BgL_list3664z00_1046 =
										MAKE_PAIR(BgL_idz00_18, BgL_arg3665z00_1047);
								}
								BgL_arg3663z00_1045 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string3875z00zzast_envz00, BgL_list3664z00_1046);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string3876z00zzast_envz00, BgL_arg3663z00_1045);
						}
					else
						{	/* Ast/venv.scm 280 */
							BFALSE;
						}
				}
				return BgL_globalz00_1043;
			}
		}
	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_1881,
		obj_t BgL_idz00_1882, obj_t BgL_modulez00_1883)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_1882,
				BgL_modulez00_1883);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_20,
		obj_t BgL_oz00_21, obj_t BgL_msgz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 289 */
			{	/* Ast/venv.scm 290 */
				bool_t BgL_testz00_2213;

				{	/* Ast/venv.scm 290 */
					bool_t BgL_testz00_2214;

					{	/* Ast/venv.scm 290 */
						int BgL_arg3680z00_1066;

						BgL_arg3680z00_1066 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_2214 = ((long) (BgL_arg3680z00_1066) > ((long) 0));
					}
					if (BgL_testz00_2214)
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2213 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2213 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2213)
					{	/* Ast/venv.scm 292 */
						obj_t BgL_locz00_1051;
						obj_t BgL_oldz00_1052;
						obj_t BgL_newz00_1053;
						obj_t BgL_msgz00_1054;

						{	/* Ast/venv.scm 292 */
							obj_t BgL_arg3668z00_1055;

							{	/* Ast/venv.scm 292 */
								BgL_globalz00_bglt BgL_obj1717z00_1722;

								BgL_obj1717z00_1722 = ((BgL_globalz00_bglt) BgL_oz00_21);
								BgL_arg3668z00_1055 =
									(((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_obj1717z00_1722)))->BgL_srcz00);
							}
							BgL_locz00_1051 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg3668z00_1055);
						}
						{	/* Ast/venv.scm 293 */
							obj_t BgL_arg3669z00_1056;

							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg3670z00_1057;
								obj_t BgL_arg3671z00_1058;

								{	/* Ast/venv.scm 293 */
									BgL_variablez00_bglt BgL_obj1605z00_1723;

									BgL_obj1605z00_1723 = ((BgL_variablez00_bglt) BgL_oz00_21);
									BgL_arg3670z00_1057 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1605z00_1723)))->BgL_idz00);
								}
								{	/* Ast/venv.scm 293 */
									obj_t BgL_arg3672z00_1059;

									{	/* Ast/venv.scm 293 */
										BgL_globalz00_bglt BgL_obj1698z00_1724;

										BgL_obj1698z00_1724 = ((BgL_globalz00_bglt) BgL_oz00_21);
										BgL_arg3672z00_1059 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1698z00_1724)))->BgL_modulez00);
									}
									BgL_arg3671z00_1058 = MAKE_PAIR(BgL_arg3672z00_1059, BNIL);
								}
								BgL_arg3669z00_1056 =
									MAKE_PAIR(BgL_arg3670z00_1057, BgL_arg3671z00_1058);
							}
							BgL_oldz00_1052 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg3669z00_1056);
						}
						{	/* Ast/venv.scm 294 */
							obj_t BgL_arg3673z00_1060;

							{	/* Ast/venv.scm 294 */
								obj_t BgL_arg3674z00_1061;
								obj_t BgL_arg3676z00_1062;

								{	/* Ast/venv.scm 294 */
									BgL_variablez00_bglt BgL_obj1605z00_1725;

									BgL_obj1605z00_1725 = ((BgL_variablez00_bglt) BgL_nz00_20);
									BgL_arg3674z00_1061 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1605z00_1725)))->BgL_idz00);
								}
								{	/* Ast/venv.scm 294 */
									obj_t BgL_arg3677z00_1063;

									{	/* Ast/venv.scm 294 */
										BgL_globalz00_bglt BgL_obj1698z00_1726;

										BgL_obj1698z00_1726 = ((BgL_globalz00_bglt) BgL_nz00_20);
										BgL_arg3677z00_1063 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1698z00_1726)))->BgL_modulez00);
									}
									BgL_arg3676z00_1062 = MAKE_PAIR(BgL_arg3677z00_1063, BNIL);
								}
								BgL_arg3673z00_1060 =
									MAKE_PAIR(BgL_arg3674z00_1061, BgL_arg3676z00_1062);
							}
							BgL_newz00_1053 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg3673z00_1060);
						}
						if (PAIRP(BgL_msgz00_22))
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_1054 = CAR(BgL_msgz00_22);
							}
						else
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_1054 = BGl_string3877z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_1051))
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_1051, BgL_oldz00_1052, BgL_msgz00_1054,
									BgL_newz00_1053);
							}
						else
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1052,
									BgL_msgz00_1054, BgL_newz00_1053);
							}
					}
				else
					{	/* Ast/venv.scm 290 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_23, obj_t BgL_srcz00_24)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 303 */
			{	/* Ast/venv.scm 305 */
				obj_t BgL_locz00_1068;

				BgL_locz00_1068 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_24);
				if (CBOOL(BgL_locz00_1068))
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg3682z00_1070;
						obj_t BgL_arg3683z00_1071;

						BgL_arg3682z00_1070 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_23)))->BgL_modulez00);
						BgL_arg3683z00_1071 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1068,
							BgL_arg3682z00_1070, BGl_string3878z00zzast_envz00,
							BgL_arg3683z00_1071, BNIL);
					}
				else
					{	/* Ast/venv.scm 309 */
						obj_t BgL_arg3685z00_1073;
						obj_t BgL_arg3686z00_1074;

						BgL_arg3685z00_1073 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_23)))->BgL_modulez00);
						BgL_arg3686z00_1074 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg3685z00_1073,
							BGl_string3878z00zzast_envz00, BgL_arg3686z00_1074, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_25, obj_t BgL_srcz00_26)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 314 */
			{	/* Ast/venv.scm 316 */
				obj_t BgL_locz00_1077;

				BgL_locz00_1077 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_26);
				if (CBOOL(BgL_locz00_1077))
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg3688z00_1079;
						obj_t BgL_arg3689z00_1080;

						BgL_arg3688z00_1079 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_25)))->BgL_modulez00);
						BgL_arg3689z00_1080 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1077,
							BgL_arg3688z00_1079, BGl_string3878z00zzast_envz00,
							BgL_arg3689z00_1080);
					}
				else
					{	/* Ast/venv.scm 320 */
						obj_t BgL_arg3690z00_1081;
						obj_t BgL_arg3691z00_1082;

						BgL_arg3690z00_1081 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_25)))->BgL_modulez00);
						BgL_arg3691z00_1082 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg3690z00_1081,
							BGl_string3878z00zzast_envz00, BgL_arg3691z00_1082);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_27, obj_t BgL_modulez00_28, BgL_valuez00_bglt BgL_valuez00_29,
		obj_t BgL_importz00_30, obj_t BgL_srcz00_31)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			{	/* Ast/venv.scm 340 */
				obj_t BgL_oldz00_1083;

				{	/* Ast/venv.scm 340 */
					obj_t BgL_list3720z00_1116;

					BgL_list3720z00_1116 = MAKE_PAIR(BgL_modulez00_28, BNIL);
					BgL_oldz00_1083 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_27,
						BgL_list3720z00_1116);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_1083,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 341 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 343 */
								return ((BgL_globalz00_bglt) BgL_oldz00_1083);
							}
						else
							{	/* Ast/venv.scm 345 */
								bool_t BgL_testz00_2283;

								{	/* Ast/venv.scm 345 */
									obj_t BgL_auxz00_2284;

									{	/* Ast/venv.scm 345 */
										BgL_globalz00_bglt BgL_obj1698z00_1736;

										BgL_obj1698z00_1736 =
											((BgL_globalz00_bglt) BgL_oldz00_1083);
										BgL_auxz00_2284 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1698z00_1736)))->BgL_modulez00);
									}
									BgL_testz00_2283 = (BgL_modulez00_28 == BgL_auxz00_2284);
								}
								if (BgL_testz00_2283)
									{	/* Ast/venv.scm 345 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00(
											((BgL_globalz00_bglt) BgL_oldz00_1083), BgL_srcz00_31);
										return ((BgL_globalz00_bglt) BgL_oldz00_1083);
									}
								else
									{	/* Ast/venv.scm 349 */
										obj_t BgL_xz00_1970;

										BgL_xz00_1970 =
											BGl_errorzd2rebindzd2globalz12z12zzast_envz00(
											((BgL_globalz00_bglt) BgL_oldz00_1083), BgL_srcz00_31);
										return ((BgL_globalz00_bglt) BgL_xz00_1970);
									}
							}
					}
				else
					{	/* Ast/venv.scm 350 */
						obj_t BgL_bucketz00_1087;
						BgL_globalz00_bglt BgL_newz00_1088;

						BgL_bucketz00_1087 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_27);
						{	/* Ast/venv.scm 353 */
							obj_t BgL_arg3718z00_1114;

							if ((BgL_importz00_30 == CNST_TABLE_REF(((long) 4))))
								{	/* Ast/venv.scm 353 */
									BgL_arg3718z00_1114 = BGl_string3879z00zzast_envz00;
								}
							else
								{	/* Ast/venv.scm 353 */
									BgL_arg3718z00_1114 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_modulez00_28);
								}
							{	/* Ast/venv.scm 351 */
								BgL_typez00_bglt BgL_auxz00_2300;

								{	/* Ast/venv.scm 351 */
									obj_t BgL_xz00_1971;

									BgL_xz00_1971 = BGl_za2_za2z00zztype_cachez00;
									BgL_auxz00_2300 = ((BgL_typez00_bglt) BgL_xz00_1971);
								}
								BgL_newz00_1088 =
									BGl_makezd2globalzd2zzast_varz00(BgL_idz00_27, BFALSE,
									BgL_auxz00_2300, BgL_valuez00_29, CNST_TABLE_REF(((long) 5)),
									BUNSPEC, CNST_TABLE_REF(((long) 6)), ((long) 0), ((long) 0),
									((bool_t) 1), BgL_modulez00_28, BgL_importz00_30,
									((bool_t) 1), ((bool_t) 0), BFALSE, BNIL, BgL_srcz00_31,
									BgL_arg3718z00_1114, BUNSPEC);
						}}
						{	/* Ast/venv.scm 362 */
							bool_t BgL_testz00_2305;

							if (PAIRP(BgL_bucketz00_1087))
								{	/* Ast/venv.scm 362 */
									BgL_testz00_2305 = NULLP(CDR(BgL_bucketz00_1087));
								}
							else
								{	/* Ast/venv.scm 362 */
									BgL_testz00_2305 = ((bool_t) 1);
								}
							if (BgL_testz00_2305)
								{	/* Ast/venv.scm 362 */
									{	/* Ast/venv.scm 364 */
										obj_t BgL_arg3696z00_1090;

										{	/* Ast/venv.scm 364 */
											obj_t BgL_list3697z00_1091;

											{	/* Ast/venv.scm 364 */
												obj_t BgL_arg3698z00_1092;

												BgL_arg3698z00_1092 =
													MAKE_PAIR(((obj_t) BgL_newz00_1088), BNIL);
												BgL_list3697z00_1091 =
													MAKE_PAIR(BgL_idz00_27, BgL_arg3698z00_1092);
											}
											BgL_arg3696z00_1090 = BgL_list3697z00_1091;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_27,
											BgL_arg3696z00_1090);
									}
									return BgL_newz00_1088;
								}
							else
								{	/* Ast/venv.scm 367 */
									obj_t BgL_oldza2za2_1093;

									BgL_oldza2za2_1093 = CDR(BgL_bucketz00_1087);
									{	/* Ast/venv.scm 367 */
										obj_t BgL_midz00_1094;

										{	/* Ast/venv.scm 369 */
											obj_t BgL_arg3714z00_1110;

											{	/* Ast/venv.scm 369 */
												BgL_globalz00_bglt BgL_obj1698z00_1746;

												{	/* Ast/venv.scm 369 */
													obj_t BgL_pairz00_1745;

													BgL_pairz00_1745 = BgL_oldza2za2_1093;
													BgL_obj1698z00_1746 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_1745));
												}
												BgL_arg3714z00_1110 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1698z00_1746)))->BgL_modulez00);
											}
											BgL_midz00_1094 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg3714z00_1110);
										}
										{	/* Ast/venv.scm 368 */

											{	/* Ast/venv.scm 371 */
												bool_t BgL_testz00_2320;

												{	/* Ast/venv.scm 371 */
													obj_t BgL_arg3712z00_1108;

													{	/* Ast/venv.scm 371 */
														BgL_globalz00_bglt BgL_obj1698z00_1748;

														{	/* Ast/venv.scm 371 */
															obj_t BgL_pairz00_1747;

															BgL_pairz00_1747 = BgL_oldza2za2_1093;
															BgL_obj1698z00_1748 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_1747));
														}
														BgL_arg3712z00_1108 =
															(((BgL_globalz00_bglt) CREF(
																	((obj_t) BgL_obj1698z00_1748)))->
															BgL_modulez00);
													}
													BgL_testz00_2320 =
														(BgL_arg3712z00_1108 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_2320)
													{	/* Ast/venv.scm 371 */
														{	/* Ast/venv.scm 373 */
															bool_t BgL_testz00_2326;

															if ((BgL_idz00_27 == BgL_midz00_1094))
																{	/* Ast/venv.scm 373 */
																	BgL_testz00_2326 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 373 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 373 */
																			BgL_testz00_2326 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 373 */
																			BgL_testz00_2326 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2326)
																{	/* Ast/venv.scm 374 */
																	obj_t BgL_arg3701z00_1097;

																	BgL_arg3701z00_1097 = CAR(BgL_oldza2za2_1093);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(BgL_arg3701z00_1097,
																		((obj_t) BgL_newz00_1088), BNIL);
																}
															else
																{	/* Ast/venv.scm 373 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 375 */
															obj_t BgL_arg3705z00_1100;
															obj_t BgL_arg3706z00_1101;

															BgL_arg3705z00_1100 = CDR(BgL_bucketz00_1087);
															{	/* Ast/venv.scm 375 */
																obj_t BgL_arg3707z00_1102;

																{	/* Ast/venv.scm 375 */
																	obj_t BgL_pairz00_1751;

																	BgL_pairz00_1751 = BgL_bucketz00_1087;
																	BgL_arg3707z00_1102 =
																		CDR(CDR(BgL_pairz00_1751));
																}
																BgL_arg3706z00_1101 =
																	MAKE_PAIR(
																	((obj_t) BgL_newz00_1088),
																	BgL_arg3707z00_1102);
															}
															SET_CDR(BgL_arg3705z00_1100, BgL_arg3706z00_1101);
														}
														return BgL_newz00_1088;
													}
												else
													{	/* Ast/venv.scm 378 */
														obj_t BgL_newza2za2_1103;

														BgL_newza2za2_1103 =
															MAKE_PAIR(
															((obj_t) BgL_newz00_1088), BgL_oldza2za2_1093);
														{	/* Ast/venv.scm 379 */
															bool_t BgL_testz00_2342;

															if ((BgL_idz00_27 == BgL_midz00_1094))
																{	/* Ast/venv.scm 379 */
																	BgL_testz00_2342 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 379 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 379 */
																			BgL_testz00_2342 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 379 */
																			BgL_testz00_2342 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2342)
																{	/* Ast/venv.scm 380 */
																	obj_t BgL_arg3709z00_1105;

																	BgL_arg3709z00_1105 = CAR(BgL_oldza2za2_1093);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(((obj_t) BgL_newz00_1088),
																		BgL_arg3709z00_1105, BNIL);
																}
															else
																{	/* Ast/venv.scm 379 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_1087, BgL_newza2za2_1103);
														return BgL_newz00_1088;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_1884, obj_t BgL_idz00_1885, obj_t BgL_modulez00_1886,
		obj_t BgL_valuez00_1887, obj_t BgL_importz00_1888, obj_t BgL_srcz00_1889)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1885, BgL_modulez00_1886,
				((BgL_valuez00_bglt) BgL_valuez00_1887), BgL_importz00_1888,
				BgL_srcz00_1889);
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_32, obj_t BgL_modulez00_33)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			{	/* Ast/venv.scm 388 */
				obj_t BgL_globalz00_1117;

				{	/* Ast/venv.scm 388 */
					obj_t BgL_list3732z00_1135;

					BgL_list3732z00_1135 = MAKE_PAIR(BgL_modulez00_33, BNIL);
					BgL_globalz00_1117 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_32,
						BgL_list3732z00_1135);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1117,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 391 */
						obj_t BgL_bucketz00_1119;

						BgL_bucketz00_1119 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_32);
						{	/* Ast/venv.scm 392 */
							obj_t BgL_g3578z00_1120;

							BgL_g3578z00_1120 = CDR(BgL_bucketz00_1119);
							{
								obj_t BgL_curz00_1122;
								obj_t BgL_prevz00_1123;

								BgL_curz00_1122 = BgL_g3578z00_1120;
								BgL_prevz00_1123 = BgL_bucketz00_1119;
							BgL_zc3anonymousza33722ze3z83_1124:
								if ((CAR(BgL_curz00_1122) == BgL_globalz00_1117))
									{	/* Ast/venv.scm 395 */
										obj_t BgL_auxz00_2362;

										BgL_auxz00_2362 = CDR(BgL_curz00_1122);
										return SET_CDR(BgL_prevz00_1123, BgL_auxz00_2362);
									}
								else
									{
										obj_t BgL_prevz00_2367;
										obj_t BgL_curz00_2365;

										BgL_curz00_2365 = CDR(BgL_curz00_1122);
										BgL_prevz00_2367 = CDR(BgL_prevz00_1123);
										BgL_prevz00_1123 = BgL_prevz00_2367;
										BgL_curz00_1122 = BgL_curz00_2365;
										goto BgL_zc3anonymousza33722ze3z83_1124;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 390 */
						obj_t BgL_arg3728z00_1131;

						{	/* Ast/venv.scm 390 */
							obj_t BgL_arg3730z00_1133;

							{	/* Ast/venv.scm 390 */
								obj_t BgL_arg3731z00_1134;

								BgL_arg3731z00_1134 = MAKE_PAIR(BgL_modulez00_33, BNIL);
								BgL_arg3730z00_1133 =
									MAKE_PAIR(BgL_idz00_32, BgL_arg3731z00_1134);
							}
							BgL_arg3728z00_1131 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg3730z00_1133);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string3880z00zzast_envz00,
							BGl_string3881z00zzast_envz00, BgL_arg3728z00_1131, BNIL);
					}
			}
		}
	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_1890,
		obj_t BgL_idz00_1891, obj_t BgL_modulez00_1892)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_1891,
				BgL_modulez00_1892);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_34, obj_t BgL_envz00_35)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 401 */
			{	/* Ast/venv.scm 402 */
				obj_t BgL_arg3733z00_1136;

				if (NULLP(BgL_envz00_35))
					{	/* Ast/venv.scm 402 */
						BgL_arg3733z00_1136 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 402 */
						BgL_arg3733z00_1136 = CAR(BgL_envz00_35);
					}
				{	/* Ast/venv.scm 403 */
					obj_t BgL_zc3anonymousza33736ze3z83_1893;

					BgL_zc3anonymousza33736ze3z83_1893 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33736ze3ze1zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33736ze3z83_1893,
						(int) (((long) 0)), BgL_procz00_34);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg3733z00_1136,
						BgL_zc3anonymousza33736ze3z83_1893);
				}
			}
		}
	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_1894,
		obj_t BgL_procz00_1895, obj_t BgL_envz00_1896)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 401 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_1895,
				BgL_envz00_1896);
		}
	}



/* &<anonymous:3736> */
	obj_t BGl_z62zc3anonymousza33736ze3ze1zzast_envz00(obj_t BgL_envz00_1897,
		obj_t BgL_kz00_1899, obj_t BgL_bucketz00_1900)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			{	/* Ast/venv.scm 403 */
				obj_t BgL_procz00_1898;

				BgL_procz00_1898 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1897, (int) (((long) 0))));
				{
					obj_t BgL_kz00_1139;
					obj_t BgL_bucketz00_1140;

					{	/* Ast/venv.scm 403 */
						bool_t BgL_auxz00_2388;

						BgL_kz00_1139 = BgL_kz00_1899;
						BgL_bucketz00_1140 = BgL_bucketz00_1900;
						{	/* Ast/venv.scm 403 */
							obj_t BgL_g3587z00_1142;

							BgL_g3587z00_1142 = CDR(BgL_bucketz00_1140);
							{
								obj_t BgL_l3585z00_1144;

								BgL_l3585z00_1144 = BgL_g3587z00_1142;
							BgL_zc3anonymousza33737ze3z83_1145:
								if (PAIRP(BgL_l3585z00_1144))
									{	/* Ast/venv.scm 403 */
										{	/* Ast/venv.scm 403 */
											obj_t BgL_arg3739z00_1147;

											BgL_arg3739z00_1147 = CAR(BgL_l3585z00_1144);
											PROCEDURE_ENTRY(BgL_procz00_1898) (BgL_procz00_1898,
												BgL_arg3739z00_1147, BEOA);
										}
										{
											obj_t BgL_l3585z00_2397;

											BgL_l3585z00_2397 = CDR(BgL_l3585z00_1144);
											BgL_l3585z00_1144 = BgL_l3585z00_2397;
											goto BgL_zc3anonymousza33737ze3z83_1145;
										}
									}
								else
									{	/* Ast/venv.scm 403 */
										BgL_auxz00_2388 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_2388);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_36, obj_t BgL_modulez00_37)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 408 */
			{	/* Ast/venv.scm 409 */
				obj_t BgL_bucketz00_1151;

				BgL_bucketz00_1151 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_36);
				if (PAIRP(BgL_bucketz00_1151))
					{
						obj_t BgL_globalsz00_1155;
						long BgL_posz00_1156;

						{	/* Ast/venv.scm 412 */
							long BgL_auxz00_2403;

							BgL_globalsz00_1155 = CDR(BgL_bucketz00_1151);
							BgL_posz00_1156 = ((long) 0);
						BgL_zc3anonymousza33742ze3z83_1157:
							if (NULLP(BgL_globalsz00_1155))
								{	/* Ast/venv.scm 415 */
									BgL_auxz00_2403 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 417 */
									bool_t BgL_testz00_2406;

									{	/* Ast/venv.scm 417 */
										obj_t BgL_auxz00_2407;

										{	/* Ast/venv.scm 417 */
											BgL_globalz00_bglt BgL_obj1698z00_1783;

											{	/* Ast/venv.scm 417 */
												obj_t BgL_pairz00_1782;

												BgL_pairz00_1782 = BgL_globalsz00_1155;
												BgL_obj1698z00_1783 =
													((BgL_globalz00_bglt) CAR(BgL_pairz00_1782));
											}
											BgL_auxz00_2407 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1698z00_1783)))->BgL_modulez00);
										}
										BgL_testz00_2406 = (BgL_auxz00_2407 == BgL_modulez00_37);
									}
									if (BgL_testz00_2406)
										{	/* Ast/venv.scm 417 */
											BgL_auxz00_2403 = BgL_posz00_1156;
										}
									else
										{
											long BgL_posz00_2415;
											obj_t BgL_globalsz00_2413;

											BgL_globalsz00_2413 = CDR(BgL_globalsz00_1155);
											BgL_posz00_2415 = (BgL_posz00_1156 + ((long) 1));
											BgL_posz00_1156 = BgL_posz00_2415;
											BgL_globalsz00_1155 = BgL_globalsz00_2413;
											goto BgL_zc3anonymousza33742ze3z83_1157;
										}
								}
							return BINT(BgL_auxz00_2403);
						}
					}
				else
					{	/* Ast/venv.scm 410 */
						return BINT(((long) -1));
		}}}
	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_1901,
		obj_t BgL_idz00_1902, obj_t BgL_modulez00_1903)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 408 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_1902,
				BgL_modulez00_1903);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc3882z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string3883z00zzast_envz00);
		}
	}



/* &restore-value-types!3589 */
	obj_t BGl_z62restorezd2valuezd2typesz123589z70zzast_envz00(obj_t
		BgL_envz00_1905, BgL_valuez00_bglt BgL_valuez00_1906)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return BUNSPEC;
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method3590z00_1576;

				{	/* Ast/venv.scm 152 */
					obj_t BgL_res3865z00_1816;

					{	/* Ast/venv.scm 152 */
						BgL_objectz00_bglt BgL_objz00_1788;

						BgL_objz00_1788 = ((BgL_objectz00_bglt) BgL_valuez00_9);
						{	/* Ast/venv.scm 152 */
							long BgL_objzd2classzd2numz00_1789;

							{	/* Ast/venv.scm 152 */
								long BgL_res3859z00_1792;

								BgL_res3859z00_1792 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1788);
								BgL_objzd2classzd2numz00_1789 = BgL_res3859z00_1792;
							}
							{	/* Ast/venv.scm 152 */
								obj_t BgL_arg2545z00_1790;

								BgL_arg2545z00_1790 =
									PROCEDURE_REF
									(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
									(int) (((long) 1)));
								{	/* Ast/venv.scm 152 */
									obj_t BgL_arrayz00_1793;
									int BgL_offsetz00_1794;

									BgL_arrayz00_1793 = BgL_arg2545z00_1790;
									BgL_offsetz00_1794 = (int) (BgL_objzd2classzd2numz00_1789);
									{	/* Ast/venv.scm 152 */
										long BgL_offsetz00_1795;

										BgL_offsetz00_1795 =
											((long) (BgL_offsetz00_1794) - OBJECT_TYPE);
										{	/* Ast/venv.scm 152 */
											long BgL_modz00_1796;

											{	/* Ast/venv.scm 152 */
												int BgL_arg2547z00_1797;

												BgL_arg2547z00_1797 = (int) (((long) 16));
												{	/* Ast/venv.scm 152 */
													long BgL_res3862z00_1807;

													{	/* Ast/venv.scm 152 */
														long BgL_auxz00_2430;

														BgL_auxz00_2430 = (long) (BgL_arg2547z00_1797);
														BgL_res3862z00_1807 =
															(BgL_offsetz00_1795 / BgL_auxz00_2430);
													}
													BgL_modz00_1796 = BgL_res3862z00_1807;
											}}
											{	/* Ast/venv.scm 152 */
												long BgL_restz00_1798;

												{	/* Ast/venv.scm 152 */
													int BgL_arg2546z00_1799;

													BgL_arg2546z00_1799 = (int) (((long) 16));
													{	/* Ast/venv.scm 152 */
														long BgL_res3864z00_1811;

														{	/* Ast/venv.scm 152 */
															long BgL_auxz00_2434;

															BgL_auxz00_2434 = (long) (BgL_arg2546z00_1799);
															BgL_res3864z00_1811 =
																(BgL_offsetz00_1795 % BgL_auxz00_2434);
														}
														BgL_restz00_1798 = BgL_res3864z00_1811;
												}}
												{	/* Ast/venv.scm 152 */

													BgL_res3865z00_1816 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1793,
															(int) (BgL_modz00_1796)),
														(int) (BgL_restz00_1798));
					}}}}}}}}
					BgL_method3590z00_1576 = BgL_res3865z00_1816;
				}
				return
					PROCEDURE_ENTRY(BgL_method3590z00_1576) (BgL_method3590z00_1576,
					((obj_t) BgL_valuez00_9), BEOA);
			}
		}
	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_1907,
		obj_t BgL_valuez00_1908)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_1908));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc3884z00zzast_envz00,
				BGl_string3885z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc3886z00zzast_envz00,
				BGl_string3885z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3887z00zzast_envz00,
				BGl_string3885z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc3888z00zzast_envz00,
				BGl_string3885z00zzast_envz00);
		}
	}



/* &restore-value-types!3600 */
	obj_t BGl_z62restorezd2valuezd2typesz123600z70zzast_envz00(obj_t
		BgL_envz00_1913, BgL_cfunz00_bglt BgL_valuez00_1914)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 208 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1621;

				{	/* Ast/venv.scm 208 */
					bool_t BgL_auxz00_2452;

					BgL_valuez00_1621 = BgL_valuez00_1914;
					{

						{	/* Ast/venv.scm 208 */
							obj_t BgL_nextzd2method3599zd2_1635;

							BgL_nextzd2method3599zd2_1635 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_valuez00_1621),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							PROCEDURE_ENTRY(BgL_nextzd2method3599zd2_1635)
								(BgL_nextzd2method3599zd2_1635, ((obj_t) BgL_valuez00_1621),
								BEOA);
						}
						{
							obj_t BgL_argsz00_1627;

							{	/* Ast/venv.scm 211 */
								obj_t BgL_arg3826z00_1626;

								BgL_arg3826z00_1626 =
									(((BgL_cfunz00_bglt) CREF(
											((obj_t) BgL_valuez00_1621)))->BgL_argszd2typezd2);
								BgL_argsz00_1627 = BgL_arg3826z00_1626;
							BgL_zc3anonymousza33827ze3z83_1628:
								if (PAIRP(BgL_argsz00_1627))
									{	/* Ast/venv.scm 212 */
										{	/* Ast/venv.scm 214 */
											BgL_typez00_bglt BgL_arg3829z00_1630;

											{	/* Ast/venv.scm 214 */
												obj_t BgL_arg3830z00_1631;

												{	/* Ast/venv.scm 214 */
													BgL_typez00_bglt BgL_obj1507z00_1855;

													BgL_obj1507z00_1855 =
														((BgL_typez00_bglt) CAR(BgL_argsz00_1627));
													BgL_arg3830z00_1631 =
														(((BgL_typez00_bglt) CREF(
																((obj_t) BgL_obj1507z00_1855)))->BgL_idz00);
												}
												BgL_arg3829z00_1630 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3830z00_1631);
											}
											{	/* Ast/venv.scm 214 */
												obj_t BgL_pairz00_1856;
												obj_t BgL_objz00_1857;

												BgL_pairz00_1856 = BgL_argsz00_1627;
												BgL_objz00_1857 = ((obj_t) BgL_arg3829z00_1630);
												SET_CAR(BgL_pairz00_1856, BgL_objz00_1857);
											}
										}
										{
											obj_t BgL_argsz00_2471;

											BgL_argsz00_2471 = CDR(BgL_argsz00_1627);
											BgL_argsz00_1627 = BgL_argsz00_2471;
											goto BgL_zc3anonymousza33827ze3z83_1628;
										}
									}
								else
									{	/* Ast/venv.scm 212 */
										BgL_auxz00_2452 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2452);
				}
			}
		}
	}



/* &restore-value-types!3598 */
	obj_t BGl_z62restorezd2valuezd2typesz123598z70zzast_envz00(obj_t
		BgL_envz00_1915, BgL_isfunz00_bglt BgL_valuez00_1916)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 201 */
			{
				BgL_isfunz00_bglt BgL_valuez00_1616;

				BgL_valuez00_1616 = BgL_valuez00_1916;
				{

					{	/* Ast/venv.scm 201 */
						obj_t BgL_nextzd2method3597zd2_1620;

						BgL_nextzd2method3597zd2_1620 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1616),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3597zd2_1620)
							(BgL_nextzd2method3597zd2_1620, ((obj_t) BgL_valuez00_1616),
							BEOA);
					}
					{	/* Ast/venv.scm 203 */
						BgL_nodez00_bglt BgL_arg3825z00_1619;

						{
							obj_t BgL_auxz00_2481;

							{	/* Ast/venv.scm 203 */
								BgL_objectz00_bglt BgL_auxz00_2482;

								BgL_auxz00_2482 = ((BgL_objectz00_bglt) BgL_valuez00_1616);
								BgL_auxz00_2481 = BGL_OBJECT_WIDENING(BgL_auxz00_2482);
							}
							BgL_arg3825z00_1619 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2481))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg3825z00_1619);
					}
				}
			}
		}
	}



/* &restore-value-types!3596 */
	obj_t BGl_z62restorezd2valuezd2typesz123596z70zzast_envz00(obj_t
		BgL_envz00_1917, BgL_sfunz00_bglt BgL_valuez00_1918)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1587;

				BgL_valuez00_1587 = BgL_valuez00_1918;
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method3594zd2_1615;

						BgL_nextzd2method3594zd2_1615 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1587),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method3594zd2_1615)
							(BgL_nextzd2method3594zd2_1615, ((obj_t) BgL_valuez00_1587),
							BEOA);
					}
					{
						obj_t BgL_argsz00_1593;

						{	/* Ast/venv.scm 169 */
							obj_t BgL_arg3808z00_1592;

							BgL_arg3808z00_1592 =
								(((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_valuez00_1587)))->BgL_argsz00);
							BgL_argsz00_1593 = BgL_arg3808z00_1592;
						BgL_zc3anonymousza33809ze3z83_1594:
							if (PAIRP(BgL_argsz00_1593))
								{	/* Ast/venv.scm 172 */
									obj_t BgL_argz00_1596;

									BgL_argz00_1596 = CAR(BgL_argsz00_1593);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1596,
											BGl_typez00zztype_typez00))
										{	/* Ast/venv.scm 175 */
											BgL_typez00_bglt BgL_arg3812z00_1598;

											{	/* Ast/venv.scm 175 */
												obj_t BgL_arg3813z00_1599;

												{	/* Ast/venv.scm 175 */
													BgL_typez00_bglt BgL_obj1507z00_1829;

													BgL_obj1507z00_1829 =
														((BgL_typez00_bglt) BgL_argz00_1596);
													BgL_arg3813z00_1599 =
														(((BgL_typez00_bglt) CREF(
																((obj_t) BgL_obj1507z00_1829)))->BgL_idz00);
												}
												BgL_arg3812z00_1598 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3813z00_1599);
											}
											{	/* Ast/venv.scm 175 */
												obj_t BgL_pairz00_1830;
												obj_t BgL_objz00_1831;

												BgL_pairz00_1830 = BgL_argsz00_1593;
												BgL_objz00_1831 = ((obj_t) BgL_arg3812z00_1598);
												SET_CAR(BgL_pairz00_1830, BgL_objz00_1831);
											}
										}
									else
										{	/* Ast/venv.scm 174 */
											if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1596,
													BGl_localz00zzast_varz00))
												{	/* Ast/venv.scm 177 */
													BgL_typez00_bglt BgL_newzd2typezd2_1601;

													{	/* Ast/venv.scm 177 */
														obj_t BgL_arg3815z00_1602;

														{	/* Ast/venv.scm 177 */
															BgL_typez00_bglt BgL_obj1507z00_1835;

															{	/* Ast/venv.scm 177 */
																BgL_variablez00_bglt BgL_obj1609z00_1834;

																BgL_obj1609z00_1834 =
																	((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_argz00_1596));
																BgL_obj1507z00_1835 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1609z00_1834)))->
																	BgL_typez00);
															}
															BgL_arg3815z00_1602 =
																(((BgL_typez00_bglt) CREF(
																		((obj_t) BgL_obj1507z00_1835)))->BgL_idz00);
														}
														BgL_newzd2typezd2_1601 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg3815z00_1602);
													}
													{	/* Ast/venv.scm 178 */
														BgL_variablez00_bglt BgL_obj1611z00_1836;

														BgL_obj1611z00_1836 =
															((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_argz00_1596));
														((((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1611z00_1836)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_newzd2typezd2_1601),
															BUNSPEC);
													}
												}
											else
												{	/* Ast/venv.scm 176 */
													BGl_errorz00zz__errorz00
														(BGl_string3889z00zzast_envz00,
														BGl_string3890z00zzast_envz00,
														BGl_shapez00zztools_shapez00(BgL_argz00_1596));
												}
										}
									{
										obj_t BgL_argsz00_2522;

										BgL_argsz00_2522 = CDR(BgL_argsz00_1593);
										BgL_argsz00_1593 = BgL_argsz00_2522;
										goto BgL_zc3anonymousza33809ze3z83_1594;
									}
								}
							else
								{	/* Ast/venv.scm 171 */
									if (NULLP(BgL_argsz00_1593))
										{	/* Ast/venv.scm 185 */
											obj_t BgL_bodyz00_1607;

											BgL_bodyz00_1607 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_valuez00_1587)))->BgL_bodyz00);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1607,
													BGl_nodez00zzast_nodez00))
												{	/* Ast/venv.scm 188 */
													BgL_typez00_bglt BgL_tresz00_1609;

													{	/* Ast/venv.scm 188 */
														BgL_nodez00_bglt BgL_obj2137z00_1844;

														BgL_obj2137z00_1844 =
															((BgL_nodez00_bglt) BgL_bodyz00_1607);
														BgL_tresz00_1609 =
															(((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj2137z00_1844)))->BgL_typez00);
													}
													BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
														((BgL_nodez00_bglt) BgL_bodyz00_1607));
													{	/* Ast/venv.scm 190 */
														bool_t BgL_testz00_2535;

														{	/* Ast/venv.scm 190 */
															bool_t BgL_res3872z00_1846;

															{	/* Ast/venv.scm 190 */
																obj_t BgL_obj1600z00_1845;

																BgL_obj1600z00_1845 =
																	((obj_t) BgL_tresz00_1609);
																BgL_res3872z00_1846 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj1600z00_1845,
																	BGl_typez00zztype_typez00);
															}
															BgL_testz00_2535 = BgL_res3872z00_1846;
														}
														if (BgL_testz00_2535)
															{	/* Ast/venv.scm 192 */
																BgL_typez00_bglt BgL_arg3822z00_1611;

																{	/* Ast/venv.scm 192 */
																	obj_t BgL_arg3823z00_1612;

																	BgL_arg3823z00_1612 =
																		(((BgL_typez00_bglt) CREF(
																				((obj_t) BgL_tresz00_1609)))->
																		BgL_idz00);
																	BgL_arg3822z00_1611 =
																		BGl_findzd2typezd2zztype_envz00
																		(BgL_arg3823z00_1612);
																}
																{	/* Ast/venv.scm 191 */
																	BgL_nodez00_bglt BgL_obj2139z00_1848;

																	BgL_obj2139z00_1848 =
																		((BgL_nodez00_bglt) BgL_bodyz00_1607);
																	return
																		((((BgL_nodez00_bglt) CREF(
																					((obj_t) BgL_obj2139z00_1848)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_arg3822z00_1611),
																		BUNSPEC);
																}
															}
														else
															{	/* Ast/venv.scm 190 */
																return BFALSE;
															}
													}
												}
											else
												{	/* Ast/venv.scm 187 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/venv.scm 184 */
											return
												BGl_errorz00zz__errorz00(BGl_string3891z00zzast_envz00,
												BGl_string3892z00zzast_envz00,
												BGl_shapez00zztools_shapez00(BgL_argsz00_1593));
										}
								}
						}
					}
				}
			}
		}
	}



/* &restore-value-types!3593 */
	obj_t BGl_z62restorezd2valuezd2typesz123593z70zzast_envz00(obj_t
		BgL_envz00_1919, BgL_funz00_bglt BgL_valuez00_1920)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1577;

				BgL_valuez00_1577 = BgL_valuez00_1920;
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_2546;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg3807z00_1585;

						BgL_arg3807z00_1585 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_valuez00_1577)))->BgL_predicatezd2ofzd2);
						BgL_testz00_2546 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3807z00_1585,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_2546)
						{	/* Ast/venv.scm 161 */
							BgL_typez00_bglt BgL_arg3804z00_1582;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg3805z00_1583;

								{	/* Ast/venv.scm 161 */
									BgL_typez00_bglt BgL_obj1507z00_1821;

									BgL_obj1507z00_1821 =
										((BgL_typez00_bglt)
										(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_valuez00_1577)))->
											BgL_predicatezd2ofzd2));
									BgL_arg3805z00_1583 =
										(((BgL_typez00_bglt) CREF(((obj_t) BgL_obj1507z00_1821)))->
										BgL_idz00);
								}
								BgL_arg3804z00_1582 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3805z00_1583);
							}
							{	/* Ast/venv.scm 161 */
								obj_t BgL_val1859z00_1823;

								BgL_val1859z00_1823 = ((obj_t) BgL_arg3804z00_1582);
								return
									((((BgL_funz00_bglt) CREF(
												((obj_t) BgL_valuez00_1577)))->BgL_predicatezd2ofzd2) =
									((obj_t) BgL_val1859z00_1823), BUNSPEC);
							}
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string3893z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
