/*===========================================================================*/
/*   (Cfa/approx.scm)                                                        */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/approx.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_za2bboolza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t);
	static obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t);
	extern obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
	static BgL_approxz00_bglt
		BGl_z62makezd2alloczd2approxz62zzcfa_approxz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd25885z62zzcfa_approxz00(obj_t,
		BgL_atomz00_bglt);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd25887z62zzcfa_approxz00(obj_t,
		BgL_varz00_bglt);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	static obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_approxz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2listza2z00zztype_cachez00;
	static obj_t BGl_z62getzd2nodezd2atomzd2value5882zb0zzcfa_approxz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static bool_t BGl_vectorzd2approxzf3z21zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	static bool_t BGl_conszd2approxzf3z21zzcfa_approxz00(obj_t);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2alloczd2approxz00zzcfa_approxz00(BgL_appz00_bglt);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	static BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_bglt,
		bool_t, obj_t, bool_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_approxz00 = BUNSPEC;
	static bool_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2memberzf3z21zzcfa_setz00(obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_approxz00();
	static obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_approxz00();
	static bool_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	static BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt, obj_t);
	static bool_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	extern obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	static bool_t BGl_structzd2approxzf3z21zzcfa_approxz00(obj_t);
	static obj_t BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_getzd2allocszd2zzcfa_collectz00();
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62shapezd2approx5881zb0zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_approxz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
	extern obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t
		BGl_findzd2commonzd2superzd2classzd2zzobject_classz00(BgL_tclassz00_bglt,
		BgL_tclassz00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t
		BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt);
	static bool_t BGl_procedurezd2approxzf3z21zzcfa_approxz00(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unionzd2approxzd2filterz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro6192z00,
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2topz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza76193za7,
		BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6180z00zzcfa_approxz00,
		BgL_bgl_string6180za700za7za7c6194za7, "dst is not a procedure", 22);
	      DEFINE_STRING(BGl_string6182z00zzcfa_approxz00,
		BgL_bgl_string6182za700za7za7c6195za7, "get-node-atom-value5882", 23);
	      DEFINE_STRING(BGl_string6184z00zzcfa_approxz00,
		BgL_bgl_string6184za700za7za7c6196za7, "shape", 5);
	      DEFINE_STRING(BGl_string6186z00zzcfa_approxz00,
		BgL_bgl_string6186za700za7za7c6197za7, "get-node-atom-value", 19);
	      DEFINE_STRING(BGl_string6188z00zzcfa_approxz00,
		BgL_bgl_string6188za700za7za7c6198za7, "cfa_approx", 10);
	      DEFINE_STRING(BGl_string6189z00zzcfa_approxz00,
		BgL_bgl_string6189za700za7za7c6199za7,
		"top approx (no-atom-value) approx-set-top! approx-set-type! union ", 66);
	      DEFINE_BGL_L_PROCEDURE(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762vectorza7d2appr6200z00,
		BGl_z62vectorzd2approxzf3z43zzcfa_approxz00);
	     
		DEFINE_BGL_L_PROCEDURE(BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762procedureza7d2a6201z00,
		BGl_z62procedurezd2approxzf3z43zzcfa_approxz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762consza7d2approx6202z00,
		BGl_z62conszd2approxzf3z43zzcfa_approxz00);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d26203za7,
		BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7d26204za7,
		BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emptyzd2approxzd2alloczf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762emptyza7d2appro6205z00,
		BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d6206za7,
		BGl_z62makezd2typezd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2typez12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza76207za7,
		BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2alloczd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2allocza76208za7,
		BGl_z62makezd2alloczd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6181z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d26209za7,
		BGl_z62getzd2nodezd2atomzd2value5882zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6183z00zzcfa_approxz00,
		BgL_bgl_za762shapeza7d2appro6210z00,
		BGl_z62shapezd2approx5881zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6185z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d26211za7,
		BGl_z62getzd2nodezd2atomzd2valuezd25885z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6187z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d26212za7,
		BGl_z62getzd2nodezd2atomzd2valuezd25887z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2approxzd2setsz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762declareza7d2app6213z00,
		BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2approxzd2alloczd2envz00zzcfa_approxz00,
		BgL_bgl_za762forza7d2eachza7d26214za7,
		BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionzd2approxz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro6215z00,
		BGl_z62unionzd2approxz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2emptyzd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2emptyza76216za7,
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2alloczd2approxzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d6217za7,
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	      DEFINE_BGL_L_PROCEDURE(BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762structza7d2appr6218z00,
		BGl_z62structzd2approxzf3z43zzcfa_approxz00);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2envz00zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7b06219za7, BGl_z62nodezd2keyzb0zzcfa_approxz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long
		BgL_checksumz00_2564, char *BgL_fromz00_2565)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_approxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_approxz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
					BGl_cnstzd2initzd2zzcfa_approxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
					BGl_genericzd2initzd2zzcfa_approxz00();
					BGl_methodzd2initzd2zzcfa_approxz00();
					BGl_toplevelzd2initzd2zzcfa_approxz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_approx");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			{	/* Cfa/approx.scm 15 */
				obj_t BgL_cportz00_2551;

				BgL_cportz00_2551 =
					bgl_open_input_string(BGl_string6189z00zzcfa_approxz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2552;

					BgL_iz00_2552 = ((long) 5);
				BgL_loopz00_2553:
					if ((BgL_iz00_2552 == ((long) -1)))
						{	/* Cfa/approx.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/approx.scm 15 */
							{	/* Cfa/approx.scm 15 */
								obj_t BgL_arg6191z00_2555;

								{	/* Cfa/approx.scm 15 */

									{	/* Cfa/approx.scm 15 */
										obj_t BgL_locationz00_2557;

										BgL_locationz00_2557 = BBOOL(((bool_t) 0));
										{	/* Cfa/approx.scm 15 */

											BgL_arg6191z00_2555 =
												BGl_readz00zz__readerz00(BgL_cportz00_2551,
												BgL_locationz00_2557);
										}
									}
								}
								{	/* Cfa/approx.scm 15 */
									int BgL_auxz00_2585;

									BgL_auxz00_2585 = (int) (BgL_iz00_2552);
									CNST_TABLE_SET(BgL_auxz00_2585, BgL_arg6191z00_2555);
							}}
							{	/* Cfa/approx.scm 15 */
								int BgL_auxz00_2558;

								BgL_auxz00_2558 = (int) ((BgL_iz00_2552 - ((long) 1)));
								{
									long BgL_iz00_2590;

									BgL_iz00_2590 = (long) (BgL_auxz00_2558);
									BgL_iz00_2552 = BgL_iz00_2590;
									goto BgL_loopz00_2553;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* declare-approx-sets! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 59 */
			return (BGl_za2alloczd2setza2zd2zzcfa_approxz00 =
				BGl_declarezd2setz12zc0zzcfa_setz00
				(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
					(BGl_getzd2allocszd2zzcfa_collectz00())), BUNSPEC);
		}
	}



/* &declare-approx-sets! */
	obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t
		BgL_envz00_2345)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 59 */
			return BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
		}
	}



/* node-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 66 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((obj_t) BgL_nodez00_3)))->BgL_keyz00);
		}
	}



/* &node-key */
	obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t BgL_envz00_2346,
		obj_t BgL_nodez00_2347)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 66 */
			{	/* Cfa/approx.scm 67 */
				BgL_nodezf2effectzf2_bglt BgL_nodez00_2559;

				BgL_nodez00_2559 = ((BgL_nodezf2effectzf2_bglt) BgL_nodez00_2347);
				return
					(((BgL_nodezf2effectzf2_bglt) CREF(
							((obj_t) BgL_nodez00_2559)))->BgL_keyz00);
			}
		}
	}



/* node-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_4, obj_t BgL_keyz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 72 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((obj_t) BgL_nodez00_4)))->BgL_keyz00) =
				((obj_t) BgL_keyz00_5), BUNSPEC);
		}
	}



/* &node-key-set! */
	obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t BgL_envz00_2348,
		obj_t BgL_nodez00_2349, obj_t BgL_keyz00_2350)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 72 */
			{	/* Cfa/approx.scm 73 */
				BgL_nodezf2effectzf2_bglt BgL_nodez00_2560;

				BgL_nodez00_2560 = ((BgL_nodezf2effectzf2_bglt) BgL_nodez00_2349);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((obj_t) BgL_nodez00_2560)))->BgL_keyz00) =
					((obj_t) BgL_keyz00_2350), BUNSPEC);
			}
		}
	}



/* union-approx! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_6,
		BgL_approxz00_bglt BgL_srcz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 78 */
			{	/* Cfa/approx.scm 80 */
				obj_t BgL_arg5893z00_1307;

				BgL_arg5893z00_1307 =
					BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_srcz00_7);
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_6,
					((BgL_typez00_bglt) BgL_arg5893z00_1307));
			}
			{	/* Cfa/approx.scm 82 */
				bool_t BgL_testz00_2609;

				{	/* Cfa/approx.scm 82 */
					BgL_typez00_bglt BgL_arg5902z00_1320;

					BgL_arg5902z00_1320 =
						(((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_6)))->BgL_typez00);
					BgL_testz00_2609 =
						(((obj_t) BgL_arg5902z00_1320) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_2609)
					{	/* Cfa/approx.scm 82 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 83 */
						bool_t BgL_testz00_2614;

						{	/* Cfa/approx.scm 83 */
							obj_t BgL_g5872z00_1310;

							{	/* Cfa/approx.scm 83 */
								obj_t BgL_arg5901z00_1319;

								BgL_arg5901z00_1319 =
									(((BgL_approxz00_bglt) CREF(
											((obj_t) BgL_srcz00_7)))->BgL_allocsz00);
								BgL_g5872z00_1310 =
									BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5901z00_1319);
							}
							{
								obj_t BgL_l5870z00_1312;

								BgL_l5870z00_1312 = BgL_g5872z00_1310;
							BgL_zc3anonymousza35896ze3z83_1313:
								if (NULLP(BgL_l5870z00_1312))
									{	/* Cfa/approx.scm 83 */
										BgL_testz00_2614 = ((bool_t) 0);
									}
								else
									{	/* Cfa/approx.scm 83 */
										bool_t BgL_testz00_2620;

										{	/* Cfa/approx.scm 83 */
											obj_t BgL_xz00_2169;

											BgL_xz00_2169 = CAR(BgL_l5870z00_1312);
											{	/* Cfa/approx.scm 83 */
												bool_t BgL__ortest_5849z00_2170;

												BgL__ortest_5849z00_2170 =
													BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2169,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
												if (BgL__ortest_5849z00_2170)
													{	/* Cfa/approx.scm 83 */
														BgL_testz00_2620 = BgL__ortest_5849z00_2170;
													}
												else
													{	/* Cfa/approx.scm 83 */
														BgL_testz00_2620 =
															BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2169,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
											}
										}
										if (BgL_testz00_2620)
											{	/* Cfa/approx.scm 83 */
												BgL_testz00_2614 = ((bool_t) 1);
											}
										else
											{
												obj_t BgL_l5870z00_2625;

												BgL_l5870z00_2625 = CDR(BgL_l5870z00_1312);
												BgL_l5870z00_1312 = BgL_l5870z00_2625;
												goto BgL_zc3anonymousza35896ze3z83_1313;
											}
									}
							}
						}
						if (BgL_testz00_2614)
							{	/* Cfa/approx.scm 84 */
								BgL_typez00_bglt BgL_auxz00_2627;

								{	/* Cfa/approx.scm 84 */
									obj_t BgL_xz00_2407;

									BgL_xz00_2407 = BGl_za2vectorza2z00zztype_cachez00;
									BgL_auxz00_2627 = ((BgL_typez00_bglt) BgL_xz00_2407);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_6,
									BgL_auxz00_2627);
							}
						else
							{	/* Cfa/approx.scm 83 */
								BFALSE;
							}
					}
			}
			{	/* Cfa/approx.scm 86 */
				bool_t BgL_testz00_2630;

				{	/* Cfa/approx.scm 86 */
					bool_t BgL_testz00_2631;

					{	/* Cfa/approx.scm 86 */
						BgL_typez00_bglt BgL_arg5906z00_1324;

						BgL_arg5906z00_1324 =
							(((BgL_approxz00_bglt) CREF(
									((obj_t) BgL_dstz00_6)))->BgL_typez00);
						BgL_testz00_2631 =
							(
							((obj_t) BgL_arg5906z00_1324) ==
							BGl_za2procedureza2z00zztype_cachez00);
					}
					if (BgL_testz00_2631)
						{	/* Cfa/approx.scm 86 */
							BgL_testz00_2630 = ((bool_t) 1);
						}
					else
						{	/* Cfa/approx.scm 87 */
							BgL_typez00_bglt BgL_arg5905z00_1323;

							BgL_arg5905z00_1323 =
								(((BgL_approxz00_bglt) CREF(
										((obj_t) BgL_dstz00_6)))->BgL_typez00);
							BgL_testz00_2630 =
								(
								((obj_t) BgL_arg5905z00_1323) == BGl_za2_za2z00zztype_cachez00);
						}
				}
				if (BgL_testz00_2630)
					{	/* Cfa/approx.scm 86 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 86 */
						BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_srcz00_7,
							BGl_string6180z00zzcfa_approxz00);
					}
			}
			if ((((BgL_approxz00_bglt) CREF(((obj_t) BgL_srcz00_7)))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 90 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_6);
				}
			else
				{	/* Cfa/approx.scm 90 */
					BFALSE;
				}
			{	/* Cfa/approx.scm 93 */
				bool_t BgL_testz00_2645;

				{	/* Cfa/approx.scm 93 */
					obj_t BgL_arg5909z00_1327;
					obj_t BgL_arg5910z00_1328;

					BgL_arg5909z00_1327 =
						(((BgL_approxz00_bglt) CREF(
								((obj_t) BgL_dstz00_6)))->BgL_allocsz00);
					BgL_arg5910z00_1328 =
						(((BgL_approxz00_bglt) CREF(
								((obj_t) BgL_srcz00_7)))->BgL_allocsz00);
					{	/* Cfa/approx.scm 93 */
						obj_t BgL_list5911z00_1329;

						BgL_list5911z00_1329 = MAKE_PAIR(BgL_arg5910z00_1328, BNIL);
						BgL_testz00_2645 =
							CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00(BgL_arg5909z00_1327,
								BgL_list5911z00_1329));
					}
				}
				if (BgL_testz00_2645)
					{	/* Cfa/approx.scm 93 */
						BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long)
									0)));
					}
				else
					{	/* Cfa/approx.scm 93 */
						BFALSE;
					}
			}
			return BgL_dstz00_6;
		}
	}



/* &union-approx! */
	BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t
		BgL_envz00_2351, obj_t BgL_dstz00_2352, obj_t BgL_srcz00_2353)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 78 */
			return
				BGl_unionzd2approxz12zc0zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_2352),
				((BgL_approxz00_bglt) BgL_srcz00_2353));
		}
	}



/* union-approx/type! */
	BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_8, BgL_approxz00_bglt BgL_srcz00_9,
		BgL_typez00_bglt BgL_tyz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 101 */
			if ((((BgL_approxz00_bglt) CREF(((obj_t) BgL_srcz00_9)))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 114 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_8);
				}
			else
				{	/* Cfa/approx.scm 114 */
					BFALSE;
				}
			if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_tyz00_10))
				{	/* Cfa/approx.scm 116 */
					if ((((obj_t) BgL_tyz00_10) == BGl_za2vectorza2z00zztype_cachez00))
						{	/* Cfa/approx.scm 118 */
							if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_dstz00_8,
									BgL_srcz00_9, BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00))
								{	/* Cfa/approx.scm 119 */
									BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
												(long) 0)));
								}
							else
								{	/* Cfa/approx.scm 119 */
									BFALSE;
								}
						}
					else
						{	/* Cfa/approx.scm 118 */
							if (
								(((obj_t) BgL_tyz00_10) ==
									BGl_za2procedureza2z00zztype_cachez00))
								{	/* Cfa/approx.scm 121 */
									if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_dstz00_8,
											BgL_srcz00_9,
											BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00))
										{	/* Cfa/approx.scm 122 */
											BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
														(long) 0)));
										}
									else
										{	/* Cfa/approx.scm 122 */
											BFALSE;
										}
								}
							else
								{	/* Cfa/approx.scm 124 */
									bool_t BgL_testz00_2678;

									if (
										(((obj_t) BgL_tyz00_10) ==
											BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/approx.scm 124 */
											BgL_testz00_2678 = ((bool_t) 1);
										}
									else
										{	/* Cfa/approx.scm 124 */
											if (
												(((obj_t) BgL_tyz00_10) ==
													BGl_za2epairza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 125 */
													BgL_testz00_2678 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 125 */
													if (
														(((obj_t) BgL_tyz00_10) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00))
														{	/* Cfa/approx.scm 126 */
															BgL_testz00_2678 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 126 */
															BgL_testz00_2678 =
																(
																((obj_t) BgL_tyz00_10) ==
																BGl_za2listza2z00zztype_cachez00);
														}
												}
										}
									if (BgL_testz00_2678)
										{	/* Cfa/approx.scm 124 */
											if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00
												(BgL_dstz00_8, BgL_srcz00_9,
													BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00))
												{	/* Cfa/approx.scm 128 */
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/approx.scm 128 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/approx.scm 124 */
											if (
												(((obj_t) BgL_tyz00_10) ==
													BGl_za2structza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 130 */
													if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00
														(BgL_dstz00_8, BgL_srcz00_9,
															BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00))
														{	/* Cfa/approx.scm 131 */
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																(CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Cfa/approx.scm 131 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/approx.scm 133 */
													bool_t BgL_testz00_2701;

													if (
														(((obj_t) BgL_tyz00_10) ==
															BGl_za2symbolza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 133 */
															BgL_testz00_2701 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 133 */
															if (
																(((obj_t) BgL_tyz00_10) ==
																	BGl_za2keywordza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 134 */
																	BgL_testz00_2701 = ((bool_t) 1);
																}
															else
																{	/* Cfa/approx.scm 134 */
																	if (
																		(((obj_t) BgL_tyz00_10) ==
																			BGl_za2unspecza2z00zztype_cachez00))
																		{	/* Cfa/approx.scm 135 */
																			BgL_testz00_2701 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/approx.scm 135 */
																			if (
																				(((obj_t) BgL_tyz00_10) ==
																					BGl_za2bstringza2z00zztype_cachez00))
																				{	/* Cfa/approx.scm 136 */
																					BgL_testz00_2701 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/approx.scm 136 */
																					if (
																						(((obj_t) BgL_tyz00_10) ==
																							BGl_za2bintza2z00zztype_cachez00))
																						{	/* Cfa/approx.scm 137 */
																							BgL_testz00_2701 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 137 */
																							if (
																								(((obj_t) BgL_tyz00_10) ==
																									BGl_za2belongza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 138 */
																									BgL_testz00_2701 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 138 */
																									if (
																										(((obj_t) BgL_tyz00_10) ==
																											BGl_za2bllongza2z00zztype_cachez00))
																										{	/* Cfa/approx.scm 139 */
																											BgL_testz00_2701 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cfa/approx.scm 139 */
																											if (
																												(((obj_t) BgL_tyz00_10)
																													==
																													BGl_za2bignumza2z00zztype_cachez00))
																												{	/* Cfa/approx.scm 140 */
																													BgL_testz00_2701 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Cfa/approx.scm 140 */
																													if (
																														(((obj_t)
																																BgL_tyz00_10) ==
																															BGl_za2realza2z00zztype_cachez00))
																														{	/* Cfa/approx.scm 141 */
																															BgL_testz00_2701 =
																																((bool_t) 1);
																														}
																													else
																														{	/* Cfa/approx.scm 141 */
																															if (
																																(((obj_t)
																																		BgL_tyz00_10)
																																	==
																																	BGl_za2bcharza2z00zztype_cachez00))
																																{	/* Cfa/approx.scm 142 */
																																	BgL_testz00_2701
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Cfa/approx.scm 142 */
																																	if (
																																		(((obj_t)
																																				BgL_tyz00_10)
																																			==
																																			BGl_za2nilza2z00zz__evalz00))
																																		{	/* Cfa/approx.scm 143 */
																																			BgL_testz00_2701
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Cfa/approx.scm 143 */
																																			BgL_testz00_2701
																																				=
																																				(((obj_t) BgL_tyz00_10) == BGl_za2bboolza2z00zztype_cachez00);
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_testz00_2701)
														{	/* Cfa/approx.scm 133 */
															BFALSE;
														}
													else
														{	/* Cfa/approx.scm 145 */
															bool_t BgL_testz00_2737;

															{	/* Cfa/approx.scm 145 */
																obj_t BgL_arg5924z00_1343;
																obj_t BgL_arg5925z00_1344;

																BgL_arg5924z00_1343 =
																	(((BgL_approxz00_bglt) CREF(
																			((obj_t) BgL_dstz00_8)))->BgL_allocsz00);
																BgL_arg5925z00_1344 =
																	(((BgL_approxz00_bglt) CREF(
																			((obj_t) BgL_srcz00_9)))->BgL_allocsz00);
																{	/* Cfa/approx.scm 145 */
																	obj_t BgL_list5926z00_1345;

																	BgL_list5926z00_1345 =
																		MAKE_PAIR(BgL_arg5925z00_1344, BNIL);
																	BgL_testz00_2737 =
																		CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00
																		(BgL_arg5924z00_1343,
																			BgL_list5926z00_1345));
																}
															}
															if (BgL_testz00_2737)
																{	/* Cfa/approx.scm 145 */
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																		(CNST_TABLE_REF(((long) 0)));
																}
															else
																{	/* Cfa/approx.scm 145 */
																	BFALSE;
																}
														}
												}
										}
								}
						}
				}
			else
				{	/* Cfa/approx.scm 116 */
					BFALSE;
				}
			return BgL_dstz00_8;
		}
	}



/* set-union/type! */
	bool_t BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_1360, BgL_approxz00_bglt BgL_srcz00_1361, obj_t BgL_predz00_1362)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 112 */
			{	/* Cfa/approx.scm 105 */
				bool_t BgL_resz00_1364;
				obj_t BgL_setz00_1365;

				BgL_resz00_1364 = ((bool_t) 0);
				BgL_setz00_1365 =
					(((BgL_approxz00_bglt) CREF(
							((obj_t) BgL_dstz00_1360)))->BgL_allocsz00);
				{	/* Cfa/approx.scm 107 */
					obj_t BgL_g5875z00_1366;

					{	/* Cfa/approx.scm 111 */
						obj_t BgL_arg5948z00_1377;

						BgL_arg5948z00_1377 =
							(((BgL_approxz00_bglt) CREF(
									((obj_t) BgL_srcz00_1361)))->BgL_allocsz00);
						BgL_g5875z00_1366 =
							BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5948z00_1377);
					}
					{
						obj_t BgL_l5873z00_1368;

						BgL_l5873z00_1368 = BgL_g5875z00_1366;
					BgL_zc3anonymousza35942ze3z83_1369:
						if (PAIRP(BgL_l5873z00_1368))
							{	/* Cfa/approx.scm 111 */
								{	/* Cfa/approx.scm 108 */
									obj_t BgL_vz00_1371;

									BgL_vz00_1371 = CAR(BgL_l5873z00_1368);
									{	/* Cfa/approx.scm 108 */
										bool_t BgL_testz00_2755;

										if (
											((bool_t(*)())PROCEDURE_L_ENTRY(BgL_predz00_1362))
											(BgL_predz00_1362, BgL_vz00_1371))
											{	/* Cfa/approx.scm 108 */
												if (CBOOL(BGl_setzd2memberzf3z21zzcfa_setz00
														(BgL_setz00_1365, BgL_vz00_1371)))
													{	/* Cfa/approx.scm 108 */
														BgL_testz00_2755 = ((bool_t) 0);
													}
												else
													{	/* Cfa/approx.scm 108 */
														BgL_testz00_2755 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/approx.scm 108 */
												BgL_testz00_2755 = ((bool_t) 0);
											}
										if (BgL_testz00_2755)
											{	/* Cfa/approx.scm 108 */
												BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_1365,
													BgL_vz00_1371);
												BgL_resz00_1364 = ((bool_t) 1);
											}
										else
											{	/* Cfa/approx.scm 108 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l5873z00_2765;

									BgL_l5873z00_2765 = CDR(BgL_l5873z00_1368);
									BgL_l5873z00_1368 = BgL_l5873z00_2765;
									goto BgL_zc3anonymousza35942ze3z83_1369;
								}
							}
						else
							{	/* Cfa/approx.scm 111 */
								((bool_t) 1);
							}
					}
				}
				return BgL_resz00_1364;
			}
		}
	}



/* union-approx-filter! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_11, BgL_approxz00_bglt BgL_srcz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 157 */
			{	/* Cfa/approx.scm 158 */
				BgL_typez00_bglt BgL_tyz00_1379;

				BgL_tyz00_1379 =
					(((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_11)))->BgL_typez00);
				{	/* Cfa/approx.scm 159 */
					bool_t BgL_testz00_2769;

					if (
						(((BgL_approxz00_bglt) CREF(
									((obj_t) BgL_dstz00_11)))->BgL_typezd2lockedzf3z21))
						{	/* Cfa/approx.scm 159 */
							if ((((obj_t) BgL_tyz00_1379) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/approx.scm 159 */
									BgL_testz00_2769 = ((bool_t) 1);
								}
							else
								{	/* Cfa/approx.scm 159 */
									BgL_testz00_2769 =
										(
										((obj_t) BgL_tyz00_1379) ==
										BGl_za2objza2z00zztype_cachez00);
								}
						}
					else
						{	/* Cfa/approx.scm 159 */
							BgL_testz00_2769 = ((bool_t) 1);
						}
					if (BgL_testz00_2769)
						{	/* Cfa/approx.scm 159 */
							return
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_dstz00_11,
								BgL_srcz00_12);
						}
					else
						{	/* Cfa/approx.scm 159 */
							return
								BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_dstz00_11,
								BgL_srcz00_12, BgL_tyz00_1379);
						}
				}
			}
		}
	}



/* &union-approx-filter! */
	BgL_approxz00_bglt BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t
		BgL_envz00_2362, obj_t BgL_dstz00_2363, obj_t BgL_srcz00_2364)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 157 */
			return
				BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_2363),
				((BgL_approxz00_bglt) BgL_srcz00_2364));
		}
	}



/* vector-approx? */
	bool_t BGl_vectorzd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 166 */
			{	/* Cfa/approx.scm 167 */
				bool_t BgL__ortest_5849z00_2192;

				BgL__ortest_5849z00_2192 =
					BGl_iszd2azf3z21zz__objectz00(BgL_xz00_13,
					BGl_makezd2vectorzd2appz00zzcfa_info2z00);
				if (BgL__ortest_5849z00_2192)
					{	/* Cfa/approx.scm 167 */
						return BgL__ortest_5849z00_2192;
					}
				else
					{	/* Cfa/approx.scm 167 */
						return
							BGl_iszd2azf3z21zz__objectz00(BgL_xz00_13,
							BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
					}
			}
		}
	}



/* &vector-approx? */
	bool_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_2354,
		obj_t BgL_xz00_2355)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 166 */
			return BGl_vectorzd2approxzf3z21zzcfa_approxz00(BgL_xz00_2355);
		}
	}



/* procedure-approx? */
	bool_t BGl_procedurezd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_14)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 172 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_xz00_14,
				BGl_makezd2procedurezd2appz00zzcfa_info2z00);
		}
	}



/* &procedure-approx? */
	bool_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_2356,
		obj_t BgL_xz00_2357)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 172 */
			return BGl_procedurezd2approxzf3z21zzcfa_approxz00(BgL_xz00_2357);
		}
	}



/* cons-approx? */
	bool_t BGl_conszd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_15)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 178 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_xz00_15,
				BGl_conszd2appzd2zzcfa_info2z00);
		}
	}



/* &cons-approx? */
	bool_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_2358,
		obj_t BgL_xz00_2359)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 178 */
			return BGl_conszd2approxzf3z21zzcfa_approxz00(BgL_xz00_2359);
		}
	}



/* struct-approx? */
	bool_t BGl_structzd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_16)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 184 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_xz00_16,
				BGl_makezd2structzd2appz00zzcfa_info2z00);
		}
	}



/* &struct-approx? */
	bool_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_2360,
		obj_t BgL_xz00_2361)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 184 */
			return BGl_structzd2approxzf3z21zzcfa_approxz00(BgL_xz00_2361);
		}
	}



/* get-src-approx-type */
	obj_t BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt
		BgL_az00_17)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 194 */
			{	/* Cfa/approx.scm 195 */
				BgL_typez00_bglt BgL_typez00_1384;

				BgL_typez00_1384 =
					(((BgL_approxz00_bglt) CREF(((obj_t) BgL_az00_17)))->BgL_typez00);
				if ((((obj_t) BgL_typez00_1384) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/approx.scm 197 */
						return ((obj_t) BgL_typez00_1384);
					}
				else
					{	/* Cfa/approx.scm 199 */
						bool_t BgL_testz00_2799;

						{	/* Cfa/approx.scm 199 */
							obj_t BgL_arg5968z00_1408;

							{	/* Cfa/approx.scm 199 */
								obj_t BgL_arg5969z00_1409;

								BgL_arg5969z00_1409 =
									(((BgL_approxz00_bglt) CREF(
											((obj_t) BgL_az00_17)))->BgL_allocsz00);
								BgL_arg5968z00_1408 =
									BGl_setzd2lengthzd2zzcfa_setz00(BgL_arg5969z00_1409);
							}
							BgL_testz00_2799 =
								((long) CINT(BgL_arg5968z00_1408) == ((long) 0));
						}
						if (BgL_testz00_2799)
							{	/* Cfa/approx.scm 199 */
								return ((obj_t) BgL_typez00_1384);
							}
						else
							{	/* Cfa/approx.scm 202 */
								obj_t BgL_allocsz00_1387;

								{	/* Cfa/approx.scm 202 */
									obj_t BgL_arg5967z00_1407;

									BgL_arg5967z00_1407 =
										(((BgL_approxz00_bglt) CREF(
												((obj_t) BgL_az00_17)))->BgL_allocsz00);
									BgL_allocsz00_1387 =
										BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5967z00_1407);
								}
								{	/* Cfa/approx.scm 203 */
									bool_t BgL_testz00_2809;

									{
										obj_t BgL_l5876z00_1400;

										BgL_l5876z00_1400 = BgL_allocsz00_1387;
									BgL_zc3anonymousza35962ze3z83_1401:
										if (NULLP(BgL_l5876z00_1400))
											{	/* Cfa/approx.scm 203 */
												BgL_testz00_2809 = ((bool_t) 0);
											}
										else
											{	/* Cfa/approx.scm 203 */
												bool_t BgL_testz00_2812;

												{	/* Cfa/approx.scm 203 */
													obj_t BgL_xz00_2212;

													BgL_xz00_2212 = CAR(BgL_l5876z00_1400);
													{	/* Cfa/approx.scm 203 */
														bool_t BgL__ortest_5849z00_2213;

														BgL__ortest_5849z00_2213 =
															BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2212,
															BGl_makezd2vectorzd2appz00zzcfa_info2z00);
														if (BgL__ortest_5849z00_2213)
															{	/* Cfa/approx.scm 203 */
																BgL_testz00_2812 = BgL__ortest_5849z00_2213;
															}
														else
															{	/* Cfa/approx.scm 203 */
																BgL_testz00_2812 =
																	BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2212,
																	BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
															}
													}
												}
												if (BgL_testz00_2812)
													{	/* Cfa/approx.scm 203 */
														BgL_testz00_2809 = ((bool_t) 1);
													}
												else
													{
														obj_t BgL_l5876z00_2817;

														BgL_l5876z00_2817 = CDR(BgL_l5876z00_1400);
														BgL_l5876z00_1400 = BgL_l5876z00_2817;
														goto BgL_zc3anonymousza35962ze3z83_1401;
													}
											}
									}
									if (BgL_testz00_2809)
										{	/* Cfa/approx.scm 204 */
											bool_t BgL_testz00_2819;

											if (
												(((obj_t) BgL_typez00_1384) ==
													BGl_za2vectorza2z00zztype_cachez00))
												{
													obj_t BgL_l5878z00_1392;

													BgL_l5878z00_1392 = BgL_allocsz00_1387;
												BgL_zc3anonymousza35957ze3z83_1393:
													if (NULLP(BgL_l5878z00_1392))
														{	/* Cfa/approx.scm 204 */
															BgL_testz00_2819 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 204 */
															bool_t BgL_testz00_2825;

															{	/* Cfa/approx.scm 204 */
																obj_t BgL_xz00_2222;

																BgL_xz00_2222 = CAR(BgL_l5878z00_1392);
																{	/* Cfa/approx.scm 204 */
																	bool_t BgL__ortest_5849z00_2223;

																	BgL__ortest_5849z00_2223 =
																		BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2222,
																		BGl_makezd2vectorzd2appz00zzcfa_info2z00);
																	if (BgL__ortest_5849z00_2223)
																		{	/* Cfa/approx.scm 204 */
																			BgL_testz00_2825 =
																				BgL__ortest_5849z00_2223;
																		}
																	else
																		{	/* Cfa/approx.scm 204 */
																			BgL_testz00_2825 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_xz00_2222,
																				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
																		}
																}
															}
															if (BgL_testz00_2825)
																{
																	obj_t BgL_l5878z00_2830;

																	BgL_l5878z00_2830 = CDR(BgL_l5878z00_1392);
																	BgL_l5878z00_1392 = BgL_l5878z00_2830;
																	goto BgL_zc3anonymousza35957ze3z83_1393;
																}
															else
																{	/* Cfa/approx.scm 204 */
																	BgL_testz00_2819 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Cfa/approx.scm 204 */
													BgL_testz00_2819 = ((bool_t) 0);
												}
											if (BgL_testz00_2819)
												{	/* Cfa/approx.scm 204 */
													return BGl_za2vectorza2z00zztype_cachez00;
												}
											else
												{	/* Cfa/approx.scm 204 */
													return BGl_za2objza2z00zztype_cachez00;
												}
										}
									else
										{	/* Cfa/approx.scm 203 */
											return ((obj_t) BgL_typez00_1384);
										}
								}
							}
					}
			}
		}
	}



/* approx-set-type! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_18, BgL_typez00_bglt BgL_typez00_19)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 216 */
			{	/* Cfa/approx.scm 217 */
				BgL_typez00_bglt BgL_dtypez00_1410;

				BgL_dtypez00_1410 =
					(((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00);
				if (
					(((BgL_approxz00_bglt) CREF(
								((obj_t) BgL_dstz00_18)))->BgL_typezd2lockedzf3z21))
					{	/* Cfa/approx.scm 219 */
						return BFALSE;
					}
				else
					{	/* Cfa/approx.scm 219 */
						if ((((obj_t) BgL_typez00_19) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 221 */
								return BFALSE;
							}
						else
							{	/* Cfa/approx.scm 221 */
								if ((((obj_t) BgL_dtypez00_1410) == ((obj_t) BgL_typez00_19)))
									{	/* Cfa/approx.scm 223 */
										return BFALSE;
									}
								else
									{	/* Cfa/approx.scm 225 */
										bool_t BgL_testz00_2845;

										{	/* Cfa/approx.scm 225 */
											bool_t BgL_testz00_2846;

											if (
												(((obj_t) BgL_dtypez00_1410) ==
													BGl_za2longza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 225 */
													BgL_testz00_2846 =
														(
														((obj_t) BgL_typez00_19) ==
														BGl_za2intza2z00zztype_cachez00);
												}
											else
												{	/* Cfa/approx.scm 225 */
													BgL_testz00_2846 = ((bool_t) 0);
												}
											if (BgL_testz00_2846)
												{	/* Cfa/approx.scm 225 */
													BgL_testz00_2845 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 226 */
													bool_t BgL_testz00_2852;

													if (
														(((obj_t) BgL_dtypez00_1410) ==
															BGl_za2intza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 226 */
															BgL_testz00_2852 =
																(
																((obj_t) BgL_typez00_19) ==
																BGl_za2longza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 226 */
															BgL_testz00_2852 = ((bool_t) 0);
														}
													if (BgL_testz00_2852)
														{	/* Cfa/approx.scm 226 */
															BgL_testz00_2845 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 226 */
															if (
																(((obj_t) BgL_dtypez00_1410) ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 227 */
																	bool_t BgL__ortest_5851z00_1450;

																	BgL__ortest_5851z00_1450 =
																		(
																		((obj_t) BgL_typez00_19) ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_5851z00_1450)
																		{	/* Cfa/approx.scm 227 */
																			BgL_testz00_2845 =
																				BgL__ortest_5851z00_1450;
																		}
																	else
																		{	/* Cfa/approx.scm 227 */
																			BgL_testz00_2845 =
																				(
																				((obj_t) BgL_typez00_19) ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Cfa/approx.scm 227 */
																	BgL_testz00_2845 = ((bool_t) 0);
																}
														}
												}
										}
										if (BgL_testz00_2845)
											{	/* Cfa/approx.scm 225 */
												return BFALSE;
											}
										else
											{	/* Cfa/approx.scm 230 */
												bool_t BgL_testz00_2866;

												{	/* Cfa/approx.scm 230 */
													bool_t BgL_testz00_2867;

													if (
														(((obj_t) BgL_dtypez00_1410) ==
															BGl_za2longza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 230 */
															BgL_testz00_2867 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 230 */
															BgL_testz00_2867 =
																(
																((obj_t) BgL_dtypez00_1410) ==
																BGl_za2intza2z00zztype_cachez00);
														}
													if (BgL_testz00_2867)
														{	/* Cfa/approx.scm 230 */
															BgL_testz00_2866 =
																(
																((obj_t) BgL_typez00_19) ==
																BGl_za2bintza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 230 */
															BgL_testz00_2866 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2866)
													{	/* Cfa/approx.scm 230 */
														{	/* Cfa/approx.scm 231 */
															BgL_typez00_bglt BgL_val3367z00_2232;

															{	/* Cfa/approx.scm 231 */
																obj_t BgL_xz00_2470;

																BgL_xz00_2470 =
																	BGl_za2bintza2z00zztype_cachez00;
																BgL_val3367z00_2232 =
																	((BgL_typez00_bglt) BgL_xz00_2470);
															}
															((((BgL_approxz00_bglt) CREF(
																			((obj_t) BgL_dstz00_18)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_val3367z00_2232),
																BUNSPEC);
														}
														return BTRUE;
													}
												else
													{	/* Cfa/approx.scm 233 */
														bool_t BgL_testz00_2878;

														if (
															(((obj_t) BgL_dtypez00_1410) ==
																BGl_za2epairza2z00zztype_cachez00))
															{	/* Cfa/approx.scm 233 */
																BgL_testz00_2878 =
																	(
																	((obj_t) BgL_typez00_19) ==
																	BGl_za2pairza2z00zztype_cachez00);
															}
														else
															{	/* Cfa/approx.scm 233 */
																BgL_testz00_2878 = ((bool_t) 0);
															}
														if (BgL_testz00_2878)
															{	/* Cfa/approx.scm 233 */
																{	/* Cfa/approx.scm 235 */
																	BgL_typez00_bglt BgL_val3367z00_2234;

																	{	/* Cfa/approx.scm 235 */
																		obj_t BgL_xz00_2474;

																		BgL_xz00_2474 =
																			BGl_za2pairza2z00zztype_cachez00;
																		BgL_val3367z00_2234 =
																			((BgL_typez00_bglt) BgL_xz00_2474);
																	}
																	((((BgL_approxz00_bglt) CREF(
																					((obj_t) BgL_dstz00_18)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_val3367z00_2234),
																		BUNSPEC);
																}
																return
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																	(CNST_TABLE_REF(((long) 1)));
															}
														else
															{	/* Cfa/approx.scm 237 */
																bool_t BgL_testz00_2889;

																if (
																	(((obj_t) BgL_dtypez00_1410) ==
																		BGl_za2pairzd2nilza2zd2zztype_cachez00))
																	{	/* Cfa/approx.scm 238 */
																		bool_t BgL__ortest_5852z00_1441;

																		BgL__ortest_5852z00_1441 =
																			(
																			((obj_t) BgL_typez00_19) ==
																			BGl_za2bnilza2z00zztype_cachez00);
																		if (BgL__ortest_5852z00_1441)
																			{	/* Cfa/approx.scm 238 */
																				BgL_testz00_2889 =
																					BgL__ortest_5852z00_1441;
																			}
																		else
																			{	/* Cfa/approx.scm 239 */
																				bool_t BgL__ortest_5853z00_1442;

																				BgL__ortest_5853z00_1442 =
																					(
																					((obj_t) BgL_typez00_19) ==
																					BGl_za2pairza2z00zztype_cachez00);
																				if (BgL__ortest_5853z00_1442)
																					{	/* Cfa/approx.scm 239 */
																						BgL_testz00_2889 =
																							BgL__ortest_5853z00_1442;
																					}
																				else
																					{	/* Cfa/approx.scm 239 */
																						bool_t BgL__ortest_5854z00_1443;

																						BgL__ortest_5854z00_1443 =
																							(
																							((obj_t) BgL_typez00_19) ==
																							BGl_za2epairza2z00zztype_cachez00);
																						if (BgL__ortest_5854z00_1443)
																							{	/* Cfa/approx.scm 239 */
																								BgL_testz00_2889 =
																									BgL__ortest_5854z00_1443;
																							}
																						else
																							{	/* Cfa/approx.scm 239 */
																								BgL_testz00_2889 =
																									(
																									((obj_t) BgL_typez00_19) ==
																									BGl_za2listza2z00zztype_cachez00);
																							}
																					}
																			}
																	}
																else
																	{	/* Cfa/approx.scm 237 */
																		BgL_testz00_2889 = ((bool_t) 0);
																	}
																if (BgL_testz00_2889)
																	{	/* Cfa/approx.scm 237 */
																		return BFALSE;
																	}
																else
																	{	/* Cfa/approx.scm 243 */
																		bool_t BgL_testz00_2904;

																		if (BGl_bigloozd2typezf3z21zztype_typez00
																			(BgL_dtypez00_1410))
																			{	/* Cfa/approx.scm 243 */
																				BgL_typez00_bglt BgL_arg5993z00_1439;

																				BgL_arg5993z00_1439 =
																					BGl_getzd2bigloozd2typez00zztype_cachez00
																					(BgL_typez00_19);
																				BgL_testz00_2904 =
																					(((obj_t) BgL_dtypez00_1410) ==
																					((obj_t) BgL_arg5993z00_1439));
																			}
																		else
																			{	/* Cfa/approx.scm 243 */
																				BgL_testz00_2904 = ((bool_t) 0);
																			}
																		if (BgL_testz00_2904)
																			{	/* Cfa/approx.scm 243 */
																				return BTRUE;
																			}
																		else
																			{	/* Cfa/approx.scm 246 */
																				bool_t BgL_testz00_2911;

																				{	/* Cfa/approx.scm 246 */
																					bool_t BgL_testz00_2912;

																					if (
																						(((obj_t) BgL_dtypez00_1410) ==
																							BGl_za2bnilza2z00zztype_cachez00))
																						{	/* Cfa/approx.scm 246 */
																							BgL_testz00_2912 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 246 */
																							if (
																								(((obj_t) BgL_dtypez00_1410) ==
																									BGl_za2pairza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 246 */
																									BgL_testz00_2912 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 246 */
																									BgL_testz00_2912 =
																										(
																										((obj_t) BgL_dtypez00_1410)
																										==
																										BGl_za2epairza2z00zztype_cachez00);
																								}
																						}
																					if (BgL_testz00_2912)
																						{	/* Cfa/approx.scm 247 */
																							bool_t BgL__ortest_5855z00_1432;

																							BgL__ortest_5855z00_1432 =
																								(
																								((obj_t) BgL_typez00_19) ==
																								BGl_za2bnilza2z00zztype_cachez00);
																							if (BgL__ortest_5855z00_1432)
																								{	/* Cfa/approx.scm 247 */
																									BgL_testz00_2911 =
																										BgL__ortest_5855z00_1432;
																								}
																							else
																								{	/* Cfa/approx.scm 248 */
																									bool_t
																										BgL__ortest_5856z00_1433;
																									BgL__ortest_5856z00_1433 =
																										(((obj_t) BgL_typez00_19) ==
																										BGl_za2pairza2z00zztype_cachez00);
																									if (BgL__ortest_5856z00_1433)
																										{	/* Cfa/approx.scm 248 */
																											BgL_testz00_2911 =
																												BgL__ortest_5856z00_1433;
																										}
																									else
																										{	/* Cfa/approx.scm 248 */
																											bool_t
																												BgL__ortest_5857z00_1434;
																											BgL__ortest_5857z00_1434 =
																												(((obj_t)
																													BgL_typez00_19) ==
																												BGl_za2epairza2z00zztype_cachez00);
																											if (BgL__ortest_5857z00_1434)
																												{	/* Cfa/approx.scm 248 */
																													BgL_testz00_2911 =
																														BgL__ortest_5857z00_1434;
																												}
																											else
																												{	/* Cfa/approx.scm 249 */
																													bool_t
																														BgL__ortest_5858z00_1435;
																													BgL__ortest_5858z00_1435
																														=
																														(((obj_t)
																															BgL_typez00_19) ==
																														BGl_za2pairzd2nilza2zd2zztype_cachez00);
																													if (BgL__ortest_5858z00_1435)
																														{	/* Cfa/approx.scm 249 */
																															BgL_testz00_2911 =
																																BgL__ortest_5858z00_1435;
																														}
																													else
																														{	/* Cfa/approx.scm 249 */
																															BgL_testz00_2911 =
																																(
																																((obj_t)
																																	BgL_typez00_19)
																																==
																																BGl_za2listza2z00zztype_cachez00);
																														}
																												}
																										}
																								}
																						}
																					else
																						{	/* Cfa/approx.scm 246 */
																							BgL_testz00_2911 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_2911)
																					{	/* Cfa/approx.scm 246 */
																						{	/* Cfa/approx.scm 252 */
																							BgL_typez00_bglt
																								BgL_val3367z00_2236;
																							{	/* Cfa/approx.scm 252 */
																								obj_t BgL_xz00_2491;

																								BgL_xz00_2491 =
																									BGl_za2pairzd2nilza2zd2zztype_cachez00;
																								BgL_val3367z00_2236 =
																									((BgL_typez00_bglt)
																									BgL_xz00_2491);
																							}
																							((((BgL_approxz00_bglt) CREF(
																											((obj_t)
																												BgL_dstz00_18)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_val3367z00_2236),
																								BUNSPEC);
																						}
																						return
																							BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																							(CNST_TABLE_REF(((long) 1)));
																					}
																				else
																					{	/* Cfa/approx.scm 254 */
																						bool_t BgL_testz00_2940;

																						{	/* Cfa/approx.scm 254 */
																							bool_t BgL_testz00_2941;

																							{	/* Cfa/approx.scm 254 */
																								bool_t BgL_res6160z00_2238;

																								{	/* Cfa/approx.scm 254 */
																									obj_t BgL_obj5635z00_2237;

																									BgL_obj5635z00_2237 =
																										((obj_t) BgL_dtypez00_1410);
																									BgL_res6160z00_2238 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj5635z00_2237,
																										BGl_tclassz00zzobject_classz00);
																								}
																								BgL_testz00_2941 =
																									BgL_res6160z00_2238;
																							}
																							if (BgL_testz00_2941)
																								{	/* Cfa/approx.scm 254 */
																									bool_t BgL_res6161z00_2240;

																									{	/* Cfa/approx.scm 254 */
																										obj_t BgL_obj5635z00_2239;

																										BgL_obj5635z00_2239 =
																											((obj_t) BgL_typez00_19);
																										BgL_res6161z00_2240 =
																											BGl_iszd2azf3z21zz__objectz00
																											(BgL_obj5635z00_2239,
																											BGl_tclassz00zzobject_classz00);
																									}
																									BgL_testz00_2940 =
																										BgL_res6161z00_2240;
																								}
																							else
																								{	/* Cfa/approx.scm 254 */
																									BgL_testz00_2940 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_2940)
																							{	/* Cfa/approx.scm 255 */
																								obj_t BgL_superz00_1421;

																								BgL_superz00_1421 =
																									BGl_findzd2commonzd2superzd2classzd2zzobject_classz00
																									(((BgL_tclassz00_bglt)
																										BgL_dtypez00_1410),
																									((BgL_tclassz00_bglt)
																										BgL_typez00_19));
																								if ((BgL_superz00_1421 ==
																										((obj_t)
																											BgL_dtypez00_1410)))
																									{	/* Cfa/approx.scm 257 */
																										return BFALSE;
																									}
																								else
																									{	/* Cfa/approx.scm 257 */
																										if (CBOOL
																											(BgL_superz00_1421))
																											{	/* Cfa/approx.scm 259 */
																												{	/* Cfa/approx.scm 261 */
																													BgL_typez00_bglt
																														BgL_val3367z00_2242;
																													BgL_val3367z00_2242 =
																														((BgL_typez00_bglt)
																														BgL_superz00_1421);
																													((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_val3367z00_2242), BUNSPEC);
																												}
																												return
																													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																													(CNST_TABLE_REF((
																															(long) 1)));
																											}
																										else
																											{	/* Cfa/approx.scm 259 */
																												{	/* Cfa/approx.scm 264 */
																													BgL_typez00_bglt
																														BgL_val3367z00_2244;
																													{	/* Cfa/approx.scm 264 */
																														obj_t BgL_xz00_2500;

																														BgL_xz00_2500 =
																															BGl_za2objza2z00zztype_cachez00;
																														BgL_val3367z00_2244
																															=
																															(
																															(BgL_typez00_bglt)
																															BgL_xz00_2500);
																													}
																													((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_val3367z00_2244), BUNSPEC);
																												}
																												return
																													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																													(CNST_TABLE_REF((
																															(long) 1)));
																							}}}
																						else
																							{	/* Cfa/approx.scm 254 */
																								if (
																									(((obj_t) BgL_dtypez00_1410)
																										==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* Cfa/approx.scm 266 */
																										return BFALSE;
																									}
																								else
																									{	/* Cfa/approx.scm 268 */
																										bool_t BgL_testz00_2967;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_dtypez00_1410))
																											{	/* Cfa/approx.scm 268 */
																												BgL_testz00_2967 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Cfa/approx.scm 268 */
																												if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_19))
																													{	/* Cfa/approx.scm 268 */
																														BgL_testz00_2967 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Cfa/approx.scm 268 */
																														BgL_testz00_2967 =
																															((bool_t) 1);
																													}
																											}
																										if (BgL_testz00_2967)
																											{	/* Cfa/approx.scm 268 */
																												if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_19, BgL_dtypez00_1410))
																													{	/* Cfa/approx.scm 270 */
																														return BFALSE;
																													}
																												else
																													{	/* Cfa/approx.scm 270 */
																														if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_dtypez00_1410, BgL_typez00_19))
																															{	/* Cfa/approx.scm 272 */
																																((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_19), BUNSPEC);
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
																															}
																														else
																															{	/* Cfa/approx.scm 272 */
																																{	/* Cfa/approx.scm 276 */
																																	BgL_typez00_bglt
																																		BgL_val3367z00_2248;
																																	{	/* Cfa/approx.scm 276 */
																																		obj_t
																																			BgL_xz00_2504;
																																		BgL_xz00_2504
																																			=
																																			BGl_za2objza2z00zztype_cachez00;
																																		BgL_val3367z00_2248
																																			=
																																			(
																																			(BgL_typez00_bglt)
																																			BgL_xz00_2504);
																																	}
																																	((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_val3367z00_2248), BUNSPEC);
																																}
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
																											}}}
																										else
																											{	/* Cfa/approx.scm 268 */
																												if (
																													(((obj_t)
																															BgL_dtypez00_1410)
																														==
																														BGl_za2_za2z00zztype_cachez00))
																													{	/* Cfa/approx.scm 278 */
																														((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_19), BUNSPEC);
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
																													}
																												else
																													{	/* Cfa/approx.scm 278 */
																														{	/* Cfa/approx.scm 282 */
																															BgL_typez00_bglt
																																BgL_val3367z00_2252;
																															{	/* Cfa/approx.scm 282 */
																																obj_t
																																	BgL_xz00_2508;
																																BgL_xz00_2508 =
																																	BGl_za2objza2z00zztype_cachez00;
																																BgL_val3367z00_2252
																																	=
																																	(
																																	(BgL_typez00_bglt)
																																	BgL_xz00_2508);
																															}
																															((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_18)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_val3367z00_2252), BUNSPEC);
																														}
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
		}}}}}}}}}}}}}}}
	}



/* &approx-set-type! */
	obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t BgL_envz00_2365,
		obj_t BgL_dstz00_2366, obj_t BgL_typez00_2367)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 216 */
			return
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_2366),
				((BgL_typez00_bglt) BgL_typez00_2367));
		}
	}



/* approx-set-top! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_20)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 288 */
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00:
			if ((((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_20)))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 290 */
					BFALSE;
				}
			else
				{	/* Cfa/approx.scm 290 */
					((((BgL_approxz00_bglt) CREF(
									((obj_t) BgL_dstz00_20)))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long) 2)));
				}
			{	/* Cfa/approx.scm 293 */
				bool_t BgL_testz00_3007;

				{	/* Cfa/approx.scm 293 */
					obj_t BgL_arg6005z00_1457;

					BgL_arg6005z00_1457 =
						(((BgL_approxz00_bglt) CREF(((obj_t) BgL_dstz00_20)))->BgL_dupz00);
					BgL_testz00_3007 =
						BGl_iszd2azf3z21zz__objectz00(BgL_arg6005z00_1457,
						BGl_approxz00zzcfa_infoz00);
				}
				if (BgL_testz00_3007)
					{	/* Cfa/approx.scm 294 */
						obj_t BgL_arg6004z00_1456;

						BgL_arg6004z00_1456 =
							(((BgL_approxz00_bglt) CREF(
									((obj_t) BgL_dstz00_20)))->BgL_dupz00);
						{
							BgL_approxz00_bglt BgL_dstz00_3013;

							BgL_dstz00_3013 = ((BgL_approxz00_bglt) BgL_arg6004z00_1456);
							BgL_dstz00_20 = BgL_dstz00_3013;
							goto BGl_approxzd2setzd2topz12z12zzcfa_approxz00;
						}
					}
				else
					{	/* Cfa/approx.scm 293 */
						return BFALSE;
					}
			}
		}
	}



/* &approx-set-top! */
	obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t BgL_envz00_2368,
		obj_t BgL_dstz00_2369)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 288 */
			return
				BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_2369));
		}
	}



/* make-empty-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 299 */
			{	/* Cfa/approx.scm 300 */
				obj_t BgL_allocsz00_1458;

				BgL_allocsz00_1458 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 301 */
					BgL_typez00_bglt BgL_auxz00_3018;

					{	/* Cfa/approx.scm 301 */
						obj_t BgL_xz00_2518;

						BgL_xz00_2518 = BGl_za2_za2z00zztype_cachez00;
						BgL_auxz00_3018 = ((BgL_typez00_bglt) BgL_xz00_2518);
					}
					return
						BGl_makezd2approxzd2zzcfa_infoz00(BgL_auxz00_3018, ((bool_t) 0),
						BgL_allocsz00_1458, ((bool_t) 0), ((long) -1), BUNSPEC);
		}}}
	}



/* &make-empty-approx */
	BgL_approxz00_bglt BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_2370)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 299 */
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}
	}



/* make-type-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 308 */
			{	/* Cfa/approx.scm 309 */
				obj_t BgL_allocsz00_1459;

				BgL_allocsz00_1459 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 311 */
					bool_t BgL_arg6006z00_1460;

					if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/approx.scm 311 */
							BgL_arg6006z00_1460 = ((bool_t) 0);
						}
					else
						{	/* Cfa/approx.scm 311 */
							BgL_arg6006z00_1460 = ((bool_t) 1);
						}
					return
						BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_21,
						BgL_arg6006z00_1460, BgL_allocsz00_1459, ((bool_t) 0), ((long) -1),
						BUNSPEC);
		}}}
	}



/* &make-type-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_2371, obj_t BgL_typez00_2372)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 308 */
			return
				BGl_makezd2typezd2approxz00zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_2372));
		}
	}



/* make-alloc-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2alloczd2approxz00zzcfa_approxz00(BgL_appz00_bglt BgL_allocz00_22)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 318 */
			{	/* Cfa/approx.scm 319 */
				obj_t BgL_allocsz00_1462;

				BgL_allocsz00_1462 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_1462,
					((obj_t) BgL_allocz00_22));
				{	/* Cfa/approx.scm 321 */
					BgL_typez00_bglt BgL_auxz00_3032;

					{	/* Cfa/approx.scm 321 */
						obj_t BgL_xz00_2522;

						BgL_xz00_2522 = BGl_typez00zztype_typez00;
						BgL_auxz00_3032 = ((BgL_typez00_bglt) BgL_xz00_2522);
					}
					return
						BGl_makezd2approxzd2zzcfa_infoz00(BgL_auxz00_3032, ((bool_t) 0),
						BgL_allocsz00_1462, ((bool_t) 0), ((long) -1), BUNSPEC);
		}}}
	}



/* &make-alloc-approx */
	BgL_approxz00_bglt BGl_z62makezd2alloczd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_2373, obj_t BgL_allocz00_2374)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 318 */
			return
				BGl_makezd2alloczd2approxz00zzcfa_approxz00(
				((BgL_appz00_bglt) BgL_allocz00_2374));
		}
	}



/* make-type-alloc-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt
		BgL_typez00_23, BgL_nodez00_bglt BgL_allocz00_24)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 328 */
			{	/* Cfa/approx.scm 329 */
				obj_t BgL_allocsz00_1463;

				BgL_allocsz00_1463 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_1463,
					((obj_t) BgL_allocz00_24));
				{	/* Cfa/approx.scm 332 */
					bool_t BgL_arg6008z00_1464;

					if ((((obj_t) BgL_typez00_23) == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/approx.scm 332 */
							BgL_arg6008z00_1464 = ((bool_t) 0);
						}
					else
						{	/* Cfa/approx.scm 332 */
							BgL_arg6008z00_1464 = ((bool_t) 1);
						}
					return
						BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_23,
						BgL_arg6008z00_1464, BgL_allocsz00_1463, ((bool_t) 0), ((long) -1),
						BUNSPEC);
		}}}
	}



/* &make-type-alloc-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t
		BgL_envz00_2375, obj_t BgL_typez00_2376, obj_t BgL_allocz00_2377)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 328 */
			return
				BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_2376),
				((BgL_nodez00_bglt) BgL_allocz00_2377));
		}
	}



/* for-each-approx-alloc */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t
		BgL_procz00_26, BgL_approxz00_bglt BgL_approxz00_27)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 358 */
			{	/* Cfa/approx.scm 359 */
				obj_t BgL_arg6010z00_2261;

				BgL_arg6010z00_2261 =
					(((BgL_approxz00_bglt) CREF(
							((obj_t) BgL_approxz00_27)))->BgL_allocsz00);
				return
					BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_26,
					BgL_arg6010z00_2261);
			}
		}
	}



/* &for-each-approx-alloc */
	obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t
		BgL_envz00_2378, obj_t BgL_procz00_2379, obj_t BgL_approxz00_2380)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 358 */
			return
				BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_procz00_2379,
				((BgL_approxz00_bglt) BgL_approxz00_2380));
		}
	}



/* empty-approx-alloc? */
	BGL_EXPORTED_DEF obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_approxz00_28)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 365 */
			{	/* Cfa/approx.scm 366 */
				obj_t BgL_arg6011z00_2263;

				{	/* Cfa/approx.scm 366 */
					obj_t BgL_arg6012z00_2264;

					BgL_arg6012z00_2264 =
						(((BgL_approxz00_bglt) CREF(
								((obj_t) BgL_approxz00_28)))->BgL_allocsz00);
					BgL_arg6011z00_2263 =
						BGl_setzd2lengthzd2zzcfa_setz00(BgL_arg6012z00_2264);
				}
				return BBOOL(((long) CINT(BgL_arg6011z00_2263) == ((long) 0)));
		}}
	}



/* &empty-approx-alloc? */
	obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t
		BgL_envz00_2381, obj_t BgL_approxz00_2382)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 365 */
			return
				BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_approxz00_2382));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_proc6181z00zzcfa_approxz00, BGl_nodez00zzast_nodez00,
				BGl_string6182z00zzcfa_approxz00);
		}
	}



/* &get-node-atom-value5882 */
	obj_t BGl_z62getzd2nodezd2atomzd2value5882zb0zzcfa_approxz00(obj_t
		BgL_envz00_2384, BgL_nodez00_bglt BgL_nodez00_2385)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 373 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* get-node-atom-value */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt
		BgL_nodez00_29)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 373 */
			{	/* Cfa/approx.scm 373 */
				obj_t BgL_method5883z00_2120;

				{	/* Cfa/approx.scm 373 */
					obj_t BgL_res6170z00_2297;

					{	/* Cfa/approx.scm 373 */
						BgL_objectz00_bglt BgL_objz00_2269;

						BgL_objz00_2269 = ((BgL_objectz00_bglt) BgL_nodez00_29);
						{	/* Cfa/approx.scm 373 */
							long BgL_objzd2classzd2numz00_2270;

							{	/* Cfa/approx.scm 373 */
								long BgL_res6164z00_2273;

								BgL_res6164z00_2273 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2269);
								BgL_objzd2classzd2numz00_2270 = BgL_res6164z00_2273;
							}
							{	/* Cfa/approx.scm 373 */
								obj_t BgL_arg2545z00_2271;

								BgL_arg2545z00_2271 =
									PROCEDURE_REF
									(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
									(int) (((long) 1)));
								{	/* Cfa/approx.scm 373 */
									obj_t BgL_arrayz00_2274;
									int BgL_offsetz00_2275;

									BgL_arrayz00_2274 = BgL_arg2545z00_2271;
									BgL_offsetz00_2275 = (int) (BgL_objzd2classzd2numz00_2270);
									{	/* Cfa/approx.scm 373 */
										long BgL_offsetz00_2276;

										BgL_offsetz00_2276 =
											((long) (BgL_offsetz00_2275) - OBJECT_TYPE);
										{	/* Cfa/approx.scm 373 */
											long BgL_modz00_2277;

											{	/* Cfa/approx.scm 373 */
												int BgL_arg2547z00_2278;

												BgL_arg2547z00_2278 = (int) (((long) 16));
												{	/* Cfa/approx.scm 373 */
													long BgL_res6167z00_2288;

													{	/* Cfa/approx.scm 373 */
														long BgL_auxz00_3070;

														BgL_auxz00_3070 = (long) (BgL_arg2547z00_2278);
														BgL_res6167z00_2288 =
															(BgL_offsetz00_2276 / BgL_auxz00_3070);
													}
													BgL_modz00_2277 = BgL_res6167z00_2288;
											}}
											{	/* Cfa/approx.scm 373 */
												long BgL_restz00_2279;

												{	/* Cfa/approx.scm 373 */
													int BgL_arg2546z00_2280;

													BgL_arg2546z00_2280 = (int) (((long) 16));
													{	/* Cfa/approx.scm 373 */
														long BgL_res6169z00_2292;

														{	/* Cfa/approx.scm 373 */
															long BgL_auxz00_3074;

															BgL_auxz00_3074 = (long) (BgL_arg2546z00_2280);
															BgL_res6169z00_2292 =
																(BgL_offsetz00_2276 % BgL_auxz00_3074);
														}
														BgL_restz00_2279 = BgL_res6169z00_2292;
												}}
												{	/* Cfa/approx.scm 373 */

													BgL_res6170z00_2297 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2274,
															(int) (BgL_modz00_2277)),
														(int) (BgL_restz00_2279));
					}}}}}}}}
					BgL_method5883z00_2120 = BgL_res6170z00_2297;
				}
				return
					PROCEDURE_ENTRY(BgL_method5883z00_2120) (BgL_method5883z00_2120,
					((obj_t) BgL_nodez00_29), BEOA);
			}
		}
	}



/* &get-node-atom-value */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t
		BgL_envz00_2386, obj_t BgL_nodez00_2387)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 373 */
			return
				BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
				((BgL_nodez00_bglt) BgL_nodez00_2387));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_approxz00zzcfa_infoz00,
				BGl_proc6183z00zzcfa_approxz00, BGl_string6184z00zzcfa_approxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_atomz00zzast_nodez00, BGl_proc6185z00zzcfa_approxz00,
				BGl_string6186z00zzcfa_approxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_varz00zzast_nodez00, BGl_proc6187z00zzcfa_approxz00,
				BGl_string6186z00zzcfa_approxz00);
		}
	}



/* &get-node-atom-value-5887 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd25887z62zzcfa_approxz00(obj_t
		BgL_envz00_2391, BgL_varz00_bglt BgL_nodez00_2392)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 385 */
			{
				BgL_varz00_bglt BgL_nodez00_2152;

				BgL_nodez00_2152 = BgL_nodez00_2392;
				{	/* Cfa/approx.scm 386 */
					BgL_variablez00_bglt BgL_vz00_2155;

					BgL_vz00_2155 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_nodez00_2152)))->BgL_variablez00);
					{	/* Cfa/approx.scm 387 */
						bool_t BgL_testz00_3093;

						{	/* Cfa/approx.scm 387 */
							bool_t BgL_testz00_3094;

							{	/* Cfa/approx.scm 387 */
								bool_t BgL_res6177z00_2340;

								{	/* Cfa/approx.scm 387 */
									obj_t BgL_obj3703z00_2339;

									BgL_obj3703z00_2339 = ((obj_t) BgL_vz00_2155);
									BgL_res6177z00_2340 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj3703z00_2339,
										BGl_reshapedzd2localzd2zzcfa_infoz00);
								}
								BgL_testz00_3094 = BgL_res6177z00_2340;
							}
							if (BgL_testz00_3094)
								{	/* Cfa/approx.scm 387 */
									obj_t BgL_arg6143z00_2159;

									{	/* Cfa/approx.scm 387 */
										BgL_reshapedzd2localzd2_bglt BgL_obj3704z00_2341;

										BgL_obj3704z00_2341 =
											((BgL_reshapedzd2localzd2_bglt) BgL_vz00_2155);
										{
											obj_t BgL_auxz00_3098;

											{	/* Cfa/approx.scm 387 */
												BgL_objectz00_bglt BgL_auxz00_3099;

												BgL_auxz00_3099 =
													((BgL_objectz00_bglt) BgL_obj3704z00_2341);
												BgL_auxz00_3098 = BGL_OBJECT_WIDENING(BgL_auxz00_3099);
											}
											BgL_arg6143z00_2159 =
												(((BgL_reshapedzd2localzd2_bglt)
													CREF(BgL_auxz00_3098))->BgL_bindingzd2valuezd2);
										}
									}
									BgL_testz00_3093 =
										BGl_iszd2azf3z21zz__objectz00(BgL_arg6143z00_2159,
										BGl_nodez00zzast_nodez00);
								}
							else
								{	/* Cfa/approx.scm 387 */
									BgL_testz00_3093 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3093)
							{	/* Cfa/approx.scm 388 */
								obj_t BgL_arg6141z00_2157;

								{	/* Cfa/approx.scm 388 */
									BgL_reshapedzd2localzd2_bglt BgL_obj3704z00_2344;

									BgL_obj3704z00_2344 =
										((BgL_reshapedzd2localzd2_bglt) BgL_vz00_2155);
									{
										obj_t BgL_auxz00_3105;

										{	/* Cfa/approx.scm 388 */
											BgL_objectz00_bglt BgL_auxz00_3106;

											BgL_auxz00_3106 =
												((BgL_objectz00_bglt) BgL_obj3704z00_2344);
											BgL_auxz00_3105 = BGL_OBJECT_WIDENING(BgL_auxz00_3106);
										}
										BgL_arg6141z00_2157 =
											(((BgL_reshapedzd2localzd2_bglt) CREF(BgL_auxz00_3105))->
											BgL_bindingzd2valuezd2);
									}
								}
								return
									BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
									((BgL_nodez00_bglt) BgL_arg6141z00_2157));
							}
						else
							{	/* Cfa/approx.scm 387 */
								return CNST_TABLE_REF(((long) 3));
		}}}}}
	}



/* &get-node-atom-value-5885 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd25885z62zzcfa_approxz00(obj_t
		BgL_envz00_2393, BgL_atomz00_bglt BgL_nodez00_2394)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 379 */
			return
				(((BgL_atomz00_bglt) CREF(((obj_t) BgL_nodez00_2394)))->BgL_valuez00);
		}
	}



/* &shape-approx5881 */
	obj_t BGl_z62shapezd2approx5881zb0zzcfa_approxz00(obj_t BgL_envz00_2395,
		BgL_approxz00_bglt BgL_expz00_2396)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 339 */
			{
				BgL_approxz00_bglt BgL_expz00_2121;

				BgL_expz00_2121 = BgL_expz00_2396;
				{	/* Cfa/approx.scm 341 */
					obj_t BgL_keysz00_2125;

					{	/* Cfa/approx.scm 341 */
						obj_t BgL_arg6139z00_2146;

						BgL_arg6139z00_2146 =
							(((BgL_approxz00_bglt) CREF(
									((obj_t) BgL_expz00_2121)))->BgL_allocsz00);
						BgL_keysz00_2125 =
							BGl_setzd2ze3vectorz31zzcfa_setz00(BgL_arg6139z00_2146);
					}
					{	/* Cfa/approx.scm 341 */
						int BgL_lenz00_2126;

						BgL_lenz00_2126 = VECTOR_LENGTH(BgL_keysz00_2125);
						{	/* Cfa/approx.scm 342 */
							long BgL_slenz00_2127;

							if (
								(((BgL_approxz00_bglt) CREF(
											((obj_t) BgL_expz00_2121)))->BgL_topzf3zf3))
								{	/* Cfa/approx.scm 343 */
									BgL_slenz00_2127 = ((long) (BgL_lenz00_2126) + ((long) 1));
								}
							else
								{	/* Cfa/approx.scm 343 */
									BgL_slenz00_2127 = (long) (BgL_lenz00_2126);
								}
							{	/* Cfa/approx.scm 343 */
								obj_t BgL_structz00_2128;

								{	/* Cfa/approx.scm 344 */
									long BgL_arg6137z00_2144;

									BgL_arg6137z00_2144 = (((long) 1) + BgL_slenz00_2127);
									{	/* Cfa/approx.scm 344 */
										obj_t BgL_res6173z00_2310;

										{	/* Cfa/approx.scm 344 */
											obj_t BgL_keyz00_2307;
											int BgL_lenz00_2308;

											BgL_keyz00_2307 = CNST_TABLE_REF(((long) 4));
											BgL_lenz00_2308 = (int) (BgL_arg6137z00_2144);
											BgL_res6173z00_2310 =
												make_struct(BgL_keyz00_2307, BgL_lenz00_2308, BUNSPEC);
										}
										BgL_structz00_2128 = BgL_res6173z00_2310;
								}}
								{	/* Cfa/approx.scm 344 */

									{	/* Cfa/approx.scm 345 */
										obj_t BgL_arg6127z00_2129;

										{	/* Cfa/approx.scm 345 */
											BgL_typez00_bglt BgL_obj1507z00_2312;

											BgL_obj1507z00_2312 =
												(((BgL_approxz00_bglt) CREF(
														((obj_t) BgL_expz00_2121)))->BgL_typez00);
											BgL_arg6127z00_2129 =
												(((BgL_typez00_bglt) CREF(
														((obj_t) BgL_obj1507z00_2312)))->BgL_idz00);
										}
										{	/* Cfa/approx.scm 345 */
											int BgL_auxz00_3133;

											BgL_auxz00_3133 = (int) (((long) 0));
											STRUCT_SET(BgL_structz00_2128, BgL_auxz00_3133,
												BgL_arg6127z00_2129);
									}}
									if (
										(((BgL_approxz00_bglt) CREF(
													((obj_t) BgL_expz00_2121)))->BgL_topzf3zf3))
										{	/* Cfa/approx.scm 346 */
											obj_t BgL_oz00_2319;

											BgL_oz00_2319 = CNST_TABLE_REF(((long) 5));
											{	/* Cfa/approx.scm 346 */
												int BgL_auxz00_3140;

												BgL_auxz00_3140 = (int) (((long) 1));
												STRUCT_SET(BgL_structz00_2128, BgL_auxz00_3140,
													BgL_oz00_2319);
										}}
									else
										{	/* Cfa/approx.scm 346 */
											BFALSE;
										}
									{	/* Cfa/approx.scm 347 */
										long BgL_g5867z00_2132;

										if (
											(((BgL_approxz00_bglt) CREF(
														((obj_t) BgL_expz00_2121)))->BgL_topzf3zf3))
											{	/* Cfa/approx.scm 347 */
												BgL_g5867z00_2132 = ((long) 2);
											}
										else
											{	/* Cfa/approx.scm 347 */
												BgL_g5867z00_2132 = ((long) 1);
											}
										{
											long BgL_rz00_2134;
											long BgL_wz00_2135;

											BgL_rz00_2134 = BgL_g5867z00_2132;
											BgL_wz00_2135 = ((long) 0);
										BgL_zc3anonymousza36130ze3z83_2136:
											if ((BgL_wz00_2135 == (long) (BgL_lenz00_2126)))
												{	/* Cfa/approx.scm 349 */
													return BgL_structz00_2128;
												}
											else
												{	/* Cfa/approx.scm 349 */
													{	/* Cfa/approx.scm 352 */
														obj_t BgL_arg6132z00_2138;

														{	/* Cfa/approx.scm 352 */
															obj_t BgL_arg6133z00_2139;

															BgL_arg6133z00_2139 =
																VECTOR_REF(BgL_keysz00_2125,
																(int) (BgL_wz00_2135));
															{	/* Cfa/approx.scm 352 */
																BgL_nodezf2effectzf2_bglt BgL_nodez00_2326;

																BgL_nodez00_2326 =
																	((BgL_nodezf2effectzf2_bglt)
																	BgL_arg6133z00_2139);
																BgL_arg6132z00_2138 =
																	(((BgL_nodezf2effectzf2_bglt) CREF(((obj_t)
																				BgL_nodez00_2326)))->BgL_keyz00);
														}}
														{	/* Cfa/approx.scm 352 */
															int BgL_auxz00_3154;

															BgL_auxz00_3154 = (int) (BgL_rz00_2134);
															STRUCT_SET(BgL_structz00_2128, BgL_auxz00_3154,
																BgL_arg6132z00_2138);
													}}
													{
														long BgL_wz00_3159;
														long BgL_rz00_3157;

														BgL_rz00_3157 = (BgL_rz00_2134 + ((long) 1));
														BgL_wz00_3159 = (BgL_wz00_2135 + ((long) 1));
														BgL_wz00_2135 = BgL_wz00_3159;
														BgL_rz00_2134 = BgL_rz00_3157;
														goto BgL_zc3anonymousza36130ze3z83_2136;
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long) 220306886),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string6188z00zzcfa_approxz00));
		}
	}

#ifdef __cplusplus
}
#endif
