/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza35183ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza35188ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d25498za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5488z00zzcfa_closurez00,
		BgL_bgl_string5488za700za7za7c5499za7, "   . Light closures", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall5500z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5491z00zzcfa_closurez00,
		BgL_bgl_string5491za700za7za7c5501za7, ": ", 2);
	      DEFINE_STRING(BGl_string5492z00zzcfa_closurez00,
		BgL_bgl_string5492za700za7za7c5502za7, "      ", 6);
	      DEFINE_STRING(BGl_string5493z00zzcfa_closurez00,
		BgL_bgl_string5493za700za7za7c5503za7, "        ", 8);
	      DEFINE_STRING(BGl_string5494z00zzcfa_closurez00,
		BgL_bgl_string5494za700za7za7c5504za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string5495z00zzcfa_closurez00,
		BgL_bgl_string5495za700za7za7c5505za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu5506z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu5507z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt5508z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur5509z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt5510z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5489z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza75511za7,
		BGl_z62zc3anonymousza35183ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5490z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza75512za7,
		BGl_z62zc3anonymousza35188ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc5513z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_2641, char *BgL_fromz00_2642)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_2633;

				BgL_cportz00_2633 =
					bgl_open_input_string(BGl_string5495z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2634;

					BgL_iz00_2634 = ((long) 19);
				BgL_loopz00_2635:
					if ((BgL_iz00_2634 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg5497z00_2637;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_2639;

										BgL_locationz00_2639 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg5497z00_2637 =
												BGl_readz00zz__readerz00(BgL_cportz00_2633,
												BgL_locationz00_2639);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_2658;

									BgL_auxz00_2658 = (int) (BgL_iz00_2634);
									CNST_TABLE_SET(BgL_auxz00_2658, BgL_arg5497z00_2637);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_2640;

								BgL_auxz00_2640 = (int) ((BgL_iz00_2634 - ((long) 1)));
								{
									long BgL_iz00_2663;

									BgL_iz00_2663 = (long) (BgL_auxz00_2640);
									BgL_iz00_2634 = BgL_iz00_2663;
									goto BgL_loopz00_2635;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 54 */
			{	/* Cfa/closure.scm 55 */
				long BgL_n1z00_2056;

				BgL_n1z00_2056 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_2056 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_2384)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 54 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 60 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 61 */
					{	/* Cfa/closure.scm 62 */
						obj_t BgL_list5153z00_1158;

						{	/* Cfa/closure.scm 62 */
							obj_t BgL_arg5154z00_1159;

							BgL_arg5154z00_1159 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list5153z00_1158 =
								MAKE_PAIR(BGl_string5488z00zzcfa_closurez00,
								BgL_arg5154z00_1159);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list5153z00_1158);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l5125z00_1161;

						BgL_l5125z00_1161 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza35155ze3z83_1162:
						if (PAIRP(BgL_l5125z00_1161))
							{	/* Cfa/closure.scm 71 */
								{	/* Cfa/closure.scm 73 */
									obj_t BgL_appz00_1164;

									BgL_appz00_1164 = CAR(BgL_l5125z00_1161);
									{	/* Cfa/closure.scm 74 */
										BgL_variablez00_bglt BgL_funz00_1166;

										{	/* Cfa/closure.scm 74 */
											BgL_varz00_bglt BgL_obj2201z00_2067;

											{
												obj_t BgL_auxz00_2681;

												{	/* Cfa/closure.scm 74 */
													obj_t BgL_pairz00_2066;

													{	/* Cfa/closure.scm 74 */
														BgL_appz00_bglt BgL_obj2302z00_2065;

														BgL_obj2302z00_2065 =
															((BgL_appz00_bglt) BgL_appz00_1164);
														BgL_pairz00_2066 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_obj2302z00_2065)))->BgL_argsz00);
													}
													BgL_auxz00_2681 = CAR(BgL_pairz00_2066);
												}
												BgL_obj2201z00_2067 =
													((BgL_varz00_bglt) BgL_auxz00_2681);
											}
											BgL_funz00_1166 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_obj2201z00_2067)))->BgL_variablez00);
										}
										{	/* Cfa/closure.scm 74 */
											obj_t BgL_cloz00_1167;

											{	/* Cfa/closure.scm 75 */
												BgL_funz00_bglt BgL_obj1867z00_2069;

												BgL_obj1867z00_2069 =
													((BgL_funz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_funz00_1166)))->BgL_valuez00));
												BgL_cloz00_1167 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1867z00_2069)))->
													BgL_thezd2closurezd2);
											}
											{	/* Cfa/closure.scm 75 */
												bool_t BgL_lostzf3zf3_1168;

												{	/* Cfa/closure.scm 76 */
													long BgL_auxz00_2694;

													{	/* Cfa/closure.scm 76 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4475z00_2070;
														BgL_obj4475z00_2070 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_appz00_1164);
														{
															obj_t BgL_auxz00_2696;

															{	/* Cfa/closure.scm 76 */
																BgL_objectz00_bglt BgL_auxz00_2697;

																BgL_auxz00_2697 =
																	((BgL_objectz00_bglt) BgL_obj4475z00_2070);
																BgL_auxz00_2696 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2697);
															}
															BgL_auxz00_2694 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2696))->BgL_lostzd2stampzd2);
													}}
													BgL_lostzf3zf3_1168 = (BgL_auxz00_2694 > ((long) -1));
												}
												{	/* Cfa/closure.scm 76 */
													obj_t BgL_siza7eza7_1169;

													{	/* Cfa/closure.scm 77 */
														obj_t BgL_arg5165z00_1179;

														{	/* Cfa/closure.scm 77 */
															obj_t BgL_pairz00_2075;

															{	/* Cfa/closure.scm 77 */
																BgL_appz00_bglt BgL_obj2302z00_2074;

																BgL_obj2302z00_2074 =
																	((BgL_appz00_bglt) BgL_appz00_1164);
																BgL_pairz00_2075 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_obj2302z00_2074)))->
																	BgL_argsz00);
															}
															BgL_arg5165z00_1179 =
																CAR(CDR(CDR(BgL_pairz00_2075)));
														}
														BgL_siza7eza7_1169 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg5165z00_1179));
													}
													{	/* Cfa/closure.scm 77 */

														{	/* Cfa/closure.scm 79 */
															bool_t BgL_testz00_2710;

															if (BgL_lostzf3zf3_1168)
																{	/* Cfa/closure.scm 79 */
																	BgL_testz00_2710 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 80 */
																	bool_t BgL_testz00_2712;

																	{	/* Cfa/closure.scm 80 */
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_obj4478z00_2081;
																		BgL_obj4478z00_2081 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_appz00_1164);
																		{
																			obj_t BgL_auxz00_2714;

																			{	/* Cfa/closure.scm 80 */
																				BgL_objectz00_bglt BgL_auxz00_2715;

																				BgL_auxz00_2715 =
																					((BgL_objectz00_bglt)
																					BgL_obj4478z00_2081);
																				BgL_auxz00_2714 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2715);
																			}
																			BgL_testz00_2712 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_2714))->
																				BgL_xzd2tzf3z21);
																		}
																	}
																	if (BgL_testz00_2712)
																		{	/* Cfa/closure.scm 81 */
																			bool_t BgL_testz00_2719;

																			{	/* Cfa/closure.scm 81 */
																				long BgL_auxz00_2720;

																				{	/* Cfa/closure.scm 81 */
																					BgL_funz00_bglt BgL_obj1854z00_2083;

																					BgL_obj1854z00_2083 =
																						((BgL_funz00_bglt)
																						(((BgL_variablez00_bglt) CREF(
																									((obj_t) BgL_funz00_1166)))->
																							BgL_valuez00));
																					BgL_auxz00_2720 =
																						(((BgL_funz00_bglt) CREF(((obj_t)
																									BgL_obj1854z00_2083)))->
																						BgL_arityz00);
																				}
																				BgL_testz00_2719 =
																					(BgL_auxz00_2720 < ((long) 0));
																			}
																			if (BgL_testz00_2719)
																				{	/* Cfa/closure.scm 81 */
																					BgL_testz00_2710 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 81 */
																					if (INTEGERP(BgL_siza7eza7_1169))
																						{	/* Cfa/closure.scm 82 */
																							if (BGl_iszd2azf3z21zz__objectz00
																								(BgL_cloz00_1167,
																									BGl_globalz00zzast_varz00))
																								{	/* Cfa/closure.scm 84 */
																									bool_t BgL_testz00_2731;

																									{	/* Cfa/closure.scm 84 */
																										obj_t BgL_auxz00_2732;

																										{	/* Cfa/closure.scm 84 */
																											BgL_globalz00_bglt
																												BgL_obj1701z00_2091;
																											BgL_obj1701z00_2091 =
																												((BgL_globalz00_bglt)
																												BgL_cloz00_1167);
																											BgL_auxz00_2732 =
																												(((BgL_globalz00_bglt)
																													CREF(((obj_t)
																															BgL_obj1701z00_2091)))->
																												BgL_importz00);
																										}
																										BgL_testz00_2731 =
																											(BgL_auxz00_2732 ==
																											CNST_TABLE_REF(((long)
																													0)));
																									}
																									if (BgL_testz00_2731)
																										{	/* Cfa/closure.scm 84 */
																											BgL_testz00_2710 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 84 */
																											BgL_testz00_2710 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 83 */
																									BgL_testz00_2710 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 82 */
																							BgL_testz00_2710 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 80 */
																			BgL_testz00_2710 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2710)
																{	/* Cfa/closure.scm 79 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 79 */
																	{	/* Cfa/closure.scm 101 */
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_obj4483z00_2092;
																		BgL_obj4483z00_2092 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_appz00_1164);
																		{
																			obj_t BgL_auxz00_2739;

																			{	/* Cfa/closure.scm 101 */
																				BgL_objectz00_bglt BgL_auxz00_2740;

																				BgL_auxz00_2740 =
																					((BgL_objectz00_bglt)
																					BgL_obj4483z00_2092);
																				BgL_auxz00_2739 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2740);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_2739))->BgL_xz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 102 */
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_obj4486z00_2094;
																		BgL_obj4486z00_2094 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_appz00_1164);
																		{
																			obj_t BgL_auxz00_2745;

																			{	/* Cfa/closure.scm 102 */
																				BgL_objectz00_bglt BgL_auxz00_2746;

																				BgL_auxz00_2746 =
																					((BgL_objectz00_bglt)
																					BgL_obj4486z00_2094);
																				BgL_auxz00_2745 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2746);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_2745))->BgL_tz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l5125z00_2750;

									BgL_l5125z00_2750 = CDR(BgL_l5125z00_1161);
									BgL_l5125z00_1161 = BgL_l5125z00_2750;
									goto BgL_zc3anonymousza35155ze3z83_1162;
								}
							}
						else
							{	/* Cfa/closure.scm 71 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l5127z00_1188;

						BgL_l5127z00_1188 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza35172ze3z83_1189:
						if (PAIRP(BgL_l5127z00_1188))
							{	/* Cfa/closure.scm 109 */
								{	/* Cfa/closure.scm 110 */
									obj_t BgL_allocz00_1191;

									BgL_allocz00_1191 = CAR(BgL_l5127z00_1188);
									{	/* Cfa/closure.scm 111 */
										BgL_valuez00_bglt BgL_fz00_1193;

										{	/* Cfa/closure.scm 111 */
											BgL_variablez00_bglt BgL_arg5176z00_1196;

											{	/* Cfa/closure.scm 111 */
												BgL_varz00_bglt BgL_obj2201z00_2102;

												{
													obj_t BgL_auxz00_2757;

													{	/* Cfa/closure.scm 111 */
														obj_t BgL_pairz00_2101;

														{	/* Cfa/closure.scm 111 */
															BgL_appz00_bglt BgL_obj2302z00_2100;

															BgL_obj2302z00_2100 =
																((BgL_appz00_bglt) BgL_allocz00_1191);
															BgL_pairz00_2101 =
																(((BgL_appz00_bglt) CREF(
																		((obj_t) BgL_obj2302z00_2100)))->
																BgL_argsz00);
														}
														BgL_auxz00_2757 = CAR(BgL_pairz00_2101);
													}
													BgL_obj2201z00_2102 =
														((BgL_varz00_bglt) BgL_auxz00_2757);
												}
												BgL_arg5176z00_1196 =
													(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_obj2201z00_2102)))->BgL_variablez00);
											}
											BgL_fz00_1193 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_arg5176z00_1196)))->BgL_valuez00);
										}
										{	/* Cfa/closure.scm 113 */
											bool_t BgL_testz00_2767;

											{	/* Cfa/closure.scm 113 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4481z00_2104;

												BgL_obj4481z00_2104 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_allocz00_1191);
												{
													obj_t BgL_auxz00_2769;

													{	/* Cfa/closure.scm 113 */
														BgL_objectz00_bglt BgL_auxz00_2770;

														BgL_auxz00_2770 =
															((BgL_objectz00_bglt) BgL_obj4481z00_2104);
														BgL_auxz00_2769 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2770);
													}
													BgL_testz00_2767 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2769))->BgL_xz00);
												}
											}
											if (BgL_testz00_2767)
												{	/* Cfa/closure.scm 113 */
													BgL_sfunz00_bglt BgL_obj1943z00_2105;
													obj_t BgL_val1942z00_2106;

													BgL_obj1943z00_2105 =
														((BgL_sfunz00_bglt) BgL_fz00_1193);
													BgL_val1942z00_2106 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1943z00_2105)))->
															BgL_strengthz00) =
														((obj_t) BgL_val1942z00_2106), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 114 */
													bool_t BgL_testz00_2778;

													{	/* Cfa/closure.scm 114 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4484z00_2107;
														BgL_obj4484z00_2107 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_allocz00_1191);
														{
															obj_t BgL_auxz00_2780;

															{	/* Cfa/closure.scm 114 */
																BgL_objectz00_bglt BgL_auxz00_2781;

																BgL_auxz00_2781 =
																	((BgL_objectz00_bglt) BgL_obj4484z00_2107);
																BgL_auxz00_2780 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2781);
															}
															BgL_testz00_2778 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2780))->BgL_tz00);
														}
													}
													if (BgL_testz00_2778)
														{	/* Cfa/closure.scm 114 */
															BgL_sfunz00_bglt BgL_obj1943z00_2108;
															obj_t BgL_val1942z00_2109;

															BgL_obj1943z00_2108 =
																((BgL_sfunz00_bglt) BgL_fz00_1193);
															BgL_val1942z00_2109 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1943z00_2108)))->
																	BgL_strengthz00) =
																((obj_t) BgL_val1942z00_2109), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 115 */
															BgL_sfunz00_bglt BgL_obj1943z00_2110;
															obj_t BgL_val1942z00_2111;

															BgL_obj1943z00_2110 =
																((BgL_sfunz00_bglt) BgL_fz00_1193);
															BgL_val1942z00_2111 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1943z00_2110)))->
																	BgL_strengthz00) =
																((obj_t) BgL_val1942z00_2111), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l5127z00_2793;

									BgL_l5127z00_2793 = CDR(BgL_l5127z00_1188);
									BgL_l5127z00_1188 = BgL_l5127z00_2793;
									goto BgL_zc3anonymousza35172ze3z83_1189;
								}
							}
						else
							{	/* Cfa/closure.scm 109 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 61 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_2385, obj_t BgL_globalsz00_2386)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 60 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_2386);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 131 */
			{
				obj_t BgL_l5129z00_1202;

				BgL_l5129z00_1202 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza35180ze3z83_1203:
				if (PAIRP(BgL_l5129z00_1202))
					{	/* Cfa/closure.scm 133 */
						{	/* Cfa/closure.scm 134 */
							BgL_funcallz00_bglt BgL_appz00_1205;

							BgL_appz00_1205 = ((BgL_funcallz00_bglt) CAR(BgL_l5129z00_1202));
							{	/* Cfa/closure.scm 135 */
								BgL_nodez00_bglt BgL_funz00_1206;

								BgL_funz00_1206 =
									(((BgL_funcallz00_bglt) CREF(
											((obj_t) BgL_appz00_1205)))->BgL_funz00);
								{	/* Cfa/closure.scm 135 */
									BgL_approxz00_bglt BgL_approxz00_1207;

									BgL_approxz00_1207 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1206);
									{	/* Cfa/closure.scm 136 */
										obj_t BgL_allocz00_1208;

										BgL_allocz00_1208 =
											(((BgL_approxz00_bglt) CREF(
													((obj_t) BgL_approxz00_1207)))->BgL_allocsz00);
										{	/* Cfa/closure.scm 137 */
											BgL_typez00_bglt BgL_typez00_1209;

											BgL_typez00_1209 =
												(((BgL_approxz00_bglt) CREF(
														((obj_t) BgL_approxz00_1207)))->BgL_typez00);
											{	/* Cfa/closure.scm 138 */
												bool_t BgL_topzf3zf3_1210;

												BgL_topzf3zf3_1210 =
													(((BgL_approxz00_bglt) CREF(
															((obj_t) BgL_approxz00_1207)))->BgL_topzf3zf3);
												{	/* Cfa/closure.scm 139 */

													if (BgL_topzf3zf3_1210)
														{	/* Cfa/closure.scm 141 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc5489z00zzcfa_closurez00,
																BgL_approxz00_1207);
														}
													else
														{	/* Cfa/closure.scm 152 */
															bool_t BgL_testz00_2816;

															{	/* Cfa/closure.scm 152 */
																obj_t BgL_arg5192z00_1226;

																BgL_arg5192z00_1226 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_1208);
																BgL_testz00_2816 =
																	((long) CINT(BgL_arg5192z00_1226) ==
																	((long) 0));
															}
															if (BgL_testz00_2816)
																{	/* Cfa/closure.scm 152 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 155 */
																	bool_t BgL_testz00_2821;

																	{	/* Cfa/closure.scm 155 */
																		bool_t BgL_testz00_2822;

																		{	/* Cfa/closure.scm 155 */
																			obj_t BgL_arg5191z00_1225;

																			BgL_arg5191z00_1225 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_1208);
																			BgL_testz00_2822 =
																				((long) CINT(BgL_arg5191z00_1225) ==
																				((long) 1));
																		}
																		if (BgL_testz00_2822)
																			{	/* Cfa/closure.scm 156 */
																				obj_t BgL__ortest_5097z00_1224;

																				BgL__ortest_5097z00_1224 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_5097z00_1224))
																					{	/* Cfa/closure.scm 156 */
																						BgL_testz00_2821 =
																							CBOOL(BgL__ortest_5097z00_1224);
																					}
																				else
																					{	/* Cfa/closure.scm 156 */
																						BgL_testz00_2821 =
																							(
																							((obj_t) BgL_typez00_1209) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 155 */
																				BgL_testz00_2821 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_2821)
																		{	/* Cfa/closure.scm 155 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 155 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc5490z00zzcfa_closurez00,
																				BgL_approxz00_1207);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l5129z00_2833;

							BgL_l5129z00_2833 = CDR(BgL_l5129z00_1202);
							BgL_l5129z00_1202 = BgL_l5129z00_2833;
							goto BgL_zc3anonymousza35180ze3z83_1203;
						}
					}
				else
					{	/* Cfa/closure.scm 133 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:5183> */
	obj_t BGl_z62zc3anonymousza35183ze3ze1zzcfa_closurez00(obj_t BgL_envz00_2389,
		obj_t BgL_allocz00_2390)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 144 */
			{
				obj_t BgL_allocz00_1212;

				BgL_allocz00_1212 = BgL_allocz00_2390;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1212,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 145 */
						{	/* Cfa/closure.scm 149 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4486z00_2123;

							BgL_obj4486z00_2123 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_allocz00_1212);
							{
								obj_t BgL_auxz00_2838;

								{	/* Cfa/closure.scm 149 */
									BgL_objectz00_bglt BgL_auxz00_2839;

									BgL_auxz00_2839 = ((BgL_objectz00_bglt) BgL_obj4486z00_2123);
									BgL_auxz00_2838 = BGL_OBJECT_WIDENING(BgL_auxz00_2839);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2838))->
										BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 150 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4483z00_2125;

							BgL_obj4483z00_2125 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_allocz00_1212);
							{
								obj_t BgL_auxz00_2844;

								{	/* Cfa/closure.scm 150 */
									BgL_objectz00_bglt BgL_auxz00_2845;

									BgL_auxz00_2845 = ((BgL_objectz00_bglt) BgL_obj4483z00_2125);
									BgL_auxz00_2844 = BGL_OBJECT_WIDENING(BgL_auxz00_2845);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2844))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 145 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:5188> */
	obj_t BGl_z62zc3anonymousza35188ze3ze1zzcfa_closurez00(obj_t BgL_envz00_2391,
		obj_t BgL_allocz00_2392)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 163 */
			{
				obj_t BgL_allocz00_1219;

				BgL_allocz00_1219 = BgL_allocz00_2392;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1219,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 164 */
						{	/* Cfa/closure.scm 168 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4483z00_2135;

							BgL_obj4483z00_2135 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_allocz00_1219);
							{
								obj_t BgL_auxz00_2852;

								{	/* Cfa/closure.scm 168 */
									BgL_objectz00_bglt BgL_auxz00_2853;

									BgL_auxz00_2853 = ((BgL_objectz00_bglt) BgL_obj4483z00_2135);
									BgL_auxz00_2852 = BGL_OBJECT_WIDENING(BgL_auxz00_2853);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2852))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 164 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 181 */
			{
				bool_t BgL_continuezf3zf3_1230;

				BgL_continuezf3zf3_1230 = ((bool_t) 1);
			BgL_zc3anonymousza35194ze3z83_1231:
				if (BgL_continuezf3zf3_1230)
					{	/* Cfa/closure.scm 186 */
						bool_t BgL_continuezf3zf3_1232;

						BgL_continuezf3zf3_1232 = ((bool_t) 0);
						{
							obj_t BgL_l5133z00_1234;

							BgL_l5133z00_1234 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza35195ze3z83_1235:
							if (PAIRP(BgL_l5133z00_1234))
								{	/* Cfa/closure.scm 187 */
									{	/* Cfa/closure.scm 189 */
										obj_t BgL_appz00_1237;

										BgL_appz00_1237 = CAR(BgL_l5133z00_1234);
										{	/* Cfa/closure.scm 190 */
											BgL_nodez00_bglt BgL_funz00_1238;

											{	/* Cfa/closure.scm 190 */
												BgL_funcallz00_bglt BgL_obj2360z00_2141;

												BgL_obj2360z00_2141 =
													((BgL_funcallz00_bglt) BgL_appz00_1237);
												BgL_funz00_1238 =
													(((BgL_funcallz00_bglt) CREF(
															((obj_t) BgL_obj2360z00_2141)))->BgL_funz00);
											}
											{	/* Cfa/closure.scm 190 */
												BgL_approxz00_bglt BgL_approxz00_1239;

												BgL_approxz00_1239 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1238);
												{	/* Cfa/closure.scm 191 */
													obj_t BgL_allocz00_1240;

													{	/* Cfa/closure.scm 192 */
														obj_t BgL_arg5211z00_1268;

														BgL_arg5211z00_1268 =
															(((BgL_approxz00_bglt) CREF(
																	((obj_t) BgL_approxz00_1239)))->
															BgL_allocsz00);
														BgL_allocz00_1240 =
															BGl_setzd2ze3listz31zzcfa_setz00
															(BgL_arg5211z00_1268);
													}
													{	/* Cfa/closure.scm 192 */
														BgL_typez00_bglt BgL_typez00_1241;

														BgL_typez00_1241 =
															(((BgL_approxz00_bglt) CREF(
																	((obj_t) BgL_approxz00_1239)))->BgL_typez00);
														{	/* Cfa/closure.scm 193 */
															bool_t BgL_tzd2initzf3z21_1242;

															{	/* Cfa/closure.scm 194 */
																bool_t BgL__ortest_5098z00_1265;

																BgL__ortest_5098z00_1265 =
																	(((BgL_approxz00_bglt) CREF(
																			((obj_t) BgL_approxz00_1239)))->
																	BgL_topzf3zf3);
																if (BgL__ortest_5098z00_1265)
																	{	/* Cfa/closure.scm 194 */
																		BgL_tzd2initzf3z21_1242 =
																			BgL__ortest_5098z00_1265;
																	}
																else
																	{	/* Cfa/closure.scm 195 */
																		bool_t BgL_testz00_2873;

																		if (
																			(((obj_t) BgL_typez00_1241) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 195 */
																				BgL_testz00_2873 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 195 */
																				BgL_testz00_2873 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_2873)
																			{	/* Cfa/closure.scm 195 */
																				BgL_tzd2initzf3z21_1242 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 195 */
																				BgL_tzd2initzf3z21_1242 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 194 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_1244;
																	obj_t BgL_allocsz00_1245;

																	BgL_onezd2nonzd2tzf3zf3_1244 =
																		BgL_tzd2initzf3z21_1242;
																	BgL_allocsz00_1245 = BgL_allocz00_1240;
																BgL_zc3anonymousza35197ze3z83_1246:
																	if (NULLP(BgL_allocsz00_1245))
																		{	/* Cfa/closure.scm 203 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 203 */
																			if (BgL_onezd2nonzd2tzf3zf3_1244)
																				{
																					obj_t BgL_l5131z00_1249;

																					{	/* Cfa/closure.scm 206 */
																						bool_t BgL_auxz00_2882;

																						BgL_l5131z00_1249 =
																							BgL_allocz00_1240;
																					BgL_zc3anonymousza35199ze3z83_1250:
																						if (PAIRP(BgL_l5131z00_1249))
																							{	/* Cfa/closure.scm 206 */
																								{	/* Cfa/closure.scm 208 */
																									obj_t BgL_allocz00_1252;

																									BgL_allocz00_1252 =
																										CAR(BgL_l5131z00_1249);
																									if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1252, BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 209 */
																											BgL_makezd2procedurezd2appz00_bglt
																												BgL_instance5099z00_1254;
																											BgL_instance5099z00_1254 =
																												(
																												(BgL_makezd2procedurezd2appz00_bglt)
																												BgL_allocz00_1252);
																											{	/* Cfa/closure.scm 210 */
																												bool_t BgL_testz00_2889;

																												{
																													obj_t BgL_auxz00_2890;

																													{	/* Cfa/closure.scm 210 */
																														BgL_objectz00_bglt
																															BgL_auxz00_2891;
																														BgL_auxz00_2891 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_instance5099z00_1254);
																														BgL_auxz00_2890 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_2891);
																													}
																													BgL_testz00_2889 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2890))->BgL_tz00);
																												}
																												if (BgL_testz00_2889)
																													{	/* Cfa/closure.scm 210 */
																														{
																															obj_t
																																BgL_auxz00_2895;
																															{	/* Cfa/closure.scm 212 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_2896;
																																BgL_auxz00_2896
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_instance5099z00_1254);
																																BgL_auxz00_2895
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_2896);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2895))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_1232
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 210 */
																														BFALSE;
																													}
																											}
																										}
																									else
																										{	/* Cfa/closure.scm 208 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l5131z00_2900;

																									BgL_l5131z00_2900 =
																										CDR(BgL_l5131z00_1249);
																									BgL_l5131z00_1249 =
																										BgL_l5131z00_2900;
																									goto
																										BgL_zc3anonymousza35199ze3z83_1250;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 206 */
																								BgL_auxz00_2882 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_2882);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 215 */
																					bool_t BgL_testz00_2903;

																					{	/* Cfa/closure.scm 215 */
																						obj_t BgL_arg5208z00_1263;

																						BgL_arg5208z00_1263 =
																							CAR(BgL_allocsz00_1245);
																						BgL_testz00_2903 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg5208z00_1263,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_2903)
																						{	/* Cfa/closure.scm 216 */
																							obj_t BgL_instance5101z00_1259;

																							BgL_instance5101z00_1259 =
																								CAR(BgL_allocsz00_1245);
																							{	/* Cfa/closure.scm 217 */
																								bool_t BgL_testz00_2907;

																								{	/* Cfa/closure.scm 217 */
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_obj4484z00_2160;
																									BgL_obj4484z00_2160 =
																										(
																										(BgL_makezd2procedurezd2appz00_bglt)
																										BgL_instance5101z00_1259);
																									{
																										obj_t BgL_auxz00_2909;

																										{	/* Cfa/closure.scm 217 */
																											BgL_objectz00_bglt
																												BgL_auxz00_2910;
																											BgL_auxz00_2910 =
																												((BgL_objectz00_bglt)
																												BgL_obj4484z00_2160);
																											BgL_auxz00_2909 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_2910);
																										}
																										BgL_testz00_2907 =
																											(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2909))->BgL_tz00);
																									}
																								}
																								if (BgL_testz00_2907)
																									{
																										obj_t BgL_allocsz00_2914;

																										BgL_allocsz00_2914 =
																											CDR(BgL_allocsz00_1245);
																										BgL_allocsz00_1245 =
																											BgL_allocsz00_2914;
																										goto
																											BgL_zc3anonymousza35197ze3z83_1246;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_2916;
																										BgL_onezd2nonzd2tzf3zf3_2916
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_1244
																											=
																											BgL_onezd2nonzd2tzf3zf3_2916;
																										goto
																											BgL_zc3anonymousza35197ze3z83_1246;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 215 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_2919;

																									BgL_allocsz00_2919 =
																										CDR(BgL_allocsz00_1245);
																									BgL_allocsz00_1245 =
																										BgL_allocsz00_2919;
																									goto
																										BgL_zc3anonymousza35197ze3z83_1246;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_2921;
																									BgL_onezd2nonzd2tzf3zf3_2921 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_1244 =
																										BgL_onezd2nonzd2tzf3zf3_2921;
																									goto
																										BgL_zc3anonymousza35197ze3z83_1246;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l5133z00_2922;

										BgL_l5133z00_2922 = CDR(BgL_l5133z00_1234);
										BgL_l5133z00_1234 = BgL_l5133z00_2922;
										goto BgL_zc3anonymousza35195ze3z83_1235;
									}
								}
							else
								{	/* Cfa/closure.scm 187 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_2924;

							BgL_continuezf3zf3_2924 = BgL_continuezf3zf3_1232;
							BgL_continuezf3zf3_1230 = BgL_continuezf3zf3_2924;
							goto BgL_zc3anonymousza35194ze3z83_1231;
						}
					}
				else
					{	/* Cfa/closure.scm 184 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 251 */
			{
				obj_t BgL_appz00_1312;
				obj_t BgL_appz00_1287;

				{
					obj_t BgL_l5135z00_1278;

					BgL_l5135z00_1278 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza35215ze3z83_1279:
					if (PAIRP(BgL_l5135z00_1278))
						{	/* Cfa/closure.scm 293 */
							{	/* Cfa/closure.scm 294 */
								obj_t BgL_appz00_1281;

								BgL_appz00_1281 = CAR(BgL_l5135z00_1278);
								{	/* Cfa/closure.scm 296 */
									bool_t BgL_testz00_2928;

									{	/* Cfa/closure.scm 296 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4481z00_2257;

										BgL_obj4481z00_2257 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_appz00_1281);
										{
											obj_t BgL_auxz00_2930;

											{	/* Cfa/closure.scm 296 */
												BgL_objectz00_bglt BgL_auxz00_2931;

												BgL_auxz00_2931 =
													((BgL_objectz00_bglt) BgL_obj4481z00_2257);
												BgL_auxz00_2930 = BGL_OBJECT_WIDENING(BgL_auxz00_2931);
											}
											BgL_testz00_2928 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2930))->BgL_xz00);
										}
									}
									if (BgL_testz00_2928)
										{	/* Cfa/closure.scm 296 */
											BgL_appz00_1287 = BgL_appz00_1281;
											{	/* Cfa/closure.scm 254 */
												obj_t BgL_siza7eza7_1290;

												{	/* Cfa/closure.scm 254 */
													obj_t BgL_arg5236z00_1308;

													{	/* Cfa/closure.scm 254 */
														obj_t BgL_pairz00_2165;

														{	/* Cfa/closure.scm 254 */
															BgL_appz00_bglt BgL_obj2302z00_2164;

															BgL_obj2302z00_2164 =
																((BgL_appz00_bglt) BgL_appz00_1287);
															BgL_pairz00_2165 =
																(((BgL_appz00_bglt) CREF(
																		((obj_t) BgL_obj2302z00_2164)))->
																BgL_argsz00);
														}
														BgL_arg5236z00_1308 =
															CAR(CDR(CDR(BgL_pairz00_2165)));
													}
													BgL_siza7eza7_1290 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg5236z00_1308));
												}
												{	/* Cfa/closure.scm 254 */
													BgL_variablez00_bglt BgL_ffunz00_1291;

													{	/* Cfa/closure.scm 255 */
														BgL_varz00_bglt BgL_obj2201z00_2173;

														{
															obj_t BgL_auxz00_2943;

															{	/* Cfa/closure.scm 255 */
																obj_t BgL_pairz00_2172;

																{	/* Cfa/closure.scm 255 */
																	BgL_appz00_bglt BgL_obj2302z00_2171;

																	BgL_obj2302z00_2171 =
																		((BgL_appz00_bglt) BgL_appz00_1287);
																	BgL_pairz00_2172 =
																		(((BgL_appz00_bglt) CREF(
																				((obj_t) BgL_obj2302z00_2171)))->
																		BgL_argsz00);
																}
																BgL_auxz00_2943 = CAR(BgL_pairz00_2172);
															}
															BgL_obj2201z00_2173 =
																((BgL_varz00_bglt) BgL_auxz00_2943);
														}
														BgL_ffunz00_1291 =
															(((BgL_varz00_bglt) CREF(
																	((obj_t) BgL_obj2201z00_2173)))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 255 */
														BgL_valuez00_bglt BgL_sfunz00_1292;

														BgL_sfunz00_1292 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_ffunz00_1291)))->BgL_valuez00);
														{	/* Cfa/closure.scm 256 */

															if (
																((long) CINT(BgL_siza7eza7_1290) < ((long) 1)))
																{	/* Cfa/closure.scm 258 */
																	{	/* Cfa/closure.scm 259 */
																		bool_t BgL_testz00_2956;

																		{	/* Cfa/closure.scm 259 */
																			bool_t BgL_testz00_2957;

																			{	/* Cfa/closure.scm 259 */
																				bool_t BgL_res5461z00_2179;

																				{	/* Cfa/closure.scm 259 */
																					obj_t BgL_obj1786z00_2178;

																					BgL_obj1786z00_2178 =
																						((obj_t) BgL_ffunz00_1291);
																					BgL_res5461z00_2179 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj1786z00_2178,
																						BGl_globalz00zzast_varz00);
																				}
																				BgL_testz00_2957 = BgL_res5461z00_2179;
																			}
																			if (BgL_testz00_2957)
																				{	/* Cfa/closure.scm 260 */
																					bool_t BgL_testz00_2960;

																					{	/* Cfa/closure.scm 260 */
																						obj_t BgL_arg5229z00_1301;

																						{	/* Cfa/closure.scm 260 */
																							BgL_funz00_bglt
																								BgL_obj1867z00_2180;
																							BgL_obj1867z00_2180 =
																								((BgL_funz00_bglt)
																								BgL_sfunz00_1292);
																							BgL_arg5229z00_1301 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1867z00_2180)))->
																								BgL_thezd2closurezd2);
																						}
																						BgL_testz00_2960 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg5229z00_1301,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_2960)
																						{	/* Cfa/closure.scm 261 */
																							BgL_valuez00_bglt
																								BgL_arg5227z00_1299;
																							{	/* Cfa/closure.scm 261 */
																								BgL_variablez00_bglt
																									BgL_obj1612z00_2184;
																								{	/* Cfa/closure.scm 261 */
																									BgL_funz00_bglt
																										BgL_obj1867z00_2183;
																									BgL_obj1867z00_2183 =
																										((BgL_funz00_bglt)
																										BgL_sfunz00_1292);
																									BgL_obj1612z00_2184 =
																										((BgL_variablez00_bglt) ((
																												(BgL_funz00_bglt)
																												CREF(((obj_t)
																														BgL_obj1867z00_2183)))->
																											BgL_thezd2closurezd2));
																								}
																								BgL_arg5227z00_1299 =
																									(((BgL_variablez00_bglt) CREF(
																											((obj_t)
																												BgL_obj1612z00_2184)))->
																									BgL_valuez00);
																							}
																							{	/* Cfa/closure.scm 261 */
																								bool_t BgL_res5463z00_2186;

																								{	/* Cfa/closure.scm 261 */
																									obj_t BgL_obj2095z00_2185;

																									BgL_obj2095z00_2185 =
																										((obj_t)
																										BgL_arg5227z00_1299);
																									BgL_res5463z00_2186 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj2095z00_2185,
																										BGl_scnstz00zzast_varz00);
																								}
																								BgL_testz00_2956 =
																									BgL_res5463z00_2186;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 260 */
																							BgL_testz00_2956 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 259 */
																					BgL_testz00_2956 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2956)
																			{	/* Cfa/closure.scm 262 */
																				BgL_valuez00_bglt BgL_arg5223z00_1295;

																				{	/* Cfa/closure.scm 262 */
																					BgL_variablez00_bglt
																						BgL_obj1612z00_2188;
																					{	/* Cfa/closure.scm 262 */
																						BgL_funz00_bglt BgL_obj1867z00_2187;

																						BgL_obj1867z00_2187 =
																							((BgL_funz00_bglt)
																							BgL_sfunz00_1292);
																						BgL_obj1612z00_2188 =
																							((BgL_variablez00_bglt) ((
																									(BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1867z00_2187)))->
																								BgL_thezd2closurezd2));
																					}
																					BgL_arg5223z00_1295 =
																						(((BgL_variablez00_bglt) CREF(
																								((obj_t)
																									BgL_obj1612z00_2188)))->
																						BgL_valuez00);
																				}
																				{	/* Cfa/closure.scm 262 */
																					BgL_scnstz00_bglt BgL_obj2079z00_2189;
																					obj_t BgL_val2078z00_2190;

																					BgL_obj2079z00_2189 =
																						((BgL_scnstz00_bglt)
																						BgL_arg5223z00_1295);
																					BgL_val2078z00_2190 =
																						CNST_TABLE_REF(((long) 6));
																					((((BgL_scnstz00_bglt) CREF(((obj_t)
																										BgL_obj2079z00_2189)))->
																							BgL_classz00) =
																						((obj_t) BgL_val2078z00_2190),
																						BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 259 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 264 */
																		BgL_varz00_bglt BgL_arg5230z00_1302;

																		{	/* Cfa/closure.scm 264 */
																			BgL_appz00_bglt BgL_obj2299z00_2191;

																			BgL_obj2299z00_2191 =
																				((BgL_appz00_bglt) BgL_appz00_1287);
																			BgL_arg5230z00_1302 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_obj2299z00_2191)))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 264 */
																			BgL_variablez00_bglt BgL_val2202z00_2193;

																			{	/* Cfa/closure.scm 264 */
																				obj_t BgL_xz00_2488;

																				BgL_xz00_2488 =
																					BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00;
																				BgL_val2202z00_2193 =
																					((BgL_variablez00_bglt)
																					BgL_xz00_2488);
																			}
																			((((BgL_varz00_bglt) CREF(
																							((obj_t) BgL_arg5230z00_1302)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val2202z00_2193), BUNSPEC);
																		}
																	}
																	if (CBOOL
																		(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
																		{	/* Cfa/closure.scm 265 */
																			{	/* Cfa/closure.scm 266 */
																				BgL_varz00_bglt BgL_arg5231z00_1303;

																				{	/* Cfa/closure.scm 266 */
																					BgL_appz00_bglt BgL_obj2299z00_2194;

																					BgL_obj2299z00_2194 =
																						((BgL_appz00_bglt) BgL_appz00_1287);
																					BgL_arg5231z00_1303 =
																						(((BgL_appz00_bglt) CREF(
																								((obj_t)
																									BgL_obj2299z00_2194)))->
																						BgL_funz00);
																				}
																				{	/* Cfa/closure.scm 266 */
																					BgL_nodez00_bglt BgL_obj2139z00_2195;
																					BgL_typez00_bglt BgL_val2138z00_2196;

																					BgL_obj2139z00_2195 =
																						((BgL_nodez00_bglt)
																						BgL_arg5231z00_1303);
																					{	/* Cfa/closure.scm 266 */
																						obj_t BgL_xz00_2493;

																						BgL_xz00_2493 =
																							BGl_za2procedurezd2elza2zd2zztype_cachez00;
																						BgL_val2138z00_2196 =
																							((BgL_typez00_bglt)
																							BgL_xz00_2493);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((obj_t)
																										BgL_obj2139z00_2195)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_val2138z00_2196), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 267 */
																				BgL_nodez00_bglt BgL_obj2139z00_2197;
																				BgL_typez00_bglt BgL_val2138z00_2198;

																				BgL_obj2139z00_2197 =
																					((BgL_nodez00_bglt) BgL_appz00_1287);
																				{	/* Cfa/closure.scm 267 */
																					obj_t BgL_xz00_2496;

																					BgL_xz00_2496 =
																						BGl_za2procedurezd2elza2zd2zztype_cachez00;
																					BgL_val2138z00_2198 =
																						((BgL_typez00_bglt) BgL_xz00_2496);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((obj_t)
																									BgL_obj2139z00_2197)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt)
																						BgL_val2138z00_2198), BUNSPEC);
																			}
																		}
																	else
																		{	/* Cfa/closure.scm 265 */
																			BFALSE;
																		}
																}
															else
																{	/* Cfa/closure.scm 258 */
																	{	/* Cfa/closure.scm 269 */
																		BgL_varz00_bglt BgL_arg5232z00_1304;

																		{	/* Cfa/closure.scm 269 */
																			BgL_appz00_bglt BgL_obj2299z00_2199;

																			BgL_obj2299z00_2199 =
																				((BgL_appz00_bglt) BgL_appz00_1287);
																			BgL_arg5232z00_1304 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_obj2299z00_2199)))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 269 */
																			BgL_variablez00_bglt BgL_val2202z00_2201;

																			{	/* Cfa/closure.scm 269 */
																				obj_t BgL_xz00_2500;

																				BgL_xz00_2500 =
																					BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00;
																				BgL_val2202z00_2201 =
																					((BgL_variablez00_bglt)
																					BgL_xz00_2500);
																			}
																			((((BgL_varz00_bglt) CREF(
																							((obj_t) BgL_arg5232z00_1304)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val2202z00_2201), BUNSPEC);
																		}
																	}
																	if (CBOOL
																		(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
																		{	/* Cfa/closure.scm 270 */
																			{	/* Cfa/closure.scm 271 */
																				BgL_varz00_bglt BgL_arg5233z00_1305;

																				{	/* Cfa/closure.scm 271 */
																					BgL_appz00_bglt BgL_obj2299z00_2202;

																					BgL_obj2299z00_2202 =
																						((BgL_appz00_bglt) BgL_appz00_1287);
																					BgL_arg5233z00_1305 =
																						(((BgL_appz00_bglt) CREF(
																								((obj_t)
																									BgL_obj2299z00_2202)))->
																						BgL_funz00);
																				}
																				{	/* Cfa/closure.scm 271 */
																					BgL_nodez00_bglt BgL_obj2139z00_2203;
																					BgL_typez00_bglt BgL_val2138z00_2204;

																					BgL_obj2139z00_2203 =
																						((BgL_nodez00_bglt)
																						BgL_arg5233z00_1305);
																					{	/* Cfa/closure.scm 271 */
																						obj_t BgL_xz00_2505;

																						BgL_xz00_2505 =
																							BGl_za2procedurezd2elza2zd2zztype_cachez00;
																						BgL_val2138z00_2204 =
																							((BgL_typez00_bglt)
																							BgL_xz00_2505);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((obj_t)
																										BgL_obj2139z00_2203)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_val2138z00_2204), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 272 */
																				BgL_nodez00_bglt BgL_obj2139z00_2205;
																				BgL_typez00_bglt BgL_val2138z00_2206;

																				BgL_obj2139z00_2205 =
																					((BgL_nodez00_bglt) BgL_appz00_1287);
																				{	/* Cfa/closure.scm 272 */
																					obj_t BgL_xz00_2508;

																					BgL_xz00_2508 =
																						BGl_za2procedurezd2elza2zd2zztype_cachez00;
																					BgL_val2138z00_2206 =
																						((BgL_typez00_bglt) BgL_xz00_2508);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((obj_t)
																									BgL_obj2139z00_2205)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt)
																						BgL_val2138z00_2206), BUNSPEC);
																			}
																		}
																	else
																		{	/* Cfa/closure.scm 270 */
																			BFALSE;
																		}
																}
														}
													}
												}
											}
											{	/* Cfa/closure.scm 273 */
												obj_t BgL_arg5238z00_1310;

												{	/* Cfa/closure.scm 273 */
													obj_t BgL_pairz00_2208;

													{	/* Cfa/closure.scm 273 */
														BgL_appz00_bglt BgL_obj2302z00_2207;

														BgL_obj2302z00_2207 =
															((BgL_appz00_bglt) BgL_appz00_1287);
														BgL_pairz00_2208 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_obj2302z00_2207)))->BgL_argsz00);
													}
													BgL_arg5238z00_1310 = CDR(CDR(BgL_pairz00_2208));
												}
												{	/* Cfa/closure.scm 273 */
													BgL_appz00_bglt BgL_obj2304z00_2212;

													BgL_obj2304z00_2212 =
														((BgL_appz00_bglt) BgL_appz00_1287);
													((((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_obj2304z00_2212)))->
															BgL_argsz00) =
														((obj_t) BgL_arg5238z00_1310), BUNSPEC);
												}
											}
											BgL_appz00_1287;
										}
									else
										{	/* Cfa/closure.scm 297 */
											bool_t BgL_testz00_3029;

											{	/* Cfa/closure.scm 297 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4484z00_2258;

												BgL_obj4484z00_2258 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_appz00_1281);
												{
													obj_t BgL_auxz00_3031;

													{	/* Cfa/closure.scm 297 */
														BgL_objectz00_bglt BgL_auxz00_3032;

														BgL_auxz00_3032 =
															((BgL_objectz00_bglt) BgL_obj4484z00_2258);
														BgL_auxz00_3031 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3032);
													}
													BgL_testz00_3029 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_3031))->BgL_tz00);
												}
											}
											if (BgL_testz00_3029)
												{	/* Cfa/closure.scm 297 */
													BgL_appz00_1312 = BgL_appz00_1281;
													{	/* Cfa/closure.scm 277 */
														obj_t BgL_siza7eza7_1315;

														{	/* Cfa/closure.scm 277 */
															obj_t BgL_arg5256z00_1333;

															{	/* Cfa/closure.scm 277 */
																obj_t BgL_pairz00_2215;

																{	/* Cfa/closure.scm 277 */
																	BgL_appz00_bglt BgL_obj2302z00_2214;

																	BgL_obj2302z00_2214 =
																		((BgL_appz00_bglt) BgL_appz00_1312);
																	BgL_pairz00_2215 =
																		(((BgL_appz00_bglt) CREF(
																				((obj_t) BgL_obj2302z00_2214)))->
																		BgL_argsz00);
																}
																BgL_arg5256z00_1333 =
																	CAR(CDR(CDR(BgL_pairz00_2215)));
															}
															BgL_siza7eza7_1315 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg5256z00_1333));
														}
														{	/* Cfa/closure.scm 277 */
															BgL_variablez00_bglt BgL_ffunz00_1316;

															{	/* Cfa/closure.scm 278 */
																BgL_varz00_bglt BgL_obj2201z00_2223;

																{
																	obj_t BgL_auxz00_3044;

																	{	/* Cfa/closure.scm 278 */
																		obj_t BgL_pairz00_2222;

																		{	/* Cfa/closure.scm 278 */
																			BgL_appz00_bglt BgL_obj2302z00_2221;

																			BgL_obj2302z00_2221 =
																				((BgL_appz00_bglt) BgL_appz00_1312);
																			BgL_pairz00_2222 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_obj2302z00_2221)))->
																				BgL_argsz00);
																		}
																		BgL_auxz00_3044 = CAR(BgL_pairz00_2222);
																	}
																	BgL_obj2201z00_2223 =
																		((BgL_varz00_bglt) BgL_auxz00_3044);
																}
																BgL_ffunz00_1316 =
																	(((BgL_varz00_bglt) CREF(
																			((obj_t) BgL_obj2201z00_2223)))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 278 */
																BgL_valuez00_bglt BgL_sfunz00_1317;

																BgL_sfunz00_1317 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_ffunz00_1316)))->
																	BgL_valuez00);
																{	/* Cfa/closure.scm 279 */

																	{	/* Cfa/closure.scm 280 */
																		bool_t BgL_testz00_3054;

																		{	/* Cfa/closure.scm 280 */
																			bool_t BgL_testz00_3055;

																			{	/* Cfa/closure.scm 280 */
																				bool_t BgL_res5464z00_2226;

																				{	/* Cfa/closure.scm 280 */
																					obj_t BgL_obj1786z00_2225;

																					BgL_obj1786z00_2225 =
																						((obj_t) BgL_ffunz00_1316);
																					BgL_res5464z00_2226 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj1786z00_2225,
																						BGl_globalz00zzast_varz00);
																				}
																				BgL_testz00_3055 = BgL_res5464z00_2226;
																			}
																			if (BgL_testz00_3055)
																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_3058;

																					{	/* Cfa/closure.scm 281 */
																						obj_t BgL_arg5248z00_1325;

																						{	/* Cfa/closure.scm 281 */
																							BgL_funz00_bglt
																								BgL_obj1867z00_2227;
																							BgL_obj1867z00_2227 =
																								((BgL_funz00_bglt)
																								BgL_sfunz00_1317);
																							BgL_arg5248z00_1325 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1867z00_2227)))->
																								BgL_thezd2closurezd2);
																						}
																						BgL_testz00_3058 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg5248z00_1325,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_3058)
																						{	/* Cfa/closure.scm 282 */
																							BgL_valuez00_bglt
																								BgL_arg5246z00_1323;
																							{	/* Cfa/closure.scm 282 */
																								BgL_variablez00_bglt
																									BgL_obj1612z00_2231;
																								{	/* Cfa/closure.scm 282 */
																									BgL_funz00_bglt
																										BgL_obj1867z00_2230;
																									BgL_obj1867z00_2230 =
																										((BgL_funz00_bglt)
																										BgL_sfunz00_1317);
																									BgL_obj1612z00_2231 =
																										((BgL_variablez00_bglt) ((
																												(BgL_funz00_bglt)
																												CREF(((obj_t)
																														BgL_obj1867z00_2230)))->
																											BgL_thezd2closurezd2));
																								}
																								BgL_arg5246z00_1323 =
																									(((BgL_variablez00_bglt) CREF(
																											((obj_t)
																												BgL_obj1612z00_2231)))->
																									BgL_valuez00);
																							}
																							{	/* Cfa/closure.scm 282 */
																								bool_t BgL_res5466z00_2233;

																								{	/* Cfa/closure.scm 282 */
																									obj_t BgL_obj2095z00_2232;

																									BgL_obj2095z00_2232 =
																										((obj_t)
																										BgL_arg5246z00_1323);
																									BgL_res5466z00_2233 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj2095z00_2232,
																										BGl_scnstz00zzast_varz00);
																								}
																								BgL_testz00_3054 =
																									BgL_res5466z00_2233;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_3054 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 280 */
																					BgL_testz00_3054 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_3054)
																			{	/* Cfa/closure.scm 283 */
																				BgL_valuez00_bglt BgL_arg5242z00_1319;

																				{	/* Cfa/closure.scm 283 */
																					BgL_variablez00_bglt
																						BgL_obj1612z00_2235;
																					{	/* Cfa/closure.scm 283 */
																						BgL_funz00_bglt BgL_obj1867z00_2234;

																						BgL_obj1867z00_2234 =
																							((BgL_funz00_bglt)
																							BgL_sfunz00_1317);
																						BgL_obj1612z00_2235 =
																							((BgL_variablez00_bglt) ((
																									(BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1867z00_2234)))->
																								BgL_thezd2closurezd2));
																					}
																					BgL_arg5242z00_1319 =
																						(((BgL_variablez00_bglt) CREF(
																								((obj_t)
																									BgL_obj1612z00_2235)))->
																						BgL_valuez00);
																				}
																				{	/* Cfa/closure.scm 283 */
																					BgL_scnstz00_bglt BgL_obj2079z00_2236;
																					obj_t BgL_val2078z00_2237;

																					BgL_obj2079z00_2236 =
																						((BgL_scnstz00_bglt)
																						BgL_arg5242z00_1319);
																					BgL_val2078z00_2237 =
																						CNST_TABLE_REF(((long) 7));
																					((((BgL_scnstz00_bglt) CREF(((obj_t)
																										BgL_obj2079z00_2236)))->
																							BgL_classz00) =
																						((obj_t) BgL_val2078z00_2237),
																						BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 280 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 285 */
																		BgL_varz00_bglt BgL_arg5249z00_1326;

																		{	/* Cfa/closure.scm 285 */
																			BgL_appz00_bglt BgL_obj2299z00_2238;

																			BgL_obj2299z00_2238 =
																				((BgL_appz00_bglt) BgL_appz00_1312);
																			BgL_arg5249z00_1326 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_obj2299z00_2238)))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 285 */
																			BgL_variablez00_bglt BgL_val2202z00_2240;

																			{	/* Cfa/closure.scm 285 */
																				obj_t BgL_xz00_2538;

																				BgL_xz00_2538 =
																					BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00;
																				BgL_val2202z00_2240 =
																					((BgL_variablez00_bglt)
																					BgL_xz00_2538);
																			}
																			((((BgL_varz00_bglt) CREF(
																							((obj_t) BgL_arg5249z00_1326)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val2202z00_2240), BUNSPEC);
																		}
																	}
																	if (CBOOL
																		(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
																		{	/* Cfa/closure.scm 286 */
																			{	/* Cfa/closure.scm 288 */
																				BgL_varz00_bglt BgL_arg5250z00_1327;

																				{	/* Cfa/closure.scm 288 */
																					BgL_appz00_bglt BgL_obj2299z00_2241;

																					BgL_obj2299z00_2241 =
																						((BgL_appz00_bglt) BgL_appz00_1312);
																					BgL_arg5250z00_1327 =
																						(((BgL_appz00_bglt) CREF(
																								((obj_t)
																									BgL_obj2299z00_2241)))->
																						BgL_funz00);
																				}
																				{	/* Cfa/closure.scm 288 */
																					BgL_nodez00_bglt BgL_obj2139z00_2242;
																					BgL_typez00_bglt BgL_val2138z00_2243;

																					BgL_obj2139z00_2242 =
																						((BgL_nodez00_bglt)
																						BgL_arg5250z00_1327);
																					{	/* Cfa/closure.scm 288 */
																						obj_t BgL_xz00_2543;

																						BgL_xz00_2543 =
																							BGl_za2procedureza2z00zztype_cachez00;
																						BgL_val2138z00_2243 =
																							((BgL_typez00_bglt)
																							BgL_xz00_2543);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((obj_t)
																										BgL_obj2139z00_2242)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_val2138z00_2243), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 289 */
																				BgL_nodez00_bglt BgL_obj2139z00_2244;
																				BgL_typez00_bglt BgL_val2138z00_2245;

																				BgL_obj2139z00_2244 =
																					((BgL_nodez00_bglt) BgL_appz00_1312);
																				{	/* Cfa/closure.scm 289 */
																					obj_t BgL_xz00_2546;

																					BgL_xz00_2546 =
																						BGl_za2procedureza2z00zztype_cachez00;
																					BgL_val2138z00_2245 =
																						((BgL_typez00_bglt) BgL_xz00_2546);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((obj_t)
																									BgL_obj2139z00_2244)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt)
																						BgL_val2138z00_2245), BUNSPEC);
																			}
																		}
																	else
																		{	/* Cfa/closure.scm 286 */
																			BFALSE;
																		}
																	{	/* Cfa/closure.scm 290 */
																		obj_t BgL_arg5251z00_1328;
																		obj_t BgL_arg5252z00_1329;

																		{	/* Cfa/closure.scm 290 */
																			BgL_appz00_bglt BgL_obj2302z00_2246;

																			BgL_obj2302z00_2246 =
																				((BgL_appz00_bglt) BgL_appz00_1312);
																			BgL_arg5251z00_1328 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_obj2302z00_2246)))->
																				BgL_argsz00);
																		}
																		{	/* Cfa/closure.scm 290 */
																			obj_t BgL_pairz00_2248;

																			{	/* Cfa/closure.scm 290 */
																				BgL_appz00_bglt BgL_obj2302z00_2247;

																				BgL_obj2302z00_2247 =
																					((BgL_appz00_bglt) BgL_appz00_1312);
																				BgL_pairz00_2248 =
																					(((BgL_appz00_bglt) CREF(
																							((obj_t) BgL_obj2302z00_2247)))->
																					BgL_argsz00);
																			}
																			BgL_arg5252z00_1329 =
																				CDR(CDR(BgL_pairz00_2248));
																		}
																		SET_CDR(BgL_arg5251z00_1328,
																			BgL_arg5252z00_1329);
																	}
																	BgL_appz00_1312;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 297 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l5135z00_3109;

								BgL_l5135z00_3109 = CDR(BgL_l5135z00_1278);
								BgL_l5135z00_1278 = BgL_l5135z00_3109;
								goto BgL_zc3anonymousza35215ze3z83_1279;
							}
						}
					else
						{	/* Cfa/closure.scm 293 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 303 */
			{
				obj_t BgL_l5142z00_1338;

				BgL_l5142z00_1338 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza35258ze3z83_1339:
				if (PAIRP(BgL_l5142z00_1338))
					{	/* Cfa/closure.scm 304 */
						{	/* Cfa/closure.scm 305 */
							BgL_funcallz00_bglt BgL_appz00_1341;

							BgL_appz00_1341 = ((BgL_funcallz00_bglt) CAR(BgL_l5142z00_1338));
							{	/* Cfa/closure.scm 306 */
								BgL_nodez00_bglt BgL_funz00_1342;

								BgL_funz00_1342 =
									(((BgL_funcallz00_bglt) CREF(
											((obj_t) BgL_appz00_1341)))->BgL_funz00);
								{	/* Cfa/closure.scm 306 */
									BgL_approxz00_bglt BgL_approxz00_1343;

									BgL_approxz00_1343 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1342);
									{	/* Cfa/closure.scm 307 */
										obj_t BgL_alloczd2listzd2_1344;

										{	/* Cfa/closure.scm 308 */
											obj_t BgL_arg5289z00_1386;

											BgL_arg5289z00_1386 =
												(((BgL_approxz00_bglt) CREF(
														((obj_t) BgL_approxz00_1343)))->BgL_allocsz00);
											BgL_alloczd2listzd2_1344 =
												BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5289z00_1386);
										}
										{	/* Cfa/closure.scm 308 */

											{	/* Cfa/closure.scm 309 */
												bool_t BgL_testz00_3121;

												if (PAIRP(BgL_alloczd2listzd2_1344))
													{	/* Cfa/closure.scm 310 */
														bool_t BgL_testz00_3124;

														{	/* Cfa/closure.scm 310 */
															obj_t BgL_arg5288z00_1385;

															BgL_arg5288z00_1385 =
																CAR(BgL_alloczd2listzd2_1344);
															BgL_testz00_3124 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg5288z00_1385,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_3124)
															{	/* Cfa/closure.scm 310 */
																BgL_testz00_3121 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 310 */
																BgL_testz00_3121 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 309 */
														BgL_testz00_3121 = ((bool_t) 1);
													}
												if (BgL_testz00_3121)
													{	/* Cfa/closure.scm 309 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 314 */
														BgL_appz00_bglt BgL_allocz00_1346;

														{	/* Cfa/closure.scm 314 */
															obj_t BgL_pairz00_2270;

															BgL_pairz00_2270 = BgL_alloczd2listzd2_1344;
															BgL_allocz00_1346 =
																((BgL_appz00_bglt) CAR(BgL_pairz00_2270));
														}
														{	/* Cfa/closure.scm 317 */
															bool_t BgL_testz00_3130;

															{	/* Cfa/closure.scm 317 */
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_obj4481z00_2271;
																BgL_obj4481z00_2271 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_allocz00_1346);
																{
																	obj_t BgL_auxz00_3132;

																	{	/* Cfa/closure.scm 317 */
																		BgL_objectz00_bglt BgL_auxz00_3133;

																		BgL_auxz00_3133 =
																			((BgL_objectz00_bglt)
																			BgL_obj4481z00_2271);
																		BgL_auxz00_3132 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3133);
																	}
																	BgL_testz00_3130 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_3132))->BgL_xz00);
																}
															}
															if (BgL_testz00_3130)
																{	/* Cfa/closure.scm 317 */
																	{	/* Cfa/closure.scm 321 */
																		BgL_varz00_bglt BgL_arg5262z00_1349;

																		{	/* Cfa/closure.scm 321 */
																			BgL_varz00_bglt
																				BgL_duplicated5113z00_1350;
																			{	/* Cfa/closure.scm 321 */
																				obj_t BgL_pairz00_2273;

																				BgL_pairz00_2273 =
																					(((BgL_appz00_bglt) CREF(
																							((obj_t) BgL_allocz00_1346)))->
																					BgL_argsz00);
																				BgL_duplicated5113z00_1350 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2273));
																			}
																			{	/* Cfa/closure.scm 321 */
																				BgL_varz00_bglt BgL_new5114z00_1351;

																				{	/* Cfa/closure.scm 321 */
																					obj_t BgL_arg5263z00_1352;
																					BgL_typez00_bglt BgL_arg5264z00_1353;
																					BgL_variablez00_bglt
																						BgL_arg5265z00_1354;
																					{	/* Cfa/closure.scm 321 */
																						BgL_nodez00_bglt
																							BgL_obj2136z00_2274;
																						BgL_obj2136z00_2274 =
																							((BgL_nodez00_bglt)
																							BgL_duplicated5113z00_1350);
																						BgL_arg5263z00_1352 =
																							(((BgL_nodez00_bglt) CREF(((obj_t)
																										BgL_obj2136z00_2274)))->
																							BgL_locz00);
																					}
																					{	/* Cfa/closure.scm 323 */
																						obj_t BgL_arg5266z00_1355;
																						BgL_typez00_bglt
																							BgL_arg5267z00_1356;
																						{	/* Cfa/closure.scm 323 */
																							BgL_approxz00_bglt
																								BgL_arg5268z00_1357;
																							obj_t BgL_arg5269z00_1358;

																							{	/* Cfa/closure.scm 323 */
																								BgL_makezd2procedurezd2appz00_bglt
																									BgL_obj4469z00_2275;
																								BgL_obj4469z00_2275 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_allocz00_1346);
																								{
																									obj_t BgL_auxz00_3145;

																									{	/* Cfa/closure.scm 323 */
																										BgL_objectz00_bglt
																											BgL_auxz00_3146;
																										BgL_auxz00_3146 =
																											((BgL_objectz00_bglt)
																											BgL_obj4469z00_2275);
																										BgL_auxz00_3145 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_3146);
																									}
																									BgL_arg5268z00_1357 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_3145))->BgL_approxz00);
																								}
																							}
																							{	/* Cfa/closure.scm 323 */
																								obj_t BgL_pairz00_2277;

																								BgL_pairz00_2277 =
																									(((BgL_appz00_bglt) CREF(
																											((obj_t)
																												BgL_allocz00_1346)))->
																									BgL_argsz00);
																								BgL_arg5269z00_1358 =
																									CAR(BgL_pairz00_2277);
																							}
																							BgL_arg5266z00_1355 =
																								BGl_getzd2approxzd2typez00zzcfa_typez00
																								(BgL_arg5268z00_1357,
																								BgL_arg5269z00_1358);
																						}
																						{	/* Cfa/closure.scm 324 */
																							BgL_nodez00_bglt
																								BgL_obj2137z00_2280;
																							{
																								obj_t BgL_auxz00_3154;

																								{	/* Cfa/closure.scm 324 */
																									obj_t BgL_pairz00_2279;

																									BgL_pairz00_2279 =
																										(((BgL_appz00_bglt) CREF(
																												((obj_t)
																													BgL_allocz00_1346)))->
																										BgL_argsz00);
																									BgL_auxz00_3154 =
																										CAR(BgL_pairz00_2279);
																								}
																								BgL_obj2137z00_2280 =
																									((BgL_nodez00_bglt)
																									BgL_auxz00_3154);
																							}
																							BgL_arg5267z00_1356 =
																								(((BgL_nodez00_bglt) CREF(
																										((obj_t)
																											BgL_obj2137z00_2280)))->
																								BgL_typez00);
																						}
																						BgL_arg5264z00_1353 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(((BgL_typez00_bglt)
																								BgL_arg5266z00_1355),
																							BgL_arg5267z00_1356);
																					}
																					BgL_arg5265z00_1354 =
																						(((BgL_varz00_bglt) CREF(
																								((obj_t)
																									BgL_duplicated5113z00_1350)))->
																						BgL_variablez00);
																					BgL_new5114z00_1351 =
																						BGl_makezd2varzd2zzast_nodez00
																						(BgL_arg5263z00_1352,
																						BgL_arg5264z00_1353,
																						BgL_arg5265z00_1354);
																				}
																				{	/* Cfa/closure.scm 321 */

																					BgL_arg5262z00_1349 =
																						BgL_new5114z00_1351;
																				}
																			}
																		}
																		{	/* Cfa/closure.scm 319 */
																			BgL_nodez00_bglt BgL_val2361z00_2283;

																			BgL_val2361z00_2283 =
																				((BgL_nodez00_bglt)
																				BgL_arg5262z00_1349);
																			((((BgL_funcallz00_bglt) CREF(((obj_t)
																								BgL_appz00_1341)))->
																					BgL_funz00) =
																				((BgL_nodez00_bglt)
																					BgL_val2361z00_2283), BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 325 */
																		obj_t BgL_arg5275z00_1363;

																		{	/* Cfa/closure.scm 325 */
																			obj_t BgL_arg5276z00_1364;

																			{	/* Cfa/closure.scm 325 */
																				obj_t BgL_pairz00_2285;

																				BgL_pairz00_2285 =
																					(((BgL_appz00_bglt) CREF(
																							((obj_t) BgL_allocz00_1346)))->
																					BgL_argsz00);
																				BgL_arg5276z00_1364 =
																					CAR(BgL_pairz00_2285);
																			}
																			{	/* Cfa/closure.scm 325 */
																				obj_t BgL_list5277z00_1365;

																				BgL_list5277z00_1365 =
																					MAKE_PAIR(BgL_arg5276z00_1364, BNIL);
																				BgL_arg5275z00_1363 =
																					BgL_list5277z00_1365;
																			}
																		}
																		((((BgL_funcallz00_bglt) CREF(
																						((obj_t) BgL_appz00_1341)))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg5275z00_1363), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 326 */
																		obj_t BgL_val2367z00_2291;

																		BgL_val2367z00_2291 =
																			CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt) CREF(
																						((obj_t) BgL_appz00_1341)))->
																				BgL_strengthz00) =
																			((obj_t) BgL_val2367z00_2291), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 327 */
																	bool_t BgL_testz00_3178;

																	{	/* Cfa/closure.scm 327 */
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_obj4484z00_2292;
																		BgL_obj4484z00_2292 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_allocz00_1346);
																		{
																			obj_t BgL_auxz00_3180;

																			{	/* Cfa/closure.scm 327 */
																				BgL_objectz00_bglt BgL_auxz00_3181;

																				BgL_auxz00_3181 =
																					((BgL_objectz00_bglt)
																					BgL_obj4484z00_2292);
																				BgL_auxz00_3180 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3181);
																			}
																			BgL_testz00_3178 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_3180))->BgL_tz00);
																		}
																	}
																	if (BgL_testz00_3178)
																		{	/* Cfa/closure.scm 327 */
																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_fz00_1368;

																				if (NULLP(BgL_alloczd2listzd2_1344))
																					{	/* Cfa/closure.scm 329 */
																						BgL_fz00_1368 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 329 */
																						obj_t BgL_head5139z00_1371;

																						{	/* Cfa/closure.scm 329 */
																							obj_t BgL_res5473z00_2297;

																							BgL_res5473z00_2297 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_head5139z00_1371 =
																								BgL_res5473z00_2297;
																						}
																						{
																							obj_t BgL_l5137z00_1373;
																							obj_t BgL_tail5140z00_1374;

																							BgL_l5137z00_1373 =
																								BgL_alloczd2listzd2_1344;
																							BgL_tail5140z00_1374 =
																								BgL_head5139z00_1371;
																						BgL_zc3anonymousza35281ze3z83_1375:
																							if (NULLP(BgL_l5137z00_1373))
																								{	/* Cfa/closure.scm 329 */
																									BgL_fz00_1368 =
																										CDR(BgL_head5139z00_1371);
																								}
																							else
																								{	/* Cfa/closure.scm 329 */
																									obj_t BgL_newtail5141z00_1377;

																									{	/* Cfa/closure.scm 329 */
																										obj_t BgL_arg5284z00_1379;

																										{	/* Cfa/closure.scm 330 */
																											obj_t BgL_pairz00_2303;

																											{	/* Cfa/closure.scm 330 */
																												BgL_appz00_bglt
																													BgL_obj2302z00_2302;
																												BgL_obj2302z00_2302 =
																													((BgL_appz00_bglt)
																													CAR
																													(BgL_l5137z00_1373));
																												BgL_pairz00_2303 =
																													(((BgL_appz00_bglt)
																														CREF(((obj_t)
																																BgL_obj2302z00_2302)))->
																													BgL_argsz00);
																											}
																											BgL_arg5284z00_1379 =
																												CAR(BgL_pairz00_2303);
																										}
																										{	/* Cfa/closure.scm 329 */
																											obj_t BgL_res5475z00_2306;

																											BgL_res5475z00_2306 =
																												MAKE_PAIR
																												(BgL_arg5284z00_1379,
																												BNIL);
																											BgL_newtail5141z00_1377 =
																												BgL_res5475z00_2306;
																										}
																									}
																									SET_CDR(BgL_tail5140z00_1374,
																										BgL_newtail5141z00_1377);
																									{
																										obj_t BgL_tail5140z00_3200;
																										obj_t BgL_l5137z00_3198;

																										BgL_l5137z00_3198 =
																											CDR(BgL_l5137z00_1373);
																										BgL_tail5140z00_3200 =
																											BgL_newtail5141z00_1377;
																										BgL_tail5140z00_1374 =
																											BgL_tail5140z00_3200;
																										BgL_l5137z00_1373 =
																											BgL_l5137z00_3198;
																										goto
																											BgL_zc3anonymousza35281ze3z83_1375;
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt) CREF(
																								((obj_t) BgL_appz00_1341)))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_1368), BUNSPEC);
																			}
																			{	/* Cfa/closure.scm 333 */
																				obj_t BgL_val2367z00_2313;

																				BgL_val2367z00_2313 =
																					CNST_TABLE_REF(((long) 2));
																				((((BgL_funcallz00_bglt) CREF(
																								((obj_t) BgL_appz00_1341)))->
																						BgL_strengthz00) =
																					((obj_t) BgL_val2367z00_2313),
																					BUNSPEC);
																		}}
																	else
																		{	/* Cfa/closure.scm 327 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l5142z00_3207;

							BgL_l5142z00_3207 = CDR(BgL_l5142z00_1338);
							BgL_l5142z00_1338 = BgL_l5142z00_3207;
							goto BgL_zc3anonymousza35258ze3z83_1339;
						}
					}
				else
					{	/* Cfa/closure.scm 304 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 342 */
			{
				obj_t BgL_l5144z00_1390;

				BgL_l5144z00_1390 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza35291ze3z83_1391:
				if (PAIRP(BgL_l5144z00_1390))
					{	/* Cfa/closure.scm 343 */
						{	/* Cfa/closure.scm 345 */
							obj_t BgL_appz00_1393;

							BgL_appz00_1393 = CAR(BgL_l5144z00_1390);
							{	/* Cfa/closure.scm 345 */
								BgL_approxz00_bglt BgL_approxz00_1395;

								{	/* Cfa/closure.scm 346 */
									obj_t BgL_arg5302z00_1410;

									{	/* Cfa/closure.scm 346 */
										obj_t BgL_pairz00_2320;

										{	/* Cfa/closure.scm 346 */
											BgL_appz00_bglt BgL_obj2302z00_2319;

											BgL_obj2302z00_2319 = ((BgL_appz00_bglt) BgL_appz00_1393);
											BgL_pairz00_2320 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_obj2302z00_2319)))->BgL_argsz00);
										}
										BgL_arg5302z00_1410 = CAR(BgL_pairz00_2320);
									}
									BgL_approxz00_1395 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg5302z00_1410));
								}
								{	/* Cfa/closure.scm 346 */
									obj_t BgL_alloczd2listzd2_1396;

									{	/* Cfa/closure.scm 347 */
										obj_t BgL_arg5301z00_1409;

										BgL_arg5301z00_1409 =
											(((BgL_approxz00_bglt) CREF(
													((obj_t) BgL_approxz00_1395)))->BgL_allocsz00);
										BgL_alloczd2listzd2_1396 =
											BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5301z00_1409);
									}
									{	/* Cfa/closure.scm 347 */
										BgL_varz00_bglt BgL_funz00_1397;

										{	/* Cfa/closure.scm 348 */
											BgL_appz00_bglt BgL_obj2299z00_2322;

											BgL_obj2299z00_2322 = ((BgL_appz00_bglt) BgL_appz00_1393);
											BgL_funz00_1397 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_obj2299z00_2322)))->BgL_funz00);
										}
										{	/* Cfa/closure.scm 348 */
											BgL_variablez00_bglt BgL_vfunz00_1398;

											BgL_vfunz00_1398 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_funz00_1397)))->BgL_variablez00);
											{	/* Cfa/closure.scm 349 */

												{	/* Cfa/closure.scm 350 */
													bool_t BgL_testz00_3226;

													if (PAIRP(BgL_alloczd2listzd2_1396))
														{	/* Cfa/closure.scm 351 */
															bool_t BgL_testz00_3229;

															{	/* Cfa/closure.scm 351 */
																obj_t BgL_arg5300z00_1408;

																BgL_arg5300z00_1408 =
																	CAR(BgL_alloczd2listzd2_1396);
																BgL_testz00_3229 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_arg5300z00_1408,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_3229)
																{	/* Cfa/closure.scm 351 */
																	BgL_testz00_3226 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 351 */
																	BgL_testz00_3226 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 350 */
															BgL_testz00_3226 = ((bool_t) 1);
														}
													if (BgL_testz00_3226)
														{	/* Cfa/closure.scm 350 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 353 */
															BgL_appz00_bglt BgL_allocz00_1400;

															{	/* Cfa/closure.scm 353 */
																obj_t BgL_pairz00_2329;

																BgL_pairz00_2329 = BgL_alloczd2listzd2_1396;
																BgL_allocz00_1400 =
																	((BgL_appz00_bglt) CAR(BgL_pairz00_2329));
															}
															{	/* Cfa/closure.scm 356 */
																bool_t BgL_testz00_3235;

																{	/* Cfa/closure.scm 356 */
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_obj4481z00_2330;
																	BgL_obj4481z00_2330 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_allocz00_1400);
																	{
																		obj_t BgL_auxz00_3237;

																		{	/* Cfa/closure.scm 356 */
																			BgL_objectz00_bglt BgL_auxz00_3238;

																			BgL_auxz00_3238 =
																				((BgL_objectz00_bglt)
																				BgL_obj4481z00_2330);
																			BgL_auxz00_3237 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_3238);
																		}
																		BgL_testz00_3235 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_3237))->BgL_xz00);
																	}
																}
																if (BgL_testz00_3235)
																	{	/* Cfa/closure.scm 356 */
																		if (
																			(((obj_t) BgL_vfunz00_1398) ==
																				BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																			{	/* Cfa/closure.scm 358 */
																				BgL_variablez00_bglt
																					BgL_val2202z00_2332;
																				{	/* Cfa/closure.scm 358 */
																					obj_t BgL_xz00_2596;

																					BgL_xz00_2596 =
																						BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00;
																					BgL_val2202z00_2332 =
																						((BgL_variablez00_bglt)
																						BgL_xz00_2596);
																				}
																				((((BgL_varz00_bglt) CREF(
																								((obj_t) BgL_funz00_1397)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_val2202z00_2332), BUNSPEC);
																			}
																		else
																			{	/* Cfa/closure.scm 359 */
																				BgL_variablez00_bglt
																					BgL_val2202z00_2334;
																				{	/* Cfa/closure.scm 359 */
																					obj_t BgL_xz00_2598;

																					BgL_xz00_2598 =
																						BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00;
																					BgL_val2202z00_2334 =
																						((BgL_variablez00_bglt)
																						BgL_xz00_2598);
																				}
																				((((BgL_varz00_bglt) CREF(
																								((obj_t) BgL_funz00_1397)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_val2202z00_2334), BUNSPEC);
																			}
																	}
																else
																	{	/* Cfa/closure.scm 360 */
																		bool_t BgL_testz00_3251;

																		{	/* Cfa/closure.scm 360 */
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_obj4484z00_2335;
																			BgL_obj4484z00_2335 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_allocz00_1400);
																			{
																				obj_t BgL_auxz00_3253;

																				{	/* Cfa/closure.scm 360 */
																					BgL_objectz00_bglt BgL_auxz00_3254;

																					BgL_auxz00_3254 =
																						((BgL_objectz00_bglt)
																						BgL_obj4484z00_2335);
																					BgL_auxz00_3253 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_3254);
																				}
																				BgL_testz00_3251 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_3253))->BgL_tz00);
																			}
																		}
																		if (BgL_testz00_3251)
																			{	/* Cfa/closure.scm 360 */
																				if (
																					(((obj_t) BgL_vfunz00_1398) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 362 */
																						BgL_variablez00_bglt
																							BgL_val2202z00_2337;
																						{	/* Cfa/closure.scm 362 */
																							obj_t BgL_xz00_2603;

																							BgL_xz00_2603 =
																								BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00;
																							BgL_val2202z00_2337 =
																								((BgL_variablez00_bglt)
																								BgL_xz00_2603);
																						}
																						((((BgL_varz00_bglt) CREF(
																										((obj_t)
																											BgL_funz00_1397)))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val2202z00_2337), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 363 */
																						BgL_variablez00_bglt
																							BgL_val2202z00_2339;
																						{	/* Cfa/closure.scm 363 */
																							obj_t BgL_xz00_2605;

																							BgL_xz00_2605 =
																								BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00;
																							BgL_val2202z00_2339 =
																								((BgL_variablez00_bglt)
																								BgL_xz00_2605);
																						}
																						((((BgL_varz00_bglt) CREF(
																										((obj_t)
																											BgL_funz00_1397)))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val2202z00_2339), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 360 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l5144z00_3267;

							BgL_l5144z00_3267 = CDR(BgL_l5144z00_1390);
							BgL_l5144z00_1390 = BgL_l5144z00_3267;
							goto BgL_zc3anonymousza35291ze3z83_1391;
						}
					}
				else
					{	/* Cfa/closure.scm 343 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 369 */
			{
				obj_t BgL_xpz00_1418;
				obj_t BgL_tpz00_1419;
				obj_t BgL_allocsz00_1420;

				BgL_xpz00_1418 = BNIL;
				BgL_tpz00_1419 = BNIL;
				BgL_allocsz00_1420 = BgL_allocsz00_8;
			BgL_zc3anonymousza35305ze3z83_1421:
				if (NULLP(BgL_allocsz00_1420))
					{	/* Cfa/closure.scm 380 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_1418);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_1419);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 385 */
						obj_t BgL_instance5119z00_1423;

						BgL_instance5119z00_1423 = CAR(BgL_allocsz00_1420);
						{	/* Cfa/closure.scm 387 */
							bool_t BgL_testz00_3276;

							{	/* Cfa/closure.scm 387 */
								BgL_makezd2procedurezd2appz00_bglt BgL_obj4481z00_2352;

								BgL_obj4481z00_2352 =
									((BgL_makezd2procedurezd2appz00_bglt)
									BgL_instance5119z00_1423);
								{
									obj_t BgL_auxz00_3278;

									{	/* Cfa/closure.scm 387 */
										BgL_objectz00_bglt BgL_auxz00_3279;

										BgL_auxz00_3279 =
											((BgL_objectz00_bglt) BgL_obj4481z00_2352);
										BgL_auxz00_3278 = BGL_OBJECT_WIDENING(BgL_auxz00_3279);
									}
									BgL_testz00_3276 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_3278))->BgL_xz00);
								}
							}
							if (BgL_testz00_3276)
								{	/* Cfa/closure.scm 388 */
									obj_t BgL_arg5308z00_1425;
									obj_t BgL_arg5309z00_1426;

									{	/* Cfa/closure.scm 388 */
										BgL_variablez00_bglt BgL_arg5311z00_1427;

										{	/* Cfa/closure.scm 388 */
											BgL_varz00_bglt BgL_obj2201z00_2355;

											{
												obj_t BgL_auxz00_3283;

												{	/* Cfa/closure.scm 388 */
													obj_t BgL_pairz00_2354;

													{	/* Cfa/closure.scm 388 */
														BgL_appz00_bglt BgL_obj2302z00_2353;

														BgL_obj2302z00_2353 =
															((BgL_appz00_bglt) BgL_instance5119z00_1423);
														BgL_pairz00_2354 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_obj2302z00_2353)))->BgL_argsz00);
													}
													BgL_auxz00_3283 = CAR(BgL_pairz00_2354);
												}
												BgL_obj2201z00_2355 =
													((BgL_varz00_bglt) BgL_auxz00_3283);
											}
											BgL_arg5311z00_1427 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_obj2201z00_2355)))->BgL_variablez00);
										}
										BgL_arg5308z00_1425 =
											MAKE_PAIR(((obj_t) BgL_arg5311z00_1427), BgL_xpz00_1418);
									}
									BgL_arg5309z00_1426 = CDR(BgL_allocsz00_1420);
									{
										obj_t BgL_allocsz00_3295;
										obj_t BgL_xpz00_3294;

										BgL_xpz00_3294 = BgL_arg5308z00_1425;
										BgL_allocsz00_3295 = BgL_arg5309z00_1426;
										BgL_allocsz00_1420 = BgL_allocsz00_3295;
										BgL_xpz00_1418 = BgL_xpz00_3294;
										goto BgL_zc3anonymousza35305ze3z83_1421;
									}
								}
							else
								{	/* Cfa/closure.scm 389 */
									bool_t BgL_testz00_3296;

									{	/* Cfa/closure.scm 389 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4484z00_2357;

										BgL_obj4484z00_2357 =
											((BgL_makezd2procedurezd2appz00_bglt)
											BgL_instance5119z00_1423);
										{
											obj_t BgL_auxz00_3298;

											{	/* Cfa/closure.scm 389 */
												BgL_objectz00_bglt BgL_auxz00_3299;

												BgL_auxz00_3299 =
													((BgL_objectz00_bglt) BgL_obj4484z00_2357);
												BgL_auxz00_3298 = BGL_OBJECT_WIDENING(BgL_auxz00_3299);
											}
											BgL_testz00_3296 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_3298))->BgL_tz00);
										}
									}
									if (BgL_testz00_3296)
										{	/* Cfa/closure.scm 390 */
											obj_t BgL_arg5315z00_1431;
											obj_t BgL_arg5316z00_1432;

											{	/* Cfa/closure.scm 390 */
												BgL_variablez00_bglt BgL_arg5317z00_1433;

												{	/* Cfa/closure.scm 390 */
													BgL_varz00_bglt BgL_obj2201z00_2360;

													{
														obj_t BgL_auxz00_3303;

														{	/* Cfa/closure.scm 390 */
															obj_t BgL_pairz00_2359;

															{	/* Cfa/closure.scm 390 */
																BgL_appz00_bglt BgL_obj2302z00_2358;

																BgL_obj2302z00_2358 =
																	((BgL_appz00_bglt) BgL_instance5119z00_1423);
																BgL_pairz00_2359 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_obj2302z00_2358)))->
																	BgL_argsz00);
															}
															BgL_auxz00_3303 = CAR(BgL_pairz00_2359);
														}
														BgL_obj2201z00_2360 =
															((BgL_varz00_bglt) BgL_auxz00_3303);
													}
													BgL_arg5317z00_1433 =
														(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_obj2201z00_2360)))->
														BgL_variablez00);
												}
												BgL_arg5315z00_1431 =
													MAKE_PAIR(
													((obj_t) BgL_arg5317z00_1433), BgL_tpz00_1419);
											}
											BgL_arg5316z00_1432 = CDR(BgL_allocsz00_1420);
											{
												obj_t BgL_allocsz00_3315;
												obj_t BgL_tpz00_3314;

												BgL_tpz00_3314 = BgL_arg5315z00_1431;
												BgL_allocsz00_3315 = BgL_arg5316z00_1432;
												BgL_allocsz00_1420 = BgL_allocsz00_3315;
												BgL_tpz00_1419 = BgL_tpz00_3314;
												goto BgL_zc3anonymousza35305ze3z83_1421;
											}
										}
									else
										{
											obj_t BgL_allocsz00_3316;

											BgL_allocsz00_3316 = CDR(BgL_allocsz00_1420);
											BgL_allocsz00_1420 = BgL_allocsz00_3316;
											goto BgL_zc3anonymousza35305ze3z83_1421;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_1438,
		obj_t BgL_lz00_1439)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 376 */
			if (NULLP(BgL_lz00_1439))
				{	/* Cfa/closure.scm 371 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 371 */
					{	/* Cfa/closure.scm 373 */
						obj_t BgL_arg5323z00_1442;

						BgL_arg5323z00_1442 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_1439));
						{	/* Cfa/closure.scm 373 */
							obj_t BgL_list5324z00_1443;

							{	/* Cfa/closure.scm 373 */
								obj_t BgL_arg5325z00_1444;

								{	/* Cfa/closure.scm 373 */
									obj_t BgL_arg5326z00_1445;

									{	/* Cfa/closure.scm 373 */
										obj_t BgL_arg5327z00_1446;

										{	/* Cfa/closure.scm 373 */
											obj_t BgL_arg5328z00_1447;

											BgL_arg5328z00_1447 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg5327z00_1446 =
												MAKE_PAIR(BgL_arg5323z00_1442, BgL_arg5328z00_1447);
										}
										BgL_arg5326z00_1445 =
											MAKE_PAIR(BGl_string5491z00zzcfa_closurez00,
											BgL_arg5327z00_1446);
									}
									BgL_arg5325z00_1444 =
										MAKE_PAIR(BgL_propz00_1438, BgL_arg5326z00_1445);
								}
								BgL_list5324z00_1443 =
									MAKE_PAIR(BGl_string5492z00zzcfa_closurez00,
									BgL_arg5325z00_1444);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list5324z00_1443);
					}}
					{	/* Cfa/closure.scm 374 */
						obj_t BgL_g5148z00_1449;

						BgL_g5148z00_1449 = CDR(BgL_lz00_1439);
						{
							obj_t BgL_l5146z00_1451;

							BgL_l5146z00_1451 = BgL_g5148z00_1449;
						BgL_zc3anonymousza35330ze3z83_1452:
							if (PAIRP(BgL_l5146z00_1451))
								{	/* Cfa/closure.scm 376 */
									{	/* Cfa/closure.scm 375 */
										obj_t BgL_xz00_1454;

										BgL_xz00_1454 = CAR(BgL_l5146z00_1451);
										{	/* Cfa/closure.scm 375 */
											obj_t BgL_arg5332z00_1455;

											BgL_arg5332z00_1455 =
												BGl_shapez00zztools_shapez00(BgL_xz00_1454);
											{	/* Cfa/closure.scm 375 */
												obj_t BgL_list5333z00_1456;

												{	/* Cfa/closure.scm 375 */
													obj_t BgL_arg5334z00_1457;

													{	/* Cfa/closure.scm 375 */
														obj_t BgL_arg5335z00_1458;

														BgL_arg5335z00_1458 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg5334z00_1457 =
															MAKE_PAIR(BgL_arg5332z00_1455,
															BgL_arg5335z00_1458);
													}
													BgL_list5333z00_1456 =
														MAKE_PAIR(BGl_string5493z00zzcfa_closurez00,
														BgL_arg5334z00_1457);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list5333z00_1456);
									}}}
									{
										obj_t BgL_l5146z00_3341;

										BgL_l5146z00_3341 = CDR(BgL_l5146z00_1451);
										BgL_l5146z00_1451 = BgL_l5146z00_3341;
										goto BgL_zc3anonymousza35330ze3z83_1452;
									}
								}
							else
								{	/* Cfa/closure.scm 376 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 404 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_2393)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 404 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 410 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 411 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_9),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 411 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_2394,
		obj_t BgL_astz00_2395)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 410 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_2395));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 417 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 418 */
					return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_10),
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 418 */
					return BFALSE;
				}
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_2396, obj_t BgL_astz00_2397)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 417 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_2397));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 424 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 425 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_11),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 425 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_2398, obj_t BgL_astz00_2399)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 424 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_2399));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 431 */
			{	/* Cfa/closure.scm 432 */
				BgL_typez00_bglt BgL_typez00_1465;
				obj_t BgL_alloczd2listzd2_1466;

				BgL_typez00_1465 =
					(((BgL_approxz00_bglt) CREF(
							((obj_t) BgL_approxz00_12)))->BgL_typez00);
				{	/* Cfa/closure.scm 433 */
					obj_t BgL_arg5343z00_1474;

					BgL_arg5343z00_1474 =
						(((BgL_approxz00_bglt) CREF(
								((obj_t) BgL_approxz00_12)))->BgL_allocsz00);
					BgL_alloczd2listzd2_1466 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5343z00_1474);
				}
				if (
					(((obj_t) BgL_typez00_1465) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 434 */
						if (PAIRP(BgL_alloczd2listzd2_1466))
							{	/* Cfa/closure.scm 435 */
								if (NULLP(CDR(BgL_alloczd2listzd2_1466)))
									{	/* Cfa/closure.scm 437 */
										bool_t BgL_testz00_3377;

										{	/* Cfa/closure.scm 437 */
											obj_t BgL_arg5341z00_1472;

											BgL_arg5341z00_1472 = CAR(BgL_alloczd2listzd2_1466);
											BgL_testz00_3377 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg5341z00_1472,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_3377)
											{	/* Cfa/closure.scm 438 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4481z00_2383;

												BgL_obj4481z00_2383 =
													((BgL_makezd2procedurezd2appz00_bglt)
													CAR(BgL_alloczd2listzd2_1466));
												{
													obj_t BgL_auxz00_3382;

													{	/* Cfa/closure.scm 438 */
														BgL_objectz00_bglt BgL_auxz00_3383;

														BgL_auxz00_3383 =
															((BgL_objectz00_bglt) BgL_obj4481z00_2383);
														BgL_auxz00_3382 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3383);
													}
													return
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_3382))->BgL_xz00);
												}
											}
										else
											{	/* Cfa/closure.scm 437 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 436 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 435 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 434 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_2400, obj_t BgL_approxz00_2401)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 431 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_2401)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 455 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 468 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_2402)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 468 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 36800750),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string5494z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
