/*===========================================================================*/
/*   (Cfa/iterate.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/iterate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;


	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_cfazd2currentzd2zzcfa_iteratez00();
	static obj_t BGl_methodzd2initzd2zzcfa_iteratez00();
	static obj_t BGl_z62cfazd2iteratez12za2zzcfa_iteratez00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	static obj_t BGl_z62cfazd2currentzb0zzcfa_iteratez00(obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_appendzd221095zd2zzcfa_iteratez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62continuezd2cfaz12za2zzcfa_iteratez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BUNSPEC;
	static obj_t BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_iteratez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfazd2exportzd2varz125112z70zzcfa_iteratez00(obj_t,
		BgL_valuez00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
		(BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_iteratez00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62cfazd2exportzd2varz12zd2inte5117za2zzcfa_iteratez00(obj_t,
		BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcfa_iteratez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
	static obj_t BGl_z62cfazd2exportzd2varz12zd2svar5115za2zzcfa_iteratez00(obj_t,
		BgL_svarzf2cinfozf2_bglt, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2iteratezd2tozd2fixpointz12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2iterate5292z00,
		BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2internzd2sfunz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2internza75293za7,
		BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2currentzd2envz00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2current5294z00,
		BGl_z62cfazd2currentzb0zzcfa_iteratez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string5281z00zzcfa_iteratez00,
		BgL_bgl_string5281za700za7za7c5295za7, "~a[~a]", 6);
	      DEFINE_STRING(BGl_string5283z00zzcfa_iteratez00,
		BgL_bgl_string5283za700za7za7c5296za7, "cfa-export-var!5112", 19);
	      DEFINE_STRING(BGl_string5284z00zzcfa_iteratez00,
		BgL_bgl_string5284za700za7za7c5297za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string5286z00zzcfa_iteratez00,
		BgL_bgl_string5286za700za7za7c5298za7, "cfa-export-var!", 15);
	      DEFINE_STRING(BGl_string5288z00zzcfa_iteratez00,
		BgL_bgl_string5288za700za7za7c5299za7, "cfa_iterate", 11);
	      DEFINE_STRING(BGl_string5289z00zzcfa_iteratez00,
		BgL_bgl_string5289za700za7za7c5300za7,
		"all cfa-export-var!5112 never export ", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_continuezd2cfaz12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762continueza7d2cf5301z00,
		BGl_z62continuezd2cfaz12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5282z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza75302za7,
		BGl_z62cfazd2exportzd2varz125112z70zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5285z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza75303za7,
		BGl_z62cfazd2exportzd2varz12zd2svar5115za2zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5287z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza75304za7,
		BGl_z62cfazd2exportzd2varz12zd2inte5117za2zzcfa_iteratez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2iteratez12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2iterate5305z00,
		BGl_z62cfazd2iteratez12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza75306za7,
		BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long
		BgL_checksumz00_2013, char *BgL_fromz00_2014)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_iteratez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_iteratez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_cnstzd2initzd2zzcfa_iteratez00();
					BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_genericzd2initzd2zzcfa_iteratez00();
					BGl_methodzd2initzd2zzcfa_iteratez00();
					BGl_toplevelzd2initzd2zzcfa_iteratez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_iterate");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			{	/* Cfa/iterate.scm 15 */
				obj_t BgL_cportz00_2005;

				BgL_cportz00_2005 =
					bgl_open_input_string(BGl_string5289z00zzcfa_iteratez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2006;

					BgL_iz00_2006 = ((long) 3);
				BgL_loopz00_2007:
					if ((BgL_iz00_2006 == ((long) -1)))
						{	/* Cfa/iterate.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/iterate.scm 15 */
							{	/* Cfa/iterate.scm 15 */
								obj_t BgL_arg5291z00_2009;

								{	/* Cfa/iterate.scm 15 */

									{	/* Cfa/iterate.scm 15 */
										obj_t BgL_locationz00_2011;

										BgL_locationz00_2011 = BBOOL(((bool_t) 0));
										{	/* Cfa/iterate.scm 15 */

											BgL_arg5291z00_2009 =
												BGl_readz00zz__readerz00(BgL_cportz00_2005,
												BgL_locationz00_2011);
										}
									}
								}
								{	/* Cfa/iterate.scm 15 */
									int BgL_auxz00_2034;

									BgL_auxz00_2034 = (int) (BgL_iz00_2006);
									CNST_TABLE_SET(BgL_auxz00_2034, BgL_arg5291z00_2009);
							}}
							{	/* Cfa/iterate.scm 15 */
								int BgL_auxz00_2012;

								BgL_auxz00_2012 = (int) ((BgL_iz00_2006 - ((long) 1)));
								{
									long BgL_iz00_2039;

									BgL_iz00_2039 = (long) (BgL_auxz00_2012);
									BgL_iz00_2006 = BgL_iz00_2039;
									goto BgL_loopz00_2007;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT(((long) -1));
			return (BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BUNSPEC, BUNSPEC);
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzcfa_iteratez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1151;

				BgL_headz00_1151 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1152;
					obj_t BgL_tailz00_1153;

					BgL_prevz00_1152 = BgL_headz00_1151;
					BgL_tailz00_1153 = BgL_l1z00_1;
				BgL_loopz00_1154:
					if (PAIRP(BgL_tailz00_1153))
						{
							obj_t BgL_newzd2prevzd2_1156;

							BgL_newzd2prevzd2_1156 =
								MAKE_PAIR(CAR(BgL_tailz00_1153), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1152, BgL_newzd2prevzd2_1156);
							{
								obj_t BgL_tailz00_2049;
								obj_t BgL_prevz00_2048;

								BgL_prevz00_2048 = BgL_newzd2prevzd2_1156;
								BgL_tailz00_2049 = CDR(BgL_tailz00_1153);
								BgL_tailz00_1153 = BgL_tailz00_2049;
								BgL_prevz00_1152 = BgL_prevz00_2048;
								goto BgL_loopz00_1154;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1151);
				}
			}
		}
	}



/* cfa-iterate-to-fixpoint! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 39 */
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT(((long) -1));
			{	/* Cfa/iterate.scm 45 */
				obj_t BgL_glodefsz00_1159;

				BgL_glodefsz00_1159 = BNIL;
				{
					obj_t BgL_l5105z00_1161;

					BgL_l5105z00_1161 = BgL_globalsz00_3;
				BgL_zc3anonymousza35121ze3z83_1162:
					if (PAIRP(BgL_l5105z00_1161))
						{	/* Cfa/iterate.scm 46 */
							{	/* Cfa/iterate.scm 47 */
								obj_t BgL_gz00_1164;

								BgL_gz00_1164 = CAR(BgL_l5105z00_1161);
								{	/* Cfa/iterate.scm 47 */
									bool_t BgL_testz00_2056;

									{	/* Cfa/iterate.scm 47 */
										bool_t BgL_testz00_2057;

										{	/* Cfa/iterate.scm 47 */
											obj_t BgL_auxz00_2058;

											{	/* Cfa/iterate.scm 47 */
												BgL_globalz00_bglt BgL_obj1701z00_1839;

												BgL_obj1701z00_1839 =
													((BgL_globalz00_bglt) BgL_gz00_1164);
												BgL_auxz00_2058 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1701z00_1839)))->BgL_importz00);
											}
											BgL_testz00_2057 =
												(BgL_auxz00_2058 == CNST_TABLE_REF(((long) 0)));
										}
										if (BgL_testz00_2057)
											{	/* Cfa/iterate.scm 47 */
												BgL_testz00_2056 = ((bool_t) 1);
											}
										else
											{	/* Cfa/iterate.scm 47 */
												BgL_testz00_2056 =
													BGl_exportedzd2closurezf3z21zzcfa_iteratez00
													(BgL_gz00_1164);
											}
									}
									if (BgL_testz00_2056)
										{	/* Cfa/iterate.scm 47 */
											BgL_glodefsz00_1159 =
												MAKE_PAIR(BgL_gz00_1164, BgL_glodefsz00_1159);
										}
									else
										{	/* Cfa/iterate.scm 47 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l5105z00_2066;

								BgL_l5105z00_2066 = CDR(BgL_l5105z00_1161);
								BgL_l5105z00_1161 = BgL_l5105z00_2066;
								goto BgL_zc3anonymousza35121ze3z83_1162;
							}
						}
					else
						{	/* Cfa/iterate.scm 46 */
							((bool_t) 1);
						}
				}
				{	/* Cfa/iterate.scm 52 */
					obj_t BgL_arg5127z00_1170;

					BgL_arg5127z00_1170 = BGl_unitzd2initializa7ersz75zzast_unitz00();
					BgL_glodefsz00_1159 =
						BGl_appendzd221095zd2zzcfa_iteratez00(BgL_arg5127z00_1170,
						BgL_glodefsz00_1159);
				}
				if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
					{	/* Cfa/iterate.scm 54 */
						BFALSE;
					}
				else
					{	/* Cfa/iterate.scm 54 */
						BNIL;
					}
				BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE;
				{

				BgL_zc3anonymousza35128ze3z83_1172:
					if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
						{	/* Cfa/iterate.scm 57 */
							BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_glodefsz00_1159);
							goto BgL_zc3anonymousza35128ze3z83_1172;
						}
					else
						{	/* Cfa/iterate.scm 57 */
							return BgL_glodefsz00_1159;
						}
				}
			}
		}
	}



/* &cfa-iterate-to-fixpoint! */
	obj_t BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00(obj_t
		BgL_envz00_1925, obj_t BgL_globalsz00_1926)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 39 */
			return
				BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00
				(BgL_globalsz00_1926);
		}
	}



/* exported-closure? */
	bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t BgL_gz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 66 */
			{	/* Cfa/iterate.scm 67 */
				bool_t BgL_testz00_2076;

				{	/* Cfa/iterate.scm 67 */
					obj_t BgL_auxz00_2077;

					{	/* Cfa/iterate.scm 67 */
						BgL_variablez00_bglt BgL_obj1621z00_1842;

						BgL_obj1621z00_1842 = ((BgL_variablez00_bglt) BgL_gz00_4);
						BgL_auxz00_2077 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1621z00_1842)))->BgL_removablez00);
					}
					BgL_testz00_2076 = (BgL_auxz00_2077 == CNST_TABLE_REF(((long) 1)));
				}
				if (BgL_testz00_2076)
					{	/* Cfa/iterate.scm 68 */
						BgL_valuez00_bglt BgL_valz00_1176;

						{	/* Cfa/iterate.scm 68 */
							BgL_variablez00_bglt BgL_obj1612z00_1843;

							BgL_obj1612z00_1843 = ((BgL_variablez00_bglt) BgL_gz00_4);
							BgL_valz00_1176 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_1843)))->BgL_valuez00);
						}
						{	/* Cfa/iterate.scm 69 */
							bool_t BgL_testz00_2086;

							{	/* Cfa/iterate.scm 69 */
								bool_t BgL_res5266z00_1845;

								{	/* Cfa/iterate.scm 69 */
									obj_t BgL_obj2001z00_1844;

									BgL_obj2001z00_1844 = ((obj_t) BgL_valz00_1176);
									BgL_res5266z00_1845 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1844,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_2086 = BgL_res5266z00_1845;
							}
							if (BgL_testz00_2086)
								{	/* Cfa/iterate.scm 70 */
									bool_t BgL_testz00_2089;

									{	/* Cfa/iterate.scm 70 */
										obj_t BgL_arg5132z00_1181;

										{	/* Cfa/iterate.scm 70 */
											BgL_sfunz00_bglt BgL_obj1938z00_1846;

											BgL_obj1938z00_1846 =
												((BgL_sfunz00_bglt) BgL_valz00_1176);
											BgL_arg5132z00_1181 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1938z00_1846)))->
												BgL_thezd2closurezd2globalz00);
										}
										BgL_testz00_2089 =
											BGl_iszd2azf3z21zz__objectz00(BgL_arg5132z00_1181,
											BGl_globalz00zzast_varz00);
									}
									if (BgL_testz00_2089)
										{	/* Cfa/iterate.scm 71 */
											obj_t BgL_auxz00_2094;

											{	/* Cfa/iterate.scm 71 */
												BgL_globalz00_bglt BgL_obj1701z00_1850;

												{	/* Cfa/iterate.scm 71 */
													BgL_sfunz00_bglt BgL_obj1938z00_1849;

													BgL_obj1938z00_1849 =
														((BgL_sfunz00_bglt) BgL_valz00_1176);
													BgL_obj1701z00_1850 =
														((BgL_globalz00_bglt)
														(((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1938z00_1849)))->
															BgL_thezd2closurezd2globalz00));
												}
												BgL_auxz00_2094 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1701z00_1850)))->BgL_importz00);
											}
											return (BgL_auxz00_2094 == CNST_TABLE_REF(((long) 0)));
										}
									else
										{	/* Cfa/iterate.scm 70 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Cfa/iterate.scm 69 */
									return ((bool_t) 0);
								}
						}
					}
				else
					{	/* Cfa/iterate.scm 67 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* cfa-iterate! */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 76 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BFALSE;
			{	/* Cfa/iterate.scm 78 */
				long BgL_za72za7_1852;

				BgL_za72za7_1852 =
					(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
				BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 =
					BINT((((long) 1) + BgL_za72za7_1852));
			}
			{
				obj_t BgL_l5107z00_1184;

				BgL_l5107z00_1184 = BgL_globalsz00_5;
			BgL_zc3anonymousza35134ze3z83_1185:
				if (PAIRP(BgL_l5107z00_1184))
					{	/* Cfa/iterate.scm 80 */
						{	/* Cfa/iterate.scm 81 */
							obj_t BgL_gz00_1187;

							BgL_gz00_1187 = CAR(BgL_l5107z00_1184);
							{	/* Cfa/iterate.scm 82 */
								BgL_valuez00_bglt BgL_arg5136z00_1188;

								{	/* Cfa/iterate.scm 82 */
									BgL_variablez00_bglt BgL_obj1612z00_1857;

									BgL_obj1612z00_1857 = ((BgL_variablez00_bglt) BgL_gz00_1187);
									BgL_arg5136z00_1188 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1857)))->BgL_valuez00);
								}
								BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00
									(BgL_arg5136z00_1188, BgL_gz00_1187);
							}
							BNIL;
						}
						{
							obj_t BgL_l5107z00_2113;

							BgL_l5107z00_2113 = CDR(BgL_l5107z00_1184);
							BgL_l5107z00_1184 = BgL_l5107z00_2113;
							goto BgL_zc3anonymousza35134ze3z83_1185;
						}
					}
				else
					{	/* Cfa/iterate.scm 80 */
						((bool_t) 1);
					}
			}
			return BNIL;
		}
	}



/* &cfa-iterate! */
	obj_t BGl_z62cfazd2iteratez12za2zzcfa_iteratez00(obj_t BgL_envz00_1927,
		obj_t BgL_globalsz00_1928)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 76 */
			return BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_globalsz00_1928);
		}
	}



/* cfa-intern-sfun! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
		(BgL_internzd2sfunzf2cinfoz20_bglt BgL_sfunz00_12, obj_t BgL_ownerz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 138 */
			{
				BgL_approxz00_bglt BgL_approxz00_1205;

				{	/* Cfa/iterate.scm 148 */
					bool_t BgL_testz00_2116;

					{	/* Cfa/iterate.scm 148 */
						long BgL_n2z00_1865;

						BgL_n2z00_1865 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/iterate.scm 148 */
							long BgL_auxz00_2118;

							{
								obj_t BgL_auxz00_2119;

								{	/* Cfa/iterate.scm 148 */
									BgL_objectz00_bglt BgL_auxz00_2120;

									BgL_auxz00_2120 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
									BgL_auxz00_2119 = BGL_OBJECT_WIDENING(BgL_auxz00_2120);
								}
								BgL_auxz00_2118 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_2119))->
									BgL_stampz00);
							}
							BgL_testz00_2116 = (BgL_auxz00_2118 == BgL_n2z00_1865);
					}}
					if (BgL_testz00_2116)
						{	/* Cfa/iterate.scm 148 */
							{	/* Cfa/iterate.scm 152 */
								BgL_approxz00_bglt BgL_arg5139z00_1194;

								{
									obj_t BgL_auxz00_2125;

									{	/* Cfa/iterate.scm 152 */
										BgL_objectz00_bglt BgL_auxz00_2126;

										BgL_auxz00_2126 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
										BgL_auxz00_2125 = BGL_OBJECT_WIDENING(BgL_auxz00_2126);
									}
									BgL_arg5139z00_1194 =
										(((BgL_internzd2sfunzf2cinfoz20_bglt)
											CREF(BgL_auxz00_2125))->BgL_approxz00);
								}
								BgL_approxz00_1205 = BgL_arg5139z00_1194;
							BgL_zc3anonymousza35149ze3z83_1206:
								{	/* Cfa/iterate.scm 142 */
									bool_t BgL_testz00_2130;

									{
										obj_t BgL_auxz00_2131;

										{	/* Cfa/iterate.scm 142 */
											BgL_objectz00_bglt BgL_auxz00_2132;

											BgL_auxz00_2132 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
											BgL_auxz00_2131 = BGL_OBJECT_WIDENING(BgL_auxz00_2132);
										}
										BgL_testz00_2130 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_2131))->BgL_polymorphiczf3zf3);
									}
									if (BgL_testz00_2130)
										{	/* Cfa/iterate.scm 144 */
											BgL_typez00_bglt BgL_arg5151z00_1210;

											{	/* Cfa/iterate.scm 144 */
												BgL_typez00_bglt BgL_arg5152z00_1211;

												BgL_arg5152z00_1211 =
													(((BgL_approxz00_bglt) CREF(
															((obj_t) BgL_approxz00_1205)))->BgL_typez00);
												BgL_arg5151z00_1210 =
													BGl_getzd2bigloozd2typez00zztype_cachez00
													(BgL_arg5152z00_1211);
											}
											((((BgL_approxz00_bglt) CREF(
															((obj_t) BgL_approxz00_1205)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg5151z00_1210), BUNSPEC);
										}
									else
										{	/* Cfa/iterate.scm 142 */
											BFALSE;
										}
								}
								return BgL_approxz00_1205;
							}
						}
					else
						{	/* Cfa/iterate.scm 148 */
							{	/* Cfa/iterate.scm 155 */
								long BgL_val3566z00_1869;

								BgL_val3566z00_1869 =
									(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
								{
									obj_t BgL_auxz00_2142;

									{	/* Cfa/iterate.scm 155 */
										BgL_objectz00_bglt BgL_auxz00_2143;

										BgL_auxz00_2143 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
										BgL_auxz00_2142 = BGL_OBJECT_WIDENING(BgL_auxz00_2143);
									}
									((((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_2142))->BgL_stampz00) =
										((long) BgL_val3566z00_1869), BUNSPEC);
							}}
							{	/* Cfa/iterate.scm 156 */
								obj_t BgL_curz00_1195;

								BgL_curz00_1195 = BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
								{	/* Cfa/iterate.scm 157 */
									obj_t BgL_arg5140z00_1196;
									long BgL_arg5141z00_1197;

									{	/* Cfa/iterate.scm 157 */
										BgL_variablez00_bglt BgL_obj1605z00_1870;

										BgL_obj1605z00_1870 =
											((BgL_variablez00_bglt) BgL_ownerz00_13);
										BgL_arg5140z00_1196 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1605z00_1870)))->BgL_idz00);
									}
									{
										obj_t BgL_auxz00_2150;

										{	/* Cfa/iterate.scm 157 */
											BgL_objectz00_bglt BgL_auxz00_2151;

											BgL_auxz00_2151 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
											BgL_auxz00_2150 = BGL_OBJECT_WIDENING(BgL_auxz00_2151);
										}
										BgL_arg5141z00_1197 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_2150))->BgL_stampz00);
									}
									{	/* Cfa/iterate.scm 157 */
										obj_t BgL_list5142z00_1198;

										{	/* Cfa/iterate.scm 157 */
											obj_t BgL_arg5143z00_1199;

											BgL_arg5143z00_1199 =
												MAKE_PAIR(BINT(BgL_arg5141z00_1197), BNIL);
											BgL_list5142z00_1198 =
												MAKE_PAIR(BgL_arg5140z00_1196, BgL_arg5143z00_1199);
										}
										BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5281z00zzcfa_iteratez00, BgL_list5142z00_1198);
								}}
								{	/* Cfa/iterate.scm 158 */
									BgL_approxz00_bglt BgL_arg5144z00_1200;
									BgL_approxz00_bglt BgL_arg5145z00_1201;

									{
										obj_t BgL_auxz00_2159;

										{	/* Cfa/iterate.scm 158 */
											BgL_objectz00_bglt BgL_auxz00_2160;

											BgL_auxz00_2160 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
											BgL_auxz00_2159 = BGL_OBJECT_WIDENING(BgL_auxz00_2160);
										}
										BgL_arg5144z00_1200 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_2159))->BgL_approxz00);
									}
									{	/* Cfa/iterate.scm 158 */
										obj_t BgL_arg5146z00_1202;

										{	/* Cfa/iterate.scm 158 */
											BgL_sfunz00_bglt BgL_obj1924z00_1873;

											BgL_obj1924z00_1873 = ((BgL_sfunz00_bglt) BgL_sfunz00_12);
											BgL_arg5146z00_1202 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1924z00_1873)))->BgL_bodyz00);
										}
										BgL_arg5145z00_1201 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg5146z00_1202));
									}
									BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00
										(BgL_arg5144z00_1200, BgL_arg5145z00_1201);
								}
								BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BgL_curz00_1195;
							}
							{	/* Cfa/iterate.scm 162 */
								BgL_approxz00_bglt BgL_arg5147z00_1203;

								{
									obj_t BgL_auxz00_2170;

									{	/* Cfa/iterate.scm 162 */
										BgL_objectz00_bglt BgL_auxz00_2171;

										BgL_auxz00_2171 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
										BgL_auxz00_2170 = BGL_OBJECT_WIDENING(BgL_auxz00_2171);
									}
									BgL_arg5147z00_1203 =
										(((BgL_internzd2sfunzf2cinfoz20_bglt)
											CREF(BgL_auxz00_2170))->BgL_approxz00);
								}
								{
									BgL_approxz00_bglt BgL_approxz00_2175;

									BgL_approxz00_2175 = BgL_arg5147z00_1203;
									BgL_approxz00_1205 = BgL_approxz00_2175;
									goto BgL_zc3anonymousza35149ze3z83_1206;
								}
							}
						}
				}
			}
		}
	}



/* &cfa-intern-sfun! */
	BgL_approxz00_bglt BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00(obj_t
		BgL_envz00_1929, obj_t BgL_sfunz00_1930, obj_t BgL_ownerz00_1931)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 138 */
			return
				BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
				((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_sfunz00_1930),
				BgL_ownerz00_1931);
		}
	}



/* cfa-current */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2currentzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 174 */
			return BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
		}
	}



/* &cfa-current */
	obj_t BGl_z62cfazd2currentzb0zzcfa_iteratez00(obj_t BgL_envz00_1932)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 174 */
			return BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
		}
	}



/* continue-cfa! */
	BGL_EXPORTED_DEF obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t
		BgL_reasonz00_14)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 180 */
			if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
				{	/* Cfa/iterate.scm 181 */
					BFALSE;
				}
			else
				{	/* Cfa/iterate.scm 181 */
					BNIL;
				}
			return (BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE, BUNSPEC);
		}
	}



/* &continue-cfa! */
	obj_t BGl_z62continuezd2cfaz12za2zzcfa_iteratez00(obj_t BgL_envz00_1933,
		obj_t BgL_reasonz00_1934)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 180 */
			return BGl_continuezd2cfaz12zc0zzcfa_iteratez00(BgL_reasonz00_1934);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_proc5282z00zzcfa_iteratez00, BGl_valuez00zzast_varz00,
				BGl_string5283z00zzcfa_iteratez00);
		}
	}



/* &cfa-export-var!5112 */
	obj_t BGl_z62cfazd2exportzd2varz125112z70zzcfa_iteratez00(obj_t
		BgL_envz00_1936, BgL_valuez00_bglt BgL_valuez00_1937,
		obj_t BgL_ownerz00_1938)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 90 */
			{
				BgL_valuez00_bglt BgL_valuez00_1795;
				obj_t BgL_ownerz00_1796;

				BgL_valuez00_1795 = BgL_valuez00_1937;
				BgL_ownerz00_1796 = BgL_ownerz00_1938;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string5284z00zzcfa_iteratez00, ((obj_t) BgL_valuez00_1795));
		}}
	}



/* cfa-export-var! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt
		BgL_valuez00_6, obj_t BgL_ownerz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 90 */
			{	/* Cfa/iterate.scm 90 */
				obj_t BgL_method5113z00_1799;

				{	/* Cfa/iterate.scm 90 */
					obj_t BgL_res5277z00_1903;

					{	/* Cfa/iterate.scm 90 */
						BgL_objectz00_bglt BgL_objz00_1875;

						BgL_objz00_1875 = ((BgL_objectz00_bglt) BgL_valuez00_6);
						{	/* Cfa/iterate.scm 90 */
							long BgL_objzd2classzd2numz00_1876;

							{	/* Cfa/iterate.scm 90 */
								long BgL_res5271z00_1879;

								BgL_res5271z00_1879 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1875);
								BgL_objzd2classzd2numz00_1876 = BgL_res5271z00_1879;
							}
							{	/* Cfa/iterate.scm 90 */
								obj_t BgL_arg2545z00_1877;

								BgL_arg2545z00_1877 =
									PROCEDURE_REF
									(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
									(int) (((long) 1)));
								{	/* Cfa/iterate.scm 90 */
									obj_t BgL_arrayz00_1880;
									int BgL_offsetz00_1881;

									BgL_arrayz00_1880 = BgL_arg2545z00_1877;
									BgL_offsetz00_1881 = (int) (BgL_objzd2classzd2numz00_1876);
									{	/* Cfa/iterate.scm 90 */
										long BgL_offsetz00_1882;

										BgL_offsetz00_1882 =
											((long) (BgL_offsetz00_1881) - OBJECT_TYPE);
										{	/* Cfa/iterate.scm 90 */
											long BgL_modz00_1883;

											{	/* Cfa/iterate.scm 90 */
												int BgL_arg2547z00_1884;

												BgL_arg2547z00_1884 = (int) (((long) 16));
												{	/* Cfa/iterate.scm 90 */
													long BgL_res5274z00_1894;

													{	/* Cfa/iterate.scm 90 */
														long BgL_auxz00_2193;

														BgL_auxz00_2193 = (long) (BgL_arg2547z00_1884);
														BgL_res5274z00_1894 =
															(BgL_offsetz00_1882 / BgL_auxz00_2193);
													}
													BgL_modz00_1883 = BgL_res5274z00_1894;
											}}
											{	/* Cfa/iterate.scm 90 */
												long BgL_restz00_1885;

												{	/* Cfa/iterate.scm 90 */
													int BgL_arg2546z00_1886;

													BgL_arg2546z00_1886 = (int) (((long) 16));
													{	/* Cfa/iterate.scm 90 */
														long BgL_res5276z00_1898;

														{	/* Cfa/iterate.scm 90 */
															long BgL_auxz00_2197;

															BgL_auxz00_2197 = (long) (BgL_arg2546z00_1886);
															BgL_res5276z00_1898 =
																(BgL_offsetz00_1882 % BgL_auxz00_2197);
														}
														BgL_restz00_1885 = BgL_res5276z00_1898;
												}}
												{	/* Cfa/iterate.scm 90 */

													BgL_res5277z00_1903 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1880,
															(int) (BgL_modz00_1883)),
														(int) (BgL_restz00_1885));
					}}}}}}}}
					BgL_method5113z00_1799 = BgL_res5277z00_1903;
				}
				return
					PROCEDURE_ENTRY(BgL_method5113z00_1799) (BgL_method5113z00_1799,
					((obj_t) BgL_valuez00_6), BgL_ownerz00_7, BEOA);
			}
		}
	}



/* &cfa-export-var! */
	obj_t BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00(obj_t BgL_envz00_1939,
		obj_t BgL_valuez00_1940, obj_t BgL_ownerz00_1941)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 90 */
			return
				BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
				((BgL_valuez00_bglt) BgL_valuez00_1940), BgL_ownerz00_1941);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc5285z00zzcfa_iteratez00,
				BGl_string5286z00zzcfa_iteratez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc5287z00zzcfa_iteratez00, BGl_string5286z00zzcfa_iteratez00);
		}
	}



/* &cfa-export-var!-inte5117 */
	obj_t BGl_z62cfazd2exportzd2varz12zd2inte5117za2zzcfa_iteratez00(obj_t
		BgL_envz00_1944, BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_1945,
		obj_t BgL_ownerz00_1946)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 109 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_1809;
				obj_t BgL_ownerz00_1810;

				BgL_valuez00_1809 = BgL_valuez00_1945;
				BgL_ownerz00_1810 = BgL_ownerz00_1946;
				{	/* Cfa/iterate.scm 114 */
					bool_t BgL_testz00_2214;

					{	/* Cfa/iterate.scm 114 */
						long BgL_n2z00_1912;

						BgL_n2z00_1912 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/iterate.scm 114 */
							long BgL_auxz00_2216;

							{
								obj_t BgL_auxz00_2217;

								{	/* Cfa/iterate.scm 114 */
									BgL_objectz00_bglt BgL_auxz00_2218;

									BgL_auxz00_2218 = ((BgL_objectz00_bglt) BgL_valuez00_1809);
									BgL_auxz00_2217 = BGL_OBJECT_WIDENING(BgL_auxz00_2218);
								}
								BgL_auxz00_2216 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_2217))->
									BgL_stampz00);
							}
							BgL_testz00_2214 = (BgL_auxz00_2216 == BgL_n2z00_1912);
					}}
					if (BgL_testz00_2214)
						{	/* Cfa/iterate.scm 114 */
							{	/* Cfa/iterate.scm 116 */
								long BgL_val3566z00_1915;

								BgL_val3566z00_1915 =
									(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
								{
									obj_t BgL_auxz00_2224;

									{	/* Cfa/iterate.scm 116 */
										BgL_objectz00_bglt BgL_auxz00_2225;

										BgL_auxz00_2225 = ((BgL_objectz00_bglt) BgL_valuez00_1809);
										BgL_auxz00_2224 = BGL_OBJECT_WIDENING(BgL_auxz00_2225);
									}
									((((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_2224))->BgL_stampz00) =
										((long) BgL_val3566z00_1915), BUNSPEC);
							}}
							{
								BgL_approxz00_bglt BgL_auxz00_2229;

								{
									obj_t BgL_auxz00_2230;

									{	/* Cfa/iterate.scm 116 */
										BgL_objectz00_bglt BgL_auxz00_2231;

										BgL_auxz00_2231 = ((BgL_objectz00_bglt) BgL_valuez00_1809);
										BgL_auxz00_2230 = BGL_OBJECT_WIDENING(BgL_auxz00_2231);
									}
									BgL_auxz00_2229 =
										(((BgL_internzd2sfunzf2cinfoz20_bglt)
											CREF(BgL_auxz00_2230))->BgL_approxz00);
								}
								return ((obj_t) BgL_auxz00_2229);
							}
						}
					else
						{	/* Cfa/iterate.scm 114 */
							{	/* Cfa/iterate.scm 123 */
								obj_t BgL_g5111z00_1815;

								{	/* Cfa/iterate.scm 123 */
									BgL_sfunz00_bglt BgL_obj1920z00_1917;

									BgL_obj1920z00_1917 = ((BgL_sfunz00_bglt) BgL_valuez00_1809);
									BgL_g5111z00_1815 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj1920z00_1917)))->BgL_argsz00);
								}
								{
									obj_t BgL_l5109z00_1817;

									BgL_l5109z00_1817 = BgL_g5111z00_1815;
								BgL_zc3anonymousza35257ze3z83_1818:
									if (PAIRP(BgL_l5109z00_1817))
										{	/* Cfa/iterate.scm 123 */
											{	/* Cfa/iterate.scm 124 */
												obj_t BgL_localz00_1820;

												BgL_localz00_1820 = CAR(BgL_l5109z00_1817);
												{	/* Cfa/iterate.scm 124 */
													BgL_valuez00_bglt BgL_valz00_1821;

													{	/* Cfa/iterate.scm 124 */
														BgL_variablez00_bglt BgL_obj1612z00_1921;

														BgL_obj1612z00_1921 =
															((BgL_variablez00_bglt) BgL_localz00_1820);
														BgL_valz00_1821 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1612z00_1921)))->
															BgL_valuez00);
													}
													{	/* Cfa/iterate.scm 129 */
														bool_t BgL_testz00_2245;

														{	/* Cfa/iterate.scm 129 */
															BgL_svarzf2cinfozf2_bglt BgL_obj3654z00_1922;

															BgL_obj3654z00_1922 =
																((BgL_svarzf2cinfozf2_bglt) BgL_valz00_1821);
															{
																obj_t BgL_auxz00_2247;

																{	/* Cfa/iterate.scm 129 */
																	BgL_objectz00_bglt BgL_auxz00_2248;

																	BgL_auxz00_2248 =
																		((BgL_objectz00_bglt) BgL_obj3654z00_1922);
																	BgL_auxz00_2247 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2248);
																}
																BgL_testz00_2245 =
																	(((BgL_svarzf2cinfozf2_bglt)
																		CREF(BgL_auxz00_2247))->
																	BgL_clozd2envzf3z21);
															}
														}
														if (BgL_testz00_2245)
															{	/* Cfa/iterate.scm 129 */
																BFALSE;
															}
														else
															{	/* Cfa/iterate.scm 130 */
																BgL_approxz00_bglt BgL_arg5260z00_1823;

																{	/* Cfa/iterate.scm 130 */
																	BgL_svarzf2cinfozf2_bglt BgL_obj3653z00_1923;

																	BgL_obj3653z00_1923 =
																		((BgL_svarzf2cinfozf2_bglt)
																		BgL_valz00_1821);
																	{
																		obj_t BgL_auxz00_2253;

																		{	/* Cfa/iterate.scm 130 */
																			BgL_objectz00_bglt BgL_auxz00_2254;

																			BgL_auxz00_2254 =
																				((BgL_objectz00_bglt)
																				BgL_obj3653z00_1923);
																			BgL_auxz00_2253 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2254);
																		}
																		BgL_arg5260z00_1823 =
																			(((BgL_svarzf2cinfozf2_bglt)
																				CREF(BgL_auxz00_2253))->BgL_approxz00);
																	}
																}
																BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																	(BgL_arg5260z00_1823);
															}
													}
												}
											}
											{
												obj_t BgL_l5109z00_2259;

												BgL_l5109z00_2259 = CDR(BgL_l5109z00_1817);
												BgL_l5109z00_1817 = BgL_l5109z00_2259;
												goto BgL_zc3anonymousza35257ze3z83_1818;
											}
										}
									else
										{	/* Cfa/iterate.scm 123 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/iterate.scm 133 */
								BgL_approxz00_bglt BgL_arg5262z00_1826;

								BgL_arg5262z00_1826 =
									BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
									(BgL_valuez00_1809, BgL_ownerz00_1810);
								{	/* Cfa/iterate.scm 133 */
									BgL_approxz00_bglt BgL_xz00_1996;

									BgL_xz00_1996 =
										BGl_loosez12z12zzcfa_loosez00(BgL_arg5262z00_1826,
										CNST_TABLE_REF(((long) 3)));
									return ((obj_t) BgL_xz00_1996);
								}
							}
						}
				}
			}
		}
	}



/* &cfa-export-var!-svar5115 */
	obj_t BGl_z62cfazd2exportzd2varz12zd2svar5115za2zzcfa_iteratez00(obj_t
		BgL_envz00_1947, BgL_svarzf2cinfozf2_bglt BgL_valuez00_1948,
		obj_t BgL_ownerz00_1949)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 95 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_valuez00_1800;
				obj_t BgL_ownerz00_1801;

				BgL_valuez00_1800 = BgL_valuez00_1948;
				BgL_ownerz00_1801 = BgL_ownerz00_1949;
				{	/* Cfa/iterate.scm 96 */
					obj_t BgL_instance5095z00_1804;

					BgL_instance5095z00_1804 = BGl_sfunz00zzast_varz00;
					{	/* Cfa/iterate.scm 100 */
						bool_t BgL_testz00_2265;

						{	/* Cfa/iterate.scm 100 */
							long BgL_n2z00_1906;

							BgL_n2z00_1906 =
								(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
							{	/* Cfa/iterate.scm 100 */
								long BgL_auxz00_2267;

								{	/* Cfa/iterate.scm 100 */
									BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj3565z00_1904;

									BgL_obj3565z00_1904 =
										((BgL_internzd2sfunzf2cinfoz20_bglt)
										BgL_instance5095z00_1804);
									{
										obj_t BgL_auxz00_2269;

										{	/* Cfa/iterate.scm 100 */
											BgL_objectz00_bglt BgL_auxz00_2270;

											BgL_auxz00_2270 =
												((BgL_objectz00_bglt) BgL_obj3565z00_1904);
											BgL_auxz00_2269 = BGL_OBJECT_WIDENING(BgL_auxz00_2270);
										}
										BgL_auxz00_2267 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_2269))->BgL_stampz00);
								}}
								BgL_testz00_2265 = (BgL_auxz00_2267 == BgL_n2z00_1906);
						}}
						if (BgL_testz00_2265)
							{	/* Cfa/iterate.scm 100 */
								return
									BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
									((BgL_valuez00_bglt) BgL_valuez00_1800));
							}
						else
							{	/* Cfa/iterate.scm 100 */
								{	/* Cfa/iterate.scm 103 */
									BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj3568z00_1908;
									long BgL_val3566z00_1909;

									BgL_obj3568z00_1908 =
										((BgL_internzd2sfunzf2cinfoz20_bglt)
										BgL_instance5095z00_1804);
									BgL_val3566z00_1909 =
										(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
									{
										obj_t BgL_auxz00_2279;

										{	/* Cfa/iterate.scm 103 */
											BgL_objectz00_bglt BgL_auxz00_2280;

											BgL_auxz00_2280 =
												((BgL_objectz00_bglt) BgL_obj3568z00_1908);
											BgL_auxz00_2279 = BGL_OBJECT_WIDENING(BgL_auxz00_2280);
										}
										((((BgL_internzd2sfunzf2cinfoz20_bglt)
													CREF(BgL_auxz00_2279))->BgL_stampz00) =
											((long) BgL_val3566z00_1909), BUNSPEC);
								}}
								{	/* Cfa/iterate.scm 104 */
									obj_t BgL_arg5254z00_1806;

									BgL_arg5254z00_1806 =
										BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
										((BgL_valuez00_bglt) BgL_valuez00_1800));
									{	/* Cfa/iterate.scm 104 */
										BgL_approxz00_bglt BgL_xz00_2004;

										BgL_xz00_2004 =
											BGl_loosez12z12zzcfa_loosez00(
											((BgL_approxz00_bglt) BgL_arg5254z00_1806),
											CNST_TABLE_REF(((long) 3)));
										return ((obj_t) BgL_xz00_2004);
									}
								}
							}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 36800750),
				BSTRING_TO_STRING(BGl_string5288z00zzcfa_iteratez00));
		}
	}

#ifdef __cplusplus
}
#endif
