/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32644ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32575ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32584ze3ze1zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32568ze3ze1zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32562ze3z83zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32596ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string2722z00zzengine_heapz00,
		BgL_bgl_string2722za700za7za7e2743za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string2723z00zzengine_heapz00,
		BgL_bgl_string2723za700za7za7e2744za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string2726z00zzengine_heapz00,
		BgL_bgl_string2726za700za7za7e2745za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string2727z00zzengine_heapz00,
		BgL_bgl_string2727za700za7za7e2746za7, "\"", 1);
	      DEFINE_STRING(BGl_string2728z00zzengine_heapz00,
		BgL_bgl_string2728za700za7za7e2747za7, " (variables", 11);
	      DEFINE_STRING(BGl_string2729z00zzengine_heapz00,
		BgL_bgl_string2729za700za7za7e2748za7, " )\n", 3);
	      DEFINE_STRING(BGl_string2730z00zzengine_heapz00,
		BgL_bgl_string2730za700za7za7e2749za7, " (types", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza72750za7,
		BGl_z62zc3anonymousza32568ze3ze1zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2731z00zzengine_heapz00,
		BgL_bgl_string2731za700za7za7e2751za7, " )", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza72752za7,
		BGl_z62zc3anonymousza32575ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2732z00zzengine_heapz00,
		BgL_bgl_string2732za700za7za7e2753za7, " (includes", 10);
	      DEFINE_STRING(BGl_string2733z00zzengine_heapz00,
		BgL_bgl_string2733za700za7za7e2754za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2735z00zzengine_heapz00,
		BgL_bgl_string2735za700za7za7e2755za7, "   ", 3);
	      DEFINE_STRING(BGl_string2736z00zzengine_heapz00,
		BgL_bgl_string2736za700za7za7e2756za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string2737z00zzengine_heapz00,
		BgL_bgl_string2737za700za7za7e2757za7, "", 0);
	      DEFINE_STRING(BGl_string2739z00zzengine_heapz00,
		BgL_bgl_string2739za700za7za7e2758za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string2740z00zzengine_heapz00,
		BgL_bgl_string2740za700za7za7e2759za7,
		"type class super jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2734z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza72760za7,
		BGl_z62zc3anonymousza32596ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza72761za7,
		BGl_z62zc3anonymousza32644ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza72762za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1115, char *BgL_fromz00_1116)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1107;

				BgL_cportz00_1107 =
					bgl_open_input_string(BGl_string2740z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1108;

					BgL_iz00_1108 = ((long) 13);
				BgL_loopz00_1109:
					if ((BgL_iz00_1108 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg2742z00_1111;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1113;

										BgL_locationz00_1113 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg2742z00_1111 =
												BGl_readz00zz__readerz00(BgL_cportz00_1107,
												BgL_locationz00_1113);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1139;

									BgL_auxz00_1139 = (int) (BgL_iz00_1108);
									CNST_TABLE_SET(BgL_auxz00_1139, BgL_arg2742z00_1111);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1114;

								BgL_auxz00_1114 = (int) ((BgL_iz00_1108 - ((long) 1)));
								{
									long BgL_iz00_1144;

									BgL_iz00_1144 = (long) (BgL_auxz00_1114);
									BgL_iz00_1108 = BgL_iz00_1144;
									goto BgL_loopz00_1109;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l2506z00_551;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1149;

					BgL_l2506z00_551 = BgL_namesz00_3;
				BgL_zc3anonymousza32551ze3z83_552:
					if (PAIRP(BgL_l2506z00_551))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l2506z00_551));
							{
								obj_t BgL_l2506z00_1154;

								BgL_l2506z00_1154 = CDR(BgL_l2506z00_551);
								BgL_l2506z00_551 = BgL_l2506z00_1154;
								goto BgL_zc3anonymousza32551ze3z83_552;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1149 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1149);
				}
			}
		}
	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1046,
		obj_t BgL_namesz00_1047)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1047);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_557;

				BgL_fnamez00_557 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_557))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_559;

						BgL_portz00_559 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_557);
						if (BINARY_PORTP(BgL_portz00_559))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_val2500z00_561;

								BgL_val2500z00_561 =
									BGl_zc3exitza32562ze3z83zzengine_heapz00(BgL_heapz00_4,
									BgL_portz00_559);
								close_binary_port(BgL_portz00_559);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2500z00_561)))
									{	/* Engine/heap.scm 113 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2500z00_561), CDR(BgL_val2500z00_561));
									}
								else
									{	/* Engine/heap.scm 113 */
										return BgL_val2500z00_561;
									}
							}
						else
							{	/* Engine/heap.scm 51 */
								obj_t BgL_arg2592z00_626;

								{	/* Engine/heap.scm 51 */
									obj_t BgL_list2593z00_627;

									BgL_list2593z00_627 = MAKE_PAIR(BgL_fnamez00_557, BNIL);
									BgL_arg2592z00_626 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2722z00zzengine_heapz00, BgL_list2593z00_627);
								}
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
									BgL_arg2592z00_626, BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_628;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list2594z00_629;

							BgL_list2594z00_629 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_628 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2722z00zzengine_heapz00, BgL_list2594z00_629);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_628,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* <exit:2562> */
	obj_t BGl_zc3exitza32562ze3z83zzengine_heapz00(obj_t BgL_heapz00_1070,
		obj_t BgL_portz00_1069)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 113 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2501z00_566;

			if (SET_EXIT(BgL_an_exit2501z00_566))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2501z00_566 = (void *) jmpbuf;
					{	/* Engine/heap.scm 113 */

						PUSH_EXIT(BgL_an_exit2501z00_566, ((long) 0));
						{	/* Engine/heap.scm 54 */
							obj_t BgL_val2502z00_567;

							{	/* Engine/heap.scm 54 */
								obj_t BgL_envsz00_568;

								BgL_envsz00_568 = input_obj(BgL_portz00_1069);
								{	/* Engine/heap.scm 54 */
									obj_t BgL__z00_569;

									{	/* Engine/heap.scm 55 */
										bool_t BgL_testz00_1184;

										{	/* Engine/heap.scm 55 */
											bool_t BgL_testz00_1185;

											{	/* Engine/heap.scm 55 */
												obj_t BgL_v2508z00_625;

												BgL_v2508z00_625 = create_vector((int) (((long) 1)));
												VECTOR_SET(BgL_v2508z00_625,
													(int) (((long) 0)), BgL_envsz00_568);
												BgL_testz00_1185 = ((bool_t) 1);
											}
											if (BgL_testz00_1185)
												{	/* Engine/heap.scm 56 */
													bool_t BgL__ortest_2503z00_622;

													{	/* Engine/heap.scm 56 */
														int BgL_arg2591z00_624;

														BgL_arg2591z00_624 = VECTOR_LENGTH(BgL_envsz00_568);
														BgL__ortest_2503z00_622 =
															((long) (BgL_arg2591z00_624) == ((long) 5));
													}
													if (BgL__ortest_2503z00_622)
														{	/* Engine/heap.scm 56 */
															BgL_testz00_1184 = BgL__ortest_2503z00_622;
														}
													else
														{	/* Engine/heap.scm 57 */
															int BgL_arg2590z00_623;

															BgL_arg2590z00_623 =
																VECTOR_LENGTH(BgL_envsz00_568);
															BgL_testz00_1184 =
																((long) (BgL_arg2590z00_623) == ((long) 6));
												}}
											else
												{	/* Engine/heap.scm 55 */
													BgL_testz00_1184 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_1184)
											{	/* Engine/heap.scm 55 */
												BgL__z00_569 = BFALSE;
											}
										else
											{	/* Engine/heap.scm 55 */
												BgL__z00_569 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
													BGl_string2723z00zzengine_heapz00, BgL_heapz00_1070);
									}}
									{	/* Engine/heap.scm 55 */
										obj_t BgL_targetz00_570;

										BgL_targetz00_570 =
											VECTOR_REF(BgL_envsz00_568, (int) (((long) 0)));
										{	/* Engine/heap.scm 59 */
											obj_t BgL_versionz00_571;

											BgL_versionz00_571 =
												VECTOR_REF(BgL_envsz00_568, (int) (((long) 1)));
											{	/* Engine/heap.scm 60 */
												obj_t BgL_specificz00_572;

												BgL_specificz00_572 =
													VECTOR_REF(BgL_envsz00_568, (int) (((long) 2)));
												{	/* Engine/heap.scm 61 */
													obj_t BgL_genvz00_573;

													BgL_genvz00_573 =
														VECTOR_REF(BgL_envsz00_568, (int) (((long) 3)));
													{	/* Engine/heap.scm 62 */
														obj_t BgL_tenvz00_574;

														BgL_tenvz00_574 =
															VECTOR_REF(BgL_envsz00_568, (int) (((long) 4)));
														{	/* Engine/heap.scm 63 */
															obj_t BgL_includesz00_575;

															{	/* Engine/heap.scm 64 */
																bool_t BgL_testz00_1209;

																{	/* Engine/heap.scm 64 */
																	int BgL_arg2587z00_619;

																	BgL_arg2587z00_619 =
																		VECTOR_LENGTH(BgL_envsz00_568);
																	BgL_testz00_1209 =
																		((long) (BgL_arg2587z00_619) == ((long) 6));
																}
																if (BgL_testz00_1209)
																	{	/* Engine/heap.scm 64 */
																		BgL_includesz00_575 =
																			VECTOR_REF(BgL_envsz00_568,
																			(int) (((long) 5)));
																	}
																else
																	{	/* Engine/heap.scm 64 */
																		BgL_includesz00_575 = BNIL;
																	}
															}
															{	/* Engine/heap.scm 64 */

																{	/* Engine/heap.scm 76 */
																	bool_t BgL_testz00_1215;

																	{	/* Engine/heap.scm 76 */
																		int BgL_arg2564z00_577;

																		BgL_arg2564z00_577 =
																			VECTOR_LENGTH(BgL_envsz00_568);
																		BgL_testz00_1215 =
																			(
																			(long) (BgL_arg2564z00_577) ==
																			((long) 6));
																	}
																	if (BgL_testz00_1215)
																		{	/* Engine/heap.scm 76 */
																			BGl_addzd2genvz12zc0zzast_envz00
																				(BgL_genvz00_573);
																		}
																	else
																		{	/* Engine/heap.scm 76 */
																			BGl_setzd2tenvz12zc0zztype_envz00
																				(BgL_tenvz00_574);
																			BGl_setzd2genvz12zc0zzast_envz00
																				(BgL_genvz00_573);
																		}
																}
																{	/* Engine/heap.scm 85 */
																	bool_t BgL_testz00_1222;

																	{	/* Engine/heap.scm 85 */
																		obj_t BgL_arg2573z00_588;

																		BgL_arg2573z00_588 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		{	/* Engine/heap.scm 85 */
																			BgL_backendz00_bglt BgL_obj1546z00_927;

																			BgL_obj1546z00_927 =
																				((BgL_backendz00_bglt)
																				BgL_arg2573z00_588);
																			BgL_testz00_1222 =
																				(((BgL_backendz00_bglt) CREF(((obj_t)
																							BgL_obj1546z00_927)))->
																				BgL_qualifiedzd2typeszd2);
																		}
																	}
																	if (BgL_testz00_1222)
																		{	/* Engine/heap.scm 85 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc2724z00zzengine_heapz00, BNIL);
																		}
																	else
																		{	/* Engine/heap.scm 85 */
																			BFALSE;
																		}
																}
																BGl_hashtablezd2forzd2eachz00zz__hashz00
																	(BgL_genvz00_573,
																	BGl_proc2725z00zzengine_heapz00);
																{	/* Engine/heap.scm 99 */
																	obj_t BgL_arg2582z00_604;

																	{	/* Engine/heap.scm 99 */
																		obj_t BgL_res2698z00_937;

																		{	/* Engine/heap.scm 99 */
																			obj_t BgL_auxz00_1229;

																			BgL_auxz00_1229 =
																				BGL_CURRENT_DYNAMIC_ENV();
																			BgL_res2698z00_937 =
																				BGL_ENV_CURRENT_ERROR_PORT
																				(BgL_auxz00_1229);
																		}
																		BgL_arg2582z00_604 = BgL_res2698z00_937;
																	}
																	{	/* Engine/heap.scm 101 */
																		obj_t BgL_zc3anonymousza32584ze3z83_1048;

																		BgL_zc3anonymousza32584ze3z83_1048 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32584ze3ze1zzengine_heapz00,
																			(int) (((long) 0)), (int) (((long) 4)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32584ze3z83_1048,
																			(int) (((long) 0)), BgL_heapz00_1070);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32584ze3z83_1048,
																			(int) (((long) 1)), BgL_genvz00_573);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32584ze3z83_1048,
																			(int) (((long) 2)), BgL_tenvz00_574);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32584ze3z83_1048,
																			(int) (((long) 3)), BgL_includesz00_575);
																		BgL_val2502z00_567 =
																			BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																			(BgL_arg2582z00_604,
																			BgL_zc3anonymousza32584ze3z83_1048);
							}}}}}}}}}}}
							POP_EXIT();
							return BgL_val2502z00_567;
						}
					}
				}
		}
	}



/* &<anonymous:2584> */
	obj_t BGl_z62zc3anonymousza32584ze3ze1zzengine_heapz00(obj_t BgL_envz00_1051)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_1052;
				obj_t BgL_genvz00_1053;
				obj_t BgL_tenvz00_1054;
				obj_t BgL_includesz00_1055;

				BgL_heapz00_1052 = PROCEDURE_REF(BgL_envz00_1051, (int) (((long) 0)));
				BgL_genvz00_1053 = PROCEDURE_REF(BgL_envz00_1051, (int) (((long) 1)));
				BgL_tenvz00_1054 = PROCEDURE_REF(BgL_envz00_1051, (int) (((long) 2)));
				BgL_includesz00_1055 =
					PROCEDURE_REF(BgL_envz00_1051, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port2512z00_607;

						{	/* Engine/heap.scm 101 */
							obj_t BgL_res2699z00_939;

							{	/* Engine/heap.scm 101 */
								obj_t BgL_auxz00_1253;

								BgL_auxz00_1253 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2699z00_939 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1253);
							}
							BgL_port2512z00_607 = BgL_res2699z00_939;
						}
						BGL_DISPLAY_STRING(BGl_string2726z00zzengine_heapz00,
							BgL_port2512z00_607);
						bgl_display_obj(BgL_heapz00_1052, BgL_port2512z00_607);
						BGL_DISPLAY_STRING(BGl_string2727z00zzengine_heapz00,
							BgL_port2512z00_607);
						bgl_display_char(((unsigned char) '\n'), BgL_port2512z00_607);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port2513z00_608;

						{	/* Engine/heap.scm 102 */
							obj_t BgL_res2700z00_946;

							{	/* Engine/heap.scm 102 */
								obj_t BgL_auxz00_1260;

								BgL_auxz00_1260 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2700z00_946 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1260);
							}
							BgL_port2513z00_608 = BgL_res2700z00_946;
						}
						BGL_DISPLAY_STRING(BGl_string2728z00zzengine_heapz00,
							BgL_port2513z00_608);
						bgl_display_char(((unsigned char) '\n'), BgL_port2513z00_608);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1053);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port2514z00_609;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res2701z00_951;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1266;

								BgL_auxz00_1266 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2701z00_951 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1266);
							}
							BgL_port2514z00_609 = BgL_res2701z00_951;
						}
						BGL_DISPLAY_STRING(BGl_string2729z00zzengine_heapz00,
							BgL_port2514z00_609);
						bgl_display_char(((unsigned char) '\n'), BgL_port2514z00_609);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port2515z00_610;

						{	/* Engine/heap.scm 105 */
							obj_t BgL_res2702z00_956;

							{	/* Engine/heap.scm 105 */
								obj_t BgL_auxz00_1271;

								BgL_auxz00_1271 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2702z00_956 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1271);
							}
							BgL_port2515z00_610 = BgL_res2702z00_956;
						}
						BGL_DISPLAY_STRING(BGl_string2730z00zzengine_heapz00,
							BgL_port2515z00_610);
						bgl_display_char(((unsigned char) '\n'), BgL_port2515z00_610);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1054);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port2516z00_611;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res2703z00_961;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1277;

								BgL_auxz00_1277 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2703z00_961 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1277);
							}
							BgL_port2516z00_611 = BgL_res2703z00_961;
						}
						BGL_DISPLAY_STRING(BGl_string2731z00zzengine_heapz00,
							BgL_port2516z00_611);
						bgl_display_char(((unsigned char) '\n'), BgL_port2516z00_611);
					}
					if (PAIRP(BgL_includesz00_1055))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port2517z00_613;

								{	/* Engine/heap.scm 109 */
									obj_t BgL_res2705z00_968;

									{	/* Engine/heap.scm 109 */
										obj_t BgL_auxz00_1284;

										BgL_auxz00_1284 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2705z00_968 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1284);
									}
									BgL_port2517z00_613 = BgL_res2705z00_968;
								}
								BGL_DISPLAY_STRING(BGl_string2732z00zzengine_heapz00,
									BgL_port2517z00_613);
								bgl_display_char(((unsigned char) '\n'), BgL_port2517z00_613);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port2518z00_614;

								{	/* Engine/heap.scm 110 */
									obj_t BgL_res2706z00_973;

									{	/* Engine/heap.scm 110 */
										obj_t BgL_auxz00_1289;

										BgL_auxz00_1289 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2706z00_973 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1289);
									}
									BgL_port2518z00_614 = BgL_res2706z00_973;
								}
								bgl_display_obj(BgL_includesz00_1055, BgL_port2518z00_614);
								bgl_display_char(((unsigned char) '\n'), BgL_port2518z00_614);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port2519z00_615;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res2707z00_976;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1294;

										BgL_auxz00_1294 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2707z00_976 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1294);
									}
									BgL_port2519z00_615 = BgL_res2707z00_976;
								}
								BGL_DISPLAY_STRING(BGl_string2731z00zzengine_heapz00,
									BgL_port2519z00_615);
								bgl_display_char(((unsigned char) '\n'), BgL_port2519z00_615);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port2520z00_616;

						{	/* Engine/heap.scm 112 */
							obj_t BgL_res2708z00_981;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_auxz00_1299;

								BgL_auxz00_1299 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2708z00_981 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1299);
							}
							BgL_port2520z00_616 = BgL_res2708z00_981;
						}
						BGL_DISPLAY_STRING(BGl_string2733z00zzengine_heapz00,
							BgL_port2520z00_616);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port2520z00_616);
		}}}}
	}



/* &<anonymous:2575> */
	obj_t BGl_z62zc3anonymousza32575ze3ze1zzengine_heapz00(obj_t BgL_envz00_1056,
		obj_t BgL_kz00_1057, obj_t BgL_bucketz00_1058)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_590;
				obj_t BgL_bucketz00_591;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1304;

					BgL_kz00_590 = BgL_kz00_1057;
					BgL_bucketz00_591 = BgL_bucketz00_1058;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g2511z00_593;

						BgL_g2511z00_593 = CDR(BgL_bucketz00_591);
						{
							obj_t BgL_l2509z00_595;

							BgL_l2509z00_595 = BgL_g2511z00_593;
						BgL_zc3anonymousza32576ze3z83_596:
							if (PAIRP(BgL_l2509z00_595))
								{	/* Engine/heap.scm 98 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_598;

										BgL_newz00_598 = CAR(BgL_l2509z00_595);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg2578z00_599;

											{	/* Engine/heap.scm 97 */
												BgL_globalz00_bglt BgL_obj1689z00_934;

												BgL_obj1689z00_934 =
													((BgL_globalz00_bglt) BgL_newz00_598);
												BgL_arg2578z00_599 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1689z00_934)))->BgL_modulez00);
											}
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list2579z00_600;

												BgL_list2579z00_600 =
													MAKE_PAIR(BgL_arg2578z00_599, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list2579z00_600);
											}
										}
									}
									{
										obj_t BgL_l2509z00_1314;

										BgL_l2509z00_1314 = CDR(BgL_l2509z00_595);
										BgL_l2509z00_595 = BgL_l2509z00_1314;
										goto BgL_zc3anonymousza32576ze3z83_596;
									}
								}
							else
								{	/* Engine/heap.scm 98 */
									BgL_auxz00_1304 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1304);
				}
			}
		}
	}



/* &<anonymous:2568> */
	obj_t BGl_z62zc3anonymousza32568ze3ze1zzengine_heapz00(obj_t BgL_envz00_1059,
		obj_t BgL_newz00_1060)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_581;

				BgL_newz00_581 = BgL_newz00_1060;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg2569z00_583;
					obj_t BgL_arg2570z00_584;
					obj_t BgL_arg2571z00_585;

					{	/* Engine/heap.scm 89 */
						BgL_globalz00_bglt BgL_obj1689z00_928;

						BgL_obj1689z00_928 = ((BgL_globalz00_bglt) BgL_newz00_581);
						BgL_arg2569z00_583 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1689z00_928)))->BgL_modulez00);
					}
					{	/* Engine/heap.scm 90 */
						BgL_globalz00_bglt BgL_obj1710z00_929;

						BgL_obj1710z00_929 = ((BgL_globalz00_bglt) BgL_newz00_581);
						BgL_arg2570z00_584 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1710z00_929)))->BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2571z00_585 = BGl_shapez00zztools_shapez00(BgL_newz00_581);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list2572z00_586;

						BgL_list2572z00_586 = MAKE_PAIR(BgL_arg2571z00_585, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2569z00_583,
							BgL_arg2570z00_584, BgL_list2572z00_586);
					}
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc2734z00zzengine_heapz00);
		}
	}



/* &<anonymous:2596> */
	obj_t BGl_z62zc3anonymousza32596ze3ze1zzengine_heapz00(obj_t BgL_envz00_1062,
		obj_t BgL_kz00_1063, obj_t BgL_bucketz00_1064)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_632;
				obj_t BgL_bucketz00_633;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1327;

					BgL_kz00_632 = BgL_kz00_1063;
					BgL_bucketz00_633 = BgL_bucketz00_1064;
					{
						obj_t BgL_newz00_644;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g2524z00_635;

							BgL_g2524z00_635 = CDR(BgL_bucketz00_633);
							{
								obj_t BgL_l2522z00_637;

								BgL_l2522z00_637 = BgL_g2524z00_635;
							BgL_zc3anonymousza32597ze3z83_638:
								if (PAIRP(BgL_l2522z00_637))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_644 = CAR(BgL_l2522z00_637);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_646;

											{	/* Engine/heap.scm 123 */
												BgL_globalz00_bglt BgL_obj1689z00_988;

												BgL_obj1689z00_988 =
													((BgL_globalz00_bglt) BgL_newz00_644);
												BgL_modulez00_646 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1689z00_988)))->BgL_modulez00);
											}
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_647;

												{	/* Engine/heap.scm 124 */
													BgL_variablez00_bglt BgL_obj1599z00_989;

													BgL_obj1599z00_989 =
														((BgL_variablez00_bglt) BgL_newz00_644);
													BgL_idz00_647 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1599z00_989)))->BgL_idz00);
												}
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_648;

													BgL_qtz00_648 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_646);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_649;

														{	/* Engine/heap.scm 126 */
															BgL_globalz00_bglt BgL_obj1710z00_990;

															BgL_obj1710z00_990 =
																((BgL_globalz00_bglt) BgL_newz00_644);
															BgL_jtz00_649 =
																(((BgL_globalz00_bglt) CREF(
																		((obj_t) BgL_obj1710z00_990)))->
																BgL_jvmzd2typezd2namez00);
														}
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_650;

															{	/* Engine/heap.scm 127 */
																BgL_variablez00_bglt BgL_obj1606z00_991;

																BgL_obj1606z00_991 =
																	((BgL_variablez00_bglt) BgL_newz00_644);
																BgL_valz00_650 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1606z00_991)))->
																	BgL_valuez00);
															}
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_651;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1344;

																	{	/* Engine/heap.scm 129 */
																		bool_t BgL_res2709z00_993;

																		{	/* Engine/heap.scm 129 */
																			obj_t BgL_obj1992z00_992;

																			BgL_obj1992z00_992 =
																				((obj_t) BgL_valz00_650);
																			BgL_res2709z00_993 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_obj1992z00_992,
																				BGl_sfunz00zzast_varz00);
																		}
																		BgL_testz00_1344 = BgL_res2709z00_993;
																	}
																	if (BgL_testz00_1344)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_651 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1348;

																			{	/* Engine/heap.scm 130 */
																				bool_t BgL_res2710z00_995;

																				{	/* Engine/heap.scm 130 */
																					obj_t BgL_obj2056z00_994;

																					BgL_obj2056z00_994 =
																						((obj_t) BgL_valz00_650);
																					BgL_res2710z00_995 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj2056z00_994,
																						BGl_cfunz00zzast_varz00);
																				}
																				BgL_testz00_1348 = BgL_res2710z00_995;
																			}
																			if (BgL_testz00_1348)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_651 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_651 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port2521z00_652;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res2711z00_997;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_auxz00_1353;

																				BgL_auxz00_1353 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res2711z00_997 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1353);
																			}
																			BgL_port2521z00_652 = BgL_res2711z00_997;
																		}
																		BGL_DISPLAY_STRING
																			(BGl_string2735z00zzengine_heapz00,
																			BgL_port2521z00_652);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg2603z00_653;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg2604z00_654;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg2605z00_655;
																					obj_t BgL_arg2607z00_656;

																					BgL_arg2605z00_655 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_644);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg2608z00_657;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg2609z00_658;
																							obj_t BgL_arg2610z00_659;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg2611z00_660;

																								BgL_arg2611z00_660 =
																									MAKE_PAIR(BgL_idz00_647,
																									BNIL);
																								BgL_arg2609z00_658 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 4)),
																									BgL_arg2611z00_660);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg2612z00_661;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg2613z00_662;
																									obj_t BgL_arg2614z00_663;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg2615z00_664;

																										BgL_arg2615z00_664 =
																											MAKE_PAIR
																											(BgL_modulez00_646, BNIL);
																										BgL_arg2613z00_662 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 5)),
																											BgL_arg2615z00_664);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg2616z00_665;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg2617z00_666;
																											obj_t BgL_arg2618z00_667;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg2619z00_668;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg2620z00_669;
																													{	/* Engine/heap.scm 139 */
																														BgL_variablez00_bglt
																															BgL_obj1600z00_1000;
																														BgL_obj1600z00_1000
																															=
																															(
																															(BgL_variablez00_bglt)
																															BgL_newz00_644);
																														BgL_arg2620z00_669 =
																															(((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1600z00_1000)))->BgL_namez00);
																													}
																													BgL_arg2619z00_668 =
																														MAKE_PAIR
																														(BgL_arg2620z00_669,
																														BNIL);
																												}
																												BgL_arg2617z00_666 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 6)),
																													BgL_arg2619z00_668);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg2621z00_670;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg2622z00_671;
																													obj_t
																														BgL_arg2623z00_672;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg2624z00_673;
																														BgL_arg2624z00_673 =
																															MAKE_PAIR
																															(BgL_qtz00_648,
																															BNIL);
																														BgL_arg2622z00_671 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 7)),
																															BgL_arg2624z00_673);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg2625z00_674;
																														obj_t
																															BgL_arg2626z00_675;
																														{	/* Engine/heap.scm 142 */
																															bool_t
																																BgL_testz00_1373;
																															{	/* Engine/heap.scm 142 */
																																bool_t
																																	BgL_testz00_1374;
																																{	/* Engine/heap.scm 142 */
																																	bool_t
																																		BgL_res2712z00_1002;
																																	{	/* Engine/heap.scm 142 */
																																		obj_t
																																			BgL_obj1992z00_1001;
																																		BgL_obj1992z00_1001
																																			=
																																			((obj_t)
																																			BgL_valz00_650);
																																		BgL_res2712z00_1002
																																			=
																																			BGl_iszd2azf3z21zz__objectz00
																																			(BgL_obj1992z00_1001,
																																			BGl_sfunz00zzast_varz00);
																																	}
																																	BgL_testz00_1374
																																		=
																																		BgL_res2712z00_1002;
																																}
																																if (BgL_testz00_1374)
																																	{	/* Engine/heap.scm 142 */
																																		obj_t
																																			BgL_auxz00_1377;
																																		{	/* Engine/heap.scm 142 */
																																			BgL_sfunz00_bglt
																																				BgL_obj1918z00_1003;
																																			BgL_obj1918z00_1003
																																				=
																																				(
																																				(BgL_sfunz00_bglt)
																																				BgL_valz00_650);
																																			BgL_auxz00_1377
																																				=
																																				(((BgL_sfunz00_bglt) CREF(((obj_t) BgL_obj1918z00_1003)))->BgL_classz00);
																																		}
																																		BgL_testz00_1373
																																			=
																																			(BgL_auxz00_1377
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					8)));
																																	}
																																else
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1373
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_testz00_1373)
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg2625z00_674
																																		=
																																		BGl_string2736z00zzengine_heapz00;
																																}
																															else
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg2625z00_674
																																		=
																																		BGl_string2737z00zzengine_heapz00;
																																}
																														}
																														{	/* Engine/heap.scm 145 */
																															obj_t
																																BgL_arg2630z00_679;
																															obj_t
																																BgL_arg2631z00_680;
																															{	/* Engine/heap.scm 145 */
																																bool_t
																																	BgL_testz00_1383;
																																{	/* Engine/heap.scm 145 */
																																	bool_t
																																		BgL_testz00_1384;
																																	{	/* Engine/heap.scm 145 */
																																		bool_t
																																			BgL_res2713z00_1005;
																																		{	/* Engine/heap.scm 145 */
																																			obj_t
																																				BgL_obj1992z00_1004;
																																			BgL_obj1992z00_1004
																																				=
																																				((obj_t)
																																				BgL_valz00_650);
																																			BgL_res2713z00_1005
																																				=
																																				BGl_iszd2azf3z21zz__objectz00
																																				(BgL_obj1992z00_1004,
																																				BGl_sfunz00zzast_varz00);
																																		}
																																		BgL_testz00_1384
																																			=
																																			BgL_res2713z00_1005;
																																	}
																																	if (BgL_testz00_1384)
																																		{	/* Engine/heap.scm 145 */
																																			obj_t
																																				BgL_auxz00_1387;
																																			{	/* Engine/heap.scm 145 */
																																				BgL_sfunz00_bglt
																																					BgL_obj1918z00_1006;
																																				BgL_obj1918z00_1006
																																					=
																																					(
																																					(BgL_sfunz00_bglt)
																																					BgL_valz00_650);
																																				BgL_auxz00_1387
																																					=
																																					(((BgL_sfunz00_bglt) CREF(((obj_t) BgL_obj1918z00_1006)))->BgL_classz00);
																																			}
																																			BgL_testz00_1383
																																				=
																																				(BgL_auxz00_1387
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						8)));
																																		}
																																	else
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1383
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_testz00_1383)
																																	{	/* Engine/heap.scm 146 */
																																		obj_t
																																			BgL_arg2633z00_682;
																																		{	/* Engine/heap.scm 146 */
																																			obj_t
																																				BgL_arg2634z00_683;
																																			{	/* Engine/heap.scm 146 */
																																				obj_t
																																					BgL_arg2635z00_684;
																																				{	/* Engine/heap.scm 146 */
																																					BgL_sfunz00_bglt
																																						BgL_obj1915z00_1007;
																																					BgL_obj1915z00_1007
																																						=
																																						(
																																						(BgL_sfunz00_bglt)
																																						BgL_valz00_650);
																																					BgL_arg2635z00_684
																																						=
																																						(((BgL_sfunz00_bglt) CREF(((obj_t) BgL_obj1915z00_1007)))->BgL_bodyz00);
																																				}
																																				BgL_arg2634z00_683
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BgL_arg2635z00_684);
																																			}
																																			BgL_arg2633z00_682
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2634z00_683,
																																				BNIL);
																																		}
																																		BgL_arg2630z00_679
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					9)),
																																			BgL_arg2633z00_682);
																																	}
																																else
																																	{	/* Engine/heap.scm 145 */
																																		BgL_arg2630z00_679
																																			=
																																			BGl_string2737z00zzengine_heapz00;
																																	}
																															}
																															{	/* Engine/heap.scm 149 */
																																obj_t
																																	BgL_arg2638z00_687;
																																{	/* Engine/heap.scm 149 */
																																	obj_t
																																		BgL_arg2639z00_688;
																																	{	/* Engine/heap.scm 149 */
																																		obj_t
																																			BgL_arg2640z00_689;
																																		BgL_arg2640z00_689
																																			=
																																			MAKE_PAIR
																																			(BgL_jtz00_649,
																																			BNIL);
																																		BgL_arg2639z00_688
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					10)),
																																			BgL_arg2640z00_689);
																																	}
																																	BgL_arg2638z00_687
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2639z00_688,
																																		BNIL);
																																}
																																BgL_arg2631z00_680
																																	=
																																	MAKE_PAIR
																																	(BGl_string2736z00zzengine_heapz00,
																																	BgL_arg2638z00_687);
																															}
																															BgL_arg2626z00_675
																																=
																																MAKE_PAIR
																																(BgL_arg2630z00_679,
																																BgL_arg2631z00_680);
																														}
																														BgL_arg2623z00_672 =
																															MAKE_PAIR
																															(BgL_arg2625z00_674,
																															BgL_arg2626z00_675);
																													}
																													BgL_arg2621z00_670 =
																														MAKE_PAIR
																														(BgL_arg2622z00_671,
																														BgL_arg2623z00_672);
																												}
																												BgL_arg2618z00_667 =
																													MAKE_PAIR
																													(BGl_string2736z00zzengine_heapz00,
																													BgL_arg2621z00_670);
																											}
																											BgL_arg2616z00_665 =
																												MAKE_PAIR
																												(BgL_arg2617z00_666,
																												BgL_arg2618z00_667);
																										}
																										BgL_arg2614z00_663 =
																											MAKE_PAIR
																											(BGl_string2736z00zzengine_heapz00,
																											BgL_arg2616z00_665);
																									}
																									BgL_arg2612z00_661 =
																										MAKE_PAIR
																										(BgL_arg2613z00_662,
																										BgL_arg2614z00_663);
																								}
																								BgL_arg2610z00_659 =
																									MAKE_PAIR
																									(BGl_string2736z00zzengine_heapz00,
																									BgL_arg2612z00_661);
																							}
																							BgL_arg2608z00_657 =
																								MAKE_PAIR(BgL_arg2609z00_658,
																								BgL_arg2610z00_659);
																						}
																						BgL_arg2607z00_656 =
																							MAKE_PAIR
																							(BGl_string2736z00zzengine_heapz00,
																							BgL_arg2608z00_657);
																					}
																					BgL_arg2604z00_654 =
																						MAKE_PAIR(BgL_arg2605z00_655,
																						BgL_arg2607z00_656);
																				}
																				BgL_arg2603z00_653 =
																					MAKE_PAIR(BgL_kindz00_651,
																					BgL_arg2604z00_654);
																			}
																			bgl_display_obj(BgL_arg2603z00_653,
																				BgL_port2521z00_652);
																		}
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port2521z00_652);
										}}}}}}}}
										{
											obj_t BgL_l2522z00_1420;

											BgL_l2522z00_1420 = CDR(BgL_l2522z00_637);
											BgL_l2522z00_637 = BgL_l2522z00_1420;
											goto BgL_zc3anonymousza32597ze3z83_638;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1327 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1327);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc2738z00zzengine_heapz00);
		}
	}



/* &<anonymous:2644> */
	obj_t BGl_z62zc3anonymousza32644ze3ze1zzengine_heapz00(obj_t BgL_envz00_1066,
		obj_t BgL_kz00_1067, obj_t BgL_newz00_1068)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_694;
				obj_t BgL_newz00_695;

				BgL_kz00_694 = BgL_kz00_1067;
				BgL_newz00_695 = BgL_newz00_1068;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_697;

					{	/* Engine/heap.scm 160 */
						BgL_typez00_bglt BgL_obj2127z00_1014;

						BgL_obj2127z00_1014 = ((BgL_typez00_bglt) BgL_newz00_695);
						BgL_idz00_697 =
							(((BgL_typez00_bglt) CREF(
									((obj_t) BgL_obj2127z00_1014)))->BgL_idz00);
					}
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_698;

						{	/* Engine/heap.scm 161 */
							BgL_typez00_bglt BgL_obj2128z00_1015;

							BgL_obj2128z00_1015 = ((BgL_typez00_bglt) BgL_newz00_695);
							BgL_namez00_698 =
								(((BgL_typez00_bglt) CREF(
										((obj_t) BgL_obj2128z00_1015)))->BgL_namez00);
						}
						{	/* Engine/heap.scm 161 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_695,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 163 */
									BgL_tclassz00_bglt BgL_instance2504z00_700;

									BgL_instance2504z00_700 =
										((BgL_tclassz00_bglt) BgL_newz00_695);
									{	/* Engine/heap.scm 164 */
										obj_t BgL_port2531z00_701;

										{	/* Engine/heap.scm 164 */
											obj_t BgL_res2716z00_1019;

											{	/* Engine/heap.scm 164 */
												obj_t BgL_auxz00_1433;

												BgL_auxz00_1433 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res2716z00_1019 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1433);
											}
											BgL_port2531z00_701 = BgL_res2716z00_1019;
										}
										BGL_DISPLAY_STRING(BGl_string2735z00zzengine_heapz00,
											BgL_port2531z00_701);
										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg2646z00_702;

											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg2647z00_703;

												{	/* Engine/heap.scm 165 */
													obj_t BgL_arg2648z00_704;
													obj_t BgL_arg2650z00_705;

													BgL_arg2648z00_704 =
														BGl_shapez00zztools_shapez00(BgL_newz00_695);
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg2651z00_706;
														obj_t BgL_arg2652z00_707;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg2653z00_708;

															{	/* Engine/heap.scm 166 */
																obj_t BgL_arg2654z00_709;

																{	/* Engine/heap.scm 166 */
																	obj_t BgL_arg2656z00_710;

																	{
																		obj_t BgL_auxz00_1438;

																		{	/* Engine/heap.scm 166 */
																			BgL_objectz00_bglt BgL_auxz00_1439;

																			BgL_auxz00_1439 =
																				((BgL_objectz00_bglt)
																				BgL_instance2504z00_700);
																			BgL_auxz00_1438 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1439);
																		}
																		BgL_arg2656z00_710 =
																			(((BgL_tclassz00_bglt)
																				CREF(BgL_auxz00_1438))->
																			BgL_itszd2superzd2);
																	}
																	BgL_arg2654z00_709 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg2656z00_710);
																}
																BgL_arg2653z00_708 =
																	MAKE_PAIR(BgL_arg2654z00_709, BNIL);
															}
															BgL_arg2651z00_706 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																BgL_arg2653z00_708);
														}
														{	/* Engine/heap.scm 167 */
															obj_t BgL_arg2657z00_711;

															{	/* Engine/heap.scm 167 */
																obj_t BgL_l2525z00_712;

																{
																	obj_t BgL_auxz00_1447;

																	{	/* Engine/heap.scm 167 */
																		BgL_objectz00_bglt BgL_auxz00_1448;

																		BgL_auxz00_1448 =
																			((BgL_objectz00_bglt)
																			BgL_instance2504z00_700);
																		BgL_auxz00_1447 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1448);
																	}
																	BgL_l2525z00_712 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1447))->BgL_slotsz00);
																}
																if (NULLP(BgL_l2525z00_712))
																	{	/* Engine/heap.scm 167 */
																		BgL_arg2657z00_711 = BNIL;
																	}
																else
																	{	/* Engine/heap.scm 167 */
																		obj_t BgL_head2527z00_714;

																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_arg2664z00_726;

																			BgL_arg2664z00_726 =
																				BGl_shapez00zztools_shapez00(CAR
																				(BgL_l2525z00_712));
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_res2718z00_1029;

																				BgL_res2718z00_1029 =
																					MAKE_PAIR(BgL_arg2664z00_726, BNIL);
																				BgL_head2527z00_714 =
																					BgL_res2718z00_1029;
																			}
																		}
																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_g2530z00_715;

																			BgL_g2530z00_715 = CDR(BgL_l2525z00_712);
																			{
																				obj_t BgL_l2525z00_717;
																				obj_t BgL_tail2528z00_718;

																				BgL_l2525z00_717 = BgL_g2530z00_715;
																				BgL_tail2528z00_718 =
																					BgL_head2527z00_714;
																			BgL_zc3anonymousza32659ze3z83_719:
																				if (NULLP(BgL_l2525z00_717))
																					{	/* Engine/heap.scm 167 */
																						BgL_arg2657z00_711 =
																							BgL_head2527z00_714;
																					}
																				else
																					{	/* Engine/heap.scm 167 */
																						obj_t BgL_newtail2529z00_721;

																						{	/* Engine/heap.scm 167 */
																							obj_t BgL_arg2662z00_723;

																							BgL_arg2662z00_723 =
																								BGl_shapez00zztools_shapez00(CAR
																								(BgL_l2525z00_717));
																							{	/* Engine/heap.scm 167 */
																								obj_t BgL_res2720z00_1036;

																								BgL_res2720z00_1036 =
																									MAKE_PAIR(BgL_arg2662z00_723,
																									BNIL);
																								BgL_newtail2529z00_721 =
																									BgL_res2720z00_1036;
																							}
																						}
																						SET_CDR(BgL_tail2528z00_718,
																							BgL_newtail2529z00_721);
																						{
																							obj_t BgL_tail2528z00_1466;
																							obj_t BgL_l2525z00_1464;

																							BgL_l2525z00_1464 =
																								CDR(BgL_l2525z00_717);
																							BgL_tail2528z00_1466 =
																								BgL_newtail2529z00_721;
																							BgL_tail2528z00_718 =
																								BgL_tail2528z00_1466;
																							BgL_l2525z00_717 =
																								BgL_l2525z00_1464;
																							goto
																								BgL_zc3anonymousza32659ze3z83_719;
																						}
																					}
																			}
																		}
																	}
															}
															BgL_arg2652z00_707 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2657z00_711, BNIL);
														}
														BgL_arg2650z00_705 =
															MAKE_PAIR(BgL_arg2651z00_706, BgL_arg2652z00_707);
													}
													BgL_arg2647z00_703 =
														MAKE_PAIR(BgL_arg2648z00_704, BgL_arg2650z00_705);
												}
												BgL_arg2646z00_702 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
													BgL_arg2647z00_703);
											}
											bgl_display_obj(BgL_arg2646z00_702, BgL_port2531z00_701);
										}
										return
											bgl_display_char(((unsigned char) '\n'),
											BgL_port2531z00_701);
								}}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port2532z00_728;

									{	/* Engine/heap.scm 168 */
										obj_t BgL_res2721z00_1042;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_auxz00_1474;

											BgL_auxz00_1474 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2721z00_1042 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1474);
										}
										BgL_port2532z00_728 = BgL_res2721z00_1042;
									}
									BGL_DISPLAY_STRING(BGl_string2735z00zzengine_heapz00,
										BgL_port2532z00_728);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg2666z00_729;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg2667z00_730;

											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg2668z00_731;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg2669z00_732;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg2670z00_733;

														BgL_arg2670z00_733 =
															MAKE_PAIR(BgL_namez00_698, BNIL);
														BgL_arg2669z00_732 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg2670z00_733);
													}
													BgL_arg2668z00_731 =
														MAKE_PAIR(BgL_arg2669z00_732, BNIL);
												}
												BgL_arg2667z00_730 =
													MAKE_PAIR(BgL_idz00_697, BgL_arg2668z00_731);
											}
											BgL_arg2666z00_729 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg2667z00_730);
										}
										bgl_display_obj(BgL_arg2666z00_729, BgL_port2532z00_728);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port2532z00_728);
		}}}}}}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string2739z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
