/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_restorez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32504ze3ze1zzheap_restorez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
	static obj_t BGl_methodzd2initzd2zzheap_restorez00();
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza32324ze3z83zzheap_restorez00(obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32382ze3ze1zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32366ze3ze1zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_appendzd221095zd2zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t);
	static obj_t BGl_zc3exitza32470ze3z83zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza32497ze3ze1zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add2604z00,
		BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2module2605z00, va_generic_entry,
		BGl_z62heapzd2modulezd2listz62zzheap_restorez00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string2600z00zzheap_restorez00,
		BgL_bgl_string2600za700za7za7h2606za7, "heap_restore", 12);
	      DEFINE_STRING(BGl_string2601z00zzheap_restorez00,
		BgL_bgl_string2601za700za7za7h2607za7,
		"restore-additional-heap call-with-current-continuation __r4_control_features_6_9 call/cc restore-heap pass-started heap-mark ",
		125);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl_za762restoreza7d2hea2608z00,
		BGl_z62restorezd2heapzb0zzheap_restorez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2581z00zzheap_restorez00,
		BgL_bgl_string2581za700za7za7h2609za7, "Heap", 4);
	      DEFINE_STRING(BGl_string2582z00zzheap_restorez00,
		BgL_bgl_string2582za700za7za7h2610za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2583z00zzheap_restorez00,
		BgL_bgl_string2583za700za7za7h2611za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2584z00zzheap_restorez00,
		BgL_bgl_string2584za700za7za7h2612za7, "]", 1);
	      DEFINE_STRING(BGl_string2585z00zzheap_restorez00,
		BgL_bgl_string2585za700za7za7h2613za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string2586z00zzheap_restorez00,
		BgL_bgl_string2586za700za7za7h2614za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string2587z00zzheap_restorez00,
		BgL_bgl_string2587za700za7za7h2615za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string2588z00zzheap_restorez00,
		BgL_bgl_string2588za700za7za7h2616za7, "~a vs. ~a", 9);
	      DEFINE_STRING(BGl_string2589z00zzheap_restorez00,
		BgL_bgl_string2589za700za7za7h2617za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string2590z00zzheap_restorez00,
		BgL_bgl_string2590za700za7za7h2618za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string2591z00zzheap_restorez00,
		BgL_bgl_string2591za700za7za7h2619za7, "Release mismatch", 16);
	      DEFINE_STRING(BGl_string2592z00zzheap_restorez00,
		BgL_bgl_string2592za700za7za7h2620za7, "Specific version mismatch", 25);
	      DEFINE_STRING(BGl_string2595z00zzheap_restorez00,
		BgL_bgl_string2595za700za7za7h2621za7, ".", 1);
	      DEFINE_STRING(BGl_string2596z00zzheap_restorez00,
		BgL_bgl_string2596za700za7za7h2622za7, "Library", 7);
	      DEFINE_STRING(BGl_string2597z00zzheap_restorez00,
		BgL_bgl_string2597za700za7za7h2623za7, "restore-additional-heap", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza72624za7,
		BGl_z62zc3anonymousza32366ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza72625za7,
		BGl_z62zc3anonymousza32382ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza72626za7,
		BGl_z62zc3anonymousza32497ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza72627za7,
		BGl_z62zc3anonymousza32504ze3ze1zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add2628z00,
		BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_970, char *BgL_fromz00_971)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					BGl_toplevelzd2initzd2zzheap_restorez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_restore");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_962;

				BgL_cportz00_962 =
					bgl_open_input_string(BGl_string2601z00zzheap_restorez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_963;

					BgL_iz00_963 = ((long) 6);
				BgL_loopz00_964:
					if ((BgL_iz00_963 == ((long) -1)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg2603z00_966;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_968;

										BgL_locationz00_968 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg2603z00_966 =
												BGl_readz00zz__readerz00(BgL_cportz00_962,
												BgL_locationz00_968);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_auxz00_995;

									BgL_auxz00_995 = (int) (BgL_iz00_963);
									CNST_TABLE_SET(BgL_auxz00_995, BgL_arg2603z00_966);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_969;

								BgL_auxz00_969 = (int) ((BgL_iz00_963 - ((long) 1)));
								{
									long BgL_iz00_1000;

									BgL_iz00_1000 = (long) (BgL_auxz00_969);
									BgL_iz00_963 = BgL_iz00_1000;
									goto BgL_loopz00_964;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzheap_restorez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_481;

				BgL_headz00_481 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_482;
					obj_t BgL_tailz00_483;

					BgL_prevz00_482 = BgL_headz00_481;
					BgL_tailz00_483 = BgL_l1z00_1;
				BgL_loopz00_484:
					if (PAIRP(BgL_tailz00_483))
						{
							obj_t BgL_newzd2prevzd2_486;

							BgL_newzd2prevzd2_486 =
								MAKE_PAIR(CAR(BgL_tailz00_483), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_482, BgL_newzd2prevzd2_486);
							{
								obj_t BgL_tailz00_1010;
								obj_t BgL_prevz00_1009;

								BgL_prevz00_1009 = BgL_newzd2prevzd2_486;
								BgL_tailz00_1010 = CDR(BgL_tailz00_483);
								BgL_tailz00_483 = BgL_tailz00_1010;
								BgL_prevz00_482 = BgL_prevz00_1009;
								goto BgL_loopz00_484;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_481);
				}
			}
		}
	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_3)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 36 */
			{	/* Heap/restore.scm 37 */
				obj_t BgL_instance2230z00_489;

				BgL_instance2230z00_489 = BGl_thezd2backendzd2zzbackend_backendz00();
				{	/* Heap/restore.scm 38 */
					bool_t BgL__ortest_2232z00_490;

					{	/* Heap/restore.scm 38 */
						obj_t BgL_auxz00_1014;

						{	/* Heap/restore.scm 38 */
							BgL_backendz00_bglt BgL_obj2136z00_813;

							BgL_obj2136z00_813 =
								((BgL_backendz00_bglt) BgL_instance2230z00_489);
							BgL_auxz00_1014 =
								(((BgL_backendz00_bglt) CREF(
										((obj_t) BgL_obj2136z00_813)))->BgL_languagez00);
						}
						BgL__ortest_2232z00_490 = (BgL_targetz00_3 == BgL_auxz00_1014);
					}
					if (BgL__ortest_2232z00_490)
						{	/* Heap/restore.scm 38 */
							return BgL__ortest_2232z00_490;
						}
					else
						{	/* Heap/restore.scm 38 */
							obj_t BgL_auxz00_1020;

							{	/* Heap/restore.scm 38 */
								BgL_backendz00_bglt BgL_obj2171z00_814;

								BgL_obj2171z00_814 =
									((BgL_backendz00_bglt) BgL_instance2230z00_489);
								BgL_auxz00_1020 =
									(((BgL_backendz00_bglt) CREF(
											((obj_t) BgL_obj2171z00_814)))->BgL_heapzd2compatiblezd2);
							}
							return (BgL_targetz00_3 == BgL_auxz00_1020);
						}
				}
			}
		}
	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 44 */
					{	/* Heap/restore.scm 45 */
						obj_t BgL_list2265z00_494;

						{	/* Heap/restore.scm 45 */
							obj_t BgL_arg2267z00_495;

							{	/* Heap/restore.scm 45 */
								obj_t BgL_arg2271z00_496;

								BgL_arg2271z00_496 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg2267z00_495 =
									MAKE_PAIR(BGl_string2581z00zzheap_restorez00,
									BgL_arg2271z00_496);
							}
							BgL_list2265z00_494 =
								MAKE_PAIR(BGl_string2582z00zzheap_restorez00,
								BgL_arg2267z00_495);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2265z00_494);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2581z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_500;
						obj_t BgL_hnamesz00_501;

						BgL_hooksz00_500 = BNIL;
						BgL_hnamesz00_501 = BNIL;
					BgL_zc3anonymousza32272ze3z83_502:
						if (NULLP(BgL_hooksz00_500))
							{	/* Heap/restore.scm 45 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 45 */
								bool_t BgL_testz00_1037;

								{	/* Heap/restore.scm 45 */
									obj_t BgL_fun2286z00_508;

									BgL_fun2286z00_508 = CAR(BgL_hooksz00_500);
									BgL_testz00_1037 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2286z00_508)
										(BgL_fun2286z00_508, BEOA));
								}
								if (BgL_testz00_1037)
									{
										obj_t BgL_hnamesz00_1045;
										obj_t BgL_hooksz00_1043;

										BgL_hooksz00_1043 = CDR(BgL_hooksz00_500);
										BgL_hnamesz00_1045 = CDR(BgL_hnamesz00_501);
										BgL_hnamesz00_501 = BgL_hnamesz00_1045;
										BgL_hooksz00_500 = BgL_hooksz00_1043;
										goto BgL_zc3anonymousza32272ze3z83_502;
									}
								else
									{	/* Heap/restore.scm 45 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2581z00zzheap_restorez00,
											BGl_string2583z00zzheap_restorez00,
											CAR(BgL_hnamesz00_501));
									}
							}
					}
					{	/* Heap/restore.scm 46 */
						obj_t BgL_fnamez00_511;

						BgL_fnamez00_511 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_511))
							{	/* Heap/restore.scm 48 */
								obj_t BgL_portz00_513;

								BgL_portz00_513 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_511);
								if (BINARY_PORTP(BgL_portz00_513))
									{	/* Heap/restore.scm 49 */
										{	/* Heap/restore.scm 54 */
											obj_t BgL_list2291z00_515;

											{	/* Heap/restore.scm 54 */
												obj_t BgL_arg2293z00_516;

												{	/* Heap/restore.scm 54 */
													obj_t BgL_arg2296z00_517;

													{	/* Heap/restore.scm 54 */
														obj_t BgL_arg2305z00_518;

														BgL_arg2305z00_518 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg2296z00_517 =
															MAKE_PAIR(BGl_string2584z00zzheap_restorez00,
															BgL_arg2305z00_518);
													}
													BgL_arg2293z00_516 =
														MAKE_PAIR(BgL_fnamez00_511, BgL_arg2296z00_517);
												}
												BgL_list2291z00_515 =
													MAKE_PAIR(BGl_string2585z00zzheap_restorez00,
													BgL_arg2293z00_516);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2291z00_515);
										}
										{	/* Heap/restore.scm 55 */
											obj_t BgL_val2235z00_519;

											BgL_val2235z00_519 =
												BGl_zc3exitza32324ze3z83zzheap_restorez00
												(BgL_portz00_513);
											close_binary_port(BgL_portz00_513);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2235z00_519)))
												{	/* Heap/restore.scm 109 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2235z00_519), CDR(BgL_val2235z00_519));
												}
											else
												{	/* Heap/restore.scm 109 */
													return BgL_val2235z00_519;
												}
										}
									}
								else
									{	/* Heap/restore.scm 50 */
										obj_t BgL_mz00_568;

										{	/* Heap/restore.scm 50 */
											obj_t BgL_list2409z00_569;

											BgL_list2409z00_569 = MAKE_PAIR(BgL_fnamez00_511, BNIL);
											BgL_mz00_568 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2586z00zzheap_restorez00,
												BgL_list2409z00_569);
										}
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
											BgL_mz00_568, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
													5)));
							}}
						else
							{	/* Heap/restore.scm 110 */
								obj_t BgL_mz00_570;

								{	/* Heap/restore.scm 110 */
									obj_t BgL_list2410z00_571;

									BgL_list2410z00_571 =
										MAKE_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
									BgL_mz00_570 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2586z00zzheap_restorez00, BgL_list2410z00_571);
								}
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
									BgL_mz00_570, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 5)));
				}}}
			else
				{	/* Heap/restore.scm 44 */
					return BFALSE;
				}
		}
	}



/* <exit:2324> */
	obj_t BGl_zc3exitza32324ze3z83zzheap_restorez00(obj_t BgL_portz00_934)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 109 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2236z00_524;

			if (SET_EXIT(BgL_an_exit2236z00_524))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2236z00_524 = (void *) jmpbuf;
					{	/* Heap/restore.scm 109 */

						PUSH_EXIT(BgL_an_exit2236z00_524, ((long) 0));
						{	/* Heap/restore.scm 56 */
							bool_t BgL_val2237z00_525;

							{	/* Heap/restore.scm 56 */
								obj_t BgL_envsz00_526;

								BgL_envsz00_526 = input_obj(BgL_portz00_934);
								{	/* Heap/restore.scm 56 */
									obj_t BgL__z00_527;

									{	/* Heap/restore.scm 57 */
										bool_t BgL_testz00_1086;

										if (VECTORP(BgL_envsz00_526))
											{	/* Heap/restore.scm 58 */
												int BgL_arg2408z00_567;

												BgL_arg2408z00_567 = VECTOR_LENGTH(BgL_envsz00_526);
												BgL_testz00_1086 =
													((long) (BgL_arg2408z00_567) == ((long) 5));
											}
										else
											{	/* Heap/restore.scm 57 */
												BgL_testz00_1086 = ((bool_t) 0);
											}
										if (BgL_testz00_1086)
											{	/* Heap/restore.scm 57 */
												BgL__z00_527 = BFALSE;
											}
										else
											{	/* Heap/restore.scm 57 */
												BgL__z00_527 =
													BGl_errorz00zz__errorz00
													(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
													BGl_string2587z00zzheap_restorez00, BgL_envsz00_526);
											}
									}
									{	/* Heap/restore.scm 57 */
										obj_t BgL_targetz00_528;

										BgL_targetz00_528 =
											VECTOR_REF(BgL_envsz00_526, (int) (((long) 0)));
										{	/* Heap/restore.scm 62 */
											obj_t BgL_versionz00_529;

											BgL_versionz00_529 =
												VECTOR_REF(BgL_envsz00_526, (int) (((long) 1)));
											{	/* Heap/restore.scm 63 */
												obj_t BgL_specificz00_530;

												BgL_specificz00_530 =
													VECTOR_REF(BgL_envsz00_526, (int) (((long) 2)));
												{	/* Heap/restore.scm 64 */
													obj_t BgL_genvz00_531;

													BgL_genvz00_531 =
														VECTOR_REF(BgL_envsz00_526, (int) (((long) 3)));
													{	/* Heap/restore.scm 65 */
														obj_t BgL_tenvz00_532;

														BgL_tenvz00_532 =
															VECTOR_REF(BgL_envsz00_526, (int) (((long) 4)));
														{	/* Heap/restore.scm 66 */

															if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_528))
																{	/* Heap/restore.scm 68 */
																	BFALSE;
																}
															else
																{	/* Heap/restore.scm 73 */
																	obj_t BgL_arg2329z00_534;

																	{	/* Heap/restore.scm 73 */
																		obj_t BgL_arg2332z00_535;

																		{	/* Heap/restore.scm 73 */
																			obj_t BgL_arg2341z00_538;

																			BgL_arg2341z00_538 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			{	/* Heap/restore.scm 73 */
																				BgL_backendz00_bglt BgL_obj2136z00_846;

																				BgL_obj2136z00_846 =
																					((BgL_backendz00_bglt)
																					BgL_arg2341z00_538);
																				BgL_arg2332z00_535 =
																					(((BgL_backendz00_bglt) CREF(((obj_t)
																								BgL_obj2136z00_846)))->
																					BgL_languagez00);
																			}
																		}
																		{	/* Heap/restore.scm 71 */
																			obj_t BgL_list2333z00_536;

																			{	/* Heap/restore.scm 71 */
																				obj_t BgL_arg2338z00_537;

																				BgL_arg2338z00_537 =
																					MAKE_PAIR(BgL_arg2332z00_535, BNIL);
																				BgL_list2333z00_536 =
																					MAKE_PAIR(BgL_targetz00_528,
																					BgL_arg2338z00_537);
																			}
																			BgL_arg2329z00_534 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string2588z00zzheap_restorez00,
																				BgL_list2333z00_536);
																		}
																	}
																	BGl_errorz00zz__errorz00
																		(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																		BGl_string2589z00zzheap_restorez00,
																		BgL_arg2329z00_534);
																}
															{	/* Heap/restore.scm 74 */
																bool_t BgL_testz00_1113;

																if (CBOOL
																	(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 74 */
																		BgL_testz00_1113 = ((bool_t) 1);
																	}
																else
																	{	/* Heap/restore.scm 74 */
																		BgL_testz00_1113 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_versionz00_529,
																			BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																	}
																if (BgL_testz00_1113)
																	{	/* Heap/restore.scm 74 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 78 */
																		obj_t BgL_arg2347z00_540;

																		{	/* Heap/restore.scm 78 */
																			obj_t BgL_list2348z00_541;

																			{	/* Heap/restore.scm 78 */
																				obj_t BgL_arg2350z00_542;

																				BgL_arg2350z00_542 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																					BNIL);
																				BgL_list2348z00_541 =
																					MAKE_PAIR(BgL_versionz00_529,
																					BgL_arg2350z00_542);
																			}
																			BgL_arg2347z00_540 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string2590z00zzheap_restorez00,
																				BgL_list2348z00_541);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string2591z00zzheap_restorez00,
																			BgL_arg2347z00_540);
																	}
															}
															{	/* Heap/restore.scm 81 */
																bool_t BgL_testz00_1121;

																if (CBOOL
																	(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 81 */
																		BgL_testz00_1121 = ((bool_t) 1);
																	}
																else
																	{	/* Heap/restore.scm 81 */
																		BgL_testz00_1121 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_specificz00_530,
																			BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																	}
																if (BgL_testz00_1121)
																	{	/* Heap/restore.scm 81 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 85 */
																		obj_t BgL_arg2356z00_544;

																		{	/* Heap/restore.scm 85 */
																			obj_t BgL_list2357z00_545;

																			{	/* Heap/restore.scm 85 */
																				obj_t BgL_arg2360z00_546;

																				BgL_arg2360z00_546 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																					BNIL);
																				BgL_list2357z00_545 =
																					MAKE_PAIR(BgL_specificz00_530,
																					BgL_arg2360z00_546);
																			}
																			BgL_arg2356z00_544 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string2590z00zzheap_restorez00,
																				BgL_list2357z00_545);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string2592z00zzheap_restorez00,
																			BgL_arg2356z00_544);
																	}
															}
															BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_531);
															BGl_setzd2tenvz12zc0zztype_envz00
																(BgL_tenvz00_532);
															if (CBOOL
																(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																{	/* Heap/restore.scm 93 */
																	BFALSE;
																}
															else
																{	/* Heap/restore.scm 93 */
																	BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																		();
																}
															{	/* Heap/restore.scm 96 */
																bool_t BgL_testz00_1134;

																{	/* Heap/restore.scm 96 */
																	obj_t BgL_arg2379z00_557;

																	BgL_arg2379z00_557 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	{	/* Heap/restore.scm 96 */
																		BgL_backendz00_bglt BgL_obj2177z00_847;

																		BgL_obj2177z00_847 =
																			((BgL_backendz00_bglt)
																			BgL_arg2379z00_557);
																		BgL_testz00_1134 =
																			(((BgL_backendz00_bglt) CREF(((obj_t)
																						BgL_obj2177z00_847)))->
																			BgL_qualifiedzd2typeszd2);
																	}
																}
																if (BgL_testz00_1134)
																	{	/* Heap/restore.scm 96 */
																		BGl_forzd2eachzd2globalz12z12zzast_envz00
																			(BGl_proc2593z00zzheap_restorez00, BNIL);
																		BgL_genvz00_531;
																	}
																else
																	{	/* Heap/restore.scm 96 */
																		BFALSE;
																	}
															}
															BGl_forzd2eachzd2globalz12z12zzast_envz00
																(BGl_proc2594z00zzheap_restorez00, BNIL);
															BgL_val2237z00_525 = ((bool_t) 1);
														}
													}
												}
											}
										}
									}
								}
							}
							POP_EXIT();
							return BBOOL(BgL_val2237z00_525);
						}
					}
				}
		}
	}



/* &restore-heap */
	obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t BgL_envz00_915)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}
	}



/* &<anonymous:2382> */
	obj_t BGl_z62zc3anonymousza32382ze3ze1zzheap_restorez00(obj_t BgL_envz00_916,
		obj_t BgL_newz00_917)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 106 */
			{
				obj_t BgL_newz00_560;

				BgL_newz00_560 = BgL_newz00_917;
				{	/* Heap/restore.scm 107 */
					obj_t BgL_arg2394z00_850;

					{	/* Heap/restore.scm 107 */
						BgL_globalz00_bglt BgL_obj1698z00_852;

						BgL_obj1698z00_852 = ((BgL_globalz00_bglt) BgL_newz00_560);
						BgL_arg2394z00_850 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1698z00_852)))->BgL_modulez00);
					}
					{	/* Heap/restore.scm 107 */
						obj_t BgL_list2395z00_851;

						BgL_list2395z00_851 = MAKE_PAIR(BgL_arg2394z00_850, BNIL);
						return
							BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_list2395z00_851);
					}
				}
			}
		}
	}



/* &<anonymous:2366> */
	obj_t BGl_z62zc3anonymousza32366ze3ze1zzheap_restorez00(obj_t BgL_envz00_918,
		obj_t BgL_newz00_919)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 98 */
			{
				obj_t BgL_newz00_550;

				BgL_newz00_550 = BgL_newz00_919;
				{	/* Heap/restore.scm 100 */
					obj_t BgL_arg2370z00_552;
					obj_t BgL_arg2373z00_553;
					obj_t BgL_arg2374z00_554;

					{	/* Heap/restore.scm 100 */
						BgL_globalz00_bglt BgL_obj1698z00_848;

						BgL_obj1698z00_848 = ((BgL_globalz00_bglt) BgL_newz00_550);
						BgL_arg2370z00_552 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1698z00_848)))->BgL_modulez00);
					}
					{	/* Heap/restore.scm 101 */
						BgL_globalz00_bglt BgL_obj1720z00_849;

						BgL_obj1720z00_849 = ((BgL_globalz00_bglt) BgL_newz00_550);
						BgL_arg2373z00_553 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1720z00_849)))->BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2374z00_554 = BGl_shapez00zztools_shapez00(BgL_newz00_550);
					{	/* Heap/restore.scm 99 */
						obj_t BgL_list2375z00_555;

						BgL_list2375z00_555 = MAKE_PAIR(BgL_arg2374z00_554, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2370z00_552,
							BgL_arg2373z00_553, BgL_list2375z00_555);
					}
				}
			}
		}
	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 117 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								3)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 118 */
					BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 118 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								5)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 120 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 120 */
					return BFALSE;
				}
		}
	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 130 */
					obj_t BgL_sufz00_575;

					{	/* Heap/restore.scm 130 */
						obj_t BgL_arg2448z00_602;

						{	/* Heap/restore.scm 130 */
							obj_t BgL_arg2452z00_603;

							BgL_arg2452z00_603 = BGl_thezd2backendzd2zzbackend_backendz00();
							{	/* Heap/restore.scm 130 */
								BgL_backendz00_bglt BgL_obj2167z00_858;

								BgL_obj2167z00_858 = ((BgL_backendz00_bglt) BgL_arg2452z00_603);
								BgL_arg2448z00_602 =
									(((BgL_backendz00_bglt) CREF(
											((obj_t) BgL_obj2167z00_858)))->BgL_heapzd2suffixzd2);
							}
						}
						BgL_sufz00_575 =
							string_append(BGl_string2595z00zzheap_restorez00,
							BgL_arg2448z00_602);
					}
					{	/* Heap/restore.scm 131 */
						obj_t BgL_list2415z00_576;

						{	/* Heap/restore.scm 131 */
							obj_t BgL_arg2417z00_577;

							{	/* Heap/restore.scm 131 */
								obj_t BgL_arg2421z00_578;

								BgL_arg2421z00_578 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg2417z00_577 =
									MAKE_PAIR(BGl_string2596z00zzheap_restorez00,
									BgL_arg2421z00_578);
							}
							BgL_list2415z00_576 =
								MAKE_PAIR(BGl_string2582z00zzheap_restorez00,
								BgL_arg2417z00_577);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2415z00_576);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2596z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_582;
						obj_t BgL_hnamesz00_583;

						BgL_hooksz00_582 = BNIL;
						BgL_hnamesz00_583 = BNIL;
					BgL_zc3anonymousza32422ze3z83_584:
						if (NULLP(BgL_hooksz00_582))
							{	/* Heap/restore.scm 131 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 131 */
								bool_t BgL_testz00_1191;

								{	/* Heap/restore.scm 131 */
									obj_t BgL_fun2439z00_590;

									BgL_fun2439z00_590 = CAR(BgL_hooksz00_582);
									BgL_testz00_1191 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2439z00_590)
										(BgL_fun2439z00_590, BEOA));
								}
								if (BgL_testz00_1191)
									{
										obj_t BgL_hnamesz00_1199;
										obj_t BgL_hooksz00_1197;

										BgL_hooksz00_1197 = CDR(BgL_hooksz00_582);
										BgL_hnamesz00_1199 = CDR(BgL_hnamesz00_583);
										BgL_hnamesz00_583 = BgL_hnamesz00_1199;
										BgL_hooksz00_582 = BgL_hooksz00_1197;
										goto BgL_zc3anonymousza32422ze3z83_584;
									}
								else
									{	/* Heap/restore.scm 131 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2596z00zzheap_restorez00,
											BGl_string2583z00zzheap_restorez00,
											CAR(BgL_hnamesz00_583));
									}
							}
					}
					{	/* Heap/restore.scm 132 */
						obj_t BgL_g2245z00_593;

						BgL_g2245z00_593 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l2243z00_595;

							{	/* Heap/restore.scm 134 */
								bool_t BgL_auxz00_1204;

								BgL_l2243z00_595 = BgL_g2245z00_593;
							BgL_zc3anonymousza32441ze3z83_596:
								if (PAIRP(BgL_l2243z00_595))
									{	/* Heap/restore.scm 134 */
										{	/* Heap/restore.scm 133 */
											obj_t BgL_hz00_598;

											BgL_hz00_598 = CAR(BgL_l2243z00_595);
											BGl_restorezd2additionalzd2heapz00zzheap_restorez00
												(string_append(BgL_hz00_598, BgL_sufz00_575));
										}
										{
											obj_t BgL_l2243z00_1210;

											BgL_l2243z00_1210 = CDR(BgL_l2243z00_595);
											BgL_l2243z00_595 = BgL_l2243z00_1210;
											goto BgL_zc3anonymousza32441ze3z83_596;
										}
									}
								else
									{	/* Heap/restore.scm 134 */
										BgL_auxz00_1204 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1204);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 129 */
					return BFALSE;
				}
		}
	}



/* &restore-additional-heaps */
	obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t
		BgL_envz00_920)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}
	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			{	/* Heap/restore.scm 140 */
				obj_t BgL_fnamez00_604;

				BgL_fnamez00_604 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_604))
					{	/* Heap/restore.scm 142 */
						obj_t BgL_portz00_606;

						BgL_portz00_606 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_604);
						if (BINARY_PORTP(BgL_portz00_606))
							{	/* Heap/restore.scm 143 */
								{	/* Heap/restore.scm 148 */
									obj_t BgL_list2456z00_608;

									{	/* Heap/restore.scm 148 */
										obj_t BgL_arg2457z00_609;

										{	/* Heap/restore.scm 148 */
											obj_t BgL_arg2462z00_610;

											{	/* Heap/restore.scm 148 */
												obj_t BgL_arg2466z00_611;

												BgL_arg2466z00_611 =
													MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
												BgL_arg2462z00_610 =
													MAKE_PAIR(BGl_string2584z00zzheap_restorez00,
													BgL_arg2466z00_611);
											}
											BgL_arg2457z00_609 =
												MAKE_PAIR(BgL_fnamez00_604, BgL_arg2462z00_610);
										}
										BgL_list2456z00_608 =
											MAKE_PAIR(BGl_string2585z00zzheap_restorez00,
											BgL_arg2457z00_609);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list2456z00_608);
								}
								{	/* Heap/restore.scm 149 */
									obj_t BgL_val2240z00_612;

									BgL_val2240z00_612 =
										BGl_zc3exitza32470ze3z83zzheap_restorez00(BgL_heapz00_4,
										BgL_portz00_606);
									close_binary_port(BgL_portz00_606);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val2240z00_612)))
										{	/* Heap/restore.scm 212 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val2240z00_612), CDR(BgL_val2240z00_612));
										}
									else
										{	/* Heap/restore.scm 212 */
											return BgL_val2240z00_612;
										}
								}
							}
						else
							{	/* Heap/restore.scm 144 */
								obj_t BgL_mz00_671;

								{	/* Heap/restore.scm 144 */
									obj_t BgL_list2522z00_672;

									BgL_list2522z00_672 = MAKE_PAIR(BgL_fnamez00_604, BNIL);
									BgL_mz00_671 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2586z00zzheap_restorez00, BgL_list2522z00_672);
								}
								BGl_errorz00zz__errorz00(BGl_string2597z00zzheap_restorez00,
									BgL_mz00_671, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
					}}
				else
					{	/* Heap/restore.scm 213 */
						obj_t BgL_mz00_673;

						{	/* Heap/restore.scm 213 */
							obj_t BgL_list2523z00_674;

							BgL_list2523z00_674 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_673 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2586z00zzheap_restorez00, BgL_list2523z00_674);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 6)), BgL_mz00_673,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
		}}}
	}



/* <exit:2470> */
	obj_t BGl_zc3exitza32470ze3z83zzheap_restorez00(obj_t BgL_heapz00_933,
		obj_t BgL_portz00_932)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 212 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2241z00_617;

			if (SET_EXIT(BgL_an_exit2241z00_617))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2241z00_617 = (void *) jmpbuf;
					{	/* Heap/restore.scm 212 */

						PUSH_EXIT(BgL_an_exit2241z00_617, ((long) 0));
						{	/* Heap/restore.scm 150 */
							bool_t BgL_val2242z00_618;

							{	/* Heap/restore.scm 150 */
								obj_t BgL_envsz00_619;

								BgL_envsz00_619 = input_obj(BgL_portz00_932);
								{	/* Heap/restore.scm 150 */
									obj_t BgL__z00_620;

									{	/* Heap/restore.scm 151 */
										bool_t BgL_testz00_1250;

										{	/* Heap/restore.scm 151 */
											bool_t BgL_testz00_1251;

											{	/* Heap/restore.scm 151 */
												obj_t BgL_v2246z00_670;

												BgL_v2246z00_670 = create_vector((int) (((long) 1)));
												VECTOR_SET(BgL_v2246z00_670,
													(int) (((long) 0)), BgL_envsz00_619);
												BgL_testz00_1251 = ((bool_t) 1);
											}
											if (BgL_testz00_1251)
												{	/* Heap/restore.scm 152 */
													int BgL_arg2521z00_669;

													BgL_arg2521z00_669 = VECTOR_LENGTH(BgL_envsz00_619);
													BgL_testz00_1250 =
														((long) (BgL_arg2521z00_669) == ((long) 6));
												}
											else
												{	/* Heap/restore.scm 151 */
													BgL_testz00_1250 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_1250)
											{	/* Heap/restore.scm 151 */
												BgL__z00_620 = BFALSE;
											}
										else
											{	/* Heap/restore.scm 151 */
												BgL__z00_620 =
													BGl_errorz00zz__errorz00(BgL_heapz00_933,
													BGl_string2587z00zzheap_restorez00, BgL_envsz00_619);
											}
									}
									{	/* Heap/restore.scm 151 */
										obj_t BgL_targetz00_621;

										BgL_targetz00_621 =
											VECTOR_REF(BgL_envsz00_619, (int) (((long) 0)));
										{	/* Heap/restore.scm 154 */
											obj_t BgL_versionz00_622;

											BgL_versionz00_622 =
												VECTOR_REF(BgL_envsz00_619, (int) (((long) 1)));
											{	/* Heap/restore.scm 155 */
												obj_t BgL_specificz00_623;

												BgL_specificz00_623 =
													VECTOR_REF(BgL_envsz00_619, (int) (((long) 2)));
												{	/* Heap/restore.scm 156 */
													obj_t BgL_genvz00_624;

													BgL_genvz00_624 =
														VECTOR_REF(BgL_envsz00_619, (int) (((long) 3)));
													{	/* Heap/restore.scm 157 */
														obj_t BgL_tenvz00_625;

														BgL_tenvz00_625 =
															VECTOR_REF(BgL_envsz00_619, (int) (((long) 4)));
														{	/* Heap/restore.scm 158 */
															obj_t BgL_includesz00_626;

															BgL_includesz00_626 =
																VECTOR_REF(BgL_envsz00_619, (int) (((long) 5)));
															{	/* Heap/restore.scm 159 */

																if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_621))
																	{	/* Heap/restore.scm 161 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 166 */
																		obj_t BgL_arg2473z00_628;

																		{	/* Heap/restore.scm 166 */
																			obj_t BgL_arg2475z00_629;

																			{	/* Heap/restore.scm 166 */
																				obj_t BgL_arg2480z00_632;

																				BgL_arg2480z00_632 =
																					BGl_thezd2backendzd2zzbackend_backendz00
																					();
																				{	/* Heap/restore.scm 166 */
																					BgL_backendz00_bglt
																						BgL_obj2136z00_895;
																					BgL_obj2136z00_895 =
																						((BgL_backendz00_bglt)
																						BgL_arg2480z00_632);
																					BgL_arg2475z00_629 =
																						(((BgL_backendz00_bglt)
																							CREF(((obj_t)
																									BgL_obj2136z00_895)))->
																						BgL_languagez00);
																				}
																			}
																			{	/* Heap/restore.scm 164 */
																				obj_t BgL_list2476z00_630;

																				{	/* Heap/restore.scm 164 */
																					obj_t BgL_arg2477z00_631;

																					BgL_arg2477z00_631 =
																						MAKE_PAIR(BgL_arg2475z00_629, BNIL);
																					BgL_list2476z00_630 =
																						MAKE_PAIR(BgL_targetz00_621,
																						BgL_arg2477z00_631);
																				}
																				BgL_arg2473z00_628 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string2588z00zzheap_restorez00,
																					BgL_list2476z00_630);
																			}
																		}
																		BGl_errorz00zz__errorz00(BgL_heapz00_933,
																			BGl_string2589z00zzheap_restorez00,
																			BgL_arg2473z00_628);
																	}
																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_versionz00_622,
																		BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 167 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 170 */
																		obj_t BgL_arg2482z00_634;

																		{	/* Heap/restore.scm 170 */
																			obj_t BgL_list2483z00_635;

																			{	/* Heap/restore.scm 170 */
																				obj_t BgL_arg2485z00_636;

																				BgL_arg2485z00_636 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																					BNIL);
																				BgL_list2483z00_635 =
																					MAKE_PAIR(BgL_versionz00_622,
																					BgL_arg2485z00_636);
																			}
																			BgL_arg2482z00_634 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string2590z00zzheap_restorez00,
																				BgL_list2483z00_635);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string2591z00zzheap_restorez00,
																			BgL_arg2482z00_634);
																	}
																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_specificz00_623,
																		BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																	{	/* Heap/restore.scm 173 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 176 */
																		obj_t BgL_arg2491z00_638;

																		{	/* Heap/restore.scm 176 */
																			obj_t BgL_list2492z00_639;

																			{	/* Heap/restore.scm 176 */
																				obj_t BgL_arg2493z00_640;

																				BgL_arg2493z00_640 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																					BNIL);
																				BgL_list2492z00_639 =
																					MAKE_PAIR(BgL_specificz00_623,
																					BgL_arg2493z00_640);
																			}
																			BgL_arg2491z00_638 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string2590z00zzheap_restorez00,
																				BgL_list2492z00_639);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string2592z00zzheap_restorez00,
																			BgL_arg2491z00_638);
																	}
																BGl_addzd2tenvz12zc0zztype_envz00
																	(BgL_tenvz00_625);
																BGl_addzd2genvz12zc0zzast_envz00
																	(BgL_genvz00_624);
																{	/* Heap/restore.scm 192 */
																	bool_t BgL_testz00_1296;

																	{	/* Heap/restore.scm 192 */
																		obj_t BgL_arg2502z00_651;

																		BgL_arg2502z00_651 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		{	/* Heap/restore.scm 192 */
																			BgL_backendz00_bglt BgL_obj2177z00_896;

																			BgL_obj2177z00_896 =
																				((BgL_backendz00_bglt)
																				BgL_arg2502z00_651);
																			BgL_testz00_1296 =
																				(((BgL_backendz00_bglt) CREF(((obj_t)
																							BgL_obj2177z00_896)))->
																				BgL_qualifiedzd2typeszd2);
																		}
																	}
																	if (BgL_testz00_1296)
																		{	/* Heap/restore.scm 192 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc2598z00zzheap_restorez00,
																				BNIL);
																		}
																	else
																		{	/* Heap/restore.scm 192 */
																			BFALSE;
																		}
																}
																BGl_hashtablezd2forzd2eachz00zz__hashz00
																	(BgL_genvz00_624,
																	BGl_proc2599z00zzheap_restorez00);
																BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																	=
																	BGl_appendzd221095zd2zzheap_restorez00
																	(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																	BgL_includesz00_626);
																BgL_val2242z00_618 = ((bool_t) 1);
															}
														}
													}
												}
											}
										}
									}
								}
							}
							POP_EXIT();
							return BBOOL(BgL_val2242z00_618);
						}
					}
				}
		}
	}



/* &restore-additional-heap */
	obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t
		BgL_envz00_923, obj_t BgL_heapz00_924)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_924);
		}
	}



/* &<anonymous:2504> */
	obj_t BGl_z62zc3anonymousza32504ze3ze1zzheap_restorez00(obj_t BgL_envz00_925,
		obj_t BgL_kz00_926, obj_t BgL_bucketz00_927)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 202 */
			{
				obj_t BgL_kz00_653;
				obj_t BgL_bucketz00_654;

				{	/* Heap/restore.scm 203 */
					bool_t BgL_auxz00_1307;

					BgL_kz00_653 = BgL_kz00_926;
					BgL_bucketz00_654 = BgL_bucketz00_927;
					{	/* Heap/restore.scm 203 */
						obj_t BgL_g2249z00_656;

						BgL_g2249z00_656 = CDR(BgL_bucketz00_654);
						{
							obj_t BgL_l2247z00_658;

							BgL_l2247z00_658 = BgL_g2249z00_656;
						BgL_zc3anonymousza32505ze3z83_659:
							if (PAIRP(BgL_l2247z00_658))
								{	/* Heap/restore.scm 206 */
									{	/* Heap/restore.scm 204 */
										obj_t BgL_newz00_661;

										BgL_newz00_661 = CAR(BgL_l2247z00_658);
										{	/* Heap/restore.scm 205 */
											obj_t BgL_arg2512z00_662;

											{	/* Heap/restore.scm 205 */
												BgL_globalz00_bglt BgL_obj1698z00_903;

												BgL_obj1698z00_903 =
													((BgL_globalz00_bglt) BgL_newz00_661);
												BgL_arg2512z00_662 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1698z00_903)))->BgL_modulez00);
											}
											{	/* Heap/restore.scm 204 */
												obj_t BgL_list2513z00_663;

												BgL_list2513z00_663 =
													MAKE_PAIR(BgL_arg2512z00_662, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list2513z00_663);
											}
										}
									}
									{
										obj_t BgL_l2247z00_1317;

										BgL_l2247z00_1317 = CDR(BgL_l2247z00_658);
										BgL_l2247z00_658 = BgL_l2247z00_1317;
										goto BgL_zc3anonymousza32505ze3z83_659;
									}
								}
							else
								{	/* Heap/restore.scm 206 */
									BgL_auxz00_1307 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1307);
				}
			}
		}
	}



/* &<anonymous:2497> */
	obj_t BGl_z62zc3anonymousza32497ze3ze1zzheap_restorez00(obj_t BgL_envz00_928,
		obj_t BgL_newz00_929)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 194 */
			{
				obj_t BgL_newz00_644;

				BgL_newz00_644 = BgL_newz00_929;
				{	/* Heap/restore.scm 196 */
					obj_t BgL_arg2498z00_646;
					obj_t BgL_arg2499z00_647;
					obj_t BgL_arg2500z00_648;

					{	/* Heap/restore.scm 196 */
						BgL_globalz00_bglt BgL_obj1698z00_897;

						BgL_obj1698z00_897 = ((BgL_globalz00_bglt) BgL_newz00_644);
						BgL_arg2498z00_646 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1698z00_897)))->BgL_modulez00);
					}
					{	/* Heap/restore.scm 197 */
						BgL_globalz00_bglt BgL_obj1720z00_898;

						BgL_obj1720z00_898 = ((BgL_globalz00_bglt) BgL_newz00_644);
						BgL_arg2499z00_647 =
							(((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1720z00_898)))->BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2500z00_648 = BGl_shapez00zztools_shapez00(BgL_newz00_644);
					{	/* Heap/restore.scm 195 */
						obj_t BgL_list2501z00_649;

						BgL_list2501z00_649 = MAKE_PAIR(BgL_arg2500z00_648, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2498z00_646,
							BgL_arg2499z00_647, BgL_list2501z00_649);
					}
				}
			}
		}
	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_5)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			if (NULLP(BgL_argsz00_5))
				{	/* Heap/restore.scm 235 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 235 */
					if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(CAR(BgL_argsz00_5),
								CNST_TABLE_REF(((long) 0)))))
						{	/* Heap/restore.scm 237 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 237 */
							{	/* Heap/restore.scm 238 */
								obj_t BgL_arg2530z00_677;

								BgL_arg2530z00_677 = CAR(BgL_argsz00_5);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg2530z00_677,
									CNST_TABLE_REF(((long) 0)), BTRUE);
							}
							{	/* Heap/restore.scm 239 */
								obj_t BgL_arg2531z00_678;

								BgL_arg2531z00_678 = CAR(BgL_argsz00_5);
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_PAIR(BgL_arg2531z00_678,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}
	}



/* &heap-module-list */
	obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t BgL_envz00_930,
		obj_t BgL_argsz00_931)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_931);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2600z00zzheap_restorez00));
		}
	}

#ifdef __cplusplus
}
#endif
