/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
		char dummy;
	}                      *BgL_sfunzf2iflowzf2_bglt;


	static BgL_sfunzf2iflowzf2_bglt BGl_sfunzf2iflowzd2nilz20zzinitflow_walkz00();
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se3577zb0zzinitflow_walkz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2setq3565z62zzinitflow_walkz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sequen3555z62zzinitflow_walkz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3589ze1zzinitflow_walkz00(obj_t,
		BgL_sfunzf2iflowzf2_bglt, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62z52allocatezd2sfunzf2iflowz10zzinitflow_walkz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2var3553z62zzinitflow_walkz00(obj_t,
		BgL_varz00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2node3550zb0zzinitflow_walkz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	static obj_t BGl_appendzd221095zd2zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2initzb0zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2funcal3561z62zzinitflow_walkz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static BgL_sfunzf2iflowzf2_bglt
		BGl_z62sfunzf2iflowzd2nilz42zzinitflow_walkz00(obj_t);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2iflowzf3z63zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2makezd2b3573zb0zzinitflow_walkz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e3585zb0zzinitflow_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2sfunzf23587z73zzinitflow_walkz00(obj_t,
		BgL_sfunzf2iflowzf2_bglt);
	static obj_t BGl_z62initflowzd2nodezd2fail3569z62zzinitflow_walkz00(obj_t,
		BgL_failz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu3579zb0zzinitflow_walkz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2va3581zb0zzinitflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z52thezd2sfunzf2iflowzd2nilza0zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly3559zb0zzinitflow_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2select3571z62zzinitflow_walkz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_z62zc3anonymousza33627ze3ze1zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2app3557z62zzinitflow_walkz00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex3583zb0zzinitflow_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2extern3563z62zzinitflow_walkz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit3567z62zzinitflow_walkz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62initflowzd2nodezd2boxzd2re3575zb0zzinitflow_walkz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static BgL_sfunzf2iflowzf2_bglt
		BGl_wideningzd2sfunzf2iflowz20zzinitflow_walkz00();
	static obj_t __cnst[6];


	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_sfunzf2iflowzd2nilzd2envzf2zzinitflow_walkz00,
		BgL_bgl_za762sfunza7f2iflowza73934za7,
		BGl_z62sfunzf2iflowzd2nilz42zzinitflow_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3905z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3935z00,
		BGl_z62initflowzd2node3550zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3907z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3936z00,
		BGl_z62initflowzd2nodezd2var3553z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3909z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3937z00,
		BGl_z62initflowzd2nodezd2sequen3555z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3910z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3938z00,
		BGl_z62initflowzd2nodezd2app3557z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3911z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3939z00,
		BGl_z62initflowzd2nodezd2appzd2ly3559zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3912z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3940z00,
		BGl_z62initflowzd2nodezd2funcal3561z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3913z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3941z00,
		BGl_z62initflowzd2nodezd2extern3563z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3914z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3942z00,
		BGl_z62initflowzd2nodezd2setq3565z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3915z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3943z00,
		BGl_z62initflowzd2nodezd2condit3567z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3916z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3944z00,
		BGl_z62initflowzd2nodezd2fail3569z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3917z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3945z00,
		BGl_z62initflowzd2nodezd2select3571z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3918z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3946z00,
		BGl_z62initflowzd2nodezd2makezd2b3573zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3919z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3947z00,
		BGl_z62initflowzd2nodezd2boxzd2re3575zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3920z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3948z00,
		BGl_z62initflowzd2nodezd2boxzd2se3577zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3921z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3949z00,
		BGl_z62initflowzd2nodezd2letzd2fu3579zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3922z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3950z00,
		BGl_z62initflowzd2nodezd2letzd2va3581zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3923z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3951z00,
		BGl_z62initflowzd2nodezd2setzd2ex3583zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3924z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3952z00,
		BGl_z62initflowzd2nodezd2jumpzd2e3585zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3925z00zzinitflow_walkz00,
		BgL_bgl_za762objectza7d2za7e3s3953za7,
		BGl_z62objectzd2ze3structzd2sfunzf23587z73zzinitflow_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3927z00zzinitflow_walkz00,
		BgL_bgl_za762structza7b2obje3954z00,
		BGl_z62structzb2objectzd2ze3objec3589ze1zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3895z00zzinitflow_walkz00,
		BgL_bgl_string3895za700za7za7i3955za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string3896z00zzinitflow_walkz00,
		BgL_bgl_string3896za700za7za7i3956za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3897z00zzinitflow_walkz00,
		BgL_bgl_string3897za700za7za7i3957za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3899z00zzinitflow_walkz00,
		BgL_bgl_string3899za700za7za7i3958za7, "      uninitialized globals : ",
		30);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_sfunzf2iflowzf3zd2envzd3zzinitflow_walkz00,
		BgL_bgl_za762sfunza7f2iflowza73959za7,
		BGl_z62sfunzf2iflowzf3z63zzinitflow_walkz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa3960z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3900z00zzinitflow_walkz00,
		BgL_bgl_string3900za700za7za7i3961za7, " error", 6);
	      DEFINE_STRING(BGl_string3901z00zzinitflow_walkz00,
		BgL_bgl_string3901za700za7za7i3962za7, "s", 1);
	      DEFINE_STRING(BGl_string3902z00zzinitflow_walkz00,
		BgL_bgl_string3902za700za7za7i3963za7, "", 0);
	      DEFINE_STRING(BGl_string3903z00zzinitflow_walkz00,
		BgL_bgl_string3903za700za7za7i3964za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3904z00zzinitflow_walkz00,
		BgL_bgl_string3904za700za7za7i3965za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3906z00zzinitflow_walkz00,
		BgL_bgl_string3906za700za7za7i3966za7, "initflow-node3550", 17);
	      DEFINE_STRING(BGl_string3908z00zzinitflow_walkz00,
		BgL_bgl_string3908za700za7za7i3967za7, "initflow-node", 13);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no3968z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3926z00zzinitflow_walkz00,
		BgL_bgl_string3926za700za7za7i3969za7, "object->struct::struct", 22);
	      DEFINE_STRING(BGl_string3928z00zzinitflow_walkz00,
		BgL_bgl_string3928za700za7za7i3970za7, "struct+object->object::object", 29);
	      DEFINE_STRING(BGl_string3929z00zzinitflow_walkz00,
		BgL_bgl_string3929za700za7za7i3971za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STRING(BGl_string3930z00zzinitflow_walkz00,
		BgL_bgl_string3930za700za7za7i3972za7, "initflow_walk", 13);
	      DEFINE_STRING(BGl_string3931z00zzinitflow_walkz00,
		BgL_bgl_string3931za700za7za7i3973za7,
		"no-init-flow _ sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		97);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_globalzd2initzd2envz00zzinitflow_walkz00,
		BgL_bgl_za762globalza7d2init3974z00,
		BGl_z62globalzd2initzb0zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3898z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3anonymousza73975za7,
		BGl_z62zc3anonymousza33627ze3ze1zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2sfunzf2iflowzd2envza0zzinitflow_walkz00,
		BgL_bgl_za762za752allocateza7d3976za7,
		BGl_z62z52allocatezd2sfunzf2iflowz10zzinitflow_walkz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_2334, char *BgL_fromz00_2335)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2316;

				BgL_cportz00_2316 =
					bgl_open_input_string(BGl_string3931z00zzinitflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2317;

					BgL_iz00_2317 = ((long) 5);
				BgL_loopz00_2318:
					if ((BgL_iz00_2317 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg3933z00_2320;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2322;

										BgL_locationz00_2322 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg3933z00_2320 =
												BGl_readz00zz__readerz00(BgL_cportz00_2316,
												BgL_locationz00_2322);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_auxz00_2359;

									BgL_auxz00_2359 = (int) (BgL_iz00_2317);
									CNST_TABLE_SET(BgL_auxz00_2359, BgL_arg3933z00_2320);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2323;

								BgL_auxz00_2323 = (int) ((BgL_iz00_2317 - ((long) 1)));
								{
									long BgL_iz00_2364;

									BgL_iz00_2364 = (long) (BgL_auxz00_2323);
									BgL_iz00_2317 = BgL_iz00_2364;
									goto BgL_loopz00_2318;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_886;

				BgL_headz00_886 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_887;
					obj_t BgL_tailz00_888;

					BgL_prevz00_887 = BgL_headz00_886;
					BgL_tailz00_888 = BgL_l1z00_1;
				BgL_loopz00_889:
					if (PAIRP(BgL_tailz00_888))
						{
							obj_t BgL_newzd2prevzd2_891;

							BgL_newzd2prevzd2_891 =
								MAKE_PAIR(CAR(BgL_tailz00_888), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_887, BgL_newzd2prevzd2_891);
							{
								obj_t BgL_tailz00_2373;
								obj_t BgL_prevz00_2372;

								BgL_prevz00_2372 = BgL_newzd2prevzd2_891;
								BgL_tailz00_2373 = CDR(BgL_tailz00_888);
								BgL_tailz00_888 = BgL_tailz00_2373;
								BgL_prevz00_887 = BgL_prevz00_2372;
								goto BgL_loopz00_889;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_886);
				}
			}
		}
	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 47 */
			{	/* Initflow/walk.scm 48 */
				obj_t BgL_list3593z00_894;

				{	/* Initflow/walk.scm 48 */
					obj_t BgL_arg3594z00_895;

					{	/* Initflow/walk.scm 48 */
						obj_t BgL_arg3595z00_896;

						BgL_arg3595z00_896 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3594z00_895 =
							MAKE_PAIR(BGl_string3895z00zzinitflow_walkz00,
							BgL_arg3595z00_896);
					}
					BgL_list3593z00_894 =
						MAKE_PAIR(BGl_string3896z00zzinitflow_walkz00, BgL_arg3594z00_895);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3593z00_894);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3895z00zzinitflow_walkz00;
			{
				obj_t BgL_hooksz00_900;
				obj_t BgL_hnamesz00_901;

				BgL_hooksz00_900 = BNIL;
				BgL_hnamesz00_901 = BNIL;
			BgL_zc3anonymousza33596ze3z83_902:
				if (NULLP(BgL_hooksz00_900))
					{	/* Initflow/walk.scm 48 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Initflow/walk.scm 48 */
						bool_t BgL_testz00_2386;

						{	/* Initflow/walk.scm 48 */
							obj_t BgL_fun3602z00_908;

							BgL_fun3602z00_908 = CAR(BgL_hooksz00_900);
							BgL_testz00_2386 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3602z00_908) (BgL_fun3602z00_908,
									BEOA));
						}
						if (BgL_testz00_2386)
							{
								obj_t BgL_hnamesz00_2394;
								obj_t BgL_hooksz00_2392;

								BgL_hooksz00_2392 = CDR(BgL_hooksz00_900);
								BgL_hnamesz00_2394 = CDR(BgL_hnamesz00_901);
								BgL_hnamesz00_901 = BgL_hnamesz00_2394;
								BgL_hooksz00_900 = BgL_hooksz00_2392;
								goto BgL_zc3anonymousza33596ze3z83_902;
							}
						else
							{	/* Initflow/walk.scm 48 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3895z00zzinitflow_walkz00,
									BGl_string3897z00zzinitflow_walkz00, CAR(BgL_hnamesz00_901));
							}
					}
			}
			{
				obj_t BgL_l3519z00_912;

				BgL_l3519z00_912 = BgL_globalsz00_3;
			BgL_zc3anonymousza33604ze3z83_913:
				if (PAIRP(BgL_l3519z00_912))
					{	/* Initflow/walk.scm 52 */
						{	/* Initflow/walk.scm 53 */
							obj_t BgL_gz00_915;

							BgL_gz00_915 = CAR(BgL_l3519z00_912);
							{	/* Initflow/walk.scm 53 */
								bool_t BgL_testz00_2401;

								{	/* Initflow/walk.scm 53 */
									obj_t BgL_auxz00_2402;

									{	/* Initflow/walk.scm 53 */
										BgL_variablez00_bglt BgL_obj1615z00_1721;

										BgL_obj1615z00_1721 = ((BgL_variablez00_bglt) BgL_gz00_915);
										BgL_auxz00_2402 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1615z00_1721)))->BgL_accessz00);
									}
									BgL_testz00_2401 =
										(BgL_auxz00_2402 == CNST_TABLE_REF(((long) 1)));
								}
								if (BgL_testz00_2401)
									{	/* Initflow/walk.scm 54 */
										BgL_valuez00_bglt BgL_valuez00_917;

										{	/* Initflow/walk.scm 54 */
											BgL_variablez00_bglt BgL_obj1612z00_1722;

											BgL_obj1612z00_1722 =
												((BgL_variablez00_bglt) BgL_gz00_915);
											BgL_valuez00_917 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1722)))->BgL_valuez00);
										}
										{	/* Initflow/walk.scm 55 */
											bool_t BgL_testz00_2411;

											{	/* Initflow/walk.scm 55 */
												bool_t BgL_res3839z00_1724;

												{	/* Initflow/walk.scm 55 */
													obj_t BgL_obj2001z00_1723;

													BgL_obj2001z00_1723 = ((obj_t) BgL_valuez00_917);
													BgL_res3839z00_1724 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1723,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_2411 = BgL_res3839z00_1724;
											}
											if (BgL_testz00_2411)
												{	/* Initflow/walk.scm 56 */
													BgL_globalz00_bglt BgL_obj1725z00_1725;

													BgL_obj1725z00_1725 =
														((BgL_globalz00_bglt) BgL_gz00_915);
													((((BgL_globalz00_bglt) CREF(
																	((obj_t) BgL_obj1725z00_1725)))->
															BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
												}
											else
												{	/* Initflow/walk.scm 55 */
													BFALSE;
												}
										}
									}
								else
									{	/* Initflow/walk.scm 53 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3519z00_2417;

							BgL_l3519z00_2417 = CDR(BgL_l3519z00_912);
							BgL_l3519z00_912 = BgL_l3519z00_2417;
							goto BgL_zc3anonymousza33604ze3z83_913;
						}
					}
				else
					{	/* Initflow/walk.scm 52 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 59 */
				obj_t BgL_g3529z00_922;

				BgL_g3529z00_922 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l3527z00_924;

					BgL_l3527z00_924 = BgL_g3529z00_922;
				BgL_zc3anonymousza33610ze3z83_925:
					if (PAIRP(BgL_l3527z00_924))
						{	/* Initflow/walk.scm 71 */
							{	/* Initflow/walk.scm 60 */
								obj_t BgL_idz00_927;

								BgL_idz00_927 = CAR(BgL_l3527z00_924);
								{	/* Initflow/walk.scm 60 */
									obj_t BgL_rootz00_928;

									BgL_rootz00_928 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_927,
										BGl_za2moduleza2z00zzmodule_modulez00);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_rootz00_928,
											BGl_globalz00zzast_varz00))
										{	/* Initflow/walk.scm 61 */
											BGl_initflowzd2funzd2zzinitflow_walkz00(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_rootz00_928)),
												((bool_t) 1));
											{	/* Initflow/walk.scm 63 */
												obj_t BgL_lz00_930;

												BgL_lz00_930 =
													BGl_filterz00zz__r4_control_features_6_9z00
													(BGl_proc3898z00zzinitflow_walkz00, BgL_globalsz00_3);
												if (NULLP(BgL_lz00_930))
													{	/* Initflow/walk.scm 67 */
														BFALSE;
													}
												else
													{	/* Initflow/walk.scm 69 */
														obj_t BgL_arg3614z00_932;

														{	/* Initflow/walk.scm 69 */
															obj_t BgL_l3521z00_936;

															BgL_l3521z00_936 = BgL_lz00_930;
															{	/* Initflow/walk.scm 69 */
																obj_t BgL_head3523z00_938;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg3624z00_950;

																	BgL_arg3624z00_950 =
																		BGl_shapez00zztools_shapez00(CAR
																		(BgL_l3521z00_936));
																	{	/* Initflow/walk.scm 69 */
																		obj_t BgL_res3845z00_1744;

																		BgL_res3845z00_1744 =
																			MAKE_PAIR(BgL_arg3624z00_950, BNIL);
																		BgL_head3523z00_938 = BgL_res3845z00_1744;
																	}
																}
																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_g3526z00_939;

																	BgL_g3526z00_939 = CDR(BgL_l3521z00_936);
																	{
																		obj_t BgL_l3521z00_941;
																		obj_t BgL_tail3524z00_942;

																		BgL_l3521z00_941 = BgL_g3526z00_939;
																		BgL_tail3524z00_942 = BgL_head3523z00_938;
																	BgL_zc3anonymousza33619ze3z83_943:
																		if (NULLP(BgL_l3521z00_941))
																			{	/* Initflow/walk.scm 69 */
																				BgL_arg3614z00_932 =
																					BgL_head3523z00_938;
																			}
																		else
																			{	/* Initflow/walk.scm 69 */
																				obj_t BgL_newtail3525z00_945;

																				{	/* Initflow/walk.scm 69 */
																					obj_t BgL_arg3622z00_947;

																					BgL_arg3622z00_947 =
																						BGl_shapez00zztools_shapez00(CAR
																						(BgL_l3521z00_941));
																					{	/* Initflow/walk.scm 69 */
																						obj_t BgL_res3847z00_1751;

																						BgL_res3847z00_1751 =
																							MAKE_PAIR(BgL_arg3622z00_947,
																							BNIL);
																						BgL_newtail3525z00_945 =
																							BgL_res3847z00_1751;
																					}
																				}
																				SET_CDR(BgL_tail3524z00_942,
																					BgL_newtail3525z00_945);
																				{
																					obj_t BgL_tail3524z00_2444;
																					obj_t BgL_l3521z00_2442;

																					BgL_l3521z00_2442 =
																						CDR(BgL_l3521z00_941);
																					BgL_tail3524z00_2444 =
																						BgL_newtail3525z00_945;
																					BgL_tail3524z00_942 =
																						BgL_tail3524z00_2444;
																					BgL_l3521z00_941 = BgL_l3521z00_2442;
																					goto
																						BgL_zc3anonymousza33619ze3z83_943;
																				}
																			}
																	}
																}
															}
														}
														{	/* Initflow/walk.scm 68 */
															obj_t BgL_list3615z00_933;

															{	/* Initflow/walk.scm 68 */
																obj_t BgL_arg3616z00_934;

																{	/* Initflow/walk.scm 68 */
																	obj_t BgL_arg3617z00_935;

																	BgL_arg3617z00_935 =
																		MAKE_PAIR(BCHAR(((unsigned char) '\n')),
																		BNIL);
																	BgL_arg3616z00_934 =
																		MAKE_PAIR(BgL_arg3614z00_932,
																		BgL_arg3617z00_935);
																}
																BgL_list3615z00_933 =
																	MAKE_PAIR(BGl_string3899z00zzinitflow_walkz00,
																	BgL_arg3616z00_934);
															}
															BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																BgL_list3615z00_933);
										}}}}
									else
										{	/* Initflow/walk.scm 61 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l3527z00_2451;

								BgL_l3527z00_2451 = CDR(BgL_l3527z00_924);
								BgL_l3527z00_924 = BgL_l3527z00_2451;
								goto BgL_zc3anonymousza33610ze3z83_925;
							}
						}
					else
						{	/* Initflow/walk.scm 71 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 73 */
					{	/* Initflow/walk.scm 73 */
						obj_t BgL_port3530z00_965;

						{	/* Initflow/walk.scm 73 */
							obj_t BgL_res3849z00_1760;

							{	/* Initflow/walk.scm 73 */
								obj_t BgL_auxz00_2456;

								BgL_auxz00_2456 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3849z00_1760 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2456);
							}
							BgL_port3530z00_965 = BgL_res3849z00_1760;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3530z00_965);
						BGL_DISPLAY_STRING(BGl_string3900z00zzinitflow_walkz00,
							BgL_port3530z00_965);
						{	/* Initflow/walk.scm 73 */
							obj_t BgL_arg3634z00_966;

							{	/* Initflow/walk.scm 73 */
								bool_t BgL_testz00_2461;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 73 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 73 */
												BgL_testz00_2461 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 73 */
												BgL_testz00_2461 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 73 */
										BgL_testz00_2461 = ((bool_t) 0);
									}
								if (BgL_testz00_2461)
									{	/* Initflow/walk.scm 73 */
										BgL_arg3634z00_966 = BGl_string3901z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 73 */
										BgL_arg3634z00_966 = BGl_string3902z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg3634z00_966, BgL_port3530z00_965);
						}
						BGL_DISPLAY_STRING(BGl_string3903z00zzinitflow_walkz00,
							BgL_port3530z00_965);
						bgl_display_char(((unsigned char) '\n'), BgL_port3530z00_965);
					}
					{	/* Initflow/walk.scm 73 */
						obj_t BgL_list3638z00_970;

						BgL_list3638z00_970 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list3638z00_970);
					}
				}
			else
				{
					obj_t BgL_hooksz00_974;
					obj_t BgL_hnamesz00_975;

					BgL_hooksz00_974 = BNIL;
					BgL_hnamesz00_975 = BNIL;
				BgL_zc3anonymousza33639ze3z83_976:
					if (NULLP(BgL_hooksz00_974))
						{	/* Initflow/walk.scm 73 */
							return BgL_globalsz00_3;
						}
					else
						{	/* Initflow/walk.scm 73 */
							bool_t BgL_testz00_2478;

							{	/* Initflow/walk.scm 73 */
								obj_t BgL_fun3646z00_982;

								BgL_fun3646z00_982 = CAR(BgL_hooksz00_974);
								BgL_testz00_2478 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun3646z00_982) (BgL_fun3646z00_982,
										BEOA));
							}
							if (BgL_testz00_2478)
								{
									obj_t BgL_hnamesz00_2486;
									obj_t BgL_hooksz00_2484;

									BgL_hooksz00_2484 = CDR(BgL_hooksz00_974);
									BgL_hnamesz00_2486 = CDR(BgL_hnamesz00_975);
									BgL_hnamesz00_975 = BgL_hnamesz00_2486;
									BgL_hooksz00_974 = BgL_hooksz00_2484;
									goto BgL_zc3anonymousza33639ze3z83_976;
								}
							else
								{	/* Initflow/walk.scm 73 */
									obj_t BgL_arg3645z00_981;

									BgL_arg3645z00_981 = CAR(BgL_hnamesz00_975);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string3904z00zzinitflow_walkz00, BgL_arg3645z00_981);
								}
						}
				}
		}
	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2062,
		obj_t BgL_globalsz00_2063)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 47 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2063);
		}
	}



/* &<anonymous:3627> */
	obj_t BGl_z62zc3anonymousza33627ze3ze1zzinitflow_walkz00(obj_t
		BgL_envz00_2064, obj_t BgL_gz00_2065)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 63 */
			{
				obj_t BgL_gz00_953;

				{	/* Initflow/walk.scm 64 */
					bool_t BgL_auxz00_2491;

					BgL_gz00_953 = BgL_gz00_2065;
					{	/* Initflow/walk.scm 64 */
						bool_t BgL_testz00_2492;

						{	/* Initflow/walk.scm 64 */
							bool_t BgL_testz00_2493;

							{	/* Initflow/walk.scm 64 */
								BgL_valuez00_bglt BgL_arg3631z00_959;

								{	/* Initflow/walk.scm 64 */
									BgL_variablez00_bglt BgL_obj1612z00_1733;

									BgL_obj1612z00_1733 = ((BgL_variablez00_bglt) BgL_gz00_953);
									BgL_arg3631z00_959 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1733)))->BgL_valuez00);
								}
								{	/* Initflow/walk.scm 64 */
									bool_t BgL_res3842z00_1735;

									{	/* Initflow/walk.scm 64 */
										obj_t BgL_obj2001z00_1734;

										BgL_obj2001z00_1734 = ((obj_t) BgL_arg3631z00_959);
										BgL_res3842z00_1735 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1734,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_2493 = BgL_res3842z00_1735;
								}
							}
							if (BgL_testz00_2493)
								{	/* Initflow/walk.scm 64 */
									BgL_testz00_2492 = ((bool_t) 0);
								}
							else
								{	/* Initflow/walk.scm 64 */
									BgL_testz00_2492 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_2492)
							{	/* Initflow/walk.scm 65 */
								bool_t BgL_testz00_2499;

								{	/* Initflow/walk.scm 65 */
									obj_t BgL_auxz00_2500;

									{	/* Initflow/walk.scm 65 */
										BgL_globalz00_bglt BgL_obj1723z00_1736;

										BgL_obj1723z00_1736 = ((BgL_globalz00_bglt) BgL_gz00_953);
										BgL_auxz00_2500 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1723z00_1736)))->BgL_initz00);
									}
									BgL_testz00_2499 = (BgL_auxz00_2500 == BTRUE);
								}
								if (BgL_testz00_2499)
									{	/* Initflow/walk.scm 65 */
										BgL_auxz00_2491 = ((bool_t) 0);
									}
								else
									{	/* Initflow/walk.scm 65 */
										BgL_auxz00_2491 = ((bool_t) 1);
									}
							}
						else
							{	/* Initflow/walk.scm 64 */
								BgL_auxz00_2491 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2491);
				}
			}
		}
	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_4, bool_t BgL_ez00_5)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 78 */
			{	/* Initflow/walk.scm 79 */
				BgL_valuez00_bglt BgL_fz00_985;

				BgL_fz00_985 =
					(((BgL_variablez00_bglt) CREF(((obj_t) BgL_varz00_4)))->BgL_valuez00);
				{	/* Initflow/walk.scm 81 */
					bool_t BgL_testz00_2508;

					{	/* Initflow/walk.scm 81 */
						obj_t BgL_arg3653z00_992;

						{	/* Initflow/walk.scm 81 */
							BgL_sfunz00_bglt BgL_obj1924z00_1780;

							BgL_obj1924z00_1780 = ((BgL_sfunz00_bglt) BgL_fz00_985);
							BgL_arg3653z00_992 =
								(((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj1924z00_1780)))->BgL_bodyz00);
						}
						BgL_testz00_2508 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3653z00_992,
							BGl_nodez00zzast_nodez00);
					}
					if (BgL_testz00_2508)
						{	/* Initflow/walk.scm 83 */
							bool_t BgL_testz00_2513;

							{	/* Initflow/walk.scm 83 */
								bool_t BgL_res3855z00_1784;

								{	/* Initflow/walk.scm 83 */
									obj_t BgL_obj3418z00_1783;

									BgL_obj3418z00_1783 = ((obj_t) BgL_fz00_985);
									BgL_res3855z00_1784 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj3418z00_1783,
										BGl_sfunzf2iflowzf2zzinitflow_walkz00);
								}
								BgL_testz00_2513 = BgL_res3855z00_1784;
							}
							if (BgL_testz00_2513)
								{	/* Initflow/walk.scm 83 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 83 */
									{	/* Initflow/walk.scm 86 */
										BgL_sfunz00_bglt BgL_obj3482z00_988;

										BgL_obj3482z00_988 = ((BgL_sfunz00_bglt) BgL_fz00_985);
										{	/* Initflow/walk.scm 86 */
											BgL_sfunzf2iflowzf2_bglt BgL_arg3650z00_989;

											BgL_arg3650z00_989 =
												BGl_wideningzd2sfunzf2iflowz20zzinitflow_walkz00();
											{	/* Initflow/walk.scm 86 */
												obj_t BgL_auxz00_2520;
												BgL_objectz00_bglt BgL_auxz00_2518;

												BgL_auxz00_2520 = ((obj_t) BgL_arg3650z00_989);
												BgL_auxz00_2518 =
													((BgL_objectz00_bglt) BgL_obj3482z00_988);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2518,
													BgL_auxz00_2520);
											}
										}
										{	/* Initflow/walk.scm 86 */
											long BgL_arg3651z00_990;

											BgL_arg3651z00_990 =
												BGl_classzd2numzd2zz__objectz00
												(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
											{	/* Initflow/walk.scm 86 */
												BgL_objectz00_bglt BgL_objz00_1785;

												BgL_objz00_1785 =
													((BgL_objectz00_bglt) BgL_obj3482z00_988);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1785,
													BgL_arg3651z00_990);
										}} BgL_obj3482z00_988;
									}
									{	/* Initflow/walk.scm 87 */
										obj_t BgL_arg3652z00_991;

										{	/* Initflow/walk.scm 87 */
											BgL_sfunz00_bglt BgL_obj1924z00_1787;

											BgL_obj1924z00_1787 = ((BgL_sfunz00_bglt) BgL_fz00_985);
											BgL_arg3652z00_991 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1924z00_1787)))->BgL_bodyz00);
										}
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg3652z00_991), BgL_ez00_5);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 81 */
							return BNIL;
						}
				}
			}
		}
	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_10,
		obj_t BgL_ez00_11)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 120 */
			{
				obj_t BgL_nodesz00_995;
				obj_t BgL_isz00_996;

				BgL_nodesz00_995 = BgL_nodesz00_10;
				BgL_isz00_996 = BNIL;
			BgL_zc3anonymousza33654ze3z83_997:
				if (NULLP(BgL_nodesz00_995))
					{	/* Initflow/walk.scm 123 */
						if (CBOOL(BgL_ez00_11))
							{	/* Initflow/walk.scm 124 */
								{
									obj_t BgL_l3531z00_1000;

									BgL_l3531z00_1000 = BgL_isz00_996;
								BgL_zc3anonymousza33656ze3z83_1001:
									if (PAIRP(BgL_l3531z00_1000))
										{	/* Initflow/walk.scm 126 */
											{	/* Initflow/walk.scm 127 */
												obj_t BgL_gz00_1003;

												BgL_gz00_1003 = CAR(BgL_l3531z00_1000);
												{	/* Initflow/walk.scm 127 */
													bool_t BgL_testz00_2538;

													{	/* Initflow/walk.scm 127 */
														obj_t BgL_auxz00_2539;

														{	/* Initflow/walk.scm 127 */
															BgL_globalz00_bglt BgL_obj1723z00_1793;

															BgL_obj1723z00_1793 =
																((BgL_globalz00_bglt) BgL_gz00_1003);
															BgL_auxz00_2539 =
																(((BgL_globalz00_bglt) CREF(
																		((obj_t) BgL_obj1723z00_1793)))->
																BgL_initz00);
														}
														BgL_testz00_2538 = (BgL_auxz00_2539 == BUNSPEC);
													}
													if (BgL_testz00_2538)
														{	/* Initflow/walk.scm 128 */
															BgL_globalz00_bglt BgL_obj1725z00_1794;

															BgL_obj1725z00_1794 =
																((BgL_globalz00_bglt) BgL_gz00_1003);
															((((BgL_globalz00_bglt) CREF(
																			((obj_t) BgL_obj1725z00_1794)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 127 */
															BFALSE;
														}
												}
											}
											{
												obj_t BgL_l3531z00_2547;

												BgL_l3531z00_2547 = CDR(BgL_l3531z00_1000);
												BgL_l3531z00_1000 = BgL_l3531z00_2547;
												goto BgL_zc3anonymousza33656ze3z83_1001;
											}
										}
									else
										{	/* Initflow/walk.scm 126 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 124 */
								return
									BGl_filterz00zz__r4_control_features_6_9z00
									(BGl_globalzd2initzd2envz00zzinitflow_walkz00, BgL_isz00_996);
							}
					}
				else
					{	/* Initflow/walk.scm 132 */
						obj_t BgL_iz00_1008;

						{	/* Initflow/walk.scm 132 */
							obj_t BgL_arg3664z00_1011;

							BgL_arg3664z00_1011 = CAR(BgL_nodesz00_995);
							BgL_iz00_1008 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg3664z00_1011), ((bool_t) 0));
						}
						{
							obj_t BgL_isz00_2555;
							obj_t BgL_nodesz00_2553;

							BgL_nodesz00_2553 = CDR(BgL_nodesz00_995);
							BgL_isz00_2555 =
								BGl_appendzd221095zd2zzinitflow_walkz00(BgL_iz00_1008,
								BgL_isz00_996);
							BgL_isz00_996 = BgL_isz00_2555;
							BgL_nodesz00_995 = BgL_nodesz00_2553;
							goto BgL_zc3anonymousza33654ze3z83_997;
						}
					}
			}
		}
	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_24, obj_t BgL_ez00_25)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 202 */
			if (NULLP(BgL_isz00_24))
				{	/* Initflow/walk.scm 203 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 205 */
					obj_t BgL_lubz00_1014;

					BgL_lubz00_1014 = BNIL;
					{	/* Initflow/walk.scm 206 */
						obj_t BgL_g3538z00_1015;

						BgL_g3538z00_1015 = CAR(BgL_isz00_24);
						{
							obj_t BgL_l3536z00_1017;

							BgL_l3536z00_1017 = BgL_g3538z00_1015;
						BgL_zc3anonymousza33666ze3z83_1018:
							if (PAIRP(BgL_l3536z00_1017))
								{	/* Initflow/walk.scm 212 */
									{	/* Initflow/walk.scm 207 */
										obj_t BgL_gz00_1020;

										BgL_gz00_1020 = CAR(BgL_l3536z00_1017);
										{	/* Initflow/walk.scm 207 */
											bool_t BgL_testz00_2563;

											{	/* Initflow/walk.scm 207 */
												bool_t BgL_testz00_2564;

												{	/* Initflow/walk.scm 207 */
													obj_t BgL_auxz00_2565;

													{	/* Initflow/walk.scm 207 */
														BgL_globalz00_bglt BgL_obj1723z00_1805;

														BgL_obj1723z00_1805 =
															((BgL_globalz00_bglt) BgL_gz00_1020);
														BgL_auxz00_2565 =
															(((BgL_globalz00_bglt) CREF(
																	((obj_t) BgL_obj1723z00_1805)))->BgL_initz00);
													}
													BgL_testz00_2564 = (BgL_auxz00_2565 == BUNSPEC);
												}
												if (BgL_testz00_2564)
													{
														obj_t BgL_l3533z00_1025;

														BgL_l3533z00_1025 = CDR(BgL_isz00_24);
													BgL_zc3anonymousza33670ze3z83_1026:
														if (NULLP(BgL_l3533z00_1025))
															{	/* Initflow/walk.scm 208 */
																BgL_testz00_2563 = ((bool_t) 1);
															}
														else
															{	/* Initflow/walk.scm 208 */
																if (CBOOL
																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BgL_gz00_1020, CAR(BgL_l3533z00_1025))))
																	{
																		obj_t BgL_l3533z00_2576;

																		BgL_l3533z00_2576 = CDR(BgL_l3533z00_1025);
																		BgL_l3533z00_1025 = BgL_l3533z00_2576;
																		goto BgL_zc3anonymousza33670ze3z83_1026;
																	}
																else
																	{	/* Initflow/walk.scm 208 */
																		BgL_testz00_2563 = ((bool_t) 0);
																	}
															}
													}
												else
													{	/* Initflow/walk.scm 207 */
														BgL_testz00_2563 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_2563)
												{	/* Initflow/walk.scm 207 */
													if (CBOOL(BgL_ez00_25))
														{	/* Initflow/walk.scm 210 */
															BgL_globalz00_bglt BgL_obj1725z00_1811;

															BgL_obj1725z00_1811 =
																((BgL_globalz00_bglt) BgL_gz00_1020);
															((((BgL_globalz00_bglt) CREF(
																			((obj_t) BgL_obj1725z00_1811)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 209 */
															BgL_lubz00_1014 =
																MAKE_PAIR(BgL_gz00_1020, BgL_lubz00_1014);
														}
												}
											else
												{	/* Initflow/walk.scm 207 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l3536z00_2585;

										BgL_l3536z00_2585 = CDR(BgL_l3536z00_1017);
										BgL_l3536z00_1017 = BgL_l3536z00_2585;
										goto BgL_zc3anonymousza33666ze3z83_1018;
									}
								}
							else
								{	/* Initflow/walk.scm 212 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1014;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 41 */
				obj_t BgL_arg3677z00_1035;

				{	/* Initflow/walk.scm 41 */
					obj_t BgL_v3549z00_1036;

					BgL_v3549z00_1036 = create_vector((int) (((long) 0)));
					BgL_arg3677z00_1035 = BgL_v3549z00_1036;
				}
				BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					BGl_sfunz00zzast_varz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2sfunzf2iflowzd2envza0zzinitflow_walkz00,
					BGl_sfunzf2iflowzd2nilzd2envzf2zzinitflow_walkz00,
					BGl_sfunzf2iflowzf3zd2envzd3zzinitflow_walkz00, ((long) 317114514),
					BFALSE, BFALSE, BgL_arg3677z00_1035);
			}
			return (BGl_z52thezd2sfunzf2iflowzd2nilza0zzinitflow_walkz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* &sfun/iflow? */
	obj_t BGl_z62sfunzf2iflowzf3z63zzinitflow_walkz00(obj_t BgL_envz00_2070,
		obj_t BgL_obj3418z00_2071)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3418z00_2071,
					BGl_sfunzf2iflowzf2zzinitflow_walkz00));
		}
	}



/* widening-sfun/iflow */
	BgL_sfunzf2iflowzf2_bglt BGl_wideningzd2sfunzf2iflowz20zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			{	/* Initflow/walk.scm 41 */
				BgL_sfunzf2iflowzf2_bglt BgL_new3386z00_1037;

				BgL_new3386z00_1037 =
					((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iflowzf2_bgl))));
				return BgL_new3386z00_1037;
			}
		}
	}



/* &%allocate-sfun/iflow */
	BgL_sfunz00_bglt BGl_z62z52allocatezd2sfunzf2iflowz10zzinitflow_walkz00(obj_t
		BgL_envz00_2068)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			{	/* Initflow/walk.scm 41 */
				BgL_sfunz00_bglt BgL_new3410z00_2328;

				BgL_new3410z00_2328 =
					((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_sfunz00_bgl))));
				{	/* Initflow/walk.scm 41 */
					long BgL_arg3680z00_2329;

					BgL_arg3680z00_2329 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
					{	/* Initflow/walk.scm 41 */
						BgL_objectz00_bglt BgL_objz00_2330;

						BgL_objz00_2330 = ((BgL_objectz00_bglt) BgL_new3410z00_2328);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2330, BgL_arg3680z00_2329);
				}}
				{	/* Initflow/walk.scm 41 */
					BgL_objectz00_bglt BgL_auxz00_2598;

					BgL_auxz00_2598 = ((BgL_objectz00_bglt) BgL_new3410z00_2328);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2598, BFALSE);
				}
				return BgL_new3410z00_2328;
			}
		}
	}



/* sfun/iflow-nil */
	BgL_sfunzf2iflowzf2_bglt BGl_sfunzf2iflowzd2nilz20zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			{	/* Initflow/walk.scm 41 */
				bool_t BgL_testz00_2601;

				{	/* Initflow/walk.scm 41 */
					bool_t BgL_res3862z00_1821;

					{	/* Initflow/walk.scm 41 */
						obj_t BgL_obj3418z00_1820;

						BgL_obj3418z00_1820 =
							BGl_z52thezd2sfunzf2iflowzd2nilza0zzinitflow_walkz00;
						BgL_res3862z00_1821 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3418z00_1820,
							BGl_sfunzf2iflowzf2zzinitflow_walkz00);
					}
					BgL_testz00_2601 = BgL_res3862z00_1821;
				}
				if (BgL_testz00_2601)
					{	/* Initflow/walk.scm 41 */
						obj_t BgL_xz00_2194;

						BgL_xz00_2194 =
							BGl_z52thezd2sfunzf2iflowzd2nilza0zzinitflow_walkz00;
						return ((BgL_sfunzf2iflowzf2_bglt) BgL_xz00_2194);
					}
				else
					{	/* Initflow/walk.scm 41 */
						BgL_sfunzf2iflowzf2_bglt BgL_g3411z00_1045;

						{	/* Initflow/walk.scm 41 */
							BgL_sfunz00_bglt BgL_res3863z00_1826;

							{	/* Initflow/walk.scm 41 */
								BgL_sfunz00_bglt BgL_new2000z00_1822;

								BgL_new2000z00_1822 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 41 */
									long BgL_arg3726z00_1823;

									BgL_arg3726z00_1823 =
										BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00);
									{	/* Initflow/walk.scm 41 */
										BgL_objectz00_bglt BgL_objz00_1824;

										BgL_objz00_1824 =
											((BgL_objectz00_bglt) BgL_new2000z00_1822);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1824,
											BgL_arg3726z00_1823);
								}}
								{	/* Initflow/walk.scm 41 */
									BgL_objectz00_bglt BgL_auxz00_2608;

									BgL_auxz00_2608 = ((BgL_objectz00_bglt) BgL_new2000z00_1822);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2608, BFALSE);
								}
								BgL_res3863z00_1826 = BgL_new2000z00_1822;
							}
							BgL_g3411z00_1045 =
								((BgL_sfunzf2iflowzf2_bglt) BgL_res3863z00_1826);
						}
						BGl_z52thezd2sfunzf2iflowzd2nilza0zzinitflow_walkz00 =
							((obj_t) BgL_g3411z00_1045);
						{	/* Initflow/walk.scm 41 */
							BgL_sfunz00_bglt BgL_res3864z00_1864;

							{	/* Initflow/walk.scm 41 */
								BgL_sfunz00_bglt BgL_new1980z00_1827;
								obj_t BgL_strength1979z00_1845;

								BgL_new1980z00_1827 = ((BgL_sfunz00_bglt) BgL_g3411z00_1045);
								BgL_strength1979z00_1845 = CNST_TABLE_REF(((long) 4));
								((((BgL_funz00_bglt) CREF(
												((obj_t) BgL_new1980z00_1827)))->BgL_arityz00) =
									((long) ((long) 0)), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_thezd2closurezd2globalz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1827)))->
										BgL_strengthz00) =
									((obj_t) BgL_strength1979z00_1845), BUNSPEC);
								BgL_res3864z00_1864 = BgL_new1980z00_1827;
							} BgL_res3864z00_1864;
						}
						{	/* Initflow/walk.scm 41 */
							long BgL_arg3682z00_1046;

							BgL_arg3682z00_1046 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							{	/* Initflow/walk.scm 41 */
								BgL_objectz00_bglt BgL_objz00_1865;

								BgL_objz00_1865 = ((BgL_objectz00_bglt) BgL_g3411z00_1045);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1865, BgL_arg3682z00_1046);
						}}
						{	/* Initflow/walk.scm 41 */
							BgL_sfunzf2iflowzf2_bglt BgL_arg3683z00_1047;

							BgL_arg3683z00_1047 =
								BGl_wideningzd2sfunzf2iflowz20zzinitflow_walkz00();
							{	/* Initflow/walk.scm 41 */
								obj_t BgL_auxz00_2657;
								BgL_objectz00_bglt BgL_auxz00_2655;

								BgL_auxz00_2657 = ((obj_t) BgL_arg3683z00_1047);
								BgL_auxz00_2655 = ((BgL_objectz00_bglt) BgL_g3411z00_1045);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2655, BgL_auxz00_2657);
						}}
						return BgL_g3411z00_1045;
					}
			}
		}
	}



/* &sfun/iflow-nil */
	BgL_sfunzf2iflowzf2_bglt BGl_z62sfunzf2iflowzd2nilz42zzinitflow_walkz00(obj_t
		BgL_envz00_2069)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			return BGl_sfunzf2iflowzd2nilz20zzinitflow_walkz00();
		}
	}



/* &global-init */
	obj_t BGl_z62globalzd2initzb0zzinitflow_walkz00(obj_t BgL_envz00_2066,
		obj_t BgL_obj1723z00_2067)
	{
		AN_OBJECT;
		{	/* Ast/var.scm 69 */
			{	/* Ast/var.scm 69 */
				BgL_globalz00_bglt BgL_obj1723z00_2331;

				BgL_obj1723z00_2331 = ((BgL_globalz00_bglt) BgL_obj1723z00_2067);
				return
					(((BgL_globalz00_bglt) CREF(
							((obj_t) BgL_obj1723z00_2331)))->BgL_initz00);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc3905z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3906z00zzinitflow_walkz00);
		}
	}



/* &initflow-node3550 */
	obj_t BGl_z62initflowzd2node3550zb0zzinitflow_walkz00(obj_t BgL_envz00_2073,
		BgL_nodez00_bglt BgL_nodez00_2074, obj_t BgL_ez00_2075)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 92 */
			return BNIL;
		}
	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt BgL_nodez00_6,
		bool_t BgL_ez00_7)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 92 */
			{	/* Initflow/walk.scm 92 */
				obj_t BgL_method3551z00_1456;

				{	/* Initflow/walk.scm 92 */
					obj_t BgL_res3871z00_1917;

					{	/* Initflow/walk.scm 92 */
						BgL_objectz00_bglt BgL_objz00_1889;

						BgL_objz00_1889 = ((BgL_objectz00_bglt) BgL_nodez00_6);
						{	/* Initflow/walk.scm 92 */
							long BgL_objzd2classzd2numz00_1890;

							{	/* Initflow/walk.scm 92 */
								long BgL_res3865z00_1893;

								BgL_res3865z00_1893 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1889);
								BgL_objzd2classzd2numz00_1890 = BgL_res3865z00_1893;
							}
							{	/* Initflow/walk.scm 92 */
								obj_t BgL_arg2545z00_1891;

								BgL_arg2545z00_1891 =
									PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
									(int) (((long) 1)));
								{	/* Initflow/walk.scm 92 */
									obj_t BgL_arrayz00_1894;
									int BgL_offsetz00_1895;

									BgL_arrayz00_1894 = BgL_arg2545z00_1891;
									BgL_offsetz00_1895 = (int) (BgL_objzd2classzd2numz00_1890);
									{	/* Initflow/walk.scm 92 */
										long BgL_offsetz00_1896;

										BgL_offsetz00_1896 =
											((long) (BgL_offsetz00_1895) - OBJECT_TYPE);
										{	/* Initflow/walk.scm 92 */
											long BgL_modz00_1897;

											{	/* Initflow/walk.scm 92 */
												int BgL_arg2547z00_1898;

												BgL_arg2547z00_1898 = (int) (((long) 16));
												{	/* Initflow/walk.scm 92 */
													long BgL_res3868z00_1908;

													{	/* Initflow/walk.scm 92 */
														long BgL_auxz00_2673;

														BgL_auxz00_2673 = (long) (BgL_arg2547z00_1898);
														BgL_res3868z00_1908 =
															(BgL_offsetz00_1896 / BgL_auxz00_2673);
													}
													BgL_modz00_1897 = BgL_res3868z00_1908;
											}}
											{	/* Initflow/walk.scm 92 */
												long BgL_restz00_1899;

												{	/* Initflow/walk.scm 92 */
													int BgL_arg2546z00_1900;

													BgL_arg2546z00_1900 = (int) (((long) 16));
													{	/* Initflow/walk.scm 92 */
														long BgL_res3870z00_1912;

														{	/* Initflow/walk.scm 92 */
															long BgL_auxz00_2677;

															BgL_auxz00_2677 = (long) (BgL_arg2546z00_1900);
															BgL_res3870z00_1912 =
																(BgL_offsetz00_1896 % BgL_auxz00_2677);
														}
														BgL_restz00_1899 = BgL_res3870z00_1912;
												}}
												{	/* Initflow/walk.scm 92 */

													BgL_res3871z00_1917 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1894,
															(int) (BgL_modz00_1897)),
														(int) (BgL_restz00_1899));
					}}}}}}}}
					BgL_method3551z00_1456 = BgL_res3871z00_1917;
				}
				return
					PROCEDURE_ENTRY(BgL_method3551z00_1456) (BgL_method3551z00_1456,
					((obj_t) BgL_nodez00_6), BBOOL(BgL_ez00_7), BEOA);
			}
		}
	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2076,
		obj_t BgL_nodez00_2077, obj_t BgL_ez00_2078)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 92 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2077), CBOOL(BgL_ez00_2078));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc3907z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3909z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc3910z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3911z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3912z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc3913z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc3914z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3915z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc3916z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc3917z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3918z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3919z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3920z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3921z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3922z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3923z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3924z00zzinitflow_walkz00,
				BGl_string3908z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_sfunzf2iflowzf2zzinitflow_walkz00,
				BGl_proc3925z00zzinitflow_walkz00, BGl_string3926z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_sfunzf2iflowzf2zzinitflow_walkz00,
				BGl_proc3927z00zzinitflow_walkz00, BGl_string3928z00zzinitflow_walkz00);
		}
	}



/* &struct+object->objec3589 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3589ze1zzinitflow_walkz00(obj_t
		BgL_envz00_2103, BgL_sfunzf2iflowzf2_bglt BgL_oz00_2104,
		obj_t BgL_sz00_2105)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			{
				BgL_sfunzf2iflowzf2_bglt BgL_oz00_1693;
				obj_t BgL_sz00_1694;

				BgL_oz00_1693 = BgL_oz00_2104;
				BgL_sz00_1694 = BgL_sz00_2105;
				{

					{	/* Initflow/walk.scm 41 */
						obj_t BgL_old3415z00_1697;

						{	/* Initflow/walk.scm 41 */
							obj_t BgL_nextzd2method3588zd2_1702;

							BgL_nextzd2method3588zd2_1702 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_oz00_1693),
								BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
								BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BgL_old3415z00_1697 =
								PROCEDURE_ENTRY(BgL_nextzd2method3588zd2_1702)
								(BgL_nextzd2method3588zd2_1702, ((obj_t) BgL_oz00_1693),
								BgL_sz00_1694, BEOA);
						}
						{	/* Initflow/walk.scm 41 */
							BgL_sfunzf2iflowzf2_bglt BgL_new3417z00_1699;

							BgL_new3417z00_1699 =
								((BgL_sfunzf2iflowzf2_bglt) (BgL_old3415z00_1697));
							{	/* Initflow/walk.scm 41 */
								long BgL_arg3833z00_1700;

								BgL_arg3833z00_1700 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
								{	/* Initflow/walk.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2059;

									BgL_objz00_2059 = ((BgL_objectz00_bglt) BgL_new3417z00_1699);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2059,
										BgL_arg3833z00_1700);
							}}
							{	/* Initflow/walk.scm 41 */
								BgL_sfunzf2iflowzf2_bglt BgL_arg3834z00_1701;

								BgL_arg3834z00_1701 =
									BGl_wideningzd2sfunzf2iflowz20zzinitflow_walkz00();
								{	/* Initflow/walk.scm 41 */
									obj_t BgL_auxz00_2728;
									BgL_objectz00_bglt BgL_auxz00_2726;

									BgL_auxz00_2728 = ((obj_t) BgL_arg3834z00_1701);
									BgL_auxz00_2726 = ((BgL_objectz00_bglt) BgL_new3417z00_1699);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2726, BgL_auxz00_2728);
							}}
							return ((BgL_objectz00_bglt) BgL_new3417z00_1699);
						}
					}
				}
			}
		}
	}



/* &object->struct-sfun/3587 */
	obj_t BGl_z62objectzd2ze3structzd2sfunzf23587z73zzinitflow_walkz00(obj_t
		BgL_envz00_2106, BgL_sfunzf2iflowzf2_bglt BgL_obj3412z00_2107)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 41 */
			{
				BgL_sfunzf2iflowzf2_bglt BgL_obj3412z00_1686;

				BgL_obj3412z00_1686 = BgL_obj3412z00_2107;
				{

					{	/* Initflow/walk.scm 41 */
						obj_t BgL_res3413z00_1689;

						{	/* Initflow/walk.scm 41 */
							obj_t BgL_nextzd2method3586zd2_1692;

							BgL_nextzd2method3586zd2_1692 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_obj3412z00_1686),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BgL_res3413z00_1689 =
								PROCEDURE_ENTRY(BgL_nextzd2method3586zd2_1692)
								(BgL_nextzd2method3586zd2_1692, ((obj_t) BgL_obj3412z00_1686),
								BEOA);
						}
						{	/* Initflow/walk.scm 41 */
							obj_t BgL_aux3414z00_1690;

							{	/* Initflow/walk.scm 41 */
								obj_t BgL_res3890z00_2047;

								{	/* Initflow/walk.scm 41 */
									obj_t BgL_keyz00_2044;

									BgL_keyz00_2044 = CNST_TABLE_REF(((long) 3));
									BgL_res3890z00_2047 =
										make_struct(BgL_keyz00_2044, (int) (((long) 0)), BUNSPEC);
								}
								BgL_aux3414z00_1690 = BgL_res3890z00_2047;
							}
							{	/* Initflow/walk.scm 41 */
								int BgL_auxz00_2742;

								BgL_auxz00_2742 = (int) (((long) 0));
								STRUCT_SET(BgL_res3413z00_1689, BgL_auxz00_2742,
									BgL_aux3414z00_1690);
							}
							{	/* Initflow/walk.scm 41 */
								obj_t BgL_auxz00_2745;

								BgL_auxz00_2745 = STRUCT_KEY(BgL_res3413z00_1689);
								STRUCT_KEY_SET(BgL_aux3414z00_1690, BgL_auxz00_2745);
							}
							{	/* Initflow/walk.scm 41 */
								obj_t BgL_kz00_2056;

								BgL_kz00_2056 = CNST_TABLE_REF(((long) 3));
								STRUCT_KEY_SET(BgL_res3413z00_1689, BgL_kz00_2056);
							}
							return BgL_res3413z00_1689;
						}
					}
				}
			}
		}
	}



/* &initflow-node-jump-e3585 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e3585zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2108, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2109,
		obj_t BgL_ez00_2110)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 291 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1675;
				obj_t BgL_ez00_1676;

				BgL_nodez00_1675 = BgL_nodez00_2109;
				BgL_ez00_1676 = BgL_ez00_2110;
				{	/* Initflow/walk.scm 293 */
					obj_t BgL_arg3827z00_1680;

					{	/* Initflow/walk.scm 293 */
						BgL_nodez00_bglt BgL_arg3828z00_1681;
						BgL_nodez00_bglt BgL_arg3829z00_1682;

						BgL_arg3828z00_1681 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1675)))->BgL_exitz00);
						BgL_arg3829z00_1682 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1675)))->BgL_valuez00);
						{	/* Initflow/walk.scm 293 */
							obj_t BgL_list3830z00_1683;

							{	/* Initflow/walk.scm 293 */
								obj_t BgL_arg3831z00_1684;

								BgL_arg3831z00_1684 =
									MAKE_PAIR(((obj_t) BgL_arg3829z00_1682), BNIL);
								BgL_list3830z00_1683 =
									MAKE_PAIR(((obj_t) BgL_arg3828z00_1681), BgL_arg3831z00_1684);
							}
							BgL_arg3827z00_1680 = BgL_list3830z00_1683;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg3827z00_1680,
						BgL_ez00_1676);
				}
			}
		}
	}



/* &initflow-node-set-ex3583 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex3583zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2111, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2112,
		obj_t BgL_ez00_2113)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 284 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1668;
				obj_t BgL_ez00_1669;

				BgL_nodez00_1668 = BgL_nodez00_2112;
				BgL_ez00_1669 = BgL_ez00_2113;
				{	/* Initflow/walk.scm 285 */
					BgL_nodez00_bglt BgL_arg3826z00_2038;

					BgL_arg3826z00_2038 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1668)))->BgL_bodyz00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3826z00_2038,
						CBOOL(BgL_ez00_1669));
				}
			}
		}
	}



/* &initflow-node-let-va3581 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va3581zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2114, BgL_letzd2varzd2_bglt BgL_nodez00_2115,
		obj_t BgL_ez00_2116)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 275 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1644;
				obj_t BgL_ez00_1645;

				BgL_nodez00_1644 = BgL_nodez00_2115;
				BgL_ez00_1645 = BgL_ez00_2116;
				{	/* Initflow/walk.scm 277 */
					obj_t BgL_isz00_1649;

					{	/* Initflow/walk.scm 277 */
						obj_t BgL_l3544z00_1653;

						BgL_l3544z00_1653 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1644)))->BgL_bindingsz00);
						if (NULLP(BgL_l3544z00_1653))
							{	/* Initflow/walk.scm 277 */
								BgL_isz00_1649 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 277 */
								obj_t BgL_head3546z00_1655;

								{	/* Initflow/walk.scm 277 */
									obj_t BgL_res3886z00_2024;

									BgL_res3886z00_2024 = MAKE_PAIR(BNIL, BNIL);
									BgL_head3546z00_1655 = BgL_res3886z00_2024;
								}
								{
									obj_t BgL_l3544z00_1657;
									obj_t BgL_tail3547z00_1658;

									BgL_l3544z00_1657 = BgL_l3544z00_1653;
									BgL_tail3547z00_1658 = BgL_head3546z00_1655;
								BgL_zc3anonymousza33821ze3z83_1659:
									if (NULLP(BgL_l3544z00_1657))
										{	/* Initflow/walk.scm 277 */
											BgL_isz00_1649 = CDR(BgL_head3546z00_1655);
										}
									else
										{	/* Initflow/walk.scm 277 */
											obj_t BgL_newtail3548z00_1661;

											{	/* Initflow/walk.scm 277 */
												obj_t BgL_arg3824z00_1663;

												{	/* Initflow/walk.scm 277 */
													obj_t BgL_bz00_1664;

													BgL_bz00_1664 = CAR(BgL_l3544z00_1657);
													{	/* Initflow/walk.scm 277 */
														obj_t BgL_arg3825z00_1665;

														BgL_arg3825z00_1665 = CDR(BgL_bz00_1664);
														BgL_arg3824z00_1663 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg3825z00_1665),
															CBOOL(BgL_ez00_1645));
													}
												}
												{	/* Initflow/walk.scm 277 */
													obj_t BgL_res3888z00_2032;

													BgL_res3888z00_2032 =
														MAKE_PAIR(BgL_arg3824z00_1663, BNIL);
													BgL_newtail3548z00_1661 = BgL_res3888z00_2032;
												}
											}
											SET_CDR(BgL_tail3547z00_1658, BgL_newtail3548z00_1661);
											{
												obj_t BgL_tail3547z00_2780;
												obj_t BgL_l3544z00_2778;

												BgL_l3544z00_2778 = CDR(BgL_l3544z00_1657);
												BgL_tail3547z00_2780 = BgL_newtail3548z00_1661;
												BgL_tail3547z00_1658 = BgL_tail3547z00_2780;
												BgL_l3544z00_1657 = BgL_l3544z00_2778;
												goto BgL_zc3anonymousza33821ze3z83_1659;
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 277 */
						obj_t BgL_lubz00_1650;

						BgL_lubz00_1650 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_1649, BgL_ez00_1645);
						{	/* Initflow/walk.scm 278 */

							{	/* Initflow/walk.scm 279 */
								obj_t BgL_arg3818z00_1651;

								{	/* Initflow/walk.scm 279 */
									BgL_nodez00_bglt BgL_arg3819z00_1652;

									BgL_arg3819z00_1652 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1644)))->BgL_bodyz00);
									BgL_arg3818z00_1651 =
										BGl_initflowzd2nodezd2zzinitflow_walkz00
										(BgL_arg3819z00_1652, CBOOL(BgL_ez00_1645));
								}
								return
									BGl_appendzd221095zd2zzinitflow_walkz00(BgL_lubz00_1650,
									BgL_arg3818z00_1651);
							}
						}
					}
				}
			}
		}
	}



/* &initflow-node-let-fu3579 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu3579zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2117, BgL_letzd2funzd2_bglt BgL_nodez00_2118,
		obj_t BgL_ez00_2119)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 268 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1637;
				obj_t BgL_ez00_1638;

				BgL_nodez00_1637 = BgL_nodez00_2118;
				BgL_ez00_1638 = BgL_ez00_2119;
				{	/* Initflow/walk.scm 269 */
					BgL_nodez00_bglt BgL_arg3817z00_2017;

					BgL_arg3817z00_2017 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1637)))->BgL_bodyz00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3817z00_2017,
						CBOOL(BgL_ez00_1638));
				}
			}
		}
	}



/* &initflow-node-box-se3577 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se3577zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2120, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2121,
		obj_t BgL_ez00_2122)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 261 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1630;
				obj_t BgL_ez00_1631;

				BgL_nodez00_1630 = BgL_nodez00_2121;
				BgL_ez00_1631 = BgL_ez00_2122;
				{	/* Initflow/walk.scm 262 */
					BgL_nodez00_bglt BgL_arg3816z00_2014;

					BgL_arg3816z00_2014 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1630)))->BgL_valuez00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3816z00_2014,
						CBOOL(BgL_ez00_1631));
				}
			}
		}
	}



/* &initflow-node-box-re3575 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re3575zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2123, BgL_boxzd2refzd2_bglt BgL_nodez00_2124,
		obj_t BgL_ez00_2125)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 254 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1623;
				obj_t BgL_ez00_1624;

				BgL_nodez00_1623 = BgL_nodez00_2124;
				BgL_ez00_1624 = BgL_ez00_2125;
				{	/* Initflow/walk.scm 255 */
					BgL_varz00_bglt BgL_arg3815z00_2011;

					BgL_arg3815z00_2011 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1623)))->BgL_varz00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg3815z00_2011), CBOOL(BgL_ez00_1624));
				}
			}
		}
	}



/* &initflow-node-make-b3573 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b3573zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2126, BgL_makezd2boxzd2_bglt BgL_nodez00_2127,
		obj_t BgL_ez00_2128)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 247 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1616;
				obj_t BgL_ez00_1617;

				BgL_nodez00_1616 = BgL_nodez00_2127;
				BgL_ez00_1617 = BgL_ez00_2128;
				{	/* Initflow/walk.scm 248 */
					BgL_nodez00_bglt BgL_arg3814z00_2008;

					BgL_arg3814z00_2008 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1616)))->BgL_valuez00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3814z00_2008,
						CBOOL(BgL_ez00_1617));
				}
			}
		}
	}



/* &initflow-node-select3571 */
	obj_t BGl_z62initflowzd2nodezd2select3571z62zzinitflow_walkz00(obj_t
		BgL_envz00_2129, BgL_selectz00_bglt BgL_nodez00_2130, obj_t BgL_ez00_2131)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 237 */
			{
				BgL_selectz00_bglt BgL_nodez00_1592;
				obj_t BgL_ez00_1593;

				BgL_nodez00_1592 = BgL_nodez00_2130;
				BgL_ez00_1593 = BgL_ez00_2131;
				{	/* Initflow/walk.scm 239 */
					obj_t BgL_i0z00_1597;

					{	/* Initflow/walk.scm 239 */
						BgL_nodez00_bglt BgL_arg3813z00_1614;

						BgL_arg3813z00_1614 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1592)))->BgL_testz00);
						BgL_i0z00_1597 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3813z00_1614,
							CBOOL(BgL_ez00_1593));
					}
					{	/* Initflow/walk.scm 240 */
						obj_t BgL_isz00_1598;

						{	/* Initflow/walk.scm 240 */
							obj_t BgL_l3539z00_1600;

							BgL_l3539z00_1600 =
								(((BgL_selectz00_bglt) CREF(
										((obj_t) BgL_nodez00_1592)))->BgL_clausesz00);
							if (NULLP(BgL_l3539z00_1600))
								{	/* Initflow/walk.scm 240 */
									BgL_isz00_1598 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 240 */
									obj_t BgL_head3541z00_1602;

									{	/* Initflow/walk.scm 240 */
										obj_t BgL_res3882z00_1995;

										BgL_res3882z00_1995 = MAKE_PAIR(BNIL, BNIL);
										BgL_head3541z00_1602 = BgL_res3882z00_1995;
									}
									{
										obj_t BgL_l3539z00_1604;
										obj_t BgL_tail3542z00_1605;

										BgL_l3539z00_1604 = BgL_l3539z00_1600;
										BgL_tail3542z00_1605 = BgL_head3541z00_1602;
									BgL_zc3anonymousza33808ze3z83_1606:
										if (NULLP(BgL_l3539z00_1604))
											{	/* Initflow/walk.scm 240 */
												BgL_isz00_1598 = CDR(BgL_head3541z00_1602);
											}
										else
											{	/* Initflow/walk.scm 240 */
												obj_t BgL_newtail3543z00_1608;

												{	/* Initflow/walk.scm 240 */
													obj_t BgL_arg3811z00_1610;

													{	/* Initflow/walk.scm 240 */
														obj_t BgL_cz00_1611;

														BgL_cz00_1611 = CAR(BgL_l3539z00_1604);
														{	/* Initflow/walk.scm 240 */
															obj_t BgL_arg3812z00_1612;

															BgL_arg3812z00_1612 = CDR(BgL_cz00_1611);
															BgL_arg3811z00_1610 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg3812z00_1612),
																((bool_t) 0));
														}
													}
													{	/* Initflow/walk.scm 240 */
														obj_t BgL_res3884z00_2003;

														BgL_res3884z00_2003 =
															MAKE_PAIR(BgL_arg3811z00_1610, BNIL);
														BgL_newtail3543z00_1608 = BgL_res3884z00_2003;
													}
												}
												SET_CDR(BgL_tail3542z00_1605, BgL_newtail3543z00_1608);
												{
													obj_t BgL_tail3542z00_2824;
													obj_t BgL_l3539z00_2822;

													BgL_l3539z00_2822 = CDR(BgL_l3539z00_1604);
													BgL_tail3542z00_2824 = BgL_newtail3543z00_1608;
													BgL_tail3542z00_1605 = BgL_tail3542z00_2824;
													BgL_l3539z00_1604 = BgL_l3539z00_2822;
													goto BgL_zc3anonymousza33808ze3z83_1606;
												}
											}
									}
								}
						}
						return
							BGl_appendzd221095zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_1598, BgL_ez00_1593),
							BgL_i0z00_1597);
					}
				}
			}
		}
	}



/* &initflow-node-fail3569 */
	obj_t BGl_z62initflowzd2nodezd2fail3569z62zzinitflow_walkz00(obj_t
		BgL_envz00_2132, BgL_failz00_bglt BgL_nodez00_2133, obj_t BgL_ez00_2134)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 230 */
			{
				BgL_failz00_bglt BgL_nodez00_1579;
				obj_t BgL_ez00_1580;

				BgL_nodez00_1579 = BgL_nodez00_2133;
				BgL_ez00_1580 = BgL_ez00_2134;
				{	/* Initflow/walk.scm 232 */
					obj_t BgL_arg3798z00_1584;

					{	/* Initflow/walk.scm 232 */
						BgL_nodez00_bglt BgL_arg3799z00_1585;
						BgL_nodez00_bglt BgL_arg3801z00_1586;
						BgL_nodez00_bglt BgL_arg3802z00_1587;

						BgL_arg3799z00_1585 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1579)))->BgL_procz00);
						BgL_arg3801z00_1586 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1579)))->BgL_msgz00);
						BgL_arg3802z00_1587 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1579)))->BgL_objz00);
						{	/* Initflow/walk.scm 232 */
							obj_t BgL_list3803z00_1588;

							{	/* Initflow/walk.scm 232 */
								obj_t BgL_arg3804z00_1589;

								{	/* Initflow/walk.scm 232 */
									obj_t BgL_arg3805z00_1590;

									BgL_arg3805z00_1590 =
										MAKE_PAIR(((obj_t) BgL_arg3802z00_1587), BNIL);
									BgL_arg3804z00_1589 =
										MAKE_PAIR(
										((obj_t) BgL_arg3801z00_1586), BgL_arg3805z00_1590);
								}
								BgL_list3803z00_1588 =
									MAKE_PAIR(((obj_t) BgL_arg3799z00_1585), BgL_arg3804z00_1589);
							}
							BgL_arg3798z00_1584 = BgL_list3803z00_1588;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg3798z00_1584,
						BgL_ez00_1580);
				}
			}
		}
	}



/* &initflow-node-condit3567 */
	obj_t BGl_z62initflowzd2nodezd2condit3567z62zzinitflow_walkz00(obj_t
		BgL_envz00_2135, BgL_conditionalz00_bglt BgL_nodez00_2136,
		obj_t BgL_ez00_2137)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 218 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1563;
				obj_t BgL_ez00_1564;

				BgL_nodez00_1563 = BgL_nodez00_2136;
				BgL_ez00_1564 = BgL_ez00_2137;
				{	/* Initflow/walk.scm 220 */
					obj_t BgL_i0z00_1568;

					{	/* Initflow/walk.scm 220 */
						BgL_nodez00_bglt BgL_arg3795z00_1577;

						BgL_arg3795z00_1577 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1563)))->BgL_testz00);
						BgL_i0z00_1568 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3795z00_1577,
							CBOOL(BgL_ez00_1564));
					}
					{	/* Initflow/walk.scm 222 */
						obj_t BgL_i1z00_1569;
						obj_t BgL_i2z00_1570;

						{	/* Initflow/walk.scm 222 */
							BgL_nodez00_bglt BgL_arg3792z00_1575;

							BgL_arg3792z00_1575 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1563)))->BgL_truez00);
							BgL_i1z00_1569 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3792z00_1575,
								((bool_t) 0));
						}
						{	/* Initflow/walk.scm 223 */
							BgL_nodez00_bglt BgL_arg3794z00_1576;

							BgL_arg3794z00_1576 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1563)))->BgL_falsez00);
							BgL_i2z00_1570 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3794z00_1576,
								((bool_t) 0));
						}
						{	/* Initflow/walk.scm 225 */
							obj_t BgL_arg3788z00_1571;

							{	/* Initflow/walk.scm 225 */
								obj_t BgL_arg3789z00_1572;

								{	/* Initflow/walk.scm 225 */
									obj_t BgL_list3790z00_1573;

									{	/* Initflow/walk.scm 225 */
										obj_t BgL_arg3791z00_1574;

										BgL_arg3791z00_1574 = MAKE_PAIR(BgL_i2z00_1570, BNIL);
										BgL_list3790z00_1573 =
											MAKE_PAIR(BgL_i1z00_1569, BgL_arg3791z00_1574);
									}
									BgL_arg3789z00_1572 = BgL_list3790z00_1573;
								}
								BgL_arg3788z00_1571 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg3789z00_1572,
									BgL_ez00_1564);
							}
							return
								BGl_appendzd221095zd2zzinitflow_walkz00(BgL_arg3788z00_1571,
								BgL_i0z00_1568);
						}
					}
				}
			}
		}
	}



/* &initflow-node-setq3565 */
	obj_t BGl_z62initflowzd2nodezd2setq3565z62zzinitflow_walkz00(obj_t
		BgL_envz00_2138, BgL_setqz00_bglt BgL_nodez00_2139, obj_t BgL_ez00_2140)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 185 */
			{
				BgL_setqz00_bglt BgL_nodez00_1548;
				obj_t BgL_ez00_1549;

				BgL_nodez00_1548 = BgL_nodez00_2139;
				BgL_ez00_1549 = BgL_ez00_2140;
				{	/* Initflow/walk.scm 187 */
					obj_t BgL_isz00_1553;
					BgL_variablez00_bglt BgL_vz00_1554;

					{	/* Initflow/walk.scm 187 */
						BgL_nodez00_bglt BgL_arg3786z00_1560;

						BgL_arg3786z00_1560 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1548)))->BgL_valuez00);
						BgL_isz00_1553 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_arg3786z00_1560,
							CBOOL(BgL_ez00_1549));
					}
					{	/* Initflow/walk.scm 188 */
						BgL_varz00_bglt BgL_obj2201z00_1972;

						BgL_obj2201z00_1972 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1548)))->BgL_varz00);
						BgL_vz00_1554 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_1972)))->BgL_variablez00);
					}
					{	/* Initflow/walk.scm 189 */
						bool_t BgL_testz00_2862;

						{	/* Initflow/walk.scm 189 */
							bool_t BgL_testz00_2863;

							{	/* Initflow/walk.scm 189 */
								bool_t BgL_res3878z00_1974;

								{	/* Initflow/walk.scm 189 */
									obj_t BgL_obj1786z00_1973;

									BgL_obj1786z00_1973 = ((obj_t) BgL_vz00_1554);
									BgL_res3878z00_1974 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1973,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_2863 = BgL_res3878z00_1974;
							}
							if (BgL_testz00_2863)
								{	/* Initflow/walk.scm 190 */
									bool_t BgL_testz00_2866;

									{	/* Initflow/walk.scm 190 */
										obj_t BgL_auxz00_2867;

										{	/* Initflow/walk.scm 190 */
											BgL_globalz00_bglt BgL_obj1723z00_1975;

											BgL_obj1723z00_1975 =
												((BgL_globalz00_bglt) BgL_vz00_1554);
											BgL_auxz00_2867 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1723z00_1975)))->BgL_initz00);
										}
										BgL_testz00_2866 = (BgL_auxz00_2867 == BUNSPEC);
									}
									if (BgL_testz00_2866)
										{	/* Initflow/walk.scm 191 */
											obj_t BgL_arg3784z00_1558;

											{	/* Initflow/walk.scm 191 */
												BgL_globalz00_bglt BgL_obj1698z00_1976;

												BgL_obj1698z00_1976 =
													((BgL_globalz00_bglt) BgL_vz00_1554);
												BgL_arg3784z00_1558 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1698z00_1976)))->BgL_modulez00);
											}
											BgL_testz00_2862 =
												(BgL_arg3784z00_1558 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
									else
										{	/* Initflow/walk.scm 190 */
											BgL_testz00_2862 = ((bool_t) 0);
										}
								}
							else
								{	/* Initflow/walk.scm 189 */
									BgL_testz00_2862 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2862)
							{	/* Initflow/walk.scm 189 */
								if (CBOOL(BgL_ez00_1549))
									{	/* Initflow/walk.scm 192 */
										{	/* Initflow/walk.scm 194 */
											BgL_globalz00_bglt BgL_obj1725z00_1977;

											BgL_obj1725z00_1977 =
												((BgL_globalz00_bglt) BgL_vz00_1554);
											((((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1725z00_1977)))->BgL_initz00) =
												((obj_t) BTRUE), BUNSPEC);
										}
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 192 */
										return MAKE_PAIR(((obj_t) BgL_vz00_1554), BgL_isz00_1553);
									}
							}
						else
							{	/* Initflow/walk.scm 189 */
								return BgL_isz00_1553;
							}
					}
				}
			}
		}
	}



/* &initflow-node-extern3563 */
	obj_t BGl_z62initflowzd2nodezd2extern3563z62zzinitflow_walkz00(obj_t
		BgL_envz00_2141, BgL_externz00_bglt BgL_nodez00_2142, obj_t BgL_ez00_2143)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 178 */
			{
				BgL_externz00_bglt BgL_nodez00_1541;
				obj_t BgL_ez00_1542;

				BgL_nodez00_1541 = BgL_nodez00_2142;
				BgL_ez00_1542 = BgL_ez00_2143;
				{	/* Initflow/walk.scm 179 */
					obj_t BgL_arg3780z00_1968;

					BgL_arg3780z00_1968 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1541)))->BgL_exprza2za2);
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg3780z00_1968,
						BgL_ez00_1542);
				}
			}
		}
	}



/* &initflow-node-funcal3561 */
	obj_t BGl_z62initflowzd2nodezd2funcal3561z62zzinitflow_walkz00(obj_t
		BgL_envz00_2144, BgL_funcallz00_bglt BgL_nodez00_2145, obj_t BgL_ez00_2146)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 171 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1532;
				obj_t BgL_ez00_1533;

				BgL_nodez00_1532 = BgL_nodez00_2145;
				BgL_ez00_1533 = BgL_ez00_2146;
				{	/* Initflow/walk.scm 172 */
					obj_t BgL_arg3777z00_1962;

					{	/* Initflow/walk.scm 172 */
						BgL_nodez00_bglt BgL_arg3778z00_1963;
						obj_t BgL_arg3779z00_1964;

						BgL_arg3778z00_1963 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1532)))->BgL_funz00);
						BgL_arg3779z00_1964 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1532)))->BgL_argsz00);
						BgL_arg3777z00_1962 =
							MAKE_PAIR(((obj_t) BgL_arg3778z00_1963), BgL_arg3779z00_1964);
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg3777z00_1962,
						BgL_ez00_1533);
				}
			}
		}
	}



/* &initflow-node-app-ly3559 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly3559zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2147, BgL_appzd2lyzd2_bglt BgL_nodez00_2148, obj_t BgL_ez00_2149)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 164 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1521;
				obj_t BgL_ez00_1522;

				BgL_nodez00_1521 = BgL_nodez00_2148;
				BgL_ez00_1522 = BgL_ez00_2149;
				{	/* Initflow/walk.scm 166 */
					obj_t BgL_arg3772z00_1526;

					{	/* Initflow/walk.scm 166 */
						BgL_nodez00_bglt BgL_arg3773z00_1527;
						BgL_nodez00_bglt BgL_arg3774z00_1528;

						BgL_arg3773z00_1527 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1521)))->BgL_funz00);
						BgL_arg3774z00_1528 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1521)))->BgL_argz00);
						{	/* Initflow/walk.scm 166 */
							obj_t BgL_list3775z00_1529;

							{	/* Initflow/walk.scm 166 */
								obj_t BgL_arg3776z00_1530;

								BgL_arg3776z00_1530 =
									MAKE_PAIR(((obj_t) BgL_arg3774z00_1528), BNIL);
								BgL_list3775z00_1529 =
									MAKE_PAIR(((obj_t) BgL_arg3773z00_1527), BgL_arg3776z00_1530);
							}
							BgL_arg3772z00_1526 = BgL_list3775z00_1529;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg3772z00_1526,
						BgL_ez00_1522);
				}
			}
		}
	}



/* &initflow-node-app3557 */
	obj_t BGl_z62initflowzd2nodezd2app3557z62zzinitflow_walkz00(obj_t
		BgL_envz00_2150, BgL_appz00_bglt BgL_nodez00_2151, obj_t BgL_ez00_2152)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 150 */
			{
				BgL_appz00_bglt BgL_nodez00_1505;
				obj_t BgL_ez00_1506;

				BgL_nodez00_1505 = BgL_nodez00_2151;
				BgL_ez00_1506 = BgL_ez00_2152;
				{	/* Initflow/walk.scm 152 */
					BgL_variablez00_bglt BgL_vz00_1510;

					{	/* Initflow/walk.scm 152 */
						BgL_varz00_bglt BgL_obj2201z00_1949;

						BgL_obj2201z00_1949 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1505)))->BgL_funz00);
						BgL_vz00_1510 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_1949)))->BgL_variablez00);
					}
					{	/* Initflow/walk.scm 152 */
						BgL_valuez00_bglt BgL_fz00_1511;

						BgL_fz00_1511 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_vz00_1510)))->BgL_valuez00);
						{	/* Initflow/walk.scm 153 */

							{	/* Initflow/walk.scm 154 */
								bool_t BgL_testz00_2908;

								{	/* Initflow/walk.scm 154 */
									bool_t BgL_testz00_2909;

									{	/* Initflow/walk.scm 154 */
										bool_t BgL_res3875z00_1952;

										{	/* Initflow/walk.scm 154 */
											obj_t BgL_obj2001z00_1951;

											BgL_obj2001z00_1951 = ((obj_t) BgL_fz00_1511);
											BgL_res3875z00_1952 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1951,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_2909 = BgL_res3875z00_1952;
									}
									if (BgL_testz00_2909)
										{	/* Initflow/walk.scm 154 */
											obj_t BgL_auxz00_2912;

											{	/* Initflow/walk.scm 154 */
												obj_t BgL_auxz00_2913;

												{	/* Initflow/walk.scm 154 */
													BgL_sfunz00_bglt BgL_obj1917z00_1953;

													BgL_obj1917z00_1953 =
														((BgL_sfunz00_bglt) BgL_fz00_1511);
													BgL_auxz00_2913 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1917z00_1953)))->
														BgL_propertyz00);
												}
												BgL_auxz00_2912 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 5)), BgL_auxz00_2913);
											}
											BgL_testz00_2908 = CBOOL(BgL_auxz00_2912);
										}
									else
										{	/* Initflow/walk.scm 154 */
											BgL_testz00_2908 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2908)
									{	/* Initflow/walk.scm 154 */
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 156 */
										obj_t BgL_isz00_1513;

										{	/* Initflow/walk.scm 156 */
											obj_t BgL_arg3768z00_1516;

											BgL_arg3768z00_1516 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_1505)))->BgL_argsz00);
											BgL_isz00_1513 =
												BGl_initflowzd2nodeza2z70zzinitflow_walkz00
												(BgL_arg3768z00_1516, BgL_ez00_1506);
										}
										{	/* Initflow/walk.scm 157 */
											bool_t BgL_testz00_2923;

											{	/* Initflow/walk.scm 157 */
												bool_t BgL_res3876z00_1956;

												{	/* Initflow/walk.scm 157 */
													obj_t BgL_obj2001z00_1955;

													BgL_obj2001z00_1955 = ((obj_t) BgL_fz00_1511);
													BgL_res3876z00_1956 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1955,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_2923 = BgL_res3876z00_1956;
											}
											if (BgL_testz00_2923)
												{	/* Initflow/walk.scm 157 */
													return
														BGl_appendzd221095zd2zzinitflow_walkz00
														(BGl_initflowzd2funzd2zzinitflow_walkz00
														(BgL_vz00_1510, CBOOL(BgL_ez00_1506)),
														BgL_isz00_1513);
												}
											else
												{	/* Initflow/walk.scm 157 */
													return BgL_isz00_1513;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &initflow-node-sequen3555 */
	obj_t BGl_z62initflowzd2nodezd2sequen3555z62zzinitflow_walkz00(obj_t
		BgL_envz00_2153, BgL_sequencez00_bglt BgL_nodez00_2154, obj_t BgL_ez00_2155)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 138 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1487;
				obj_t BgL_ez00_1488;

				BgL_nodez00_1487 = BgL_nodez00_2154;
				BgL_ez00_1488 = BgL_ez00_2155;
				{
					obj_t BgL_nodesz00_1495;
					obj_t BgL_isz00_1496;

					{	/* Initflow/walk.scm 140 */
						obj_t BgL_arg3759z00_1494;

						BgL_arg3759z00_1494 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1487)))->BgL_nodesz00);
						BgL_nodesz00_1495 = BgL_arg3759z00_1494;
						BgL_isz00_1496 = BNIL;
					BgL_zc3anonymousza33760ze3z83_1497:
						if (NULLP(BgL_nodesz00_1495))
							{	/* Initflow/walk.scm 142 */
								return BgL_isz00_1496;
							}
						else
							{	/* Initflow/walk.scm 144 */
								obj_t BgL_iz00_1499;

								{	/* Initflow/walk.scm 144 */
									obj_t BgL_arg3764z00_1502;

									BgL_arg3764z00_1502 = CAR(BgL_nodesz00_1495);
									BgL_iz00_1499 =
										BGl_initflowzd2nodezd2zzinitflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg3764z00_1502),
										CBOOL(BgL_ez00_1488));
								}
								{
									obj_t BgL_isz00_2939;
									obj_t BgL_nodesz00_2937;

									BgL_nodesz00_2937 = CDR(BgL_nodesz00_1495);
									BgL_isz00_2939 =
										BGl_appendzd221095zd2zzinitflow_walkz00(BgL_iz00_1499,
										BgL_isz00_1496);
									BgL_isz00_1496 = BgL_isz00_2939;
									BgL_nodesz00_1495 = BgL_nodesz00_2937;
									goto BgL_zc3anonymousza33760ze3z83_1497;
								}
							}
					}
				}
			}
		}
	}



/* &initflow-node-var3553 */
	obj_t BGl_z62initflowzd2nodezd2var3553z62zzinitflow_walkz00(obj_t
		BgL_envz00_2156, BgL_varz00_bglt BgL_nodez00_2157, obj_t BgL_ez00_2158)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 98 */
			{
				BgL_varz00_bglt BgL_nodez00_1457;
				obj_t BgL_ez00_1458;

				BgL_nodez00_1457 = BgL_nodez00_2157;
				BgL_ez00_1458 = BgL_ez00_2158;
				{	/* Initflow/walk.scm 100 */
					bool_t BgL_testz00_2941;

					{	/* Initflow/walk.scm 100 */
						bool_t BgL_testz00_2942;

						{	/* Initflow/walk.scm 100 */
							BgL_variablez00_bglt BgL_arg3754z00_1481;

							BgL_arg3754z00_1481 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
							{	/* Initflow/walk.scm 100 */
								bool_t BgL_res3872z00_1920;

								{	/* Initflow/walk.scm 100 */
									obj_t BgL_obj1786z00_1919;

									BgL_obj1786z00_1919 = ((obj_t) BgL_arg3754z00_1481);
									BgL_res3872z00_1920 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1919,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_2942 = BgL_res3872z00_1920;
							}
						}
						if (BgL_testz00_2942)
							{	/* Initflow/walk.scm 101 */
								bool_t BgL_testz00_2947;

								{	/* Initflow/walk.scm 101 */
									obj_t BgL_auxz00_2948;

									{	/* Initflow/walk.scm 101 */
										BgL_globalz00_bglt BgL_obj1723z00_1922;

										BgL_obj1723z00_1922 =
											((BgL_globalz00_bglt)
											(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_nodez00_1457)))->BgL_variablez00));
										BgL_auxz00_2948 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1723z00_1922)))->BgL_initz00);
									}
									BgL_testz00_2947 = (BgL_auxz00_2948 == BUNSPEC);
								}
								if (BgL_testz00_2947)
									{	/* Initflow/walk.scm 102 */
										obj_t BgL_arg3750z00_1477;

										{	/* Initflow/walk.scm 102 */
											BgL_globalz00_bglt BgL_obj1698z00_1924;

											BgL_obj1698z00_1924 =
												((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_nodez00_1457)))->BgL_variablez00));
											BgL_arg3750z00_1477 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1698z00_1924)))->BgL_modulez00);
										}
										BgL_testz00_2941 =
											(BgL_arg3750z00_1477 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 101 */
										BgL_testz00_2941 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 100 */
								BgL_testz00_2941 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2941)
						{	/* Initflow/walk.scm 100 */
							{	/* Initflow/walk.scm 103 */
								BgL_variablez00_bglt BgL_arg3736z00_1463;

								BgL_arg3736z00_1463 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
								{	/* Initflow/walk.scm 103 */
									BgL_globalz00_bglt BgL_obj1725z00_1926;

									BgL_obj1725z00_1926 =
										((BgL_globalz00_bglt) BgL_arg3736z00_1463);
									((((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1725z00_1926)))->BgL_initz00) =
										((obj_t) BFALSE), BUNSPEC);
								}
							}
							{	/* Initflow/walk.scm 105 */
								bool_t BgL_testz00_2966;

								{	/* Initflow/walk.scm 105 */
									BgL_typez00_bglt BgL_arg3746z00_1473;

									{	/* Initflow/walk.scm 105 */
										BgL_variablez00_bglt BgL_obj1609z00_1929;

										BgL_obj1609z00_1929 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
										BgL_arg3746z00_1473 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1609z00_1929)))->BgL_typez00);
									}
									BgL_testz00_2966 =
										(
										((obj_t) BgL_arg3746z00_1473) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_2966)
									{	/* Initflow/walk.scm 106 */
										BgL_variablez00_bglt BgL_arg3738z00_1465;

										BgL_arg3738z00_1465 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
										{	/* Initflow/walk.scm 106 */
											BgL_typez00_bglt BgL_val1610z00_1932;

											{	/* Initflow/walk.scm 106 */
												obj_t BgL_xz00_2303;

												BgL_xz00_2303 = BGl_za2objza2z00zztype_cachez00;
												BgL_val1610z00_1932 =
													((BgL_typez00_bglt) BgL_xz00_2303);
											}
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_arg3738z00_1465)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1610z00_1932), BUNSPEC);
										}
									}
								else
									{	/* Initflow/walk.scm 107 */
										bool_t BgL_testz00_2978;

										{	/* Initflow/walk.scm 107 */
											BgL_typez00_bglt BgL_arg3744z00_1471;

											{	/* Initflow/walk.scm 107 */
												BgL_variablez00_bglt BgL_obj1609z00_1934;

												BgL_obj1609z00_1934 =
													(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
												BgL_arg3744z00_1471 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1609z00_1934)))->BgL_typez00);
											}
											BgL_testz00_2978 =
												(
												((obj_t) BgL_arg3744z00_1471) ==
												BGl_za2objza2z00zztype_cachez00);
										}
										if (BgL_testz00_2978)
											{	/* Initflow/walk.scm 107 */
												BUNSPEC;
											}
										else
											{	/* Initflow/walk.scm 110 */
												obj_t BgL_arg3740z00_1467;
												obj_t BgL_arg3741z00_1468;

												{	/* Initflow/walk.scm 110 */
													BgL_nodez00_bglt BgL_obj2136z00_1935;

													BgL_obj2136z00_1935 =
														((BgL_nodez00_bglt) BgL_nodez00_1457);
													BgL_arg3740z00_1467 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2136z00_1935)))->BgL_locz00);
												}
												{	/* Initflow/walk.scm 112 */
													BgL_variablez00_bglt BgL_obj1605z00_1937;

													BgL_obj1605z00_1937 =
														(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
													BgL_arg3741z00_1468 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1605z00_1937)))->BgL_idz00);
												}
												BGl_userzd2errorzf2locationz20zztools_errorz00
													(BgL_arg3740z00_1467,
													BGl_za2moduleza2z00zzmodule_modulez00,
													BGl_string3929z00zzinitflow_walkz00,
													BgL_arg3741z00_1468, BNIL);
											}
									}
							}
						}
					else
						{	/* Initflow/walk.scm 100 */
							BFALSE;
						}
				}
				{	/* Initflow/walk.scm 113 */
					bool_t BgL_testz00_2993;

					{	/* Initflow/walk.scm 113 */
						BgL_valuez00_bglt BgL_arg3757z00_1484;

						{	/* Initflow/walk.scm 113 */
							BgL_variablez00_bglt BgL_obj1612z00_1939;

							BgL_obj1612z00_1939 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
							BgL_arg3757z00_1484 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_1939)))->BgL_valuez00);
						}
						{	/* Initflow/walk.scm 113 */
							bool_t BgL_res3873z00_1941;

							{	/* Initflow/walk.scm 113 */
								obj_t BgL_obj2001z00_1940;

								BgL_obj2001z00_1940 = ((obj_t) BgL_arg3757z00_1484);
								BgL_res3873z00_1941 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1940,
									BGl_sfunz00zzast_varz00);
							}
							BgL_testz00_2993 = BgL_res3873z00_1941;
						}
					}
					if (BgL_testz00_2993)
						{	/* Initflow/walk.scm 114 */
							BgL_variablez00_bglt BgL_arg3756z00_1483;

							BgL_arg3756z00_1483 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_nodez00_1457)))->BgL_variablez00);
							return
								BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_arg3756z00_1483,
								CBOOL(BgL_ez00_1458));
						}
					else
						{	/* Initflow/walk.scm 113 */
							return BNIL;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3930z00zzinitflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
