/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt
		BGl_makezd2isfunzd2zzinline_inlinez00(long, obj_t, obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt
		BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt, obj_t);
	static BgL_isfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_sfunz00_bglt
		BGl_z62z52allocatezd2isfunze2zzinline_inlinez00(obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3540ze1zzinline_inlinez00(obj_t,
		BgL_isfunz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_isfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail3516z62zzinline_inlinez00(obj_t,
		BgL_failz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd23526z62zzinline_inlinez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt
		BGl_fillzd2isfunz12zc0zzinline_inlinez00(BgL_isfunz00_bglt,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence3500z62zzinline_inlinez00(obj_t,
		BgL_sequencez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	static BgL_isfunz00_bglt BGl_z62fillzd2isfunz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall3506z62zzinline_inlinez00(obj_t,
		BgL_funcallz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_isfunz00_bglt BGl_z62wideningzd2isfunzb0zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref3534zb0zzinline_inlinez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z62inlinezd2node3491zb0zzinline_inlinez00(obj_t,
		BgL_nodez00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2select3518z62zzinline_inlinez00(obj_t,
		BgL_selectz00_bglt, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly3504zb0zzinline_inlinez00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote3498z62zzinline_inlinez00(obj_t,
		BgL_kwotez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern3508z62zzinline_inlinez00(obj_t,
		BgL_externz00_bglt, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom3494z62zzinline_inlinez00(obj_t,
		BgL_atomz00_bglt, obj_t, obj_t);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_z52allocatezd2isfunz80zzinline_inlinez00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app3502z62zzinline_inlinez00(obj_t, BgL_appz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast3510z62zzinline_inlinez00(obj_t,
		BgL_castz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i3524z62zzinline_inlinez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var3496z62zzinline_inlinez00(obj_t, BgL_varz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio3514z62zzinline_inlinez00(obj_t,
		BgL_conditionalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz123536za2zzinline_inlinez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box3532zb0zzinline_inlinez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq3512z62zzinline_inlinez00(obj_t,
		BgL_setqz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun3520zb0zzinline_inlinez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62objectzd2ze3structzd2isfun3538z81zzinline_inlinez00(obj_t,
		BgL_isfunz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var3522zb0zzinline_inlinez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b3777za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_sfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762sfunza7f3za791za7za7i3778za7,
		BGl_z62sfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3779z00,
		BGl_z62inlinezd2node3491zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3780z00,
		BGl_z62inlinezd2nodezd2atom3494z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3781z00,
		BGl_z62inlinezd2nodezd2var3496z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3782z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3783z00,
		BGl_z62inlinezd2nodezd2kwote3498z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3784z00,
		BGl_z62inlinezd2nodezd2sequence3500z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3785z00,
		BGl_z62inlinezd2nodezd2app3502z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3786z00,
		BGl_z62inlinezd2nodezd2appzd2ly3504zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3787z00,
		BGl_z62inlinezd2nodezd2funcall3506z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3788z00,
		BGl_z62inlinezd2nodezd2extern3508z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3789z00,
		BGl_z62inlinezd2nodezd2cast3510z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3790z00,
		BGl_z62inlinezd2nodezd2setq3512z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3758z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3791z00,
		BGl_z62inlinezd2nodezd2conditio3514z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3792z00,
		BGl_z62inlinezd2nodezd2fail3516z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3760z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3793z00,
		BGl_z62inlinezd2nodezd2select3518z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3761z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3794z00,
		BGl_z62inlinezd2nodezd2letzd2fun3520zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3762z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3795z00,
		BGl_z62inlinezd2nodezd2letzd2var3522zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3763z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3796z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i3524z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3764z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3797z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd23526z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3765z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3798z00,
		BGl_z62inlinezd2nodezd2makezd2box3532zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3766z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3799z00,
		BGl_z62inlinezd2nodezd2boxzd2ref3534zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3767z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3800z00,
		BGl_z62inlinezd2nodezd2boxzd2setz123536za2zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3768z00zzinline_inlinez00,
		BgL_bgl_za762objectza7d2za7e3s3801za7,
		BGl_z62objectzd2ze3structzd2isfun3538z81zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3770z00zzinline_inlinez00,
		BgL_bgl_za762structza7b2obje3802z00,
		BGl_z62structzb2objectzd2ze3objec3540ze1zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2isfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762fillza7d2isfunza73803za7,
		BGl_z62fillzd2isfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza73804za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun3805z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za73806za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node3807z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STRING(BGl_string3745z00zzinline_inlinez00,
		BgL_bgl_string3745za700za7za7i3808za7, "inline-node3491", 15);
	      DEFINE_STRING(BGl_string3746z00zzinline_inlinez00,
		BgL_bgl_string3746za700za7za7i3809za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3748z00zzinline_inlinez00,
		BgL_bgl_string3748za700za7za7i3810za7, "inline-node", 11);
	      DEFINE_STRING(BGl_string3769z00zzinline_inlinez00,
		BgL_bgl_string3769za700za7za7i3811za7, "object->struct::struct", 22);
	      DEFINE_STRING(BGl_string3771z00zzinline_inlinez00,
		BgL_bgl_string3771za700za7za7i3812za7, "struct+object->object::object", 29);
	      DEFINE_STRING(BGl_string3772z00zzinline_inlinez00,
		BgL_bgl_string3772za700za7za7i3813za7, "inline_inline", 13);
	      DEFINE_STRING(BGl_string3773z00zzinline_inlinez00,
		BgL_bgl_string3773za700za7za7i3814za7,
		"read static inline-node3491 _ isfun done ", 41);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2isfunzd2envz52zzinline_inlinez00,
		BgL_bgl_za762za752allocateza7d3815za7,
		BGl_z62z52allocatezd2isfunze2zzinline_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762wideningza7d2is3816z00,
		BGl_z62wideningzd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_2315, char *BgL_fromz00_2316)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_2287;

				BgL_cportz00_2287 =
					bgl_open_input_string(BGl_string3773z00zzinline_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2288;

					BgL_iz00_2288 = ((long) 5);
				BgL_loopz00_2289:
					if ((BgL_iz00_2288 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg3775z00_2291;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_2293;

										BgL_locationz00_2293 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg3775z00_2291 =
												BGl_readz00zz__readerz00(BgL_cportz00_2287,
												BgL_locationz00_2293);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_auxz00_2336;

									BgL_auxz00_2336 = (int) (BgL_iz00_2288);
									CNST_TABLE_SET(BgL_auxz00_2336, BgL_arg3775z00_2291);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_2294;

								BgL_auxz00_2294 = (int) ((BgL_iz00_2288 - ((long) 1)));
								{
									long BgL_iz00_2341;

									BgL_iz00_2341 = (long) (BgL_auxz00_2294);
									BgL_iz00_2288 = BgL_iz00_2341;
									goto BgL_loopz00_2289;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 34 */
			{	/* Inline/inline.scm 37 */
				BgL_valuez00_bglt BgL_sfunz00_920;

				BgL_sfunz00_920 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_variablez00_3)))->BgL_valuez00);
				{	/* Inline/inline.scm 37 */
					BgL_valuez00_bglt BgL_isfunz00_921;

					if (BGl_iszd2azf3z21zz__objectz00
						(BGl_sfunzf3zd2envz21zzinline_inlinez00,
							BGl_isfunz00zzinline_inlinez00))
						{	/* Inline/inline.scm 38 */
							BgL_isfunz00_921 = BgL_sfunz00_920;
						}
					else
						{	/* Inline/inline.scm 40 */
							BgL_sfunz00_bglt BgL_obj3466z00_931;

							BgL_obj3466z00_931 = ((BgL_sfunz00_bglt) BgL_sfunz00_920);
							{	/* Inline/inline.scm 40 */
								BgL_isfunz00_bglt BgL_arg3551z00_932;

								{	/* Inline/inline.scm 40 */
									obj_t BgL_arg3552z00_933;

									{	/* Inline/inline.scm 40 */
										BgL_sfunz00_bglt BgL_obj1924z00_1607;

										BgL_obj1924z00_1607 = ((BgL_sfunz00_bglt) BgL_sfunz00_920);
										BgL_arg3552z00_933 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_1607)))->BgL_bodyz00);
									}
									{	/* Inline/inline.scm 40 */
										BgL_isfunz00_bglt BgL_res3711z00_1617;

										{	/* Inline/inline.scm 40 */
											BgL_nodez00_bglt BgL_originalzd2body3366zd2_1608;

											BgL_originalzd2body3366zd2_1608 =
												((BgL_nodez00_bglt) BgL_arg3552z00_933);
											{	/* Inline/inline.scm 40 */
												BgL_isfunz00_bglt BgL_new3368z00_1610;

												BgL_new3368z00_1610 =
													((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_isfunz00_bgl))));
												{	/* Inline/inline.scm 40 */
													BgL_isfunz00_bglt BgL_res3710z00_1616;

													((((BgL_isfunz00_bglt) CREF(
																	((obj_t) BgL_new3368z00_1610)))->
															BgL_originalzd2bodyzd2) =
														((BgL_nodez00_bglt)
															BgL_originalzd2body3366zd2_1608), BUNSPEC);
													((((BgL_isfunz00_bglt) CREF(((obj_t)
																		BgL_new3368z00_1610)))->
															BgL_recursivezd2callszd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													BgL_res3710z00_1616 = BgL_new3368z00_1610;
													BgL_res3710z00_1616;
												}
												BgL_res3711z00_1617 = BgL_new3368z00_1610;
										}}
										BgL_arg3551z00_932 = BgL_res3711z00_1617;
								}}
								{	/* Inline/inline.scm 40 */
									obj_t BgL_auxz00_2359;
									BgL_objectz00_bglt BgL_auxz00_2357;

									BgL_auxz00_2359 = ((obj_t) BgL_arg3551z00_932);
									BgL_auxz00_2357 = ((BgL_objectz00_bglt) BgL_obj3466z00_931);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2357, BgL_auxz00_2359);
							}}
							{	/* Inline/inline.scm 40 */
								long BgL_arg3553z00_934;

								BgL_arg3553z00_934 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_isfunz00zzinline_inlinez00);
								{	/* Inline/inline.scm 40 */
									BgL_objectz00_bglt BgL_objz00_1618;

									BgL_objz00_1618 = ((BgL_objectz00_bglt) BgL_obj3466z00_931);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1618, BgL_arg3553z00_934);
							}}
							BgL_isfunz00_921 = ((BgL_valuez00_bglt) BgL_obj3466z00_931);
						}
					{	/* Inline/inline.scm 38 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_922;

						{	/* Inline/inline.scm 41 */
							BgL_isfunz00_bglt BgL_obj3407z00_1620;

							BgL_obj3407z00_1620 = ((BgL_isfunz00_bglt) BgL_isfunz00_921);
							{
								obj_t BgL_auxz00_2367;

								{	/* Inline/inline.scm 41 */
									BgL_objectz00_bglt BgL_auxz00_2368;

									BgL_auxz00_2368 = ((BgL_objectz00_bglt) BgL_obj3407z00_1620);
									BgL_auxz00_2367 = BGL_OBJECT_WIDENING(BgL_auxz00_2368);
								}
								BgL_ozd2bodyzd2_922 =
									(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2367))->
									BgL_originalzd2bodyzd2);
						}}
						{	/* Inline/inline.scm 41 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_923;

							{	/* Inline/inline.scm 42 */
								bool_t BgL_testz00_2372;

								{	/* Inline/inline.scm 44 */
									long BgL_arg3547z00_927;

									{	/* Inline/inline.scm 44 */
										long BgL_auxz00_2373;

										{	/* Inline/inline.scm 44 */
											obj_t BgL_auxz00_2374;

											{	/* Inline/inline.scm 44 */
												BgL_sfunz00_bglt BgL_obj1920z00_1621;

												BgL_obj1920z00_1621 =
													((BgL_sfunz00_bglt) BgL_sfunz00_920);
												BgL_auxz00_2374 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1920z00_1621)))->BgL_argsz00);
											}
											BgL_auxz00_2373 = bgl_list_length(BgL_auxz00_2374);
										}
										BgL_arg3547z00_927 = (((long) 1) + BgL_auxz00_2373);
									}
									BgL_testz00_2372 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_3,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg3547z00_927, BNIL);
								}
								if (BgL_testz00_2372)
									{	/* Inline/inline.scm 42 */
										BgL_inlzd2bodyzd2_923 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_922);
									}
								else
									{	/* Inline/inline.scm 42 */
										BgL_inlzd2bodyzd2_923 = BgL_ozd2bodyzd2_922;
									}
							}
							{	/* Inline/inline.scm 42 */

								{	/* Inline/inline.scm 55 */
									BgL_nodez00_bglt BgL_arg3544z00_924;

									{	/* Inline/inline.scm 55 */
										obj_t BgL_arg3545z00_925;

										BgL_arg3545z00_925 =
											MAKE_PAIR(((obj_t) BgL_variablez00_3), BgL_stackz00_5);
										BgL_arg3544z00_924 =
											BGl_inlinezd2nodezd2zzinline_inlinez00
											(BgL_inlzd2bodyzd2_923, BgL_kfactorz00_4,
											BgL_arg3545z00_925);
									}
									{	/* Inline/inline.scm 53 */
										BgL_sfunz00_bglt BgL_obj1926z00_1625;
										obj_t BgL_val1925z00_1626;

										BgL_obj1926z00_1625 = ((BgL_sfunz00_bglt) BgL_sfunz00_920);
										BgL_val1925z00_1626 = ((obj_t) BgL_arg3544z00_924);
										((((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1926z00_1625)))->BgL_bodyz00) =
											((obj_t) BgL_val1925z00_1626), BUNSPEC);
									}
								}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_1937,
		obj_t BgL_variablez00_1938, obj_t BgL_kfactorz00_1939,
		obj_t BgL_stackz00_1940)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 34 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_1938),
				(long) CINT(BgL_kfactorz00_1939), BgL_stackz00_1940);
		}
	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_69, obj_t BgL_kfactorz00_70, obj_t BgL_stackz00_71)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 245 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_69))
				{	/* Inline/inline.scm 246 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Inline/inline.scm 246 */
					{	/* Inline/inline.scm 249 */
						BgL_nodez00_bglt BgL_arg3555z00_936;

						{	/* Inline/inline.scm 249 */
							obj_t BgL_arg3556z00_937;

							BgL_arg3556z00_937 = CAR(BgL_nodeza2za2_69);
							BgL_arg3555z00_936 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg3556z00_937),
								(long) CINT(BgL_kfactorz00_70), BgL_stackz00_71);
						}
						{	/* Inline/inline.scm 249 */
							obj_t BgL_pairz00_1630;
							obj_t BgL_objz00_1631;

							BgL_pairz00_1630 = BgL_nodeza2za2_69;
							BgL_objz00_1631 = ((obj_t) BgL_arg3555z00_936);
							SET_CAR(BgL_pairz00_1630, BgL_objz00_1631);
					}}
					{
						obj_t BgL_nodeza2za2_2402;

						BgL_nodeza2za2_2402 = CDR(BgL_nodeza2za2_69);
						BgL_nodeza2za2_69 = BgL_nodeza2za2_2402;
						goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
					}
				}
		}
	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_1943,
		obj_t BgL_nodeza2za2_1944, obj_t BgL_kfactorz00_1945,
		obj_t BgL_stackz00_1946)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 245 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_1944,
				BgL_kfactorz00_1945, BgL_stackz00_1946);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 25 */
				obj_t BgL_arg3558z00_939;

				{	/* Inline/inline.scm 25 */
					obj_t BgL_v3490z00_940;

					BgL_v3490z00_940 = create_vector((int) (((long) 0)));
					BgL_arg3558z00_939 = BgL_v3490z00_940;
				}
				BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 1)),
					BGl_sfunz00zzast_varz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2isfunzd2envz52zzinline_inlinez00,
					BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
					BGl_isfunzf3zd2envz21zzinline_inlinez00, ((long) 342666113), BFALSE,
					BFALSE, BgL_arg3558z00_939);
			}
			return (BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 = BUNSPEC, BUNSPEC);
		}
	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t
		BgL_obj3406z00_72)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3406z00_72,
				BGl_isfunz00zzinline_inlinez00);
		}
	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_1949,
		obj_t BgL_obj3406z00_1950)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3406z00_1950,
					BGl_isfunz00zzinline_inlinez00));
		}
	}



/* widening-isfun */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt
		BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt
		BgL_originalzd2body3366zd2_76, obj_t BgL_recursivezd2calls3367zd2_77)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_isfunz00_bglt BgL_new3368z00_1633;

				BgL_new3368z00_1633 =
					((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_isfunz00_bgl))));
				{	/* Inline/inline.scm 25 */
					BgL_isfunz00_bglt BgL_res3714z00_1639;

					((((BgL_isfunz00_bglt) CREF(
									((obj_t) BgL_new3368z00_1633)))->BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body3366zd2_76), BUNSPEC);
					((((BgL_isfunz00_bglt) CREF(((obj_t) BgL_new3368z00_1633)))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls3367zd2_77), BUNSPEC);
					BgL_res3714z00_1639 = BgL_new3368z00_1633;
					BgL_res3714z00_1639;
				}
				return BgL_new3368z00_1633;
			}
		}
	}



/* &widening-isfun */
	BgL_isfunz00_bglt BGl_z62wideningzd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_1951, obj_t BgL_originalzd2body3366zd2_1952,
		obj_t BgL_recursivezd2calls3367zd2_1953)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				BGl_wideningzd2isfunzd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_originalzd2body3366zd2_1952),
				BgL_recursivezd2calls3367zd2_1953);
		}
	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity3372z00_78, obj_t BgL_sidezd2effect3373zd2_79,
		obj_t BgL_predicatezd2of3374zd2_80, obj_t BgL_stackzd2allocator3375zd2_81,
		bool_t BgL_topzf33376zf3_82, obj_t BgL_thezd2closure3377zd2_83,
		obj_t BgL_effect3378z00_84, obj_t BgL_property3379z00_85,
		obj_t BgL_args3380z00_86, obj_t BgL_argszd2name3381zd2_87,
		obj_t BgL_body3382z00_88, obj_t BgL_class3383z00_89,
		obj_t BgL_dssslzd2keywords3384zd2_90, obj_t BgL_loc3385z00_91,
		obj_t BgL_optionals3386z00_92, obj_t BgL_keys3387z00_93,
		obj_t BgL_thezd2closurezd2global3388z00_94, obj_t BgL_strength3389z00_95,
		BgL_nodez00_bglt BgL_originalzd2body3370zd2_96,
		obj_t BgL_recursivezd2calls3371zd2_97)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_sfunz00_bglt BgL_aux3390z00_1640;

				BgL_aux3390z00_1640 =
					BGl_makezd2sfunzd2zzast_varz00(BgL_arity3372z00_78,
					BgL_sidezd2effect3373zd2_79, BgL_predicatezd2of3374zd2_80,
					BgL_stackzd2allocator3375zd2_81, BgL_topzf33376zf3_82,
					BgL_thezd2closure3377zd2_83, BgL_effect3378z00_84,
					BgL_property3379z00_85, BgL_args3380z00_86, BgL_argszd2name3381zd2_87,
					BgL_body3382z00_88, BgL_class3383z00_89,
					BgL_dssslzd2keywords3384zd2_90, BgL_loc3385z00_91,
					BgL_optionals3386z00_92, BgL_keys3387z00_93,
					BgL_thezd2closurezd2global3388z00_94, BgL_strength3389z00_95);
				{	/* Inline/inline.scm 25 */
					long BgL_arg3559z00_1641;

					BgL_arg3559z00_1641 =
						BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00);
					{	/* Inline/inline.scm 25 */
						BgL_objectz00_bglt BgL_objz00_1644;

						BgL_objz00_1644 = ((BgL_objectz00_bglt) BgL_aux3390z00_1640);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1644, BgL_arg3559z00_1641);
				}}
				{	/* Inline/inline.scm 25 */
					BgL_isfunz00_bglt BgL_arg3560z00_1642;

					{	/* Inline/inline.scm 25 */
						BgL_isfunz00_bglt BgL_res3716z00_1655;

						{	/* Inline/inline.scm 25 */
							BgL_isfunz00_bglt BgL_new3368z00_1648;

							BgL_new3368z00_1648 =
								((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_isfunz00_bgl))));
							{	/* Inline/inline.scm 25 */
								BgL_isfunz00_bglt BgL_res3715z00_1654;

								((((BgL_isfunz00_bglt) CREF(
												((obj_t) BgL_new3368z00_1648)))->
										BgL_originalzd2bodyzd2) =
									((BgL_nodez00_bglt) BgL_originalzd2body3370zd2_96), BUNSPEC);
								((((BgL_isfunz00_bglt) CREF(((obj_t) BgL_new3368z00_1648)))->
										BgL_recursivezd2callszd2) =
									((obj_t) BgL_recursivezd2calls3371zd2_97), BUNSPEC);
								BgL_res3715z00_1654 = BgL_new3368z00_1648;
								BgL_res3715z00_1654;
							}
							BgL_res3716z00_1655 = BgL_new3368z00_1648;
						}
						BgL_arg3560z00_1642 = BgL_res3716z00_1655;
					}
					{	/* Inline/inline.scm 25 */
						obj_t BgL_auxz00_2430;
						BgL_objectz00_bglt BgL_auxz00_2428;

						BgL_auxz00_2430 = ((obj_t) BgL_arg3560z00_1642);
						BgL_auxz00_2428 = ((BgL_objectz00_bglt) BgL_aux3390z00_1640);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2428, BgL_auxz00_2430);
				}}
				return ((BgL_isfunz00_bglt) BgL_aux3390z00_1640);
			}
		}
	}



/* &make-isfun */
	BgL_isfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_1954, obj_t BgL_arity3372z00_1955,
		obj_t BgL_sidezd2effect3373zd2_1956, obj_t BgL_predicatezd2of3374zd2_1957,
		obj_t BgL_stackzd2allocator3375zd2_1958, obj_t BgL_topzf33376zf3_1959,
		obj_t BgL_thezd2closure3377zd2_1960, obj_t BgL_effect3378z00_1961,
		obj_t BgL_property3379z00_1962, obj_t BgL_args3380z00_1963,
		obj_t BgL_argszd2name3381zd2_1964, obj_t BgL_body3382z00_1965,
		obj_t BgL_class3383z00_1966, obj_t BgL_dssslzd2keywords3384zd2_1967,
		obj_t BgL_loc3385z00_1968, obj_t BgL_optionals3386z00_1969,
		obj_t BgL_keys3387z00_1970, obj_t BgL_thezd2closurezd2global3388z00_1971,
		obj_t BgL_strength3389z00_1972, obj_t BgL_originalzd2body3370zd2_1973,
		obj_t BgL_recursivezd2calls3371zd2_1974)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				BGl_makezd2isfunzd2zzinline_inlinez00(
				(long) CINT(BgL_arity3372z00_1955), BgL_sidezd2effect3373zd2_1956,
				BgL_predicatezd2of3374zd2_1957, BgL_stackzd2allocator3375zd2_1958,
				CBOOL(BgL_topzf33376zf3_1959), BgL_thezd2closure3377zd2_1960,
				BgL_effect3378z00_1961, BgL_property3379z00_1962, BgL_args3380z00_1963,
				BgL_argszd2name3381zd2_1964, BgL_body3382z00_1965,
				BgL_class3383z00_1966, BgL_dssslzd2keywords3384zd2_1967,
				BgL_loc3385z00_1968, BgL_optionals3386z00_1969, BgL_keys3387z00_1970,
				BgL_thezd2closurezd2global3388z00_1971, BgL_strength3389z00_1972,
				((BgL_nodez00_bglt) BgL_originalzd2body3370zd2_1973),
				BgL_recursivezd2calls3371zd2_1974);
		}
	}



/* fill-isfun! */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt
		BGl_fillzd2isfunz12zc0zzinline_inlinez00(BgL_isfunz00_bglt
		BgL_new3394z00_98, BgL_nodez00_bglt BgL_originalzd2body3392zd2_99,
		obj_t BgL_recursivezd2calls3393zd2_100)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			((((BgL_isfunz00_bglt) CREF(
							((obj_t) BgL_new3394z00_98)))->BgL_originalzd2bodyzd2) =
				((BgL_nodez00_bglt) BgL_originalzd2body3392zd2_99), BUNSPEC);
			((((BgL_isfunz00_bglt) CREF(((obj_t) BgL_new3394z00_98)))->
					BgL_recursivezd2callszd2) =
				((obj_t) BgL_recursivezd2calls3393zd2_100), BUNSPEC);
			return BgL_new3394z00_98;
		}
	}



/* &fill-isfun! */
	BgL_isfunz00_bglt BGl_z62fillzd2isfunz12za2zzinline_inlinez00(obj_t
		BgL_envz00_1975, obj_t BgL_new3394z00_1976,
		obj_t BgL_originalzd2body3392zd2_1977,
		obj_t BgL_recursivezd2calls3393zd2_1978)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_isfunz00_bglt BgL_new3394z00_2296;
				BgL_nodez00_bglt BgL_originalzd2body3392zd2_2297;

				BgL_new3394z00_2296 = ((BgL_isfunz00_bglt) BgL_new3394z00_1976);
				BgL_originalzd2body3392zd2_2297 =
					((BgL_nodez00_bglt) BgL_originalzd2body3392zd2_1977);
				((((BgL_isfunz00_bglt) CREF(
								((obj_t) BgL_new3394z00_2296)))->BgL_originalzd2bodyzd2) =
					((BgL_nodez00_bglt) BgL_originalzd2body3392zd2_2297), BUNSPEC);
				((((BgL_isfunz00_bglt) CREF(((obj_t) BgL_new3394z00_2296)))->
						BgL_recursivezd2callszd2) =
					((obj_t) BgL_recursivezd2calls3393zd2_1978), BUNSPEC);
				return BgL_new3394z00_2296;
			}
		}
	}



/* %allocate-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_z52allocatezd2isfunz80zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_sfunz00_bglt BgL_new3398z00_2299;

				BgL_new3398z00_2299 =
					((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_sfunz00_bgl))));
				{	/* Inline/inline.scm 25 */
					long BgL_arg3561z00_2300;

					BgL_arg3561z00_2300 =
						BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00);
					{	/* Inline/inline.scm 25 */
						BgL_objectz00_bglt BgL_objz00_2301;

						BgL_objz00_2301 = ((BgL_objectz00_bglt) BgL_new3398z00_2299);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2301, BgL_arg3561z00_2300);
				}}
				{	/* Inline/inline.scm 25 */
					BgL_objectz00_bglt BgL_auxz00_2452;

					BgL_auxz00_2452 = ((BgL_objectz00_bglt) BgL_new3398z00_2299);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2452, BFALSE);
				}
				return BgL_new3398z00_2299;
			}
		}
	}



/* &%allocate-isfun */
	BgL_sfunz00_bglt BGl_z62z52allocatezd2isfunze2zzinline_inlinez00(obj_t
		BgL_envz00_1947)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_sfunz00_bglt BgL_new3398z00_2302;

				BgL_new3398z00_2302 =
					((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_sfunz00_bgl))));
				{	/* Inline/inline.scm 25 */
					long BgL_arg3561z00_2303;

					BgL_arg3561z00_2303 =
						BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00);
					{	/* Inline/inline.scm 25 */
						BgL_objectz00_bglt BgL_objz00_2304;

						BgL_objz00_2304 = ((BgL_objectz00_bglt) BgL_new3398z00_2302);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2304, BgL_arg3561z00_2303);
				}}
				{	/* Inline/inline.scm 25 */
					BgL_objectz00_bglt BgL_auxz00_2459;

					BgL_auxz00_2459 = ((BgL_objectz00_bglt) BgL_new3398z00_2302);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2459, BFALSE);
				}
				return BgL_new3398z00_2302;
			}
		}
	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				bool_t BgL_testz00_2462;

				{	/* Inline/inline.scm 25 */
					bool_t BgL_res3717z00_1663;

					{	/* Inline/inline.scm 25 */
						obj_t BgL_obj3406z00_1662;

						BgL_obj3406z00_1662 = BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00;
						BgL_res3717z00_1663 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3406z00_1662,
							BGl_isfunz00zzinline_inlinez00);
					}
					BgL_testz00_2462 = BgL_res3717z00_1663;
				}
				if (BgL_testz00_2462)
					{	/* Inline/inline.scm 25 */
						obj_t BgL_xz00_2136;

						BgL_xz00_2136 = BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00;
						return ((BgL_isfunz00_bglt) BgL_xz00_2136);
					}
				else
					{	/* Inline/inline.scm 25 */
						BgL_isfunz00_bglt BgL_g3399z00_951;

						{	/* Inline/inline.scm 25 */
							BgL_sfunz00_bglt BgL_res3718z00_1668;

							{	/* Inline/inline.scm 25 */
								BgL_sfunz00_bglt BgL_new2000z00_1664;

								BgL_new2000z00_1664 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 25 */
									long BgL_arg3607z00_1665;

									BgL_arg3607z00_1665 =
										BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00);
									{	/* Inline/inline.scm 25 */
										BgL_objectz00_bglt BgL_objz00_1666;

										BgL_objz00_1666 =
											((BgL_objectz00_bglt) BgL_new2000z00_1664);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1666,
											BgL_arg3607z00_1665);
								}}
								{	/* Inline/inline.scm 25 */
									BgL_objectz00_bglt BgL_auxz00_2469;

									BgL_auxz00_2469 = ((BgL_objectz00_bglt) BgL_new2000z00_1664);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2469, BFALSE);
								}
								BgL_res3718z00_1668 = BgL_new2000z00_1664;
							}
							BgL_g3399z00_951 = ((BgL_isfunz00_bglt) BgL_res3718z00_1668);
						}
						BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 =
							((obj_t) BgL_g3399z00_951);
						{	/* Inline/inline.scm 25 */
							BgL_sfunz00_bglt BgL_res3719z00_1706;

							{	/* Inline/inline.scm 25 */
								BgL_sfunz00_bglt BgL_new1980z00_1669;
								obj_t BgL_strength1979z00_1687;

								BgL_new1980z00_1669 = ((BgL_sfunz00_bglt) BgL_g3399z00_951);
								BgL_strength1979z00_1687 = CNST_TABLE_REF(((long) 2));
								((((BgL_funz00_bglt) CREF(
												((obj_t) BgL_new1980z00_1669)))->BgL_arityz00) =
									((long) ((long) 0)), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_funz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_thezd2closurezd2globalz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(((obj_t) BgL_new1980z00_1669)))->
										BgL_strengthz00) =
									((obj_t) BgL_strength1979z00_1687), BUNSPEC);
								BgL_res3719z00_1706 = BgL_new1980z00_1669;
							} BgL_res3719z00_1706;
						}
						{	/* Inline/inline.scm 25 */
							long BgL_arg3563z00_952;

							BgL_arg3563z00_952 =
								BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00);
							{	/* Inline/inline.scm 25 */
								BgL_objectz00_bglt BgL_objz00_1707;

								BgL_objz00_1707 = ((BgL_objectz00_bglt) BgL_g3399z00_951);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1707, BgL_arg3563z00_952);
						}}
						{	/* Inline/inline.scm 25 */
							BgL_isfunz00_bglt BgL_arg3565z00_953;

							{	/* Inline/inline.scm 25 */
								BgL_nodez00_bglt BgL_arg3566z00_954;

								BgL_arg3566z00_954 = BGl_nodezd2nilzd2zzast_nodez00();
								{	/* Inline/inline.scm 25 */
									BgL_isfunz00_bglt BgL_res3721z00_1718;

									{	/* Inline/inline.scm 25 */
										BgL_isfunz00_bglt BgL_new3368z00_1711;

										BgL_new3368z00_1711 =
											((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_isfunz00_bgl))));
										{	/* Inline/inline.scm 25 */
											BgL_isfunz00_bglt BgL_res3720z00_1717;

											((((BgL_isfunz00_bglt) CREF(
															((obj_t) BgL_new3368z00_1711)))->
													BgL_originalzd2bodyzd2) =
												((BgL_nodez00_bglt) BgL_arg3566z00_954), BUNSPEC);
											((((BgL_isfunz00_bglt) CREF(((obj_t)
																BgL_new3368z00_1711)))->
													BgL_recursivezd2callszd2) =
												((obj_t) BUNSPEC), BUNSPEC);
											BgL_res3720z00_1717 = BgL_new3368z00_1711;
											BgL_res3720z00_1717;
										}
										BgL_res3721z00_1718 = BgL_new3368z00_1711;
									}
									BgL_arg3565z00_953 = BgL_res3721z00_1718;
							}}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_auxz00_2523;
								BgL_objectz00_bglt BgL_auxz00_2521;

								BgL_auxz00_2523 = ((obj_t) BgL_arg3565z00_953);
								BgL_auxz00_2521 = ((BgL_objectz00_bglt) BgL_g3399z00_951);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2521, BgL_auxz00_2523);
						}}
						return BgL_g3399z00_951;
					}
			}
		}
	}



/* &isfun-nil */
	BgL_isfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_1948)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}
	}



/* &sfun? */
	obj_t BGl_z62sfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_1941,
		obj_t BgL_obj2001z00_1942)
	{
		AN_OBJECT;
		{	/* Ast/var.scm 98 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1942,
					BGl_sfunz00zzast_varz00));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc3744z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string3745z00zzinline_inlinez00);
		}
	}



/* &inline-node3491 */
	obj_t BGl_z62inlinezd2node3491zb0zzinline_inlinez00(obj_t BgL_envz00_1980,
		BgL_nodez00_bglt BgL_nodez00_1981, obj_t BgL_kfactorz00_1982,
		obj_t BgL_stackz00_1983)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 62 */
			{
				BgL_nodez00_bglt BgL_nodez00_1353;
				long BgL_kfactorz00_1354;
				obj_t BgL_stackz00_1355;

				BgL_nodez00_1353 = BgL_nodez00_1981;
				BgL_kfactorz00_1354 = (long) CINT(BgL_kfactorz00_1982);
				BgL_stackz00_1355 = BgL_stackz00_1983;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
					BGl_string3746z00zzinline_inlinez00, ((obj_t) BgL_nodez00_1353));
		}}
	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_6,
		long BgL_kfactorz00_7, obj_t BgL_stackz00_8)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 62 */
			{	/* Inline/inline.scm 62 */
				obj_t BgL_method3492z00_1358;

				{	/* Inline/inline.scm 62 */
					obj_t BgL_res3728z00_1769;

					{	/* Inline/inline.scm 62 */
						BgL_objectz00_bglt BgL_objz00_1741;

						BgL_objz00_1741 = ((BgL_objectz00_bglt) BgL_nodez00_6);
						{	/* Inline/inline.scm 62 */
							long BgL_objzd2classzd2numz00_1742;

							{	/* Inline/inline.scm 62 */
								long BgL_res3722z00_1745;

								BgL_res3722z00_1745 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1741);
								BgL_objzd2classzd2numz00_1742 = BgL_res3722z00_1745;
							}
							{	/* Inline/inline.scm 62 */
								obj_t BgL_arg2545z00_1743;

								BgL_arg2545z00_1743 =
									PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
									(int) (((long) 1)));
								{	/* Inline/inline.scm 62 */
									obj_t BgL_arrayz00_1746;
									int BgL_offsetz00_1747;

									BgL_arrayz00_1746 = BgL_arg2545z00_1743;
									BgL_offsetz00_1747 = (int) (BgL_objzd2classzd2numz00_1742);
									{	/* Inline/inline.scm 62 */
										long BgL_offsetz00_1748;

										BgL_offsetz00_1748 =
											((long) (BgL_offsetz00_1747) - OBJECT_TYPE);
										{	/* Inline/inline.scm 62 */
											long BgL_modz00_1749;

											{	/* Inline/inline.scm 62 */
												int BgL_arg2547z00_1750;

												BgL_arg2547z00_1750 = (int) (((long) 16));
												{	/* Inline/inline.scm 62 */
													long BgL_res3725z00_1760;

													{	/* Inline/inline.scm 62 */
														long BgL_auxz00_2542;

														BgL_auxz00_2542 = (long) (BgL_arg2547z00_1750);
														BgL_res3725z00_1760 =
															(BgL_offsetz00_1748 / BgL_auxz00_2542);
													}
													BgL_modz00_1749 = BgL_res3725z00_1760;
											}}
											{	/* Inline/inline.scm 62 */
												long BgL_restz00_1751;

												{	/* Inline/inline.scm 62 */
													int BgL_arg2546z00_1752;

													BgL_arg2546z00_1752 = (int) (((long) 16));
													{	/* Inline/inline.scm 62 */
														long BgL_res3727z00_1764;

														{	/* Inline/inline.scm 62 */
															long BgL_auxz00_2546;

															BgL_auxz00_2546 = (long) (BgL_arg2546z00_1752);
															BgL_res3727z00_1764 =
																(BgL_offsetz00_1748 % BgL_auxz00_2546);
														}
														BgL_restz00_1751 = BgL_res3727z00_1764;
												}}
												{	/* Inline/inline.scm 62 */

													BgL_res3728z00_1769 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1746,
															(int) (BgL_modz00_1749)),
														(int) (BgL_restz00_1751));
					}}}}}}}}
					BgL_method3492z00_1358 = BgL_res3728z00_1769;
				}
				{	/* Inline/inline.scm 62 */
					obj_t BgL_xz00_2168;

					BgL_xz00_2168 =
						PROCEDURE_ENTRY(BgL_method3492z00_1358) (BgL_method3492z00_1358,
						((obj_t) BgL_nodez00_6),
						BINT(BgL_kfactorz00_7), BgL_stackz00_8, BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_2168);
				}
			}
		}
	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_1984, obj_t BgL_nodez00_1985, obj_t BgL_kfactorz00_1986,
		obj_t BgL_stackz00_1987)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 62 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_1985),
				(long) CINT(BgL_kfactorz00_1986), BgL_stackz00_1987);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc3747z00zzinline_inlinez00, BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc3749z00zzinline_inlinez00, BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3750z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3751z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc3752z00zzinline_inlinez00, BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3753z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3754z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc3755z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc3756z00zzinline_inlinez00, BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc3757z00zzinline_inlinez00, BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3758z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc3759z00zzinline_inlinez00, BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_selectz00zzast_nodez00, BGl_proc3760z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3761z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3762z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3763z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3764z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3765z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3766z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3767z00zzinline_inlinez00,
				BGl_string3748z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3768z00zzinline_inlinez00,
				BGl_string3769z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3770z00zzinline_inlinez00,
				BGl_string3771z00zzinline_inlinez00);
		}
	}



/* &struct+object->objec3540 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3540ze1zzinline_inlinez00(obj_t
		BgL_envz00_2015, BgL_isfunz00_bglt BgL_oz00_2016, obj_t BgL_sz00_2017)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{
				BgL_isfunz00_bglt BgL_oz00_1593;
				obj_t BgL_sz00_1594;

				BgL_oz00_1593 = BgL_oz00_2016;
				BgL_sz00_1594 = BgL_sz00_2017;
				{

					{	/* Inline/inline.scm 25 */
						obj_t BgL_old3403z00_1597;
						obj_t BgL_aux3404z00_1598;

						{	/* Inline/inline.scm 25 */
							obj_t BgL_nextzd2method3539zd2_1604;

							BgL_nextzd2method3539zd2_1604 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_oz00_1593),
								BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
								BGl_isfunz00zzinline_inlinez00);
							BgL_old3403z00_1597 =
								PROCEDURE_ENTRY(BgL_nextzd2method3539zd2_1604)
								(BgL_nextzd2method3539zd2_1604, ((obj_t) BgL_oz00_1593),
								BgL_sz00_1594, BEOA);
						}
						BgL_aux3404z00_1598 = STRUCT_REF(BgL_sz00_1594, (int) (((long) 0)));
						{	/* Inline/inline.scm 25 */
							BgL_isfunz00_bglt BgL_new3405z00_1599;

							BgL_new3405z00_1599 = ((BgL_isfunz00_bglt) (BgL_old3403z00_1597));
							{	/* Inline/inline.scm 25 */
								long BgL_arg3705z00_1600;

								BgL_arg3705z00_1600 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_isfunz00zzinline_inlinez00);
								{	/* Inline/inline.scm 25 */
									BgL_objectz00_bglt BgL_objz00_1921;

									BgL_objz00_1921 = ((BgL_objectz00_bglt) BgL_new3405z00_1599);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1921,
										BgL_arg3705z00_1600);
							}}
							{	/* Inline/inline.scm 25 */
								BgL_isfunz00_bglt BgL_arg3706z00_1601;

								{	/* Inline/inline.scm 25 */
									obj_t BgL_arg3707z00_1602;
									obj_t BgL_arg3708z00_1603;

									BgL_arg3707z00_1602 =
										STRUCT_REF(BgL_aux3404z00_1598, (int) (((long) 0)));
									BgL_arg3708z00_1603 =
										STRUCT_REF(BgL_aux3404z00_1598, (int) (((long) 1)));
									{	/* Inline/inline.scm 25 */
										BgL_isfunz00_bglt BgL_res3740z00_1936;

										{	/* Inline/inline.scm 25 */
											BgL_nodez00_bglt BgL_originalzd2body3366zd2_1927;

											BgL_originalzd2body3366zd2_1927 =
												((BgL_nodez00_bglt) BgL_arg3707z00_1602);
											{	/* Inline/inline.scm 25 */
												BgL_isfunz00_bglt BgL_new3368z00_1929;

												BgL_new3368z00_1929 =
													((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_isfunz00_bgl))));
												{	/* Inline/inline.scm 25 */
													BgL_isfunz00_bglt BgL_res3739z00_1935;

													((((BgL_isfunz00_bglt) CREF(
																	((obj_t) BgL_new3368z00_1929)))->
															BgL_originalzd2bodyzd2) =
														((BgL_nodez00_bglt)
															BgL_originalzd2body3366zd2_1927), BUNSPEC);
													((((BgL_isfunz00_bglt) CREF(((obj_t)
																		BgL_new3368z00_1929)))->
															BgL_recursivezd2callszd2) =
														((obj_t) BgL_arg3708z00_1603), BUNSPEC);
													BgL_res3739z00_1935 = BgL_new3368z00_1929;
													BgL_res3739z00_1935;
												}
												BgL_res3740z00_1936 = BgL_new3368z00_1929;
										}}
										BgL_arg3706z00_1601 = BgL_res3740z00_1936;
								}}
								{	/* Inline/inline.scm 25 */
									obj_t BgL_auxz00_2613;
									BgL_objectz00_bglt BgL_auxz00_2611;

									BgL_auxz00_2613 = ((obj_t) BgL_arg3706z00_1601);
									BgL_auxz00_2611 = ((BgL_objectz00_bglt) BgL_new3405z00_1599);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2611, BgL_auxz00_2613);
							}}
							return ((BgL_objectz00_bglt) BgL_new3405z00_1599);
						}
					}
				}
			}
		}
	}



/* &object->struct-isfun3538 */
	obj_t BGl_z62objectzd2ze3structzd2isfun3538z81zzinline_inlinez00(obj_t
		BgL_envz00_2018, BgL_isfunz00_bglt BgL_obj3400z00_2019)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{
				BgL_isfunz00_bglt BgL_obj3400z00_1584;

				BgL_obj3400z00_1584 = BgL_obj3400z00_2019;
				{

					{	/* Inline/inline.scm 25 */
						obj_t BgL_res3401z00_1587;

						{	/* Inline/inline.scm 25 */
							obj_t BgL_nextzd2method3537zd2_1592;

							BgL_nextzd2method3537zd2_1592 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_obj3400z00_1584),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_isfunz00zzinline_inlinez00);
							BgL_res3401z00_1587 =
								PROCEDURE_ENTRY(BgL_nextzd2method3537zd2_1592)
								(BgL_nextzd2method3537zd2_1592, ((obj_t) BgL_obj3400z00_1584),
								BEOA);
						}
						{	/* Inline/inline.scm 25 */
							obj_t BgL_aux3402z00_1588;

							{	/* Inline/inline.scm 25 */
								obj_t BgL_res3737z00_1901;

								{	/* Inline/inline.scm 25 */
									obj_t BgL_keyz00_1898;

									BgL_keyz00_1898 = CNST_TABLE_REF(((long) 1));
									BgL_res3737z00_1901 =
										make_struct(BgL_keyz00_1898, (int) (((long) 2)), BUNSPEC);
								}
								BgL_aux3402z00_1588 = BgL_res3737z00_1901;
							}
							{	/* Inline/inline.scm 25 */
								BgL_nodez00_bglt BgL_arg3701z00_1589;

								{
									obj_t BgL_auxz00_2627;

									{	/* Inline/inline.scm 25 */
										BgL_objectz00_bglt BgL_auxz00_2628;

										BgL_auxz00_2628 =
											((BgL_objectz00_bglt) BgL_obj3400z00_1584);
										BgL_auxz00_2627 = BGL_OBJECT_WIDENING(BgL_auxz00_2628);
									}
									BgL_arg3701z00_1589 =
										(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2627))->
										BgL_originalzd2bodyzd2);
								}
								{	/* Inline/inline.scm 25 */
									obj_t BgL_oz00_1905;

									BgL_oz00_1905 = ((obj_t) BgL_arg3701z00_1589);
									{	/* Inline/inline.scm 25 */
										int BgL_auxz00_2633;

										BgL_auxz00_2633 = (int) (((long) 0));
										STRUCT_SET(BgL_aux3402z00_1588, BgL_auxz00_2633,
											BgL_oz00_1905);
							}}}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_arg3702z00_1590;

								{
									obj_t BgL_auxz00_2636;

									{	/* Inline/inline.scm 25 */
										BgL_objectz00_bglt BgL_auxz00_2637;

										BgL_auxz00_2637 =
											((BgL_objectz00_bglt) BgL_obj3400z00_1584);
										BgL_auxz00_2636 = BGL_OBJECT_WIDENING(BgL_auxz00_2637);
									}
									BgL_arg3702z00_1590 =
										(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2636))->
										BgL_recursivezd2callszd2);
								}
								{	/* Inline/inline.scm 25 */
									int BgL_auxz00_2641;

									BgL_auxz00_2641 = (int) (((long) 1));
									STRUCT_SET(BgL_aux3402z00_1588, BgL_auxz00_2641,
										BgL_arg3702z00_1590);
							}}
							{	/* Inline/inline.scm 25 */
								int BgL_auxz00_2644;

								BgL_auxz00_2644 = (int) (((long) 0));
								STRUCT_SET(BgL_res3401z00_1587, BgL_auxz00_2644,
									BgL_aux3402z00_1588);
							}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_auxz00_2647;

								BgL_auxz00_2647 = STRUCT_KEY(BgL_res3401z00_1587);
								STRUCT_KEY_SET(BgL_aux3402z00_1588, BgL_auxz00_2647);
							}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_kz00_1918;

								BgL_kz00_1918 = CNST_TABLE_REF(((long) 1));
								STRUCT_KEY_SET(BgL_res3401z00_1587, BgL_kz00_1918);
							}
							return BgL_res3401z00_1587;
						}
					}
				}
			}
		}
	}



/* &inline-node-box-set!3536 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz123536za2zzinline_inlinez00(obj_t
		BgL_envz00_2020, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2021,
		obj_t BgL_kfactorz00_2022, obj_t BgL_stackz00_2023)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 236 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1573;
				obj_t BgL_kfactorz00_1574;
				obj_t BgL_stackz00_1575;

				BgL_nodez00_1573 = BgL_nodez00_2021;
				BgL_kfactorz00_1574 = BgL_kfactorz00_2022;
				BgL_stackz00_1575 = BgL_stackz00_2023;
				{	/* Inline/inline.scm 238 */
					BgL_nodez00_bglt BgL_arg3697z00_1579;

					{	/* Inline/inline.scm 238 */
						BgL_varz00_bglt BgL_arg3698z00_1580;

						BgL_arg3698z00_1580 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1573)))->BgL_varz00);
						BgL_arg3697z00_1579 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg3698z00_1580),
							(long) CINT(BgL_kfactorz00_1574), BgL_stackz00_1575);
					}
					{	/* Inline/inline.scm 238 */
						BgL_varz00_bglt BgL_val3345z00_1894;

						BgL_val3345z00_1894 = ((BgL_varz00_bglt) BgL_arg3697z00_1579);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1573)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_1894), BUNSPEC);
				}}
				{	/* Inline/inline.scm 239 */
					BgL_nodez00_bglt BgL_arg3699z00_1581;

					{	/* Inline/inline.scm 239 */
						BgL_nodez00_bglt BgL_arg3700z00_1582;

						BgL_arg3700z00_1582 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1573)))->BgL_valuez00);
						BgL_arg3699z00_1581 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3700z00_1582,
							(long) CINT(BgL_kfactorz00_1574), BgL_stackz00_1575);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1573)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3699z00_1581), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1573);
			}
		}
	}



/* &inline-node-box-ref3534 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref3534zb0zzinline_inlinez00(obj_t
		BgL_envz00_2024, BgL_boxzd2refzd2_bglt BgL_nodez00_2025,
		obj_t BgL_kfactorz00_2026, obj_t BgL_stackz00_2027)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 229 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1565;
				obj_t BgL_kfactorz00_1566;
				obj_t BgL_stackz00_1567;

				BgL_nodez00_1565 = BgL_nodez00_2025;
				BgL_kfactorz00_1566 = BgL_kfactorz00_2026;
				BgL_stackz00_1567 = BgL_stackz00_2027;
				{	/* Inline/inline.scm 230 */
					BgL_nodez00_bglt BgL_arg3695z00_1887;

					{	/* Inline/inline.scm 230 */
						BgL_varz00_bglt BgL_arg3696z00_1888;

						BgL_arg3696z00_1888 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1565)))->BgL_varz00);
						BgL_arg3695z00_1887 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg3696z00_1888),
							(long) CINT(BgL_kfactorz00_1566), BgL_stackz00_1567);
					}
					{	/* Inline/inline.scm 230 */
						BgL_varz00_bglt BgL_val3319z00_1891;

						BgL_val3319z00_1891 = ((BgL_varz00_bglt) BgL_arg3695z00_1887);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1565)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_1891), BUNSPEC);
				}}
				return ((BgL_nodez00_bglt) BgL_nodez00_1565);
			}
		}
	}



/* &inline-node-make-box3532 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box3532zb0zzinline_inlinez00(obj_t
		BgL_envz00_2028, BgL_makezd2boxzd2_bglt BgL_nodez00_2029,
		obj_t BgL_kfactorz00_2030, obj_t BgL_stackz00_2031)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 222 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1557;
				obj_t BgL_kfactorz00_1558;
				obj_t BgL_stackz00_1559;

				BgL_nodez00_1557 = BgL_nodez00_2029;
				BgL_kfactorz00_1558 = BgL_kfactorz00_2030;
				BgL_stackz00_1559 = BgL_stackz00_2031;
				{	/* Inline/inline.scm 223 */
					BgL_nodez00_bglt BgL_arg3693z00_1882;

					{	/* Inline/inline.scm 223 */
						BgL_nodez00_bglt BgL_arg3694z00_1883;

						BgL_arg3694z00_1883 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1557)))->BgL_valuez00);
						BgL_arg3693z00_1882 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3694z00_1883,
							(long) CINT(BgL_kfactorz00_1558), BgL_stackz00_1559);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1557)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3693z00_1882), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1557);
			}
		}
	}



/* &inline-node-jump-ex-3526 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd23526z62zzinline_inlinez00(obj_t
		BgL_envz00_2032, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2033,
		obj_t BgL_kfactorz00_2034, obj_t BgL_stackz00_2035)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 213 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1546;
				obj_t BgL_kfactorz00_1547;
				obj_t BgL_stackz00_1548;

				BgL_nodez00_1546 = BgL_nodez00_2033;
				BgL_kfactorz00_1547 = BgL_kfactorz00_2034;
				BgL_stackz00_1548 = BgL_stackz00_2035;
				{	/* Inline/inline.scm 215 */
					BgL_nodez00_bglt BgL_arg3689z00_1552;

					{	/* Inline/inline.scm 215 */
						BgL_nodez00_bglt BgL_arg3690z00_1553;

						BgL_arg3690z00_1553 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1546)))->BgL_exitz00);
						BgL_arg3689z00_1552 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3690z00_1553,
							(long) CINT(BgL_kfactorz00_1547), BgL_stackz00_1548);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1546)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg3689z00_1552), BUNSPEC);
				}
				{	/* Inline/inline.scm 216 */
					BgL_nodez00_bglt BgL_arg3691z00_1554;

					{	/* Inline/inline.scm 216 */
						BgL_nodez00_bglt BgL_arg3692z00_1555;

						BgL_arg3692z00_1555 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1546)))->BgL_valuez00);
						BgL_arg3691z00_1554 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3692z00_1555,
							(long) CINT(BgL_kfactorz00_1547), BgL_stackz00_1548);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1546)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3691z00_1554), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1546);
			}
		}
	}



/* &inline-node-set-ex-i3524 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i3524z62zzinline_inlinez00(obj_t
		BgL_envz00_2036, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2037,
		obj_t BgL_kfactorz00_2038, obj_t BgL_stackz00_2039)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 206 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1538;
				obj_t BgL_kfactorz00_1539;
				obj_t BgL_stackz00_1540;

				BgL_nodez00_1538 = BgL_nodez00_2037;
				BgL_kfactorz00_1539 = BgL_kfactorz00_2038;
				BgL_stackz00_1540 = BgL_stackz00_2039;
				{	/* Inline/inline.scm 207 */
					BgL_nodez00_bglt BgL_arg3687z00_1871;

					{	/* Inline/inline.scm 207 */
						BgL_nodez00_bglt BgL_arg3688z00_1872;

						BgL_arg3688z00_1872 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1538)))->BgL_bodyz00);
						BgL_arg3687z00_1871 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3688z00_1872,
							(long) CINT(BgL_kfactorz00_1539), BgL_stackz00_1540);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1538)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3687z00_1871), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1538);
			}
		}
	}



/* &inline-node-let-var3522 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var3522zb0zzinline_inlinez00(obj_t
		BgL_envz00_2040, BgL_letzd2varzd2_bglt BgL_nodez00_2041,
		obj_t BgL_kfactorz00_2042, obj_t BgL_stackz00_2043)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 196 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1520;
				obj_t BgL_kfactorz00_1521;
				obj_t BgL_stackz00_1522;

				BgL_nodez00_1520 = BgL_nodez00_2041;
				BgL_kfactorz00_1521 = BgL_kfactorz00_2042;
				BgL_stackz00_1522 = BgL_stackz00_2043;
				{	/* Inline/inline.scm 197 */
					obj_t BgL_g3489z00_1525;

					BgL_g3489z00_1525 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1520)))->BgL_bindingsz00);
					{
						obj_t BgL_l3487z00_1527;

						BgL_l3487z00_1527 = BgL_g3489z00_1525;
					BgL_zc3anonymousza33680ze3z83_1528:
						if (PAIRP(BgL_l3487z00_1527))
							{	/* Inline/inline.scm 199 */
								{	/* Inline/inline.scm 198 */
									obj_t BgL_bindingz00_1530;

									BgL_bindingz00_1530 = CAR(BgL_l3487z00_1527);
									{	/* Inline/inline.scm 198 */
										BgL_nodez00_bglt BgL_arg3682z00_1531;

										{	/* Inline/inline.scm 198 */
											obj_t BgL_arg3683z00_1532;

											BgL_arg3683z00_1532 = CDR(BgL_bindingz00_1530);
											BgL_arg3682z00_1531 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg3683z00_1532),
												(long) CINT(BgL_kfactorz00_1521), BgL_stackz00_1522);
										}
										{	/* Inline/inline.scm 198 */
											obj_t BgL_pairz00_1865;
											obj_t BgL_objz00_1866;

											BgL_pairz00_1865 = BgL_bindingz00_1530;
											BgL_objz00_1866 = ((obj_t) BgL_arg3682z00_1531);
											SET_CDR(BgL_pairz00_1865, BgL_objz00_1866);
								}}}
								{
									obj_t BgL_l3487z00_2714;

									BgL_l3487z00_2714 = CDR(BgL_l3487z00_1527);
									BgL_l3487z00_1527 = BgL_l3487z00_2714;
									goto BgL_zc3anonymousza33680ze3z83_1528;
								}
							}
						else
							{	/* Inline/inline.scm 199 */
								((bool_t) 1);
							}
					}
				}
				{	/* Inline/inline.scm 200 */
					BgL_nodez00_bglt BgL_arg3685z00_1535;

					{	/* Inline/inline.scm 200 */
						BgL_nodez00_bglt BgL_arg3686z00_1536;

						BgL_arg3686z00_1536 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1520)))->BgL_bodyz00);
						BgL_arg3685z00_1535 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3686z00_1536,
							(long) CINT(BgL_kfactorz00_1521), BgL_stackz00_1522);
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1520)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3685z00_1535), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1520);
			}
		}
	}



/* &inline-node-let-fun3520 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun3520zb0zzinline_inlinez00(obj_t
		BgL_envz00_2044, BgL_letzd2funzd2_bglt BgL_nodez00_2045,
		obj_t BgL_kfactorz00_2046, obj_t BgL_stackz00_2047)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 183 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1504;
				obj_t BgL_kfactorz00_1505;
				obj_t BgL_stackz00_1506;

				BgL_nodez00_1504 = BgL_nodez00_2045;
				BgL_kfactorz00_1505 = BgL_kfactorz00_2046;
				BgL_stackz00_1506 = BgL_stackz00_2047;
				{	/* Inline/inline.scm 187 */
					obj_t BgL_g3486z00_1509;

					BgL_g3486z00_1509 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1504)))->BgL_localsz00);
					{
						obj_t BgL_l3484z00_1511;

						BgL_l3484z00_1511 = BgL_g3486z00_1509;
					BgL_zc3anonymousza33675ze3z83_1512:
						if (PAIRP(BgL_l3484z00_1511))
							{	/* Inline/inline.scm 189 */
								{	/* Inline/inline.scm 188 */
									obj_t BgL_localz00_1514;

									BgL_localz00_1514 = CAR(BgL_l3484z00_1511);
									BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
										((BgL_variablez00_bglt) BgL_localz00_1514),
										(long) CINT(BgL_kfactorz00_1505), BgL_stackz00_1506);
								}
								{
									obj_t BgL_l3484z00_2731;

									BgL_l3484z00_2731 = CDR(BgL_l3484z00_1511);
									BgL_l3484z00_1511 = BgL_l3484z00_2731;
									goto BgL_zc3anonymousza33675ze3z83_1512;
								}
							}
						else
							{	/* Inline/inline.scm 189 */
								((bool_t) 1);
							}
					}
				}
				{	/* Inline/inline.scm 190 */
					BgL_nodez00_bglt BgL_arg3678z00_1517;

					{	/* Inline/inline.scm 190 */
						BgL_nodez00_bglt BgL_arg3679z00_1518;

						BgL_arg3679z00_1518 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1504)))->BgL_bodyz00);
						BgL_arg3678z00_1517 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3679z00_1518,
							(long) CINT(BgL_kfactorz00_1505), BgL_stackz00_1506);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1504)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3678z00_1517), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1504);
			}
		}
	}



/* &inline-node-select3518 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2select3518z62zzinline_inlinez00(obj_t
		BgL_envz00_2048, BgL_selectz00_bglt BgL_nodez00_2049,
		obj_t BgL_kfactorz00_2050, obj_t BgL_stackz00_2051)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 173 */
			{
				BgL_selectz00_bglt BgL_nodez00_1486;
				obj_t BgL_kfactorz00_1487;
				obj_t BgL_stackz00_1488;

				BgL_nodez00_1486 = BgL_nodez00_2049;
				BgL_kfactorz00_1487 = BgL_kfactorz00_2050;
				BgL_stackz00_1488 = BgL_stackz00_2051;
				{	/* Inline/inline.scm 174 */
					BgL_nodez00_bglt BgL_arg3668z00_1491;

					{	/* Inline/inline.scm 174 */
						BgL_nodez00_bglt BgL_arg3669z00_1492;

						BgL_arg3669z00_1492 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1486)))->BgL_testz00);
						BgL_arg3668z00_1491 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3669z00_1492,
							(long) CINT(BgL_kfactorz00_1487), BgL_stackz00_1488);
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1486)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3668z00_1491), BUNSPEC);
				}
				{	/* Inline/inline.scm 175 */
					obj_t BgL_g3483z00_1493;

					BgL_g3483z00_1493 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1486)))->BgL_clausesz00);
					{
						obj_t BgL_l3481z00_1495;

						BgL_l3481z00_1495 = BgL_g3483z00_1493;
					BgL_zc3anonymousza33670ze3z83_1496:
						if (PAIRP(BgL_l3481z00_1495))
							{	/* Inline/inline.scm 177 */
								{	/* Inline/inline.scm 176 */
									obj_t BgL_clausez00_1498;

									BgL_clausez00_1498 = CAR(BgL_l3481z00_1495);
									{	/* Inline/inline.scm 176 */
										BgL_nodez00_bglt BgL_arg3672z00_1499;

										{	/* Inline/inline.scm 176 */
											obj_t BgL_arg3673z00_1500;

											BgL_arg3673z00_1500 = CDR(BgL_clausez00_1498);
											BgL_arg3672z00_1499 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg3673z00_1500),
												(long) CINT(BgL_kfactorz00_1487), BgL_stackz00_1488);
										}
										{	/* Inline/inline.scm 176 */
											obj_t BgL_pairz00_1849;
											obj_t BgL_objz00_1850;

											BgL_pairz00_1849 = BgL_clausez00_1498;
											BgL_objz00_1850 = ((obj_t) BgL_arg3672z00_1499);
											SET_CDR(BgL_pairz00_1849, BgL_objz00_1850);
								}}}
								{
									obj_t BgL_l3481z00_2757;

									BgL_l3481z00_2757 = CDR(BgL_l3481z00_1495);
									BgL_l3481z00_1495 = BgL_l3481z00_2757;
									goto BgL_zc3anonymousza33670ze3z83_1496;
								}
							}
						else
							{	/* Inline/inline.scm 177 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1486);
			}
		}
	}



/* &inline-node-fail3516 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail3516z62zzinline_inlinez00(obj_t
		BgL_envz00_2052, BgL_failz00_bglt BgL_nodez00_2053,
		obj_t BgL_kfactorz00_2054, obj_t BgL_stackz00_2055)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 163 */
			{
				BgL_failz00_bglt BgL_nodez00_1473;
				obj_t BgL_kfactorz00_1474;
				obj_t BgL_stackz00_1475;

				BgL_nodez00_1473 = BgL_nodez00_2053;
				BgL_kfactorz00_1474 = BgL_kfactorz00_2054;
				BgL_stackz00_1475 = BgL_stackz00_2055;
				{	/* Inline/inline.scm 165 */
					BgL_nodez00_bglt BgL_arg3661z00_1479;

					{	/* Inline/inline.scm 165 */
						BgL_nodez00_bglt BgL_arg3663z00_1480;

						BgL_arg3663z00_1480 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_procz00);
						BgL_arg3661z00_1479 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3663z00_1480,
							(long) CINT(BgL_kfactorz00_1474), BgL_stackz00_1475);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3661z00_1479), BUNSPEC);
				}
				{	/* Inline/inline.scm 166 */
					BgL_nodez00_bglt BgL_arg3664z00_1481;

					{	/* Inline/inline.scm 166 */
						BgL_nodez00_bglt BgL_arg3665z00_1482;

						BgL_arg3665z00_1482 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_msgz00);
						BgL_arg3664z00_1481 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3665z00_1482,
							(long) CINT(BgL_kfactorz00_1474), BgL_stackz00_1475);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3664z00_1481), BUNSPEC);
				}
				{	/* Inline/inline.scm 167 */
					BgL_nodez00_bglt BgL_arg3666z00_1483;

					{	/* Inline/inline.scm 167 */
						BgL_nodez00_bglt BgL_arg3667z00_1484;

						BgL_arg3667z00_1484 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_objz00);
						BgL_arg3666z00_1483 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3667z00_1484,
							(long) CINT(BgL_kfactorz00_1474), BgL_stackz00_1475);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3666z00_1483), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1473);
			}
		}
	}



/* &inline-node-conditio3514 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio3514z62zzinline_inlinez00(obj_t
		BgL_envz00_2056, BgL_conditionalz00_bglt BgL_nodez00_2057,
		obj_t BgL_kfactorz00_2058, obj_t BgL_stackz00_2059)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 153 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1460;
				obj_t BgL_kfactorz00_1461;
				obj_t BgL_stackz00_1462;

				BgL_nodez00_1460 = BgL_nodez00_2057;
				BgL_kfactorz00_1461 = BgL_kfactorz00_2058;
				BgL_stackz00_1462 = BgL_stackz00_2059;
				{	/* Inline/inline.scm 155 */
					BgL_nodez00_bglt BgL_arg3654z00_1466;

					{	/* Inline/inline.scm 155 */
						BgL_nodez00_bglt BgL_arg3655z00_1467;

						BgL_arg3655z00_1467 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_testz00);
						BgL_arg3654z00_1466 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3655z00_1467,
							(long) CINT(BgL_kfactorz00_1461), BgL_stackz00_1462);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3654z00_1466), BUNSPEC);
				}
				{	/* Inline/inline.scm 156 */
					BgL_nodez00_bglt BgL_arg3656z00_1468;

					{	/* Inline/inline.scm 156 */
						BgL_nodez00_bglt BgL_arg3657z00_1469;

						BgL_arg3657z00_1469 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_truez00);
						BgL_arg3656z00_1468 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3657z00_1469,
							(long) CINT(BgL_kfactorz00_1461), BgL_stackz00_1462);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg3656z00_1468), BUNSPEC);
				}
				{	/* Inline/inline.scm 157 */
					BgL_nodez00_bglt BgL_arg3659z00_1470;

					{	/* Inline/inline.scm 157 */
						BgL_nodez00_bglt BgL_arg3660z00_1471;

						BgL_arg3660z00_1471 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_falsez00);
						BgL_arg3659z00_1470 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3660z00_1471,
							(long) CINT(BgL_kfactorz00_1461), BgL_stackz00_1462);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg3659z00_1470), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1460);
			}
		}
	}



/* &inline-node-setq3512 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq3512z62zzinline_inlinez00(obj_t
		BgL_envz00_2060, BgL_setqz00_bglt BgL_nodez00_2061,
		obj_t BgL_kfactorz00_2062, obj_t BgL_stackz00_2063)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 146 */
			{
				BgL_setqz00_bglt BgL_nodez00_1452;
				obj_t BgL_kfactorz00_1453;
				obj_t BgL_stackz00_1454;

				BgL_nodez00_1452 = BgL_nodez00_2061;
				BgL_kfactorz00_1453 = BgL_kfactorz00_2062;
				BgL_stackz00_1454 = BgL_stackz00_2063;
				{	/* Inline/inline.scm 147 */
					BgL_nodez00_bglt BgL_arg3652z00_1818;

					{	/* Inline/inline.scm 147 */
						BgL_nodez00_bglt BgL_arg3653z00_1819;

						BgL_arg3653z00_1819 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1452)))->BgL_valuez00);
						BgL_arg3652z00_1818 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3653z00_1819,
							(long) CINT(BgL_kfactorz00_1453), BgL_stackz00_1454);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1452)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3652z00_1818), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1452);
			}
		}
	}



/* &inline-node-cast3510 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast3510z62zzinline_inlinez00(obj_t
		BgL_envz00_2064, BgL_castz00_bglt BgL_nodez00_2065,
		obj_t BgL_kfactorz00_2066, obj_t BgL_stackz00_2067)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 139 */
			{
				BgL_castz00_bglt BgL_nodez00_1445;
				obj_t BgL_kfactorz00_1446;
				obj_t BgL_stackz00_1447;

				BgL_nodez00_1445 = BgL_nodez00_2065;
				BgL_kfactorz00_1446 = BgL_kfactorz00_2066;
				BgL_stackz00_1447 = BgL_stackz00_2067;
				{	/* Inline/inline.scm 140 */
					BgL_nodez00_bglt BgL_arg3651z00_1816;

					BgL_arg3651z00_1816 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1445)))->BgL_argz00);
					BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3651z00_1816,
						(long) CINT(BgL_kfactorz00_1446), BgL_stackz00_1447);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1445);
			}
		}
	}



/* &inline-node-extern3508 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern3508z62zzinline_inlinez00(obj_t
		BgL_envz00_2068, BgL_externz00_bglt BgL_nodez00_2069,
		obj_t BgL_kfactorz00_2070, obj_t BgL_stackz00_2071)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 132 */
			{
				BgL_externz00_bglt BgL_nodez00_1438;
				obj_t BgL_kfactorz00_1439;
				obj_t BgL_stackz00_1440;

				BgL_nodez00_1438 = BgL_nodez00_2069;
				BgL_kfactorz00_1439 = BgL_kfactorz00_2070;
				BgL_stackz00_1440 = BgL_stackz00_2071;
				{	/* Inline/inline.scm 133 */
					obj_t BgL_arg3650z00_1814;

					BgL_arg3650z00_1814 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1438)))->BgL_exprza2za2);
					BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3650z00_1814,
						BgL_kfactorz00_1439, BgL_stackz00_1440);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1438);
			}
		}
	}



/* &inline-node-funcall3506 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall3506z62zzinline_inlinez00(obj_t
		BgL_envz00_2072, BgL_funcallz00_bglt BgL_nodez00_2073,
		obj_t BgL_kfactorz00_2074, obj_t BgL_stackz00_2075)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 122 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1429;
				obj_t BgL_kfactorz00_1430;
				obj_t BgL_stackz00_1431;

				BgL_nodez00_1429 = BgL_nodez00_2073;
				BgL_kfactorz00_1430 = BgL_kfactorz00_2074;
				BgL_stackz00_1431 = BgL_stackz00_2075;
				{	/* Inline/inline.scm 124 */
					long BgL_za71za7_1807;

					BgL_za71za7_1807 =
						(long) CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00);
					BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
						BINT((BgL_za71za7_1807 + ((long) 1)));
				}
				{	/* Inline/inline.scm 125 */
					BgL_nodez00_bglt BgL_arg3647z00_1434;

					{	/* Inline/inline.scm 125 */
						BgL_nodez00_bglt BgL_arg3648z00_1435;

						BgL_arg3648z00_1435 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1429)))->BgL_funz00);
						BgL_arg3647z00_1434 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3648z00_1435,
							(long) CINT(BgL_kfactorz00_1430), BgL_stackz00_1431);
					}
					((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1429)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3647z00_1434), BUNSPEC);
				}
				{	/* Inline/inline.scm 126 */
					obj_t BgL_arg3649z00_1436;

					BgL_arg3649z00_1436 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1429)))->BgL_argsz00);
					BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3649z00_1436,
						BgL_kfactorz00_1430, BgL_stackz00_1431);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1429);
			}
		}
	}



/* &inline-node-app-ly3504 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly3504zb0zzinline_inlinez00(obj_t
		BgL_envz00_2076, BgL_appzd2lyzd2_bglt BgL_nodez00_2077,
		obj_t BgL_kfactorz00_2078, obj_t BgL_stackz00_2079)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 113 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1418;
				obj_t BgL_kfactorz00_1419;
				obj_t BgL_stackz00_1420;

				BgL_nodez00_1418 = BgL_nodez00_2077;
				BgL_kfactorz00_1419 = BgL_kfactorz00_2078;
				BgL_stackz00_1420 = BgL_stackz00_2079;
				{	/* Inline/inline.scm 115 */
					BgL_nodez00_bglt BgL_arg3642z00_1424;

					{	/* Inline/inline.scm 115 */
						BgL_nodez00_bglt BgL_arg3643z00_1425;

						BgL_arg3643z00_1425 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1418)))->BgL_funz00);
						BgL_arg3642z00_1424 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3643z00_1425,
							(long) CINT(BgL_kfactorz00_1419), BgL_stackz00_1420);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1418)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3642z00_1424), BUNSPEC);
				}
				{	/* Inline/inline.scm 116 */
					BgL_nodez00_bglt BgL_arg3645z00_1426;

					{	/* Inline/inline.scm 116 */
						BgL_nodez00_bglt BgL_arg3646z00_1427;

						BgL_arg3646z00_1427 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1418)))->BgL_argz00);
						BgL_arg3645z00_1426 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg3646z00_1427,
							(long) CINT(BgL_kfactorz00_1419), BgL_stackz00_1420);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1418)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3645z00_1426), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1418);
			}
		}
	}



/* &inline-node-app3502 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app3502z62zzinline_inlinez00(obj_t
		BgL_envz00_2080, BgL_appz00_bglt BgL_nodez00_2081,
		obj_t BgL_kfactorz00_2082, obj_t BgL_stackz00_2083)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 106 */
			{
				BgL_appz00_bglt BgL_nodez00_1411;
				obj_t BgL_kfactorz00_1412;
				obj_t BgL_stackz00_1413;

				BgL_nodez00_1411 = BgL_nodez00_2081;
				BgL_kfactorz00_1412 = BgL_kfactorz00_2082;
				BgL_stackz00_1413 = BgL_stackz00_2083;
				{	/* Inline/inline.scm 107 */
					obj_t BgL_arg3641z00_1799;

					BgL_arg3641z00_1799 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1411)))->BgL_argsz00);
					BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3641z00_1799,
						BgL_kfactorz00_1412, BgL_stackz00_1413);
				}
				return
					BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1411,
					(long) CINT(BgL_kfactorz00_1412), BgL_stackz00_1413);
		}}
	}



/* &inline-node-sequence3500 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence3500z62zzinline_inlinez00(obj_t
		BgL_envz00_2084, BgL_sequencez00_bglt BgL_nodez00_2085,
		obj_t BgL_kfactorz00_2086, obj_t BgL_stackz00_2087)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 99 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1404;
				obj_t BgL_kfactorz00_1405;
				obj_t BgL_stackz00_1406;

				BgL_nodez00_1404 = BgL_nodez00_2085;
				BgL_kfactorz00_1405 = BgL_kfactorz00_2086;
				BgL_stackz00_1406 = BgL_stackz00_2087;
				{	/* Inline/inline.scm 100 */
					obj_t BgL_arg3640z00_1797;

					BgL_arg3640z00_1797 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1404)))->BgL_nodesz00);
					BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3640z00_1797,
						BgL_kfactorz00_1405, BgL_stackz00_1406);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1404);
			}
		}
	}



/* &inline-node-kwote3498 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote3498z62zzinline_inlinez00(obj_t
		BgL_envz00_2088, BgL_kwotez00_bglt BgL_nodez00_2089,
		obj_t BgL_kfactorz00_2090, obj_t BgL_stackz00_2091)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 93 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2089);
		}
	}



/* &inline-node-var3496 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var3496z62zzinline_inlinez00(obj_t
		BgL_envz00_2092, BgL_varz00_bglt BgL_nodez00_2093,
		obj_t BgL_kfactorz00_2094, obj_t BgL_stackz00_2095)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 73 */
			{
				BgL_varz00_bglt BgL_nodez00_1365;
				obj_t BgL_kfactorz00_1366;
				obj_t BgL_stackz00_1367;

				BgL_nodez00_1365 = BgL_nodez00_2093;
				BgL_kfactorz00_1366 = BgL_kfactorz00_2094;
				BgL_stackz00_1367 = BgL_stackz00_2095;
				{	/* Inline/inline.scm 75 */
					bool_t BgL_testz00_2850;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
						{	/* Inline/inline.scm 76 */
							bool_t BgL_testz00_2854;

							{	/* Inline/inline.scm 76 */
								BgL_variablez00_bglt BgL_arg3639z00_1396;

								BgL_arg3639z00_1396 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_nodez00_1365)))->BgL_variablez00);
								{	/* Inline/inline.scm 76 */
									bool_t BgL_res3730z00_1775;

									{	/* Inline/inline.scm 76 */
										obj_t BgL_obj1786z00_1774;

										BgL_obj1786z00_1774 = ((obj_t) BgL_arg3639z00_1396);
										BgL_res3730z00_1775 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1774,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_2854 = BgL_res3730z00_1775;
							}}
							if (BgL_testz00_2854)
								{	/* Inline/inline.scm 77 */
									bool_t BgL_testz00_2859;

									{	/* Inline/inline.scm 77 */
										obj_t BgL_auxz00_2860;

										{	/* Inline/inline.scm 77 */
											BgL_globalz00_bglt BgL_obj1701z00_1777;

											BgL_obj1701z00_1777 =
												((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_nodez00_1365)))->BgL_variablez00));
											BgL_auxz00_2860 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1701z00_1777)))->BgL_importz00);
										}
										BgL_testz00_2859 =
											(BgL_auxz00_2860 == CNST_TABLE_REF(((long) 4)));
									}
									if (BgL_testz00_2859)
										{	/* Inline/inline.scm 78 */
											bool_t BgL_testz00_2868;

											{	/* Inline/inline.scm 78 */
												BgL_globalz00_bglt BgL_obj1707z00_1779;

												BgL_obj1707z00_1779 =
													((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_nodez00_1365)))->BgL_variablez00));
												BgL_testz00_2868 =
													(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_obj1707z00_1779)))->BgL_evalzf3zf3);
											}
											if (BgL_testz00_2868)
												{	/* Inline/inline.scm 78 */
													BgL_testz00_2850 = ((bool_t) 0);
												}
											else
												{	/* Inline/inline.scm 79 */
													bool_t BgL_testz00_2874;

													{	/* Inline/inline.scm 79 */
														bool_t BgL_testz00_2875;

														{	/* Inline/inline.scm 79 */
															obj_t BgL_auxz00_2876;

															{	/* Inline/inline.scm 79 */
																BgL_variablez00_bglt BgL_obj1615z00_1781;

																BgL_obj1615z00_1781 =
																	(((BgL_varz00_bglt) CREF(
																			((obj_t) BgL_nodez00_1365)))->
																	BgL_variablez00);
																BgL_auxz00_2876 =
																	(((BgL_variablez00_bglt) CREF(((obj_t)
																				BgL_obj1615z00_1781)))->BgL_accessz00);
															}
															BgL_testz00_2875 =
																(BgL_auxz00_2876 == CNST_TABLE_REF(((long) 5)));
														}
														if (BgL_testz00_2875)
															{	/* Inline/inline.scm 79 */
																BgL_testz00_2874 = ((bool_t) 1);
															}
														else
															{	/* Inline/inline.scm 80 */
																bool_t BgL_testz00_2883;

																{	/* Inline/inline.scm 80 */
																	obj_t BgL_auxz00_2884;

																	{	/* Inline/inline.scm 80 */
																		BgL_globalz00_bglt BgL_obj1723z00_1783;

																		BgL_obj1723z00_1783 =
																			((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) CREF(
																						((obj_t) BgL_nodez00_1365)))->
																				BgL_variablez00));
																		BgL_auxz00_2884 =
																			(((BgL_globalz00_bglt) CREF(((obj_t)
																						BgL_obj1723z00_1783)))->
																			BgL_initz00);
																	}
																	BgL_testz00_2883 = (BgL_auxz00_2884 == BTRUE);
																}
																if (BgL_testz00_2883)
																	{	/* Inline/inline.scm 81 */
																		long BgL_auxz00_2891;

																		{	/* Inline/inline.scm 81 */
																			BgL_variablez00_bglt BgL_obj1627z00_1785;

																			BgL_obj1627z00_1785 =
																				(((BgL_varz00_bglt) CREF(
																						((obj_t) BgL_nodez00_1365)))->
																				BgL_variablez00);
																			BgL_auxz00_2891 =
																				(((BgL_variablez00_bglt) CREF(((obj_t)
																							BgL_obj1627z00_1785)))->
																				BgL_occurrencewz00);
																		}
																		BgL_testz00_2874 =
																			(BgL_auxz00_2891 == ((long) 1));
																	}
																else
																	{	/* Inline/inline.scm 80 */
																		BgL_testz00_2874 = ((bool_t) 0);
																	}
															}
													}
													if (BgL_testz00_2874)
														{	/* Inline/inline.scm 82 */
															bool_t BgL__ortest_3470z00_1380;

															{	/* Inline/inline.scm 82 */
																obj_t BgL_arg3627z00_1383;

																{	/* Inline/inline.scm 82 */
																	BgL_globalz00_bglt BgL_obj1717z00_1787;

																	BgL_obj1717z00_1787 =
																		((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1365)))->
																			BgL_variablez00));
																	BgL_arg3627z00_1383 =
																		(((BgL_globalz00_bglt) CREF(((obj_t)
																					BgL_obj1717z00_1787)))->BgL_srcz00);
																}
																BgL__ortest_3470z00_1380 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_arg3627z00_1383,
																	BGl_atomz00zzast_nodez00);
															}
															if (BgL__ortest_3470z00_1380)
																{	/* Inline/inline.scm 82 */
																	BgL_testz00_2850 = BgL__ortest_3470z00_1380;
																}
															else
																{	/* Inline/inline.scm 83 */
																	obj_t BgL_arg3625z00_1381;

																	{	/* Inline/inline.scm 83 */
																		BgL_globalz00_bglt BgL_obj1717z00_1791;

																		BgL_obj1717z00_1791 =
																			((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) CREF(
																						((obj_t) BgL_nodez00_1365)))->
																				BgL_variablez00));
																		BgL_arg3625z00_1381 =
																			(((BgL_globalz00_bglt) CREF(((obj_t)
																						BgL_obj1717z00_1791)))->BgL_srcz00);
																	}
																	BgL_testz00_2850 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_arg3625z00_1381,
																		BGl_kwotez00zzast_nodez00);
																}
														}
													else
														{	/* Inline/inline.scm 79 */
															BgL_testz00_2850 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* Inline/inline.scm 77 */
											BgL_testz00_2850 = ((bool_t) 0);
										}
								}
							else
								{	/* Inline/inline.scm 76 */
									BgL_testz00_2850 = ((bool_t) 0);
								}
						}
					else
						{	/* Inline/inline.scm 75 */
							BgL_testz00_2850 = ((bool_t) 0);
						}
					if (BgL_testz00_2850)
						{	/* Inline/inline.scm 75 */
							{	/* Inline/inline.scm 87 */
								obj_t BgL_arg3617z00_1372;
								obj_t BgL_arg3618z00_1373;

								{	/* Inline/inline.scm 87 */
									BgL_nodez00_bglt BgL_obj2136z00_1794;

									BgL_obj2136z00_1794 = ((BgL_nodez00_bglt) BgL_nodez00_1365);
									BgL_arg3617z00_1372 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2136z00_1794)))->BgL_locz00);
								}
								{	/* Inline/inline.scm 87 */
									BgL_globalz00_bglt BgL_obj1717z00_1796;

									BgL_obj1717z00_1796 =
										((BgL_globalz00_bglt)
										(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_nodez00_1365)))->BgL_variablez00));
									BgL_arg3618z00_1373 =
										(((BgL_globalz00_bglt) CREF(
												((obj_t) BgL_obj1717z00_1796)))->BgL_srcz00);
								}
								return
									BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg3617z00_1372,
									((BgL_nodez00_bglt) BgL_arg3618z00_1373));
							}
						}
					else
						{	/* Inline/inline.scm 75 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1365);
						}
				}
			}
		}
	}



/* &inline-node-atom3494 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom3494z62zzinline_inlinez00(obj_t
		BgL_envz00_2096, BgL_atomz00_bglt BgL_nodez00_2097,
		obj_t BgL_kfactorz00_2098, obj_t BgL_stackz00_2099)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 67 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2097);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 234439708),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3772z00zzinline_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
