/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern BgL_makezd2boxzd2_bglt BGl_makezd2makezd2boxz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var3738z70zzintegrate_nodez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure3711za2zzintegrate_nodez00(obj_t,
		BgL_closurez00_bglt, obj_t);
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail3731za2zzintegrate_nodez00(obj_t,
		BgL_failz00_bglt, obj_t);
	extern BgL_boxzd2setz12zc0_bglt BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2var3709za2zzintegrate_nodez00(obj_t,
		BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it3742za2zzintegrate_nodez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence3713za2zzintegrate_nodez00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern BgL_boxzd2refzd2_bglt BGl_makezd2boxzd2refz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional3729za2zzintegrate_nodez00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t BGl_appendzd221095zd2zzintegrate_nodez00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly3717z70zzintegrate_nodez00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2select3733za2zzintegrate_nodez00(obj_t, BgL_selectz00_bglt,
		obj_t);
	static BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzintegrate_nodez00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern3722za2zzintegrate_nodez00(obj_t, BgL_externz00_bglt,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it3740za2zzintegrate_nodez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast3725za2zzintegrate_nodez00(obj_t,
		BgL_castz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall3720za2zzintegrate_nodez00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq3727za2zzintegrate_nodez00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref3746z70zzintegrate_nodez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz123748z62zzintegrate_nodez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box3744z70zzintegrate_nodez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2app3715za2zzintegrate_nodez00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern obj_t BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t,
		bool_t, bool_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom3705za2zzintegrate_nodez00(obj_t,
		BgL_atomz00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun3736z70zzintegrate_nodez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_z62gloz123701z70zzintegrate_nodez00(obj_t, BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote3707za2zzintegrate_nodez00(obj_t,
		BgL_kwotez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7123701za7704060za7,
		BGl_z62gloz123701z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom4061za7,
		BGl_z62gloz12zd2atom3705za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot4062za7,
		BGl_z62gloz12zd2kwote3707za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var34063za7,
		BGl_z62gloz12zd2var3709za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos4064za7,
		BGl_z62gloz12zd2closure3711za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ4065za7,
		BGl_z62gloz12zd2sequence3713za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app34066za7,
		BGl_z62gloz12zd2app3715za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza74067z00,
		BGl_z62gloz12zd2appzd2ly3717z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func4068za7,
		BGl_z62gloz12zd2funcall3720za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte4069za7,
		BGl_z62gloz12zd2extern3722za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast4070za7,
		BGl_z62gloz12zd2cast3725za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq4071za7,
		BGl_z62gloz12zd2setq3727za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond4072za7,
		BGl_z62gloz12zd2conditional3729za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail4073za7,
		BGl_z62gloz12zd2fail3731za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sele4074za7,
		BGl_z62gloz12zd2select3733za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza74075z00,
		BGl_z62gloz12zd2letzd2fun3736z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza74076z00,
		BGl_z62gloz12zd2letzd2var3738z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza74077z00,
		BGl_z62gloz12zd2setzd2exzd2it3740za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump4078za7,
		BGl_z62gloz12zd2jumpzd2exzd2it3742za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make4079za7,
		BGl_z62gloz12zd2makezd2box3744z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza74080z00,
		BGl_z62gloz12zd2boxzd2ref3746z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza74081z00,
		BGl_z62gloz12zd2boxzd2setz123748z62zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in4082za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c4083z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g4084z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4030z00zzintegrate_nodez00,
		BgL_bgl_string4030za700za7za7i4085za7, "glo!3701", 8);
	      DEFINE_STRING(BGl_string4031z00zzintegrate_nodez00,
		BgL_bgl_string4031za700za7za7i4086za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string4033z00zzintegrate_nodez00,
		BgL_bgl_string4033za700za7za7i4087za7, "glo!", 4);
	      DEFINE_STRING(BGl_string4054z00zzintegrate_nodez00,
		BgL_bgl_string4054za700za7za7i4088za7, "node-free", 9);
	      DEFINE_STRING(BGl_string4055z00zzintegrate_nodez00,
		BgL_bgl_string4055za700za7za7i4089za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string4056z00zzintegrate_nodez00,
		BgL_bgl_string4056za700za7za7i4090za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string4057z00zzintegrate_nodez00,
		BgL_bgl_string4057za700za7za7i4091za7,
		"aux glo!3701 done (write cell-integrate) cell-integrate read ", 61);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_2565, char *BgL_fromz00_2566)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_2551;

				BgL_cportz00_2551 =
					bgl_open_input_string(BGl_string4057z00zzintegrate_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2552;

					BgL_iz00_2552 = ((long) 5);
				BgL_loopz00_2553:
					if ((BgL_iz00_2552 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg4059z00_2555;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_2557;

										BgL_locationz00_2557 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg4059z00_2555 =
												BGl_readz00zz__readerz00(BgL_cportz00_2551,
												BgL_locationz00_2557);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_auxz00_2585;

									BgL_auxz00_2585 = (int) (BgL_iz00_2552);
									CNST_TABLE_SET(BgL_auxz00_2585, BgL_arg4059z00_2555);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_2558;

								BgL_auxz00_2558 = (int) ((BgL_iz00_2552 - ((long) 1)));
								{
									long BgL_iz00_2590;

									BgL_iz00_2590 = (long) (BgL_auxz00_2558);
									BgL_iz00_2552 = BgL_iz00_2590;
									goto BgL_loopz00_2553;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_981;

				BgL_headz00_981 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_982;
					obj_t BgL_tailz00_983;

					BgL_prevz00_982 = BgL_headz00_981;
					BgL_tailz00_983 = BgL_l1z00_1;
				BgL_loopz00_984:
					if (PAIRP(BgL_tailz00_983))
						{
							obj_t BgL_newzd2prevzd2_986;

							BgL_newzd2prevzd2_986 =
								MAKE_PAIR(CAR(BgL_tailz00_983), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_982, BgL_newzd2prevzd2_986);
							{
								obj_t BgL_tailz00_2599;
								obj_t BgL_prevz00_2598;

								BgL_prevz00_2598 = BgL_newzd2prevzd2_986;
								BgL_tailz00_2599 = CDR(BgL_tailz00_983);
								BgL_tailz00_983 = BgL_tailz00_2599;
								BgL_prevz00_982 = BgL_prevz00_2598;
								goto BgL_loopz00_984;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_981);
				}
			}
		}
	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_989;

				BgL_funz00_989 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_integratorz00_4)))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_990;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg3762z00_1011;

						{	/* Integrate/node.scm 43 */
							BgL_sfunz00_bglt BgL_obj1920z00_1836;

							BgL_obj1920z00_1836 = ((BgL_sfunz00_bglt) BgL_funz00_989);
							BgL_arg3762z00_1011 =
								(((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj1920z00_1836)))->BgL_argsz00);
						}
						BgL_celledz00_990 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg3762z00_1011);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_991;

						BgL_whatzf2byza2z50_991 =
							BGl_appendzd221095zd2zzintegrate_nodez00(BgL_celledz00_990,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l3679z00_993;

								BgL_l3679z00_993 = BgL_whatzf2byza2z50_991;
							BgL_zc3anonymousza33752ze3z83_994:
								if (PAIRP(BgL_l3679z00_993))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wze2bze2_996;

											BgL_wze2bze2_996 = CAR(BgL_l3679z00_993);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg3754z00_997;
												obj_t BgL_arg3755z00_998;

												BgL_arg3754z00_997 = CAR(BgL_wze2bze2_996);
												BgL_arg3755z00_998 = CDR(BgL_wze2bze2_996);
												{	/* Integrate/node.scm 47 */
													BgL_variablez00_bglt BgL_obj1620z00_1842;

													BgL_obj1620z00_1842 =
														((BgL_variablez00_bglt) BgL_arg3754z00_997);
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1620z00_1842)))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg3755z00_998), BUNSPEC);
												}
											}
										}
										{
											obj_t BgL_l3679z00_2617;

											BgL_l3679z00_2617 = CDR(BgL_l3679z00_993);
											BgL_l3679z00_993 = BgL_l3679z00_2617;
											goto BgL_zc3anonymousza33752ze3z83_994;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1001;

								BgL_resz00_1001 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_990,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l3681z00_1003;

									BgL_l3681z00_1003 = BgL_whatzf2byza2z50_991;
								BgL_zc3anonymousza33757ze3z83_1004:
									if (PAIRP(BgL_l3681z00_1003))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wze2bze2_1006;

												BgL_wze2bze2_1006 = CAR(BgL_l3681z00_1003);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg3759z00_1007;

													BgL_arg3759z00_1007 = CAR(BgL_wze2bze2_1006);
													{	/* Integrate/node.scm 52 */
														BgL_variablez00_bglt BgL_obj1620z00_1849;

														BgL_obj1620z00_1849 =
															((BgL_variablez00_bglt) BgL_arg3759z00_1007);
														((((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1620z00_1849)))->
																BgL_fastzd2alphazd2) =
															((obj_t) BUNSPEC), BUNSPEC);
													}
												}
											}
											{
												obj_t BgL_l3681z00_2628;

												BgL_l3681z00_2628 = CDR(BgL_l3681z00_1003);
												BgL_l3681z00_1003 = BgL_l3681z00_2628;
												goto BgL_zc3anonymousza33757ze3z83_1004;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1001);
							}
						}
					}
				}
			}
		}
	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_2152, obj_t BgL_astz00_2153, obj_t BgL_integratorz00_2154,
		obj_t BgL_whatzf2byza2z50_2155)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_2153),
				((BgL_variablez00_bglt) BgL_integratorz00_2154),
				BgL_whatzf2byza2z50_2155);
		}
	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1014;
				obj_t BgL_formalsz00_1015;

				BgL_celledz00_1014 = BNIL;
				BgL_formalsz00_1015 = BgL_formalsz00_6;
			BgL_zc3anonymousza33763ze3z83_1016:
				if (NULLP(BgL_formalsz00_1015))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1014;
					}
				else
					{	/* Integrate/node.scm 63 */
						if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) CAR(BgL_formalsz00_1015))))
							{	/* Integrate/node.scm 68 */
								BgL_typez00_bglt BgL_vtypez00_1019;

								{	/* Integrate/node.scm 68 */
									BgL_variablez00_bglt BgL_obj1609z00_1856;

									{	/* Integrate/node.scm 68 */
										obj_t BgL_pairz00_1855;

										BgL_pairz00_1855 = BgL_formalsz00_1015;
										BgL_obj1609z00_1856 =
											((BgL_variablez00_bglt) CAR(BgL_pairz00_1855));
									}
									BgL_vtypez00_1019 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1609z00_1856)))->BgL_typez00);
								}
								{	/* Integrate/node.scm 68 */
									obj_t BgL_ntypez00_1020;

									if (
										(((obj_t) BgL_vtypez00_1019) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Integrate/node.scm 70 */
											BgL_ntypez00_1020 = BGl_za2objza2z00zztype_cachez00;
										}
									else
										{	/* Integrate/node.scm 70 */
											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_1019))
												{	/* Integrate/node.scm 71 */
													BgL_ntypez00_1020 = ((obj_t) BgL_vtypez00_1019);
												}
											else
												{	/* Integrate/node.scm 72 */
													bool_t BgL_testz00_2650;

													{	/* Integrate/node.scm 72 */
														obj_t BgL_auxz00_2651;

														{	/* Integrate/node.scm 72 */
															BgL_variablez00_bglt BgL_obj1615z00_1858;

															{	/* Integrate/node.scm 72 */
																obj_t BgL_pairz00_1857;

																BgL_pairz00_1857 = BgL_formalsz00_1015;
																BgL_obj1615z00_1858 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1857));
															}
															BgL_auxz00_2651 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1615z00_1858)))->
																BgL_accessz00);
														}
														BgL_testz00_2650 =
															(BgL_auxz00_2651 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_2650)
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1020 = ((obj_t) BgL_vtypez00_1019);
														}
													else
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1020 =
																BGl_za2objza2z00zztype_cachez00;
														}
												}
										}
									{	/* Integrate/node.scm 69 */
										BgL_localz00_bglt BgL_varz00_1021;

										{	/* Integrate/node.scm 74 */
											obj_t BgL_arg3771z00_1029;

											{	/* Integrate/node.scm 74 */
												BgL_variablez00_bglt BgL_obj1605z00_1860;

												{	/* Integrate/node.scm 74 */
													obj_t BgL_pairz00_1859;

													BgL_pairz00_1859 = BgL_formalsz00_1015;
													BgL_obj1605z00_1860 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_1859));
												}
												BgL_arg3771z00_1029 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1605z00_1860)))->BgL_idz00);
											}
											BgL_varz00_1021 =
												BGl_makezd2localzd2svarz00zzast_localz00
												(BgL_arg3771z00_1029,
												((BgL_typez00_bglt) BgL_ntypez00_1020));
										}
										{	/* Integrate/node.scm 74 */
											obj_t BgL_oze2nze2_1022;

											{	/* Integrate/node.scm 75 */
												obj_t BgL_arg3770z00_1028;

												BgL_arg3770z00_1028 = CAR(BgL_formalsz00_1015);
												BgL_oze2nze2_1022 =
													MAKE_PAIR(BgL_arg3770z00_1028,
													((obj_t) BgL_varz00_1021));
											}
											{	/* Integrate/node.scm 75 */

												{	/* Integrate/node.scm 76 */
													BgL_variablez00_bglt BgL_obj1617z00_1862;
													obj_t BgL_val1616z00_1863;

													BgL_obj1617z00_1862 =
														((BgL_variablez00_bglt) BgL_varz00_1021);
													BgL_val1616z00_1863 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1617z00_1862)))->
															BgL_accessz00) =
														((obj_t) BgL_val1616z00_1863), BUNSPEC);
												}
												{	/* Integrate/node.scm 77 */
													BgL_svarz00_bglt BgL_obj3627z00_1023;

													BgL_obj3627z00_1023 =
														((BgL_svarz00_bglt)
														BGl_variablezd2valuezd2zzintegrate_nodez00(
															((BgL_variablez00_bglt) BgL_varz00_1021)));
													{	/* Integrate/node.scm 77 */
														obj_t BgL_arg3766z00_1024;

														BgL_arg3766z00_1024 =
															BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00
															(BUNSPEC, BUNSPEC, ((bool_t) 1), ((bool_t) 1));
														{	/* Integrate/node.scm 77 */
															BgL_objectz00_bglt BgL_auxz00_2676;

															BgL_auxz00_2676 =
																((BgL_objectz00_bglt) BgL_obj3627z00_1023);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2676,
																BgL_arg3766z00_1024);
													}}
													{	/* Integrate/node.scm 77 */
														long BgL_arg3767z00_1025;

														BgL_arg3767z00_1025 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
														{	/* Integrate/node.scm 77 */
															BgL_objectz00_bglt BgL_objz00_1865;

															BgL_objz00_1865 =
																((BgL_objectz00_bglt) BgL_obj3627z00_1023);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1865,
																BgL_arg3767z00_1025);
													}} BgL_obj3627z00_1023;
												}
												{	/* Integrate/node.scm 80 */
													obj_t BgL_arg3768z00_1026;
													obj_t BgL_arg3769z00_1027;

													BgL_arg3768z00_1026 =
														MAKE_PAIR(BgL_oze2nze2_1022, BgL_celledz00_1014);
													BgL_arg3769z00_1027 = CDR(BgL_formalsz00_1015);
													{
														obj_t BgL_formalsz00_2685;
														obj_t BgL_celledz00_2684;

														BgL_celledz00_2684 = BgL_arg3768z00_1026;
														BgL_formalsz00_2685 = BgL_arg3769z00_1027;
														BgL_formalsz00_1015 = BgL_formalsz00_2685;
														BgL_celledz00_1014 = BgL_celledz00_2684;
														goto BgL_zc3anonymousza33763ze3z83_1016;
													}
												}
											}
										}
									}
								}
							}
						else
							{
								obj_t BgL_formalsz00_2686;

								BgL_formalsz00_2686 = CDR(BgL_formalsz00_1015);
								BgL_formalsz00_1015 = BgL_formalsz00_2686;
								goto BgL_zc3anonymousza33763ze3z83_1016;
							}
					}
			}
		}
	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_7, BgL_nodez00_bglt BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 85 */
			if (NULLP(BgL_celledz00_7))
				{	/* Integrate/node.scm 86 */
					return BgL_bodyz00_8;
				}
			else
				{	/* Integrate/node.scm 88 */
					obj_t BgL_locz00_1041;

					BgL_locz00_1041 =
						(((BgL_nodez00_bglt) CREF(((obj_t) BgL_bodyz00_8)))->BgL_locz00);
					{	/* Integrate/node.scm 92 */
						BgL_typez00_bglt BgL_arg3782z00_1042;
						obj_t BgL_arg3783z00_1043;

						{	/* Integrate/node.scm 92 */
							BgL_typez00_bglt BgL_arg3784z00_1044;

							BgL_arg3784z00_1044 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_bodyz00_8)))->BgL_typez00);
							{	/* Integrate/node.scm 92 */
								BgL_typez00_bglt BgL_auxz00_2694;

								{	/* Integrate/node.scm 92 */
									obj_t BgL_xz00_2278;

									BgL_xz00_2278 = BGl_za2_za2z00zztype_cachez00;
									BgL_auxz00_2694 = ((BgL_typez00_bglt) BgL_xz00_2278);
								}
								BgL_arg3782z00_1042 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3784z00_1044,
									BgL_auxz00_2694);
							}
						}
						{	/* Integrate/node.scm 93 */
							obj_t BgL_head3685z00_1047;

							{	/* Integrate/node.scm 93 */
								obj_t BgL_res4001z00_1877;

								BgL_res4001z00_1877 = MAKE_PAIR(BNIL, BNIL);
								BgL_head3685z00_1047 = BgL_res4001z00_1877;
							}
							{
								obj_t BgL_l3683z00_1049;
								obj_t BgL_tail3686z00_1050;

								BgL_l3683z00_1049 = BgL_celledz00_7;
								BgL_tail3686z00_1050 = BgL_head3685z00_1047;
							BgL_zc3anonymousza33786ze3z83_1051:
								if (NULLP(BgL_l3683z00_1049))
									{	/* Integrate/node.scm 93 */
										BgL_arg3783z00_1043 = CDR(BgL_head3685z00_1047);
									}
								else
									{	/* Integrate/node.scm 93 */
										obj_t BgL_newtail3687z00_1053;

										{	/* Integrate/node.scm 93 */
											obj_t BgL_arg3789z00_1055;

											{	/* Integrate/node.scm 93 */
												obj_t BgL_oze2nze2_1056;

												BgL_oze2nze2_1056 = CAR(BgL_l3683z00_1049);
												{	/* Integrate/node.scm 94 */
													obj_t BgL_arg3790z00_1057;
													BgL_makezd2boxzd2_bglt BgL_arg3791z00_1058;

													BgL_arg3790z00_1057 = CDR(BgL_oze2nze2_1056);
													{	/* Integrate/node.scm 98 */
														BgL_varz00_bglt BgL_arg3792z00_1059;
														obj_t BgL_arg3794z00_1060;

														{	/* Integrate/node.scm 98 */
															BgL_typez00_bglt BgL_arg3795z00_1061;
															obj_t BgL_arg3798z00_1062;

															{	/* Integrate/node.scm 98 */
																BgL_typez00_bglt BgL_arg3799z00_1063;

																{	/* Integrate/node.scm 97 */
																	BgL_variablez00_bglt BgL_obj1609z00_1884;

																	{	/* Integrate/node.scm 98 */
																		obj_t BgL_pairz00_1883;

																		BgL_pairz00_1883 = BgL_oze2nze2_1056;
																		BgL_obj1609z00_1884 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_1883));
																	}
																	BgL_arg3799z00_1063 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1609z00_1884)))->
																		BgL_typez00);
																}
																{	/* Integrate/node.scm 96 */
																	BgL_typez00_bglt BgL_auxz00_2707;

																	{	/* Integrate/node.scm 99 */
																		obj_t BgL_xz00_2281;

																		BgL_xz00_2281 =
																			BGl_za2_za2z00zztype_cachez00;
																		BgL_auxz00_2707 =
																			((BgL_typez00_bglt) BgL_xz00_2281);
																	}
																	BgL_arg3795z00_1061 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_arg3799z00_1063, BgL_auxz00_2707);
																}
															}
															BgL_arg3798z00_1062 = CAR(BgL_oze2nze2_1056);
															BgL_arg3792z00_1059 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1041,
																BgL_arg3795z00_1061,
																((BgL_variablez00_bglt) BgL_arg3798z00_1062));
														}
														BgL_arg3794z00_1060 = CAR(BgL_oze2nze2_1056);
														BgL_arg3791z00_1058 =
															BGl_azd2makezd2cellz00zzintegrate_nodez00(
															((BgL_nodez00_bglt) BgL_arg3792z00_1059),
															((BgL_variablez00_bglt) BgL_arg3794z00_1060));
													}
													BgL_arg3789z00_1055 =
														MAKE_PAIR(BgL_arg3790z00_1057,
														((obj_t) BgL_arg3791z00_1058));
												}
											}
											{	/* Integrate/node.scm 93 */
												obj_t BgL_res4003z00_1889;

												BgL_res4003z00_1889 =
													MAKE_PAIR(BgL_arg3789z00_1055, BNIL);
												BgL_newtail3687z00_1053 = BgL_res4003z00_1889;
											}
										}
										SET_CDR(BgL_tail3686z00_1050, BgL_newtail3687z00_1053);
										{
											obj_t BgL_tail3686z00_2723;
											obj_t BgL_l3683z00_2721;

											BgL_l3683z00_2721 = CDR(BgL_l3683z00_1049);
											BgL_tail3686z00_2723 = BgL_newtail3687z00_1053;
											BgL_tail3686z00_1050 = BgL_tail3686z00_2723;
											BgL_l3683z00_1049 = BgL_l3683z00_2721;
											goto BgL_zc3anonymousza33786ze3z83_1051;
										}
									}
							}
						}
						{	/* Integrate/node.scm 89 */
							BgL_letzd2varzd2_bglt BgL_xz00_2286;

							BgL_xz00_2286 =
								BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1041,
								BgL_arg3782z00_1042, BUNSPEC, BINT(((long) -1)),
								BgL_arg3783z00_1043, BgL_bodyz00_8, ((bool_t) 1));
							return ((BgL_nodez00_bglt) BgL_xz00_2286);
						}
					}
				}
		}
	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_9,
		BgL_variablez00_bglt BgL_variablez00_10)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 108 */
			{	/* Integrate/node.scm 112 */
				obj_t BgL_val1616z00_1894;

				BgL_val1616z00_1894 = CNST_TABLE_REF(((long) 1));
				((((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_variablez00_10)))->BgL_accessz00) =
					((obj_t) BgL_val1616z00_1894), BUNSPEC);
			}
			{	/* Integrate/node.scm 113 */
				BgL_valuez00_bglt BgL_arg3802z00_1067;

				BgL_arg3802z00_1067 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_variablez00_10)))->BgL_valuez00);
				{	/* Integrate/node.scm 113 */
					BgL_svarzf2iinfozf2_bglt BgL_obj3397z00_1896;

					BgL_obj3397z00_1896 =
						((BgL_svarzf2iinfozf2_bglt) BgL_arg3802z00_1067);
					{
						obj_t BgL_auxz00_2733;

						{	/* Integrate/node.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2734;

							BgL_auxz00_2734 = ((BgL_objectz00_bglt) BgL_obj3397z00_1896);
							BgL_auxz00_2733 = BGL_OBJECT_WIDENING(BgL_auxz00_2734);
						}
						((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_2733))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}}
			{	/* Integrate/node.scm 116 */
				obj_t BgL_arg3803z00_1068;
				BgL_typez00_bglt BgL_arg3804z00_1069;

				BgL_arg3803z00_1068 =
					(((BgL_nodez00_bglt) CREF(((obj_t) BgL_nodez00_9)))->BgL_locz00);
				{	/* Integrate/node.scm 115 */
					BgL_typez00_bglt BgL_auxz00_2742;
					BgL_typez00_bglt BgL_auxz00_2740;

					{	/* Integrate/node.scm 115 */
						obj_t BgL_xz00_2293;

						BgL_xz00_2293 = BGl_za2_za2z00zztype_cachez00;
						BgL_auxz00_2742 = ((BgL_typez00_bglt) BgL_xz00_2293);
					}
					{	/* Integrate/node.scm 115 */
						obj_t BgL_xz00_2292;

						BgL_xz00_2292 = BGl_za2cellza2z00zztype_cachez00;
						BgL_auxz00_2740 = ((BgL_typez00_bglt) BgL_xz00_2292);
					}
					BgL_arg3804z00_1069 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_2740,
						BgL_auxz00_2742);
				}
				return
					BGl_makezd2makezd2boxz00zzast_nodez00(BgL_arg3803z00_1068,
					BgL_arg3804z00_1069, BUNSPEC, BINT(((long) -1)), BgL_nodez00_9);
		}}
	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_11)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 122 */
			{	/* Integrate/node.scm 133 */
				bool_t BgL_testz00_2747;

				{	/* Integrate/node.scm 133 */
					BgL_valuez00_bglt BgL_arg3808z00_1076;

					{	/* Integrate/node.scm 133 */
						BgL_variablez00_bglt BgL_obj1612z00_1899;

						BgL_obj1612z00_1899 = ((BgL_variablez00_bglt) BgL_variablez00_11);
						BgL_arg3808z00_1076 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1612z00_1899)))->BgL_valuez00);
					}
					{	/* Integrate/node.scm 133 */
						bool_t BgL_res4004z00_1901;

						{	/* Integrate/node.scm 133 */
							obj_t BgL_obj3382z00_1900;

							BgL_obj3382z00_1900 = ((obj_t) BgL_arg3808z00_1076);
							BgL_res4004z00_1901 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj3382z00_1900,
								BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						}
						BgL_testz00_2747 = BgL_res4004z00_1901;
				}}
				if (BgL_testz00_2747)
					{	/* Integrate/node.scm 134 */
						bool_t BgL__ortest_3634z00_1071;

						{	/* Integrate/node.scm 134 */
							BgL_svarzf2iinfozf2_bglt BgL_obj3395z00_1903;

							{	/* Integrate/node.scm 134 */
								BgL_variablez00_bglt BgL_obj1612z00_1902;

								BgL_obj1612z00_1902 =
									((BgL_variablez00_bglt) BgL_variablez00_11);
								BgL_obj3395z00_1903 =
									((BgL_svarzf2iinfozf2_bglt)
									(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1902)))->BgL_valuez00));
							}
							{
								obj_t BgL_auxz00_2757;

								{	/* Integrate/node.scm 134 */
									BgL_objectz00_bglt BgL_auxz00_2758;

									BgL_auxz00_2758 = ((BgL_objectz00_bglt) BgL_obj3395z00_1903);
									BgL_auxz00_2757 = BGL_OBJECT_WIDENING(BgL_auxz00_2758);
								}
								BgL__ortest_3634z00_1071 =
									(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_2757))->
									BgL_celledzf3zf3);
							}
						}
						if (BgL__ortest_3634z00_1071)
							{	/* Integrate/node.scm 134 */
								return BgL__ortest_3634z00_1071;
							}
						else
							{	/* Integrate/node.scm 135 */
								bool_t BgL_testz00_2763;

								{	/* Integrate/node.scm 135 */
									obj_t BgL_auxz00_2764;

									{	/* Integrate/node.scm 135 */
										obj_t BgL_auxz00_2765;

										{	/* Integrate/node.scm 135 */
											BgL_variablez00_bglt BgL_obj1615z00_1904;

											BgL_obj1615z00_1904 =
												((BgL_variablez00_bglt) BgL_variablez00_11);
											BgL_auxz00_2765 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1615z00_1904)))->BgL_accessz00);
										}
										BgL_auxz00_2764 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2765,
											CNST_TABLE_REF(((long) 2)));
									}
									BgL_testz00_2763 = CBOOL(BgL_auxz00_2764);
								}
								if (BgL_testz00_2763)
									{	/* Integrate/node.scm 136 */
										BgL_svarzf2iinfozf2_bglt BgL_obj3392z00_1906;

										{	/* Integrate/node.scm 136 */
											BgL_variablez00_bglt BgL_obj1612z00_1905;

											BgL_obj1612z00_1905 =
												((BgL_variablez00_bglt) BgL_variablez00_11);
											BgL_obj3392z00_1906 =
												((BgL_svarzf2iinfozf2_bglt)
												(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1905)))->BgL_valuez00));
										}
										{
											obj_t BgL_auxz00_2776;

											{	/* Integrate/node.scm 136 */
												BgL_objectz00_bglt BgL_auxz00_2777;

												BgL_auxz00_2777 =
													((BgL_objectz00_bglt) BgL_obj3392z00_1906);
												BgL_auxz00_2776 = BGL_OBJECT_WIDENING(BgL_auxz00_2777);
											}
											return
												(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_2776))->
												BgL_kapturedzf3zf3);
										}
									}
								else
									{	/* Integrate/node.scm 135 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 133 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_2156, obj_t BgL_variablez00_2157)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 122 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_2157)));
		}
	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_56,
		obj_t BgL_integratorz00_57)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 414 */
			{
				obj_t BgL_nodeza2za2_1078;

				BgL_nodeza2za2_1078 = BgL_nodeza2za2_56;
			BgL_zc3anonymousza33809ze3z83_1079:
				if (NULLP(BgL_nodeza2za2_1078))
					{	/* Integrate/node.scm 416 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Integrate/node.scm 416 */
						{	/* Integrate/node.scm 419 */
							BgL_nodez00_bglt BgL_arg3811z00_1081;

							{	/* Integrate/node.scm 419 */
								obj_t BgL_arg3812z00_1082;

								BgL_arg3812z00_1082 = CAR(BgL_nodeza2za2_1078);
								BgL_arg3811z00_1081 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg3812z00_1082),
									((BgL_variablez00_bglt) BgL_integratorz00_57));
							}
							{	/* Integrate/node.scm 419 */
								obj_t BgL_pairz00_1910;
								obj_t BgL_objz00_1911;

								BgL_pairz00_1910 = BgL_nodeza2za2_1078;
								BgL_objz00_1911 = ((obj_t) BgL_arg3811z00_1081);
								SET_CAR(BgL_pairz00_1910, BgL_objz00_1911);
							}
						}
						{
							obj_t BgL_nodeza2za2_2793;

							BgL_nodeza2za2_2793 = CDR(BgL_nodeza2za2_1078);
							BgL_nodeza2za2_1078 = BgL_nodeza2za2_2793;
							goto BgL_zc3anonymousza33809ze3z83_1079;
						}
					}
			}
		}
	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_58, BgL_variablez00_bglt BgL_integratorz00_59)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 425 */
			{	/* Integrate/node.scm 428 */
				BgL_valuez00_bglt BgL_funz00_1085;

				{	/* Integrate/node.scm 428 */
					BgL_variablez00_bglt BgL_obj1612z00_1913;

					BgL_obj1612z00_1913 = ((BgL_variablez00_bglt) BgL_localz00_58);
					BgL_funz00_1085 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1913)))->BgL_valuez00);
				}
				{	/* Integrate/node.scm 428 */
					obj_t BgL_obodyz00_1086;

					{	/* Integrate/node.scm 429 */
						BgL_sfunz00_bglt BgL_obj1924z00_1914;

						BgL_obj1924z00_1914 = ((BgL_sfunz00_bglt) BgL_funz00_1085);
						BgL_obodyz00_1086 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj1924z00_1914)))->BgL_bodyz00);
					}
					{	/* Integrate/node.scm 429 */

						if ((((obj_t) BgL_localz00_58) == ((obj_t) BgL_integratorz00_59)))
							{	/* Integrate/node.scm 432 */
								BgL_nodez00_bglt BgL_arg3815z00_1088;

								BgL_arg3815z00_1088 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1086), BgL_integratorz00_59);
								{	/* Integrate/node.scm 432 */
									BgL_sfunz00_bglt BgL_obj1926z00_1915;
									obj_t BgL_val1925z00_1916;

									BgL_obj1926z00_1915 = ((BgL_sfunz00_bglt) BgL_funz00_1085);
									BgL_val1925z00_1916 = ((obj_t) BgL_arg3815z00_1088);
									return
										((((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1926z00_1915)))->BgL_bodyz00) =
										((obj_t) BgL_val1925z00_1916), BUNSPEC);
								}
							}
						else
							{	/* Integrate/node.scm 433 */
								bool_t BgL_testz00_2811;

								{	/* Integrate/node.scm 433 */
									bool_t BgL_testz00_2812;

									{	/* Integrate/node.scm 433 */
										bool_t BgL_res4006z00_1918;

										{	/* Integrate/node.scm 433 */
											obj_t BgL_obj3516z00_1917;

											BgL_obj3516z00_1917 = ((obj_t) BgL_funz00_1085);
											BgL_res4006z00_1918 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj3516z00_1917,
												BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
										}
										BgL_testz00_2812 = BgL_res4006z00_1918;
									}
									if (BgL_testz00_2812)
										{	/* Integrate/node.scm 433 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3551z00_1919;

											BgL_obj3551z00_1919 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_funz00_1085);
											{
												obj_t BgL_auxz00_2816;

												{	/* Integrate/node.scm 433 */
													BgL_objectz00_bglt BgL_auxz00_2817;

													BgL_auxz00_2817 =
														((BgL_objectz00_bglt) BgL_obj3551z00_1919);
													BgL_auxz00_2816 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2817);
												}
												BgL_testz00_2811 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2816))->
													BgL_gzf3zf3);
											}
										}
									else
										{	/* Integrate/node.scm 433 */
											BgL_testz00_2811 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2811)
									{	/* Integrate/node.scm 433 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 436 */
										obj_t BgL_celledz00_1090;

										{	/* Integrate/node.scm 436 */
											obj_t BgL_arg3826z00_1110;

											{	/* Integrate/node.scm 436 */
												BgL_sfunz00_bglt BgL_obj1920z00_1920;

												BgL_obj1920z00_1920 =
													((BgL_sfunz00_bglt) BgL_funz00_1085);
												BgL_arg3826z00_1110 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1920z00_1920)))->BgL_argsz00);
											}
											BgL_celledz00_1090 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg3826z00_1110);
										}
										{
											obj_t BgL_l3697z00_1092;

											BgL_l3697z00_1092 = BgL_celledz00_1090;
										BgL_zc3anonymousza33817ze3z83_1093:
											if (PAIRP(BgL_l3697z00_1092))
												{	/* Integrate/node.scm 437 */
													{	/* Integrate/node.scm 438 */
														obj_t BgL_wze2bze2_1095;

														BgL_wze2bze2_1095 = CAR(BgL_l3697z00_1092);
														{	/* Integrate/node.scm 438 */
															obj_t BgL_arg3819z00_1096;
															obj_t BgL_arg3820z00_1097;

															BgL_arg3819z00_1096 = CAR(BgL_wze2bze2_1095);
															BgL_arg3820z00_1097 = CDR(BgL_wze2bze2_1095);
															{	/* Integrate/node.scm 438 */
																BgL_variablez00_bglt BgL_obj1620z00_1926;

																BgL_obj1620z00_1926 =
																	((BgL_variablez00_bglt) BgL_arg3819z00_1096);
																((((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1620z00_1926)))->
																		BgL_fastzd2alphazd2) =
																	((obj_t) BgL_arg3820z00_1097), BUNSPEC);
															}
														}
													}
													{
														obj_t BgL_l3697z00_2833;

														BgL_l3697z00_2833 = CDR(BgL_l3697z00_1092);
														BgL_l3697z00_1092 = BgL_l3697z00_2833;
														goto BgL_zc3anonymousza33817ze3z83_1093;
													}
												}
											else
												{	/* Integrate/node.scm 437 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 440 */
											BgL_nodez00_bglt BgL_nbody1z00_1100;

											BgL_nbody1z00_1100 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1086),
												BgL_integratorz00_59);
											{	/* Integrate/node.scm 440 */
												BgL_nodez00_bglt BgL_nbody2z00_1101;

												BgL_nbody2z00_1101 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1090, BgL_nbody1z00_1100);
												{	/* Integrate/node.scm 441 */

													{
														obj_t BgL_l3699z00_1103;

														BgL_l3699z00_1103 = BgL_celledz00_1090;
													BgL_zc3anonymousza33822ze3z83_1104:
														if (PAIRP(BgL_l3699z00_1103))
															{	/* Integrate/node.scm 442 */
																{	/* Integrate/node.scm 443 */
																	obj_t BgL_wze2bze2_1106;

																	BgL_wze2bze2_1106 = CAR(BgL_l3699z00_1103);
																	{	/* Integrate/node.scm 443 */
																		obj_t BgL_arg3824z00_1107;

																		BgL_arg3824z00_1107 =
																			CAR(BgL_wze2bze2_1106);
																		{	/* Integrate/node.scm 443 */
																			BgL_variablez00_bglt BgL_obj1620z00_1933;

																			BgL_obj1620z00_1933 =
																				((BgL_variablez00_bglt)
																				BgL_arg3824z00_1107);
																			((((BgL_variablez00_bglt) CREF(((obj_t)
																								BgL_obj1620z00_1933)))->
																					BgL_fastzd2alphazd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																		}
																	}
																}
																{
																	obj_t BgL_l3699z00_2845;

																	BgL_l3699z00_2845 = CDR(BgL_l3699z00_1103);
																	BgL_l3699z00_1103 = BgL_l3699z00_2845;
																	goto BgL_zc3anonymousza33822ze3z83_1104;
																}
															}
														else
															{	/* Integrate/node.scm 442 */
																((bool_t) 1);
															}
													}
													{	/* Integrate/node.scm 445 */
														BgL_sfunz00_bglt BgL_obj1926z00_1936;
														obj_t BgL_val1925z00_1937;

														BgL_obj1926z00_1936 =
															((BgL_sfunz00_bglt) BgL_funz00_1085);
														BgL_val1925z00_1937 = ((obj_t) BgL_nbody2z00_1101);
														return
															((((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1926z00_1936)))->
																BgL_bodyz00) =
															((obj_t) BgL_val1925z00_1937), BUNSPEC);
													}
												}
											}
										}
									}
							}
					}
				}
			}
		}
	}



/* variable-value */
	BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzintegrate_nodez00(BgL_variablez00_bglt
		BgL_obj1612z00_815)
	{
		AN_OBJECT;
		{	/* Ast/var.scm 21 */
			return
				(((BgL_variablez00_bglt) CREF(
						((obj_t) BgL_obj1612z00_815)))->BgL_valuez00);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc4029z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string4030z00zzintegrate_nodez00);
		}
	}



/* &glo!3701 */
	obj_t BGl_z62gloz123701z70zzintegrate_nodez00(obj_t BgL_envz00_2159,
		BgL_nodez00_bglt BgL_nodez00_2160,
		BgL_variablez00_bglt BgL_integratorz00_2161)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			{
				BgL_nodez00_bglt BgL_nodez00_1543;
				BgL_variablez00_bglt BgL_integratorz00_1544;

				BgL_nodez00_1543 = BgL_nodez00_2160;
				BgL_integratorz00_1544 = BgL_integratorz00_2161;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string4031z00zzintegrate_nodez00, ((obj_t) BgL_nodez00_1543));
		}}
	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_12, BgL_variablez00_bglt BgL_integratorz00_13)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			{	/* Integrate/node.scm 141 */
				obj_t BgL_method3702z00_1547;

				{	/* Integrate/node.scm 141 */
					obj_t BgL_res4015z00_1966;

					{	/* Integrate/node.scm 141 */
						BgL_objectz00_bglt BgL_objz00_1938;

						BgL_objz00_1938 = ((BgL_objectz00_bglt) BgL_nodez00_12);
						{	/* Integrate/node.scm 141 */
							long BgL_objzd2classzd2numz00_1939;

							{	/* Integrate/node.scm 141 */
								long BgL_res4009z00_1942;

								BgL_res4009z00_1942 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1938);
								BgL_objzd2classzd2numz00_1939 = BgL_res4009z00_1942;
							}
							{	/* Integrate/node.scm 141 */
								obj_t BgL_arg2545z00_1940;

								BgL_arg2545z00_1940 =
									PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
									(int) (((long) 1)));
								{	/* Integrate/node.scm 141 */
									obj_t BgL_arrayz00_1943;
									int BgL_offsetz00_1944;

									BgL_arrayz00_1943 = BgL_arg2545z00_1940;
									BgL_offsetz00_1944 = (int) (BgL_objzd2classzd2numz00_1939);
									{	/* Integrate/node.scm 141 */
										long BgL_offsetz00_1945;

										BgL_offsetz00_1945 =
											((long) (BgL_offsetz00_1944) - OBJECT_TYPE);
										{	/* Integrate/node.scm 141 */
											long BgL_modz00_1946;

											{	/* Integrate/node.scm 141 */
												int BgL_arg2547z00_1947;

												BgL_arg2547z00_1947 = (int) (((long) 16));
												{	/* Integrate/node.scm 141 */
													long BgL_res4012z00_1957;

													{	/* Integrate/node.scm 141 */
														long BgL_auxz00_2865;

														BgL_auxz00_2865 = (long) (BgL_arg2547z00_1947);
														BgL_res4012z00_1957 =
															(BgL_offsetz00_1945 / BgL_auxz00_2865);
													}
													BgL_modz00_1946 = BgL_res4012z00_1957;
											}}
											{	/* Integrate/node.scm 141 */
												long BgL_restz00_1948;

												{	/* Integrate/node.scm 141 */
													int BgL_arg2546z00_1949;

													BgL_arg2546z00_1949 = (int) (((long) 16));
													{	/* Integrate/node.scm 141 */
														long BgL_res4014z00_1961;

														{	/* Integrate/node.scm 141 */
															long BgL_auxz00_2869;

															BgL_auxz00_2869 = (long) (BgL_arg2546z00_1949);
															BgL_res4014z00_1961 =
																(BgL_offsetz00_1945 % BgL_auxz00_2869);
														}
														BgL_restz00_1948 = BgL_res4014z00_1961;
												}}
												{	/* Integrate/node.scm 141 */

													BgL_res4015z00_1966 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1943,
															(int) (BgL_modz00_1946)),
														(int) (BgL_restz00_1948));
					}}}}}}}}
					BgL_method3702z00_1547 = BgL_res4015z00_1966;
				}
				{	/* Integrate/node.scm 141 */
					obj_t BgL_xz00_2339;

					BgL_xz00_2339 =
						PROCEDURE_ENTRY(BgL_method3702z00_1547) (BgL_method3702z00_1547,
						((obj_t) BgL_nodez00_12), ((obj_t) BgL_integratorz00_13), BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_2339);
				}
			}
		}
	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_2162,
		obj_t BgL_nodez00_2163, obj_t BgL_integratorz00_2164)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2163),
				((BgL_variablez00_bglt) BgL_integratorz00_2164));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc4032z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc4034z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc4035z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc4036z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc4037z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc4038z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4039z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc4040z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc4041z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc4042z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc4043z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4044z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc4045z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc4046z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4047z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4048z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4049z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4050z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4051z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4052z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4053z00zzintegrate_nodez00,
				BGl_string4033z00zzintegrate_nodez00);
		}
	}



/* &glo!-box-set!3748 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz123748z62zzintegrate_nodez00(obj_t
		BgL_envz00_2186, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2187,
		obj_t BgL_integratorz00_2188)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 404 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1818;
				obj_t BgL_integratorz00_1819;

				BgL_nodez00_1818 = BgL_nodez00_2187;
				BgL_integratorz00_1819 = BgL_integratorz00_2188;
				{	/* Integrate/node.scm 407 */
					BgL_nodez00_bglt BgL_arg3991z00_1823;

					{	/* Integrate/node.scm 407 */
						BgL_varz00_bglt BgL_arg3992z00_1824;

						BgL_arg3992z00_1824 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1818)))->BgL_varz00);
						BgL_arg3991z00_1823 =
							BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg3992z00_1824),
							((BgL_variablez00_bglt) BgL_integratorz00_1819));
					}
					{	/* Integrate/node.scm 407 */
						BgL_varz00_bglt BgL_val3345z00_2148;

						BgL_val3345z00_2148 = ((BgL_varz00_bglt) BgL_arg3991z00_1823);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1818)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_2148), BUNSPEC);
					}
				}
				{	/* Integrate/node.scm 408 */
					BgL_nodez00_bglt BgL_arg3993z00_1825;

					{	/* Integrate/node.scm 408 */
						BgL_nodez00_bglt BgL_arg3994z00_1826;

						BgL_arg3994z00_1826 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1818)))->BgL_valuez00);
						BgL_arg3993z00_1825 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3994z00_1826,
							((BgL_variablez00_bglt) BgL_integratorz00_1819));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1818)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3993z00_1825), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1818);
			}
		}
	}



/* &glo!-box-ref3746 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref3746z70zzintegrate_nodez00(obj_t
		BgL_envz00_2189, BgL_boxzd2refzd2_bglt BgL_nodez00_2190,
		obj_t BgL_integratorz00_2191)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 395 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1810;
				obj_t BgL_integratorz00_1811;

				BgL_nodez00_1810 = BgL_nodez00_2190;
				BgL_integratorz00_1811 = BgL_integratorz00_2191;
				{	/* Integrate/node.scm 397 */
					BgL_nodez00_bglt BgL_arg3989z00_2141;

					{	/* Integrate/node.scm 397 */
						BgL_varz00_bglt BgL_arg3990z00_2142;

						BgL_arg3990z00_2142 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1810)))->BgL_varz00);
						BgL_arg3989z00_2141 =
							BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg3990z00_2142),
							((BgL_variablez00_bglt) BgL_integratorz00_1811));
					}
					{	/* Integrate/node.scm 397 */
						BgL_varz00_bglt BgL_val3319z00_2145;

						BgL_val3319z00_2145 = ((BgL_varz00_bglt) BgL_arg3989z00_2141);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1810)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_2145), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1810);
			}
		}
	}



/* &glo!-make-box3744 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box3744z70zzintegrate_nodez00(obj_t
		BgL_envz00_2192, BgL_makezd2boxzd2_bglt BgL_nodez00_2193,
		obj_t BgL_integratorz00_2194)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 387 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1802;
				obj_t BgL_integratorz00_1803;

				BgL_nodez00_1802 = BgL_nodez00_2193;
				BgL_integratorz00_1803 = BgL_integratorz00_2194;
				{	/* Integrate/node.scm 388 */
					BgL_nodez00_bglt BgL_arg3987z00_2135;

					{	/* Integrate/node.scm 388 */
						BgL_nodez00_bglt BgL_arg3988z00_2136;

						BgL_arg3988z00_2136 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1802)))->BgL_valuez00);
						BgL_arg3987z00_2135 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3988z00_2136,
							((BgL_variablez00_bglt) BgL_integratorz00_1803));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1802)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3987z00_2135), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1802);
			}
		}
	}



/* &glo!-jump-ex-it3742 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it3742za2zzintegrate_nodez00(obj_t
		BgL_envz00_2195, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2196,
		obj_t BgL_integratorz00_2197)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 378 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1792;
				obj_t BgL_integratorz00_1793;

				BgL_nodez00_1792 = BgL_nodez00_2196;
				BgL_integratorz00_1793 = BgL_integratorz00_2197;
				{	/* Integrate/node.scm 380 */
					BgL_nodez00_bglt BgL_arg3983z00_1797;

					{	/* Integrate/node.scm 380 */
						BgL_nodez00_bglt BgL_arg3984z00_1798;

						BgL_arg3984z00_1798 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1792)))->BgL_exitz00);
						BgL_arg3983z00_1797 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3984z00_1798,
							((BgL_variablez00_bglt) BgL_integratorz00_1793));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1792)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg3983z00_1797), BUNSPEC);
				}
				{	/* Integrate/node.scm 381 */
					BgL_nodez00_bglt BgL_arg3985z00_1799;

					{	/* Integrate/node.scm 381 */
						BgL_nodez00_bglt BgL_arg3986z00_1800;

						BgL_arg3986z00_1800 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1792)))->BgL_valuez00);
						BgL_arg3985z00_1799 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3986z00_1800,
							((BgL_variablez00_bglt) BgL_integratorz00_1793));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1792)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3985z00_1799), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1792);
			}
		}
	}



/* &glo!-set-ex-it3740 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it3740za2zzintegrate_nodez00(obj_t
		BgL_envz00_2198, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2199,
		obj_t BgL_integratorz00_2200)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 370 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1784;
				obj_t BgL_integratorz00_1785;

				BgL_nodez00_1784 = BgL_nodez00_2199;
				BgL_integratorz00_1785 = BgL_integratorz00_2200;
				{	/* Integrate/node.scm 371 */
					BgL_nodez00_bglt BgL_arg3981z00_2123;

					{	/* Integrate/node.scm 371 */
						BgL_nodez00_bglt BgL_arg3982z00_2124;

						BgL_arg3982z00_2124 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1784)))->BgL_bodyz00);
						BgL_arg3981z00_2123 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3982z00_2124,
							((BgL_variablez00_bglt) BgL_integratorz00_1785));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1784)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3981z00_2123), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1784);
			}
		}
	}



/* &glo!-let-var3738 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var3738z70zzintegrate_nodez00(obj_t
		BgL_envz00_2201, BgL_letzd2varzd2_bglt BgL_nodez00_2202,
		obj_t BgL_integratorz00_2203)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 352 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1762;
				obj_t BgL_integratorz00_1763;

				BgL_nodez00_1762 = BgL_nodez00_2202;
				BgL_integratorz00_1763 = BgL_integratorz00_2203;
				{	/* Integrate/node.scm 354 */
					obj_t BgL_g3696z00_1767;

					BgL_g3696z00_1767 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1762)))->BgL_bindingsz00);
					{
						obj_t BgL_l3694z00_1769;

						BgL_l3694z00_1769 = BgL_g3696z00_1767;
					BgL_zc3anonymousza33972ze3z83_1770:
						if (PAIRP(BgL_l3694z00_1769))
							{	/* Integrate/node.scm 354 */
								{	/* Integrate/node.scm 355 */
									obj_t BgL_bindingz00_1772;

									BgL_bindingz00_1772 = CAR(BgL_l3694z00_1769);
									{	/* Integrate/node.scm 355 */
										obj_t BgL_varz00_1773;
										obj_t BgL_valz00_1774;

										BgL_varz00_1773 = CAR(BgL_bindingz00_1772);
										BgL_valz00_1774 = CDR(BgL_bindingz00_1772);
										{	/* Integrate/node.scm 357 */
											BgL_nodez00_bglt BgL_arg3974z00_1775;

											BgL_arg3974z00_1775 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_valz00_1774),
												((BgL_variablez00_bglt) BgL_integratorz00_1763));
											{	/* Integrate/node.scm 357 */
												obj_t BgL_pairz00_2111;
												obj_t BgL_objz00_2112;

												BgL_pairz00_2111 = BgL_bindingz00_1772;
												BgL_objz00_2112 = ((obj_t) BgL_arg3974z00_1775);
												SET_CDR(BgL_pairz00_2111, BgL_objz00_2112);
											}
										}
										if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_1773)))
											{	/* Integrate/node.scm 358 */
												{	/* Integrate/node.scm 360 */
													BgL_variablez00_bglt BgL_obj1611z00_2113;
													BgL_typez00_bglt BgL_val1610z00_2114;

													BgL_obj1611z00_2113 =
														((BgL_variablez00_bglt) BgL_varz00_1773);
													{	/* Integrate/node.scm 360 */
														obj_t BgL_xz00_2378;

														BgL_xz00_2378 = BGl_za2objza2z00zztype_cachez00;
														BgL_val1610z00_2114 =
															((BgL_typez00_bglt) BgL_xz00_2378);
													}
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1611z00_2113)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_val1610z00_2114), BUNSPEC);
												}
												{	/* Integrate/node.scm 361 */
													BgL_makezd2boxzd2_bglt BgL_arg3976z00_1777;

													{	/* Integrate/node.scm 361 */
														obj_t BgL_arg3977z00_1778;

														BgL_arg3977z00_1778 = CDR(BgL_bindingz00_1772);
														BgL_arg3976z00_1777 =
															BGl_azd2makezd2cellz00zzintegrate_nodez00(
															((BgL_nodez00_bglt) BgL_arg3977z00_1778),
															((BgL_variablez00_bglt) BgL_varz00_1773));
													}
													{	/* Integrate/node.scm 361 */
														obj_t BgL_pairz00_2116;
														obj_t BgL_objz00_2117;

														BgL_pairz00_2116 = BgL_bindingz00_1772;
														BgL_objz00_2117 = ((obj_t) BgL_arg3976z00_1777);
														SET_CDR(BgL_pairz00_2116, BgL_objz00_2117);
													}
												}
											}
										else
											{	/* Integrate/node.scm 358 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l3694z00_2984;

									BgL_l3694z00_2984 = CDR(BgL_l3694z00_1769);
									BgL_l3694z00_1769 = BgL_l3694z00_2984;
									goto BgL_zc3anonymousza33972ze3z83_1770;
								}
							}
						else
							{	/* Integrate/node.scm 354 */
								((bool_t) 1);
							}
					}
				}
				{	/* Integrate/node.scm 364 */
					BgL_nodez00_bglt BgL_arg3979z00_1781;

					{	/* Integrate/node.scm 364 */
						BgL_nodez00_bglt BgL_arg3980z00_1782;

						BgL_arg3980z00_1782 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1762)))->BgL_bodyz00);
						BgL_arg3979z00_1781 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3980z00_1782,
							((BgL_variablez00_bglt) BgL_integratorz00_1763));
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1762)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3979z00_1781), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1762);
			}
		}
	}



/* &glo!-let-fun3736 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun3736z70zzintegrate_nodez00(obj_t
		BgL_envz00_2204, BgL_letzd2funzd2_bglt BgL_nodez00_2205,
		obj_t BgL_integratorz00_2206)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 341 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1746;
				obj_t BgL_integratorz00_1747;

				BgL_nodez00_1746 = BgL_nodez00_2205;
				BgL_integratorz00_1747 = BgL_integratorz00_2206;
				{	/* Integrate/node.scm 343 */
					BgL_nodez00_bglt BgL_arg3967z00_1751;

					{	/* Integrate/node.scm 343 */
						BgL_nodez00_bglt BgL_arg3968z00_1752;

						BgL_arg3968z00_1752 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1746)))->BgL_bodyz00);
						BgL_arg3967z00_1751 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3968z00_1752,
							((BgL_variablez00_bglt) BgL_integratorz00_1747));
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1746)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3967z00_1751), BUNSPEC);
				}
				{	/* Integrate/node.scm 344 */
					obj_t BgL_g3693z00_1753;

					BgL_g3693z00_1753 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1746)))->BgL_localsz00);
					{
						obj_t BgL_l3691z00_1755;

						BgL_l3691z00_1755 = BgL_g3693z00_1753;
					BgL_zc3anonymousza33969ze3z83_1756:
						if (PAIRP(BgL_l3691z00_1755))
							{	/* Integrate/node.scm 344 */
								{	/* Integrate/node.scm 345 */
									obj_t BgL_localz00_1758;

									BgL_localz00_1758 = CAR(BgL_l3691z00_1755);
									BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_localz00_1758),
										((BgL_variablez00_bglt) BgL_integratorz00_1747));
								}
								{
									obj_t BgL_l3691z00_3007;

									BgL_l3691z00_3007 = CDR(BgL_l3691z00_1755);
									BgL_l3691z00_1755 = BgL_l3691z00_3007;
									goto BgL_zc3anonymousza33969ze3z83_1756;
								}
							}
						else
							{	/* Integrate/node.scm 344 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1746);
			}
		}
	}



/* &glo!-select3733 */
	BgL_nodez00_bglt BGl_z62gloz12zd2select3733za2zzintegrate_nodez00(obj_t
		BgL_envz00_2207, BgL_selectz00_bglt BgL_nodez00_2208,
		obj_t BgL_integratorz00_2209)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 330 */
			{
				BgL_selectz00_bglt BgL_nodez00_1728;
				obj_t BgL_integratorz00_1729;

				BgL_nodez00_1728 = BgL_nodez00_2208;
				BgL_integratorz00_1729 = BgL_integratorz00_2209;
				{	/* Integrate/node.scm 332 */
					BgL_nodez00_bglt BgL_arg3960z00_1733;

					{	/* Integrate/node.scm 332 */
						BgL_nodez00_bglt BgL_arg3961z00_1734;

						BgL_arg3961z00_1734 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1728)))->BgL_testz00);
						BgL_arg3960z00_1733 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3961z00_1734,
							((BgL_variablez00_bglt) BgL_integratorz00_1729));
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1728)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3960z00_1733), BUNSPEC);
				}
				{	/* Integrate/node.scm 333 */
					obj_t BgL_g3690z00_1735;

					BgL_g3690z00_1735 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1728)))->BgL_clausesz00);
					{
						obj_t BgL_l3688z00_1737;

						BgL_l3688z00_1737 = BgL_g3690z00_1735;
					BgL_zc3anonymousza33962ze3z83_1738:
						if (PAIRP(BgL_l3688z00_1737))
							{	/* Integrate/node.scm 333 */
								{	/* Integrate/node.scm 334 */
									obj_t BgL_clausez00_1740;

									BgL_clausez00_1740 = CAR(BgL_l3688z00_1737);
									{	/* Integrate/node.scm 334 */
										BgL_nodez00_bglt BgL_arg3964z00_1741;

										{	/* Integrate/node.scm 334 */
											obj_t BgL_arg3965z00_1742;

											BgL_arg3965z00_1742 = CDR(BgL_clausez00_1740);
											BgL_arg3964z00_1741 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg3965z00_1742),
												((BgL_variablez00_bglt) BgL_integratorz00_1729));
										}
										{	/* Integrate/node.scm 334 */
											obj_t BgL_pairz00_2094;
											obj_t BgL_objz00_2095;

											BgL_pairz00_2094 = BgL_clausez00_1740;
											BgL_objz00_2095 = ((obj_t) BgL_arg3964z00_1741);
											SET_CDR(BgL_pairz00_2094, BgL_objz00_2095);
										}
									}
								}
								{
									obj_t BgL_l3688z00_3027;

									BgL_l3688z00_3027 = CDR(BgL_l3688z00_1737);
									BgL_l3688z00_1737 = BgL_l3688z00_3027;
									goto BgL_zc3anonymousza33962ze3z83_1738;
								}
							}
						else
							{	/* Integrate/node.scm 333 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1728);
			}
		}
	}



/* &glo!-fail3731 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail3731za2zzintegrate_nodez00(obj_t
		BgL_envz00_2210, BgL_failz00_bglt BgL_nodez00_2211,
		obj_t BgL_integratorz00_2212)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 320 */
			{
				BgL_failz00_bglt BgL_nodez00_1716;
				obj_t BgL_integratorz00_1717;

				BgL_nodez00_1716 = BgL_nodez00_2211;
				BgL_integratorz00_1717 = BgL_integratorz00_2212;
				{	/* Integrate/node.scm 322 */
					BgL_nodez00_bglt BgL_arg3954z00_1721;

					{	/* Integrate/node.scm 322 */
						BgL_nodez00_bglt BgL_arg3955z00_1722;

						BgL_arg3955z00_1722 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1716)))->BgL_procz00);
						BgL_arg3954z00_1721 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3955z00_1722,
							((BgL_variablez00_bglt) BgL_integratorz00_1717));
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1716)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3954z00_1721), BUNSPEC);
				}
				{	/* Integrate/node.scm 323 */
					BgL_nodez00_bglt BgL_arg3956z00_1723;

					{	/* Integrate/node.scm 323 */
						BgL_nodez00_bglt BgL_arg3957z00_1724;

						BgL_arg3957z00_1724 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1716)))->BgL_msgz00);
						BgL_arg3956z00_1723 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3957z00_1724,
							((BgL_variablez00_bglt) BgL_integratorz00_1717));
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1716)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3956z00_1723), BUNSPEC);
				}
				{	/* Integrate/node.scm 324 */
					BgL_nodez00_bglt BgL_arg3958z00_1725;

					{	/* Integrate/node.scm 324 */
						BgL_nodez00_bglt BgL_arg3959z00_1726;

						BgL_arg3959z00_1726 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1716)))->BgL_objz00);
						BgL_arg3958z00_1725 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3959z00_1726,
							((BgL_variablez00_bglt) BgL_integratorz00_1717));
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1716)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3958z00_1725), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1716);
			}
		}
	}



/* &glo!-conditional3729 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional3729za2zzintegrate_nodez00(obj_t
		BgL_envz00_2213, BgL_conditionalz00_bglt BgL_nodez00_2214,
		obj_t BgL_integratorz00_2215)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 310 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1704;
				obj_t BgL_integratorz00_1705;

				BgL_nodez00_1704 = BgL_nodez00_2214;
				BgL_integratorz00_1705 = BgL_integratorz00_2215;
				{	/* Integrate/node.scm 312 */
					BgL_nodez00_bglt BgL_arg3948z00_1709;

					{	/* Integrate/node.scm 312 */
						BgL_nodez00_bglt BgL_arg3949z00_1710;

						BgL_arg3949z00_1710 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1704)))->BgL_testz00);
						BgL_arg3948z00_1709 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3949z00_1710,
							((BgL_variablez00_bglt) BgL_integratorz00_1705));
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1704)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3948z00_1709), BUNSPEC);
				}
				{	/* Integrate/node.scm 313 */
					BgL_nodez00_bglt BgL_arg3950z00_1711;

					{	/* Integrate/node.scm 313 */
						BgL_nodez00_bglt BgL_arg3951z00_1712;

						BgL_arg3951z00_1712 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1704)))->BgL_truez00);
						BgL_arg3950z00_1711 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3951z00_1712,
							((BgL_variablez00_bglt) BgL_integratorz00_1705));
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1704)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg3950z00_1711), BUNSPEC);
				}
				{	/* Integrate/node.scm 314 */
					BgL_nodez00_bglt BgL_arg3952z00_1713;

					{	/* Integrate/node.scm 314 */
						BgL_nodez00_bglt BgL_arg3953z00_1714;

						BgL_arg3953z00_1714 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1704)))->BgL_falsez00);
						BgL_arg3952z00_1713 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3953z00_1714,
							((BgL_variablez00_bglt) BgL_integratorz00_1705));
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1704)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg3952z00_1713), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1704);
			}
		}
	}



/* &glo!-setq3727 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq3727za2zzintegrate_nodez00(obj_t
		BgL_envz00_2216, BgL_setqz00_bglt BgL_nodez00_2217,
		obj_t BgL_integratorz00_2218)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 274 */
			{
				BgL_setqz00_bglt BgL_nodez00_1664;
				obj_t BgL_integratorz00_1665;

				BgL_nodez00_1664 = BgL_nodez00_2217;
				BgL_integratorz00_1665 = BgL_integratorz00_2218;
				{	/* Integrate/node.scm 276 */
					BgL_nodez00_bglt BgL_arg3924z00_1669;

					{	/* Integrate/node.scm 276 */
						BgL_nodez00_bglt BgL_arg3925z00_1670;

						BgL_arg3925z00_1670 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1664)))->BgL_valuez00);
						BgL_arg3924z00_1669 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3925z00_1670,
							((BgL_variablez00_bglt) BgL_integratorz00_1665));
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1664)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3924z00_1669), BUNSPEC);
				}
				{	/* Integrate/node.scm 277 */
					BgL_variablez00_bglt BgL_varz00_1671;

					{	/* Integrate/node.scm 277 */
						BgL_varz00_bglt BgL_obj2201z00_2042;

						BgL_obj2201z00_2042 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1664)))->BgL_varz00);
						BgL_varz00_1671 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_2042)))->BgL_variablez00);
					}
					{	/* Integrate/node.scm 278 */
						obj_t BgL_g3654z00_1672;

						BgL_g3654z00_1672 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_varz00_1671)))->BgL_fastzd2alphazd2);
						{
							BgL_variablez00_bglt BgL_varz00_1674;
							obj_t BgL_alphaz00_1675;

							BgL_varz00_1674 = BgL_varz00_1671;
							BgL_alphaz00_1675 = BgL_g3654z00_1672;
						BgL_zc3anonymousza33926ze3z83_1676:
							if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1675,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 280 */
									{	/* Integrate/node.scm 282 */
										BgL_varz00_bglt BgL_arg3928z00_1678;

										BgL_arg3928z00_1678 =
											(((BgL_setqz00_bglt) CREF(
													((obj_t) BgL_nodez00_1664)))->BgL_varz00);
										{	/* Integrate/node.scm 282 */
											BgL_variablez00_bglt BgL_val2202z00_2048;

											BgL_val2202z00_2048 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1675));
											((((BgL_varz00_bglt) CREF(
															((obj_t) BgL_arg3928z00_1678)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) BgL_val2202z00_2048), BUNSPEC);
										}
									}
									{	/* Integrate/node.scm 283 */
										obj_t BgL_arg3929z00_1679;

										{	/* Integrate/node.scm 283 */
											BgL_variablez00_bglt BgL_obj1618z00_2049;

											BgL_obj1618z00_2049 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1675));
											BgL_arg3929z00_1679 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1618z00_2049)))->
												BgL_fastzd2alphazd2);
										}
										{
											obj_t BgL_alphaz00_3095;
											BgL_variablez00_bglt BgL_varz00_3092;

											BgL_varz00_3092 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1675));
											BgL_alphaz00_3095 = BgL_arg3929z00_1679;
											BgL_alphaz00_1675 = BgL_alphaz00_3095;
											BgL_varz00_1674 = BgL_varz00_3092;
											goto BgL_zc3anonymousza33926ze3z83_1676;
										}
									}
								}
							else
								{	/* Integrate/node.scm 284 */
									BgL_variablez00_bglt BgL_varz00_1680;

									{	/* Integrate/node.scm 284 */
										BgL_varz00_bglt BgL_obj2201z00_2051;

										BgL_obj2201z00_2051 =
											(((BgL_setqz00_bglt) CREF(
													((obj_t) BgL_nodez00_1664)))->BgL_varz00);
										BgL_varz00_1680 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_obj2201z00_2051)))->BgL_variablez00);
									}
									{	/* Integrate/node.scm 285 */
										bool_t BgL_testz00_3100;

										{	/* Integrate/node.scm 285 */
											bool_t BgL_testz00_3101;

											{	/* Integrate/node.scm 285 */
												bool_t BgL_res4024z00_2053;

												{	/* Integrate/node.scm 285 */
													obj_t BgL_obj1853z00_2052;

													BgL_obj1853z00_2052 = ((obj_t) BgL_varz00_1680);
													BgL_res4024z00_2053 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1853z00_2052,
														BGl_localz00zzast_varz00);
												}
												BgL_testz00_3101 = BgL_res4024z00_2053;
											}
											if (BgL_testz00_3101)
												{	/* Integrate/node.scm 285 */
													BgL_testz00_3100 =
														BGl_integratezd2celledzf3z21zzintegrate_nodez00(
														((BgL_localz00_bglt) BgL_varz00_1680));
												}
											else
												{	/* Integrate/node.scm 285 */
													BgL_testz00_3100 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_3100)
											{	/* Integrate/node.scm 286 */
												BgL_localz00_bglt BgL_azd2varzd2_1682;
												obj_t BgL_locz00_1683;

												{	/* Integrate/node.scm 286 */
													BgL_typez00_bglt BgL_auxz00_3106;

													{	/* Integrate/node.scm 286 */
														obj_t BgL_xz00_2441;

														BgL_xz00_2441 = BGl_za2objza2z00zztype_cachez00;
														BgL_auxz00_3106 =
															((BgL_typez00_bglt) BgL_xz00_2441);
													}
													BgL_azd2varzd2_1682 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(CNST_TABLE_REF(((long) 5)), BgL_auxz00_3106);
												}
												{	/* Integrate/node.scm 287 */
													BgL_nodez00_bglt BgL_obj2136z00_2054;

													BgL_obj2136z00_2054 =
														((BgL_nodez00_bglt) BgL_nodez00_1664);
													BgL_locz00_1683 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2136z00_2054)))->BgL_locz00);
												}
												{	/* Integrate/node.scm 288 */
													obj_t BgL_val1616z00_2056;

													BgL_val1616z00_2056 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_varz00_1680)))->BgL_accessz00) =
														((obj_t) BgL_val1616z00_2056), BUNSPEC);
												}
												{	/* Integrate/node.scm 289 */
													BgL_varz00_bglt BgL_arg3931z00_1684;

													BgL_arg3931z00_1684 =
														(((BgL_setqz00_bglt) CREF(
																((obj_t) BgL_nodez00_1664)))->BgL_varz00);
													{	/* Integrate/node.scm 289 */
														BgL_nodez00_bglt BgL_obj2139z00_2058;
														BgL_typez00_bglt BgL_val2138z00_2059;

														BgL_obj2139z00_2058 =
															((BgL_nodez00_bglt) BgL_arg3931z00_1684);
														{	/* Integrate/node.scm 289 */
															obj_t BgL_xz00_2447;

															BgL_xz00_2447 = BGl_za2objza2z00zztype_cachez00;
															BgL_val2138z00_2059 =
																((BgL_typez00_bglt) BgL_xz00_2447);
														}
														((((BgL_nodez00_bglt) CREF(
																		((obj_t) BgL_obj2139z00_2058)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_val2138z00_2059),
															BUNSPEC);
												}}
												{	/* Integrate/node.scm 290 */
													BgL_svarz00_bglt BgL_obj3655z00_1685;

													BgL_obj3655z00_1685 =
														((BgL_svarz00_bglt)
														BGl_variablezd2valuezd2zzintegrate_nodez00(
															((BgL_variablez00_bglt) BgL_azd2varzd2_1682)));
													{	/* Integrate/node.scm 290 */
														obj_t BgL_arg3932z00_1686;

														BgL_arg3932z00_1686 =
															BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00
															(BUNSPEC, BUNSPEC, ((bool_t) 0), ((bool_t) 0));
														{	/* Integrate/node.scm 290 */
															BgL_objectz00_bglt BgL_auxz00_3126;

															BgL_auxz00_3126 =
																((BgL_objectz00_bglt) BgL_obj3655z00_1685);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3126,
																BgL_arg3932z00_1686);
													}}
													{	/* Integrate/node.scm 290 */
														long BgL_arg3933z00_1687;

														BgL_arg3933z00_1687 =
															BGl_classzd2numzd2zz__objectz00
															(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
														{	/* Integrate/node.scm 290 */
															BgL_objectz00_bglt BgL_objz00_2061;

															BgL_objz00_2061 =
																((BgL_objectz00_bglt) BgL_obj3655z00_1685);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2061,
																BgL_arg3933z00_1687);
													}} BgL_obj3655z00_1685;
												}
												{	/* Integrate/node.scm 294 */
													BgL_typez00_bglt BgL_arg3934z00_1688;
													obj_t BgL_arg3935z00_1689;
													BgL_boxzd2setz12zc0_bglt BgL_arg3936z00_1690;

													{	/* Integrate/node.scm 294 */
														BgL_typez00_bglt BgL_auxz00_3134;
														BgL_typez00_bglt BgL_auxz00_3132;

														{	/* Integrate/node.scm 294 */
															obj_t BgL_xz00_2453;

															BgL_xz00_2453 = BGl_za2_za2z00zztype_cachez00;
															BgL_auxz00_3134 =
																((BgL_typez00_bglt) BgL_xz00_2453);
														}
														{	/* Integrate/node.scm 294 */
															obj_t BgL_xz00_2452;

															BgL_xz00_2452 =
																BGl_za2unspecza2z00zztype_cachez00;
															BgL_auxz00_3132 =
																((BgL_typez00_bglt) BgL_xz00_2452);
														}
														BgL_arg3934z00_1688 =
															BGl_strictzd2nodezd2typez00zzast_nodez00
															(BgL_auxz00_3132, BgL_auxz00_3134);
													}
													{	/* Integrate/node.scm 295 */
														obj_t BgL_arg3937z00_1691;

														{	/* Integrate/node.scm 295 */
															BgL_nodez00_bglt BgL_arg3939z00_1693;

															BgL_arg3939z00_1693 =
																(((BgL_setqz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1664)))->BgL_valuez00);
															BgL_arg3937z00_1691 =
																MAKE_PAIR(
																((obj_t) BgL_azd2varzd2_1682),
																((obj_t) BgL_arg3939z00_1693));
														}
														{	/* Integrate/node.scm 295 */
															obj_t BgL_list3938z00_1692;

															BgL_list3938z00_1692 =
																MAKE_PAIR(BgL_arg3937z00_1691, BNIL);
															BgL_arg3935z00_1689 = BgL_list3938z00_1692;
													}}
													{	/* Integrate/node.scm 298 */
														BgL_typez00_bglt BgL_arg3940z00_1694;
														BgL_varz00_bglt BgL_arg3941z00_1695;
														BgL_varz00_bglt BgL_arg3942z00_1696;

														{	/* Integrate/node.scm 298 */
															BgL_typez00_bglt BgL_auxz00_3145;
															BgL_typez00_bglt BgL_auxz00_3143;

															{	/* Integrate/node.scm 298 */
																obj_t BgL_xz00_2458;

																BgL_xz00_2458 = BGl_za2_za2z00zztype_cachez00;
																BgL_auxz00_3145 =
																	((BgL_typez00_bglt) BgL_xz00_2458);
															}
															{	/* Integrate/node.scm 298 */
																obj_t BgL_xz00_2457;

																BgL_xz00_2457 =
																	BGl_za2unspecza2z00zztype_cachez00;
																BgL_auxz00_3143 =
																	((BgL_typez00_bglt) BgL_xz00_2457);
															}
															BgL_arg3940z00_1694 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_auxz00_3143, BgL_auxz00_3145);
														}
														BgL_arg3941z00_1695 =
															(((BgL_setqz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1664)))->BgL_varz00);
														{	/* Integrate/node.scm 303 */
															BgL_typez00_bglt BgL_arg3943z00_1697;

															{	/* Integrate/node.scm 303 */
																BgL_typez00_bglt BgL_arg3944z00_1698;

																{	/* Integrate/node.scm 303 */
																	BgL_variablez00_bglt BgL_obj1609z00_2067;

																	BgL_obj1609z00_2067 =
																		((BgL_variablez00_bglt)
																		BgL_azd2varzd2_1682);
																	BgL_arg3944z00_1698 =
																		(((BgL_variablez00_bglt) CREF(((obj_t)
																					BgL_obj1609z00_2067)))->BgL_typez00);
																}
																{	/* Integrate/node.scm 302 */
																	BgL_typez00_bglt BgL_auxz00_3153;

																	{	/* Integrate/node.scm 303 */
																		obj_t BgL_xz00_2462;

																		BgL_xz00_2462 =
																			BGl_za2_za2z00zztype_cachez00;
																		BgL_auxz00_3153 =
																			((BgL_typez00_bglt) BgL_xz00_2462);
																	}
																	BgL_arg3943z00_1697 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_arg3944z00_1698, BgL_auxz00_3153);
															}}
															BgL_arg3942z00_1696 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1683,
																BgL_arg3943z00_1697,
																((BgL_variablez00_bglt) BgL_azd2varzd2_1682));
														}
														BgL_arg3936z00_1690 =
															BGl_makezd2boxzd2setz12z12zzast_nodez00
															(BgL_locz00_1683, BgL_arg3940z00_1694,
															BgL_arg3941z00_1695,
															((BgL_nodez00_bglt) BgL_arg3942z00_1696));
													}
													{	/* Integrate/node.scm 292 */
														BgL_letzd2varzd2_bglt BgL_xz00_2466;

														BgL_xz00_2466 =
															BGl_makezd2letzd2varz00zzast_nodez00
															(BgL_locz00_1683, BgL_arg3934z00_1688, BUNSPEC,
															BINT(((long) -1)), BgL_arg3935z00_1689,
															((BgL_nodez00_bglt) BgL_arg3936z00_1690),
															((bool_t) 1));
														return ((BgL_nodez00_bglt) BgL_xz00_2466);
													}
												}
											}
										else
											{	/* Integrate/node.scm 285 */
												return ((BgL_nodez00_bglt) BgL_nodez00_1664);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &glo!-cast3725 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast3725za2zzintegrate_nodez00(obj_t
		BgL_envz00_2219, BgL_castz00_bglt BgL_nodez00_2220,
		obj_t BgL_integratorz00_2221)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 266 */
			{
				BgL_castz00_bglt BgL_nodez00_1657;
				obj_t BgL_integratorz00_1658;

				BgL_nodez00_1657 = BgL_nodez00_2220;
				BgL_integratorz00_1658 = BgL_integratorz00_2221;
				{	/* Integrate/node.scm 267 */
					BgL_nodez00_bglt BgL_arg3923z00_2036;

					BgL_arg3923z00_2036 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1657)))->BgL_argz00);
					BGl_gloz12z12zzintegrate_nodez00(BgL_arg3923z00_2036,
						((BgL_variablez00_bglt) BgL_integratorz00_1658));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1657);
			}
		}
	}



/* &glo!-extern3722 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern3722za2zzintegrate_nodez00(obj_t
		BgL_envz00_2222, BgL_externz00_bglt BgL_nodez00_2223,
		obj_t BgL_integratorz00_2224)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 258 */
			{
				BgL_externz00_bglt BgL_nodez00_1650;
				obj_t BgL_integratorz00_1651;

				BgL_nodez00_1650 = BgL_nodez00_2223;
				BgL_integratorz00_1651 = BgL_integratorz00_2224;
				{	/* Integrate/node.scm 259 */
					obj_t BgL_arg3922z00_2033;

					BgL_arg3922z00_2033 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1650)))->BgL_exprza2za2);
					BGl_gloza2z12zb0zzintegrate_nodez00(BgL_arg3922z00_2033,
						BgL_integratorz00_1651);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1650);
			}
		}
	}



/* &glo!-funcall3720 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall3720za2zzintegrate_nodez00(obj_t
		BgL_envz00_2225, BgL_funcallz00_bglt BgL_nodez00_2226,
		obj_t BgL_integratorz00_2227)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 249 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1641;
				obj_t BgL_integratorz00_1642;

				BgL_nodez00_1641 = BgL_nodez00_2226;
				BgL_integratorz00_1642 = BgL_integratorz00_2227;
				{	/* Integrate/node.scm 251 */
					BgL_nodez00_bglt BgL_arg3919z00_1646;

					{	/* Integrate/node.scm 251 */
						BgL_nodez00_bglt BgL_arg3920z00_1647;

						BgL_arg3920z00_1647 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1641)))->BgL_funz00);
						BgL_arg3919z00_1646 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3920z00_1647,
							((BgL_variablez00_bglt) BgL_integratorz00_1642));
					}
					((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1641)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3919z00_1646), BUNSPEC);
				}
				{	/* Integrate/node.scm 252 */
					obj_t BgL_arg3921z00_1648;

					BgL_arg3921z00_1648 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1641)))->BgL_argsz00);
					BGl_gloza2z12zb0zzintegrate_nodez00(BgL_arg3921z00_1648,
						BgL_integratorz00_1642);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1641);
			}
		}
	}



/* &glo!-app-ly3717 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly3717z70zzintegrate_nodez00(obj_t
		BgL_envz00_2228, BgL_appzd2lyzd2_bglt BgL_nodez00_2229,
		obj_t BgL_integratorz00_2230)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 240 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1631;
				obj_t BgL_integratorz00_1632;

				BgL_nodez00_1631 = BgL_nodez00_2229;
				BgL_integratorz00_1632 = BgL_integratorz00_2230;
				{	/* Integrate/node.scm 242 */
					BgL_nodez00_bglt BgL_arg3915z00_1636;

					{	/* Integrate/node.scm 242 */
						BgL_nodez00_bglt BgL_arg3916z00_1637;

						BgL_arg3916z00_1637 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1631)))->BgL_funz00);
						BgL_arg3915z00_1636 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3916z00_1637,
							((BgL_variablez00_bglt) BgL_integratorz00_1632));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1631)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3915z00_1636), BUNSPEC);
				}
				{	/* Integrate/node.scm 243 */
					BgL_nodez00_bglt BgL_arg3917z00_1638;

					{	/* Integrate/node.scm 243 */
						BgL_nodez00_bglt BgL_arg3918z00_1639;

						BgL_arg3918z00_1639 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1631)))->BgL_argz00);
						BgL_arg3917z00_1638 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg3918z00_1639,
							((BgL_variablez00_bglt) BgL_integratorz00_1632));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1631)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3917z00_1638), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1631);
			}
		}
	}



/* &glo!-app3715 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app3715za2zzintegrate_nodez00(obj_t
		BgL_envz00_2231, BgL_appz00_bglt BgL_nodez00_2232,
		obj_t BgL_integratorz00_2233)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 199 */
			{
				BgL_appz00_bglt BgL_nodez00_1585;
				obj_t BgL_integratorz00_1586;

				BgL_nodez00_1585 = BgL_nodez00_2232;
				BgL_integratorz00_1586 = BgL_integratorz00_2233;
				{	/* Integrate/node.scm 201 */
					BgL_variablez00_bglt BgL_funz00_1590;

					{	/* Integrate/node.scm 201 */
						BgL_varz00_bglt BgL_obj2201z00_1990;

						BgL_obj2201z00_1990 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1585)))->BgL_funz00);
						BgL_funz00_1590 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_1990)))->BgL_variablez00);
					}
					{	/* Integrate/node.scm 201 */
						BgL_valuez00_bglt BgL_infoz00_1591;

						BgL_infoz00_1591 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_funz00_1590)))->BgL_valuez00);
						{	/* Integrate/node.scm 202 */

							{	/* Integrate/node.scm 204 */
								bool_t BgL_testz00_3203;

								{	/* Integrate/node.scm 204 */
									bool_t BgL_testz00_3204;

									{	/* Integrate/node.scm 204 */
										bool_t BgL_res4018z00_1993;

										{	/* Integrate/node.scm 204 */
											obj_t BgL_obj1853z00_1992;

											BgL_obj1853z00_1992 = ((obj_t) BgL_funz00_1590);
											BgL_res4018z00_1993 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1853z00_1992,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_3204 = BgL_res4018z00_1993;
									}
									if (BgL_testz00_3204)
										{	/* Integrate/node.scm 204 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3551z00_1994;

											BgL_obj3551z00_1994 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_infoz00_1591);
											{
												obj_t BgL_auxz00_3208;

												{	/* Integrate/node.scm 204 */
													BgL_objectz00_bglt BgL_auxz00_3209;

													BgL_auxz00_3209 =
														((BgL_objectz00_bglt) BgL_obj3551z00_1994);
													BgL_auxz00_3208 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3209);
												}
												BgL_testz00_3203 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3208))->
													BgL_gzf3zf3);
											}
										}
									else
										{	/* Integrate/node.scm 204 */
											BgL_testz00_3203 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3203)
									{	/* Integrate/node.scm 207 */
										BgL_varz00_bglt BgL_arg3889z00_1593;

										{	/* Integrate/node.scm 207 */
											obj_t BgL_arg3890z00_1594;
											BgL_typez00_bglt BgL_arg3891z00_1595;
											obj_t BgL_arg3892z00_1596;

											{	/* Integrate/node.scm 207 */
												BgL_nodez00_bglt BgL_obj2136z00_1995;

												BgL_obj2136z00_1995 =
													((BgL_nodez00_bglt) BgL_nodez00_1585);
												BgL_arg3890z00_1594 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2136z00_1995)))->BgL_locz00);
											}
											{	/* Integrate/node.scm 208 */
												obj_t BgL_arg3893z00_1597;

												BgL_arg3893z00_1597 =
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
													((BgL_localz00_bglt) BgL_funz00_1590));
												{	/* Integrate/node.scm 208 */
													BgL_variablez00_bglt BgL_obj1609z00_1996;

													BgL_obj1609z00_1996 =
														((BgL_variablez00_bglt) BgL_arg3893z00_1597);
													BgL_arg3891z00_1595 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1609z00_1996)))->BgL_typez00);
												}
											}
											BgL_arg3892z00_1596 =
												BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
												((BgL_localz00_bglt) BgL_funz00_1590));
											BgL_arg3889z00_1593 =
												BGl_makezd2varzd2zzast_nodez00(BgL_arg3890z00_1594,
												BgL_arg3891z00_1595,
												((BgL_variablez00_bglt) BgL_arg3892z00_1596));
										}
										((((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_1585)))->BgL_funz00) =
											((BgL_varz00_bglt) BgL_arg3889z00_1593), BUNSPEC);
									}
								else
									{	/* Integrate/node.scm 204 */
										BFALSE;
									}
							}
							{
								obj_t BgL_nodesz00_1601;

								{	/* Integrate/node.scm 212 */
									obj_t BgL_arg3895z00_1600;

									BgL_arg3895z00_1600 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_nodez00_1585)))->BgL_argsz00);
									BgL_nodesz00_1601 = BgL_arg3895z00_1600;
								BgL_zc3anonymousza33896ze3z83_1602:
									if (NULLP(BgL_nodesz00_1601))
										{	/* Integrate/node.scm 213 */
											CNST_TABLE_REF(((long) 3));
										}
									else
										{	/* Integrate/node.scm 213 */
											{	/* Integrate/node.scm 216 */
												BgL_nodez00_bglt BgL_arg3898z00_1604;

												{	/* Integrate/node.scm 216 */
													obj_t BgL_arg3899z00_1605;

													BgL_arg3899z00_1605 = CAR(BgL_nodesz00_1601);
													BgL_arg3898z00_1604 =
														BGl_gloz12z12zzintegrate_nodez00(
														((BgL_nodez00_bglt) BgL_arg3899z00_1605),
														((BgL_variablez00_bglt) BgL_integratorz00_1586));
												}
												{	/* Integrate/node.scm 216 */
													obj_t BgL_pairz00_2002;
													obj_t BgL_objz00_2003;

													BgL_pairz00_2002 = BgL_nodesz00_1601;
													BgL_objz00_2003 = ((obj_t) BgL_arg3898z00_1604);
													SET_CAR(BgL_pairz00_2002, BgL_objz00_2003);
												}
											}
											{
												obj_t BgL_nodesz00_3238;

												BgL_nodesz00_3238 = CDR(BgL_nodesz00_1601);
												BgL_nodesz00_1601 = BgL_nodesz00_3238;
												goto BgL_zc3anonymousza33896ze3z83_1602;
											}
										}
								}
							}
							{	/* Integrate/node.scm 218 */
								bool_t BgL_testz00_3240;

								{	/* Integrate/node.scm 218 */
									bool_t BgL_testz00_3241;

									{	/* Integrate/node.scm 218 */
										bool_t BgL_res4020z00_2007;

										{	/* Integrate/node.scm 218 */
											obj_t BgL_obj1786z00_2006;

											BgL_obj1786z00_2006 = ((obj_t) BgL_funz00_1590);
											BgL_res4020z00_2007 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_2006,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_3241 = BgL_res4020z00_2007;
									}
									if (BgL_testz00_3241)
										{	/* Integrate/node.scm 218 */
											BgL_testz00_3240 = ((bool_t) 1);
										}
									else
										{	/* Integrate/node.scm 218 */
											bool_t BgL_testz00_3244;

											{	/* Integrate/node.scm 218 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3551z00_2008;

												BgL_obj3551z00_2008 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_infoz00_1591);
												{
													obj_t BgL_auxz00_3246;

													{	/* Integrate/node.scm 218 */
														BgL_objectz00_bglt BgL_auxz00_3247;

														BgL_auxz00_3247 =
															((BgL_objectz00_bglt) BgL_obj3551z00_2008);
														BgL_auxz00_3246 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3247);
													}
													BgL_testz00_3244 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_3246))->BgL_gzf3zf3);
												}
											}
											if (BgL_testz00_3244)
												{	/* Integrate/node.scm 218 */
													BgL_testz00_3240 = ((bool_t) 0);
												}
											else
												{	/* Integrate/node.scm 218 */
													BgL_testz00_3240 = ((bool_t) 1);
												}
										}
								}
								if (BgL_testz00_3240)
									{	/* Integrate/node.scm 218 */
										BFALSE;
									}
								else
									{	/* Integrate/node.scm 221 */
										obj_t BgL_g3642z00_1609;

										{	/* Integrate/node.scm 222 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3569z00_2009;

											BgL_obj3569z00_2009 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_infoz00_1591);
											{
												obj_t BgL_auxz00_3252;

												{	/* Integrate/node.scm 222 */
													BgL_objectz00_bglt BgL_auxz00_3253;

													BgL_auxz00_3253 =
														((BgL_objectz00_bglt) BgL_obj3569z00_2009);
													BgL_auxz00_3252 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3253);
												}
												BgL_g3642z00_1609 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3252))->
													BgL_kapturedz00);
											}
										}
										{
											obj_t BgL_newzd2actualszd2_1612;
											obj_t BgL_kapturedz00_1613;

											{	/* Integrate/node.scm 221 */
												obj_t BgL_arg3902z00_1611;

												BgL_arg3902z00_1611 =
													(((BgL_appz00_bglt) CREF(
															((obj_t) BgL_nodez00_1585)))->BgL_argsz00);
												BgL_newzd2actualszd2_1612 = BgL_arg3902z00_1611;
												BgL_kapturedz00_1613 = BgL_g3642z00_1609;
											BgL_zc3anonymousza33903ze3z83_1614:
												if (NULLP(BgL_kapturedz00_1613))
													{	/* Integrate/node.scm 223 */
														((((BgL_appz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1585)))->BgL_argsz00) =
															((obj_t) BgL_newzd2actualszd2_1612), BUNSPEC);
													}
												else
													{	/* Integrate/node.scm 225 */
														obj_t BgL_kapz00_1616;

														BgL_kapz00_1616 = CAR(BgL_kapturedz00_1613);
														{	/* Integrate/node.scm 225 */
															obj_t BgL_alphaz00_1617;

															{	/* Integrate/node.scm 226 */
																BgL_variablez00_bglt BgL_obj1618z00_2015;

																BgL_obj1618z00_2015 =
																	((BgL_variablez00_bglt) BgL_kapz00_1616);
																BgL_alphaz00_1617 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1618z00_2015)))->
																	BgL_fastzd2alphazd2);
															}
															{	/* Integrate/node.scm 226 */
																obj_t BgL_varz00_1618;

																if (BGl_iszd2azf3z21zz__objectz00
																	(BgL_alphaz00_1617, BGl_localz00zzast_varz00))
																	{	/* Integrate/node.scm 227 */
																		BgL_varz00_1618 = BgL_alphaz00_1617;
																	}
																else
																	{	/* Integrate/node.scm 227 */
																		BgL_varz00_1618 = BgL_kapz00_1616;
																	}
																{	/* Integrate/node.scm 227 */

																	{	/* Integrate/node.scm 229 */
																		obj_t BgL_arg3905z00_1619;
																		obj_t BgL_arg3906z00_1620;

																		{	/* Integrate/node.scm 229 */
																			BgL_varz00_bglt BgL_arg3907z00_1621;

																			{	/* Integrate/node.scm 229 */
																				obj_t BgL_arg3908z00_1622;
																				BgL_typez00_bglt BgL_arg3909z00_1623;

																				{	/* Integrate/node.scm 229 */
																					BgL_nodez00_bglt BgL_obj2136z00_2018;

																					BgL_obj2136z00_2018 =
																						((BgL_nodez00_bglt)
																						BgL_nodez00_1585);
																					BgL_arg3908z00_1622 =
																						(((BgL_nodez00_bglt) CREF(((obj_t)
																									BgL_obj2136z00_2018)))->
																						BgL_locz00);
																				}
																				{	/* Integrate/node.scm 231 */
																					BgL_typez00_bglt BgL_arg3910z00_1624;

																					{	/* Integrate/node.scm 231 */
																						BgL_variablez00_bglt
																							BgL_obj1609z00_2019;
																						BgL_obj1609z00_2019 =
																							((BgL_variablez00_bglt)
																							BgL_varz00_1618);
																						BgL_arg3910z00_1624 =
																							(((BgL_variablez00_bglt)
																								CREF(((obj_t)
																										BgL_obj1609z00_2019)))->
																							BgL_typez00);
																					}
																					{	/* Integrate/node.scm 230 */
																						BgL_typez00_bglt BgL_auxz00_3275;

																						{	/* Integrate/node.scm 231 */
																							obj_t BgL_xz00_2515;

																							BgL_xz00_2515 =
																								BGl_za2_za2z00zztype_cachez00;
																							BgL_auxz00_3275 =
																								((BgL_typez00_bglt)
																								BgL_xz00_2515);
																						}
																						BgL_arg3909z00_1623 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(BgL_arg3910z00_1624,
																							BgL_auxz00_3275);
																					}
																				}
																				BgL_arg3907z00_1621 =
																					BGl_makezd2varzd2zzast_nodez00
																					(BgL_arg3908z00_1622,
																					BgL_arg3909z00_1623,
																					((BgL_variablez00_bglt)
																						BgL_varz00_1618));
																			}
																			BgL_arg3905z00_1619 =
																				MAKE_PAIR(
																				((obj_t) BgL_arg3907z00_1621),
																				BgL_newzd2actualszd2_1612);
																		}
																		BgL_arg3906z00_1620 =
																			CDR(BgL_kapturedz00_1613);
																		{
																			obj_t BgL_kapturedz00_3284;
																			obj_t BgL_newzd2actualszd2_3283;

																			BgL_newzd2actualszd2_3283 =
																				BgL_arg3905z00_1619;
																			BgL_kapturedz00_3284 =
																				BgL_arg3906z00_1620;
																			BgL_kapturedz00_1613 =
																				BgL_kapturedz00_3284;
																			BgL_newzd2actualszd2_1612 =
																				BgL_newzd2actualszd2_3283;
																			goto BgL_zc3anonymousza33903ze3z83_1614;
																		}
																	}
																}
															}
														}
													}
											}
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1585);
						}
					}
				}
			}
		}
	}



/* &glo!-sequence3713 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence3713za2zzintegrate_nodez00(obj_t
		BgL_envz00_2234, BgL_sequencez00_bglt BgL_nodez00_2235,
		obj_t BgL_integratorz00_2236)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 191 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1578;
				obj_t BgL_integratorz00_1579;

				BgL_nodez00_1578 = BgL_nodez00_2235;
				BgL_integratorz00_1579 = BgL_integratorz00_2236;
				{	/* Integrate/node.scm 192 */
					obj_t BgL_arg3887z00_1987;

					BgL_arg3887z00_1987 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1578)))->BgL_nodesz00);
					BGl_gloza2z12zb0zzintegrate_nodez00(BgL_arg3887z00_1987,
						BgL_integratorz00_1579);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1578);
			}
		}
	}



/* &glo!-closure3711 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure3711za2zzintegrate_nodez00(obj_t
		BgL_envz00_2237, BgL_closurez00_bglt BgL_nodez00_2238,
		obj_t BgL_integratorz00_2239)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 185 */
			{
				BgL_closurez00_bglt BgL_nodez00_1572;
				obj_t BgL_integratorz00_1573;

				BgL_nodez00_1572 = BgL_nodez00_2238;
				BgL_integratorz00_1573 = BgL_integratorz00_2239;
				{	/* Integrate/node.scm 186 */
					obj_t BgL_arg3886z00_1985;

					BgL_arg3886z00_1985 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1572));
					{	/* Integrate/node.scm 186 */
						obj_t BgL_xz00_2523;

						BgL_xz00_2523 =
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string4054z00zzintegrate_nodez00,
							BGl_string4055z00zzintegrate_nodez00, BgL_arg3886z00_1985);
						return ((BgL_nodez00_bglt) BgL_xz00_2523);
					}
				}
			}
		}
	}



/* &glo!-var3709 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var3709za2zzintegrate_nodez00(obj_t
		BgL_envz00_2240, BgL_varz00_bglt BgL_nodez00_2241,
		obj_t BgL_integratorz00_2242)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 158 */
			{
				BgL_varz00_bglt BgL_nodez00_1558;
				obj_t BgL_integratorz00_1559;

				BgL_nodez00_1558 = BgL_nodez00_2241;
				BgL_integratorz00_1559 = BgL_integratorz00_2242;
				{	/* Integrate/node.scm 159 */
					BgL_variablez00_bglt BgL_variablez00_1562;

					BgL_variablez00_1562 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_nodez00_1558)))->BgL_variablez00);
					{	/* Integrate/node.scm 159 */
						obj_t BgL_alphaz00_1563;

						BgL_alphaz00_1563 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_variablez00_1562)))->BgL_fastzd2alphazd2);
						{	/* Integrate/node.scm 160 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1563,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 162 */
									{	/* Integrate/node.scm 163 */
										BgL_variablez00_bglt BgL_val2202z00_1972;

										BgL_val2202z00_1972 =
											((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_alphaz00_1563));
										((((BgL_varz00_bglt) CREF(
														((obj_t) BgL_nodez00_1558)))->BgL_variablez00) =
											((BgL_variablez00_bglt) BgL_val2202z00_1972), BUNSPEC);
									}
									{	/* Integrate/node.scm 164 */
										BgL_typez00_bglt BgL_arg3880z00_1565;

										{	/* Integrate/node.scm 164 */
											BgL_variablez00_bglt BgL_obj1609z00_1973;

											BgL_obj1609z00_1973 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1563));
											BgL_arg3880z00_1565 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1609z00_1973)))->BgL_typez00);
										}
										{	/* Integrate/node.scm 164 */
											BgL_nodez00_bglt BgL_obj2139z00_1974;

											BgL_obj2139z00_1974 =
												((BgL_nodez00_bglt) BgL_nodez00_1558);
											((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2139z00_1974)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg3880z00_1565), BUNSPEC);
										}
									}
									return
										BGl_gloz12z12zzintegrate_nodez00(
										((BgL_nodez00_bglt) BgL_nodez00_1558),
										((BgL_variablez00_bglt) BgL_integratorz00_1559));
								}
							else
								{	/* Integrate/node.scm 166 */
									bool_t BgL_testz00_3314;

									{	/* Integrate/node.scm 166 */
										bool_t BgL_res4017z00_1977;

										{	/* Integrate/node.scm 166 */
											obj_t BgL_obj1786z00_1976;

											BgL_obj1786z00_1976 = ((obj_t) BgL_variablez00_1562);
											BgL_res4017z00_1977 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1976,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_3314 = BgL_res4017z00_1977;
									}
									if (BgL_testz00_3314)
										{	/* Integrate/node.scm 166 */
											return ((BgL_nodez00_bglt) BgL_nodez00_1558);
										}
									else
										{	/* Integrate/node.scm 166 */
											if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
													((BgL_localz00_bglt) BgL_variablez00_1562)))
												{	/* Integrate/node.scm 168 */
													{	/* Integrate/node.scm 169 */
														obj_t BgL_val1616z00_1979;

														BgL_val1616z00_1979 = CNST_TABLE_REF(((long) 1));
														((((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_variablez00_1562)))->
																BgL_accessz00) =
															((obj_t) BgL_val1616z00_1979), BUNSPEC);
													}
													{	/* Integrate/node.scm 174 */
														BgL_nodez00_bglt BgL_obj2139z00_1980;
														BgL_typez00_bglt BgL_val2138z00_1981;

														BgL_obj2139z00_1980 =
															((BgL_nodez00_bglt) BgL_nodez00_1558);
														{	/* Integrate/node.scm 174 */
															obj_t BgL_xz00_2541;

															BgL_xz00_2541 = BGl_za2objza2z00zztype_cachez00;
															BgL_val2138z00_1981 =
																((BgL_typez00_bglt) BgL_xz00_2541);
														}
														((((BgL_nodez00_bglt) CREF(
																		((obj_t) BgL_obj2139z00_1980)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_val2138z00_1981),
															BUNSPEC);
													}
													{	/* Integrate/node.scm 176 */
														obj_t BgL_arg3883z00_1568;
														BgL_typez00_bglt BgL_arg3884z00_1569;

														{	/* Integrate/node.scm 176 */
															BgL_nodez00_bglt BgL_obj2136z00_1982;

															BgL_obj2136z00_1982 =
																((BgL_nodez00_bglt) BgL_nodez00_1558);
															BgL_arg3883z00_1568 =
																(((BgL_nodez00_bglt) CREF(
																		((obj_t) BgL_obj2136z00_1982)))->
																BgL_locz00);
														}
														{	/* Integrate/node.scm 177 */
															BgL_variablez00_bglt BgL_obj1609z00_1984;

															BgL_obj1609z00_1984 =
																(((BgL_varz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1558)))->
																BgL_variablez00);
															BgL_arg3884z00_1569 =
																(((BgL_variablez00_bglt) CREF(((obj_t)
																			BgL_obj1609z00_1984)))->BgL_typez00);
														}
														{	/* Integrate/node.scm 175 */
															BgL_boxzd2refzd2_bglt BgL_xz00_2547;

															BgL_xz00_2547 =
																BGl_makezd2boxzd2refz00zzast_nodez00
																(BgL_arg3883z00_1568, BgL_arg3884z00_1569,
																BUNSPEC, BINT(((long) -1)), BgL_nodez00_1558);
															return ((BgL_nodez00_bglt) BgL_xz00_2547);
														}
													}
												}
											else
												{	/* Integrate/node.scm 168 */
													return ((BgL_nodez00_bglt) BgL_nodez00_1558);
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* &glo!-kwote3707 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote3707za2zzintegrate_nodez00(obj_t
		BgL_envz00_2243, BgL_kwotez00_bglt BgL_nodez00_2244,
		obj_t BgL_integratorz00_2245)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 152 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2244);
		}
	}



/* &glo!-atom3705 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom3705za2zzintegrate_nodez00(obj_t
		BgL_envz00_2246, BgL_atomz00_bglt BgL_nodez00_2247,
		obj_t BgL_integratorz00_2248)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 146 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2247);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string4056z00zzintegrate_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
