/*===========================================================================*/
/*   (Object/struct.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/struct.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_structz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_savezd2slotzd2zzobject_structz00(obj_t, obj_t, obj_t, long,
		obj_t);
	extern obj_t
		BGl_makezd2indexedzd2initzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t BGl_genzd2structzd2ze3widezd2classz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_makezd2indexedzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_structz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t
		BGl_z62genzd2widezd2classzc3zd2ze3structz90zzobject_structz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static long BGl_slotszd2lengthzd2zzobject_structz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_structz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_restorezd2slotzd2zzobject_structz00(obj_t, obj_t, obj_t,
		BgL_typez00_bglt, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t
		BGl_z62genzd2plainzd2classzc3zd2ze3structz90zzobject_structz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzobject_structz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_structz00();
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_structz00();
	static obj_t BGl_genzd2structzd2ze3plainzd2classz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	static obj_t BGl_genzd2plainzd2classzd2ze3structz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_genzd2widezd2classzd2ze3structz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00
		(BgL_typez00_bglt, obj_t);
	extern obj_t BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzc3zd2ze3structzd2envz20zzobject_structz00,
		BgL_bgl_za762genza7d2plainza7d3002za7,
		BGl_z62genzd2plainzd2classzc3zd2ze3structz90zzobject_structz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzc3zd2ze3structzd2envz20zzobject_structz00,
		BgL_bgl_za762genza7d2wideza7d23003za7,
		BGl_z62genzd2widezd2classzc3zd2ze3structz90zzobject_structz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2996z00zzobject_structz00,
		BgL_bgl_string2996za700za7za7o3004za7, "((", 2);
	      DEFINE_STRING(BGl_string2997z00zzobject_structz00,
		BgL_bgl_string2997za700za7za7o3005za7, ")($1))", 6);
	      DEFINE_STRING(BGl_string2998z00zzobject_structz00,
		BgL_bgl_string2998za700za7za7o3006za7, "object_struct", 13);
	      DEFINE_STRING(BGl_string2999z00zzobject_structz00,
		BgL_bgl_string2999za700za7za7o3007za7,
		"object-class-num-set! class-num @ cast pragma new old object-widening-set! struct+object->object::object s::struct vector-ref-ur done o vector-length struct-ref s f ::long v i struct-key-set! struct-key call-next-method aux ::struct define-method make-struct quote object->struct::struct res obj let labels if begin +fx vector-set-ur! -ref =fx make-vector -len len loop j vec struct-set! - ",
		390);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long
		BgL_checksumz00_1399, char *BgL_fromz00_1400)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_structz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_structz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_structz00();
					BGl_cnstzd2initzd2zzobject_structz00();
					BGl_importedzd2moduleszd2initz00zzobject_structz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_struct");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_struct");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_struct");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			{	/* Object/struct.scm 15 */
				obj_t BgL_cportz00_1391;

				BgL_cportz00_1391 =
					bgl_open_input_string(BGl_string2999z00zzobject_structz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1392;

					BgL_iz00_1392 = ((long) 46);
				BgL_loopz00_1393:
					if ((BgL_iz00_1392 == ((long) -1)))
						{	/* Object/struct.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/struct.scm 15 */
							{	/* Object/struct.scm 15 */
								obj_t BgL_arg3001z00_1395;

								{	/* Object/struct.scm 15 */

									{	/* Object/struct.scm 15 */
										obj_t BgL_locationz00_1397;

										BgL_locationz00_1397 = BBOOL(((bool_t) 0));
										{	/* Object/struct.scm 15 */

											BgL_arg3001z00_1395 =
												BGl_readz00zz__readerz00(BgL_cportz00_1391,
												BgL_locationz00_1397);
										}
									}
								}
								{	/* Object/struct.scm 15 */
									int BgL_auxz00_1417;

									BgL_auxz00_1417 = (int) (BgL_iz00_1392);
									CNST_TABLE_SET(BgL_auxz00_1417, BgL_arg3001z00_1395);
							}}
							{	/* Object/struct.scm 15 */
								int BgL_auxz00_1398;

								BgL_auxz00_1398 = (int) ((BgL_iz00_1392 - ((long) 1)));
								{
									long BgL_iz00_1422;

									BgL_iz00_1422 = (long) (BgL_auxz00_1398);
									BgL_iz00_1392 = BgL_iz00_1422;
									goto BgL_loopz00_1393;
								}
							}
						}
				}
			}
		}
	}



/* gen-plain-class<->struct */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt
		BgL_classz00_3, obj_t BgL_srczd2defzd2_4)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 38 */
			{	/* Object/struct.scm 40 */
				bool_t BgL_testz00_1424;

				{	/* Object/struct.scm 40 */
					BgL_tclassz00_bglt BgL_obj2291z00_1204;

					BgL_obj2291z00_1204 = ((BgL_tclassz00_bglt) BgL_classz00_3);
					{
						obj_t BgL_auxz00_1426;

						{	/* Object/struct.scm 40 */
							BgL_objectz00_bglt BgL_auxz00_1427;

							BgL_auxz00_1427 = ((BgL_objectz00_bglt) BgL_obj2291z00_1204);
							BgL_auxz00_1426 = BGL_OBJECT_WIDENING(BgL_auxz00_1427);
						}
						BgL_testz00_1424 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1426))->
							BgL_abstractzf3zf3);
					}
				}
				if (BgL_testz00_1424)
					{	/* Object/struct.scm 40 */
						return BNIL;
					}
				else
					{	/* Object/struct.scm 42 */
						obj_t BgL_arg2557z00_602;
						obj_t BgL_arg2558z00_603;

						{	/* Object/struct.scm 42 */
							obj_t BgL_arg2561z00_606;
							obj_t BgL_arg2562z00_607;

							BgL_arg2561z00_606 =
								(((BgL_typez00_bglt) CREF(
										((obj_t) BgL_classz00_3)))->BgL_idz00);
							{	/* Object/struct.scm 42 */
								BgL_tclassz00_bglt BgL_obj2278z00_1206;

								BgL_obj2278z00_1206 = ((BgL_tclassz00_bglt) BgL_classz00_3);
								{
									obj_t BgL_auxz00_1434;

									{	/* Object/struct.scm 42 */
										BgL_objectz00_bglt BgL_auxz00_1435;

										BgL_auxz00_1435 =
											((BgL_objectz00_bglt) BgL_obj2278z00_1206);
										BgL_auxz00_1434 = BGL_OBJECT_WIDENING(BgL_auxz00_1435);
									}
									BgL_arg2562z00_607 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1434))->
										BgL_slotsz00);
								}
							}
							BgL_arg2557z00_602 =
								BGl_genzd2plainzd2classzd2ze3structz31zzobject_structz00
								(BgL_arg2561z00_606, BgL_classz00_3, BgL_arg2562z00_607,
								BgL_srczd2defzd2_4);
						}
						{	/* Object/struct.scm 43 */
							obj_t BgL_arg2563z00_608;
							obj_t BgL_arg2564z00_609;

							BgL_arg2563z00_608 =
								(((BgL_typez00_bglt) CREF(
										((obj_t) BgL_classz00_3)))->BgL_idz00);
							{	/* Object/struct.scm 43 */
								BgL_tclassz00_bglt BgL_obj2278z00_1208;

								BgL_obj2278z00_1208 = ((BgL_tclassz00_bglt) BgL_classz00_3);
								{
									obj_t BgL_auxz00_1443;

									{	/* Object/struct.scm 43 */
										BgL_objectz00_bglt BgL_auxz00_1444;

										BgL_auxz00_1444 =
											((BgL_objectz00_bglt) BgL_obj2278z00_1208);
										BgL_auxz00_1443 = BGL_OBJECT_WIDENING(BgL_auxz00_1444);
									}
									BgL_arg2564z00_609 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1443))->
										BgL_slotsz00);
								}
							}
							BgL_arg2558z00_603 =
								BGl_genzd2structzd2ze3plainzd2classz31zzobject_structz00
								(BgL_arg2563z00_608, BgL_classz00_3, BgL_arg2564z00_609,
								BgL_srczd2defzd2_4);
						}
						{	/* Object/struct.scm 42 */
							obj_t BgL_list2559z00_604;

							{	/* Object/struct.scm 42 */
								obj_t BgL_arg2560z00_605;

								BgL_arg2560z00_605 = MAKE_PAIR(BgL_arg2558z00_603, BNIL);
								BgL_list2559z00_604 =
									MAKE_PAIR(BgL_arg2557z00_602, BgL_arg2560z00_605);
							}
							return BgL_list2559z00_604;
						}
					}
			}
		}
	}



/* &gen-plain-class<->struct */
	obj_t BGl_z62genzd2plainzd2classzc3zd2ze3structz90zzobject_structz00(obj_t
		BgL_envz00_1328, obj_t BgL_classz00_1329, obj_t BgL_srczd2defzd2_1330)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 38 */
			return
				BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(
				((BgL_typez00_bglt) BgL_classz00_1329), BgL_srczd2defzd2_1330);
		}
	}



/* gen-wide-class<->struct */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt
		BgL_classz00_5, obj_t BgL_srczd2defzd2_6)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 48 */
			{	/* Object/struct.scm 50 */
				obj_t BgL_arg2565z00_611;
				obj_t BgL_arg2566z00_612;

				{	/* Object/struct.scm 50 */
					obj_t BgL_arg2569z00_615;
					obj_t BgL_arg2570z00_616;

					BgL_arg2569z00_615 =
						(((BgL_typez00_bglt) CREF(((obj_t) BgL_classz00_5)))->BgL_idz00);
					{	/* Object/struct.scm 50 */
						BgL_tclassz00_bglt BgL_obj2278z00_1212;

						BgL_obj2278z00_1212 = ((BgL_tclassz00_bglt) BgL_classz00_5);
						{
							obj_t BgL_auxz00_1456;

							{	/* Object/struct.scm 50 */
								BgL_objectz00_bglt BgL_auxz00_1457;

								BgL_auxz00_1457 = ((BgL_objectz00_bglt) BgL_obj2278z00_1212);
								BgL_auxz00_1456 = BGL_OBJECT_WIDENING(BgL_auxz00_1457);
							}
							BgL_arg2570z00_616 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1456))->BgL_slotsz00);
						}
					}
					BgL_arg2565z00_611 =
						BGl_genzd2widezd2classzd2ze3structz31zzobject_structz00
						(BgL_arg2569z00_615, BgL_classz00_5, BgL_arg2570z00_616,
						BgL_srczd2defzd2_6);
				}
				{	/* Object/struct.scm 51 */
					obj_t BgL_arg2571z00_617;
					obj_t BgL_arg2572z00_618;

					BgL_arg2571z00_617 =
						(((BgL_typez00_bglt) CREF(((obj_t) BgL_classz00_5)))->BgL_idz00);
					{	/* Object/struct.scm 51 */
						BgL_tclassz00_bglt BgL_obj2278z00_1214;

						BgL_obj2278z00_1214 = ((BgL_tclassz00_bglt) BgL_classz00_5);
						{
							obj_t BgL_auxz00_1465;

							{	/* Object/struct.scm 51 */
								BgL_objectz00_bglt BgL_auxz00_1466;

								BgL_auxz00_1466 = ((BgL_objectz00_bglt) BgL_obj2278z00_1214);
								BgL_auxz00_1465 = BGL_OBJECT_WIDENING(BgL_auxz00_1466);
							}
							BgL_arg2572z00_618 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1465))->BgL_slotsz00);
						}
					}
					BgL_arg2566z00_612 =
						BGl_genzd2structzd2ze3widezd2classz31zzobject_structz00
						(BgL_arg2571z00_617, BgL_classz00_5, BgL_arg2572z00_618,
						BgL_srczd2defzd2_6);
				}
				{	/* Object/struct.scm 50 */
					obj_t BgL_list2567z00_613;

					{	/* Object/struct.scm 50 */
						obj_t BgL_arg2568z00_614;

						BgL_arg2568z00_614 = MAKE_PAIR(BgL_arg2566z00_612, BNIL);
						BgL_list2567z00_613 =
							MAKE_PAIR(BgL_arg2565z00_611, BgL_arg2568z00_614);
					}
					return BgL_list2567z00_613;
				}
			}
		}
	}



/* &gen-wide-class<->struct */
	obj_t BGl_z62genzd2widezd2classzc3zd2ze3structz90zzobject_structz00(obj_t
		BgL_envz00_1331, obj_t BgL_classz00_1332, obj_t BgL_srczd2defzd2_1333)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 48 */
			return
				BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(
				((BgL_typez00_bglt) BgL_classz00_1332), BgL_srczd2defzd2_1333);
		}
	}



/* save-slot */
	obj_t BGl_savezd2slotzd2zzobject_structz00(obj_t BgL_onamez00_7,
		obj_t BgL_snamez00_8, obj_t BgL_cnamez00_9, long BgL_iz00_10,
		obj_t BgL_slotz00_11)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 56 */
			{

				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_11)))
					{	/* Object/struct.scm 84 */
						return BUNSPEC;
					}
				else
					{	/* Object/struct.scm 86 */
						bool_t BgL_testz00_1478;

						{	/* Object/struct.scm 86 */
							BgL_slotz00_bglt BgL_obj2501z00_1220;

							BgL_obj2501z00_1220 = ((BgL_slotz00_bglt) BgL_slotz00_11);
							BgL_testz00_1478 =
								CBOOL(
								(((BgL_slotz00_bglt) CREF(
											((obj_t) BgL_obj2501z00_1220)))->BgL_indexedz00));
						}
						if (BgL_testz00_1478)
							{	/* Object/struct.scm 86 */
								{	/* Object/struct.scm 63 */
									obj_t BgL_vecz00_635;
									obj_t BgL_jz00_636;
									obj_t BgL_loopz00_637;
									obj_t BgL_lenz00_638;

									BgL_vecz00_635 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												2)));
									BgL_jz00_636 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												3)));
									BgL_loopz00_637 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												4)));
									BgL_lenz00_638 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												5)));
									{	/* Object/struct.scm 67 */
										obj_t BgL_arg2589z00_639;

										{	/* Object/struct.scm 67 */
											obj_t BgL_arg2590z00_640;
											obj_t BgL_arg2591z00_641;

											{	/* Object/struct.scm 67 */
												obj_t BgL_arg2592z00_642;

												{	/* Object/struct.scm 67 */
													obj_t BgL_arg2593z00_643;

													{	/* Object/struct.scm 67 */
														obj_t BgL_arg2594z00_644;

														{	/* Object/struct.scm 67 */
															obj_t BgL_arg2595z00_645;
															obj_t BgL_arg2596z00_646;

															{	/* Object/struct.scm 67 */
																obj_t BgL_arg2597z00_647;

																{	/* Object/struct.scm 67 */
																	BgL_slotz00_bglt BgL_obj2485z00_1218;

																	BgL_obj2485z00_1218 =
																		((BgL_slotz00_bglt) BgL_slotz00_11);
																	BgL_arg2597z00_647 =
																		(((BgL_slotz00_bglt) CREF(
																				((obj_t) BgL_obj2485z00_1218)))->
																		BgL_idz00);
																}
																{	/* Object/struct.scm 67 */
																	obj_t BgL_list2598z00_648;

																	{	/* Object/struct.scm 67 */
																		obj_t BgL_arg2599z00_649;

																		{	/* Object/struct.scm 67 */
																			obj_t BgL_arg2600z00_650;

																			{	/* Object/struct.scm 67 */
																				obj_t BgL_arg2601z00_651;

																				BgL_arg2601z00_651 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																					BNIL);
																				BgL_arg2600z00_650 =
																					MAKE_PAIR(BgL_arg2597z00_647,
																					BgL_arg2601z00_651);
																			}
																			BgL_arg2599z00_649 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																				BgL_arg2600z00_650);
																		}
																		BgL_list2598z00_648 =
																			MAKE_PAIR(BgL_cnamez00_9,
																			BgL_arg2599z00_649);
																	}
																	BgL_arg2595z00_645 =
																		BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																		(BgL_list2598z00_648);
															}}
															BgL_arg2596z00_646 =
																MAKE_PAIR(BgL_onamez00_7, BNIL);
															BgL_arg2594z00_644 =
																MAKE_PAIR(BgL_arg2595z00_645,
																BgL_arg2596z00_646);
														}
														BgL_arg2593z00_643 =
															MAKE_PAIR(BgL_arg2594z00_644, BNIL);
													}
													BgL_arg2592z00_642 =
														MAKE_PAIR(BgL_lenz00_638, BgL_arg2593z00_643);
												}
												BgL_arg2590z00_640 =
													MAKE_PAIR(BgL_arg2592z00_642, BNIL);
											}
											{	/* Object/struct.scm 68 */
												obj_t BgL_arg2603z00_652;

												{	/* Object/struct.scm 68 */
													obj_t BgL_arg2604z00_653;

													{	/* Object/struct.scm 68 */
														obj_t BgL_arg2605z00_654;
														obj_t BgL_arg2607z00_655;

														{	/* Object/struct.scm 68 */
															obj_t BgL_arg2608z00_656;

															{	/* Object/struct.scm 68 */
																obj_t BgL_arg2609z00_657;

																{	/* Object/struct.scm 68 */
																	obj_t BgL_arg2610z00_658;

																	{	/* Object/struct.scm 68 */
																		obj_t BgL_arg2611z00_659;

																		BgL_arg2611z00_659 =
																			MAKE_PAIR(BgL_lenz00_638, BNIL);
																		BgL_arg2610z00_658 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
																			BgL_arg2611z00_659);
																	}
																	BgL_arg2609z00_657 =
																		MAKE_PAIR(BgL_arg2610z00_658, BNIL);
																}
																BgL_arg2608z00_656 =
																	MAKE_PAIR(BgL_vecz00_635, BgL_arg2609z00_657);
															}
															BgL_arg2605z00_654 =
																MAKE_PAIR(BgL_arg2608z00_656, BNIL);
														}
														{	/* Object/struct.scm 69 */
															obj_t BgL_arg2612z00_660;

															{	/* Object/struct.scm 69 */
																obj_t BgL_arg2613z00_661;

																{	/* Object/struct.scm 69 */
																	obj_t BgL_arg2614z00_662;
																	obj_t BgL_arg2615z00_663;

																	{	/* Object/struct.scm 69 */
																		obj_t BgL_arg2616z00_664;

																		{	/* Object/struct.scm 69 */
																			obj_t BgL_arg2617z00_665;

																			{	/* Object/struct.scm 69 */
																				obj_t BgL_arg2618z00_666;
																				obj_t BgL_arg2619z00_667;

																				BgL_arg2618z00_666 =
																					MAKE_PAIR(BgL_jz00_636, BNIL);
																				{	/* Object/struct.scm 69 */
																					obj_t BgL_arg2620z00_668;

																					{	/* Object/struct.scm 69 */
																						obj_t BgL_arg2621z00_669;

																						{	/* Object/struct.scm 69 */
																							obj_t BgL_arg2622z00_670;
																							obj_t BgL_arg2623z00_671;

																							{	/* Object/struct.scm 69 */
																								obj_t BgL_arg2624z00_672;

																								{	/* Object/struct.scm 69 */
																									obj_t BgL_arg2625z00_673;

																									BgL_arg2625z00_673 =
																										MAKE_PAIR(BgL_lenz00_638,
																										BNIL);
																									BgL_arg2624z00_672 =
																										MAKE_PAIR(BgL_jz00_636,
																										BgL_arg2625z00_673);
																								}
																								BgL_arg2622z00_670 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 8)),
																									BgL_arg2624z00_672);
																							}
																							{	/* Object/struct.scm 70 */
																								obj_t BgL_arg2626z00_674;
																								obj_t BgL_arg2627z00_675;

																								{	/* Object/struct.scm 70 */
																									obj_t BgL_arg2629z00_676;

																									{	/* Object/struct.scm 70 */
																										obj_t BgL_arg2630z00_677;

																										{	/* Object/struct.scm 70 */
																											obj_t BgL_arg2631z00_678;

																											BgL_arg2631z00_678 =
																												MAKE_PAIR
																												(BgL_vecz00_635, BNIL);
																											BgL_arg2630z00_677 =
																												MAKE_PAIR(BINT
																												(BgL_iz00_10),
																												BgL_arg2631z00_678);
																										}
																										BgL_arg2629z00_676 =
																											MAKE_PAIR(BgL_snamez00_8,
																											BgL_arg2630z00_677);
																									}
																									BgL_arg2626z00_674 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 1)),
																										BgL_arg2629z00_676);
																								}
																								{	/* Object/struct.scm 77 */
																									obj_t BgL_arg2633z00_679;

																									{	/* Object/struct.scm 77 */
																										obj_t BgL_arg2634z00_680;

																										{	/* Object/struct.scm 77 */
																											obj_t BgL_arg2635z00_681;
																											obj_t BgL_arg2636z00_682;

																											{	/* Object/struct.scm 77 */
																												obj_t
																													BgL_arg2637z00_683;
																												{	/* Object/struct.scm 77 */
																													obj_t
																														BgL_arg2638z00_684;
																													{	/* Object/struct.scm 77 */
																														obj_t
																															BgL_arg2639z00_685;
																														{	/* Object/struct.scm 77 */
																															obj_t
																																BgL_arg2640z00_686;
																															{	/* Object/struct.scm 77 */
																																obj_t
																																	BgL_arg2641z00_687;
																																obj_t
																																	BgL_arg2642z00_688;
																																{	/* Object/struct.scm 77 */
																																	obj_t
																																		BgL_arg2643z00_689;
																																	{	/* Object/struct.scm 77 */
																																		BgL_slotz00_bglt
																																			BgL_obj2485z00_1219;
																																		BgL_obj2485z00_1219
																																			=
																																			(
																																			(BgL_slotz00_bglt)
																																			BgL_slotz00_11);
																																		BgL_arg2643z00_689
																																			=
																																			(((BgL_slotz00_bglt) CREF(((obj_t) BgL_obj2485z00_1219)))->BgL_idz00);
																																	}
																																	{	/* Object/struct.scm 75 */
																																		obj_t
																																			BgL_list2644z00_690;
																																		{	/* Object/struct.scm 75 */
																																			obj_t
																																				BgL_arg2645z00_691;
																																			{	/* Object/struct.scm 75 */
																																				obj_t
																																					BgL_arg2646z00_692;
																																				{	/* Object/struct.scm 75 */
																																					obj_t
																																						BgL_arg2647z00_693;
																																					BgL_arg2647z00_693
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 9)), BNIL);
																																					BgL_arg2646z00_692
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2643z00_689,
																																						BgL_arg2647z00_693);
																																				}
																																				BgL_arg2645z00_691
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 0)), BgL_arg2646z00_692);
																																			}
																																			BgL_list2644z00_690
																																				=
																																				MAKE_PAIR
																																				(BgL_cnamez00_9,
																																				BgL_arg2645z00_691);
																																		}
																																		BgL_arg2641z00_687
																																			=
																																			BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																			(BgL_list2644z00_690);
																																}}
																																{	/* Object/struct.scm 75 */
																																	obj_t
																																		BgL_arg2648z00_694;
																																	BgL_arg2648z00_694
																																		=
																																		MAKE_PAIR
																																		(BgL_jz00_636,
																																		BNIL);
																																	BgL_arg2642z00_688
																																		=
																																		MAKE_PAIR
																																		(BgL_onamez00_7,
																																		BgL_arg2648z00_694);
																																}
																																BgL_arg2640z00_686
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2641z00_687,
																																	BgL_arg2642z00_688);
																															}
																															BgL_arg2639z00_685
																																=
																																MAKE_PAIR
																																(BgL_arg2640z00_686,
																																BNIL);
																														}
																														BgL_arg2638z00_684 =
																															MAKE_PAIR
																															(BgL_jz00_636,
																															BgL_arg2639z00_685);
																													}
																													BgL_arg2637z00_683 =
																														MAKE_PAIR
																														(BgL_vecz00_635,
																														BgL_arg2638z00_684);
																												}
																												BgL_arg2635z00_681 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 10)),
																													BgL_arg2637z00_683);
																											}
																											{	/* Object/struct.scm 81 */
																												obj_t
																													BgL_arg2650z00_695;
																												{	/* Object/struct.scm 81 */
																													obj_t
																														BgL_arg2651z00_696;
																													{	/* Object/struct.scm 81 */
																														obj_t
																															BgL_arg2652z00_697;
																														{	/* Object/struct.scm 81 */
																															obj_t
																																BgL_arg2653z00_698;
																															{	/* Object/struct.scm 81 */
																																obj_t
																																	BgL_arg2654z00_699;
																																BgL_arg2654z00_699
																																	=
																																	MAKE_PAIR(BINT
																																	(((long) 1)),
																																	BNIL);
																																BgL_arg2653z00_698
																																	=
																																	MAKE_PAIR
																																	(BgL_jz00_636,
																																	BgL_arg2654z00_699);
																															}
																															BgL_arg2652z00_697
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 11)),
																																BgL_arg2653z00_698);
																														}
																														BgL_arg2651z00_696 =
																															MAKE_PAIR
																															(BgL_arg2652z00_697,
																															BNIL);
																													}
																													BgL_arg2650z00_695 =
																														MAKE_PAIR
																														(BgL_loopz00_637,
																														BgL_arg2651z00_696);
																												}
																												BgL_arg2636z00_682 =
																													MAKE_PAIR
																													(BgL_arg2650z00_695,
																													BNIL);
																											}
																											BgL_arg2634z00_680 =
																												MAKE_PAIR
																												(BgL_arg2635z00_681,
																												BgL_arg2636z00_682);
																										}
																										BgL_arg2633z00_679 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 12)),
																											BgL_arg2634z00_680);
																									}
																									BgL_arg2627z00_675 =
																										MAKE_PAIR
																										(BgL_arg2633z00_679, BNIL);
																								}
																								BgL_arg2623z00_671 =
																									MAKE_PAIR(BgL_arg2626z00_674,
																									BgL_arg2627z00_675);
																							}
																							BgL_arg2621z00_669 =
																								MAKE_PAIR(BgL_arg2622z00_670,
																								BgL_arg2623z00_671);
																						}
																						BgL_arg2620z00_668 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									13)), BgL_arg2621z00_669);
																					}
																					BgL_arg2619z00_667 =
																						MAKE_PAIR(BgL_arg2620z00_668, BNIL);
																				}
																				BgL_arg2617z00_665 =
																					MAKE_PAIR(BgL_arg2618z00_666,
																					BgL_arg2619z00_667);
																			}
																			BgL_arg2616z00_664 =
																				MAKE_PAIR(BgL_loopz00_637,
																				BgL_arg2617z00_665);
																		}
																		BgL_arg2614z00_662 =
																			MAKE_PAIR(BgL_arg2616z00_664, BNIL);
																	}
																	{	/* Object/struct.scm 82 */
																		obj_t BgL_arg2656z00_700;

																		{	/* Object/struct.scm 82 */
																			obj_t BgL_arg2657z00_701;

																			BgL_arg2657z00_701 =
																				MAKE_PAIR(BINT(((long) 0)), BNIL);
																			BgL_arg2656z00_700 =
																				MAKE_PAIR(BgL_loopz00_637,
																				BgL_arg2657z00_701);
																		}
																		BgL_arg2615z00_663 =
																			MAKE_PAIR(BgL_arg2656z00_700, BNIL);
																	}
																	BgL_arg2613z00_661 =
																		MAKE_PAIR(BgL_arg2614z00_662,
																		BgL_arg2615z00_663);
																}
																BgL_arg2612z00_660 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																	BgL_arg2613z00_661);
															}
															BgL_arg2607z00_655 =
																MAKE_PAIR(BgL_arg2612z00_660, BNIL);
														}
														BgL_arg2604z00_653 =
															MAKE_PAIR(BgL_arg2605z00_654, BgL_arg2607z00_655);
													}
													BgL_arg2603z00_652 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
														BgL_arg2604z00_653);
												}
												BgL_arg2591z00_641 =
													MAKE_PAIR(BgL_arg2603z00_652, BNIL);
											}
											BgL_arg2589z00_639 =
												MAKE_PAIR(BgL_arg2590z00_640, BgL_arg2591z00_641);
										}
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
											BgL_arg2589z00_639);
							}}}
						else
							{	/* Object/struct.scm 86 */
								{	/* Object/struct.scm 60 */
									obj_t BgL_arg2577z00_624;

									{	/* Object/struct.scm 60 */
										obj_t BgL_arg2578z00_625;

										{	/* Object/struct.scm 60 */
											obj_t BgL_arg2579z00_626;

											{	/* Object/struct.scm 60 */
												obj_t BgL_arg2581z00_627;

												{	/* Object/struct.scm 60 */
													obj_t BgL_arg2582z00_628;
													obj_t BgL_arg2583z00_629;

													{	/* Object/struct.scm 60 */
														obj_t BgL_arg2584z00_630;

														{	/* Object/struct.scm 60 */
															BgL_slotz00_bglt BgL_obj2485z00_1217;

															BgL_obj2485z00_1217 =
																((BgL_slotz00_bglt) BgL_slotz00_11);
															BgL_arg2584z00_630 =
																(((BgL_slotz00_bglt) CREF(
																		((obj_t) BgL_obj2485z00_1217)))->BgL_idz00);
														}
														{	/* Object/struct.scm 60 */
															obj_t BgL_list2585z00_631;

															{	/* Object/struct.scm 60 */
																obj_t BgL_arg2586z00_632;

																{	/* Object/struct.scm 60 */
																	obj_t BgL_arg2587z00_633;

																	BgL_arg2587z00_633 =
																		MAKE_PAIR(BgL_arg2584z00_630, BNIL);
																	BgL_arg2586z00_632 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																		BgL_arg2587z00_633);
																}
																BgL_list2585z00_631 =
																	MAKE_PAIR(BgL_cnamez00_9, BgL_arg2586z00_632);
															}
															BgL_arg2582z00_628 =
																BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																(BgL_list2585z00_631);
													}}
													BgL_arg2583z00_629 = MAKE_PAIR(BgL_onamez00_7, BNIL);
													BgL_arg2581z00_627 =
														MAKE_PAIR(BgL_arg2582z00_628, BgL_arg2583z00_629);
												}
												BgL_arg2579z00_626 =
													MAKE_PAIR(BgL_arg2581z00_627, BNIL);
											}
											BgL_arg2578z00_625 =
												MAKE_PAIR(BINT(BgL_iz00_10), BgL_arg2579z00_626);
										}
										BgL_arg2577z00_624 =
											MAKE_PAIR(BgL_snamez00_8, BgL_arg2578z00_625);
									}
									return
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BgL_arg2577z00_624);
		}}}}}
	}



/* slots-length */
	long BGl_slotszd2lengthzd2zzobject_structz00(obj_t BgL_slotsz00_12)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 94 */
			{
				obj_t BgL_slotsz00_705;
				long BgL_lenz00_706;

				BgL_slotsz00_705 = BgL_slotsz00_12;
				BgL_lenz00_706 = ((long) 0);
			BgL_zc3anonymousza32658ze3z83_707:
				if (NULLP(BgL_slotsz00_705))
					{	/* Object/struct.scm 98 */
						return BgL_lenz00_706;
					}
				else
					{	/* Object/struct.scm 100 */
						bool_t BgL_testz00_1594;

						{	/* Object/struct.scm 100 */
							obj_t BgL_arg2664z00_713;

							BgL_arg2664z00_713 = CAR(BgL_slotsz00_705);
							BgL_testz00_1594 =
								BGl_slotzd2virtualzf3z21zzobject_slotsz00(
								((BgL_slotz00_bglt) BgL_arg2664z00_713));
						}
						if (BgL_testz00_1594)
							{
								obj_t BgL_slotsz00_1598;

								BgL_slotsz00_1598 = CDR(BgL_slotsz00_705);
								BgL_slotsz00_705 = BgL_slotsz00_1598;
								goto BgL_zc3anonymousza32658ze3z83_707;
							}
						else
							{
								long BgL_lenz00_1602;
								obj_t BgL_slotsz00_1600;

								BgL_slotsz00_1600 = CDR(BgL_slotsz00_705);
								BgL_lenz00_1602 = (((long) 1) + BgL_lenz00_706);
								BgL_lenz00_706 = BgL_lenz00_1602;
								BgL_slotsz00_705 = BgL_slotsz00_1600;
								goto BgL_zc3anonymousza32658ze3z83_707;
							}
					}
			}
		}
	}



/* gen-plain-class->struct */
	obj_t BGl_genzd2plainzd2classzd2ze3structz31zzobject_structz00(obj_t
		BgL_cnamez00_13, BgL_typez00_bglt BgL_typez00_14, obj_t BgL_slotsz00_15,
		obj_t BgL_srczd2defzd2_16)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 108 */
			{	/* Object/struct.scm 109 */
				long BgL_lenz00_715;
				obj_t BgL_onamez00_716;
				obj_t BgL_snamez00_717;

				BgL_lenz00_715 =
					(((long) 1) +
					BGl_slotszd2lengthzd2zzobject_structz00(BgL_slotsz00_15));
				BgL_onamez00_716 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)));
				BgL_snamez00_717 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)));
				{	/* Object/struct.scm 113 */
					obj_t BgL_arg2665z00_718;

					{	/* Object/struct.scm 113 */
						obj_t BgL_arg2666z00_719;

						{	/* Object/struct.scm 113 */
							obj_t BgL_arg2667z00_720;
							obj_t BgL_arg2668z00_721;

							{	/* Object/struct.scm 113 */
								obj_t BgL_arg2669z00_722;

								BgL_arg2669z00_722 =
									MAKE_PAIR(BGl_makezd2typedzd2identz00zzast_identz00
									(BgL_onamez00_716, BgL_cnamez00_13), BNIL);
								BgL_arg2667z00_720 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 18)), BgL_arg2669z00_722);
							}
							{	/* Object/struct.scm 114 */
								obj_t BgL_arg2671z00_724;

								{	/* Object/struct.scm 114 */
									obj_t BgL_arg2672z00_725;

									{	/* Object/struct.scm 114 */
										obj_t BgL_arg2673z00_726;
										obj_t BgL_arg2674z00_727;

										{	/* Object/struct.scm 114 */
											obj_t BgL_arg2675z00_728;

											{	/* Object/struct.scm 114 */
												obj_t BgL_arg2676z00_729;

												{	/* Object/struct.scm 114 */
													obj_t BgL_arg2677z00_730;

													{	/* Object/struct.scm 114 */
														obj_t BgL_arg2678z00_731;

														{	/* Object/struct.scm 114 */
															obj_t BgL_arg2679z00_732;
															obj_t BgL_arg2680z00_733;

															{	/* Object/struct.scm 114 */
																obj_t BgL_arg2681z00_734;

																BgL_arg2681z00_734 =
																	MAKE_PAIR(BgL_cnamez00_13, BNIL);
																BgL_arg2679z00_732 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg2681z00_734);
															}
															{	/* Object/struct.scm 114 */
																obj_t BgL_arg2683z00_735;

																BgL_arg2683z00_735 = MAKE_PAIR(BUNSPEC, BNIL);
																BgL_arg2680z00_733 =
																	MAKE_PAIR(BINT(BgL_lenz00_715),
																	BgL_arg2683z00_735);
															}
															BgL_arg2678z00_731 =
																MAKE_PAIR(BgL_arg2679z00_732,
																BgL_arg2680z00_733);
														}
														BgL_arg2677z00_730 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
															BgL_arg2678z00_731);
													}
													BgL_arg2676z00_729 =
														MAKE_PAIR(BgL_arg2677z00_730, BNIL);
												}
												BgL_arg2675z00_728 =
													MAKE_PAIR(BgL_snamez00_717, BgL_arg2676z00_729);
											}
											BgL_arg2673z00_726 = MAKE_PAIR(BgL_arg2675z00_728, BNIL);
										}
										{	/* Object/struct.scm 116 */
											obj_t BgL_arg2684z00_736;

											{	/* Object/struct.scm 116 */
												obj_t BgL_arg2685z00_737;

												{	/* Object/struct.scm 116 */
													obj_t BgL_arg2687z00_738;
													obj_t BgL_arg2688z00_739;

													{	/* Object/struct.scm 116 */
														obj_t BgL_arg2689z00_740;

														{	/* Object/struct.scm 116 */
															obj_t BgL_arg2690z00_741;

															{	/* Object/struct.scm 116 */
																obj_t BgL_arg2691z00_742;

																BgL_arg2691z00_742 = MAKE_PAIR(BFALSE, BNIL);
																BgL_arg2690z00_741 =
																	MAKE_PAIR(BINT(((long) 0)),
																	BgL_arg2691z00_742);
															}
															BgL_arg2689z00_740 =
																MAKE_PAIR(BgL_snamez00_717, BgL_arg2690z00_741);
														}
														BgL_arg2687z00_738 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
															BgL_arg2689z00_740);
													}
													{	/* Object/struct.scm 117 */
														obj_t BgL_arg2692z00_743;
														obj_t BgL_arg2693z00_744;

														{
															long BgL_iz00_747;
															obj_t BgL_slotsz00_748;
															obj_t BgL_resz00_749;

															BgL_iz00_747 = ((long) 1);
															BgL_slotsz00_748 = BgL_slotsz00_15;
															BgL_resz00_749 = BNIL;
														BgL_zc3anonymousza32694ze3z83_750:
															if ((BgL_iz00_747 == BgL_lenz00_715))
																{	/* Object/struct.scm 121 */
																	BgL_arg2692z00_743 =
																		bgl_reverse_bang(BgL_resz00_749);
																}
															else
																{	/* Object/struct.scm 123 */
																	bool_t BgL_testz00_1635;

																	{	/* Object/struct.scm 123 */
																		obj_t BgL_arg2705z00_760;

																		BgL_arg2705z00_760 = CAR(BgL_slotsz00_748);
																		BgL_testz00_1635 =
																			BGl_slotzd2virtualzf3z21zzobject_slotsz00(
																			((BgL_slotz00_bglt) BgL_arg2705z00_760));
																	}
																	if (BgL_testz00_1635)
																		{
																			obj_t BgL_slotsz00_1641;
																			long BgL_iz00_1639;

																			BgL_iz00_1639 =
																				(BgL_iz00_747 + ((long) 1));
																			BgL_slotsz00_1641 = CDR(BgL_slotsz00_748);
																			BgL_slotsz00_748 = BgL_slotsz00_1641;
																			BgL_iz00_747 = BgL_iz00_1639;
																			goto BgL_zc3anonymousza32694ze3z83_750;
																		}
																	else
																		{	/* Object/struct.scm 128 */
																			long BgL_arg2699z00_755;
																			obj_t BgL_arg2700z00_756;
																			obj_t BgL_arg2701z00_757;

																			BgL_arg2699z00_755 =
																				(BgL_iz00_747 + ((long) 1));
																			BgL_arg2700z00_756 =
																				CDR(BgL_slotsz00_748);
																			BgL_arg2701z00_757 =
																				MAKE_PAIR
																				(BGl_savezd2slotzd2zzobject_structz00
																				(BgL_onamez00_716, BgL_snamez00_717,
																					BgL_cnamez00_13, BgL_iz00_747,
																					CAR(BgL_slotsz00_748)),
																				BgL_resz00_749);
																			{
																				obj_t BgL_resz00_1650;
																				obj_t BgL_slotsz00_1649;
																				long BgL_iz00_1648;

																				BgL_iz00_1648 = BgL_arg2699z00_755;
																				BgL_slotsz00_1649 = BgL_arg2700z00_756;
																				BgL_resz00_1650 = BgL_arg2701z00_757;
																				BgL_resz00_749 = BgL_resz00_1650;
																				BgL_slotsz00_748 = BgL_slotsz00_1649;
																				BgL_iz00_747 = BgL_iz00_1648;
																				goto BgL_zc3anonymousza32694ze3z83_750;
																			}
																		}
																}
														}
														BgL_arg2693z00_744 =
															MAKE_PAIR(BgL_snamez00_717, BNIL);
														BgL_arg2688z00_739 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2692z00_743, BgL_arg2693z00_744);
													}
													BgL_arg2685z00_737 =
														MAKE_PAIR(BgL_arg2687z00_738, BgL_arg2688z00_739);
												}
												BgL_arg2684z00_736 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
													BgL_arg2685z00_737);
											}
											BgL_arg2674z00_727 = MAKE_PAIR(BgL_arg2684z00_736, BNIL);
										}
										BgL_arg2672z00_725 =
											MAKE_PAIR(BgL_arg2673z00_726, BgL_arg2674z00_727);
									}
									BgL_arg2671z00_724 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BgL_arg2672z00_725);
								}
								BgL_arg2668z00_721 = MAKE_PAIR(BgL_arg2671z00_724, BNIL);
							}
							BgL_arg2666z00_719 =
								MAKE_PAIR(BgL_arg2667z00_720, BgL_arg2668z00_721);
						}
						BgL_arg2665z00_718 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg2666z00_719);
					}
					return
						BGl_epairifyz00zztools_miscz00(BgL_arg2665z00_718,
						BgL_srczd2defzd2_16);
				}
			}
		}
	}



/* gen-wide-class->struct */
	obj_t BGl_genzd2widezd2classzd2ze3structz31zzobject_structz00(obj_t
		BgL_cnamez00_17, BgL_typez00_bglt BgL_typez00_18, obj_t BgL_slotsz00_19,
		obj_t BgL_srczd2defzd2_20)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 142 */
			{	/* Object/struct.scm 143 */
				long BgL_lenz00_763;

				BgL_lenz00_763 =
					BGl_slotszd2lengthzd2zzobject_structz00(BgL_slotsz00_19);
				{	/* Object/struct.scm 143 */
					obj_t BgL_onamez00_764;

					BgL_onamez00_764 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)));
					{	/* Object/struct.scm 144 */
						obj_t BgL_resz00_765;

						BgL_resz00_765 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)));
						{	/* Object/struct.scm 145 */
							obj_t BgL_tresz00_766;

							{	/* Object/struct.scm 146 */
								obj_t BgL_arg2762z00_829;

								{	/* Object/struct.scm 146 */
									obj_t BgL_arg2763z00_830;
									obj_t BgL_arg2764z00_831;

									{	/* Object/struct.scm 146 */
										obj_t BgL_res2975z00_1247;

										{	/* Object/struct.scm 146 */
											obj_t BgL_arg2069z00_1246;

											BgL_arg2069z00_1246 = SYMBOL_TO_STRING(BgL_resz00_765);
											BgL_res2975z00_1247 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_1246);
										}
										BgL_arg2763z00_830 = BgL_res2975z00_1247;
									}
									{	/* Object/struct.scm 146 */
										obj_t BgL_res2976z00_1250;

										{	/* Object/struct.scm 146 */
											obj_t BgL_symbolz00_1248;

											BgL_symbolz00_1248 = CNST_TABLE_REF(((long) 22));
											{	/* Object/struct.scm 146 */
												obj_t BgL_arg2069z00_1249;

												BgL_arg2069z00_1249 =
													SYMBOL_TO_STRING(BgL_symbolz00_1248);
												BgL_res2976z00_1250 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1249);
										}}
										BgL_arg2764z00_831 = BgL_res2976z00_1250;
									}
									BgL_arg2762z00_829 =
										string_append(BgL_arg2763z00_830, BgL_arg2764z00_831);
								}
								BgL_tresz00_766 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2762z00_829));
							}
							{	/* Object/struct.scm 146 */
								obj_t BgL_auxz00_767;

								BgL_auxz00_767 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											23)));
								{	/* Object/struct.scm 147 */

									{	/* Object/struct.scm 149 */
										obj_t BgL_arg2707z00_768;

										{	/* Object/struct.scm 149 */
											obj_t BgL_arg2708z00_769;

											{	/* Object/struct.scm 149 */
												obj_t BgL_arg2709z00_770;
												obj_t BgL_arg2710z00_771;

												{	/* Object/struct.scm 149 */
													obj_t BgL_arg2711z00_772;

													BgL_arg2711z00_772 =
														MAKE_PAIR(BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_onamez00_764, BgL_cnamez00_17), BNIL);
													BgL_arg2709z00_770 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg2711z00_772);
												}
												{	/* Object/struct.scm 150 */
													obj_t BgL_arg2713z00_774;

													{	/* Object/struct.scm 150 */
														obj_t BgL_arg2714z00_775;

														{	/* Object/struct.scm 150 */
															obj_t BgL_arg2715z00_776;
															obj_t BgL_arg2716z00_777;

															{	/* Object/struct.scm 150 */
																obj_t BgL_arg2717z00_778;

																{	/* Object/struct.scm 150 */
																	obj_t BgL_arg2718z00_779;

																	{	/* Object/struct.scm 150 */
																		obj_t BgL_arg2719z00_780;

																		BgL_arg2719z00_780 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 24)),
																			BNIL);
																		BgL_arg2718z00_779 =
																			MAKE_PAIR(BgL_arg2719z00_780, BNIL);
																	}
																	BgL_arg2717z00_778 =
																		MAKE_PAIR(BgL_tresz00_766,
																		BgL_arg2718z00_779);
																}
																BgL_arg2715z00_776 =
																	MAKE_PAIR(BgL_arg2717z00_778, BNIL);
															}
															{	/* Object/struct.scm 151 */
																obj_t BgL_arg2720z00_781;

																{	/* Object/struct.scm 151 */
																	obj_t BgL_arg2721z00_782;

																	{	/* Object/struct.scm 151 */
																		obj_t BgL_arg2722z00_783;
																		obj_t BgL_arg2723z00_784;

																		{	/* Object/struct.scm 151 */
																			obj_t BgL_arg2724z00_785;

																			{	/* Object/struct.scm 151 */
																				obj_t BgL_arg2725z00_786;

																				{	/* Object/struct.scm 151 */
																					obj_t BgL_arg2726z00_787;

																					{	/* Object/struct.scm 151 */
																						obj_t BgL_arg2727z00_788;

																						{	/* Object/struct.scm 151 */
																							obj_t BgL_arg2728z00_789;
																							obj_t BgL_arg2729z00_790;

																							{	/* Object/struct.scm 151 */
																								obj_t BgL_arg2730z00_791;

																								BgL_arg2730z00_791 =
																									MAKE_PAIR(BgL_cnamez00_17,
																									BNIL);
																								BgL_arg2728z00_789 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 19)),
																									BgL_arg2730z00_791);
																							}
																							{	/* Object/struct.scm 151 */
																								obj_t BgL_arg2731z00_792;

																								BgL_arg2731z00_792 =
																									MAKE_PAIR(BUNSPEC, BNIL);
																								BgL_arg2729z00_790 =
																									MAKE_PAIR(BINT
																									(BgL_lenz00_763),
																									BgL_arg2731z00_792);
																							}
																							BgL_arg2727z00_788 =
																								MAKE_PAIR(BgL_arg2728z00_789,
																								BgL_arg2729z00_790);
																						}
																						BgL_arg2726z00_787 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									20)), BgL_arg2727z00_788);
																					}
																					BgL_arg2725z00_786 =
																						MAKE_PAIR(BgL_arg2726z00_787, BNIL);
																				}
																				BgL_arg2724z00_785 =
																					MAKE_PAIR(BgL_auxz00_767,
																					BgL_arg2725z00_786);
																			}
																			BgL_arg2722z00_783 =
																				MAKE_PAIR(BgL_arg2724z00_785, BNIL);
																		}
																		{	/* Object/struct.scm 152 */
																			obj_t BgL_arg2732z00_793;
																			obj_t BgL_arg2733z00_794;

																			{
																				long BgL_iz00_797;
																				obj_t BgL_slotsz00_798;
																				obj_t BgL_resz00_799;

																				BgL_iz00_797 = ((long) 0);
																				BgL_slotsz00_798 = BgL_slotsz00_19;
																				BgL_resz00_799 = BNIL;
																			BgL_zc3anonymousza32734ze3z83_800:
																				if ((BgL_iz00_797 == BgL_lenz00_763))
																					{	/* Object/struct.scm 156 */
																						BgL_arg2732z00_793 =
																							bgl_reverse_bang(BgL_resz00_799);
																					}
																				else
																					{	/* Object/struct.scm 158 */
																						bool_t BgL_testz00_1704;

																						{	/* Object/struct.scm 158 */
																							obj_t BgL_arg2744z00_810;

																							BgL_arg2744z00_810 =
																								CAR(BgL_slotsz00_798);
																							BgL_testz00_1704 =
																								BGl_slotzd2virtualzf3z21zzobject_slotsz00
																								(((BgL_slotz00_bglt)
																									BgL_arg2744z00_810));
																						}
																						if (BgL_testz00_1704)
																							{
																								obj_t BgL_slotsz00_1710;
																								long BgL_iz00_1708;

																								BgL_iz00_1708 =
																									(BgL_iz00_797 + ((long) 1));
																								BgL_slotsz00_1710 =
																									CDR(BgL_slotsz00_798);
																								BgL_slotsz00_798 =
																									BgL_slotsz00_1710;
																								BgL_iz00_797 = BgL_iz00_1708;
																								goto
																									BgL_zc3anonymousza32734ze3z83_800;
																							}
																						else
																							{	/* Object/struct.scm 163 */
																								long BgL_arg2739z00_805;
																								obj_t BgL_arg2740z00_806;
																								obj_t BgL_arg2741z00_807;

																								BgL_arg2739z00_805 =
																									(BgL_iz00_797 + ((long) 1));
																								BgL_arg2740z00_806 =
																									CDR(BgL_slotsz00_798);
																								BgL_arg2741z00_807 =
																									MAKE_PAIR
																									(BGl_savezd2slotzd2zzobject_structz00
																									(BgL_onamez00_764,
																										BgL_auxz00_767,
																										BgL_cnamez00_17,
																										BgL_iz00_797,
																										CAR(BgL_slotsz00_798)),
																									BgL_resz00_799);
																								{
																									obj_t BgL_resz00_1719;
																									obj_t BgL_slotsz00_1718;
																									long BgL_iz00_1717;

																									BgL_iz00_1717 =
																										BgL_arg2739z00_805;
																									BgL_slotsz00_1718 =
																										BgL_arg2740z00_806;
																									BgL_resz00_1719 =
																										BgL_arg2741z00_807;
																									BgL_resz00_799 =
																										BgL_resz00_1719;
																									BgL_slotsz00_798 =
																										BgL_slotsz00_1718;
																									BgL_iz00_797 = BgL_iz00_1717;
																									goto
																										BgL_zc3anonymousza32734ze3z83_800;
																								}
																							}
																					}
																			}
																			{	/* Object/struct.scm 167 */
																				obj_t BgL_arg2745z00_812;
																				obj_t BgL_arg2746z00_813;

																				{	/* Object/struct.scm 167 */
																					obj_t BgL_arg2747z00_814;

																					{	/* Object/struct.scm 167 */
																						obj_t BgL_arg2748z00_815;

																						{	/* Object/struct.scm 167 */
																							obj_t BgL_arg2749z00_816;

																							BgL_arg2749z00_816 =
																								MAKE_PAIR(BgL_auxz00_767, BNIL);
																							BgL_arg2748z00_815 =
																								MAKE_PAIR(BINT(((long) 0)),
																								BgL_arg2749z00_816);
																						}
																						BgL_arg2747z00_814 =
																							MAKE_PAIR(BgL_resz00_765,
																							BgL_arg2748z00_815);
																					}
																					BgL_arg2745z00_812 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								1)), BgL_arg2747z00_814);
																				}
																				{	/* Object/struct.scm 169 */
																					obj_t BgL_arg2750z00_817;
																					obj_t BgL_arg2751z00_818;

																					{	/* Object/struct.scm 169 */
																						obj_t BgL_arg2752z00_819;

																						{	/* Object/struct.scm 169 */
																							obj_t BgL_arg2753z00_820;

																							{	/* Object/struct.scm 169 */
																								obj_t BgL_arg2754z00_821;

																								{	/* Object/struct.scm 169 */
																									obj_t BgL_arg2755z00_822;

																									BgL_arg2755z00_822 =
																										MAKE_PAIR(BgL_resz00_765,
																										BNIL);
																									BgL_arg2754z00_821 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 25)),
																										BgL_arg2755z00_822);
																								}
																								BgL_arg2753z00_820 =
																									MAKE_PAIR(BgL_arg2754z00_821,
																									BNIL);
																							}
																							BgL_arg2752z00_819 =
																								MAKE_PAIR(BgL_auxz00_767,
																								BgL_arg2753z00_820);
																						}
																						BgL_arg2750z00_817 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									26)), BgL_arg2752z00_819);
																					}
																					{	/* Object/struct.scm 170 */
																						obj_t BgL_arg2756z00_823;
																						obj_t BgL_arg2757z00_824;

																						{	/* Object/struct.scm 170 */
																							obj_t BgL_arg2758z00_825;

																							{	/* Object/struct.scm 170 */
																								obj_t BgL_arg2759z00_826;

																								{	/* Object/struct.scm 170 */
																									obj_t BgL_arg2760z00_827;

																									{	/* Object/struct.scm 170 */
																										obj_t BgL_arg2761z00_828;

																										BgL_arg2761z00_828 =
																											MAKE_PAIR(BgL_cnamez00_17,
																											BNIL);
																										BgL_arg2760z00_827 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 19)),
																											BgL_arg2761z00_828);
																									}
																									BgL_arg2759z00_826 =
																										MAKE_PAIR
																										(BgL_arg2760z00_827, BNIL);
																								}
																								BgL_arg2758z00_825 =
																									MAKE_PAIR(BgL_resz00_765,
																									BgL_arg2759z00_826);
																							}
																							BgL_arg2756z00_823 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										26)), BgL_arg2758z00_825);
																						}
																						BgL_arg2757z00_824 =
																							MAKE_PAIR(BgL_resz00_765, BNIL);
																						BgL_arg2751z00_818 =
																							MAKE_PAIR(BgL_arg2756z00_823,
																							BgL_arg2757z00_824);
																					}
																					BgL_arg2746z00_813 =
																						MAKE_PAIR(BgL_arg2750z00_817,
																						BgL_arg2751z00_818);
																				}
																				BgL_arg2733z00_794 =
																					MAKE_PAIR(BgL_arg2745z00_812,
																					BgL_arg2746z00_813);
																			}
																			BgL_arg2723z00_784 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2732z00_793,
																				BgL_arg2733z00_794);
																		}
																		BgL_arg2721z00_782 =
																			MAKE_PAIR(BgL_arg2722z00_783,
																			BgL_arg2723z00_784);
																	}
																	BgL_arg2720z00_781 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																		BgL_arg2721z00_782);
																}
																BgL_arg2716z00_777 =
																	MAKE_PAIR(BgL_arg2720z00_781, BNIL);
															}
															BgL_arg2714z00_775 =
																MAKE_PAIR(BgL_arg2715z00_776,
																BgL_arg2716z00_777);
														}
														BgL_arg2713z00_774 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
															BgL_arg2714z00_775);
													}
													BgL_arg2710z00_771 =
														MAKE_PAIR(BgL_arg2713z00_774, BNIL);
												}
												BgL_arg2708z00_769 =
													MAKE_PAIR(BgL_arg2709z00_770, BgL_arg2710z00_771);
											}
											BgL_arg2707z00_768 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
												BgL_arg2708z00_769);
										}
										return
											BGl_epairifyz00zztools_miscz00(BgL_arg2707z00_768,
											BgL_srczd2defzd2_20);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* restore-slot */
	obj_t BGl_restorezd2slotzd2zzobject_structz00(obj_t BgL_onamez00_21,
		obj_t BgL_snamez00_22, obj_t BgL_cnamez00_23,
		BgL_typez00_bglt BgL_typez00_24, long BgL_iz00_25, obj_t BgL_slotz00_26)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 178 */
			{	/* Object/struct.scm 179 */
				obj_t BgL_loopz00_832;

				BgL_loopz00_832 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 4)));
				{	/* Object/struct.scm 179 */
					obj_t BgL_runnerz00_833;

					BgL_runnerz00_833 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 27)));
					{	/* Object/struct.scm 180 */
						obj_t BgL_vz00_834;

						BgL_vz00_834 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28)));
						{	/* Object/struct.scm 181 */
							obj_t BgL_lenz00_835;

							BgL_lenz00_835 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
							{	/* Object/struct.scm 182 */
								obj_t BgL_runnerzd2typedzd2_836;

								{	/* Object/struct.scm 183 */
									obj_t BgL_arg2842z00_912;

									{	/* Object/struct.scm 183 */
										obj_t BgL_arg2843z00_913;
										obj_t BgL_arg2844z00_914;

										{	/* Object/struct.scm 183 */
											obj_t BgL_res2981z00_1268;

											{	/* Object/struct.scm 183 */
												obj_t BgL_arg2069z00_1267;

												BgL_arg2069z00_1267 =
													SYMBOL_TO_STRING(BgL_runnerz00_833);
												BgL_res2981z00_1268 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1267);
											}
											BgL_arg2843z00_913 = BgL_res2981z00_1268;
										}
										{	/* Object/struct.scm 183 */
											obj_t BgL_res2982z00_1271;

											{	/* Object/struct.scm 183 */
												obj_t BgL_symbolz00_1269;

												BgL_symbolz00_1269 = CNST_TABLE_REF(((long) 29));
												{	/* Object/struct.scm 183 */
													obj_t BgL_arg2069z00_1270;

													BgL_arg2069z00_1270 =
														SYMBOL_TO_STRING(BgL_symbolz00_1269);
													BgL_res2982z00_1271 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg2069z00_1270);
											}}
											BgL_arg2844z00_914 = BgL_res2982z00_1271;
										}
										BgL_arg2842z00_912 =
											string_append(BgL_arg2843z00_913, BgL_arg2844z00_914);
									}
									BgL_runnerzd2typedzd2_836 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg2842z00_912));
								}
								{	/* Object/struct.scm 183 */

									if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
											((BgL_slotz00_bglt) BgL_slotz00_26)))
										{	/* Object/struct.scm 185 */
											return BUNSPEC;
										}
									else
										{	/* Object/struct.scm 187 */
											bool_t BgL_testz00_1776;

											{	/* Object/struct.scm 187 */
												BgL_slotz00_bglt BgL_obj2501z00_1274;

												BgL_obj2501z00_1274 =
													((BgL_slotz00_bglt) BgL_slotz00_26);
												BgL_testz00_1776 =
													CBOOL(
													(((BgL_slotz00_bglt) CREF(
																((obj_t) BgL_obj2501z00_1274)))->
														BgL_indexedz00));
											}
											if (BgL_testz00_1776)
												{	/* Object/struct.scm 195 */
													obj_t BgL_fz00_839;

													BgL_fz00_839 =
														BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 30)));
													{	/* Object/struct.scm 195 */
														obj_t BgL_tfz00_840;

														{	/* Object/struct.scm 196 */
															obj_t BgL_arg2828z00_898;

															{	/* Object/struct.scm 196 */
																BgL_typez00_bglt BgL_obj1507z00_1276;

																{	/* Object/struct.scm 196 */
																	BgL_slotz00_bglt BgL_obj2489z00_1275;

																	BgL_obj2489z00_1275 =
																		((BgL_slotz00_bglt) BgL_slotz00_26);
																	BgL_obj1507z00_1276 =
																		((BgL_typez00_bglt)
																		(((BgL_slotz00_bglt) CREF(
																					((obj_t) BgL_obj2489z00_1275)))->
																			BgL_typez00));
																}
																BgL_arg2828z00_898 =
																	(((BgL_typez00_bglt) CREF(
																			((obj_t) BgL_obj1507z00_1276)))->
																	BgL_idz00);
															}
															BgL_tfz00_840 =
																BGl_makezd2typedzd2identz00zzast_identz00
																(BgL_fz00_839, BgL_arg2828z00_898);
														}
														{	/* Object/struct.scm 196 */

															{	/* Object/struct.scm 197 */
																obj_t BgL_arg2767z00_841;

																{	/* Object/struct.scm 197 */
																	obj_t BgL_arg2768z00_842;
																	obj_t BgL_arg2769z00_843;

																	{	/* Object/struct.scm 197 */
																		obj_t BgL_arg2770z00_844;

																		{	/* Object/struct.scm 197 */
																			obj_t BgL_arg2771z00_845;

																			{	/* Object/struct.scm 197 */
																				obj_t BgL_arg2772z00_846;

																				{	/* Object/struct.scm 197 */
																					obj_t BgL_arg2773z00_847;

																					{	/* Object/struct.scm 197 */
																						obj_t BgL_arg2774z00_848;

																						BgL_arg2774z00_848 =
																							MAKE_PAIR(BINT(BgL_iz00_25),
																							BNIL);
																						BgL_arg2773z00_847 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									31)), BgL_arg2774z00_848);
																					}
																					BgL_arg2772z00_846 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								32)), BgL_arg2773z00_847);
																				}
																				BgL_arg2771z00_845 =
																					MAKE_PAIR(BgL_arg2772z00_846, BNIL);
																			}
																			BgL_arg2770z00_844 =
																				MAKE_PAIR(BgL_vz00_834,
																				BgL_arg2771z00_845);
																		}
																		BgL_arg2768z00_842 =
																			MAKE_PAIR(BgL_arg2770z00_844, BNIL);
																	}
																	{	/* Object/struct.scm 198 */
																		obj_t BgL_arg2775z00_849;

																		{	/* Object/struct.scm 198 */
																			obj_t BgL_arg2776z00_850;

																			{	/* Object/struct.scm 198 */
																				obj_t BgL_arg2778z00_851;
																				obj_t BgL_arg2779z00_852;

																				{	/* Object/struct.scm 198 */
																					obj_t BgL_arg2780z00_853;

																					{	/* Object/struct.scm 198 */
																						obj_t BgL_arg2781z00_854;
																						obj_t BgL_arg2782z00_855;

																						{	/* Object/struct.scm 198 */
																							obj_t BgL_arg2783z00_856;

																							{	/* Object/struct.scm 198 */
																								obj_t BgL_arg2784z00_857;
																								obj_t BgL_arg2785z00_858;

																								{	/* Object/struct.scm 198 */
																									obj_t BgL_res2984z00_1279;

																									{	/* Object/struct.scm 198 */
																										obj_t BgL_arg2069z00_1278;

																										BgL_arg2069z00_1278 =
																											SYMBOL_TO_STRING
																											(BgL_lenz00_835);
																										BgL_res2984z00_1279 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2069z00_1278);
																									}
																									BgL_arg2784z00_857 =
																										BgL_res2984z00_1279;
																								}
																								{	/* Object/struct.scm 198 */
																									obj_t BgL_res2985z00_1282;

																									{	/* Object/struct.scm 198 */
																										obj_t BgL_symbolz00_1280;

																										BgL_symbolz00_1280 =
																											CNST_TABLE_REF(((long)
																												29));
																										{	/* Object/struct.scm 198 */
																											obj_t BgL_arg2069z00_1281;

																											BgL_arg2069z00_1281 =
																												SYMBOL_TO_STRING
																												(BgL_symbolz00_1280);
																											BgL_res2985z00_1282 =
																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																												(BgL_arg2069z00_1281);
																									}}
																									BgL_arg2785z00_858 =
																										BgL_res2985z00_1282;
																								}
																								BgL_arg2783z00_856 =
																									string_append
																									(BgL_arg2784z00_857,
																									BgL_arg2785z00_858);
																							}
																							BgL_arg2781z00_854 =
																								string_to_symbol
																								(BSTRING_TO_STRING
																								(BgL_arg2783z00_856));
																						}
																						{	/* Object/struct.scm 198 */
																							obj_t BgL_arg2787z00_859;

																							{	/* Object/struct.scm 198 */
																								obj_t BgL_arg2788z00_860;

																								BgL_arg2788z00_860 =
																									MAKE_PAIR(BgL_vz00_834, BNIL);
																								BgL_arg2787z00_859 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 33)),
																									BgL_arg2788z00_860);
																							}
																							BgL_arg2782z00_855 =
																								MAKE_PAIR(BgL_arg2787z00_859,
																								BNIL);
																						}
																						BgL_arg2780z00_853 =
																							MAKE_PAIR(BgL_arg2781z00_854,
																							BgL_arg2782z00_855);
																					}
																					BgL_arg2778z00_851 =
																						MAKE_PAIR(BgL_arg2780z00_853, BNIL);
																				}
																				{	/* Object/struct.scm 199 */
																					obj_t BgL_arg2789z00_861;
																					obj_t BgL_arg2790z00_862;

																					BgL_arg2789z00_861 =
																						BGl_makezd2indexedzd2initzd2setz12zc0zzobject_toolsz00
																						(BgL_typez00_24,
																						((BgL_slotz00_bglt) BgL_slotz00_26),
																						CNST_TABLE_REF(((long) 34)),
																						BgL_lenz00_835);
																					{	/* Object/struct.scm 201 */
																						obj_t BgL_arg2792z00_863;

																						{	/* Object/struct.scm 201 */
																							obj_t BgL_arg2793z00_864;

																							{	/* Object/struct.scm 201 */
																								obj_t BgL_arg2794z00_865;
																								obj_t BgL_arg2795z00_866;

																								{	/* Object/struct.scm 201 */
																									obj_t BgL_arg2796z00_867;

																									{	/* Object/struct.scm 201 */
																										obj_t BgL_arg2797z00_868;

																										{	/* Object/struct.scm 201 */
																											obj_t BgL_arg2798z00_869;
																											obj_t BgL_arg2799z00_870;

																											BgL_arg2798z00_869 =
																												MAKE_PAIR
																												(BgL_runnerzd2typedzd2_836,
																												BNIL);
																											{	/* Object/struct.scm 202 */
																												obj_t
																													BgL_arg2800z00_871;
																												{	/* Object/struct.scm 202 */
																													obj_t
																														BgL_arg2801z00_872;
																													{	/* Object/struct.scm 202 */
																														obj_t
																															BgL_arg2802z00_873;
																														obj_t
																															BgL_arg2803z00_874;
																														{	/* Object/struct.scm 202 */
																															obj_t
																																BgL_arg2804z00_875;
																															{	/* Object/struct.scm 202 */
																																obj_t
																																	BgL_arg2805z00_876;
																																BgL_arg2805z00_876
																																	=
																																	MAKE_PAIR
																																	(BgL_lenz00_835,
																																	BNIL);
																																BgL_arg2804z00_875
																																	=
																																	MAKE_PAIR
																																	(BgL_runnerz00_833,
																																	BgL_arg2805z00_876);
																															}
																															BgL_arg2802z00_873
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 8)),
																																BgL_arg2804z00_875);
																														}
																														{	/* Object/struct.scm 203 */
																															obj_t
																																BgL_arg2806z00_877;
																															obj_t
																																BgL_arg2807z00_878;
																															{	/* Object/struct.scm 203 */
																																obj_t
																																	BgL_arg2808z00_879;
																																BgL_arg2808z00_879
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 35)),
																																	BNIL);
																																BgL_arg2806z00_877
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 19)),
																																	BgL_arg2808z00_879);
																															}
																															{	/* Object/struct.scm 204 */
																																obj_t
																																	BgL_arg2809z00_880;
																																{	/* Object/struct.scm 204 */
																																	obj_t
																																		BgL_arg2810z00_881;
																																	{	/* Object/struct.scm 204 */
																																		obj_t
																																			BgL_arg2811z00_882;
																																		obj_t
																																			BgL_arg2812z00_883;
																																		{	/* Object/struct.scm 204 */
																																			obj_t
																																				BgL_arg2813z00_884;
																																			{	/* Object/struct.scm 204 */
																																				obj_t
																																					BgL_arg2814z00_885;
																																				{	/* Object/struct.scm 204 */
																																					obj_t
																																						BgL_arg2815z00_886;
																																					{	/* Object/struct.scm 204 */
																																						obj_t
																																							BgL_arg2816z00_887;
																																						{	/* Object/struct.scm 204 */
																																							obj_t
																																								BgL_arg2817z00_888;
																																							BgL_arg2817z00_888
																																								=
																																								MAKE_PAIR
																																								(BgL_runnerz00_833,
																																								BNIL);
																																							BgL_arg2816z00_887
																																								=
																																								MAKE_PAIR
																																								(BgL_vz00_834,
																																								BgL_arg2817z00_888);
																																						}
																																						BgL_arg2815z00_886
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 36)), BgL_arg2816z00_887);
																																					}
																																					BgL_arg2814z00_885
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2815z00_886,
																																						BNIL);
																																				}
																																				BgL_arg2813z00_884
																																					=
																																					MAKE_PAIR
																																					(BgL_tfz00_840,
																																					BgL_arg2814z00_885);
																																			}
																																			BgL_arg2811z00_882
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2813z00_884,
																																				BNIL);
																																		}
																																		{	/* Object/struct.scm 205 */
																																			obj_t
																																				BgL_arg2818z00_889;
																																			obj_t
																																				BgL_arg2819z00_890;
																																			BgL_arg2818z00_889
																																				=
																																				BGl_makezd2indexedzd2setz12z12zzobject_toolsz00
																																				(BgL_typez00_24,
																																				((BgL_slotz00_bglt) BgL_slotz00_26), CNST_TABLE_REF(((long) 34)), BgL_fz00_839, BgL_runnerz00_833);
																																			{	/* Object/struct.scm 211 */
																																				obj_t
																																					BgL_arg2820z00_891;
																																				{	/* Object/struct.scm 211 */
																																					obj_t
																																						BgL_arg2821z00_892;
																																					{	/* Object/struct.scm 211 */
																																						obj_t
																																							BgL_arg2822z00_893;
																																						{	/* Object/struct.scm 211 */
																																							obj_t
																																								BgL_arg2823z00_894;
																																							{	/* Object/struct.scm 211 */
																																								obj_t
																																									BgL_arg2824z00_895;
																																								BgL_arg2824z00_895
																																									=
																																									MAKE_PAIR
																																									(BINT
																																									(((long) 1)), BNIL);
																																								BgL_arg2823z00_894
																																									=
																																									MAKE_PAIR
																																									(BgL_runnerz00_833,
																																									BgL_arg2824z00_895);
																																							}
																																							BgL_arg2822z00_893
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 11)), BgL_arg2823z00_894);
																																						}
																																						BgL_arg2821z00_892
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2822z00_893,
																																							BNIL);
																																					}
																																					BgL_arg2820z00_891
																																						=
																																						MAKE_PAIR
																																						(BgL_loopz00_832,
																																						BgL_arg2821z00_892);
																																				}
																																				BgL_arg2819z00_890
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2820z00_891,
																																					BNIL);
																																			}
																																			BgL_arg2812z00_883
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2818z00_889,
																																				BgL_arg2819z00_890);
																																		}
																																		BgL_arg2810z00_881
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2811z00_882,
																																			BgL_arg2812z00_883);
																																	}
																																	BgL_arg2809z00_880
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				15)),
																																		BgL_arg2810z00_881);
																																}
																																BgL_arg2807z00_878
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2809z00_880,
																																	BNIL);
																															}
																															BgL_arg2803z00_874
																																=
																																MAKE_PAIR
																																(BgL_arg2806z00_877,
																																BgL_arg2807z00_878);
																														}
																														BgL_arg2801z00_872 =
																															MAKE_PAIR
																															(BgL_arg2802z00_873,
																															BgL_arg2803z00_874);
																													}
																													BgL_arg2800z00_871 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 13)),
																														BgL_arg2801z00_872);
																												}
																												BgL_arg2799z00_870 =
																													MAKE_PAIR
																													(BgL_arg2800z00_871,
																													BNIL);
																											}
																											BgL_arg2797z00_868 =
																												MAKE_PAIR
																												(BgL_arg2798z00_869,
																												BgL_arg2799z00_870);
																										}
																										BgL_arg2796z00_867 =
																											MAKE_PAIR(BgL_loopz00_832,
																											BgL_arg2797z00_868);
																									}
																									BgL_arg2794z00_865 =
																										MAKE_PAIR
																										(BgL_arg2796z00_867, BNIL);
																								}
																								{	/* Object/struct.scm 212 */
																									obj_t BgL_arg2825z00_896;

																									{	/* Object/struct.scm 212 */
																										obj_t BgL_arg2827z00_897;

																										BgL_arg2827z00_897 =
																											MAKE_PAIR(BINT(((long)
																													0)), BNIL);
																										BgL_arg2825z00_896 =
																											MAKE_PAIR(BgL_loopz00_832,
																											BgL_arg2827z00_897);
																									}
																									BgL_arg2795z00_866 =
																										MAKE_PAIR
																										(BgL_arg2825z00_896, BNIL);
																								}
																								BgL_arg2793z00_864 =
																									MAKE_PAIR(BgL_arg2794z00_865,
																									BgL_arg2795z00_866);
																							}
																							BgL_arg2792z00_863 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										14)), BgL_arg2793z00_864);
																						}
																						BgL_arg2790z00_862 =
																							MAKE_PAIR(BgL_arg2792z00_863,
																							BNIL);
																					}
																					BgL_arg2779z00_852 =
																						MAKE_PAIR(BgL_arg2789z00_861,
																						BgL_arg2790z00_862);
																				}
																				BgL_arg2776z00_850 =
																					MAKE_PAIR(BgL_arg2778z00_851,
																					BgL_arg2779z00_852);
																			}
																			BgL_arg2775z00_849 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																				BgL_arg2776z00_850);
																		}
																		BgL_arg2769z00_843 =
																			MAKE_PAIR(BgL_arg2775z00_849, BNIL);
																	}
																	BgL_arg2767z00_841 =
																		MAKE_PAIR(BgL_arg2768z00_842,
																		BgL_arg2769z00_843);
																}
																return
																	MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																	BgL_arg2767z00_841);
												}}}}
											else
												{	/* Object/struct.scm 214 */
													obj_t BgL_arg2830z00_900;

													{	/* Object/struct.scm 214 */
														obj_t BgL_arg2831z00_901;
														obj_t BgL_arg2832z00_902;

														{	/* Object/struct.scm 214 */
															obj_t BgL_arg2833z00_903;

															{	/* Object/struct.scm 214 */
																obj_t BgL_arg2834z00_904;
																obj_t BgL_arg2835z00_905;

																{	/* Object/struct.scm 214 */
																	obj_t BgL_arg2836z00_906;

																	{	/* Object/struct.scm 214 */
																		BgL_typez00_bglt BgL_obj1507z00_1286;

																		{	/* Object/struct.scm 214 */
																			BgL_slotz00_bglt BgL_obj2489z00_1285;

																			BgL_obj2489z00_1285 =
																				((BgL_slotz00_bglt) BgL_slotz00_26);
																			BgL_obj1507z00_1286 =
																				((BgL_typez00_bglt)
																				(((BgL_slotz00_bglt) CREF(
																							((obj_t) BgL_obj2489z00_1285)))->
																					BgL_typez00));
																		}
																		BgL_arg2836z00_906 =
																			(((BgL_typez00_bglt) CREF(
																					((obj_t) BgL_obj1507z00_1286)))->
																			BgL_idz00);
																	}
																	BgL_arg2834z00_904 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_vz00_834, BgL_arg2836z00_906);
																}
																{	/* Object/struct.scm 215 */
																	obj_t BgL_arg2838z00_908;

																	{	/* Object/struct.scm 215 */
																		obj_t BgL_arg2839z00_909;

																		{	/* Object/struct.scm 215 */
																			obj_t BgL_arg2840z00_910;

																			BgL_arg2840z00_910 =
																				MAKE_PAIR(BINT(BgL_iz00_25), BNIL);
																			BgL_arg2839z00_909 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 31)),
																				BgL_arg2840z00_910);
																		}
																		BgL_arg2838z00_908 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																			BgL_arg2839z00_909);
																	}
																	BgL_arg2835z00_905 =
																		MAKE_PAIR(BgL_arg2838z00_908, BNIL);
																}
																BgL_arg2833z00_903 =
																	MAKE_PAIR(BgL_arg2834z00_904,
																	BgL_arg2835z00_905);
															}
															BgL_arg2831z00_901 =
																MAKE_PAIR(BgL_arg2833z00_903, BNIL);
														}
														{	/* Object/struct.scm 216 */
															obj_t BgL_arg2841z00_911;

															BgL_arg2841z00_911 =
																BGl_makezd2directzd2setz12z12zzobject_toolsz00
																(BgL_typez00_24,
																((BgL_slotz00_bglt) BgL_slotz00_26),
																CNST_TABLE_REF(((long) 34)), BgL_vz00_834);
															BgL_arg2832z00_902 =
																MAKE_PAIR(BgL_arg2841z00_911, BNIL);
														}
														BgL_arg2830z00_900 =
															MAKE_PAIR(BgL_arg2831z00_901, BgL_arg2832z00_902);
													}
													return
														MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
														BgL_arg2830z00_900);
		}}}}}}}}}
	}



/* gen-struct->plain-class */
	obj_t BGl_genzd2structzd2ze3plainzd2classz31zzobject_structz00(obj_t
		BgL_cnamez00_27, BgL_typez00_bglt BgL_typez00_28, obj_t BgL_slotsz00_29,
		obj_t BgL_srczd2defzd2_30)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 227 */
			{	/* Object/struct.scm 229 */
				obj_t BgL_arg2845z00_915;

				{	/* Object/struct.scm 229 */
					obj_t BgL_arg2846z00_916;

					{	/* Object/struct.scm 229 */
						obj_t BgL_arg2847z00_917;
						obj_t BgL_arg2848z00_918;

						{	/* Object/struct.scm 229 */
							obj_t BgL_arg2849z00_919;

							{	/* Object/struct.scm 229 */
								obj_t BgL_arg2850z00_920;
								obj_t BgL_arg2851z00_921;

								BgL_arg2850z00_920 =
									BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF((
											(long) 34)), BgL_cnamez00_27);
								BgL_arg2851z00_921 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 37)), BNIL);
								BgL_arg2849z00_919 =
									MAKE_PAIR(BgL_arg2850z00_920, BgL_arg2851z00_921);
							}
							BgL_arg2847z00_917 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 38)), BgL_arg2849z00_919);
						}
						{	/* Object/struct.scm 232 */
							obj_t BgL_arg2852z00_922;

							{	/* Object/struct.scm 232 */
								obj_t BgL_arg2853z00_923;

								{	/* Object/struct.scm 232 */
									obj_t BgL_arg2854z00_924;
									obj_t BgL_arg2855z00_925;

									{	/* Object/struct.scm 232 */
										obj_t BgL_arg2856z00_926;

										{	/* Object/struct.scm 232 */
											obj_t BgL_arg2857z00_927;

											{	/* Object/struct.scm 232 */
												obj_t BgL_arg2858z00_928;

												{	/* Object/struct.scm 232 */
													obj_t BgL_arg2859z00_929;

													{	/* Object/struct.scm 232 */
														obj_t BgL_arg2860z00_930;

														BgL_arg2860z00_930 =
															MAKE_PAIR(BINT(((long) 0)), BNIL);
														BgL_arg2859z00_929 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 31)),
															BgL_arg2860z00_930);
													}
													BgL_arg2858z00_928 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
														BgL_arg2859z00_929);
												}
												BgL_arg2857z00_927 =
													MAKE_PAIR(BgL_arg2858z00_928, BNIL);
											}
											BgL_arg2856z00_926 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 34)),
												BgL_arg2857z00_927);
										}
										BgL_arg2854z00_924 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 39)),
											BgL_arg2856z00_926);
									}
									{	/* Object/struct.scm 233 */
										obj_t BgL_arg2861z00_931;
										obj_t BgL_arg2862z00_932;

										{
											long BgL_iz00_935;
											obj_t BgL_slotsz00_936;
											obj_t BgL_resz00_937;

											BgL_iz00_935 = ((long) 1);
											BgL_slotsz00_936 = BgL_slotsz00_29;
											BgL_resz00_937 = BNIL;
										BgL_zc3anonymousza32863ze3z83_938:
											if (NULLP(BgL_slotsz00_936))
												{	/* Object/struct.scm 237 */
													BgL_arg2861z00_931 = bgl_reverse_bang(BgL_resz00_937);
												}
											else
												{	/* Object/struct.scm 239 */
													bool_t BgL_testz00_1916;

													{	/* Object/struct.scm 239 */
														obj_t BgL_arg2872z00_948;

														BgL_arg2872z00_948 = CAR(BgL_slotsz00_936);
														BgL_testz00_1916 =
															BGl_slotzd2virtualzf3z21zzobject_slotsz00(
															((BgL_slotz00_bglt) BgL_arg2872z00_948));
													}
													if (BgL_testz00_1916)
														{
															obj_t BgL_slotsz00_1922;
															long BgL_iz00_1920;

															BgL_iz00_1920 = (BgL_iz00_935 + ((long) 1));
															BgL_slotsz00_1922 = CDR(BgL_slotsz00_936);
															BgL_slotsz00_936 = BgL_slotsz00_1922;
															BgL_iz00_935 = BgL_iz00_1920;
															goto BgL_zc3anonymousza32863ze3z83_938;
														}
													else
														{	/* Object/struct.scm 244 */
															obj_t BgL_newz00_943;

															{	/* Object/struct.scm 244 */
																obj_t BgL_arg2871z00_947;

																BgL_arg2871z00_947 = CAR(BgL_slotsz00_936);
																BgL_newz00_943 =
																	BGl_restorezd2slotzd2zzobject_structz00
																	(CNST_TABLE_REF(((long) 34)),
																	CNST_TABLE_REF(((long) 31)), BgL_cnamez00_27,
																	BgL_typez00_28, BgL_iz00_935,
																	BgL_arg2871z00_947);
															}
															{	/* Object/struct.scm 245 */
																long BgL_arg2868z00_944;
																obj_t BgL_arg2869z00_945;
																obj_t BgL_arg2870z00_946;

																BgL_arg2868z00_944 =
																	(BgL_iz00_935 + ((long) 1));
																BgL_arg2869z00_945 = CDR(BgL_slotsz00_936);
																BgL_arg2870z00_946 =
																	MAKE_PAIR(BgL_newz00_943, BgL_resz00_937);
																{
																	obj_t BgL_resz00_1933;
																	obj_t BgL_slotsz00_1932;
																	long BgL_iz00_1931;

																	BgL_iz00_1931 = BgL_arg2868z00_944;
																	BgL_slotsz00_1932 = BgL_arg2869z00_945;
																	BgL_resz00_1933 = BgL_arg2870z00_946;
																	BgL_resz00_937 = BgL_resz00_1933;
																	BgL_slotsz00_936 = BgL_slotsz00_1932;
																	BgL_iz00_935 = BgL_iz00_1931;
																	goto BgL_zc3anonymousza32863ze3z83_938;
																}
															}
														}
												}
										}
										BgL_arg2862z00_932 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 34)), BNIL);
										BgL_arg2855z00_925 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2861z00_931, BgL_arg2862z00_932);
									}
									BgL_arg2853z00_923 =
										MAKE_PAIR(BgL_arg2854z00_924, BgL_arg2855z00_925);
								}
								BgL_arg2852z00_922 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 12)), BgL_arg2853z00_923);
							}
							BgL_arg2848z00_918 = MAKE_PAIR(BgL_arg2852z00_922, BNIL);
						}
						BgL_arg2846z00_916 =
							MAKE_PAIR(BgL_arg2847z00_917, BgL_arg2848z00_918);
					}
					BgL_arg2845z00_915 =
						MAKE_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg2846z00_916);
				}
				return
					BGl_epairifyz00zztools_miscz00(BgL_arg2845z00_915,
					BgL_srczd2defzd2_30);
			}
		}
	}



/* gen-struct->wide-class */
	obj_t BGl_genzd2structzd2ze3widezd2classz31zzobject_structz00(obj_t
		BgL_cnamez00_31, BgL_typez00_bglt BgL_typez00_32, obj_t BgL_slotsz00_33,
		obj_t BgL_srczd2defzd2_34)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 254 */
			{	/* Object/struct.scm 255 */
				obj_t BgL_oldz00_950;

				BgL_oldz00_950 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)));
				{	/* Object/struct.scm 255 */
					long BgL_lenz00_951;

					BgL_lenz00_951 =
						BGl_slotszd2lengthzd2zzobject_structz00(BgL_slotsz00_33);
					{	/* Object/struct.scm 256 */
						obj_t BgL_auxz00_952;

						BgL_auxz00_952 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 23)));
						{	/* Object/struct.scm 257 */
							obj_t BgL_tauxz00_953;

							{	/* Object/struct.scm 258 */
								obj_t BgL_arg2947z00_1041;

								{	/* Object/struct.scm 258 */
									obj_t BgL_arg2948z00_1042;
									obj_t BgL_arg2949z00_1043;

									{	/* Object/struct.scm 258 */
										obj_t BgL_res2990z00_1301;

										{	/* Object/struct.scm 258 */
											obj_t BgL_arg2069z00_1300;

											BgL_arg2069z00_1300 = SYMBOL_TO_STRING(BgL_auxz00_952);
											BgL_res2990z00_1301 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_1300);
										}
										BgL_arg2948z00_1042 = BgL_res2990z00_1301;
									}
									{	/* Object/struct.scm 258 */
										obj_t BgL_res2991z00_1304;

										{	/* Object/struct.scm 258 */
											obj_t BgL_symbolz00_1302;

											BgL_symbolz00_1302 = CNST_TABLE_REF(((long) 22));
											{	/* Object/struct.scm 258 */
												obj_t BgL_arg2069z00_1303;

												BgL_arg2069z00_1303 =
													SYMBOL_TO_STRING(BgL_symbolz00_1302);
												BgL_res2991z00_1304 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1303);
										}}
										BgL_arg2949z00_1043 = BgL_res2991z00_1304;
									}
									BgL_arg2947z00_1041 =
										string_append(BgL_arg2948z00_1042, BgL_arg2949z00_1043);
								}
								BgL_tauxz00_953 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2947z00_1041));
							}
							{	/* Object/struct.scm 258 */
								obj_t BgL_newz00_954;

								BgL_newz00_954 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											41)));
								{	/* Object/struct.scm 259 */
									obj_t BgL_tidz00_955;

									BgL_tidz00_955 =
										(((BgL_typez00_bglt) CREF(
												((obj_t) BgL_typez00_32)))->BgL_idz00);
									{	/* Object/struct.scm 260 */
										BgL_globalz00_bglt BgL_holderz00_956;

										{	/* Object/struct.scm 261 */
											BgL_tclassz00_bglt BgL_obj2281z00_1308;

											BgL_obj2281z00_1308 =
												((BgL_tclassz00_bglt) BgL_typez00_32);
											{
												obj_t BgL_auxz00_1963;

												{	/* Object/struct.scm 261 */
													BgL_objectz00_bglt BgL_auxz00_1964;

													BgL_auxz00_1964 =
														((BgL_objectz00_bglt) BgL_obj2281z00_1308);
													BgL_auxz00_1963 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1964);
												}
												BgL_holderz00_956 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1963))->
													BgL_holderz00);
										}}
										{	/* Object/struct.scm 261 */
											obj_t BgL_wideningz00_957;

											{	/* Object/struct.scm 262 */
												obj_t BgL_arg2943z00_1037;

												{	/* Object/struct.scm 262 */
													BgL_tclassz00_bglt BgL_obj2282z00_1309;

													BgL_obj2282z00_1309 =
														((BgL_tclassz00_bglt) BgL_typez00_32);
													{
														obj_t BgL_auxz00_1969;

														{	/* Object/struct.scm 262 */
															BgL_objectz00_bglt BgL_auxz00_1970;

															BgL_auxz00_1970 =
																((BgL_objectz00_bglt) BgL_obj2282z00_1309);
															BgL_auxz00_1969 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1970);
														}
														BgL_arg2943z00_1037 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1969))->
															BgL_wideningz00);
												}}
												{	/* Object/struct.scm 262 */
													obj_t BgL_list2944z00_1038;

													{	/* Object/struct.scm 262 */
														obj_t BgL_arg2945z00_1039;

														{	/* Object/struct.scm 262 */
															obj_t BgL_arg2946z00_1040;

															BgL_arg2946z00_1040 =
																MAKE_PAIR(BgL_tidz00_955, BNIL);
															BgL_arg2945z00_1039 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																BgL_arg2946z00_1040);
														}
														BgL_list2944z00_1038 =
															MAKE_PAIR(BgL_arg2943z00_1037,
															BgL_arg2945z00_1039);
													}
													BgL_wideningz00_957 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list2944z00_1038);
											}}
											{	/* Object/struct.scm 262 */

												{
													BgL_typez00_bglt BgL_typez00_1023;
													obj_t BgL_exprz00_1024;

													{	/* Object/struct.scm 271 */
														obj_t BgL_arg2873z00_959;

														{	/* Object/struct.scm 271 */
															obj_t BgL_arg2874z00_960;

															{	/* Object/struct.scm 271 */
																obj_t BgL_arg2875z00_961;
																obj_t BgL_arg2876z00_962;

																{	/* Object/struct.scm 271 */
																	obj_t BgL_arg2877z00_963;

																	{	/* Object/struct.scm 271 */
																		obj_t BgL_arg2878z00_964;
																		obj_t BgL_arg2879z00_965;

																		BgL_arg2878z00_964 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(CNST_TABLE_REF(((long) 34)),
																			BgL_cnamez00_31);
																		BgL_arg2879z00_965 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 37)),
																			BNIL);
																		BgL_arg2877z00_963 =
																			MAKE_PAIR(BgL_arg2878z00_964,
																			BgL_arg2879z00_965);
																	}
																	BgL_arg2875z00_961 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
																		BgL_arg2877z00_963);
																}
																{	/* Object/struct.scm 273 */
																	obj_t BgL_arg2880z00_966;

																	{	/* Object/struct.scm 273 */
																		obj_t BgL_arg2881z00_967;

																		{	/* Object/struct.scm 273 */
																			obj_t BgL_arg2882z00_968;
																			obj_t BgL_arg2883z00_969;

																			{	/* Object/struct.scm 273 */
																				obj_t BgL_arg2884z00_970;
																				obj_t BgL_arg2885z00_971;

																				{	/* Object/struct.scm 273 */
																					obj_t BgL_arg2886z00_972;

																					{	/* Object/struct.scm 273 */
																						obj_t BgL_arg2887z00_973;

																						BgL_arg2887z00_973 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									24)), BNIL);
																						BgL_arg2886z00_972 =
																							MAKE_PAIR(BgL_arg2887z00_973,
																							BNIL);
																					}
																					BgL_arg2884z00_970 =
																						MAKE_PAIR(BgL_oldz00_950,
																						BgL_arg2886z00_972);
																				}
																				{	/* Object/struct.scm 274 */
																					obj_t BgL_arg2888z00_974;

																					{	/* Object/struct.scm 274 */
																						obj_t BgL_arg2889z00_975;

																						{	/* Object/struct.scm 274 */
																							obj_t BgL_arg2890z00_976;

																							{	/* Object/struct.scm 274 */
																								obj_t BgL_arg2891z00_977;

																								{	/* Object/struct.scm 274 */
																									obj_t BgL_arg2892z00_978;

																									BgL_arg2892z00_978 =
																										MAKE_PAIR(BINT(((long) 0)),
																										BNIL);
																									BgL_arg2891z00_977 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 31)),
																										BgL_arg2892z00_978);
																								}
																								BgL_arg2890z00_976 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 32)),
																									BgL_arg2891z00_977);
																							}
																							BgL_arg2889z00_975 =
																								MAKE_PAIR(BgL_arg2890z00_976,
																								BNIL);
																						}
																						BgL_arg2888z00_974 =
																							MAKE_PAIR(BgL_tauxz00_953,
																							BgL_arg2889z00_975);
																					}
																					BgL_arg2885z00_971 =
																						MAKE_PAIR(BgL_arg2888z00_974, BNIL);
																				}
																				BgL_arg2882z00_968 =
																					MAKE_PAIR(BgL_arg2884z00_970,
																					BgL_arg2885z00_971);
																			}
																			{	/* Object/struct.scm 275 */
																				obj_t BgL_arg2893z00_979;

																				{	/* Object/struct.scm 275 */
																					obj_t BgL_arg2894z00_980;

																					{	/* Object/struct.scm 275 */
																						obj_t BgL_arg2895z00_981;
																						obj_t BgL_arg2896z00_982;

																						{	/* Object/struct.scm 275 */
																							obj_t BgL_arg2897z00_983;

																							{	/* Object/struct.scm 275 */
																								obj_t BgL_arg2898z00_984;
																								obj_t BgL_arg2899z00_985;

																								BgL_arg2898z00_984 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_newz00_954,
																									BgL_tidz00_955);
																								{	/* Object/struct.scm 275 */
																									obj_t BgL_auxz00_2001;

																									BgL_typez00_1023 =
																										BgL_typez00_32;
																									BgL_exprz00_1024 =
																										BgL_oldz00_950;
																									{	/* Object/struct.scm 264 */
																										bool_t BgL_testz00_2002;

																										{	/* Object/struct.scm 264 */
																											obj_t BgL_arg2942z00_1035;

																											BgL_arg2942z00_1035 =
																												BGl_thezd2backendzd2zzbackend_backendz00
																												();
																											{	/* Object/struct.scm 264 */
																												BgL_backendz00_bglt
																													BgL_obj2201z00_1310;
																												BgL_obj2201z00_1310 =
																													((BgL_backendz00_bglt)
																													BgL_arg2942z00_1035);
																												BgL_testz00_2002 =
																													(((BgL_backendz00_bglt) CREF(((obj_t) BgL_obj2201z00_1310)))->BgL_pragmazd2supportzd2);
																										}}
																										if (BgL_testz00_2002)
																											{	/* Object/struct.scm 265 */
																												obj_t
																													BgL_arg2934z00_1027;
																												obj_t
																													BgL_arg2935z00_1028;
																												{	/* Object/struct.scm 265 */
																													obj_t
																														BgL_arg2936z00_1029;
																													BgL_arg2936z00_1029 =
																														(((BgL_typez00_bglt)
																															CREF(((obj_t)
																																	BgL_typez00_1023)))->
																														BgL_idz00);
																													BgL_arg2934z00_1027 =
																														BGl_makezd2typedzd2identz00zzast_identz00
																														(CNST_TABLE_REF((
																																(long) 42)),
																														BgL_arg2936z00_1029);
																												}
																												{	/* Object/struct.scm 266 */
																													obj_t
																														BgL_arg2937z00_1030;
																													obj_t
																														BgL_arg2938z00_1031;
																													{	/* Object/struct.scm 266 */
																														obj_t
																															BgL_arg2939z00_1032;
																														BgL_arg2939z00_1032
																															=
																															(((BgL_typez00_bglt) CREF(((obj_t) BgL_typez00_1023)))->BgL_namez00);
																														BgL_arg2937z00_1030
																															=
																															string_append_3
																															(BGl_string2996z00zzobject_structz00,
																															BgL_arg2939z00_1032,
																															BGl_string2997z00zzobject_structz00);
																													}
																													BgL_arg2938z00_1031 =
																														MAKE_PAIR
																														(BgL_exprz00_1024,
																														BNIL);
																													BgL_arg2935z00_1028 =
																														MAKE_PAIR
																														(BgL_arg2937z00_1030,
																														BgL_arg2938z00_1031);
																												}
																												BgL_auxz00_2001 =
																													MAKE_PAIR
																													(BgL_arg2934z00_1027,
																													BgL_arg2935z00_1028);
																											}
																										else
																											{	/* Object/struct.scm 268 */
																												obj_t
																													BgL_arg2940z00_1033;
																												BgL_arg2940z00_1033 =
																													(((BgL_typez00_bglt)
																														CREF(((obj_t)
																																BgL_typez00_1023)))->
																													BgL_idz00);
																												{	/* Object/struct.scm 268 */
																													obj_t
																														BgL_list2941z00_1034;
																													BgL_list2941z00_1034 =
																														MAKE_PAIR
																														(BgL_exprz00_1024,
																														BNIL);
																													BgL_auxz00_2001 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 43)),
																														BgL_arg2940z00_1033,
																														BgL_list2941z00_1034);
																									}}}
																									BgL_arg2899z00_985 =
																										MAKE_PAIR(BgL_auxz00_2001,
																										BNIL);
																								}
																								BgL_arg2897z00_983 =
																									MAKE_PAIR(BgL_arg2898z00_984,
																									BgL_arg2899z00_985);
																							}
																							BgL_arg2895z00_981 =
																								MAKE_PAIR(BgL_arg2897z00_983,
																								BNIL);
																						}
																						{	/* Object/struct.scm 279 */
																							obj_t BgL_arg2901z00_987;
																							obj_t BgL_arg2902z00_988;

																							{	/* Object/struct.scm 279 */
																								obj_t BgL_arg2903z00_989;

																								{	/* Object/struct.scm 279 */
																									obj_t BgL_arg2904z00_990;

																									{	/* Object/struct.scm 279 */
																										obj_t BgL_arg2905z00_991;

																										{	/* Object/struct.scm 279 */
																											obj_t BgL_arg2907z00_992;

																											{	/* Object/struct.scm 279 */
																												obj_t
																													BgL_arg2908z00_993;
																												{	/* Object/struct.scm 279 */
																													obj_t
																														BgL_arg2909z00_994;
																													{	/* Object/struct.scm 279 */
																														obj_t
																															BgL_arg2910z00_995;
																														obj_t
																															BgL_arg2911z00_996;
																														{	/* Object/struct.scm 279 */
																															BgL_variablez00_bglt
																																BgL_obj1605z00_1314;
																															BgL_obj1605z00_1314
																																=
																																(
																																(BgL_variablez00_bglt)
																																BgL_holderz00_956);
																															BgL_arg2910z00_995
																																=
																																(((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1605z00_1314)))->BgL_idz00);
																														}
																														{	/* Object/struct.scm 280 */
																															obj_t
																																BgL_arg2912z00_997;
																															BgL_arg2912z00_997
																																=
																																(((BgL_globalz00_bglt) CREF(((obj_t) BgL_holderz00_956)))->BgL_modulez00);
																															BgL_arg2911z00_996
																																=
																																MAKE_PAIR
																																(BgL_arg2912z00_997,
																																BNIL);
																														}
																														BgL_arg2909z00_994 =
																															MAKE_PAIR
																															(BgL_arg2910z00_995,
																															BgL_arg2911z00_996);
																													}
																													BgL_arg2908z00_993 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 44)),
																														BgL_arg2909z00_994);
																												}
																												BgL_arg2907z00_992 =
																													MAKE_PAIR
																													(BgL_arg2908z00_993,
																													BNIL);
																											}
																											BgL_arg2905z00_991 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 45)),
																												BgL_arg2907z00_992);
																										}
																										BgL_arg2904z00_990 =
																											MAKE_PAIR
																											(BgL_arg2905z00_991,
																											BNIL);
																									}
																									BgL_arg2903z00_989 =
																										MAKE_PAIR(BgL_newz00_954,
																										BgL_arg2904z00_990);
																								}
																								BgL_arg2901z00_987 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 46)),
																									BgL_arg2903z00_989);
																							}
																							{	/* Object/struct.scm 283 */
																								obj_t BgL_arg2913z00_998;
																								obj_t BgL_arg2914z00_999;

																								{	/* Object/struct.scm 283 */
																									obj_t BgL_arg2915z00_1000;

																									{	/* Object/struct.scm 283 */
																										obj_t BgL_arg2916z00_1001;

																										{	/* Object/struct.scm 283 */
																											obj_t BgL_arg2917z00_1002;

																											{	/* Object/struct.scm 283 */
																												obj_t
																													BgL_arg2918z00_1003;
																												{	/* Object/struct.scm 283 */
																													obj_t
																														BgL_arg2919z00_1004;
																													{
																														long BgL_iz00_1007;
																														obj_t
																															BgL_slotsz00_1008;
																														obj_t
																															BgL_refza2za2_1009;
																														BgL_iz00_1007 =
																															((long) 0);
																														BgL_slotsz00_1008 =
																															BgL_slotsz00_33;
																														BgL_refza2za2_1009 =
																															BNIL;
																													BgL_zc3anonymousza32920ze3z83_1010:
																														if (
																															(BgL_iz00_1007 ==
																																BgL_lenz00_951))
																															{	/* Object/struct.scm 287 */
																																BgL_arg2919z00_1004
																																	=
																																	bgl_reverse_bang
																																	(BgL_refza2za2_1009);
																															}
																														else
																															{	/* Object/struct.scm 289 */
																																bool_t
																																	BgL_testz00_2044;
																																{	/* Object/struct.scm 289 */
																																	obj_t
																																		BgL_arg2931z00_1021;
																																	BgL_arg2931z00_1021
																																		=
																																		CAR
																																		(BgL_slotsz00_1008);
																																	BgL_testz00_2044
																																		=
																																		BGl_slotzd2virtualzf3z21zzobject_slotsz00
																																		(((BgL_slotz00_bglt) BgL_arg2931z00_1021));
																																}
																																if (BgL_testz00_2044)
																																	{
																																		obj_t
																																			BgL_slotsz00_2050;
																																		long
																																			BgL_iz00_2048;
																																		BgL_iz00_2048
																																			=
																																			(BgL_iz00_1007
																																			+
																																			((long)
																																				1));
																																		BgL_slotsz00_2050
																																			=
																																			CDR
																																			(BgL_slotsz00_1008);
																																		BgL_slotsz00_1008
																																			=
																																			BgL_slotsz00_2050;
																																		BgL_iz00_1007
																																			=
																																			BgL_iz00_2048;
																																		goto
																																			BgL_zc3anonymousza32920ze3z83_1010;
																																	}
																																else
																																	{	/* Object/struct.scm 294 */
																																		long
																																			BgL_arg2925z00_1015;
																																		obj_t
																																			BgL_arg2926z00_1016;
																																		obj_t
																																			BgL_arg2927z00_1017;
																																		BgL_arg2925z00_1015
																																			=
																																			(BgL_iz00_1007
																																			+
																																			((long)
																																				1));
																																		BgL_arg2926z00_1016
																																			=
																																			CDR
																																			(BgL_slotsz00_1008);
																																		{	/* Object/struct.scm 296 */
																																			obj_t
																																				BgL_arg2928z00_1018;
																																			{	/* Object/struct.scm 296 */
																																				obj_t
																																					BgL_arg2929z00_1019;
																																				{	/* Object/struct.scm 296 */
																																					obj_t
																																						BgL_arg2930z00_1020;
																																					BgL_arg2930z00_1020
																																						=
																																						MAKE_PAIR
																																						(BINT
																																						(BgL_iz00_1007),
																																						BNIL);
																																					BgL_arg2929z00_1019
																																						=
																																						MAKE_PAIR
																																						(BgL_auxz00_952,
																																						BgL_arg2930z00_1020);
																																				}
																																				BgL_arg2928z00_1018
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 32)), BgL_arg2929z00_1019);
																																			}
																																			BgL_arg2927z00_1017
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2928z00_1018,
																																				BgL_refza2za2_1009);
																																		}
																																		{
																																			obj_t
																																				BgL_refza2za2_2062;
																																			obj_t
																																				BgL_slotsz00_2061;
																																			long
																																				BgL_iz00_2060;
																																			BgL_iz00_2060
																																				=
																																				BgL_arg2925z00_1015;
																																			BgL_slotsz00_2061
																																				=
																																				BgL_arg2926z00_1016;
																																			BgL_refza2za2_2062
																																				=
																																				BgL_arg2927z00_1017;
																																			BgL_refza2za2_1009
																																				=
																																				BgL_refza2za2_2062;
																																			BgL_slotsz00_1008
																																				=
																																				BgL_slotsz00_2061;
																																			BgL_iz00_1007
																																				=
																																				BgL_iz00_2060;
																																			goto
																																				BgL_zc3anonymousza32920ze3z83_1010;
																																		}
																																	}
																															}
																													}
																													BgL_arg2918z00_1003 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2919z00_1004,
																														BNIL);
																												}
																												BgL_arg2917z00_1002 =
																													MAKE_PAIR
																													(BgL_wideningz00_957,
																													BgL_arg2918z00_1003);
																											}
																											BgL_arg2916z00_1001 =
																												MAKE_PAIR
																												(BgL_arg2917z00_1002,
																												BNIL);
																										}
																										BgL_arg2915z00_1000 =
																											MAKE_PAIR(BgL_newz00_954,
																											BgL_arg2916z00_1001);
																									}
																									BgL_arg2913z00_998 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 39)),
																										BgL_arg2915z00_1000);
																								}
																								BgL_arg2914z00_999 =
																									MAKE_PAIR(BgL_newz00_954,
																									BNIL);
																								BgL_arg2902z00_988 =
																									MAKE_PAIR(BgL_arg2913z00_998,
																									BgL_arg2914z00_999);
																							}
																							BgL_arg2896z00_982 =
																								MAKE_PAIR(BgL_arg2901z00_987,
																								BgL_arg2902z00_988);
																						}
																						BgL_arg2894z00_980 =
																							MAKE_PAIR(BgL_arg2895z00_981,
																							BgL_arg2896z00_982);
																					}
																					BgL_arg2893z00_979 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								15)), BgL_arg2894z00_980);
																				}
																				BgL_arg2883z00_969 =
																					MAKE_PAIR(BgL_arg2893z00_979, BNIL);
																			}
																			BgL_arg2881z00_967 =
																				MAKE_PAIR(BgL_arg2882z00_968,
																				BgL_arg2883z00_969);
																		}
																		BgL_arg2880z00_966 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																			BgL_arg2881z00_967);
																	}
																	BgL_arg2876z00_962 =
																		MAKE_PAIR(BgL_arg2880z00_966, BNIL);
																}
																BgL_arg2874z00_960 =
																	MAKE_PAIR(BgL_arg2875z00_961,
																	BgL_arg2876z00_962);
															}
															BgL_arg2873z00_959 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
																BgL_arg2874z00_960);
														}
														return
															BGl_epairifyz00zztools_miscz00(BgL_arg2873z00_959,
															BgL_srczd2defzd2_34);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 201755179),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 485965945),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
			return
				BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 220661558),
				BSTRING_TO_STRING(BGl_string2998z00zzobject_structz00));
		}
	}

#ifdef __cplusplus
}
#endif
