/*===========================================================================*/
/*   (Type/typeof.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/typeof.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;


	static BgL_typez00_bglt
		BGl_z62getzd2typezd2kwote3690z62zztype_typeofz00(obj_t, BgL_kwotez00_bglt);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2makezd2box3715zb0zztype_typeofz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2boxzd2setz123720za2zztype_typeofz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	static BgL_typez00_bglt BGl_z62getzd2typezd2atomz62zztype_typeofz00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getzd2typezd2atom3688z62zztype_typeofz00(obj_t,
		BgL_atomz00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static obj_t BGl_methodzd2initzd2zztype_typeofz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2sequence3696z62zztype_typeofz00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2boxzd2ref3717zb0zztype_typeofz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	static bool_t BGl_subtypezf3zf3zztype_typeofz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62getzd2typezd2kwotez62zztype_typeofz00(obj_t,
		obj_t);
	extern obj_t BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00;
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2select3705z62zztype_typeofz00(obj_t,
		BgL_selectz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2closure3694z62zztype_typeofz00(obj_t,
		BgL_closurez00_bglt);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zztype_typeofz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static bool_t BGl_pairzd2nilzf3z21zztype_typeofz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zztype_typeofz00();
	static BgL_typez00_bglt BGl_z62getzd2typezb0zztype_typeofz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2letzd2fun3707zb0zztype_typeofz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t BGl_genericzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2setzd2exzd2it3711z62zztype_typeofz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_typez00_bglt BGl_z62getzd2typezd2fail3703z62zztype_typeofz00(obj_t,
		BgL_failz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62getzd2type3685zb0zztype_typeofz00(obj_t,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62getzd2typezd2app3722z62zztype_typeofz00(obj_t,
		BgL_appz00_bglt);
	static BgL_typez00_bglt BGl_z62getzd2typezd2var3692z62zztype_typeofz00(obj_t,
		BgL_varz00_bglt);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2letzd2var3709zb0zztype_typeofz00(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2conditional3700z62zztype_typeofz00(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_typeofz00();
	static BgL_typez00_bglt BGl_z62getzd2typezd2setq3698z62zztype_typeofz00(obj_t,
		BgL_setqz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2jumpzd2exzd2it3713z62zztype_typeofz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2typezd2atomzd2envzd2zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23985za7,
		BGl_z62getzd2typezd2atomz62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_getzd2typezd2envz00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7b03986za7, BGl_z62getzd2typezb0zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3957z00zztype_typeofz00,
		BgL_bgl_za762getza7d2type3683987z00,
		BGl_z62getzd2type3685zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3961z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23988za7,
		BGl_z62getzd2typezd2atom3688z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3962z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23989za7,
		BGl_z62getzd2typezd2kwote3690z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3963z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23990za7,
		BGl_z62getzd2typezd2var3692z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3964z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23991za7,
		BGl_z62getzd2typezd2closure3694z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3965z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23992za7,
		BGl_z62getzd2typezd2sequence3696z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3966z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23993za7,
		BGl_z62getzd2typezd2setq3698z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23994za7,
		BGl_z62getzd2typezd2conditional3700z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23995za7,
		BGl_z62getzd2typezd2fail3703z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23996za7,
		BGl_z62getzd2typezd2select3705z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23997za7,
		BGl_z62getzd2typezd2letzd2fun3707zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23998za7,
		BGl_z62getzd2typezd2letzd2var3709zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d23999za7,
		BGl_z62getzd2typezd2setzd2exzd2it3711z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d24000za7,
		BGl_z62getzd2typezd2jumpzd2exzd2it3713z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d24001za7,
		BGl_z62getzd2typezd2makezd2box3715zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d24002za7,
		BGl_z62getzd2typezd2boxzd2ref3717zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d24003za7,
		BGl_z62getzd2typezd2boxzd2setz123720za2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d24004za7,
		BGl_z62getzd2typezd2app3722z62zztype_typeofz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2typezd2kwotezd2envzd2zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d24005za7,
		BGl_z62getzd2typezd2kwotez62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3958z00zztype_typeofz00,
		BgL_bgl_string3958za700za7za7t4006za7, "get-type3685", 12);
	      DEFINE_STRING(BGl_string3959z00zztype_typeofz00,
		BgL_bgl_string3959za700za7za7t4007za7, "get-type", 8);
	      DEFINE_STRING(BGl_string3960z00zztype_typeofz00,
		BgL_bgl_string3960za700za7za7t4008za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3978z00zztype_typeofz00,
		BgL_bgl_string3978za700za7za7t4009za7, " -> ", 4);
	      DEFINE_STRING(BGl_string3979z00zztype_typeofz00,
		BgL_bgl_string3979za700za7za7t4010za7, ": ", 2);
	      DEFINE_STRING(BGl_string3980z00zztype_typeofz00,
		BgL_bgl_string3980za700za7za7t4011za7, "   refining type ", 17);
	      DEFINE_STRING(BGl_string3981z00zztype_typeofz00,
		BgL_bgl_string3981za700za7za7t4012za7, "type_typeof", 11);
	      DEFINE_STRING(BGl_string3982z00zztype_typeofz00,
		BgL_bgl_string3982za700za7za7t4013za7, "a-tvector ", 10);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long
		BgL_checksumz00_2027, char *BgL_fromz00_2028)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_typeofz00))
				{
					BGl_requirezd2initializa7ationz75zztype_typeofz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
					BGl_cnstzd2initzd2zztype_typeofz00();
					BGl_importedzd2moduleszd2initz00zztype_typeofz00();
					BGl_genericzd2initzd2zztype_typeofz00();
					BGl_methodzd2initzd2zztype_typeofz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_typeof");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				obj_t BgL_cportz00_2019;

				BgL_cportz00_2019 =
					bgl_open_input_string(BGl_string3982z00zztype_typeofz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2020;

					BgL_iz00_2020 = ((long) 0);
				BgL_loopz00_2021:
					if ((BgL_iz00_2020 == ((long) -1)))
						{	/* Type/typeof.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/typeof.scm 15 */
							{	/* Type/typeof.scm 15 */
								obj_t BgL_arg3984z00_2023;

								{	/* Type/typeof.scm 15 */

									{	/* Type/typeof.scm 15 */
										obj_t BgL_locationz00_2025;

										BgL_locationz00_2025 = BBOOL(((bool_t) 0));
										{	/* Type/typeof.scm 15 */

											BgL_arg3984z00_2023 =
												BGl_readz00zz__readerz00(BgL_cportz00_2019,
												BgL_locationz00_2025);
										}
									}
								}
								{	/* Type/typeof.scm 15 */
									int BgL_auxz00_2048;

									BgL_auxz00_2048 = (int) (BgL_iz00_2020);
									CNST_TABLE_SET(BgL_auxz00_2048, BgL_arg3984z00_2023);
							}}
							{	/* Type/typeof.scm 15 */
								int BgL_auxz00_2026;

								BgL_auxz00_2026 = (int) ((BgL_iz00_2020 - ((long) 1)));
								{
									long BgL_iz00_2053;

									BgL_iz00_2053 = (long) (BgL_auxz00_2026);
									BgL_iz00_2020 = BgL_iz00_2053;
									goto BgL_loopz00_2021;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* get-type-atom */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t BgL_atomz00_13)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 34 */
			if (NULLP(BgL_atomz00_13))
				{	/* Type/typeof.scm 36 */
					obj_t BgL_xz00_1816;

					BgL_xz00_1816 = BGl_za2bnilza2z00zztype_cachez00;
					return ((BgL_typez00_bglt) BgL_xz00_1816);
				}
			else
				{	/* Type/typeof.scm 36 */
					if (INTEGERP(BgL_atomz00_13))
						{	/* Type/typeof.scm 38 */
							obj_t BgL_xz00_1817;

							BgL_xz00_1817 = BGl_za2longza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1817);
						}
					else
						{	/* Type/typeof.scm 38 */
							if (BIGNUMP(BgL_atomz00_13))
								{	/* Type/typeof.scm 40 */
									obj_t BgL_xz00_1818;

									BgL_xz00_1818 = BGl_za2bignumza2z00zztype_cachez00;
									return ((BgL_typez00_bglt) BgL_xz00_1818);
								}
							else
								{	/* Type/typeof.scm 42 */
									bool_t BgL_testz00_2064;

									if (INTEGERP(BgL_atomz00_13))
										{	/* Type/typeof.scm 42 */
											BgL_testz00_2064 = ((bool_t) 1);
										}
									else
										{	/* Type/typeof.scm 42 */
											BgL_testz00_2064 = REALP(BgL_atomz00_13);
										}
									if (BgL_testz00_2064)
										{	/* Type/typeof.scm 42 */
											obj_t BgL_xz00_1819;

											BgL_xz00_1819 = BGl_za2realza2z00zztype_cachez00;
											return ((BgL_typez00_bglt) BgL_xz00_1819);
										}
									else
										{	/* Type/typeof.scm 42 */
											if (BOOLEANP(BgL_atomz00_13))
												{	/* Type/typeof.scm 44 */
													obj_t BgL_xz00_1820;

													BgL_xz00_1820 = BGl_za2boolza2z00zztype_cachez00;
													return ((BgL_typez00_bglt) BgL_xz00_1820);
												}
											else
												{	/* Type/typeof.scm 44 */
													if (CHARP(BgL_atomz00_13))
														{	/* Type/typeof.scm 46 */
															obj_t BgL_xz00_1821;

															BgL_xz00_1821 = BGl_za2charza2z00zztype_cachez00;
															return ((BgL_typez00_bglt) BgL_xz00_1821);
														}
													else
														{	/* Type/typeof.scm 46 */
															if (STRINGP(BgL_atomz00_13))
																{	/* Type/typeof.scm 48 */
																	obj_t BgL_xz00_1822;

																	BgL_xz00_1822 =
																		BGl_za2bstringza2z00zztype_cachez00;
																	return ((BgL_typez00_bglt) BgL_xz00_1822);
																}
															else
																{	/* Type/typeof.scm 48 */
																	if ((BgL_atomz00_13 == BUNSPEC))
																		{	/* Type/typeof.scm 50 */
																			obj_t BgL_xz00_1823;

																			BgL_xz00_1823 =
																				BGl_za2unspecza2z00zztype_cachez00;
																			return ((BgL_typez00_bglt) BgL_xz00_1823);
																		}
																	else
																		{	/* Type/typeof.scm 50 */
																			if (ELONGP(BgL_atomz00_13))
																				{	/* Type/typeof.scm 52 */
																					obj_t BgL_xz00_1824;

																					BgL_xz00_1824 =
																						BGl_za2elongza2z00zztype_cachez00;
																					return ((BgL_typez00_bglt)
																						BgL_xz00_1824);
																				}
																			else
																				{	/* Type/typeof.scm 52 */
																					if (LLONGP(BgL_atomz00_13))
																						{	/* Type/typeof.scm 54 */
																							obj_t BgL_xz00_1825;

																							BgL_xz00_1825 =
																								BGl_za2llongza2z00zztype_cachez00;
																							return ((BgL_typez00_bglt)
																								BgL_xz00_1825);
																						}
																					else
																						{	/* Type/typeof.scm 54 */
																							if (KEYWORDP(BgL_atomz00_13))
																								{	/* Type/typeof.scm 56 */
																									obj_t BgL_xz00_1826;

																									BgL_xz00_1826 =
																										BGl_za2keywordza2z00zztype_cachez00;
																									return ((BgL_typez00_bglt)
																										BgL_xz00_1826);
																								}
																							else
																								{	/* Type/typeof.scm 56 */
																									obj_t BgL_xz00_1827;

																									BgL_xz00_1827 =
																										BGl_za2objza2z00zztype_cachez00;
																									return ((BgL_typez00_bglt)
																										BgL_xz00_1827);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &get-type-atom */
	BgL_typez00_bglt BGl_z62getzd2typezd2atomz62zztype_typeofz00(obj_t
		BgL_envz00_1755, obj_t BgL_atomz00_1756)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 34 */
			return BGl_getzd2typezd2atomz00zztype_typeofz00(BgL_atomz00_1756);
		}
	}



/* get-type-kwote */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t BgL_kwotez00_14)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 64 */
			if (SYMBOLP(BgL_kwotez00_14))
				{	/* Type/typeof.scm 66 */
					obj_t BgL_xz00_1828;

					BgL_xz00_1828 = BGl_za2symbolza2z00zztype_cachez00;
					return ((BgL_typez00_bglt) BgL_xz00_1828);
				}
			else
				{	/* Type/typeof.scm 66 */
					if (KEYWORDP(BgL_kwotez00_14))
						{	/* Type/typeof.scm 68 */
							obj_t BgL_xz00_1829;

							BgL_xz00_1829 = BGl_za2keywordza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1829);
						}
					else
						{	/* Type/typeof.scm 68 */
							if (PAIRP(BgL_kwotez00_14))
								{	/* Type/typeof.scm 70 */
									obj_t BgL_xz00_1830;

									BgL_xz00_1830 = BGl_za2pairza2z00zztype_cachez00;
									return ((BgL_typez00_bglt) BgL_xz00_1830);
								}
							else
								{	/* Type/typeof.scm 70 */
									if (NULLP(BgL_kwotez00_14))
										{	/* Type/typeof.scm 72 */
											obj_t BgL_xz00_1831;

											BgL_xz00_1831 = BGl_za2bnilza2z00zztype_cachez00;
											return ((BgL_typez00_bglt) BgL_xz00_1831);
										}
									else
										{	/* Type/typeof.scm 72 */
											if (VECTORP(BgL_kwotez00_14))
												{	/* Type/typeof.scm 74 */
													obj_t BgL_xz00_1832;

													BgL_xz00_1832 = BGl_za2vectorza2z00zztype_cachez00;
													return ((BgL_typez00_bglt) BgL_xz00_1832);
												}
											else
												{	/* Type/typeof.scm 76 */
													bool_t BgL_testz00_2107;

													if (STRUCTP(BgL_kwotez00_14))
														{	/* Type/typeof.scm 76 */
															BgL_testz00_2107 =
																(STRUCT_KEY(BgL_kwotez00_14) ==
																CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Type/typeof.scm 76 */
															BgL_testz00_2107 = ((bool_t) 0);
														}
													if (BgL_testz00_2107)
														{	/* Type/typeof.scm 76 */
															return
																((BgL_typez00_bglt)
																STRUCT_REF(BgL_kwotez00_14,
																	(int) (((long) 0))));
														}
													else
														{	/* Type/typeof.scm 76 */
															obj_t BgL_xz00_1834;

															BgL_xz00_1834 = BGl_za2objza2z00zztype_cachez00;
															return ((BgL_typez00_bglt) BgL_xz00_1834);
														}
												}
										}
								}
						}
				}
		}
	}



/* &get-type-kwote */
	BgL_typez00_bglt BGl_z62getzd2typezd2kwotez62zztype_typeofz00(obj_t
		BgL_envz00_1757, obj_t BgL_kwotez00_1758)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 64 */
			return BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_kwotez00_1758);
		}
	}



/* pair-nil? */
	bool_t BGl_pairzd2nilzf3z21zztype_typeofz00(obj_t BgL_tz00_15)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 84 */
			{	/* Type/typeof.scm 85 */
				bool_t BgL__ortest_3632z00_925;

				BgL__ortest_3632z00_925 =
					(BgL_tz00_15 == BGl_za2pairza2z00zztype_cachez00);
				if (BgL__ortest_3632z00_925)
					{	/* Type/typeof.scm 85 */
						return BgL__ortest_3632z00_925;
					}
				else
					{	/* Type/typeof.scm 85 */
						bool_t BgL__ortest_3633z00_926;

						BgL__ortest_3633z00_926 =
							(BgL_tz00_15 == BGl_za2epairza2z00zztype_cachez00);
						if (BgL__ortest_3633z00_926)
							{	/* Type/typeof.scm 85 */
								return BgL__ortest_3633z00_926;
							}
						else
							{	/* Type/typeof.scm 85 */
								bool_t BgL__ortest_3634z00_927;

								BgL__ortest_3634z00_927 =
									(BgL_tz00_15 == BGl_za2bnilza2z00zztype_cachez00);
								if (BgL__ortest_3634z00_927)
									{	/* Type/typeof.scm 85 */
										return BgL__ortest_3634z00_927;
									}
								else
									{	/* Type/typeof.scm 85 */
										return
											(BgL_tz00_15 == BGl_za2pairzd2nilza2zd2zztype_cachez00);
									}
							}
					}
			}
		}
	}



/* subtype? */
	bool_t BGl_subtypezf3zf3zztype_typeofz00(BgL_typez00_bglt BgL_t1z00_24,
		BgL_typez00_bglt BgL_t2z00_25)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 236 */
			if ((((obj_t) BgL_t1z00_24) == ((obj_t) BgL_t2z00_25)))
				{	/* Type/typeof.scm 239 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/typeof.scm 241 */
					bool_t BgL_testz00_2129;

					if ((((obj_t) BgL_t1z00_24) == BGl_za2magicza2z00zztype_cachez00))
						{	/* Type/typeof.scm 241 */
							BgL_testz00_2129 = ((bool_t) 1);
						}
					else
						{	/* Type/typeof.scm 241 */
							BgL_testz00_2129 =
								(((obj_t) BgL_t2z00_25) == BGl_za2magicza2z00zztype_cachez00);
						}
					if (BgL_testz00_2129)
						{	/* Type/typeof.scm 241 */
							return ((bool_t) 1);
						}
					else
						{	/* Type/typeof.scm 243 */
							bool_t BgL_testz00_2135;

							if ((((obj_t) BgL_t2z00_25) == BGl_za2_za2z00zztype_cachez00))
								{	/* Type/typeof.scm 243 */
									BgL_testz00_2135 = ((bool_t) 1);
								}
							else
								{	/* Type/typeof.scm 243 */
									BgL_testz00_2135 =
										(((obj_t) BgL_t1z00_24) == BGl_za2_za2z00zztype_cachez00);
								}
							if (BgL_testz00_2135)
								{	/* Type/typeof.scm 243 */
									return ((bool_t) 1);
								}
							else
								{	/* Type/typeof.scm 243 */
									if (
										(((obj_t) BgL_t2z00_25) ==
											BGl_za2pairzd2nilza2zd2zztype_cachez00))
										{	/* Type/typeof.scm 246 */
											bool_t BgL__ortest_3662z00_932;

											BgL__ortest_3662z00_932 =
												(
												((obj_t) BgL_t1z00_24) ==
												BGl_za2pairza2z00zztype_cachez00);
											if (BgL__ortest_3662z00_932)
												{	/* Type/typeof.scm 246 */
													return BgL__ortest_3662z00_932;
												}
											else
												{	/* Type/typeof.scm 246 */
													bool_t BgL__ortest_3663z00_933;

													BgL__ortest_3663z00_933 =
														(
														((obj_t) BgL_t1z00_24) ==
														BGl_za2epairza2z00zztype_cachez00);
													if (BgL__ortest_3663z00_933)
														{	/* Type/typeof.scm 246 */
															return BgL__ortest_3663z00_933;
														}
													else
														{	/* Type/typeof.scm 246 */
															return
																(
																((obj_t) BgL_t1z00_24) ==
																BGl_za2nilza2z00zz__evalz00);
														}
												}
										}
									else
										{	/* Type/typeof.scm 247 */
											bool_t BgL_testz00_2152;

											{	/* Type/typeof.scm 247 */
												bool_t BgL_testz00_2153;

												{	/* Type/typeof.scm 247 */
													bool_t BgL_res3941z00_1640;

													{	/* Type/typeof.scm 247 */
														obj_t BgL_obj3414z00_1639;

														BgL_obj3414z00_1639 = ((obj_t) BgL_t1z00_24);
														BgL_res3941z00_1640 =
															BGl_iszd2azf3z21zz__objectz00(BgL_obj3414z00_1639,
															BGl_tclassz00zzobject_classz00);
													}
													BgL_testz00_2153 = BgL_res3941z00_1640;
												}
												if (BgL_testz00_2153)
													{	/* Type/typeof.scm 247 */
														BgL_testz00_2152 = ((bool_t) 1);
													}
												else
													{	/* Type/typeof.scm 247 */
														bool_t BgL_res3942z00_1642;

														{	/* Type/typeof.scm 247 */
															obj_t BgL_obj3414z00_1641;

															BgL_obj3414z00_1641 = ((obj_t) BgL_t2z00_25);
															BgL_res3942z00_1642 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj3414z00_1641,
																BGl_tclassz00zzobject_classz00);
														}
														BgL_testz00_2152 = BgL_res3942z00_1642;
													}
											}
											if (BgL_testz00_2152)
												{	/* Type/typeof.scm 247 */
													return
														BGl_typezd2subclasszf3z21zzobject_classz00
														(BgL_t1z00_24, BgL_t2z00_25);
												}
											else
												{	/* Type/typeof.scm 249 */
													bool_t BgL_testz00_2159;

													if (BGl_bigloozd2typezf3z21zztype_typez00
														(BgL_t1z00_24))
														{	/* Type/typeof.scm 249 */
															BgL_testz00_2159 = ((bool_t) 0);
														}
													else
														{	/* Type/typeof.scm 249 */
															if (BGl_bigloozd2typezf3z21zztype_typez00
																(BgL_t2z00_25))
																{	/* Type/typeof.scm 249 */
																	BgL_testz00_2159 = ((bool_t) 0);
																}
															else
																{	/* Type/typeof.scm 249 */
																	BgL_testz00_2159 = ((bool_t) 1);
																}
														}
													if (BgL_testz00_2159)
														{	/* Type/typeof.scm 249 */
															return
																BGl_czd2subtypezf3z21zztype_miscz00
																(BgL_t1z00_24, BgL_t2z00_25);
														}
													else
														{	/* Type/typeof.scm 251 */
															bool_t BgL_testz00_2165;

															if (
																(((obj_t) BgL_t2z00_25) ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Type/typeof.scm 251 */
																	bool_t BgL__ortest_3664z00_938;

																	BgL__ortest_3664z00_938 =
																		(BGl_typez00zztype_typez00 ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_3664z00_938)
																		{	/* Type/typeof.scm 251 */
																			BgL_testz00_2165 =
																				BgL__ortest_3664z00_938;
																		}
																	else
																		{	/* Type/typeof.scm 251 */
																			BgL_testz00_2165 =
																				(BGl_typez00zztype_typez00 ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Type/typeof.scm 251 */
																	BgL_testz00_2165 = ((bool_t) 0);
																}
															if (BgL_testz00_2165)
																{	/* Type/typeof.scm 251 */
																	return ((bool_t) 1);
																}
															else
																{	/* Type/typeof.scm 251 */
																	return
																		(
																		((obj_t) BgL_t2z00_25) ==
																		BGl_za2objza2z00zztype_cachez00);
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_proc3957z00zztype_typeofz00, BGl_nodez00zzast_nodez00,
				BGl_string3958z00zztype_typeofz00);
		}
	}



/* &get-type3685 */
	obj_t BGl_z62getzd2type3685zb0zztype_typeofz00(obj_t BgL_envz00_1760,
		BgL_nodez00_bglt BgL_nodez00_1761)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 96 */
			{
				BgL_nodez00_bglt BgL_nodez00_1362;

				BgL_nodez00_1362 = BgL_nodez00_1761;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 97 */
						return
							((obj_t)
							(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_nodez00_1362)))->BgL_typez00));
					}
				else
					{	/* Type/typeof.scm 97 */
						return
							BGl_errorz00zz__errorz00(BGl_string3959z00zztype_typeofz00,
							BGl_string3960z00zztype_typeofz00, ((obj_t) BgL_nodez00_1362));
					}
			}
		}
	}



/* get-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt BgL_nodez00_16)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 96 */
			{	/* Type/typeof.scm 96 */
				obj_t BgL_method3686z00_1365;

				{	/* Type/typeof.scm 96 */
					obj_t BgL_res3949z00_1672;

					{	/* Type/typeof.scm 96 */
						BgL_objectz00_bglt BgL_objz00_1644;

						BgL_objz00_1644 = ((BgL_objectz00_bglt) BgL_nodez00_16);
						{	/* Type/typeof.scm 96 */
							long BgL_objzd2classzd2numz00_1645;

							{	/* Type/typeof.scm 96 */
								long BgL_res3943z00_1648;

								BgL_res3943z00_1648 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1644);
								BgL_objzd2classzd2numz00_1645 = BgL_res3943z00_1648;
							}
							{	/* Type/typeof.scm 96 */
								obj_t BgL_arg2545z00_1646;

								BgL_arg2545z00_1646 =
									PROCEDURE_REF(BGl_getzd2typezd2envz00zztype_typeofz00,
									(int) (((long) 1)));
								{	/* Type/typeof.scm 96 */
									obj_t BgL_arrayz00_1649;
									int BgL_offsetz00_1650;

									BgL_arrayz00_1649 = BgL_arg2545z00_1646;
									BgL_offsetz00_1650 = (int) (BgL_objzd2classzd2numz00_1645);
									{	/* Type/typeof.scm 96 */
										long BgL_offsetz00_1651;

										BgL_offsetz00_1651 =
											((long) (BgL_offsetz00_1650) - OBJECT_TYPE);
										{	/* Type/typeof.scm 96 */
											long BgL_modz00_1652;

											{	/* Type/typeof.scm 96 */
												int BgL_arg2547z00_1653;

												BgL_arg2547z00_1653 = (int) (((long) 16));
												{	/* Type/typeof.scm 96 */
													long BgL_res3946z00_1663;

													{	/* Type/typeof.scm 96 */
														long BgL_auxz00_2190;

														BgL_auxz00_2190 = (long) (BgL_arg2547z00_1653);
														BgL_res3946z00_1663 =
															(BgL_offsetz00_1651 / BgL_auxz00_2190);
													}
													BgL_modz00_1652 = BgL_res3946z00_1663;
											}}
											{	/* Type/typeof.scm 96 */
												long BgL_restz00_1654;

												{	/* Type/typeof.scm 96 */
													int BgL_arg2546z00_1655;

													BgL_arg2546z00_1655 = (int) (((long) 16));
													{	/* Type/typeof.scm 96 */
														long BgL_res3948z00_1667;

														{	/* Type/typeof.scm 96 */
															long BgL_auxz00_2194;

															BgL_auxz00_2194 = (long) (BgL_arg2546z00_1655);
															BgL_res3948z00_1667 =
																(BgL_offsetz00_1651 % BgL_auxz00_2194);
														}
														BgL_restz00_1654 = BgL_res3948z00_1667;
												}}
												{	/* Type/typeof.scm 96 */

													BgL_res3949z00_1672 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1649,
															(int) (BgL_modz00_1652)),
														(int) (BgL_restz00_1654));
					}}}}}}}}
					BgL_method3686z00_1365 = BgL_res3949z00_1672;
				}
				{	/* Type/typeof.scm 96 */
					obj_t BgL_xz00_1854;

					BgL_xz00_1854 =
						PROCEDURE_ENTRY(BgL_method3686z00_1365) (BgL_method3686z00_1365,
						((obj_t) BgL_nodez00_16), BEOA);
					return ((BgL_typez00_bglt) BgL_xz00_1854);
				}
			}
		}
	}



/* &get-type */
	BgL_typez00_bglt BGl_z62getzd2typezb0zztype_typeofz00(obj_t BgL_envz00_1762,
		obj_t BgL_nodez00_1763)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 96 */
			return
				BGl_getzd2typezd2zztype_typeofz00(
				((BgL_nodez00_bglt) BgL_nodez00_1763));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_atomz00zzast_nodez00,
				BGl_proc3961z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_kwotez00zzast_nodez00,
				BGl_proc3962z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_varz00zzast_nodez00,
				BGl_proc3963z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_closurez00zzast_nodez00,
				BGl_proc3964z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3965z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_setqz00zzast_nodez00,
				BGl_proc3966z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3967z00zztype_typeofz00,
				BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_failz00zzast_nodez00,
				BGl_proc3968z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_selectz00zzast_nodez00,
				BGl_proc3969z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3970z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3971z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3972z00zztype_typeofz00,
				BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3973z00zztype_typeofz00,
				BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3974z00zztype_typeofz00,
				BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3975z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3976z00zztype_typeofz00,
				BGl_string3959z00zztype_typeofz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_appz00zzast_nodez00,
				BGl_proc3977z00zztype_typeofz00, BGl_string3959z00zztype_typeofz00);
		}
	}



/* &get-type-app3722 */
	BgL_typez00_bglt BGl_z62getzd2typezd2app3722z62zztype_typeofz00(obj_t
		BgL_envz00_1781, BgL_appz00_bglt BgL_nodez00_1782)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 367 */
			{
				BgL_appz00_bglt BgL_nodez00_1577;

				BgL_nodez00_1577 = BgL_nodez00_1782;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 370 */
						bool_t BgL_testz00_2228;

						{	/* Type/typeof.scm 370 */
							BgL_typez00_bglt BgL_arg3918z00_1584;

							{	/* Type/typeof.scm 370 */
								BgL_nodez00_bglt BgL_obj1602z00_1747;

								BgL_obj1602z00_1747 = ((BgL_nodez00_bglt) BgL_nodez00_1577);
								BgL_arg3918z00_1584 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1747)))->BgL_typez00);
							}
							BgL_testz00_2228 =
								(
								((obj_t) BgL_arg3918z00_1584) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2228)
							{	/* Type/typeof.scm 371 */
								BgL_variablez00_bglt BgL_arg3916z00_1582;

								{	/* Type/typeof.scm 371 */
									BgL_varz00_bglt BgL_obj1666z00_1749;

									BgL_obj1666z00_1749 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_nodez00_1577)))->BgL_funz00);
									BgL_arg3916z00_1582 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_obj1666z00_1749)))->BgL_variablez00);
								}
								return
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_arg3916z00_1582)))->BgL_typez00);
							}
						else
							{	/* Type/typeof.scm 372 */
								BgL_nodez00_bglt BgL_obj1602z00_1751;

								BgL_obj1602z00_1751 = ((BgL_nodez00_bglt) BgL_nodez00_1577);
								return
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1751)))->BgL_typez00);
							}
					}
				else
					{	/* Type/typeof.scm 374 */
						BgL_variablez00_bglt BgL_arg3919z00_1586;

						{	/* Type/typeof.scm 374 */
							BgL_varz00_bglt BgL_obj1666z00_1753;

							BgL_obj1666z00_1753 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1577)))->BgL_funz00);
							BgL_arg3919z00_1586 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_obj1666z00_1753)))->BgL_variablez00);
						}
						return
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_arg3919z00_1586)))->BgL_typez00);
					}
			}
		}
	}



/* &get-type-box-set!3720 */
	BgL_typez00_bglt BGl_z62getzd2typezd2boxzd2setz123720za2zztype_typeofz00(obj_t
		BgL_envz00_1783, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1784)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 359 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1573;

				BgL_nodez00_1573 = BgL_nodez00_1784;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 361 */
							obj_t BgL_xz00_1869;

							{	/* Type/typeof.scm 359 */
								obj_t BgL_nextzd2method3719zd2_1576;

								BgL_nextzd2method3719zd2_1576 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1573),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_boxzd2setz12zc0zzast_nodez00);
								BgL_xz00_1869 =
									PROCEDURE_ENTRY(BgL_nextzd2method3719zd2_1576)
									(BgL_nextzd2method3719zd2_1576, ((obj_t) BgL_nodez00_1573),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1869);
						}
					else
						{	/* Type/typeof.scm 362 */
							obj_t BgL_xz00_1870;

							BgL_xz00_1870 = BGl_za2unspecza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1870);
						}
				}
			}
		}
	}



/* &get-type-box-ref3717 */
	BgL_typez00_bglt BGl_z62getzd2typezd2boxzd2ref3717zb0zztype_typeofz00(obj_t
		BgL_envz00_1785, BgL_boxzd2refzd2_bglt BgL_nodez00_1786)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 351 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1569;

				BgL_nodez00_1569 = BgL_nodez00_1786;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 353 */
							obj_t BgL_xz00_1873;

							{	/* Type/typeof.scm 351 */
								obj_t BgL_nextzd2method3716zd2_1572;

								BgL_nextzd2method3716zd2_1572 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1569),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_boxzd2refzd2zzast_nodez00);
								BgL_xz00_1873 =
									PROCEDURE_ENTRY(BgL_nextzd2method3716zd2_1572)
									(BgL_nextzd2method3716zd2_1572, ((obj_t) BgL_nodez00_1569),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1873);
						}
					else
						{	/* Type/typeof.scm 354 */
							obj_t BgL_xz00_1874;

							BgL_xz00_1874 = BGl_za2objza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1874);
						}
				}
			}
		}
	}



/* &get-type-make-box3715 */
	BgL_typez00_bglt BGl_z62getzd2typezd2makezd2box3715zb0zztype_typeofz00(obj_t
		BgL_envz00_1787, BgL_makezd2boxzd2_bglt BgL_nodez00_1788)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 343 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1565;

				BgL_nodez00_1565 = BgL_nodez00_1788;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 345 */
							obj_t BgL_xz00_1877;

							{	/* Type/typeof.scm 343 */
								obj_t BgL_nextzd2method3714zd2_1568;

								BgL_nextzd2method3714zd2_1568 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1565),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_makezd2boxzd2zzast_nodez00);
								BgL_xz00_1877 =
									PROCEDURE_ENTRY(BgL_nextzd2method3714zd2_1568)
									(BgL_nextzd2method3714zd2_1568, ((obj_t) BgL_nodez00_1565),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1877);
						}
					else
						{	/* Type/typeof.scm 346 */
							obj_t BgL_xz00_1878;

							BgL_xz00_1878 = BGl_za2objza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1878);
						}
				}
			}
		}
	}



/* &get-type-jump-ex-it3713 */
	BgL_typez00_bglt
		BGl_z62getzd2typezd2jumpzd2exzd2it3713z62zztype_typeofz00(obj_t
		BgL_envz00_1789, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1790)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 335 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1561;

				BgL_nodez00_1561 = BgL_nodez00_1790;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 337 */
							obj_t BgL_xz00_1881;

							{	/* Type/typeof.scm 335 */
								obj_t BgL_nextzd2method3712zd2_1564;

								BgL_nextzd2method3712zd2_1564 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1561),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_jumpzd2exzd2itz00zzast_nodez00);
								BgL_xz00_1881 =
									PROCEDURE_ENTRY(BgL_nextzd2method3712zd2_1564)
									(BgL_nextzd2method3712zd2_1564, ((obj_t) BgL_nodez00_1561),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1881);
						}
					else
						{	/* Type/typeof.scm 338 */
							obj_t BgL_xz00_1882;

							BgL_xz00_1882 = BGl_za2objza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1882);
						}
				}
			}
		}
	}



/* &get-type-set-ex-it3711 */
	BgL_typez00_bglt
		BGl_z62getzd2typezd2setzd2exzd2it3711z62zztype_typeofz00(obj_t
		BgL_envz00_1791, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1792)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 327 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1557;

				BgL_nodez00_1557 = BgL_nodez00_1792;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 329 */
							obj_t BgL_xz00_1885;

							{	/* Type/typeof.scm 327 */
								obj_t BgL_nextzd2method3710zd2_1560;

								BgL_nextzd2method3710zd2_1560 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1557),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_setzd2exzd2itz00zzast_nodez00);
								BgL_xz00_1885 =
									PROCEDURE_ENTRY(BgL_nextzd2method3710zd2_1560)
									(BgL_nextzd2method3710zd2_1560, ((obj_t) BgL_nodez00_1557),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1885);
						}
					else
						{	/* Type/typeof.scm 330 */
							obj_t BgL_xz00_1886;

							BgL_xz00_1886 = BGl_za2objza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1886);
						}
				}
			}
		}
	}



/* &get-type-let-var3709 */
	BgL_typez00_bglt BGl_z62getzd2typezd2letzd2var3709zb0zztype_typeofz00(obj_t
		BgL_envz00_1793, BgL_letzd2varzd2_bglt BgL_nodez00_1794)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 315 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1547;

				BgL_nodez00_1547 = BgL_nodez00_1794;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 318 */
						bool_t BgL_testz00_2306;

						{	/* Type/typeof.scm 318 */
							BgL_typez00_bglt BgL_arg3913z00_1553;

							{	/* Type/typeof.scm 318 */
								BgL_nodez00_bglt BgL_obj1602z00_1743;

								BgL_obj1602z00_1743 = ((BgL_nodez00_bglt) BgL_nodez00_1547);
								BgL_arg3913z00_1553 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1743)))->BgL_typez00);
							}
							BgL_testz00_2306 =
								(
								((obj_t) BgL_arg3913z00_1553) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2306)
							{	/* Type/typeof.scm 319 */
								BgL_nodez00_bglt BgL_arg3912z00_1552;

								BgL_arg3912z00_1552 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1547)))->BgL_bodyz00);
								return BGl_getzd2typezd2zztype_typeofz00(BgL_arg3912z00_1552);
							}
						else
							{	/* Type/typeof.scm 320 */
								BgL_nodez00_bglt BgL_obj1602z00_1745;

								BgL_obj1602z00_1745 = ((BgL_nodez00_bglt) BgL_nodez00_1547);
								return
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1745)))->BgL_typez00);
							}
					}
				else
					{	/* Type/typeof.scm 322 */
						BgL_nodez00_bglt BgL_arg3914z00_1555;

						BgL_arg3914z00_1555 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1547)))->BgL_bodyz00);
						return BGl_getzd2typezd2zztype_typeofz00(BgL_arg3914z00_1555);
					}
			}
		}
	}



/* &get-type-let-fun3707 */
	BgL_typez00_bglt BGl_z62getzd2typezd2letzd2fun3707zb0zztype_typeofz00(obj_t
		BgL_envz00_1795, BgL_letzd2funzd2_bglt BgL_nodez00_1796)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 303 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1537;

				BgL_nodez00_1537 = BgL_nodez00_1796;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 306 */
						bool_t BgL_testz00_2323;

						{	/* Type/typeof.scm 306 */
							BgL_typez00_bglt BgL_arg3909z00_1543;

							{	/* Type/typeof.scm 306 */
								BgL_nodez00_bglt BgL_obj1602z00_1739;

								BgL_obj1602z00_1739 = ((BgL_nodez00_bglt) BgL_nodez00_1537);
								BgL_arg3909z00_1543 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1739)))->BgL_typez00);
							}
							BgL_testz00_2323 =
								(
								((obj_t) BgL_arg3909z00_1543) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2323)
							{	/* Type/typeof.scm 307 */
								BgL_nodez00_bglt BgL_arg3908z00_1542;

								BgL_arg3908z00_1542 =
									(((BgL_letzd2funzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1537)))->BgL_bodyz00);
								return BGl_getzd2typezd2zztype_typeofz00(BgL_arg3908z00_1542);
							}
						else
							{	/* Type/typeof.scm 308 */
								BgL_nodez00_bglt BgL_obj1602z00_1741;

								BgL_obj1602z00_1741 = ((BgL_nodez00_bglt) BgL_nodez00_1537);
								return
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1741)))->BgL_typez00);
							}
					}
				else
					{	/* Type/typeof.scm 310 */
						BgL_nodez00_bglt BgL_arg3910z00_1545;

						BgL_arg3910z00_1545 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1537)))->BgL_bodyz00);
						return BGl_getzd2typezd2zztype_typeofz00(BgL_arg3910z00_1545);
					}
			}
		}
	}



/* &get-type-select3705 */
	BgL_typez00_bglt BGl_z62getzd2typezd2select3705z62zztype_typeofz00(obj_t
		BgL_envz00_1797, BgL_selectz00_bglt BgL_nodez00_1798)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 267 */
			{
				BgL_selectz00_bglt BgL_nodez00_1484;

				BgL_nodez00_1484 = BgL_nodez00_1798;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 270 */
						bool_t BgL_testz00_2340;

						{	/* Type/typeof.scm 270 */
							BgL_typez00_bglt BgL_arg3893z00_1514;

							{	/* Type/typeof.scm 270 */
								BgL_nodez00_bglt BgL_obj1602z00_1713;

								BgL_obj1602z00_1713 = ((BgL_nodez00_bglt) BgL_nodez00_1484);
								BgL_arg3893z00_1514 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1713)))->BgL_typez00);
							}
							BgL_testz00_2340 =
								(
								((obj_t) BgL_arg3893z00_1514) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2340)
							{	/* Type/typeof.scm 271 */
								obj_t BgL_g3667z00_1489;
								BgL_typez00_bglt BgL_g3668z00_1490;

								{	/* Type/typeof.scm 271 */
									obj_t BgL_pairz00_1715;

									BgL_pairz00_1715 =
										(((BgL_selectz00_bglt) CREF(
												((obj_t) BgL_nodez00_1484)))->BgL_clausesz00);
									BgL_g3667z00_1489 = CDR(BgL_pairz00_1715);
								}
								{	/* Type/typeof.scm 272 */
									obj_t BgL_arg3890z00_1511;

									{	/* Type/typeof.scm 272 */
										obj_t BgL_pairz00_1718;

										{	/* Type/typeof.scm 272 */
											obj_t BgL_pairz00_1717;

											BgL_pairz00_1717 =
												(((BgL_selectz00_bglt) CREF(
														((obj_t) BgL_nodez00_1484)))->BgL_clausesz00);
											BgL_pairz00_1718 = CAR(BgL_pairz00_1717);
										}
										BgL_arg3890z00_1511 = CDR(BgL_pairz00_1718);
									}
									BgL_g3668z00_1490 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_arg3890z00_1511));
								}
								{
									obj_t BgL_clausesz00_1492;
									obj_t BgL_typez00_1493;

									{	/* Type/typeof.scm 271 */
										obj_t BgL_xz00_1914;

										BgL_clausesz00_1492 = BgL_g3667z00_1489;
										BgL_typez00_1493 = ((obj_t) BgL_g3668z00_1490);
									BgL_zc3anonymousza33875ze3z83_1494:
										if (NULLP(BgL_clausesz00_1492))
											{	/* Type/typeof.scm 273 */
												BgL_xz00_1914 = BgL_typez00_1493;
											}
										else
											{	/* Type/typeof.scm 275 */
												BgL_typez00_bglt BgL_ntypez00_1496;

												{	/* Type/typeof.scm 275 */
													obj_t BgL_arg3887z00_1507;

													BgL_arg3887z00_1507 = CDR(CAR(BgL_clausesz00_1492));
													BgL_ntypez00_1496 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg3887z00_1507));
												}
												if ((((obj_t) BgL_ntypez00_1496) == BgL_typez00_1493))
													{
														obj_t BgL_clausesz00_2364;

														BgL_clausesz00_2364 = CDR(BgL_clausesz00_1492);
														BgL_clausesz00_1492 = BgL_clausesz00_2364;
														goto BgL_zc3anonymousza33875ze3z83_1494;
													}
												else
													{	/* Type/typeof.scm 277 */
														if (
															(BgL_typez00_1493 ==
																BGl_za2magicza2z00zztype_cachez00))
															{	/* Type/typeof.scm 280 */
																obj_t BgL_arg3880z00_1500;

																BgL_arg3880z00_1500 = CDR(BgL_clausesz00_1492);
																{
																	obj_t BgL_typez00_2370;
																	obj_t BgL_clausesz00_2369;

																	BgL_clausesz00_2369 = BgL_arg3880z00_1500;
																	BgL_typez00_2370 =
																		((obj_t) BgL_ntypez00_1496);
																	BgL_typez00_1493 = BgL_typez00_2370;
																	BgL_clausesz00_1492 = BgL_clausesz00_2369;
																	goto BgL_zc3anonymousza33875ze3z83_1494;
																}
															}
														else
															{	/* Type/typeof.scm 281 */
																bool_t BgL_testz00_2372;

																if (
																	(((obj_t) BgL_ntypez00_1496) ==
																		BgL_typez00_1493))
																	{	/* Type/typeof.scm 281 */
																		BgL_testz00_2372 = ((bool_t) 1);
																	}
																else
																	{	/* Type/typeof.scm 281 */
																		BgL_testz00_2372 =
																			(
																			((obj_t) BgL_ntypez00_1496) ==
																			BGl_za2magicza2z00zztype_cachez00);
																	}
																if (BgL_testz00_2372)
																	{
																		obj_t BgL_clausesz00_2378;

																		BgL_clausesz00_2378 =
																			CDR(BgL_clausesz00_1492);
																		BgL_clausesz00_1492 = BgL_clausesz00_2378;
																		goto BgL_zc3anonymousza33875ze3z83_1494;
																	}
																else
																	{	/* Type/typeof.scm 283 */
																		bool_t BgL_testz00_2380;

																		if (BGl_pairzd2nilzf3z21zztype_typeofz00
																			(BgL_typez00_1493))
																			{	/* Type/typeof.scm 283 */
																				BgL_testz00_2380 =
																					BGl_pairzd2nilzf3z21zztype_typeofz00(
																					((obj_t) BgL_ntypez00_1496));
																			}
																		else
																			{	/* Type/typeof.scm 283 */
																				BgL_testz00_2380 = ((bool_t) 0);
																			}
																		if (BgL_testz00_2380)
																			{	/* Type/typeof.scm 284 */
																				obj_t BgL_arg3884z00_1504;

																				BgL_arg3884z00_1504 =
																					CDR(BgL_clausesz00_1492);
																				{
																					obj_t BgL_typez00_2387;
																					obj_t BgL_clausesz00_2386;

																					BgL_clausesz00_2386 =
																						BgL_arg3884z00_1504;
																					BgL_typez00_2387 =
																						BGl_za2pairzd2nilza2zd2zztype_cachez00;
																					BgL_typez00_1493 = BgL_typez00_2387;
																					BgL_clausesz00_1492 =
																						BgL_clausesz00_2386;
																					goto
																						BgL_zc3anonymousza33875ze3z83_1494;
																				}
																			}
																		else
																			{	/* Type/typeof.scm 283 */
																				BgL_xz00_1914 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																	}
															}
													}
											}
										return ((BgL_typez00_bglt) BgL_xz00_1914);
									}
								}
							}
						else
							{	/* Type/typeof.scm 286 */
								BgL_nodez00_bglt BgL_obj1602z00_1727;

								BgL_obj1602z00_1727 = ((BgL_nodez00_bglt) BgL_nodez00_1484);
								return
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1727)))->BgL_typez00);
							}
					}
				else
					{	/* Type/typeof.scm 288 */
						obj_t BgL_g3671z00_1516;
						BgL_typez00_bglt BgL_g3672z00_1517;

						{	/* Type/typeof.scm 288 */
							obj_t BgL_pairz00_1729;

							BgL_pairz00_1729 =
								(((BgL_selectz00_bglt) CREF(
										((obj_t) BgL_nodez00_1484)))->BgL_clausesz00);
							BgL_g3671z00_1516 = CDR(BgL_pairz00_1729);
						}
						{	/* Type/typeof.scm 289 */
							obj_t BgL_arg3904z00_1533;

							{	/* Type/typeof.scm 289 */
								obj_t BgL_pairz00_1732;

								{	/* Type/typeof.scm 289 */
									obj_t BgL_pairz00_1731;

									BgL_pairz00_1731 =
										(((BgL_selectz00_bglt) CREF(
												((obj_t) BgL_nodez00_1484)))->BgL_clausesz00);
									BgL_pairz00_1732 = CAR(BgL_pairz00_1731);
								}
								BgL_arg3904z00_1533 = CDR(BgL_pairz00_1732);
							}
							BgL_g3672z00_1517 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_arg3904z00_1533));
						}
						{
							obj_t BgL_clausesz00_1519;
							BgL_typez00_bglt BgL_typez00_1520;

							{	/* Type/typeof.scm 288 */
								obj_t BgL_xz00_1926;

								BgL_clausesz00_1519 = BgL_g3671z00_1516;
								BgL_typez00_1520 = BgL_g3672z00_1517;
							BgL_zc3anonymousza33894ze3z83_1521:
								if (NULLP(BgL_clausesz00_1519))
									{	/* Type/typeof.scm 290 */
										BgL_xz00_1926 = ((obj_t) BgL_typez00_1520);
									}
								else
									{	/* Type/typeof.scm 292 */
										BgL_typez00_bglt BgL_ntypez00_1523;

										{	/* Type/typeof.scm 292 */
											obj_t BgL_arg3901z00_1529;

											BgL_arg3901z00_1529 = CDR(CAR(BgL_clausesz00_1519));
											BgL_ntypez00_1523 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_arg3901z00_1529));
										}
										if (
											(((obj_t) BgL_typez00_1520) ==
												BGl_za2magicza2z00zztype_cachez00))
											{
												BgL_typez00_bglt BgL_typez00_2414;
												obj_t BgL_clausesz00_2412;

												BgL_clausesz00_2412 = CDR(BgL_clausesz00_1519);
												BgL_typez00_2414 = BgL_ntypez00_1523;
												BgL_typez00_1520 = BgL_typez00_2414;
												BgL_clausesz00_1519 = BgL_clausesz00_2412;
												goto BgL_zc3anonymousza33894ze3z83_1521;
											}
										else
											{	/* Type/typeof.scm 296 */
												bool_t BgL_testz00_2415;

												if (
													(((obj_t) BgL_ntypez00_1523) ==
														((obj_t) BgL_typez00_1520)))
													{	/* Type/typeof.scm 296 */
														BgL_testz00_2415 = ((bool_t) 1);
													}
												else
													{	/* Type/typeof.scm 296 */
														BgL_testz00_2415 =
															(
															((obj_t) BgL_ntypez00_1523) ==
															BGl_za2magicza2z00zztype_cachez00);
													}
												if (BgL_testz00_2415)
													{
														obj_t BgL_clausesz00_2422;

														BgL_clausesz00_2422 = CDR(BgL_clausesz00_1519);
														BgL_clausesz00_1519 = BgL_clausesz00_2422;
														goto BgL_zc3anonymousza33894ze3z83_1521;
													}
												else
													{	/* Type/typeof.scm 296 */
														BgL_xz00_1926 = BGl_za2objza2z00zztype_cachez00;
													}
											}
									}
								return ((BgL_typez00_bglt) BgL_xz00_1926);
							}
						}
					}
			}
		}
	}



/* &get-type-fail3703 */
	BgL_typez00_bglt BGl_z62getzd2typezd2fail3703z62zztype_typeofz00(obj_t
		BgL_envz00_1799, BgL_failz00_bglt BgL_nodez00_1800)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 259 */
			{
				BgL_failz00_bglt BgL_nodez00_1480;

				BgL_nodez00_1480 = BgL_nodez00_1800;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 261 */
							obj_t BgL_xz00_1929;

							{	/* Type/typeof.scm 259 */
								obj_t BgL_nextzd2method3702zd2_1483;

								BgL_nextzd2method3702zd2_1483 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1480),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_failz00zzast_nodez00);
								BgL_xz00_1929 =
									PROCEDURE_ENTRY(BgL_nextzd2method3702zd2_1483)
									(BgL_nextzd2method3702zd2_1483, ((obj_t) BgL_nodez00_1480),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1929);
						}
					else
						{	/* Type/typeof.scm 262 */
							obj_t BgL_xz00_1930;

							BgL_xz00_1930 = BGl_za2magicza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1930);
						}
				}
			}
		}
	}



/* &get-type-conditional3700 */
	BgL_typez00_bglt BGl_z62getzd2typezd2conditional3700z62zztype_typeofz00(obj_t
		BgL_envz00_1801, BgL_conditionalz00_bglt BgL_nodez00_1802)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 209 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1453;

				BgL_nodez00_1453 = BgL_nodez00_1802;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 212 */
						bool_t BgL_testz00_2438;

						{	/* Type/typeof.scm 212 */
							BgL_typez00_bglt BgL_arg3868z00_1470;

							{	/* Type/typeof.scm 212 */
								BgL_nodez00_bglt BgL_obj1602z00_1707;

								BgL_obj1602z00_1707 = ((BgL_nodez00_bglt) BgL_nodez00_1453);
								BgL_arg3868z00_1470 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1707)))->BgL_typez00);
							}
							BgL_testz00_2438 =
								(
								((obj_t) BgL_arg3868z00_1470) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2438)
							{	/* Type/typeof.scm 214 */
								BgL_typez00_bglt BgL_ttruez00_1459;
								BgL_typez00_bglt BgL_tfalsez00_1460;

								{	/* Type/typeof.scm 214 */
									BgL_nodez00_bglt BgL_arg3866z00_1468;

									BgL_arg3866z00_1468 =
										(((BgL_conditionalz00_bglt) CREF(
												((obj_t) BgL_nodez00_1453)))->BgL_truez00);
									BgL_ttruez00_1459 =
										BGl_getzd2typezd2zztype_typeofz00(BgL_arg3866z00_1468);
								}
								{	/* Type/typeof.scm 215 */
									BgL_nodez00_bglt BgL_arg3867z00_1469;

									BgL_arg3867z00_1469 =
										(((BgL_conditionalz00_bglt) CREF(
												((obj_t) BgL_nodez00_1453)))->BgL_falsez00);
									BgL_tfalsez00_1460 =
										BGl_getzd2typezd2zztype_typeofz00(BgL_arg3867z00_1469);
								}
								{	/* Type/typeof.scm 217 */
									bool_t BgL_testz00_2450;

									if (
										(((obj_t) BgL_ttruez00_1459) ==
											((obj_t) BgL_tfalsez00_1460)))
										{	/* Type/typeof.scm 217 */
											BgL_testz00_2450 = ((bool_t) 1);
										}
									else
										{	/* Type/typeof.scm 217 */
											BgL_testz00_2450 =
												(
												((obj_t) BgL_tfalsez00_1460) ==
												BGl_za2magicza2z00zztype_cachez00);
										}
									if (BgL_testz00_2450)
										{	/* Type/typeof.scm 217 */
											return BgL_ttruez00_1459;
										}
									else
										{	/* Type/typeof.scm 217 */
											if (
												(((obj_t) BgL_ttruez00_1459) ==
													BGl_za2magicza2z00zztype_cachez00))
												{	/* Type/typeof.scm 218 */
													return BgL_tfalsez00_1460;
												}
											else
												{	/* Type/typeof.scm 219 */
													bool_t BgL_testz00_2460;

													if (BGl_pairzd2nilzf3z21zztype_typeofz00(
															((obj_t) BgL_ttruez00_1459)))
														{	/* Type/typeof.scm 219 */
															BgL_testz00_2460 =
																BGl_pairzd2nilzf3z21zztype_typeofz00(
																((obj_t) BgL_tfalsez00_1460));
														}
													else
														{	/* Type/typeof.scm 219 */
															BgL_testz00_2460 = ((bool_t) 0);
														}
													if (BgL_testz00_2460)
														{	/* Type/typeof.scm 219 */
															obj_t BgL_xz00_1942;

															BgL_xz00_1942 =
																BGl_za2pairzd2nilza2zd2zztype_cachez00;
															return ((BgL_typez00_bglt) BgL_xz00_1942);
														}
													else
														{	/* Type/typeof.scm 219 */
															if (BGl_subtypezf3zf3zztype_typeofz00
																(BgL_ttruez00_1459, BgL_tfalsez00_1460))
																{	/* Type/typeof.scm 220 */
																	return BgL_tfalsez00_1460;
																}
															else
																{	/* Type/typeof.scm 220 */
																	if (BGl_subtypezf3zf3zztype_typeofz00
																		(BgL_tfalsez00_1460, BgL_ttruez00_1459))
																		{	/* Type/typeof.scm 221 */
																			return BgL_ttruez00_1459;
																		}
																	else
																		{	/* Type/typeof.scm 221 */
																			obj_t BgL_xz00_1943;

																			BgL_xz00_1943 =
																				BGl_za2objza2z00zztype_cachez00;
																			return ((BgL_typez00_bglt) BgL_xz00_1943);
																		}
																}
														}
												}
										}
								}
							}
						else
							{	/* Type/typeof.scm 223 */
								BgL_nodez00_bglt BgL_obj1602z00_1710;

								BgL_obj1602z00_1710 = ((BgL_nodez00_bglt) BgL_nodez00_1453);
								return
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1710)))->BgL_typez00);
							}
					}
				else
					{	/* Type/typeof.scm 225 */
						BgL_typez00_bglt BgL_ttruez00_1472;
						BgL_typez00_bglt BgL_tfalsez00_1473;

						{	/* Type/typeof.scm 225 */
							BgL_nodez00_bglt BgL_arg3872z00_1477;

							BgL_arg3872z00_1477 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1453)))->BgL_truez00);
							BgL_ttruez00_1472 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg3872z00_1477);
						}
						{	/* Type/typeof.scm 226 */
							BgL_nodez00_bglt BgL_arg3873z00_1478;

							BgL_arg3873z00_1478 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1453)))->BgL_falsez00);
							BgL_tfalsez00_1473 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg3873z00_1478);
						}
						{	/* Type/typeof.scm 227 */
							bool_t BgL_testz00_2481;

							if ((((obj_t) BgL_ttruez00_1472) == ((obj_t) BgL_tfalsez00_1473)))
								{	/* Type/typeof.scm 227 */
									BgL_testz00_2481 = ((bool_t) 1);
								}
							else
								{	/* Type/typeof.scm 227 */
									BgL_testz00_2481 =
										(
										((obj_t) BgL_tfalsez00_1473) ==
										BGl_za2magicza2z00zztype_cachez00);
								}
							if (BgL_testz00_2481)
								{	/* Type/typeof.scm 227 */
									return BgL_ttruez00_1472;
								}
							else
								{	/* Type/typeof.scm 227 */
									if (
										(((obj_t) BgL_ttruez00_1472) ==
											BGl_za2magicza2z00zztype_cachez00))
										{	/* Type/typeof.scm 228 */
											return BgL_tfalsez00_1473;
										}
									else
										{	/* Type/typeof.scm 228 */
											obj_t BgL_xz00_1952;

											BgL_xz00_1952 = BGl_za2objza2z00zztype_cachez00;
											return ((BgL_typez00_bglt) BgL_xz00_1952);
										}
								}
						}
					}
			}
		}
	}



/* &get-type-setq3698 */
	BgL_typez00_bglt BGl_z62getzd2typezd2setq3698z62zztype_typeofz00(obj_t
		BgL_envz00_1803, BgL_setqz00_bglt BgL_nodez00_1804)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 201 */
			{
				BgL_setqz00_bglt BgL_nodez00_1449;

				BgL_nodez00_1449 = BgL_nodez00_1804;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 203 */
							obj_t BgL_xz00_1955;

							{	/* Type/typeof.scm 201 */
								obj_t BgL_nextzd2method3697zd2_1452;

								BgL_nextzd2method3697zd2_1452 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1449),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_setqz00zzast_nodez00);
								BgL_xz00_1955 =
									PROCEDURE_ENTRY(BgL_nextzd2method3697zd2_1452)
									(BgL_nextzd2method3697zd2_1452, ((obj_t) BgL_nodez00_1449),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1955);
						}
					else
						{	/* Type/typeof.scm 204 */
							obj_t BgL_xz00_1956;

							BgL_xz00_1956 = BGl_za2unspecza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1956);
						}
				}
			}
		}
	}



/* &get-type-sequence3696 */
	BgL_typez00_bglt BGl_z62getzd2typezd2sequence3696z62zztype_typeofz00(obj_t
		BgL_envz00_1805, BgL_sequencez00_bglt BgL_nodez00_1806)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 188 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1434;

				BgL_nodez00_1434 = BgL_nodez00_1806;
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Type/typeof.scm 191 */
						bool_t BgL_testz00_2505;

						{	/* Type/typeof.scm 191 */
							BgL_typez00_bglt BgL_arg3854z00_1443;

							{	/* Type/typeof.scm 191 */
								BgL_nodez00_bglt BgL_obj1602z00_1701;

								BgL_obj1602z00_1701 = ((BgL_nodez00_bglt) BgL_nodez00_1434);
								BgL_arg3854z00_1443 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1701)))->BgL_typez00);
							}
							BgL_testz00_2505 =
								(
								((obj_t) BgL_arg3854z00_1443) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2505)
							{	/* Type/typeof.scm 193 */
								obj_t BgL_arg3851z00_1440;

								BgL_arg3851z00_1440 =
									CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
										(((BgL_sequencez00_bglt) CREF(
													((obj_t) BgL_nodez00_1434)))->BgL_nodesz00)));
								return
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg3851z00_1440));
							}
						else
							{	/* Type/typeof.scm 194 */
								BgL_nodez00_bglt BgL_obj1602z00_1704;

								BgL_obj1602z00_1704 = ((BgL_nodez00_bglt) BgL_nodez00_1434);
								return
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj1602z00_1704)))->BgL_typez00);
							}
					}
				else
					{	/* Type/typeof.scm 196 */
						obj_t BgL_arg3855z00_1445;

						BgL_arg3855z00_1445 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sequencez00_bglt) CREF(
											((obj_t) BgL_nodez00_1434)))->BgL_nodesz00)));
						return
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg3855z00_1445));
					}
			}
		}
	}



/* &get-type-closure3694 */
	BgL_typez00_bglt BGl_z62getzd2typezd2closure3694z62zztype_typeofz00(obj_t
		BgL_envz00_1807, BgL_closurez00_bglt BgL_nodez00_1808)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 179 */
			{
				BgL_closurez00_bglt BgL_nodez00_1430;

				BgL_nodez00_1430 = BgL_nodez00_1808;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 182 */
							obj_t BgL_xz00_1968;

							{	/* Type/typeof.scm 179 */
								obj_t BgL_nextzd2method3693zd2_1433;

								BgL_nextzd2method3693zd2_1433 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1430),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_closurez00zzast_nodez00);
								BgL_xz00_1968 =
									PROCEDURE_ENTRY(BgL_nextzd2method3693zd2_1433)
									(BgL_nextzd2method3693zd2_1433, ((obj_t) BgL_nodez00_1430),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_1968);
						}
					else
						{	/* Type/typeof.scm 183 */
							obj_t BgL_xz00_1969;

							BgL_xz00_1969 = BGl_za2procedureza2z00zztype_cachez00;
							return ((BgL_typez00_bglt) BgL_xz00_1969);
						}
				}
			}
		}
	}



/* &get-type-var3692 */
	BgL_typez00_bglt BGl_z62getzd2typezd2var3692z62zztype_typeofz00(obj_t
		BgL_envz00_1809, BgL_varz00_bglt BgL_nodez00_1810)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 138 */
			{
				BgL_varz00_bglt BgL_nodez00_1378;

				BgL_nodez00_1378 = BgL_nodez00_1810;
				{
					BgL_typez00_bglt BgL_typenz00_1401;
					BgL_typez00_bglt BgL_typevz00_1402;
					BgL_typez00_bglt BgL_ntypez00_1416;
					BgL_typez00_bglt BgL_vtypez00_1417;

					{	/* Type/typeof.scm 153 */
						BgL_variablez00_bglt BgL_instance3648z00_1384;

						BgL_instance3648z00_1384 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_nodez00_1378)))->BgL_variablez00);
						if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
							{	/* Type/typeof.scm 156 */
								bool_t BgL_testz00_2541;

								{	/* Type/typeof.scm 156 */
									BgL_typez00_bglt BgL_arg3826z00_1391;

									{	/* Type/typeof.scm 156 */
										BgL_nodez00_bglt BgL_obj1602z00_1680;

										BgL_obj1602z00_1680 = ((BgL_nodez00_bglt) BgL_nodez00_1378);
										BgL_arg3826z00_1391 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj1602z00_1680)))->BgL_typez00);
									}
									BgL_testz00_2541 =
										(
										((obj_t) BgL_arg3826z00_1391) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_2541)
									{	/* Type/typeof.scm 156 */
										return
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_instance3648z00_1384)))->BgL_typez00);
									}
								else
									{	/* Type/typeof.scm 158 */
										bool_t BgL_testz00_2549;

										{	/* Type/typeof.scm 158 */
											bool_t BgL_testz00_2550;

											{	/* Type/typeof.scm 158 */
												BgL_typez00_bglt BgL_arg3825z00_1390;

												BgL_arg3825z00_1390 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_instance3648z00_1384)))->
													BgL_typez00);
												{	/* Type/typeof.scm 158 */
													bool_t BgL_res3952z00_1684;

													{	/* Type/typeof.scm 158 */
														obj_t BgL_obj3414z00_1683;

														BgL_obj3414z00_1683 = ((obj_t) BgL_arg3825z00_1390);
														BgL_res3952z00_1684 =
															BGl_iszd2azf3z21zz__objectz00(BgL_obj3414z00_1683,
															BGl_tclassz00zzobject_classz00);
													}
													BgL_testz00_2550 = BgL_res3952z00_1684;
												}
											}
											if (BgL_testz00_2550)
												{	/* Type/typeof.scm 158 */
													BgL_typez00_bglt BgL_arg3823z00_1388;
													BgL_typez00_bglt BgL_arg3824z00_1389;

													{	/* Type/typeof.scm 158 */
														BgL_nodez00_bglt BgL_obj1602z00_1685;

														BgL_obj1602z00_1685 =
															((BgL_nodez00_bglt) BgL_nodez00_1378);
														BgL_arg3823z00_1388 =
															(((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj1602z00_1685)))->BgL_typez00);
													}
													BgL_arg3824z00_1389 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_instance3648z00_1384)))->
														BgL_typez00);
													BgL_testz00_2549 =
														BGl_typezd2subclasszf3z21zzobject_classz00
														(BgL_arg3823z00_1388, BgL_arg3824z00_1389);
												}
											else
												{	/* Type/typeof.scm 158 */
													BgL_testz00_2549 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_2549)
											{	/* Type/typeof.scm 158 */
												return
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_instance3648z00_1384)))->
													BgL_typez00);
											}
										else
											{	/* Type/typeof.scm 160 */
												BgL_nodez00_bglt BgL_obj1602z00_1688;

												BgL_obj1602z00_1688 =
													((BgL_nodez00_bglt) BgL_nodez00_1378);
												return
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj1602z00_1688)))->BgL_typez00);
											}
									}
							}
						else
							{	/* Type/typeof.scm 162 */
								BgL_valuez00_bglt BgL_valuez00_1392;

								{	/* Type/typeof.scm 162 */
									BgL_variablez00_bglt BgL_obj2847z00_1690;

									BgL_obj2847z00_1690 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_nodez00_1378)))->BgL_variablez00);
									BgL_valuez00_1392 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj2847z00_1690)))->BgL_valuez00);
								}
								{	/* Type/typeof.scm 164 */
									bool_t BgL_testz00_2570;

									{	/* Type/typeof.scm 164 */
										bool_t BgL_res3953z00_1692;

										{	/* Type/typeof.scm 164 */
											obj_t BgL_obj3231z00_1691;

											BgL_obj3231z00_1691 = ((obj_t) BgL_valuez00_1392);
											BgL_res3953z00_1692 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj3231z00_1691,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_2570 = BgL_res3953z00_1692;
									}
									if (BgL_testz00_2570)
										{	/* Type/typeof.scm 164 */
											obj_t BgL_xz00_1999;

											BgL_xz00_1999 = BGl_za2procedureza2z00zztype_cachez00;
											return ((BgL_typez00_bglt) BgL_xz00_1999);
										}
									else
										{	/* Type/typeof.scm 166 */
											bool_t BgL_testz00_2574;

											{	/* Type/typeof.scm 166 */
												bool_t BgL_res3954z00_1694;

												{	/* Type/typeof.scm 166 */
													obj_t BgL_obj3295z00_1693;

													BgL_obj3295z00_1693 = ((obj_t) BgL_valuez00_1392);
													BgL_res3954z00_1694 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj3295z00_1693,
														BGl_cfunz00zzast_varz00);
												}
												BgL_testz00_2574 = BgL_res3954z00_1694;
											}
											if (BgL_testz00_2574)
												{	/* Type/typeof.scm 166 */
													obj_t BgL_xz00_2001;

													BgL_xz00_2001 = BGl_za2objza2z00zztype_cachez00;
													return ((BgL_typez00_bglt) BgL_xz00_2001);
												}
											else
												{	/* Type/typeof.scm 169 */
													bool_t BgL_testz00_2578;

													if (CBOOL
														(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
														{	/* Type/typeof.scm 170 */
															BgL_typez00_bglt BgL_arg3832z00_1398;
															BgL_typez00_bglt BgL_arg3833z00_1399;

															{	/* Type/typeof.scm 170 */
																BgL_nodez00_bglt BgL_obj1602z00_1695;

																BgL_obj1602z00_1695 =
																	((BgL_nodez00_bglt) BgL_nodez00_1378);
																BgL_arg3832z00_1398 =
																	(((BgL_nodez00_bglt) CREF(
																			((obj_t) BgL_obj1602z00_1695)))->
																	BgL_typez00);
															}
															BgL_arg3833z00_1399 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_instance3648z00_1384)))->
																BgL_typez00);
															BgL_ntypez00_1416 = BgL_arg3832z00_1398;
															BgL_vtypez00_1417 = BgL_arg3833z00_1399;
															{	/* Type/typeof.scm 148 */
																bool_t BgL__ortest_3639z00_1419;

																if (
																	(((obj_t) BgL_vtypez00_1417) ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Type/typeof.scm 148 */
																		if (BGl_bigloozd2typezf3z21zztype_typez00
																			(BgL_ntypez00_1416))
																			{	/* Type/typeof.scm 148 */
																				if (
																					(((obj_t) BgL_ntypez00_1416) ==
																						BGl_za2_za2z00zztype_cachez00))
																					{	/* Type/typeof.scm 148 */
																						BgL__ortest_3639z00_1419 =
																							((bool_t) 0);
																					}
																				else
																					{	/* Type/typeof.scm 148 */
																						BgL__ortest_3639z00_1419 =
																							((bool_t) 1);
																					}
																			}
																		else
																			{	/* Type/typeof.scm 148 */
																				BgL__ortest_3639z00_1419 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Type/typeof.scm 148 */
																		BgL__ortest_3639z00_1419 = ((bool_t) 0);
																	}
																if (BgL__ortest_3639z00_1419)
																	{	/* Type/typeof.scm 148 */
																		BgL_testz00_2578 = BgL__ortest_3639z00_1419;
																	}
																else
																	{	/* Type/typeof.scm 149 */
																		bool_t BgL__ortest_3640z00_1420;

																		if (
																			(((obj_t) BgL_vtypez00_1417) ==
																				BGl_za2pairzd2nilza2zd2zztype_cachez00))
																			{	/* Type/typeof.scm 149 */
																				BgL__ortest_3640z00_1420 =
																					(
																					((obj_t) BgL_ntypez00_1416) ==
																					BGl_za2pairza2z00zztype_cachez00);
																			}
																		else
																			{	/* Type/typeof.scm 149 */
																				BgL__ortest_3640z00_1420 = ((bool_t) 0);
																			}
																		if (BgL__ortest_3640z00_1420)
																			{	/* Type/typeof.scm 149 */
																				BgL_testz00_2578 =
																					BgL__ortest_3640z00_1420;
																			}
																		else
																			{	/* Type/typeof.scm 150 */
																				bool_t BgL_testz00_2601;

																				{	/* Type/typeof.scm 150 */
																					bool_t BgL_res3950z00_1676;

																					{	/* Type/typeof.scm 150 */
																						obj_t BgL_obj3414z00_1675;

																						BgL_obj3414z00_1675 =
																							((obj_t) BgL_vtypez00_1417);
																						BgL_res3950z00_1676 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj3414z00_1675,
																							BGl_tclassz00zzobject_classz00);
																					}
																					BgL_testz00_2601 =
																						BgL_res3950z00_1676;
																				}
																				if (BgL_testz00_2601)
																					{	/* Type/typeof.scm 150 */
																						bool_t BgL_testz00_2604;

																						{	/* Type/typeof.scm 150 */
																							bool_t BgL_res3951z00_1678;

																							{	/* Type/typeof.scm 150 */
																								obj_t BgL_obj3414z00_1677;

																								BgL_obj3414z00_1677 =
																									((obj_t) BgL_ntypez00_1416);
																								BgL_res3951z00_1678 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj3414z00_1677,
																									BGl_tclassz00zzobject_classz00);
																							}
																							BgL_testz00_2604 =
																								BgL_res3951z00_1678;
																						}
																						if (BgL_testz00_2604)
																							{	/* Type/typeof.scm 150 */
																								BgL_testz00_2578 =
																									BGl_typezd2subclasszf3z21zzobject_classz00
																									(BgL_ntypez00_1416,
																									BgL_vtypez00_1417);
																							}
																						else
																							{	/* Type/typeof.scm 150 */
																								BgL_testz00_2578 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Type/typeof.scm 150 */
																						BgL_testz00_2578 = ((bool_t) 0);
																					}
																			}
																	}
															}
														}
													else
														{	/* Type/typeof.scm 169 */
															BgL_testz00_2578 = ((bool_t) 0);
														}
													if (BgL_testz00_2578)
														{	/* Type/typeof.scm 169 */
															{	/* Type/typeof.scm 172 */
																BgL_typez00_bglt BgL_arg3830z00_1396;
																BgL_typez00_bglt BgL_arg3831z00_1397;

																{	/* Type/typeof.scm 172 */
																	BgL_nodez00_bglt BgL_obj1602z00_1697;

																	BgL_obj1602z00_1697 =
																		((BgL_nodez00_bglt) BgL_nodez00_1378);
																	BgL_arg3830z00_1396 =
																		(((BgL_nodez00_bglt) CREF(
																				((obj_t) BgL_obj1602z00_1697)))->
																		BgL_typez00);
																}
																BgL_arg3831z00_1397 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_instance3648z00_1384)))->
																	BgL_typez00);
																BgL_typenz00_1401 = BgL_arg3830z00_1396;
																BgL_typevz00_1402 = BgL_arg3831z00_1397;
																{	/* Type/typeof.scm 141 */
																	bool_t BgL_testz00_2613;

																	if (
																		(((obj_t) BgL_typenz00_1401) ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Type/typeof.scm 141 */
																			BgL_testz00_2613 = ((bool_t) 1);
																		}
																	else
																		{	/* Type/typeof.scm 141 */
																			if (
																				(((obj_t) BgL_typenz00_1401) ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Type/typeof.scm 142 */
																					BgL_testz00_2613 = ((bool_t) 1);
																				}
																			else
																				{	/* Type/typeof.scm 142 */
																					BgL_testz00_2613 =
																						(
																						((obj_t) BgL_typenz00_1401) ==
																						((obj_t) BgL_typevz00_1402));
																				}
																		}
																	if (BgL_testz00_2613)
																		{	/* Type/typeof.scm 141 */
																			BFALSE;
																		}
																	else
																		{	/* Type/typeof.scm 144 */
																			obj_t BgL_arg3837z00_1405;
																			obj_t BgL_arg3838z00_1406;
																			obj_t BgL_arg3839z00_1407;

																			BgL_arg3837z00_1405 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_nodez00_1378));
																			BgL_arg3838z00_1406 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_typevz00_1402));
																			BgL_arg3839z00_1407 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_typenz00_1401));
																			{	/* Type/typeof.scm 144 */
																				obj_t BgL_list3840z00_1408;

																				{	/* Type/typeof.scm 144 */
																					obj_t BgL_arg3841z00_1409;

																					{	/* Type/typeof.scm 144 */
																						obj_t BgL_arg3842z00_1410;

																						{	/* Type/typeof.scm 144 */
																							obj_t BgL_arg3843z00_1411;

																							{	/* Type/typeof.scm 144 */
																								obj_t BgL_arg3844z00_1412;

																								{	/* Type/typeof.scm 144 */
																									obj_t BgL_arg3845z00_1413;

																									BgL_arg3845z00_1413 =
																										MAKE_PAIR
																										(BgL_arg3839z00_1407, BNIL);
																									BgL_arg3844z00_1412 =
																										MAKE_PAIR
																										(BGl_string3978z00zztype_typeofz00,
																										BgL_arg3845z00_1413);
																								}
																								BgL_arg3843z00_1411 =
																									MAKE_PAIR(BgL_arg3838z00_1406,
																									BgL_arg3844z00_1412);
																							}
																							BgL_arg3842z00_1410 =
																								MAKE_PAIR
																								(BGl_string3979z00zztype_typeofz00,
																								BgL_arg3843z00_1411);
																						}
																						BgL_arg3841z00_1409 =
																							MAKE_PAIR(BgL_arg3837z00_1405,
																							BgL_arg3842z00_1410);
																					}
																					BgL_list3840z00_1408 =
																						MAKE_PAIR
																						(BGl_string3980z00zztype_typeofz00,
																						BgL_arg3841z00_1409);
																				}
																				BGl_verbosez00zztools_speekz00(BINT((
																							(long) 3)), BgL_list3840z00_1408);
															}}}}
															{	/* Type/typeof.scm 172 */
																BgL_nodez00_bglt BgL_obj1602z00_1699;

																BgL_obj1602z00_1699 =
																	((BgL_nodez00_bglt) BgL_nodez00_1378);
																return
																	(((BgL_nodez00_bglt) CREF(
																			((obj_t) BgL_obj1602z00_1699)))->
																	BgL_typez00);
															}
														}
													else
														{	/* Type/typeof.scm 169 */
															return
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_instance3648z00_1384)))->
																BgL_typez00);
														}
												}
										}
								}
							}
					}
				}
			}
		}
	}



/* &get-type-kwote3690 */
	BgL_typez00_bglt BGl_z62getzd2typezd2kwote3690z62zztype_typeofz00(obj_t
		BgL_envz00_1811, BgL_kwotez00_bglt BgL_nodez00_1812)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 113 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1372;

				BgL_nodez00_1372 = BgL_nodez00_1812;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 115 */
							obj_t BgL_xz00_2013;

							{	/* Type/typeof.scm 113 */
								obj_t BgL_nextzd2method3689zd2_1377;

								BgL_nextzd2method3689zd2_1377 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1372),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_kwotez00zzast_nodez00);
								BgL_xz00_2013 =
									PROCEDURE_ENTRY(BgL_nextzd2method3689zd2_1377)
									(BgL_nextzd2method3689zd2_1377, ((obj_t) BgL_nodez00_1372),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_2013);
						}
					else
						{	/* Type/typeof.scm 114 */
							return
								BGl_getzd2typezd2kwotez00zztype_typeofz00(
								(((BgL_kwotez00_bglt) CREF(
											((obj_t) BgL_nodez00_1372)))->BgL_valuez00));
						}
				}
			}
		}
	}



/* &get-type-atom3688 */
	BgL_typez00_bglt BGl_z62getzd2typezd2atom3688z62zztype_typeofz00(obj_t
		BgL_envz00_1813, BgL_atomz00_bglt BgL_nodez00_1814)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 104 */
			{
				BgL_atomz00_bglt BgL_nodez00_1366;

				BgL_nodez00_1366 = BgL_nodez00_1814;
				{

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Type/typeof.scm 106 */
							obj_t BgL_xz00_2017;

							{	/* Type/typeof.scm 104 */
								obj_t BgL_nextzd2method3687zd2_1371;

								BgL_nextzd2method3687zd2_1371 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									((BgL_objectz00_bglt) BgL_nodez00_1366),
									BGl_getzd2typezd2envz00zztype_typeofz00,
									BGl_atomz00zzast_nodez00);
								BgL_xz00_2017 =
									PROCEDURE_ENTRY(BgL_nextzd2method3687zd2_1371)
									(BgL_nextzd2method3687zd2_1371, ((obj_t) BgL_nodez00_1366),
									BEOA);
							}
							return ((BgL_typez00_bglt) BgL_xz00_2017);
						}
					else
						{	/* Type/typeof.scm 105 */
							return
								BGl_getzd2typezd2atomz00zztype_typeofz00(
								(((BgL_atomz00_bglt) CREF(
											((obj_t) BgL_nodez00_1366)))->BgL_valuez00));
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string3981z00zztype_typeofz00));
		}
	}

#ifdef __cplusplus
}
#endif
