/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncompzd2ev_global2471zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_globalz00_bglt);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec2501zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letrecz00_bglt);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza22499z12zz__evaluate_uncompz00(obj_t,
		BgL_ev_letza2za2_bglt);
	static obj_t BGl_z62uncompzd2ev_trap2483zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_trapz00_bglt);
	static obj_t BGl_z62uncompzd2ev_litt2473zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_littz00_bglt);
	static obj_t BGl_z62uncomp2466z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl2495z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_or2477zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_orz00_bglt);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal2489zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setlocalz00_bglt);
	static obj_t BGl_z62uncompzd2ev_goto2505zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_gotoz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit2491z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var2469zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62uncompzd2ev_app2507zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_appz00_bglt);
	static obj_t BGl_z62uncompzd2ev_prog22481zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_prog2z00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_let2497zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letz00_bglt);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro2493z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3130z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_abs2509zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_absz00_bglt);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal2487zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_defglobalz00_bglt);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels2503zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_labelsz00_bglt);
	static obj_t BGl_symbol3155z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3157z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3159z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_setglobal2485zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setglobalz00_bglt);
	static obj_t BGl_symbol3161z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol3163z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3165z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3167z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3169z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3171z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3173z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3175z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3177z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3179z00zz__evaluate_uncompz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol3181z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol3183z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_and2479zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_andz00_bglt);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_if2475zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_ifz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string3125z00zz__evaluate_uncompz00,
		BgL_bgl_string3125za700za7za7_3186za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string3126z00zz__evaluate_uncompz00,
		BgL_bgl_string3126za700za7za7_3187za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string3127z00zz__evaluate_uncompz00,
		BgL_bgl_string3127za700za7za7_3188za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string3129z00zz__evaluate_uncompz00,
		BgL_bgl_string3129za700za7za7_3189za7, "uncomp2466", 10);
	      DEFINE_STRING(BGl_string3131z00zz__evaluate_uncompz00,
		BgL_bgl_string3131za700za7za7_3190za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3132z00zz__evaluate_uncompz00,
		BgL_bgl_string3132za700za7za7_3191za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string3134z00zz__evaluate_uncompz00,
		BgL_bgl_string3134za700za7za7_3192za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp2466za7623193z00,
		BGl_z62uncomp2466z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v3194z00,
		BGl_z62uncompzd2ev_var2469zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g3195z00,
		BGl_z62uncompzd2ev_global2471zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l3196z00,
		BGl_z62uncompzd2ev_litt2473zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i3197z00,
		BGl_z62uncompzd2ev_if2475zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o3198z00,
		BGl_z62uncompzd2ev_or2477zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a3199z00,
		BGl_z62uncompzd2ev_and2479zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p3200z00,
		BGl_z62uncompzd2ev_prog22481zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t3201z00,
		BGl_z62uncompzd2ev_trap2483zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s3202z00,
		BGl_z62uncompzd2ev_setglobal2485zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d3203z00,
		BGl_z62uncompzd2ev_defglobal2487zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s3204z00,
		BGl_z62uncompzd2ev_setlocal2489zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b3205z00,
		BGl_z62uncompzd2ev_bindzd2exit2491z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u3206z00,
		BGl_z62uncompzd2ev_unwindzd2pro2493z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w3207z00,
		BGl_z62uncompzd2ev_withzd2handl2495z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l3208z00,
		BGl_z62uncompzd2ev_let2497zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l3209z00,
		BGl_z62uncompzd2ev_letza22499z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3156z00zz__evaluate_uncompz00,
		BgL_bgl_string3156za700za7za7_3210za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3158z00zz__evaluate_uncompz00,
		BgL_bgl_string3158za700za7za7_3211za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l3212z00,
		BGl_z62uncompzd2ev_letrec2501zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l3213z00,
		BGl_z62uncompzd2ev_labels2503zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g3214z00,
		BGl_z62uncompzd2ev_goto2505zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a3215z00,
		BGl_z62uncompzd2ev_app2507zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3160z00zz__evaluate_uncompz00,
		BgL_bgl_string3160za700za7za7_3216za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a3217z00,
		BGl_z62uncompzd2ev_abs2509zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3162z00zz__evaluate_uncompz00,
		BgL_bgl_string3162za700za7za7_3218za7, "let", 3);
	      DEFINE_STRING(BGl_string3164z00zz__evaluate_uncompz00,
		BgL_bgl_string3164za700za7za7_3219za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3166z00zz__evaluate_uncompz00,
		BgL_bgl_string3166za700za7za7_3220za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3168z00zz__evaluate_uncompz00,
		BgL_bgl_string3168za700za7za7_3221za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3170z00zz__evaluate_uncompz00,
		BgL_bgl_string3170za700za7za7_3222za7, "set!", 4);
	      DEFINE_STRING(BGl_string3172z00zz__evaluate_uncompz00,
		BgL_bgl_string3172za700za7za7_3223za7, "define", 6);
	      DEFINE_STRING(BGl_string3174z00zz__evaluate_uncompz00,
		BgL_bgl_string3174za700za7za7_3224za7, "trap", 4);
	      DEFINE_STRING(BGl_string3176z00zz__evaluate_uncompz00,
		BgL_bgl_string3176za700za7za7_3225za7, "begin", 5);
	      DEFINE_STRING(BGl_string3178z00zz__evaluate_uncompz00,
		BgL_bgl_string3178za700za7za7_3226za7, "and", 3);
	      DEFINE_STRING(BGl_string3180z00zz__evaluate_uncompz00,
		BgL_bgl_string3180za700za7za7_3227za7, "or", 2);
	      DEFINE_STRING(BGl_string3182z00zz__evaluate_uncompz00,
		BgL_bgl_string3182za700za7za7_3228za7, "if", 2);
	      DEFINE_STRING(BGl_string3184z00zz__evaluate_uncompz00,
		BgL_bgl_string3184za700za7za7_3229za7, "quote", 5);
	      DEFINE_STRING(BGl_string3185z00zz__evaluate_uncompz00,
		BgL_bgl_string3185za700za7za7_3230za7, "__evaluate_uncomp", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za73231za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__3232z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_3025, char *BgL_fromz00_3026)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol3130z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3129z00zz__evaluate_uncompz00);
			BGl_symbol3155z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3156z00zz__evaluate_uncompz00);
			BGl_symbol3157z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3158z00zz__evaluate_uncompz00);
			BGl_symbol3159z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3160z00zz__evaluate_uncompz00);
			BGl_symbol3161z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3162z00zz__evaluate_uncompz00);
			BGl_symbol3163z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3164z00zz__evaluate_uncompz00);
			BGl_symbol3165z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3166z00zz__evaluate_uncompz00);
			BGl_symbol3167z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3168z00zz__evaluate_uncompz00);
			BGl_symbol3169z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3170z00zz__evaluate_uncompz00);
			BGl_symbol3171z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3172z00zz__evaluate_uncompz00);
			BGl_symbol3173z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3174z00zz__evaluate_uncompz00);
			BGl_symbol3175z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3176z00zz__evaluate_uncompz00);
			BGl_symbol3177z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3178z00zz__evaluate_uncompz00);
			BGl_symbol3179z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3180z00zz__evaluate_uncompz00);
			BGl_symbol3181z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3182z00zz__evaluate_uncompz00);
			return (BGl_symbol3183z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string3184z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 63 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2858,
		obj_t BgL_ez00_2859)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 63 */
			{	/* Eval/evaluate_uncomp.scm 64 */
				BgL_ev_exprz00_bglt BgL_ez00_3021;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2859,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 64 */
						BgL_ez00_3021 = ((BgL_ev_exprz00_bglt) BgL_ez00_2859);
					}
				else
					{
						obj_t BgL_auxz00_3054;

						BgL_auxz00_3054 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3125z00zz__evaluate_uncompz00, BINT(((long) 1839)),
							BGl_string3126z00zz__evaluate_uncompz00,
							BGl_string3127z00zz__evaluate_uncompz00, BgL_ez00_2859);
						FAILURE(BgL_auxz00_3054, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3021);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc3128z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3129z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp2466 */
	obj_t BGl_z62uncomp2466z62zz__evaluate_uncompz00(obj_t BgL_envz00_2861,
		BgL_ev_exprz00_bglt BgL_ez00_2862)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 66 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_1405;

				BgL_ez00_1405 = BgL_ez00_2862;
				return
					BGl_errorz00zz__errorz00(BGl_symbol3130z00zz__evaluate_uncompz00,
					BGl_string3131z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_1405));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 66 */
			{	/* Eval/evaluate_uncomp.scm 66 */
				obj_t BgL_method2467z00_1408;

				{	/* Eval/evaluate_uncomp.scm 66 */
					obj_t BgL_res3007z00_2102;

					{	/* Eval/evaluate_uncomp.scm 66 */
						BgL_objectz00_bglt BgL_objz00_2074;

						BgL_objz00_2074 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 66 */
							long BgL_objzd2classzd2numz00_2075;

							{	/* Eval/evaluate_uncomp.scm 66 */
								long BgL_res3001z00_2078;

								BgL_res3001z00_2078 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2074);
								BgL_objzd2classzd2numz00_2075 = BgL_res3001z00_2078;
							}
							{	/* Eval/evaluate_uncomp.scm 66 */
								obj_t BgL_arg2995z00_2076;

								BgL_arg2995z00_2076 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 66 */
									obj_t BgL_arrayz00_2079;
									int BgL_offsetz00_2080;

									BgL_arrayz00_2079 = BgL_arg2995z00_2076;
									BgL_offsetz00_2080 = (int) (BgL_objzd2classzd2numz00_2075);
									{	/* Eval/evaluate_uncomp.scm 66 */
										long BgL_offsetz00_2081;

										BgL_offsetz00_2081 =
											((long) (BgL_offsetz00_2080) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 66 */
											long BgL_modz00_2082;

											{	/* Eval/evaluate_uncomp.scm 66 */
												int BgL_arg2997z00_2083;

												BgL_arg2997z00_2083 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 66 */
													long BgL_res3004z00_2093;

													{	/* Eval/evaluate_uncomp.scm 66 */
														long BgL_auxz00_3070;

														BgL_auxz00_3070 = (long) (BgL_arg2997z00_2083);
														BgL_res3004z00_2093 =
															(BgL_offsetz00_2081 / BgL_auxz00_3070);
													}
													BgL_modz00_2082 = BgL_res3004z00_2093;
											}}
											{	/* Eval/evaluate_uncomp.scm 66 */
												long BgL_restz00_2084;

												{	/* Eval/evaluate_uncomp.scm 66 */
													int BgL_arg2996z00_2085;

													BgL_arg2996z00_2085 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 66 */
														long BgL_res3006z00_2097;

														{	/* Eval/evaluate_uncomp.scm 66 */
															long BgL_auxz00_3074;

															BgL_auxz00_3074 = (long) (BgL_arg2996z00_2085);
															BgL_res3006z00_2097 =
																(BgL_offsetz00_2081 % BgL_auxz00_3074);
														}
														BgL_restz00_2084 = BgL_res3006z00_2097;
												}}
												{	/* Eval/evaluate_uncomp.scm 66 */

													BgL_res3007z00_2102 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2079,
															(int) (BgL_modz00_2082)),
														(int) (BgL_restz00_2084));
					}}}}}}}}
					BgL_method2467z00_1408 = BgL_res3007z00_2102;
				}
				return
					PROCEDURE_ENTRY(BgL_method2467z00_1408) (BgL_method2467z00_1408,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2863,
		obj_t BgL_ez00_2864)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 66 */
			{	/* Eval/evaluate_uncomp.scm 66 */
				BgL_ev_exprz00_bglt BgL_auxz00_3086;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2864,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 66 */
						BgL_auxz00_3086 = ((BgL_ev_exprz00_bglt) BgL_ez00_2864);
					}
				else
					{
						obj_t BgL_auxz00_3090;

						BgL_auxz00_3090 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3125z00zz__evaluate_uncompz00, BINT(((long) 1853)),
							BGl_string3132z00zz__evaluate_uncompz00,
							BGl_string3127z00zz__evaluate_uncompz00, BgL_ez00_2864);
						FAILURE(BgL_auxz00_3090, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_3086);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc3133z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3135z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3136z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc3137z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc3138z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc3139z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3140z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc3141z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc3142z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc3143z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc3144z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3145z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3146z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3147z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc3148z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc3149z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc3150z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc3151z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc3152z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc3153z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc3154z00zz__evaluate_uncompz00,
				BGl_string3134z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs2509 */
	obj_t BGl_z62uncompzd2ev_abs2509zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2886, BgL_ev_absz00_bglt BgL_ez00_2887)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 151 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1764;

				BgL_ez00_1764 = BgL_ez00_2887;
				{	/* Eval/evaluate_uncomp.scm 160 */
					obj_t BgL_arg2783z00_1769;

					{	/* Eval/evaluate_uncomp.scm 160 */
						obj_t BgL_arg2784z00_1770;
						obj_t BgL_arg2785z00_1771;

						{	/* Eval/evaluate_uncomp.scm 160 */
							obj_t BgL_arg2787z00_1772;
							obj_t BgL_arg2788z00_1773;

							BgL_arg2787z00_1772 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1764)))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 160 */
								obj_t BgL_l2448z00_1774;

								BgL_l2448z00_1774 =
									(((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_ez00_1764)))->BgL_varsz00);
								if (NULLP(BgL_l2448z00_1774))
									{	/* Eval/evaluate_uncomp.scm 160 */
										BgL_arg2788z00_1773 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 160 */
										obj_t BgL_head2450z00_1776;

										{	/* Eval/evaluate_uncomp.scm 160 */
											obj_t BgL_arg2795z00_1788;

											{	/* Eval/evaluate_uncomp.scm 160 */
												BgL_ev_varz00_bglt BgL_obj1830z00_2531;

												{	/* Eval/evaluate_uncomp.scm 160 */
													obj_t BgL_pairz00_2530;

													BgL_pairz00_2530 = BgL_l2448z00_1774;
													BgL_obj1830z00_2531 =
														((BgL_ev_varz00_bglt) CAR(BgL_pairz00_2530));
												}
												BgL_arg2795z00_1788 =
													(((BgL_ev_varz00_bglt) CREF(
															((obj_t) BgL_obj1830z00_2531)))->BgL_namez00);
											}
											{	/* Eval/evaluate_uncomp.scm 160 */
												obj_t BgL_res3068z00_2534;

												BgL_res3068z00_2534 =
													MAKE_PAIR(BgL_arg2795z00_1788, BNIL);
												BgL_head2450z00_1776 = BgL_res3068z00_2534;
											}
										}
										{	/* Eval/evaluate_uncomp.scm 160 */
											obj_t BgL_g2453z00_1777;

											BgL_g2453z00_1777 = CDR(BgL_l2448z00_1774);
											{
												obj_t BgL_l2448z00_2569;
												obj_t BgL_tail2451z00_2570;

												BgL_l2448z00_2569 = BgL_g2453z00_1777;
												BgL_tail2451z00_2570 = BgL_head2450z00_1776;
											BgL_zc3anonymousza32790ze3z83_2568:
												if (NULLP(BgL_l2448z00_2569))
													{	/* Eval/evaluate_uncomp.scm 160 */
														BgL_arg2788z00_1773 = BgL_head2450z00_1776;
													}
												else
													{	/* Eval/evaluate_uncomp.scm 160 */
														obj_t BgL_newtail2452z00_2577;

														{	/* Eval/evaluate_uncomp.scm 160 */
															obj_t BgL_arg2793z00_2578;

															{	/* Eval/evaluate_uncomp.scm 160 */
																BgL_ev_varz00_bglt BgL_obj1830z00_2584;

																{	/* Eval/evaluate_uncomp.scm 160 */
																	obj_t BgL_pairz00_2583;

																	BgL_pairz00_2583 = BgL_l2448z00_2569;
																	BgL_obj1830z00_2584 =
																		((BgL_ev_varz00_bglt)
																		CAR(BgL_pairz00_2583));
																}
																BgL_arg2793z00_2578 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((obj_t) BgL_obj1830z00_2584)))->
																	BgL_namez00);
															}
															{	/* Eval/evaluate_uncomp.scm 160 */
																obj_t BgL_res3074z00_2587;

																BgL_res3074z00_2587 =
																	MAKE_PAIR(BgL_arg2793z00_2578, BNIL);
																BgL_newtail2452z00_2577 = BgL_res3074z00_2587;
															}
														}
														SET_CDR(BgL_tail2451z00_2570,
															BgL_newtail2452z00_2577);
														{
															obj_t BgL_tail2451z00_3138;
															obj_t BgL_l2448z00_3136;

															BgL_l2448z00_3136 = CDR(BgL_l2448z00_2569);
															BgL_tail2451z00_3138 = BgL_newtail2452z00_2577;
															BgL_tail2451z00_2570 = BgL_tail2451z00_3138;
															BgL_l2448z00_2569 = BgL_l2448z00_3136;
															goto BgL_zc3anonymousza32790ze3z83_2568;
														}
													}
											}
										}
									}
							}
							BgL_arg2784z00_1770 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg2787z00_1772,
								BgL_arg2788z00_1773);
						}
						{	/* Eval/evaluate_uncomp.scm 160 */
							obj_t BgL_arg2797z00_1790;

							{	/* Eval/evaluate_uncomp.scm 160 */
								BgL_ev_exprz00_bglt BgL_arg2798z00_1791;

								BgL_arg2798z00_1791 =
									(((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_ez00_1764)))->BgL_bodyz00);
								BgL_arg2797z00_1790 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2798z00_1791);
							}
							BgL_arg2785z00_1771 = MAKE_PAIR(BgL_arg2797z00_1790, BNIL);
						}
						BgL_arg2783z00_1769 =
							MAKE_PAIR(BgL_arg2784z00_1770, BgL_arg2785z00_1771);
					}
					return
						MAKE_PAIR(BGl_symbol3155z00zz__evaluate_uncompz00,
						BgL_arg2783z00_1769);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1797)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 156 */
			if (NULLP(CDR(BgL_lz00_1797)))
				{	/* Eval/evaluate_uncomp.scm 157 */
					return CAR(BgL_lz00_1797);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 157 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1797),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1797)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1792,
		obj_t BgL_lz00_1793)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 159 */
			if (((long) CINT(BgL_nz00_1792) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 154 */
					return BgL_lz00_1793;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 154 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1793);
				}
		}
	}



/* &uncomp-ev_app2507 */
	obj_t BGl_z62uncompzd2ev_app2507zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2888, BgL_ev_appz00_bglt BgL_ez00_2889)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 147 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1739;

				BgL_ez00_1739 = BgL_ez00_2889;
				{	/* Eval/evaluate_uncomp.scm 149 */
					obj_t BgL_arg2771z00_1743;
					obj_t BgL_arg2772z00_1744;

					{	/* Eval/evaluate_uncomp.scm 149 */
						BgL_ev_exprz00_bglt BgL_arg2773z00_1745;

						BgL_arg2773z00_1745 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1739)))->BgL_funz00);
						BgL_arg2771z00_1743 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2773z00_1745);
					}
					{	/* Eval/evaluate_uncomp.scm 149 */
						obj_t BgL_arg2774z00_1746;

						{	/* Eval/evaluate_uncomp.scm 149 */
							obj_t BgL_l2442z00_1747;

							BgL_l2442z00_1747 =
								(((BgL_ev_appz00_bglt) CREF(
										((obj_t) BgL_ez00_1739)))->BgL_argsz00);
							if (NULLP(BgL_l2442z00_1747))
								{	/* Eval/evaluate_uncomp.scm 149 */
									BgL_arg2774z00_1746 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 149 */
									obj_t BgL_head2444z00_1749;

									{	/* Eval/evaluate_uncomp.scm 149 */
										obj_t BgL_arg2781z00_1761;

										{	/* Eval/evaluate_uncomp.scm 149 */
											obj_t BgL_arg2782z00_1762;

											BgL_arg2782z00_1762 = CAR(BgL_l2442z00_1747);
											BgL_arg2781z00_1761 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg2782z00_1762));
										}
										{	/* Eval/evaluate_uncomp.scm 149 */
											obj_t BgL_res3058z00_2463;

											BgL_res3058z00_2463 =
												MAKE_PAIR(BgL_arg2781z00_1761, BNIL);
											BgL_head2444z00_1749 = BgL_res3058z00_2463;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 149 */
										obj_t BgL_g2447z00_1750;

										BgL_g2447z00_1750 = CDR(BgL_l2442z00_1747);
										{
											obj_t BgL_l2442z00_2496;
											obj_t BgL_tail2445z00_2497;

											BgL_l2442z00_2496 = BgL_g2447z00_1750;
											BgL_tail2445z00_2497 = BgL_head2444z00_1749;
										BgL_zc3anonymousza32776ze3z83_2495:
											if (NULLP(BgL_l2442z00_2496))
												{	/* Eval/evaluate_uncomp.scm 149 */
													BgL_arg2774z00_1746 = BgL_head2444z00_1749;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 149 */
													obj_t BgL_newtail2446z00_2504;

													{	/* Eval/evaluate_uncomp.scm 149 */
														obj_t BgL_arg2779z00_2505;

														{	/* Eval/evaluate_uncomp.scm 149 */
															obj_t BgL_arg2780z00_2506;

															BgL_arg2780z00_2506 = CAR(BgL_l2442z00_2496);
															BgL_arg2779z00_2505 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg2780z00_2506));
														}
														{	/* Eval/evaluate_uncomp.scm 149 */
															obj_t BgL_res3064z00_2513;

															BgL_res3064z00_2513 =
																MAKE_PAIR(BgL_arg2779z00_2505, BNIL);
															BgL_newtail2446z00_2504 = BgL_res3064z00_2513;
														}
													}
													SET_CDR(BgL_tail2445z00_2497,
														BgL_newtail2446z00_2504);
													{
														obj_t BgL_tail2445z00_3179;
														obj_t BgL_l2442z00_3177;

														BgL_l2442z00_3177 = CDR(BgL_l2442z00_2496);
														BgL_tail2445z00_3179 = BgL_newtail2446z00_2504;
														BgL_tail2445z00_2497 = BgL_tail2445z00_3179;
														BgL_l2442z00_2496 = BgL_l2442z00_3177;
														goto BgL_zc3anonymousza32776ze3z83_2495;
													}
												}
										}
									}
								}
						}
						BgL_arg2772z00_1744 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg2774z00_1746, BNIL);
					}
					return MAKE_PAIR(BgL_arg2771z00_1743, BgL_arg2772z00_1744);
				}
			}
		}
	}



/* &uncomp-ev_goto2505 */
	obj_t BGl_z62uncompzd2ev_goto2505zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2890, BgL_ev_gotoz00_bglt BgL_ez00_2891)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 143 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1714;

				BgL_ez00_1714 = BgL_ez00_2891;
				{	/* Eval/evaluate_uncomp.scm 145 */
					obj_t BgL_arg2759z00_1718;
					obj_t BgL_arg2760z00_1719;

					{	/* Eval/evaluate_uncomp.scm 145 */
						BgL_ev_varz00_bglt BgL_arg2761z00_1720;

						BgL_arg2761z00_1720 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_ez00_1714)))->BgL_labelz00);
						BgL_arg2759z00_1718 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg2761z00_1720));
					}
					{	/* Eval/evaluate_uncomp.scm 145 */
						obj_t BgL_arg2762z00_1721;

						{	/* Eval/evaluate_uncomp.scm 145 */
							obj_t BgL_l2436z00_1722;

							BgL_l2436z00_1722 =
								(((BgL_ev_gotoz00_bglt) CREF(
										((obj_t) BgL_ez00_1714)))->BgL_argsz00);
							if (NULLP(BgL_l2436z00_1722))
								{	/* Eval/evaluate_uncomp.scm 145 */
									BgL_arg2762z00_1721 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 145 */
									obj_t BgL_head2438z00_1724;

									{	/* Eval/evaluate_uncomp.scm 145 */
										obj_t BgL_arg2769z00_1736;

										{	/* Eval/evaluate_uncomp.scm 145 */
											obj_t BgL_arg2770z00_1737;

											BgL_arg2770z00_1737 = CAR(BgL_l2436z00_1722);
											BgL_arg2769z00_1736 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg2770z00_1737));
										}
										{	/* Eval/evaluate_uncomp.scm 145 */
											obj_t BgL_res3050z00_2402;

											BgL_res3050z00_2402 =
												MAKE_PAIR(BgL_arg2769z00_1736, BNIL);
											BgL_head2438z00_1724 = BgL_res3050z00_2402;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 145 */
										obj_t BgL_g2441z00_1725;

										BgL_g2441z00_1725 = CDR(BgL_l2436z00_1722);
										{
											obj_t BgL_l2436z00_2435;
											obj_t BgL_tail2439z00_2436;

											BgL_l2436z00_2435 = BgL_g2441z00_1725;
											BgL_tail2439z00_2436 = BgL_head2438z00_1724;
										BgL_zc3anonymousza32764ze3z83_2434:
											if (NULLP(BgL_l2436z00_2435))
												{	/* Eval/evaluate_uncomp.scm 145 */
													BgL_arg2762z00_1721 = BgL_head2438z00_1724;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 145 */
													obj_t BgL_newtail2440z00_2443;

													{	/* Eval/evaluate_uncomp.scm 145 */
														obj_t BgL_arg2767z00_2444;

														{	/* Eval/evaluate_uncomp.scm 145 */
															obj_t BgL_arg2768z00_2445;

															BgL_arg2768z00_2445 = CAR(BgL_l2436z00_2435);
															BgL_arg2767z00_2444 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg2768z00_2445));
														}
														{	/* Eval/evaluate_uncomp.scm 145 */
															obj_t BgL_res3056z00_2452;

															BgL_res3056z00_2452 =
																MAKE_PAIR(BgL_arg2767z00_2444, BNIL);
															BgL_newtail2440z00_2443 = BgL_res3056z00_2452;
														}
													}
													SET_CDR(BgL_tail2439z00_2436,
														BgL_newtail2440z00_2443);
													{
														obj_t BgL_tail2439z00_3204;
														obj_t BgL_l2436z00_3202;

														BgL_l2436z00_3202 = CDR(BgL_l2436z00_2435);
														BgL_tail2439z00_3204 = BgL_newtail2440z00_2443;
														BgL_tail2439z00_2436 = BgL_tail2439z00_3204;
														BgL_l2436z00_2435 = BgL_l2436z00_3202;
														goto BgL_zc3anonymousza32764ze3z83_2434;
													}
												}
										}
									}
								}
						}
						BgL_arg2760z00_1719 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg2762z00_1721, BNIL);
					}
					return MAKE_PAIR(BgL_arg2759z00_1718, BgL_arg2760z00_1719);
				}
			}
		}
	}



/* &uncomp-ev_labels2503 */
	obj_t BGl_z62uncompzd2ev_labels2503zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2892, BgL_ev_labelsz00_bglt BgL_ez00_2893)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 136 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1663;

				BgL_ez00_1663 = BgL_ez00_2893;
				{	/* Eval/evaluate_uncomp.scm 138 */
					obj_t BgL_arg2732z00_1667;

					{	/* Eval/evaluate_uncomp.scm 138 */
						obj_t BgL_arg2733z00_1668;
						obj_t BgL_arg2734z00_1669;

						{	/* Eval/evaluate_uncomp.scm 138 */
							obj_t BgL_ll2430z00_1670;
							obj_t BgL_ll2431z00_1671;

							BgL_ll2430z00_1670 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_1663)))->BgL_varsz00);
							BgL_ll2431z00_1671 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_1663)))->BgL_valsz00);
							if (NULLP(BgL_ll2430z00_1670))
								{	/* Eval/evaluate_uncomp.scm 138 */
									BgL_arg2733z00_1668 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 138 */
									obj_t BgL_head2432z00_1673;

									{	/* Eval/evaluate_uncomp.scm 138 */
										obj_t BgL_res3038z00_2320;

										BgL_res3038z00_2320 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2432z00_1673 = BgL_res3038z00_2320;
									}
									{
										obj_t BgL_ll2430z00_1675;
										obj_t BgL_ll2431z00_1676;
										obj_t BgL_tail2433z00_1677;

										BgL_ll2430z00_1675 = BgL_ll2430z00_1670;
										BgL_ll2431z00_1676 = BgL_ll2431z00_1671;
										BgL_tail2433z00_1677 = BgL_head2432z00_1673;
									BgL_zc3anonymousza32736ze3z83_1678:
										if (NULLP(BgL_ll2430z00_1675))
											{	/* Eval/evaluate_uncomp.scm 138 */
												BgL_arg2733z00_1668 = CDR(BgL_head2432z00_1673);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 138 */
												obj_t BgL_newtail2434z00_1680;

												{	/* Eval/evaluate_uncomp.scm 138 */
													obj_t BgL_arg2740z00_1683;

													{	/* Eval/evaluate_uncomp.scm 138 */
														obj_t BgL_vz00_1684;
														obj_t BgL_az00_1685;

														BgL_vz00_1684 = CAR(BgL_ll2430z00_1675);
														BgL_az00_1685 = CAR(BgL_ll2431z00_1676);
														{	/* Eval/evaluate_uncomp.scm 138 */
															obj_t BgL_arg2741z00_1686;
															obj_t BgL_arg2742z00_1687;

															BgL_arg2741z00_1686 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_1684));
															{	/* Eval/evaluate_uncomp.scm 138 */
																obj_t BgL_arg2743z00_1688;

																{	/* Eval/evaluate_uncomp.scm 138 */
																	obj_t BgL_arg2744z00_1689;

																	{	/* Eval/evaluate_uncomp.scm 138 */
																		obj_t BgL_arg2745z00_1690;
																		obj_t BgL_arg2746z00_1691;

																		{	/* Eval/evaluate_uncomp.scm 138 */
																			obj_t BgL_l2424z00_1692;

																			BgL_l2424z00_1692 = CAR(BgL_az00_1685);
																			if (NULLP(BgL_l2424z00_1692))
																				{	/* Eval/evaluate_uncomp.scm 138 */
																					BgL_arg2745z00_1690 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 138 */
																					obj_t BgL_head2426z00_1694;

																					{	/* Eval/evaluate_uncomp.scm 138 */
																						obj_t BgL_arg2753z00_1706;

																						{	/* Eval/evaluate_uncomp.scm 138 */
																							obj_t BgL_arg2754z00_1707;

																							BgL_arg2754z00_1707 =
																								CAR(BgL_l2424z00_1692);
																							BgL_arg2753z00_1706 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg2754z00_1707));
																						}
																						{	/* Eval/evaluate_uncomp.scm 138 */
																							obj_t BgL_res3041z00_2332;

																							BgL_res3041z00_2332 =
																								MAKE_PAIR(BgL_arg2753z00_1706,
																								BNIL);
																							BgL_head2426z00_1694 =
																								BgL_res3041z00_2332;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 138 */
																						obj_t BgL_g2429z00_1695;

																						BgL_g2429z00_1695 =
																							CDR(BgL_l2424z00_1692);
																						{
																							obj_t BgL_l2424z00_2365;
																							obj_t BgL_tail2427z00_2366;

																							BgL_l2424z00_2365 =
																								BgL_g2429z00_1695;
																							BgL_tail2427z00_2366 =
																								BgL_head2426z00_1694;
																						BgL_zc3anonymousza32748ze3z83_2364:
																							if (NULLP(BgL_l2424z00_2365))
																								{	/* Eval/evaluate_uncomp.scm 138 */
																									BgL_arg2745z00_1690 =
																										BgL_head2426z00_1694;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 138 */
																									obj_t BgL_newtail2428z00_2373;

																									{	/* Eval/evaluate_uncomp.scm 138 */
																										obj_t BgL_arg2751z00_2374;

																										{	/* Eval/evaluate_uncomp.scm 138 */
																											obj_t BgL_arg2752z00_2375;

																											BgL_arg2752z00_2375 =
																												CAR(BgL_l2424z00_2365);
																											BgL_arg2751z00_2374 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg2752z00_2375));
																										}
																										{	/* Eval/evaluate_uncomp.scm 138 */
																											obj_t BgL_res3047z00_2382;

																											BgL_res3047z00_2382 =
																												MAKE_PAIR
																												(BgL_arg2751z00_2374,
																												BNIL);
																											BgL_newtail2428z00_2373 =
																												BgL_res3047z00_2382;
																										}
																									}
																									SET_CDR(BgL_tail2427z00_2366,
																										BgL_newtail2428z00_2373);
																									{
																										obj_t BgL_tail2427z00_3238;
																										obj_t BgL_l2424z00_3236;

																										BgL_l2424z00_3236 =
																											CDR(BgL_l2424z00_2365);
																										BgL_tail2427z00_3238 =
																											BgL_newtail2428z00_2373;
																										BgL_tail2427z00_2366 =
																											BgL_tail2427z00_3238;
																										BgL_l2424z00_2365 =
																											BgL_l2424z00_3236;
																										goto
																											BgL_zc3anonymousza32748ze3z83_2364;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 139 */
																			obj_t BgL_arg2755z00_1708;

																			{	/* Eval/evaluate_uncomp.scm 139 */
																				obj_t BgL_arg2756z00_1709;

																				BgL_arg2756z00_1709 =
																					CDR(BgL_az00_1685);
																				BgL_arg2755z00_1708 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg2756z00_1709));
																			}
																			BgL_arg2746z00_1691 =
																				MAKE_PAIR(BgL_arg2755z00_1708, BNIL);
																		}
																		BgL_arg2744z00_1689 =
																			MAKE_PAIR(BgL_arg2745z00_1690,
																			BgL_arg2746z00_1691);
																	}
																	BgL_arg2743z00_1688 =
																		MAKE_PAIR
																		(BGl_symbol3155z00zz__evaluate_uncompz00,
																		BgL_arg2744z00_1689);
																}
																BgL_arg2742z00_1687 =
																	MAKE_PAIR(BgL_arg2743z00_1688, BNIL);
															}
															BgL_arg2740z00_1683 =
																MAKE_PAIR(BgL_arg2741z00_1686,
																BgL_arg2742z00_1687);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 138 */
														obj_t BgL_res3048z00_2389;

														BgL_res3048z00_2389 =
															MAKE_PAIR(BgL_arg2740z00_1683, BNIL);
														BgL_newtail2434z00_1680 = BgL_res3048z00_2389;
													}
												}
												SET_CDR(BgL_tail2433z00_1677, BgL_newtail2434z00_1680);
												{
													obj_t BgL_tail2433z00_3253;
													obj_t BgL_ll2431z00_3251;
													obj_t BgL_ll2430z00_3249;

													BgL_ll2430z00_3249 = CDR(BgL_ll2430z00_1675);
													BgL_ll2431z00_3251 = CDR(BgL_ll2431z00_1676);
													BgL_tail2433z00_3253 = BgL_newtail2434z00_1680;
													BgL_tail2433z00_1677 = BgL_tail2433z00_3253;
													BgL_ll2431z00_1676 = BgL_ll2431z00_3251;
													BgL_ll2430z00_1675 = BgL_ll2430z00_3249;
													goto BgL_zc3anonymousza32736ze3z83_1678;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 141 */
							obj_t BgL_arg2757z00_1711;

							{	/* Eval/evaluate_uncomp.scm 141 */
								BgL_ev_exprz00_bglt BgL_arg2758z00_1712;

								BgL_arg2758z00_1712 =
									(((BgL_ev_labelsz00_bglt) CREF(
											((obj_t) BgL_ez00_1663)))->BgL_bodyz00);
								BgL_arg2757z00_1711 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2758z00_1712);
							}
							BgL_arg2734z00_1669 = MAKE_PAIR(BgL_arg2757z00_1711, BNIL);
						}
						BgL_arg2732z00_1667 =
							MAKE_PAIR(BgL_arg2733z00_1668, BgL_arg2734z00_1669);
					}
					return
						MAKE_PAIR(BGl_symbol3157z00zz__evaluate_uncompz00,
						BgL_arg2732z00_1667);
				}
			}
		}
	}



/* &uncomp-ev_letrec2501 */
	obj_t BGl_z62uncompzd2ev_letrec2501zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2894, BgL_ev_letrecz00_bglt BgL_ez00_2895)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 132 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1633;

				BgL_ez00_1633 = BgL_ez00_2895;
				{	/* Eval/evaluate_uncomp.scm 134 */
					obj_t BgL_arg2718z00_1637;

					{	/* Eval/evaluate_uncomp.scm 134 */
						obj_t BgL_arg2719z00_1638;
						obj_t BgL_arg2720z00_1639;

						{	/* Eval/evaluate_uncomp.scm 134 */
							obj_t BgL_ll2418z00_1640;
							obj_t BgL_ll2419z00_1641;

							{	/* Eval/evaluate_uncomp.scm 134 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_2294;

								BgL_obj2080z00_2294 = ((BgL_ev_binderz00_bglt) BgL_ez00_1633);
								BgL_ll2418z00_1640 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_2294)))->BgL_varsz00);
							}
							{	/* Eval/evaluate_uncomp.scm 134 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_2295;

								BgL_obj2083z00_2295 = ((BgL_ev_binderz00_bglt) BgL_ez00_1633);
								BgL_ll2419z00_1641 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_2295)))->BgL_valsz00);
							}
							if (NULLP(BgL_ll2418z00_1640))
								{	/* Eval/evaluate_uncomp.scm 134 */
									BgL_arg2719z00_1638 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 134 */
									obj_t BgL_head2420z00_1643;

									{	/* Eval/evaluate_uncomp.scm 134 */
										obj_t BgL_res3034z00_2300;

										BgL_res3034z00_2300 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2420z00_1643 = BgL_res3034z00_2300;
									}
									{
										obj_t BgL_ll2418z00_1645;
										obj_t BgL_ll2419z00_1646;
										obj_t BgL_tail2421z00_1647;

										BgL_ll2418z00_1645 = BgL_ll2418z00_1640;
										BgL_ll2419z00_1646 = BgL_ll2419z00_1641;
										BgL_tail2421z00_1647 = BgL_head2420z00_1643;
									BgL_zc3anonymousza32722ze3z83_1648:
										if (NULLP(BgL_ll2418z00_1645))
											{	/* Eval/evaluate_uncomp.scm 134 */
												BgL_arg2719z00_1638 = CDR(BgL_head2420z00_1643);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 134 */
												obj_t BgL_newtail2422z00_1650;

												{	/* Eval/evaluate_uncomp.scm 134 */
													obj_t BgL_arg2726z00_1653;

													{	/* Eval/evaluate_uncomp.scm 134 */
														obj_t BgL_vz00_1654;
														obj_t BgL_az00_1655;

														BgL_vz00_1654 = CAR(BgL_ll2418z00_1645);
														BgL_az00_1655 = CAR(BgL_ll2419z00_1646);
														{	/* Eval/evaluate_uncomp.scm 134 */
															obj_t BgL_arg2727z00_1656;
															obj_t BgL_arg2728z00_1657;

															BgL_arg2727z00_1656 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_1654));
															{	/* Eval/evaluate_uncomp.scm 134 */
																obj_t BgL_arg2729z00_1658;

																BgL_arg2729z00_1658 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_1655));
																BgL_arg2728z00_1657 =
																	MAKE_PAIR(BgL_arg2729z00_1658, BNIL);
															}
															BgL_arg2726z00_1653 =
																MAKE_PAIR(BgL_arg2727z00_1656,
																BgL_arg2728z00_1657);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 134 */
														obj_t BgL_res3036z00_2308;

														BgL_res3036z00_2308 =
															MAKE_PAIR(BgL_arg2726z00_1653, BNIL);
														BgL_newtail2422z00_1650 = BgL_res3036z00_2308;
													}
												}
												SET_CDR(BgL_tail2421z00_1647, BgL_newtail2422z00_1650);
												{
													obj_t BgL_tail2421z00_3286;
													obj_t BgL_ll2419z00_3284;
													obj_t BgL_ll2418z00_3282;

													BgL_ll2418z00_3282 = CDR(BgL_ll2418z00_1645);
													BgL_ll2419z00_3284 = CDR(BgL_ll2419z00_1646);
													BgL_tail2421z00_3286 = BgL_newtail2422z00_1650;
													BgL_tail2421z00_1647 = BgL_tail2421z00_3286;
													BgL_ll2419z00_1646 = BgL_ll2419z00_3284;
													BgL_ll2418z00_1645 = BgL_ll2418z00_3282;
													goto BgL_zc3anonymousza32722ze3z83_1648;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 134 */
							obj_t BgL_arg2730z00_1660;

							{	/* Eval/evaluate_uncomp.scm 134 */
								BgL_ev_exprz00_bglt BgL_arg2731z00_1661;

								{	/* Eval/evaluate_uncomp.scm 134 */
									BgL_ev_binderz00_bglt BgL_obj2086z00_2313;

									BgL_obj2086z00_2313 = ((BgL_ev_binderz00_bglt) BgL_ez00_1633);
									BgL_arg2731z00_1661 =
										(((BgL_ev_binderz00_bglt) CREF(
												((obj_t) BgL_obj2086z00_2313)))->BgL_bodyz00);
								}
								BgL_arg2730z00_1660 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2731z00_1661);
							}
							BgL_arg2720z00_1639 = MAKE_PAIR(BgL_arg2730z00_1660, BNIL);
						}
						BgL_arg2718z00_1637 =
							MAKE_PAIR(BgL_arg2719z00_1638, BgL_arg2720z00_1639);
					}
					return
						MAKE_PAIR(BGl_symbol3157z00zz__evaluate_uncompz00,
						BgL_arg2718z00_1637);
				}
			}
		}
	}



/* &uncomp-ev_let*2499 */
	obj_t BGl_z62uncompzd2ev_letza22499z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2896, BgL_ev_letza2za2_bglt BgL_ez00_2897)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 128 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1603;

				BgL_ez00_1603 = BgL_ez00_2897;
				{	/* Eval/evaluate_uncomp.scm 130 */
					obj_t BgL_arg2703z00_1607;

					{	/* Eval/evaluate_uncomp.scm 130 */
						obj_t BgL_arg2705z00_1608;
						obj_t BgL_arg2706z00_1609;

						{	/* Eval/evaluate_uncomp.scm 130 */
							obj_t BgL_ll2412z00_1610;
							obj_t BgL_ll2413z00_1611;

							{	/* Eval/evaluate_uncomp.scm 130 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_2274;

								BgL_obj2080z00_2274 = ((BgL_ev_binderz00_bglt) BgL_ez00_1603);
								BgL_ll2412z00_1610 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_2274)))->BgL_varsz00);
							}
							{	/* Eval/evaluate_uncomp.scm 130 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_2275;

								BgL_obj2083z00_2275 = ((BgL_ev_binderz00_bglt) BgL_ez00_1603);
								BgL_ll2413z00_1611 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_2275)))->BgL_valsz00);
							}
							if (NULLP(BgL_ll2412z00_1610))
								{	/* Eval/evaluate_uncomp.scm 130 */
									BgL_arg2705z00_1608 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 130 */
									obj_t BgL_head2414z00_1613;

									{	/* Eval/evaluate_uncomp.scm 130 */
										obj_t BgL_res3030z00_2280;

										BgL_res3030z00_2280 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2414z00_1613 = BgL_res3030z00_2280;
									}
									{
										obj_t BgL_ll2412z00_1615;
										obj_t BgL_ll2413z00_1616;
										obj_t BgL_tail2415z00_1617;

										BgL_ll2412z00_1615 = BgL_ll2412z00_1610;
										BgL_ll2413z00_1616 = BgL_ll2413z00_1611;
										BgL_tail2415z00_1617 = BgL_head2414z00_1613;
									BgL_zc3anonymousza32708ze3z83_1618:
										if (NULLP(BgL_ll2412z00_1615))
											{	/* Eval/evaluate_uncomp.scm 130 */
												BgL_arg2705z00_1608 = CDR(BgL_head2414z00_1613);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 130 */
												obj_t BgL_newtail2416z00_1620;

												{	/* Eval/evaluate_uncomp.scm 130 */
													obj_t BgL_arg2712z00_1623;

													{	/* Eval/evaluate_uncomp.scm 130 */
														obj_t BgL_vz00_1624;
														obj_t BgL_az00_1625;

														BgL_vz00_1624 = CAR(BgL_ll2412z00_1615);
														BgL_az00_1625 = CAR(BgL_ll2413z00_1616);
														{	/* Eval/evaluate_uncomp.scm 130 */
															obj_t BgL_arg2713z00_1626;
															obj_t BgL_arg2714z00_1627;

															BgL_arg2713z00_1626 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_1624));
															{	/* Eval/evaluate_uncomp.scm 130 */
																obj_t BgL_arg2715z00_1628;

																BgL_arg2715z00_1628 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_1625));
																BgL_arg2714z00_1627 =
																	MAKE_PAIR(BgL_arg2715z00_1628, BNIL);
															}
															BgL_arg2712z00_1623 =
																MAKE_PAIR(BgL_arg2713z00_1626,
																BgL_arg2714z00_1627);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 130 */
														obj_t BgL_res3032z00_2288;

														BgL_res3032z00_2288 =
															MAKE_PAIR(BgL_arg2712z00_1623, BNIL);
														BgL_newtail2416z00_1620 = BgL_res3032z00_2288;
													}
												}
												SET_CDR(BgL_tail2415z00_1617, BgL_newtail2416z00_1620);
												{
													obj_t BgL_tail2415z00_3320;
													obj_t BgL_ll2413z00_3318;
													obj_t BgL_ll2412z00_3316;

													BgL_ll2412z00_3316 = CDR(BgL_ll2412z00_1615);
													BgL_ll2413z00_3318 = CDR(BgL_ll2413z00_1616);
													BgL_tail2415z00_3320 = BgL_newtail2416z00_1620;
													BgL_tail2415z00_1617 = BgL_tail2415z00_3320;
													BgL_ll2413z00_1616 = BgL_ll2413z00_3318;
													BgL_ll2412z00_1615 = BgL_ll2412z00_3316;
													goto BgL_zc3anonymousza32708ze3z83_1618;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 130 */
							obj_t BgL_arg2716z00_1630;

							{	/* Eval/evaluate_uncomp.scm 130 */
								BgL_ev_exprz00_bglt BgL_arg2717z00_1631;

								{	/* Eval/evaluate_uncomp.scm 130 */
									BgL_ev_binderz00_bglt BgL_obj2086z00_2293;

									BgL_obj2086z00_2293 = ((BgL_ev_binderz00_bglt) BgL_ez00_1603);
									BgL_arg2717z00_1631 =
										(((BgL_ev_binderz00_bglt) CREF(
												((obj_t) BgL_obj2086z00_2293)))->BgL_bodyz00);
								}
								BgL_arg2716z00_1630 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2717z00_1631);
							}
							BgL_arg2706z00_1609 = MAKE_PAIR(BgL_arg2716z00_1630, BNIL);
						}
						BgL_arg2703z00_1607 =
							MAKE_PAIR(BgL_arg2705z00_1608, BgL_arg2706z00_1609);
					}
					return
						MAKE_PAIR(BGl_symbol3159z00zz__evaluate_uncompz00,
						BgL_arg2703z00_1607);
				}
			}
		}
	}



/* &uncomp-ev_let2497 */
	obj_t BGl_z62uncompzd2ev_let2497zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2898, BgL_ev_letz00_bglt BgL_ez00_2899)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 124 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1573;

				BgL_ez00_1573 = BgL_ez00_2899;
				{	/* Eval/evaluate_uncomp.scm 126 */
					obj_t BgL_arg2689z00_1577;

					{	/* Eval/evaluate_uncomp.scm 126 */
						obj_t BgL_arg2690z00_1578;
						obj_t BgL_arg2691z00_1579;

						{	/* Eval/evaluate_uncomp.scm 126 */
							obj_t BgL_ll2406z00_1580;
							obj_t BgL_ll2407z00_1581;

							{	/* Eval/evaluate_uncomp.scm 126 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_2254;

								BgL_obj2080z00_2254 = ((BgL_ev_binderz00_bglt) BgL_ez00_1573);
								BgL_ll2406z00_1580 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_2254)))->BgL_varsz00);
							}
							{	/* Eval/evaluate_uncomp.scm 126 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_2255;

								BgL_obj2083z00_2255 = ((BgL_ev_binderz00_bglt) BgL_ez00_1573);
								BgL_ll2407z00_1581 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_2255)))->BgL_valsz00);
							}
							if (NULLP(BgL_ll2406z00_1580))
								{	/* Eval/evaluate_uncomp.scm 126 */
									BgL_arg2690z00_1578 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 126 */
									obj_t BgL_head2408z00_1583;

									{	/* Eval/evaluate_uncomp.scm 126 */
										obj_t BgL_res3026z00_2260;

										BgL_res3026z00_2260 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2408z00_1583 = BgL_res3026z00_2260;
									}
									{
										obj_t BgL_ll2406z00_1585;
										obj_t BgL_ll2407z00_1586;
										obj_t BgL_tail2409z00_1587;

										BgL_ll2406z00_1585 = BgL_ll2406z00_1580;
										BgL_ll2407z00_1586 = BgL_ll2407z00_1581;
										BgL_tail2409z00_1587 = BgL_head2408z00_1583;
									BgL_zc3anonymousza32693ze3z83_1588:
										if (NULLP(BgL_ll2406z00_1585))
											{	/* Eval/evaluate_uncomp.scm 126 */
												BgL_arg2690z00_1578 = CDR(BgL_head2408z00_1583);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 126 */
												obj_t BgL_newtail2410z00_1590;

												{	/* Eval/evaluate_uncomp.scm 126 */
													obj_t BgL_arg2697z00_1593;

													{	/* Eval/evaluate_uncomp.scm 126 */
														obj_t BgL_vz00_1594;
														obj_t BgL_az00_1595;

														BgL_vz00_1594 = CAR(BgL_ll2406z00_1585);
														BgL_az00_1595 = CAR(BgL_ll2407z00_1586);
														{	/* Eval/evaluate_uncomp.scm 126 */
															obj_t BgL_arg2698z00_1596;
															obj_t BgL_arg2699z00_1597;

															BgL_arg2698z00_1596 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_1594));
															{	/* Eval/evaluate_uncomp.scm 126 */
																obj_t BgL_arg2700z00_1598;

																BgL_arg2700z00_1598 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_1595));
																BgL_arg2699z00_1597 =
																	MAKE_PAIR(BgL_arg2700z00_1598, BNIL);
															}
															BgL_arg2697z00_1593 =
																MAKE_PAIR(BgL_arg2698z00_1596,
																BgL_arg2699z00_1597);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 126 */
														obj_t BgL_res3028z00_2268;

														BgL_res3028z00_2268 =
															MAKE_PAIR(BgL_arg2697z00_1593, BNIL);
														BgL_newtail2410z00_1590 = BgL_res3028z00_2268;
													}
												}
												SET_CDR(BgL_tail2409z00_1587, BgL_newtail2410z00_1590);
												{
													obj_t BgL_tail2409z00_3354;
													obj_t BgL_ll2407z00_3352;
													obj_t BgL_ll2406z00_3350;

													BgL_ll2406z00_3350 = CDR(BgL_ll2406z00_1585);
													BgL_ll2407z00_3352 = CDR(BgL_ll2407z00_1586);
													BgL_tail2409z00_3354 = BgL_newtail2410z00_1590;
													BgL_tail2409z00_1587 = BgL_tail2409z00_3354;
													BgL_ll2407z00_1586 = BgL_ll2407z00_3352;
													BgL_ll2406z00_1585 = BgL_ll2406z00_3350;
													goto BgL_zc3anonymousza32693ze3z83_1588;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 126 */
							obj_t BgL_arg2701z00_1600;

							{	/* Eval/evaluate_uncomp.scm 126 */
								BgL_ev_exprz00_bglt BgL_arg2702z00_1601;

								{	/* Eval/evaluate_uncomp.scm 126 */
									BgL_ev_binderz00_bglt BgL_obj2086z00_2273;

									BgL_obj2086z00_2273 = ((BgL_ev_binderz00_bglt) BgL_ez00_1573);
									BgL_arg2702z00_1601 =
										(((BgL_ev_binderz00_bglt) CREF(
												((obj_t) BgL_obj2086z00_2273)))->BgL_bodyz00);
								}
								BgL_arg2701z00_1600 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2702z00_1601);
							}
							BgL_arg2691z00_1579 = MAKE_PAIR(BgL_arg2701z00_1600, BNIL);
						}
						BgL_arg2689z00_1577 =
							MAKE_PAIR(BgL_arg2690z00_1578, BgL_arg2691z00_1579);
					}
					return
						MAKE_PAIR(BGl_symbol3161z00zz__evaluate_uncompz00,
						BgL_arg2689z00_1577);
				}
			}
		}
	}



/* &uncomp-ev_with-handl2495 */
	obj_t BGl_z62uncompzd2ev_withzd2handl2495z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2900, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2901)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 120 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1562;

				BgL_ez00_1562 = BgL_ez00_2901;
				{	/* Eval/evaluate_uncomp.scm 122 */
					obj_t BgL_arg2681z00_1566;

					{	/* Eval/evaluate_uncomp.scm 122 */
						obj_t BgL_arg2683z00_1567;
						obj_t BgL_arg2684z00_1568;

						{	/* Eval/evaluate_uncomp.scm 122 */
							BgL_ev_exprz00_bglt BgL_arg2685z00_1569;

							BgL_arg2685z00_1569 =
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(
										((obj_t) BgL_ez00_1562)))->BgL_handlerz00);
							BgL_arg2683z00_1567 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2685z00_1569);
						}
						{	/* Eval/evaluate_uncomp.scm 122 */
							obj_t BgL_arg2687z00_1570;

							{	/* Eval/evaluate_uncomp.scm 122 */
								BgL_ev_exprz00_bglt BgL_arg2688z00_1571;

								BgL_arg2688z00_1571 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(
											((obj_t) BgL_ez00_1562)))->BgL_bodyz00);
								BgL_arg2687z00_1570 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2688z00_1571);
							}
							BgL_arg2684z00_1568 = MAKE_PAIR(BgL_arg2687z00_1570, BNIL);
						}
						BgL_arg2681z00_1566 =
							MAKE_PAIR(BgL_arg2683z00_1567, BgL_arg2684z00_1568);
					}
					return
						MAKE_PAIR(BGl_symbol3163z00zz__evaluate_uncompz00,
						BgL_arg2681z00_1566);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro2493 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro2493z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2902, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2903)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 116 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1551;

				BgL_ez00_1551 = BgL_ez00_2903;
				{	/* Eval/evaluate_uncomp.scm 118 */
					obj_t BgL_arg2675z00_1555;

					{	/* Eval/evaluate_uncomp.scm 118 */
						obj_t BgL_arg2676z00_1556;
						obj_t BgL_arg2677z00_1557;

						{	/* Eval/evaluate_uncomp.scm 118 */
							BgL_ev_exprz00_bglt BgL_arg2678z00_1558;

							BgL_arg2678z00_1558 =
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
										((obj_t) BgL_ez00_1551)))->BgL_ez00);
							BgL_arg2676z00_1556 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2678z00_1558);
						}
						{	/* Eval/evaluate_uncomp.scm 118 */
							obj_t BgL_arg2679z00_1559;

							{	/* Eval/evaluate_uncomp.scm 118 */
								BgL_ev_exprz00_bglt BgL_arg2680z00_1560;

								BgL_arg2680z00_1560 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
											((obj_t) BgL_ez00_1551)))->BgL_bodyz00);
								BgL_arg2679z00_1559 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2680z00_1560);
							}
							BgL_arg2677z00_1557 = MAKE_PAIR(BgL_arg2679z00_1559, BNIL);
						}
						BgL_arg2675z00_1555 =
							MAKE_PAIR(BgL_arg2676z00_1556, BgL_arg2677z00_1557);
					}
					return
						MAKE_PAIR(BGl_symbol3165z00zz__evaluate_uncompz00,
						BgL_arg2675z00_1555);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit2491 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit2491z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2904, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2905)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 112 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1539;

				BgL_ez00_1539 = BgL_ez00_2905;
				{	/* Eval/evaluate_uncomp.scm 114 */
					obj_t BgL_arg2668z00_1543;

					{	/* Eval/evaluate_uncomp.scm 114 */
						obj_t BgL_arg2669z00_1544;
						obj_t BgL_arg2670z00_1545;

						{	/* Eval/evaluate_uncomp.scm 114 */
							obj_t BgL_arg2671z00_1546;

							{	/* Eval/evaluate_uncomp.scm 114 */
								BgL_ev_varz00_bglt BgL_arg2672z00_1547;

								BgL_arg2672z00_1547 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(
											((obj_t) BgL_ez00_1539)))->BgL_varz00);
								BgL_arg2671z00_1546 =
									BGl_uncompz00zz__evaluate_uncompz00(
									((BgL_ev_exprz00_bglt) BgL_arg2672z00_1547));
							}
							BgL_arg2669z00_1544 = MAKE_PAIR(BgL_arg2671z00_1546, BNIL);
						}
						{	/* Eval/evaluate_uncomp.scm 114 */
							obj_t BgL_arg2673z00_1548;

							{	/* Eval/evaluate_uncomp.scm 114 */
								BgL_ev_exprz00_bglt BgL_arg2674z00_1549;

								BgL_arg2674z00_1549 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(
											((obj_t) BgL_ez00_1539)))->BgL_bodyz00);
								BgL_arg2673z00_1548 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2674z00_1549);
							}
							BgL_arg2670z00_1545 = MAKE_PAIR(BgL_arg2673z00_1548, BNIL);
						}
						BgL_arg2668z00_1543 =
							MAKE_PAIR(BgL_arg2669z00_1544, BgL_arg2670z00_1545);
					}
					return
						MAKE_PAIR(BGl_symbol3167z00zz__evaluate_uncompz00,
						BgL_arg2668z00_1543);
				}
			}
		}
	}



/* &uncomp-ev_setlocal2489 */
	obj_t BGl_z62uncompzd2ev_setlocal2489zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2906, BgL_ev_setlocalz00_bglt BgL_ez00_2907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 108 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1528;

				BgL_ez00_1528 = BgL_ez00_2907;
				{	/* Eval/evaluate_uncomp.scm 110 */
					obj_t BgL_arg2662z00_1532;

					{	/* Eval/evaluate_uncomp.scm 110 */
						obj_t BgL_arg2663z00_1533;
						obj_t BgL_arg2664z00_1534;

						{	/* Eval/evaluate_uncomp.scm 110 */
							BgL_ev_varz00_bglt BgL_arg2665z00_1535;

							BgL_arg2665z00_1535 =
								(((BgL_ev_setlocalz00_bglt) CREF(
										((obj_t) BgL_ez00_1528)))->BgL_vz00);
							BgL_arg2663z00_1533 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg2665z00_1535));
						}
						{	/* Eval/evaluate_uncomp.scm 110 */
							obj_t BgL_arg2666z00_1536;

							{	/* Eval/evaluate_uncomp.scm 110 */
								BgL_ev_exprz00_bglt BgL_arg2667z00_1537;

								{	/* Eval/evaluate_uncomp.scm 110 */
									BgL_ev_hookz00_bglt BgL_obj1944z00_2247;

									BgL_obj1944z00_2247 = ((BgL_ev_hookz00_bglt) BgL_ez00_1528);
									BgL_arg2667z00_1537 =
										(((BgL_ev_hookz00_bglt) CREF(
												((obj_t) BgL_obj1944z00_2247)))->BgL_ez00);
								}
								BgL_arg2666z00_1536 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2667z00_1537);
							}
							BgL_arg2664z00_1534 = MAKE_PAIR(BgL_arg2666z00_1536, BNIL);
						}
						BgL_arg2662z00_1532 =
							MAKE_PAIR(BgL_arg2663z00_1533, BgL_arg2664z00_1534);
					}
					return
						MAKE_PAIR(BGl_symbol3169z00zz__evaluate_uncompz00,
						BgL_arg2662z00_1532);
				}
			}
		}
	}



/* &uncomp-ev_defglobal2487 */
	obj_t BGl_z62uncompzd2ev_defglobal2487zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2908, BgL_ev_defglobalz00_bglt BgL_ez00_2909)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 104 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_1518;

				BgL_ez00_1518 = BgL_ez00_2909;
				{	/* Eval/evaluate_uncomp.scm 106 */
					obj_t BgL_arg2654z00_1522;

					{	/* Eval/evaluate_uncomp.scm 106 */
						obj_t BgL_arg2656z00_1523;
						obj_t BgL_arg2657z00_1524;

						{	/* Eval/evaluate_uncomp.scm 106 */
							BgL_ev_setglobalz00_bglt BgL_obj1984z00_2244;

							BgL_obj1984z00_2244 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_1518);
							BgL_arg2656z00_1523 =
								(((BgL_ev_setglobalz00_bglt) CREF(
										((obj_t) BgL_obj1984z00_2244)))->BgL_namez00);
						}
						{	/* Eval/evaluate_uncomp.scm 106 */
							obj_t BgL_arg2660z00_1525;

							{	/* Eval/evaluate_uncomp.scm 106 */
								BgL_ev_exprz00_bglt BgL_arg2661z00_1526;

								{	/* Eval/evaluate_uncomp.scm 106 */
									BgL_ev_hookz00_bglt BgL_obj1944z00_2245;

									BgL_obj1944z00_2245 = ((BgL_ev_hookz00_bglt) BgL_ez00_1518);
									BgL_arg2661z00_1526 =
										(((BgL_ev_hookz00_bglt) CREF(
												((obj_t) BgL_obj1944z00_2245)))->BgL_ez00);
								}
								BgL_arg2660z00_1525 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2661z00_1526);
							}
							BgL_arg2657z00_1524 = MAKE_PAIR(BgL_arg2660z00_1525, BNIL);
						}
						BgL_arg2654z00_1522 =
							MAKE_PAIR(BgL_arg2656z00_1523, BgL_arg2657z00_1524);
					}
					return
						MAKE_PAIR(BGl_symbol3171z00zz__evaluate_uncompz00,
						BgL_arg2654z00_1522);
				}
			}
		}
	}



/* &uncomp-ev_setglobal2485 */
	obj_t BGl_z62uncompzd2ev_setglobal2485zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2910, BgL_ev_setglobalz00_bglt BgL_ez00_2911)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 100 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_1508;

				BgL_ez00_1508 = BgL_ez00_2911;
				{	/* Eval/evaluate_uncomp.scm 102 */
					obj_t BgL_arg2648z00_1512;

					{	/* Eval/evaluate_uncomp.scm 102 */
						obj_t BgL_arg2650z00_1513;
						obj_t BgL_arg2651z00_1514;

						BgL_arg2650z00_1513 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_ez00_1508)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 102 */
							obj_t BgL_arg2652z00_1515;

							{	/* Eval/evaluate_uncomp.scm 102 */
								BgL_ev_exprz00_bglt BgL_arg2653z00_1516;

								{	/* Eval/evaluate_uncomp.scm 102 */
									BgL_ev_hookz00_bglt BgL_obj1944z00_2243;

									BgL_obj1944z00_2243 = ((BgL_ev_hookz00_bglt) BgL_ez00_1508);
									BgL_arg2653z00_1516 =
										(((BgL_ev_hookz00_bglt) CREF(
												((obj_t) BgL_obj1944z00_2243)))->BgL_ez00);
								}
								BgL_arg2652z00_1515 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2653z00_1516);
							}
							BgL_arg2651z00_1514 = MAKE_PAIR(BgL_arg2652z00_1515, BNIL);
						}
						BgL_arg2648z00_1512 =
							MAKE_PAIR(BgL_arg2650z00_1513, BgL_arg2651z00_1514);
					}
					return
						MAKE_PAIR(BGl_symbol3169z00zz__evaluate_uncompz00,
						BgL_arg2648z00_1512);
				}
			}
		}
	}



/* &uncomp-ev_trap2483 */
	obj_t BGl_z62uncompzd2ev_trap2483zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2912, BgL_ev_trapz00_bglt BgL_ez00_2913)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 96 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_1500;

				BgL_ez00_1500 = BgL_ez00_2913;
				{	/* Eval/evaluate_uncomp.scm 97 */
					obj_t BgL_arg2645z00_2238;

					{	/* Eval/evaluate_uncomp.scm 97 */
						obj_t BgL_arg2646z00_2239;

						{	/* Eval/evaluate_uncomp.scm 97 */
							BgL_ev_exprz00_bglt BgL_arg2647z00_2240;

							{	/* Eval/evaluate_uncomp.scm 97 */
								BgL_ev_hookz00_bglt BgL_obj1944z00_2241;

								BgL_obj1944z00_2241 = ((BgL_ev_hookz00_bglt) BgL_ez00_1500);
								BgL_arg2647z00_2240 =
									(((BgL_ev_hookz00_bglt) CREF(
											((obj_t) BgL_obj1944z00_2241)))->BgL_ez00);
							}
							BgL_arg2646z00_2239 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2647z00_2240);
						}
						BgL_arg2645z00_2238 = MAKE_PAIR(BgL_arg2646z00_2239, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol3173z00zz__evaluate_uncompz00,
						BgL_arg2645z00_2238);
				}
			}
		}
	}



/* &uncomp-ev_prog22481 */
	obj_t BGl_z62uncompzd2ev_prog22481zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2914, BgL_ev_prog2z00_bglt BgL_ez00_2915)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 89 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1483;

				BgL_ez00_1483 = BgL_ez00_2915;
				{	/* Eval/evaluate_uncomp.scm 91 */
					obj_t BgL_e1z00_1487;
					obj_t BgL_e2z00_1488;

					{	/* Eval/evaluate_uncomp.scm 91 */
						BgL_ev_exprz00_bglt BgL_arg2643z00_1497;

						BgL_arg2643z00_1497 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1483)))->BgL_e1z00);
						BgL_e1z00_1487 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2643z00_1497);
					}
					{	/* Eval/evaluate_uncomp.scm 91 */
						BgL_ev_exprz00_bglt BgL_arg2644z00_1498;

						BgL_arg2644z00_1498 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1483)))->BgL_e2z00);
						BgL_e2z00_1488 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2644z00_1498);
					}
					{	/* Eval/evaluate_uncomp.scm 92 */
						bool_t BgL_testz00_3433;

						if (PAIRP(BgL_e2z00_1488))
							{	/* Eval/evaluate_uncomp.scm 92 */
								BgL_testz00_3433 =
									(CAR(BgL_e2z00_1488) ==
									BGl_symbol3175z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 92 */
								BgL_testz00_3433 = ((bool_t) 0);
							}
						if (BgL_testz00_3433)
							{	/* Eval/evaluate_uncomp.scm 93 */
								obj_t BgL_arg2636z00_1490;

								BgL_arg2636z00_1490 =
									MAKE_PAIR(BgL_e1z00_1487,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_1488), BNIL));
								return MAKE_PAIR(BGl_symbol3175z00zz__evaluate_uncompz00,
									BgL_arg2636z00_1490);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								obj_t BgL_arg2639z00_1493;

								{	/* Eval/evaluate_uncomp.scm 94 */
									obj_t BgL_arg2640z00_1494;

									BgL_arg2640z00_1494 = MAKE_PAIR(BgL_e2z00_1488, BNIL);
									BgL_arg2639z00_1493 =
										MAKE_PAIR(BgL_e1z00_1487, BgL_arg2640z00_1494);
								}
								return
									MAKE_PAIR(BGl_symbol3175z00zz__evaluate_uncompz00,
									BgL_arg2639z00_1493);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and2479 */
	obj_t BGl_z62uncompzd2ev_and2479zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2916, BgL_ev_andz00_bglt BgL_ez00_2917)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 85 */
			{
				BgL_ev_andz00_bglt BgL_ez00_1460;

				BgL_ez00_1460 = BgL_ez00_2917;
				{	/* Eval/evaluate_uncomp.scm 87 */
					obj_t BgL_arg2624z00_1464;

					{	/* Eval/evaluate_uncomp.scm 87 */
						obj_t BgL_arg2625z00_1465;

						{	/* Eval/evaluate_uncomp.scm 87 */
							obj_t BgL_l2400z00_1466;

							{	/* Eval/evaluate_uncomp.scm 87 */
								BgL_ev_listz00_bglt BgL_obj1898z00_2171;

								BgL_obj1898z00_2171 = ((BgL_ev_listz00_bglt) BgL_ez00_1460);
								BgL_l2400z00_1466 =
									(((BgL_ev_listz00_bglt) CREF(
											((obj_t) BgL_obj1898z00_2171)))->BgL_argsz00);
							}
							if (NULLP(BgL_l2400z00_1466))
								{	/* Eval/evaluate_uncomp.scm 87 */
									BgL_arg2625z00_1465 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 87 */
									obj_t BgL_head2402z00_1468;

									{	/* Eval/evaluate_uncomp.scm 87 */
										obj_t BgL_arg2633z00_1480;

										{	/* Eval/evaluate_uncomp.scm 87 */
											obj_t BgL_arg2634z00_1481;

											BgL_arg2634z00_1481 = CAR(BgL_l2400z00_1466);
											BgL_arg2633z00_1480 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg2634z00_1481));
										}
										{	/* Eval/evaluate_uncomp.scm 87 */
											obj_t BgL_res3017z00_2177;

											BgL_res3017z00_2177 =
												MAKE_PAIR(BgL_arg2633z00_1480, BNIL);
											BgL_head2402z00_1468 = BgL_res3017z00_2177;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 87 */
										obj_t BgL_g2405z00_1469;

										BgL_g2405z00_1469 = CDR(BgL_l2400z00_1466);
										{
											obj_t BgL_l2400z00_2210;
											obj_t BgL_tail2403z00_2211;

											BgL_l2400z00_2210 = BgL_g2405z00_1469;
											BgL_tail2403z00_2211 = BgL_head2402z00_1468;
										BgL_zc3anonymousza32627ze3z83_2209:
											if (NULLP(BgL_l2400z00_2210))
												{	/* Eval/evaluate_uncomp.scm 87 */
													BgL_arg2625z00_1465 = BgL_head2402z00_1468;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 87 */
													obj_t BgL_newtail2404z00_2218;

													{	/* Eval/evaluate_uncomp.scm 87 */
														obj_t BgL_arg2630z00_2219;

														{	/* Eval/evaluate_uncomp.scm 87 */
															obj_t BgL_arg2631z00_2220;

															BgL_arg2631z00_2220 = CAR(BgL_l2400z00_2210);
															BgL_arg2630z00_2219 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg2631z00_2220));
														}
														{	/* Eval/evaluate_uncomp.scm 87 */
															obj_t BgL_res3023z00_2227;

															BgL_res3023z00_2227 =
																MAKE_PAIR(BgL_arg2630z00_2219, BNIL);
															BgL_newtail2404z00_2218 = BgL_res3023z00_2227;
														}
													}
													SET_CDR(BgL_tail2403z00_2211,
														BgL_newtail2404z00_2218);
													{
														obj_t BgL_tail2403z00_3464;
														obj_t BgL_l2400z00_3462;

														BgL_l2400z00_3462 = CDR(BgL_l2400z00_2210);
														BgL_tail2403z00_3464 = BgL_newtail2404z00_2218;
														BgL_tail2403z00_2211 = BgL_tail2403z00_3464;
														BgL_l2400z00_2210 = BgL_l2400z00_3462;
														goto BgL_zc3anonymousza32627ze3z83_2209;
													}
												}
										}
									}
								}
						}
						BgL_arg2624z00_1464 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg2625z00_1465, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol3177z00zz__evaluate_uncompz00,
						BgL_arg2624z00_1464);
				}
			}
		}
	}



/* &uncomp-ev_or2477 */
	obj_t BGl_z62uncompzd2ev_or2477zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2918, BgL_ev_orz00_bglt BgL_ez00_2919)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 81 */
			{
				BgL_ev_orz00_bglt BgL_ez00_1437;

				BgL_ez00_1437 = BgL_ez00_2919;
				{	/* Eval/evaluate_uncomp.scm 83 */
					obj_t BgL_arg2614z00_1441;

					{	/* Eval/evaluate_uncomp.scm 83 */
						obj_t BgL_arg2615z00_1442;

						{	/* Eval/evaluate_uncomp.scm 83 */
							obj_t BgL_l2394z00_1443;

							{	/* Eval/evaluate_uncomp.scm 83 */
								BgL_ev_listz00_bglt BgL_obj1898z00_2111;

								BgL_obj1898z00_2111 = ((BgL_ev_listz00_bglt) BgL_ez00_1437);
								BgL_l2394z00_1443 =
									(((BgL_ev_listz00_bglt) CREF(
											((obj_t) BgL_obj1898z00_2111)))->BgL_argsz00);
							}
							if (NULLP(BgL_l2394z00_1443))
								{	/* Eval/evaluate_uncomp.scm 83 */
									BgL_arg2615z00_1442 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 83 */
									obj_t BgL_head2396z00_1445;

									{	/* Eval/evaluate_uncomp.scm 83 */
										obj_t BgL_arg2622z00_1457;

										{	/* Eval/evaluate_uncomp.scm 83 */
											obj_t BgL_arg2623z00_1458;

											BgL_arg2623z00_1458 = CAR(BgL_l2394z00_1443);
											BgL_arg2622z00_1457 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg2623z00_1458));
										}
										{	/* Eval/evaluate_uncomp.scm 83 */
											obj_t BgL_res3009z00_2117;

											BgL_res3009z00_2117 =
												MAKE_PAIR(BgL_arg2622z00_1457, BNIL);
											BgL_head2396z00_1445 = BgL_res3009z00_2117;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 83 */
										obj_t BgL_g2399z00_1446;

										BgL_g2399z00_1446 = CDR(BgL_l2394z00_1443);
										{
											obj_t BgL_l2394z00_2150;
											obj_t BgL_tail2397z00_2151;

											BgL_l2394z00_2150 = BgL_g2399z00_1446;
											BgL_tail2397z00_2151 = BgL_head2396z00_1445;
										BgL_zc3anonymousza32617ze3z83_2149:
											if (NULLP(BgL_l2394z00_2150))
												{	/* Eval/evaluate_uncomp.scm 83 */
													BgL_arg2615z00_1442 = BgL_head2396z00_1445;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 83 */
													obj_t BgL_newtail2398z00_2158;

													{	/* Eval/evaluate_uncomp.scm 83 */
														obj_t BgL_arg2620z00_2159;

														{	/* Eval/evaluate_uncomp.scm 83 */
															obj_t BgL_arg2621z00_2160;

															BgL_arg2621z00_2160 = CAR(BgL_l2394z00_2150);
															BgL_arg2620z00_2159 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg2621z00_2160));
														}
														{	/* Eval/evaluate_uncomp.scm 83 */
															obj_t BgL_res3015z00_2167;

															BgL_res3015z00_2167 =
																MAKE_PAIR(BgL_arg2620z00_2159, BNIL);
															BgL_newtail2398z00_2158 = BgL_res3015z00_2167;
														}
													}
													SET_CDR(BgL_tail2397z00_2151,
														BgL_newtail2398z00_2158);
													{
														obj_t BgL_tail2397z00_3486;
														obj_t BgL_l2394z00_3484;

														BgL_l2394z00_3484 = CDR(BgL_l2394z00_2150);
														BgL_tail2397z00_3486 = BgL_newtail2398z00_2158;
														BgL_tail2397z00_2151 = BgL_tail2397z00_3486;
														BgL_l2394z00_2150 = BgL_l2394z00_3484;
														goto BgL_zc3anonymousza32617ze3z83_2149;
													}
												}
										}
									}
								}
						}
						BgL_arg2614z00_1441 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg2615z00_1442, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol3179z00zz__evaluate_uncompz00,
						BgL_arg2614z00_1441);
				}
			}
		}
	}



/* &uncomp-ev_if2475 */
	obj_t BGl_z62uncompzd2ev_if2475zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2920, BgL_ev_ifz00_bglt BgL_ez00_2921)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 77 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1423;

				BgL_ez00_1423 = BgL_ez00_2921;
				{	/* Eval/evaluate_uncomp.scm 79 */
					obj_t BgL_arg2604z00_1427;

					{	/* Eval/evaluate_uncomp.scm 79 */
						obj_t BgL_arg2605z00_1428;
						obj_t BgL_arg2607z00_1429;

						{	/* Eval/evaluate_uncomp.scm 79 */
							BgL_ev_exprz00_bglt BgL_arg2608z00_1430;

							BgL_arg2608z00_1430 =
								(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1423)))->BgL_pz00);
							BgL_arg2605z00_1428 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2608z00_1430);
						}
						{	/* Eval/evaluate_uncomp.scm 79 */
							obj_t BgL_arg2609z00_1431;
							obj_t BgL_arg2610z00_1432;

							{	/* Eval/evaluate_uncomp.scm 79 */
								BgL_ev_exprz00_bglt BgL_arg2611z00_1433;

								BgL_arg2611z00_1433 =
									(((BgL_ev_ifz00_bglt) CREF(
											((obj_t) BgL_ez00_1423)))->BgL_tz00);
								BgL_arg2609z00_1431 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2611z00_1433);
							}
							{	/* Eval/evaluate_uncomp.scm 79 */
								obj_t BgL_arg2612z00_1434;

								{	/* Eval/evaluate_uncomp.scm 79 */
									BgL_ev_exprz00_bglt BgL_arg2613z00_1435;

									BgL_arg2613z00_1435 =
										(((BgL_ev_ifz00_bglt) CREF(
												((obj_t) BgL_ez00_1423)))->BgL_ez00);
									BgL_arg2612z00_1434 =
										BGl_uncompz00zz__evaluate_uncompz00(BgL_arg2613z00_1435);
								}
								BgL_arg2610z00_1432 = MAKE_PAIR(BgL_arg2612z00_1434, BNIL);
							}
							BgL_arg2607z00_1429 =
								MAKE_PAIR(BgL_arg2609z00_1431, BgL_arg2610z00_1432);
						}
						BgL_arg2604z00_1427 =
							MAKE_PAIR(BgL_arg2605z00_1428, BgL_arg2607z00_1429);
					}
					return
						MAKE_PAIR(BGl_symbol3181z00zz__evaluate_uncompz00,
						BgL_arg2604z00_1427);
				}
			}
		}
	}



/* &uncomp-ev_litt2473 */
	obj_t BGl_z62uncompzd2ev_litt2473zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2922, BgL_ev_littz00_bglt BgL_ez00_2923)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 74 */
			{
				BgL_ev_littz00_bglt BgL_ez00_1417;

				BgL_ez00_1417 = BgL_ez00_2923;
				{	/* Eval/evaluate_uncomp.scm 75 */
					obj_t BgL_arg2601z00_2105;

					{	/* Eval/evaluate_uncomp.scm 75 */
						obj_t BgL_arg2603z00_2106;

						BgL_arg2603z00_2106 =
							(((BgL_ev_littz00_bglt) CREF(
									((obj_t) BgL_ez00_1417)))->BgL_valuez00);
						BgL_arg2601z00_2105 = MAKE_PAIR(BgL_arg2603z00_2106, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol3183z00zz__evaluate_uncompz00,
						BgL_arg2601z00_2105);
				}
			}
		}
	}



/* &uncomp-ev_global2471 */
	obj_t BGl_z62uncompzd2ev_global2471zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2924, BgL_ev_globalz00_bglt BgL_varz00_2925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((obj_t) BgL_varz00_2925)))->BgL_namez00);
		}
	}



/* &uncomp-ev_var2469 */
	obj_t BGl_z62uncompzd2ev_var2469zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2926, BgL_ev_varz00_bglt BgL_varz00_2927)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 68 */
			return
				(((BgL_ev_varz00_bglt) CREF(((obj_t) BgL_varz00_2927)))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 126621575),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3185z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
