/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62usezd2ev_litt2405zb0zz__evaluate_usez00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62usezd2ev_if2407zb0zz__evaluate_usez00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2838z00zz__evaluate_usez00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog22411zb0zz__evaluate_usez00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_hook2413zb0zz__evaluate_usez00(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec2419z62zz__evaluate_usez00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler2421z62zz__evaluate_usez00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_global2403zb0zz__evaluate_usez00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_goto2429zb0zz__evaluate_usez00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_bindzd2exit2417z62zz__evaluate_usez00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_labels2427zb0zz__evaluate_usez00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_var2401zb0zz__evaluate_usez00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62use2398z62zz__evaluate_usez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal2415zb0zz__evaluate_usez00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app2431zb0zz__evaluate_usez00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_list2409zb0zz__evaluate_usez00(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_binder2423zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_binder2425zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_abs2433zb0zz__evaluate_usez00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2837z00zz__evaluate_usez00,
		BgL_bgl_string2837za700za7za7_2862za7, "use2398", 7);
	      DEFINE_STRING(BGl_string2839z00zz__evaluate_usez00,
		BgL_bgl_string2839za700za7za7_2863za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2840z00zz__evaluate_usez00,
		BgL_bgl_string2840za700za7za7_2864za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string2841z00zz__evaluate_usez00,
		BgL_bgl_string2841za700za7za7_2865za7, "&use", 4);
	      DEFINE_STRING(BGl_string2842z00zz__evaluate_usez00,
		BgL_bgl_string2842za700za7za7_2866za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2836z00zz__evaluate_usez00,
		BgL_bgl_za762use2398za762za7za7_2867z00,
		BGl_z62use2398z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2844z00zz__evaluate_usez00,
		BgL_bgl_string2844za700za7za7_2868za7, "use", 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva2869z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2843z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var22870z00,
		BGl_z62usezd2ev_var2401zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2845z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob2871z00,
		BGl_z62usezd2ev_global2403zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2846z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt2872z00,
		BGl_z62usezd2ev_litt2405zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2847z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if242873z00,
		BGl_z62usezd2ev_if2407zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2848z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list2874z00,
		BGl_z62usezd2ev_list2409zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2849z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog2875z00,
		BGl_z62usezd2ev_prog22411zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2850z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook2876z00,
		BGl_z62usezd2ev_hook2413zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2851z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl2877z00,
		BGl_z62usezd2ev_setlocal2415zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2852z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind2878z00,
		BGl_z62usezd2ev_bindzd2exit2417z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2853z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi2879z00,
		BGl_z62usezd2ev_unwindzd2protec2419z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2854z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with2880z00,
		BGl_z62usezd2ev_withzd2handler2421z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2861z00zz__evaluate_usez00,
		BgL_bgl_string2861za700za7za7_2881za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2855z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind2882z00,
		BGl_z62usezd2ev_binder2423zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2856z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind2883z00,
		BGl_z62usezd2ev_binder2425zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2857z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe2884z00,
		BGl_z62usezd2ev_labels2427zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2858z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto2885z00,
		BGl_z62usezd2ev_goto2429zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2859z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app22886z00,
		BGl_z62usezd2ev_app2431zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2860z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs22887z00,
		BGl_z62usezd2ev_abs2433zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_2471, char *BgL_fromz00_2472)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol2838z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string2837z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc2836z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2837z00zz__evaluate_usez00);
		}
	}



/* &use2398 */
	obj_t BGl_z62use2398z62zz__evaluate_usez00(obj_t BgL_envz00_2350,
		BgL_ev_exprz00_bglt BgL_ez00_2351, obj_t BgL_donez00_2352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 63 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_1424;
				obj_t BgL_donez00_1425;

				BgL_ez00_1424 = BgL_ez00_2351;
				BgL_donez00_1425 = BgL_donez00_2352;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2838z00zz__evaluate_usez00,
					BGl_string2839z00zz__evaluate_usez00, ((obj_t) BgL_ez00_1424));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 63 */
			{	/* Eval/evaluate_use.scm 63 */
				obj_t BgL_method2399z00_1428;

				{	/* Eval/evaluate_use.scm 63 */
					obj_t BgL_res2779z00_1885;

					{	/* Eval/evaluate_use.scm 63 */
						BgL_objectz00_bglt BgL_objz00_1857;

						BgL_objz00_1857 = ((BgL_objectz00_bglt) BgL_ez00_3);
						{	/* Eval/evaluate_use.scm 63 */
							long BgL_objzd2classzd2numz00_1858;

							{	/* Eval/evaluate_use.scm 63 */
								long BgL_res2773z00_1861;

								BgL_res2773z00_1861 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1857);
								BgL_objzd2classzd2numz00_1858 = BgL_res2773z00_1861;
							}
							{	/* Eval/evaluate_use.scm 63 */
								obj_t BgL_arg2765z00_1859;

								BgL_arg2765z00_1859 =
									PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_use.scm 63 */
									obj_t BgL_arrayz00_1862;
									int BgL_offsetz00_1863;

									BgL_arrayz00_1862 = BgL_arg2765z00_1859;
									BgL_offsetz00_1863 = (int) (BgL_objzd2classzd2numz00_1858);
									{	/* Eval/evaluate_use.scm 63 */
										long BgL_offsetz00_1864;

										BgL_offsetz00_1864 =
											((long) (BgL_offsetz00_1863) - OBJECT_TYPE);
										{	/* Eval/evaluate_use.scm 63 */
											long BgL_modz00_1865;

											{	/* Eval/evaluate_use.scm 63 */
												int BgL_arg2767z00_1866;

												BgL_arg2767z00_1866 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 63 */
													long BgL_res2776z00_1876;

													{	/* Eval/evaluate_use.scm 63 */
														long BgL_auxz00_2492;

														BgL_auxz00_2492 = (long) (BgL_arg2767z00_1866);
														BgL_res2776z00_1876 =
															(BgL_offsetz00_1864 / BgL_auxz00_2492);
													}
													BgL_modz00_1865 = BgL_res2776z00_1876;
											}}
											{	/* Eval/evaluate_use.scm 63 */
												long BgL_restz00_1867;

												{	/* Eval/evaluate_use.scm 63 */
													int BgL_arg2766z00_1868;

													BgL_arg2766z00_1868 = (int) (((long) 16));
													{	/* Eval/evaluate_use.scm 63 */
														long BgL_res2778z00_1880;

														{	/* Eval/evaluate_use.scm 63 */
															long BgL_auxz00_2496;

															BgL_auxz00_2496 = (long) (BgL_arg2766z00_1868);
															BgL_res2778z00_1880 =
																(BgL_offsetz00_1864 % BgL_auxz00_2496);
														}
														BgL_restz00_1867 = BgL_res2778z00_1880;
												}}
												{	/* Eval/evaluate_use.scm 63 */

													BgL_res2779z00_1885 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1862,
															(int) (BgL_modz00_1865)),
														(int) (BgL_restz00_1867));
					}}}}}}}}
					BgL_method2399z00_1428 = BgL_res2779z00_1885;
				}
				return
					PROCEDURE_ENTRY(BgL_method2399z00_1428) (BgL_method2399z00_1428,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_2353,
		obj_t BgL_ez00_2354, obj_t BgL_donez00_2355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 63 */
			{	/* Eval/evaluate_use.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2509;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2354,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 63 */
						BgL_auxz00_2509 = ((BgL_ev_exprz00_bglt) BgL_ez00_2354);
					}
				else
					{
						obj_t BgL_auxz00_2513;

						BgL_auxz00_2513 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2840z00zz__evaluate_usez00, BINT(((long) 1809)),
							BGl_string2841z00zz__evaluate_usez00,
							BGl_string2842z00zz__evaluate_usez00, BgL_ez00_2354);
						FAILURE(BgL_auxz00_2513, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_2509, BgL_donez00_2355);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2843z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2845z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2846z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2847z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2848z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2849z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2850z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2851z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2852z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2853z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2854z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2855z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2856z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2857z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2858z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2859z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2860z00zz__evaluate_usez00,
				BGl_string2844z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs2433 */
	obj_t BGl_z62usezd2ev_abs2433zb0zz__evaluate_usez00(obj_t BgL_envz00_2373,
		BgL_ev_absz00_bglt BgL_ez00_2374, obj_t BgL_donez00_2375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 136 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1565;
				obj_t BgL_donez00_1566;

				BgL_ez00_1565 = BgL_ez00_2374;
				BgL_donez00_1566 = BgL_donez00_2375;
				{	/* Eval/evaluate_use.scm 137 */
					BgL_ev_exprz00_bglt BgL_arg2568z00_2078;

					BgL_arg2568z00_2078 =
						(((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_ez00_1565)))->BgL_bodyz00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2568z00_2078,
						BgL_donez00_1566);
				}
			}
		}
	}



/* &use-ev_app2431 */
	obj_t BGl_z62usezd2ev_app2431zb0zz__evaluate_usez00(obj_t BgL_envz00_2376,
		BgL_ev_appz00_bglt BgL_ez00_2377, obj_t BgL_donez00_2378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 132 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1556;
				obj_t BgL_donez00_1557;

				BgL_ez00_1556 = BgL_ez00_2377;
				BgL_donez00_1557 = BgL_donez00_2378;
				{	/* Eval/evaluate_use.scm 133 */
					BgL_ev_exprz00_bglt BgL_arg2565z00_2057;
					obj_t BgL_arg2566z00_2058;

					BgL_arg2565z00_2057 =
						(((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_ez00_1556)))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 133 */
						obj_t BgL_arg2567z00_2059;

						BgL_arg2567z00_2059 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1556)))->BgL_argsz00);
						{
							obj_t BgL_lz00_2063;
							obj_t BgL_donez00_2064;

							BgL_lz00_2063 = BgL_arg2567z00_2059;
							BgL_donez00_2064 = BgL_donez00_1557;
						BgL_useza2za2_2062:
							if (NULLP(BgL_lz00_2063))
								{	/* Eval/evaluate_use.scm 133 */
									BgL_arg2566z00_2058 = BgL_donez00_2064;
								}
							else
								{	/* Eval/evaluate_use.scm 133 */
									obj_t BgL_arg2473z00_2070;
									obj_t BgL_arg2475z00_2071;

									BgL_arg2473z00_2070 = CDR(BgL_lz00_2063);
									{	/* Eval/evaluate_use.scm 133 */
										obj_t BgL_arg2476z00_2072;

										BgL_arg2476z00_2072 = CAR(BgL_lz00_2063);
										BgL_arg2475z00_2071 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg2476z00_2072),
											BgL_donez00_2064);
									}
									{
										obj_t BgL_donez00_2549;
										obj_t BgL_lz00_2548;

										BgL_lz00_2548 = BgL_arg2473z00_2070;
										BgL_donez00_2549 = BgL_arg2475z00_2071;
										BgL_donez00_2064 = BgL_donez00_2549;
										BgL_lz00_2063 = BgL_lz00_2548;
										goto BgL_useza2za2_2062;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2565z00_2057,
						BgL_arg2566z00_2058);
				}
			}
		}
	}



/* &use-ev_goto2429 */
	obj_t BGl_z62usezd2ev_goto2429zb0zz__evaluate_usez00(obj_t BgL_envz00_2379,
		BgL_ev_gotoz00_bglt BgL_ez00_2380, obj_t BgL_donez00_2381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 128 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1549;
				obj_t BgL_donez00_1550;

				BgL_ez00_1549 = BgL_ez00_2380;
				BgL_donez00_1550 = BgL_donez00_2381;
				{	/* Eval/evaluate_use.scm 129 */
					obj_t BgL_arg2564z00_2039;

					BgL_arg2564z00_2039 =
						(((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_ez00_1549)))->BgL_argsz00);
					{
						obj_t BgL_lz00_2042;
						obj_t BgL_donez00_2043;

						BgL_lz00_2042 = BgL_arg2564z00_2039;
						BgL_donez00_2043 = BgL_donez00_1550;
					BgL_useza2za2_2041:
						if (NULLP(BgL_lz00_2042))
							{	/* Eval/evaluate_use.scm 129 */
								return BgL_donez00_2043;
							}
						else
							{	/* Eval/evaluate_use.scm 129 */
								obj_t BgL_arg2473z00_2049;
								obj_t BgL_arg2475z00_2050;

								BgL_arg2473z00_2049 = CDR(BgL_lz00_2042);
								{	/* Eval/evaluate_use.scm 129 */
									obj_t BgL_arg2476z00_2051;

									BgL_arg2476z00_2051 = CAR(BgL_lz00_2042);
									BgL_arg2475z00_2050 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg2476z00_2051),
										BgL_donez00_2043);
								}
								{
									obj_t BgL_donez00_2560;
									obj_t BgL_lz00_2559;

									BgL_lz00_2559 = BgL_arg2473z00_2049;
									BgL_donez00_2560 = BgL_arg2475z00_2050;
									BgL_donez00_2043 = BgL_donez00_2560;
									BgL_lz00_2042 = BgL_lz00_2559;
									goto BgL_useza2za2_2041;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels2427 */
	obj_t BGl_z62usezd2ev_labels2427zb0zz__evaluate_usez00(obj_t BgL_envz00_2382,
		BgL_ev_labelsz00_bglt BgL_ez00_2383, obj_t BgL_donez00_2384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 121 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1532;
				obj_t BgL_donez00_1533;

				BgL_ez00_1532 = BgL_ez00_2383;
				BgL_donez00_1533 = BgL_donez00_2384;
				{	/* Eval/evaluate_use.scm 123 */
					obj_t BgL_arg2556z00_1538;

					BgL_arg2556z00_1538 =
						(((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_ez00_1532)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2018;
						obj_t BgL_donez00_2019;

						BgL_lz00_2018 = BgL_arg2556z00_1538;
						BgL_donez00_2019 = BgL_donez00_1533;
					BgL_recz00_2017:
						if (NULLP(BgL_lz00_2018))
							{	/* Eval/evaluate_use.scm 123 */
								BgL_ev_exprz00_bglt BgL_arg2560z00_2026;

								BgL_arg2560z00_2026 =
									(((BgL_ev_labelsz00_bglt) CREF(
											((obj_t) BgL_ez00_1532)))->BgL_bodyz00);
								return
									BGl_usez00zz__evaluate_usez00(BgL_arg2560z00_2026,
									BgL_donez00_2019);
							}
						else
							{	/* Eval/evaluate_use.scm 123 */
								obj_t BgL_arg2561z00_2027;
								obj_t BgL_arg2562z00_2028;

								BgL_arg2561z00_2027 = CDR(BgL_lz00_2018);
								{	/* Eval/evaluate_use.scm 123 */
									obj_t BgL_arg2563z00_2029;

									{	/* Eval/evaluate_use.scm 123 */
										obj_t BgL_pairz00_2034;

										BgL_pairz00_2034 = BgL_lz00_2018;
										BgL_arg2563z00_2029 = CAR(CDR(BgL_pairz00_2034));
									}
									BgL_arg2562z00_2028 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg2563z00_2029),
										BgL_donez00_2019);
								}
								{
									obj_t BgL_donez00_2574;
									obj_t BgL_lz00_2573;

									BgL_lz00_2573 = BgL_arg2561z00_2027;
									BgL_donez00_2574 = BgL_arg2562z00_2028;
									BgL_donez00_2019 = BgL_donez00_2574;
									BgL_lz00_2018 = BgL_lz00_2573;
									goto BgL_recz00_2017;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder2425 */
	obj_t BGl_z62usezd2ev_binder2425zb0zz__evaluate_usez00(obj_t BgL_envz00_2385,
		BgL_ev_binderz00_bglt BgL_ez00_2386, obj_t BgL_donez00_2387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 117 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1523;
				obj_t BgL_donez00_1524;

				BgL_ez00_1523 = BgL_ez00_2386;
				BgL_donez00_1524 = BgL_donez00_2387;
				{	/* Eval/evaluate_use.scm 118 */
					BgL_ev_exprz00_bglt BgL_arg2553z00_1968;
					obj_t BgL_arg2554z00_1969;

					BgL_arg2553z00_1968 =
						(((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_ez00_1523)))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 118 */
						obj_t BgL_arg2555z00_1970;

						BgL_arg2555z00_1970 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_ez00_1523)))->BgL_valsz00);
						{
							obj_t BgL_lz00_1974;
							obj_t BgL_donez00_1975;

							BgL_lz00_1974 = BgL_arg2555z00_1970;
							BgL_donez00_1975 = BgL_donez00_1524;
						BgL_useza2za2_1973:
							if (NULLP(BgL_lz00_1974))
								{	/* Eval/evaluate_use.scm 118 */
									BgL_arg2554z00_1969 = BgL_donez00_1975;
								}
							else
								{	/* Eval/evaluate_use.scm 118 */
									obj_t BgL_arg2473z00_1981;
									obj_t BgL_arg2475z00_1982;

									BgL_arg2473z00_1981 = CDR(BgL_lz00_1974);
									{	/* Eval/evaluate_use.scm 118 */
										obj_t BgL_arg2476z00_1983;

										BgL_arg2476z00_1983 = CAR(BgL_lz00_1974);
										BgL_arg2475z00_1982 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg2476z00_1983),
											BgL_donez00_1975);
									}
									{
										obj_t BgL_donez00_2586;
										obj_t BgL_lz00_2585;

										BgL_lz00_2585 = BgL_arg2473z00_1981;
										BgL_donez00_2586 = BgL_arg2475z00_1982;
										BgL_donez00_1975 = BgL_donez00_2586;
										BgL_lz00_1974 = BgL_lz00_2585;
										goto BgL_useza2za2_1973;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2553z00_1968,
						BgL_arg2554z00_1969);
				}
			}
		}
	}



/* &use-ev_binder2423 */
	obj_t BGl_z62usezd2ev_binder2423zb0zz__evaluate_usez00(obj_t BgL_envz00_2388,
		BgL_ev_binderz00_bglt BgL_ez00_2389, obj_t BgL_donez00_2390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 113 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1514;
				obj_t BgL_donez00_1515;

				BgL_ez00_1514 = BgL_ez00_2389;
				BgL_donez00_1515 = BgL_donez00_2390;
				{	/* Eval/evaluate_use.scm 114 */
					BgL_ev_exprz00_bglt BgL_arg2549z00_1947;
					obj_t BgL_arg2550z00_1948;

					BgL_arg2549z00_1947 =
						(((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_ez00_1514)))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 114 */
						obj_t BgL_arg2551z00_1949;

						BgL_arg2551z00_1949 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_ez00_1514)))->BgL_valsz00);
						{
							obj_t BgL_lz00_1953;
							obj_t BgL_donez00_1954;

							BgL_lz00_1953 = BgL_arg2551z00_1949;
							BgL_donez00_1954 = BgL_donez00_1515;
						BgL_useza2za2_1952:
							if (NULLP(BgL_lz00_1953))
								{	/* Eval/evaluate_use.scm 114 */
									BgL_arg2550z00_1948 = BgL_donez00_1954;
								}
							else
								{	/* Eval/evaluate_use.scm 114 */
									obj_t BgL_arg2473z00_1960;
									obj_t BgL_arg2475z00_1961;

									BgL_arg2473z00_1960 = CDR(BgL_lz00_1953);
									{	/* Eval/evaluate_use.scm 114 */
										obj_t BgL_arg2476z00_1962;

										BgL_arg2476z00_1962 = CAR(BgL_lz00_1953);
										BgL_arg2475z00_1961 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg2476z00_1962),
											BgL_donez00_1954);
									}
									{
										obj_t BgL_donez00_2599;
										obj_t BgL_lz00_2598;

										BgL_lz00_2598 = BgL_arg2473z00_1960;
										BgL_donez00_2599 = BgL_arg2475z00_1961;
										BgL_donez00_1954 = BgL_donez00_2599;
										BgL_lz00_1953 = BgL_lz00_2598;
										goto BgL_useza2za2_1952;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2549z00_1947,
						BgL_arg2550z00_1948);
				}
			}
		}
	}



/* &use-ev_with-handler2421 */
	obj_t BGl_z62usezd2ev_withzd2handler2421z62zz__evaluate_usez00(obj_t
		BgL_envz00_2391, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2392,
		obj_t BgL_donez00_2393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 109 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1505;
				obj_t BgL_donez00_1506;

				BgL_ez00_1505 = BgL_ez00_2392;
				BgL_donez00_1506 = BgL_donez00_2393;
				{	/* Eval/evaluate_use.scm 110 */
					BgL_ev_exprz00_bglt BgL_arg2546z00_1941;
					obj_t BgL_arg2547z00_1942;

					BgL_arg2546z00_1941 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((obj_t) BgL_ez00_1505)))->BgL_handlerz00);
					{	/* Eval/evaluate_use.scm 110 */
						BgL_ev_exprz00_bglt BgL_arg2548z00_1943;

						BgL_arg2548z00_1943 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_1505)))->BgL_bodyz00);
						BgL_arg2547z00_1942 =
							BGl_usez00zz__evaluate_usez00(BgL_arg2548z00_1943,
							BgL_donez00_1506);
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2546z00_1941,
						BgL_arg2547z00_1942);
				}
			}
		}
	}



/* &use-ev_unwind-protec2419 */
	obj_t BGl_z62usezd2ev_unwindzd2protec2419z62zz__evaluate_usez00(obj_t
		BgL_envz00_2394, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2395,
		obj_t BgL_donez00_2396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 105 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1496;
				obj_t BgL_donez00_1497;

				BgL_ez00_1496 = BgL_ez00_2395;
				BgL_donez00_1497 = BgL_donez00_2396;
				{	/* Eval/evaluate_use.scm 106 */
					BgL_ev_exprz00_bglt BgL_arg2543z00_1935;
					obj_t BgL_arg2544z00_1936;

					BgL_arg2543z00_1935 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((obj_t) BgL_ez00_1496)))->BgL_ez00);
					{	/* Eval/evaluate_use.scm 106 */
						BgL_ev_exprz00_bglt BgL_arg2545z00_1937;

						BgL_arg2545z00_1937 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_ez00_1496)))->BgL_bodyz00);
						BgL_arg2544z00_1936 =
							BGl_usez00zz__evaluate_usez00(BgL_arg2545z00_1937,
							BgL_donez00_1497);
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2543z00_1935,
						BgL_arg2544z00_1936);
				}
			}
		}
	}



/* &use-ev_bind-exit2417 */
	obj_t BGl_z62usezd2ev_bindzd2exit2417z62zz__evaluate_usez00(obj_t
		BgL_envz00_2397, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2398,
		obj_t BgL_donez00_2399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 101 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1489;
				obj_t BgL_donez00_1490;

				BgL_ez00_1489 = BgL_ez00_2398;
				BgL_donez00_1490 = BgL_donez00_2399;
				{	/* Eval/evaluate_use.scm 102 */
					BgL_ev_exprz00_bglt BgL_arg2542z00_1932;

					BgL_arg2542z00_1932 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(
								((obj_t) BgL_ez00_1489)))->BgL_bodyz00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2542z00_1932,
						BgL_donez00_1490);
				}
			}
		}
	}



/* &use-ev_setlocal2415 */
	obj_t BGl_z62usezd2ev_setlocal2415zb0zz__evaluate_usez00(obj_t
		BgL_envz00_2400, BgL_ev_setlocalz00_bglt BgL_ez00_2401,
		obj_t BgL_donez00_2402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 96 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1479;
				obj_t BgL_donez00_1480;

				BgL_ez00_1479 = BgL_ez00_2401;
				BgL_donez00_1480 = BgL_donez00_2402;
				{	/* Eval/evaluate_use.scm 97 */
					bool_t BgL_testz00_2616;

					{	/* Eval/evaluate_use.scm 97 */
						BgL_ev_varz00_bglt BgL_arg2540z00_1925;

						BgL_arg2540z00_1925 =
							(((BgL_ev_setlocalz00_bglt) CREF(
									((obj_t) BgL_ez00_1479)))->BgL_vz00);
						BgL_testz00_2616 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg2540z00_1925), BgL_donez00_1480));
					}
					if (BgL_testz00_2616)
						{	/* Eval/evaluate_use.scm 97 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 97 */
							BgL_ev_varz00_bglt BgL_arg2539z00_1926;

							BgL_arg2539z00_1926 =
								(((BgL_ev_setlocalz00_bglt) CREF(
										((obj_t) BgL_ez00_1479)))->BgL_vz00);
							BgL_donez00_1480 =
								MAKE_PAIR(((obj_t) BgL_arg2539z00_1926), BgL_donez00_1480);
						}
				}
				{	/* Eval/evaluate_use.scm 97 */
					BgL_ev_exprz00_bglt BgL_arg2541z00_1927;

					{	/* Eval/evaluate_use.scm 97 */
						BgL_ev_hookz00_bglt BgL_obj1944z00_1930;

						BgL_obj1944z00_1930 = ((BgL_ev_hookz00_bglt) BgL_ez00_1479);
						BgL_arg2541z00_1927 =
							(((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_obj1944z00_1930)))->BgL_ez00);
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2541z00_1927,
						BgL_donez00_1480);
				}
			}
		}
	}



/* &use-ev_hook2413 */
	obj_t BGl_z62usezd2ev_hook2413zb0zz__evaluate_usez00(obj_t BgL_envz00_2403,
		BgL_ev_hookz00_bglt BgL_ez00_2404, obj_t BgL_donez00_2405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 92 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1472;
				obj_t BgL_donez00_1473;

				BgL_ez00_1472 = BgL_ez00_2404;
				BgL_donez00_1473 = BgL_donez00_2405;
				{	/* Eval/evaluate_use.scm 93 */
					BgL_ev_exprz00_bglt BgL_arg2537z00_1921;

					BgL_arg2537z00_1921 =
						(((BgL_ev_hookz00_bglt) CREF(((obj_t) BgL_ez00_1472)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2537z00_1921,
						BgL_donez00_1473);
				}
			}
		}
	}



/* &use-ev_prog22411 */
	obj_t BGl_z62usezd2ev_prog22411zb0zz__evaluate_usez00(obj_t BgL_envz00_2406,
		BgL_ev_prog2z00_bglt BgL_ez00_2407, obj_t BgL_donez00_2408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 88 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1463;
				obj_t BgL_donez00_1464;

				BgL_ez00_1463 = BgL_ez00_2407;
				BgL_donez00_1464 = BgL_donez00_2408;
				{	/* Eval/evaluate_use.scm 89 */
					BgL_ev_exprz00_bglt BgL_arg2534z00_1915;
					obj_t BgL_arg2535z00_1916;

					BgL_arg2534z00_1915 =
						(((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_ez00_1463)))->BgL_e1z00);
					{	/* Eval/evaluate_use.scm 89 */
						BgL_ev_exprz00_bglt BgL_arg2536z00_1917;

						BgL_arg2536z00_1917 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1463)))->BgL_e2z00);
						BgL_arg2535z00_1916 =
							BGl_usez00zz__evaluate_usez00(BgL_arg2536z00_1917,
							BgL_donez00_1464);
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2534z00_1915,
						BgL_arg2535z00_1916);
				}
			}
		}
	}



/* &use-ev_list2409 */
	obj_t BGl_z62usezd2ev_list2409zb0zz__evaluate_usez00(obj_t BgL_envz00_2409,
		BgL_ev_listz00_bglt BgL_ez00_2410, obj_t BgL_donez00_2411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1456;
				obj_t BgL_donez00_1457;

				BgL_ez00_1456 = BgL_ez00_2410;
				BgL_donez00_1457 = BgL_donez00_2411;
				{	/* Eval/evaluate_use.scm 85 */
					obj_t BgL_arg2533z00_1897;

					BgL_arg2533z00_1897 =
						(((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_ez00_1456)))->BgL_argsz00);
					{
						obj_t BgL_lz00_1900;
						obj_t BgL_donez00_1901;

						BgL_lz00_1900 = BgL_arg2533z00_1897;
						BgL_donez00_1901 = BgL_donez00_1457;
					BgL_useza2za2_1899:
						if (NULLP(BgL_lz00_1900))
							{	/* Eval/evaluate_use.scm 85 */
								return BgL_donez00_1901;
							}
						else
							{	/* Eval/evaluate_use.scm 85 */
								obj_t BgL_arg2473z00_1907;
								obj_t BgL_arg2475z00_1908;

								BgL_arg2473z00_1907 = CDR(BgL_lz00_1900);
								{	/* Eval/evaluate_use.scm 85 */
									obj_t BgL_arg2476z00_1909;

									BgL_arg2476z00_1909 = CAR(BgL_lz00_1900);
									BgL_arg2475z00_1908 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg2476z00_1909),
										BgL_donez00_1901);
								}
								{
									obj_t BgL_donez00_2648;
									obj_t BgL_lz00_2647;

									BgL_lz00_2647 = BgL_arg2473z00_1907;
									BgL_donez00_2648 = BgL_arg2475z00_1908;
									BgL_donez00_1901 = BgL_donez00_2648;
									BgL_lz00_1900 = BgL_lz00_2647;
									goto BgL_useza2za2_1899;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if2407 */
	obj_t BGl_z62usezd2ev_if2407zb0zz__evaluate_usez00(obj_t BgL_envz00_2412,
		BgL_ev_ifz00_bglt BgL_ez00_2413, obj_t BgL_donez00_2414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1445;
				obj_t BgL_donez00_1446;

				BgL_ez00_1445 = BgL_ez00_2413;
				BgL_donez00_1446 = BgL_donez00_2414;
				{	/* Eval/evaluate_use.scm 81 */
					BgL_ev_exprz00_bglt BgL_arg2528z00_1888;
					obj_t BgL_arg2529z00_1889;

					BgL_arg2528z00_1888 =
						(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1445)))->BgL_pz00);
					{	/* Eval/evaluate_use.scm 81 */
						BgL_ev_exprz00_bglt BgL_arg2530z00_1890;
						obj_t BgL_arg2531z00_1891;

						BgL_arg2530z00_1890 =
							(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1445)))->BgL_tz00);
						{	/* Eval/evaluate_use.scm 81 */
							BgL_ev_exprz00_bglt BgL_arg2532z00_1892;

							BgL_arg2532z00_1892 =
								(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1445)))->BgL_ez00);
							BgL_arg2531z00_1891 =
								BGl_usez00zz__evaluate_usez00(BgL_arg2532z00_1892,
								BgL_donez00_1446);
						}
						BgL_arg2529z00_1889 =
							BGl_usez00zz__evaluate_usez00(BgL_arg2530z00_1890,
							BgL_arg2531z00_1891);
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg2528z00_1888,
						BgL_arg2529z00_1889);
				}
			}
		}
	}



/* &use-ev_litt2405 */
	obj_t BGl_z62usezd2ev_litt2405zb0zz__evaluate_usez00(obj_t BgL_envz00_2415,
		BgL_ev_littz00_bglt BgL_ez00_2416, obj_t BgL_donez00_2417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 77 */
			return BgL_donez00_2417;
		}
	}



/* &use-ev_global2403 */
	obj_t BGl_z62usezd2ev_global2403zb0zz__evaluate_usez00(obj_t BgL_envz00_2418,
		BgL_ev_globalz00_bglt BgL_varz00_2419, obj_t BgL_donez00_2420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 74 */
			return BgL_donez00_2420;
		}
	}



/* &use-ev_var2401 */
	obj_t BGl_z62usezd2ev_var2401zb0zz__evaluate_usez00(obj_t BgL_envz00_2421,
		BgL_ev_varz00_bglt BgL_varz00_2422, obj_t BgL_donez00_2423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 70 */
			{
				BgL_ev_varz00_bglt BgL_varz00_1429;
				obj_t BgL_donez00_1430;

				BgL_varz00_1429 = BgL_varz00_2422;
				BgL_donez00_1430 = BgL_donez00_2423;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_1429), BgL_donez00_1430)))
					{	/* Eval/evaluate_use.scm 71 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 71 */
						BgL_donez00_1430 =
							MAKE_PAIR(((obj_t) BgL_varz00_1429), BgL_donez00_1430);
					}
				return BgL_donez00_1430;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534), BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 126621575),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2861z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
