/*===========================================================================*/
/*   (Ast/unit.scm)                                                          */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/unit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_dozd2etazd2expansez00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	extern obj_t BGl_comptimezd2expandzd2zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t, long);
	static obj_t BGl_methodzd2initzd2zzast_unitz00();
	extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	static obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_makezd2sfunzd2nooptzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_appendzd221095zd2zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(int, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33816ze3ze1zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzast_unitz00();
	static obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_unitz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2unitzd2listza2zd2zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t);
	extern obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
	static obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
	BGL_IMPORT obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_unitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00();
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	extern obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00();
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34628ze3ze1zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t);
	extern obj_t BGl_compilezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t __cnst[56];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2ze3defszd2envze3zzast_unitz00,
		BgL_bgl_za762unitza7d2za7e3def5093za7,
		BGl_z62unitzd2ze3defsz53zzast_unitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addzd2headz12zd2envzb0zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a5094za7,
		BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initzd2callszd2envzd2zzast_unitz00,
		BgL_bgl_za762unitza7d2initza7d5095za7,
		BGl_z62unitzd2initzd2callsz62zzast_unitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addz12zd2envz62zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a5096za7,
		BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5074z00zzast_unitz00,
		BgL_bgl_string5074za700za7za7a5097za7, "]", 1);
	      DEFINE_STRING(BGl_string5075z00zzast_unitz00,
		BgL_bgl_string5075za700za7za7a5098za7, "      [", 7);
	      DEFINE_STRING(BGl_string5076z00zzast_unitz00,
		BgL_bgl_string5076za700za7za7a5099za7,
		"Unable to eta-expand #!optional alias", 37);
	      DEFINE_STRING(BGl_string5077z00zzast_unitz00,
		BgL_bgl_string5077za700za7za7a5100za7, "Unable to eta-expand #!key alias",
		32);
	      DEFINE_STRING(BGl_string5078z00zzast_unitz00,
		BgL_bgl_string5078za700za7za7a5101za7, "form no longer supported", 24);
	      DEFINE_STRING(BGl_string5079z00zzast_unitz00,
		BgL_bgl_string5079za700za7za7a5102za7, "define-generic", 14);
	      DEFINE_STRING(BGl_string5080z00zzast_unitz00,
		BgL_bgl_string5080za700za7za7a5103za7, "Illegal '() expression", 22);
	      DEFINE_STRING(BGl_string5081z00zzast_unitz00,
		BgL_bgl_string5081za700za7za7a5104za7, "] expected, provided", 20);
	      DEFINE_STRING(BGl_string5082z00zzast_unitz00,
		BgL_bgl_string5082za700za7za7a5105za7, "..", 2);
	      DEFINE_STRING(BGl_string5083z00zzast_unitz00,
		BgL_bgl_string5083za700za7za7a5106za7, "wrong number of arguments: [", 28);
	      DEFINE_STRING(BGl_string5084z00zzast_unitz00,
		BgL_bgl_string5084za700za7za7a5107za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string5085z00zzast_unitz00,
		BgL_bgl_string5085za700za7za7a5108za7,
		"Illegal generic definition (first argument missing)", 51);
	      DEFINE_STRING(BGl_string5086z00zzast_unitz00,
		BgL_bgl_string5086za700za7za7a5109za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string5087z00zzast_unitz00,
		BgL_bgl_string5087za700za7za7a5110za7, "ast_unit", 8);
	      DEFINE_STRING(BGl_string5088z00zzast_unitz00,
		BgL_bgl_string5088za700za7za7a5111za7,
		"unit register-generic! sgfun when >=fx index labels memq vector-ref let -fx +fx eq? v =fx k1 i vector-length var check search l globalization (env opt) env _ case else quote error __error let* $vector-length $vector-ref-ur opt cons* apply define-method define-generic sifun define-inline define lambda sfun read -require-initialization -init now export cgen snifun obj if begin set! @ ",
		385);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2initializa7erzd2idzd2envz75zzast_unitz00,
		BgL_bgl_za762unitza7d2initia5112z00,
		BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initializa7erszd2envza7zzast_unitz00,
		BgL_bgl_za762unitza7d2initia5113z00,
		BGl_z62unitzd2initializa7ersz17zzast_unitz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long
		BgL_checksumz00_4305, char *BgL_fromz00_4306)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_unitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_unitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_unitz00();
					BGl_cnstzd2initzd2zzast_unitz00();
					BGl_importedzd2moduleszd2initz00zzast_unitz00();
					BGl_toplevelzd2initzd2zzast_unitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_unit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			{	/* Ast/unit.scm 21 */
				obj_t BgL_cportz00_4290;

				BgL_cportz00_4290 =
					bgl_open_input_string(BGl_string5088z00zzast_unitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4291;

					BgL_iz00_4291 = ((long) 55);
				BgL_loopz00_4292:
					if ((BgL_iz00_4291 == ((long) -1)))
						{	/* Ast/unit.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Ast/unit.scm 21 */
							{	/* Ast/unit.scm 21 */
								obj_t BgL_arg5090z00_4294;

								{	/* Ast/unit.scm 21 */

									{	/* Ast/unit.scm 21 */
										obj_t BgL_locationz00_4296;

										BgL_locationz00_4296 = BBOOL(((bool_t) 0));
										{	/* Ast/unit.scm 21 */

											BgL_arg5090z00_4294 =
												BGl_readz00zz__readerz00(BgL_cportz00_4290,
												BgL_locationz00_4296);
										}
									}
								}
								{	/* Ast/unit.scm 21 */
									int BgL_auxz00_4329;

									BgL_auxz00_4329 = (int) (BgL_iz00_4291);
									CNST_TABLE_SET(BgL_auxz00_4329, BgL_arg5090z00_4294);
							}}
							{	/* Ast/unit.scm 21 */
								int BgL_auxz00_4297;

								BgL_auxz00_4297 = (int) ((BgL_iz00_4291 - ((long) 1)));
								{
									long BgL_iz00_4334;

									BgL_iz00_4334 = (long) (BgL_auxz00_4297);
									BgL_iz00_4291 = BgL_iz00_4334;
									goto BgL_loopz00_4292;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return (BGl_za2unitzd2listza2zd2zzast_unitz00 = BNIL, BUNSPEC);
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzast_unitz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_984;

				BgL_headz00_984 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_985;
					obj_t BgL_tailz00_986;

					BgL_prevz00_985 = BgL_headz00_984;
					BgL_tailz00_986 = BgL_l1z00_1;
				BgL_loopz00_987:
					if (PAIRP(BgL_tailz00_986))
						{
							obj_t BgL_newzd2prevzd2_989;

							BgL_newzd2prevzd2_989 =
								MAKE_PAIR(CAR(BgL_tailz00_986), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_985, BgL_newzd2prevzd2_989);
							{
								obj_t BgL_tailz00_4343;
								obj_t BgL_prevz00_4342;

								BgL_prevz00_4342 = BgL_newzd2prevzd2_989;
								BgL_tailz00_4343 = CDR(BgL_tailz00_986);
								BgL_tailz00_986 = BgL_tailz00_4343;
								BgL_prevz00_985 = BgL_prevz00_4342;
								goto BgL_loopz00_987;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_984);
				}
			}
		}
	}



/* unit-sexp*-add! */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t
		BgL_unitz00_25, obj_t BgL_sexpz00_26)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 60 */
			if (NULLP(STRUCT_REF(BgL_unitz00_25, (int) (((long) 2)))))
				{	/* Ast/unit.scm 62 */
					int BgL_auxz00_4350;

					BgL_auxz00_4350 = (int) (((long) 2));
					return STRUCT_SET(BgL_unitz00_25, BgL_auxz00_4350, BgL_sexpz00_26);
				}
			else
				{	/* Ast/unit.scm 63 */
					obj_t BgL_auxz00_4353;

					BgL_auxz00_4353 =
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(STRUCT_REF
						(BgL_unitz00_25, (int) (((long) 2))));
					return SET_CDR(BgL_auxz00_4353, BgL_sexpz00_26);
				}
		}
	}



/* &unit-sexp*-add! */
	obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t BgL_envz00_4151,
		obj_t BgL_unitz00_4152, obj_t BgL_sexpz00_4153)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 60 */
			return
				BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_unitz00_4152,
				BgL_sexpz00_4153);
		}
	}



/* unit-sexp*-add-head! */
	BGL_EXPORTED_DEF obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t BgL_unitz00_27,
		obj_t BgL_sexpz00_28)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 68 */
			{	/* Ast/unit.scm 69 */
				obj_t BgL_auxz00_4361;
				int BgL_auxz00_4359;

				BgL_auxz00_4361 =
					BGl_appendzd221095zd2zzast_unitz00(BgL_sexpz00_28,
					STRUCT_REF(BgL_unitz00_27, (int) (((long) 2))));
				BgL_auxz00_4359 = (int) (((long) 2));
				return STRUCT_SET(BgL_unitz00_27, BgL_auxz00_4359, BgL_auxz00_4361);
			}
		}
	}



/* &unit-sexp*-add-head! */
	obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t
		BgL_envz00_4154, obj_t BgL_unitz00_4155, obj_t BgL_sexpz00_4156)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 68 */
			return
				BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(BgL_unitz00_4155,
				BgL_sexpz00_4156);
		}
	}



/* unit->defs */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t
		BgL_unitz00_29)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 74 */
			{	/* Ast/unit.scm 76 */
				obj_t BgL_arg3775z00_1005;

				{	/* Ast/unit.scm 76 */
					obj_t BgL_arg3780z00_1010;

					{	/* Ast/unit.scm 76 */
						obj_t BgL_arg3781z00_1011;

						BgL_arg3781z00_1011 =
							STRUCT_REF(BgL_unitz00_29, (int) (((long) 0)));
						{	/* Ast/unit.scm 76 */
							obj_t BgL_res4873z00_3008;

							{	/* Ast/unit.scm 76 */
								obj_t BgL_symbolz00_3006;

								BgL_symbolz00_3006 = BgL_arg3781z00_1011;
								{	/* Ast/unit.scm 76 */
									obj_t BgL_arg2069z00_3007;

									BgL_arg2069z00_3007 = SYMBOL_TO_STRING(BgL_symbolz00_3006);
									BgL_res4873z00_3008 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg2069z00_3007);
							}}
							BgL_arg3780z00_1010 = BgL_res4873z00_3008;
					}}
					BgL_arg3775z00_1005 =
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg3780z00_1010);
				}
				{	/* Ast/unit.scm 75 */
					obj_t BgL_list3776z00_1006;

					{	/* Ast/unit.scm 75 */
						obj_t BgL_arg3777z00_1007;

						{	/* Ast/unit.scm 75 */
							obj_t BgL_arg3778z00_1008;

							{	/* Ast/unit.scm 75 */
								obj_t BgL_arg3779z00_1009;

								BgL_arg3779z00_1009 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg3778z00_1008 =
									MAKE_PAIR(BGl_string5074z00zzast_unitz00,
									BgL_arg3779z00_1009);
							}
							BgL_arg3777z00_1007 =
								MAKE_PAIR(BgL_arg3775z00_1005, BgL_arg3778z00_1008);
						}
						BgL_list3776z00_1006 =
							MAKE_PAIR(BGl_string5075z00zzast_unitz00, BgL_arg3777z00_1007);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list3776z00_1006);
			}}
			{	/* Ast/unit.scm 80 */
				obj_t BgL_idz00_1012;

				BgL_idz00_1012 = STRUCT_REF(BgL_unitz00_29, (int) (((long) 0)));
				{	/* Ast/unit.scm 80 */
					obj_t BgL_weightz00_1013;

					BgL_weightz00_1013 = STRUCT_REF(BgL_unitz00_29, (int) (((long) 1)));
					{	/* Ast/unit.scm 81 */
						obj_t BgL_sexpza2za2_1014;

						BgL_sexpza2za2_1014 =
							STRUCT_REF(BgL_unitz00_29, (int) (((long) 2)));
						{	/* Ast/unit.scm 82 */
							obj_t BgL_gdefsz00_1015;

							BgL_gdefsz00_1015 =
								BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2
								(BgL_sexpza2za2_1014);
							{	/* Ast/unit.scm 83 */

								{	/* Ast/unit.scm 85 */
									obj_t BgL_g3656z00_1016;
									obj_t BgL_g3657z00_1017;

									if (PROCEDUREP(BgL_sexpza2za2_1014))
										{	/* Ast/unit.scm 85 */
											BgL_g3656z00_1016 =
												PROCEDURE_ENTRY(BgL_sexpza2za2_1014)
												(BgL_sexpza2za2_1014, BEOA);
										}
									else
										{	/* Ast/unit.scm 85 */
											BgL_g3656z00_1016 =
												BGl_toplevelza2zd2ze3astz93zzast_unitz00
												(BgL_sexpza2za2_1014, BgL_gdefsz00_1015);
										}
									{	/* Ast/unit.scm 88 */
										bool_t BgL_testz00_4392;

										{	/* Ast/unit.scm 88 */
											obj_t BgL_sz00_3022;

											BgL_sz00_3022 = BgL_unitz00_29;
											BgL_testz00_4392 =
												CBOOL(STRUCT_REF(BgL_sz00_3022, (int) (((long) 4))));
										}
										if (BgL_testz00_4392)
											{	/* Ast/unit.scm 88 */
												obj_t BgL_list3829z00_1074;

												BgL_list3829z00_1074 = MAKE_PAIR(BUNSPEC, BNIL);
												BgL_g3657z00_1017 = BgL_list3829z00_1074;
											}
										else
											{	/* Ast/unit.scm 88 */
												BgL_g3657z00_1017 = BNIL;
											}
									}
									{
										obj_t BgL_aexpza2za2_1020;
										obj_t BgL_initza2za2_1021;
										obj_t BgL_defza2za2_1022;

										BgL_aexpza2za2_1020 = BgL_g3656z00_1016;
										BgL_initza2za2_1021 = BgL_g3657z00_1017;
										BgL_defza2za2_1022 = BNIL;
									BgL_zc3anonymousza33782ze3z83_1023:
										if (NULLP(BgL_aexpza2za2_1020))
											{	/* Ast/unit.scm 90 */
												if (NULLP(BgL_initza2za2_1021))
													{	/* Ast/unit.scm 91 */
														return bgl_reverse_bang(BgL_defza2za2_1022);
													}
												else
													{	/* Ast/unit.scm 92 */
														obj_t BgL_bodyz00_1026;

														{	/* Ast/unit.scm 92 */
															bool_t BgL_testz00_4402;

															{	/* Ast/unit.scm 92 */
																obj_t BgL_sz00_3031;

																BgL_sz00_3031 = BgL_unitz00_29;
																BgL_testz00_4402 =
																	CBOOL(STRUCT_REF(BgL_sz00_3031,
																		(int) (((long) 4))));
															}
															if (BgL_testz00_4402)
																{	/* Ast/unit.scm 93 */
																	obj_t BgL_arg3794z00_1039;

																	{	/* Ast/unit.scm 93 */
																		obj_t BgL_arg3795z00_1040;
																		obj_t BgL_arg3798z00_1041;

																		{	/* Ast/unit.scm 93 */
																			obj_t BgL_arg3799z00_1042;

																			{	/* Ast/unit.scm 93 */
																				obj_t BgL_arg3801z00_1043;
																				obj_t BgL_arg3802z00_1044;

																				BgL_arg3801z00_1043 =
																					BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																					(BgL_idz00_1012);
																				BgL_arg3802z00_1044 =
																					MAKE_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_arg3799z00_1042 =
																					MAKE_PAIR(BgL_arg3801z00_1043,
																					BgL_arg3802z00_1044);
																			}
																			BgL_arg3795z00_1040 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																				BgL_arg3799z00_1042);
																		}
																		{	/* Ast/unit.scm 95 */
																			obj_t BgL_arg3803z00_1045;

																			{	/* Ast/unit.scm 95 */
																				obj_t BgL_arg3804z00_1046;

																				{	/* Ast/unit.scm 95 */
																					obj_t BgL_arg3805z00_1047;
																					obj_t BgL_arg3806z00_1048;

																					{	/* Ast/unit.scm 95 */
																						obj_t BgL_arg3807z00_1049;

																						{	/* Ast/unit.scm 95 */
																							obj_t BgL_arg3808z00_1050;
																							obj_t BgL_arg3809z00_1051;

																							{	/* Ast/unit.scm 95 */
																								obj_t BgL_arg3810z00_1052;

																								{	/* Ast/unit.scm 95 */
																									obj_t BgL_arg3811z00_1053;
																									obj_t BgL_arg3812z00_1054;

																									BgL_arg3811z00_1053 =
																										BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																										(BgL_idz00_1012);
																									BgL_arg3812z00_1054 =
																										MAKE_PAIR
																										(BGl_za2moduleza2z00zzmodule_modulez00,
																										BNIL);
																									BgL_arg3810z00_1052 =
																										MAKE_PAIR
																										(BgL_arg3811z00_1053,
																										BgL_arg3812z00_1054);
																								}
																								BgL_arg3808z00_1050 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 0)),
																									BgL_arg3810z00_1052);
																							}
																							BgL_arg3809z00_1051 =
																								MAKE_PAIR(BFALSE, BNIL);
																							BgL_arg3807z00_1049 =
																								MAKE_PAIR(BgL_arg3808z00_1050,
																								BgL_arg3809z00_1051);
																						}
																						BgL_arg3805z00_1047 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									1)), BgL_arg3807z00_1049);
																					}
																					{	/* Ast/unit.scm 98 */
																						obj_t BgL_arg3813z00_1055;
																						obj_t BgL_arg3814z00_1056;

																						{	/* Ast/unit.scm 98 */
																							obj_t
																								BgL_zc3anonymousza33816ze3z83_4157;
																							BgL_zc3anonymousza33816ze3z83_4157
																								=
																								MAKE_FX_PROCEDURE
																								(BGl_z62zc3anonymousza33816ze3ze1zzast_unitz00,
																								(int) (((long) 1)),
																								(int) (((long) 1)));
																							PROCEDURE_SET
																								(BgL_zc3anonymousza33816ze3z83_4157,
																								(int) (((long) 0)),
																								BgL_idz00_1012);
																							BgL_arg3813z00_1055 =
																								BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
																								(BgL_zc3anonymousza33816ze3z83_4157);
																						}
																						BgL_arg3814z00_1056 =
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(bgl_reverse_bang
																							(BgL_initza2za2_1021), BNIL);
																						BgL_arg3806z00_1048 =
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg3813z00_1055,
																							BgL_arg3814z00_1056);
																					}
																					BgL_arg3804z00_1046 =
																						MAKE_PAIR(BgL_arg3805z00_1047,
																						BgL_arg3806z00_1048);
																				}
																				BgL_arg3803z00_1045 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg3804z00_1046);
																			}
																			BgL_arg3798z00_1041 =
																				MAKE_PAIR(BgL_arg3803z00_1045, BNIL);
																		}
																		BgL_arg3794z00_1039 =
																			MAKE_PAIR(BgL_arg3795z00_1040,
																			BgL_arg3798z00_1041);
																	}
																	BgL_bodyz00_1026 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																		BgL_arg3794z00_1039);
																}
															else
																{	/* Ast/unit.scm 92 */
																	BgL_bodyz00_1026 =
																		BGl_normaliza7ezd2prognz75zztools_prognz00
																		(bgl_reverse_bang(BgL_initza2za2_1021));
																}
														}
														{	/* Ast/unit.scm 92 */
															BgL_globalz00_bglt BgL_initz00_1027;

															{	/* Ast/unit.scm 103 */
																obj_t BgL_arg3791z00_1036;

																{	/* Ast/unit.scm 103 */
																	obj_t BgL_arg3792z00_1037;

																	BgL_arg3792z00_1037 =
																		BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																		(BgL_idz00_1012);
																	BgL_arg3791z00_1036 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_arg3792z00_1037,
																		CNST_TABLE_REF(((long) 4)));
																}
																BgL_initz00_1027 =
																	BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
																	(BgL_arg3791z00_1036, BNIL, BNIL,
																	BGl_za2moduleza2z00zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 5)),
																	BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 6)), BgL_bodyz00_1026);
															}
															{	/* Ast/unit.scm 101 */

																{	/* Ast/unit.scm 112 */
																	bool_t BgL_testz00_4444;

																	{	/* Ast/unit.scm 112 */
																		obj_t BgL_sz00_3034;

																		BgL_sz00_3034 = BgL_unitz00_29;
																		BgL_testz00_4444 =
																			CBOOL(STRUCT_REF(BgL_sz00_3034,
																				(int) (((long) 4))));
																	}
																	if (BgL_testz00_4444)
																		{	/* Ast/unit.scm 113 */
																			obj_t BgL_val1702z00_3037;

																			BgL_val1702z00_3037 =
																				CNST_TABLE_REF(((long) 7));
																			((((BgL_globalz00_bglt) CREF(
																							((obj_t) BgL_initz00_1027)))->
																					BgL_importz00) =
																				((obj_t) BgL_val1702z00_3037), BUNSPEC);
																		}
																	else
																		{	/* Ast/unit.scm 112 */
																			BFALSE;
																		}
																}
																if (
																	(BgL_unitz00_29 ==
																		BGl_getzd2toplevelzd2unitz00zzmodule_includez00
																		()))
																	{	/* Ast/unit.scm 116 */
																		BFALSE;
																	}
																else
																	{	/* Ast/unit.scm 117 */
																		BgL_variablez00_bglt BgL_obj1632z00_3038;

																		BgL_obj1632z00_3038 =
																			((BgL_variablez00_bglt) BgL_initz00_1027);
																		((((BgL_variablez00_bglt) CREF(
																						((obj_t) BgL_obj1632z00_3038)))->
																				BgL_userzf3zf3) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																	}
																BGl_declarezd2unitz12zc0zzast_unitz00
																	(BgL_idz00_1012,
																	(long) CINT(BgL_weightz00_1013));
																((((BgL_globalz00_bglt) CREF(((obj_t)
																					BgL_initz00_1027)))->
																		BgL_evaluablezf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
																{	/* Ast/unit.scm 126 */
																	bool_t BgL_testz00_4461;

																	{	/* Ast/unit.scm 126 */
																		obj_t BgL_sz00_3043;

																		BgL_sz00_3043 = BgL_unitz00_29;
																		BgL_testz00_4461 =
																			CBOOL(STRUCT_REF(BgL_sz00_3043,
																				(int) (((long) 4))));
																	}
																	if (BgL_testz00_4461)
																		{	/* Ast/unit.scm 127 */
																			obj_t BgL_idz00_1032;

																			{	/* Ast/unit.scm 127 */
																				obj_t BgL_arg3789z00_1034;

																				BgL_arg3789z00_1034 =
																					BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																					(BgL_idz00_1012);
																				BgL_idz00_1032 =
																					BGl_makezd2typedzd2identz00zzast_identz00
																					(BgL_arg3789z00_1034,
																					CNST_TABLE_REF(((long) 4)));
																			}
																			{	/* Ast/unit.scm 127 */
																				BgL_globalz00_bglt BgL_gloz00_1033;

																				BgL_gloz00_1033 =
																					BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																					(BgL_idz00_1032,
																					BGl_za2moduleza2z00zzmodule_modulez00,
																					BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																					CNST_TABLE_REF(((long) 8)));
																				{	/* Ast/unit.scm 129 */

																					{	/* Ast/unit.scm 131 */
																						BgL_variablez00_bglt
																							BgL_obj1632z00_3045;
																						BgL_obj1632z00_3045 =
																							((BgL_variablez00_bglt)
																							BgL_gloz00_1033);
																						((((BgL_variablez00_bglt)
																									CREF(((obj_t)
																											BgL_obj1632z00_3045)))->
																								BgL_userzf3zf3) =
																							((bool_t) ((bool_t) 0)), BUNSPEC);
																					}
																					((((BgL_globalz00_bglt) CREF(
																									((obj_t) BgL_gloz00_1033)))->
																							BgL_evaluablezf3zf3) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																		}}}
																	else
																		{	/* Ast/unit.scm 126 */
																			BFALSE;
																		}
																}
																{	/* Ast/unit.scm 133 */
																	obj_t BgL_arg3790z00_1035;

																	BgL_arg3790z00_1035 =
																		bgl_reverse_bang(BgL_defza2za2_1022);
																	return
																		MAKE_PAIR(
																		((obj_t) BgL_initz00_1027),
																		BgL_arg3790z00_1035);
																}
															}
														}
													}
											}
										else
											{	/* Ast/unit.scm 135 */
												bool_t BgL_testz00_4478;

												{	/* Ast/unit.scm 135 */
													obj_t BgL_arg3826z00_1070;

													BgL_arg3826z00_1070 = CAR(BgL_aexpza2za2_1020);
													BgL_testz00_4478 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3826z00_1070,
														BGl_globalz00zzast_varz00);
												}
												if (BgL_testz00_4478)
													{	/* Ast/unit.scm 136 */
														obj_t BgL_arg3820z00_1064;
														obj_t BgL_arg3821z00_1065;

														BgL_arg3820z00_1064 = CDR(BgL_aexpza2za2_1020);
														BgL_arg3821z00_1065 =
															MAKE_PAIR(CAR(BgL_aexpza2za2_1020),
															BgL_defza2za2_1022);
														{
															obj_t BgL_defza2za2_4485;
															obj_t BgL_aexpza2za2_4484;

															BgL_aexpza2za2_4484 = BgL_arg3820z00_1064;
															BgL_defza2za2_4485 = BgL_arg3821z00_1065;
															BgL_defza2za2_1022 = BgL_defza2za2_4485;
															BgL_aexpza2za2_1020 = BgL_aexpza2za2_4484;
															goto BgL_zc3anonymousza33782ze3z83_1023;
														}
													}
												else
													{	/* Ast/unit.scm 139 */
														obj_t BgL_arg3823z00_1067;
														obj_t BgL_arg3824z00_1068;

														BgL_arg3823z00_1067 = CDR(BgL_aexpza2za2_1020);
														BgL_arg3824z00_1068 =
															MAKE_PAIR(CAR(BgL_aexpza2za2_1020),
															BgL_initza2za2_1021);
														{
															obj_t BgL_initza2za2_4490;
															obj_t BgL_aexpza2za2_4489;

															BgL_aexpza2za2_4489 = BgL_arg3823z00_1067;
															BgL_initza2za2_4490 = BgL_arg3824z00_1068;
															BgL_initza2za2_1021 = BgL_initza2za2_4490;
															BgL_aexpza2za2_1020 = BgL_aexpza2za2_4489;
															goto BgL_zc3anonymousza33782ze3z83_1023;
														}
													}
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &unit->defs */
	obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t BgL_envz00_4158,
		obj_t BgL_unitz00_4159)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 74 */
			return BGl_unitzd2ze3defsz31zzast_unitz00(BgL_unitz00_4159);
		}
	}



/* &<anonymous:3816> */
	obj_t BGl_z62zc3anonymousza33816ze3ze1zzast_unitz00(obj_t BgL_envz00_4160,
		obj_t BgL_mz00_4162)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 97 */
			return
				BGl_unitzd2initializa7erzd2idza7zzast_unitz00(PROCEDURE_REF
				(BgL_envz00_4160, (int) (((long) 0))));
		}
	}



/* declare-unit! */
	obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t BgL_idz00_30,
		long BgL_weightz00_31)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 151 */
			{	/* Ast/unit.scm 152 */
				bool_t BgL_testz00_4495;

				if (NULLP(BGl_za2unitzd2listza2zd2zzast_unitz00))
					{	/* Ast/unit.scm 152 */
						BgL_testz00_4495 = ((bool_t) 1);
					}
				else
					{	/* Ast/unit.scm 152 */
						obj_t BgL_arg3847z00_1095;

						BgL_arg3847z00_1095 =
							CDR(CAR(BGl_za2unitzd2listza2zd2zzast_unitz00));
						BgL_testz00_4495 =
							(BgL_weightz00_31 < (long) CINT(BgL_arg3847z00_1095));
					}
				if (BgL_testz00_4495)
					{	/* Ast/unit.scm 153 */
						obj_t BgL_arg3831z00_1076;

						BgL_arg3831z00_1076 =
							MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
						return (BGl_za2unitzd2listza2zd2zzast_unitz00 =
							MAKE_PAIR(BgL_arg3831z00_1076,
								BGl_za2unitzd2listza2zd2zzast_unitz00), BUNSPEC);
					}
				else
					{
						obj_t BgL_ulistz00_1078;

						BgL_ulistz00_1078 = BGl_za2unitzd2listza2zd2zzast_unitz00;
					BgL_zc3anonymousza33832ze3z83_1079:
						if ((BgL_weightz00_31 < (long) CINT(CDR(CAR(BgL_ulistz00_1078)))))
							{	/* Ast/unit.scm 156 */
								{	/* Ast/unit.scm 157 */
									obj_t BgL_arg3834z00_1081;

									BgL_arg3834z00_1081 =
										MAKE_PAIR(CAR(BgL_ulistz00_1078), CDR(BgL_ulistz00_1078));
									SET_CDR(BgL_ulistz00_1078, BgL_arg3834z00_1081);
								}
								{	/* Ast/unit.scm 158 */
									obj_t BgL_arg3837z00_1084;

									BgL_arg3837z00_1084 =
										MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
									return SET_CAR(BgL_ulistz00_1078, BgL_arg3837z00_1084);
								}
							}
						else
							{	/* Ast/unit.scm 156 */
								if (NULLP(CDR(BgL_ulistz00_1078)))
									{	/* Ast/unit.scm 160 */
										obj_t BgL_arg3839z00_1086;

										{	/* Ast/unit.scm 160 */
											obj_t BgL_arg3840z00_1087;

											BgL_arg3840z00_1087 =
												MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
											{	/* Ast/unit.scm 160 */
												obj_t BgL_list3841z00_1088;

												BgL_list3841z00_1088 =
													MAKE_PAIR(BgL_arg3840z00_1087, BNIL);
												BgL_arg3839z00_1086 = BgL_list3841z00_1088;
											}
										}
										return SET_CDR(BgL_ulistz00_1078, BgL_arg3839z00_1086);
									}
								else
									{
										obj_t BgL_ulistz00_4524;

										BgL_ulistz00_4524 = CDR(BgL_ulistz00_1078);
										BgL_ulistz00_1078 = BgL_ulistz00_4524;
										goto BgL_zc3anonymousza33832ze3z83_1079;
									}
							}
					}
			}
		}
	}



/* unit-initializer-id */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t
		BgL_idz00_32)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 167 */
			{	/* Ast/unit.scm 168 */
				obj_t BgL_arg3849z00_1097;

				{	/* Ast/unit.scm 168 */
					obj_t BgL_arg3850z00_1098;
					obj_t BgL_arg3851z00_1099;

					{	/* Ast/unit.scm 168 */
						obj_t BgL_res4884z00_3084;

						{	/* Ast/unit.scm 168 */
							obj_t BgL_symbolz00_3082;

							BgL_symbolz00_3082 = BgL_idz00_32;
							{	/* Ast/unit.scm 168 */
								obj_t BgL_arg2069z00_3083;

								BgL_arg2069z00_3083 = SYMBOL_TO_STRING(BgL_symbolz00_3082);
								BgL_res4884z00_3084 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg2069z00_3083);
							}
						}
						BgL_arg3850z00_1098 = BgL_res4884z00_3084;
					}
					{	/* Ast/unit.scm 168 */
						obj_t BgL_res4885z00_3087;

						{	/* Ast/unit.scm 168 */
							obj_t BgL_symbolz00_3085;

							BgL_symbolz00_3085 = CNST_TABLE_REF(((long) 9));
							{	/* Ast/unit.scm 168 */
								obj_t BgL_arg2069z00_3086;

								BgL_arg2069z00_3086 = SYMBOL_TO_STRING(BgL_symbolz00_3085);
								BgL_res4885z00_3087 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg2069z00_3086);
						}}
						BgL_arg3851z00_1099 = BgL_res4885z00_3087;
					}
					BgL_arg3849z00_1097 =
						string_append(BgL_arg3850z00_1098, BgL_arg3851z00_1099);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg3849z00_1097));
			}
		}
	}



/* &unit-initializer-id */
	obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t BgL_envz00_4163,
		obj_t BgL_idz00_4164)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 167 */
			return BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_4164);
		}
	}



/* unit-require-init-id */
	obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t BgL_idz00_33)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 173 */
			{	/* Ast/unit.scm 174 */
				obj_t BgL_arg3852z00_1100;

				{	/* Ast/unit.scm 174 */
					obj_t BgL_arg3853z00_1101;
					obj_t BgL_arg3854z00_1102;

					{	/* Ast/unit.scm 174 */
						obj_t BgL_res4887z00_3092;

						{	/* Ast/unit.scm 174 */
							obj_t BgL_symbolz00_3090;

							BgL_symbolz00_3090 = BgL_idz00_33;
							{	/* Ast/unit.scm 174 */
								obj_t BgL_arg2069z00_3091;

								BgL_arg2069z00_3091 = SYMBOL_TO_STRING(BgL_symbolz00_3090);
								BgL_res4887z00_3092 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg2069z00_3091);
							}
						}
						BgL_arg3853z00_1101 = BgL_res4887z00_3092;
					}
					{	/* Ast/unit.scm 174 */
						obj_t BgL_res4888z00_3095;

						{	/* Ast/unit.scm 174 */
							obj_t BgL_symbolz00_3093;

							BgL_symbolz00_3093 = CNST_TABLE_REF(((long) 10));
							{	/* Ast/unit.scm 174 */
								obj_t BgL_arg2069z00_3094;

								BgL_arg2069z00_3094 = SYMBOL_TO_STRING(BgL_symbolz00_3093);
								BgL_res4888z00_3095 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg2069z00_3094);
						}}
						BgL_arg3854z00_1102 = BgL_res4888z00_3095;
					}
					BgL_arg3852z00_1100 =
						string_append(BgL_arg3853z00_1101, BgL_arg3854z00_1102);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg3852z00_1100));
			}
		}
	}



/* unit-initializers */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7ersz75zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 179 */
			{	/* Ast/unit.scm 180 */
				obj_t BgL_l3671z00_1103;

				BgL_l3671z00_1103 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l3671z00_1103))
					{	/* Ast/unit.scm 180 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 180 */
						obj_t BgL_head3673z00_1105;

						{	/* Ast/unit.scm 180 */
							obj_t BgL_res4891z00_3102;

							BgL_res4891z00_3102 = MAKE_PAIR(BNIL, BNIL);
							BgL_head3673z00_1105 = BgL_res4891z00_3102;
						}
						{
							obj_t BgL_l3671z00_1107;
							obj_t BgL_tail3674z00_1108;

							BgL_l3671z00_1107 = BgL_l3671z00_1103;
							BgL_tail3674z00_1108 = BgL_head3673z00_1105;
						BgL_zc3anonymousza33856ze3z83_1109:
							if (NULLP(BgL_l3671z00_1107))
								{	/* Ast/unit.scm 180 */
									return CDR(BgL_head3673z00_1105);
								}
							else
								{	/* Ast/unit.scm 180 */
									obj_t BgL_newtail3675z00_1111;

									{	/* Ast/unit.scm 180 */
										obj_t BgL_arg3859z00_1113;

										{	/* Ast/unit.scm 180 */
											obj_t BgL_unitz00_1114;

											BgL_unitz00_1114 = CAR(BgL_l3671z00_1107);
											{	/* Ast/unit.scm 181 */
												obj_t BgL_arg3860z00_1115;

												BgL_arg3860z00_1115 =
													BGl_unitzd2initializa7erzd2idza7zzast_unitz00(CAR
													(BgL_unitz00_1114));
												BgL_arg3859z00_1113 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg3860z00_1115,
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
										}
										{	/* Ast/unit.scm 180 */
											obj_t BgL_res4893z00_3110;

											BgL_res4893z00_3110 =
												MAKE_PAIR(BgL_arg3859z00_1113, BNIL);
											BgL_newtail3675z00_1111 = BgL_res4893z00_3110;
										}
									}
									SET_CDR(BgL_tail3674z00_1108, BgL_newtail3675z00_1111);
									{
										obj_t BgL_tail3674z00_4557;
										obj_t BgL_l3671z00_4555;

										BgL_l3671z00_4555 = CDR(BgL_l3671z00_1107);
										BgL_tail3674z00_4557 = BgL_newtail3675z00_1111;
										BgL_tail3674z00_1108 = BgL_tail3674z00_4557;
										BgL_l3671z00_1107 = BgL_l3671z00_4555;
										goto BgL_zc3anonymousza33856ze3z83_1109;
									}
								}
						}
					}
			}
		}
	}



/* &unit-initializers */
	obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t BgL_envz00_4165)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 179 */
			return BGl_unitzd2initializa7ersz75zzast_unitz00();
		}
	}



/* unit-init-calls */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initzd2callsz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 187 */
			{	/* Ast/unit.scm 188 */
				obj_t BgL_l3676z00_1118;

				BgL_l3676z00_1118 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l3676z00_1118))
					{	/* Ast/unit.scm 188 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 188 */
						obj_t BgL_head3678z00_1120;

						{	/* Ast/unit.scm 188 */
							obj_t BgL_res4895z00_3118;

							BgL_res4895z00_3118 = MAKE_PAIR(BNIL, BNIL);
							BgL_head3678z00_1120 = BgL_res4895z00_3118;
						}
						{
							obj_t BgL_l3676z00_1122;
							obj_t BgL_tail3679z00_1123;

							BgL_l3676z00_1122 = BgL_l3676z00_1118;
							BgL_tail3679z00_1123 = BgL_head3678z00_1120;
						BgL_zc3anonymousza33863ze3z83_1124:
							if (NULLP(BgL_l3676z00_1122))
								{	/* Ast/unit.scm 188 */
									return CDR(BgL_head3678z00_1120);
								}
							else
								{	/* Ast/unit.scm 188 */
									obj_t BgL_newtail3680z00_1126;

									{	/* Ast/unit.scm 188 */
										obj_t BgL_arg3866z00_1128;

										{	/* Ast/unit.scm 188 */
											obj_t BgL_unitz00_1129;

											BgL_unitz00_1129 = CAR(BgL_l3676z00_1122);
											{	/* Ast/unit.scm 188 */
												obj_t BgL_arg3867z00_1130;

												{	/* Ast/unit.scm 188 */
													obj_t BgL_arg3868z00_1131;

													{	/* Ast/unit.scm 188 */
														obj_t BgL_arg3869z00_1132;
														obj_t BgL_arg3870z00_1133;

														BgL_arg3869z00_1132 =
															BGl_unitzd2initializa7erzd2idza7zzast_unitz00(CAR
															(BgL_unitz00_1129));
														BgL_arg3870z00_1133 =
															MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
															BNIL);
														BgL_arg3868z00_1131 =
															MAKE_PAIR(BgL_arg3869z00_1132,
															BgL_arg3870z00_1133);
													}
													BgL_arg3867z00_1130 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
														BgL_arg3868z00_1131);
												}
												BgL_arg3866z00_1128 =
													MAKE_PAIR(BgL_arg3867z00_1130, BNIL);
										}}
										{	/* Ast/unit.scm 188 */
											obj_t BgL_res4897z00_3126;

											BgL_res4897z00_3126 =
												MAKE_PAIR(BgL_arg3866z00_1128, BNIL);
											BgL_newtail3680z00_1126 = BgL_res4897z00_3126;
									}}
									SET_CDR(BgL_tail3679z00_1123, BgL_newtail3680z00_1126);
									{
										obj_t BgL_tail3679z00_4577;
										obj_t BgL_l3676z00_4575;

										BgL_l3676z00_4575 = CDR(BgL_l3676z00_1122);
										BgL_tail3679z00_4577 = BgL_newtail3680z00_1126;
										BgL_tail3679z00_1123 = BgL_tail3679z00_4577;
										BgL_l3676z00_1122 = BgL_l3676z00_4575;
										goto BgL_zc3anonymousza33863ze3z83_1124;
									}
								}
						}
					}
			}
		}
	}



/* &unit-init-calls */
	obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t BgL_envz00_4166)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 187 */
			return BGl_unitzd2initzd2callsz00zzast_unitz00();
		}
	}



/* toplevel*->ast */
	obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t BgL_sexpza2za2_34,
		obj_t BgL_gdefsz00_35)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 194 */
			{
				obj_t BgL_sexpza2za2_1138;
				obj_t BgL_aexpza2za2_1139;

				BgL_sexpza2za2_1138 = BgL_sexpza2za2_34;
				BgL_aexpza2za2_1139 = BNIL;
			BgL_zc3anonymousza33872ze3z83_1140:
				if (NULLP(BgL_sexpza2za2_1138))
					{	/* Ast/unit.scm 197 */
						return bgl_reverse_bang(BgL_aexpza2za2_1139);
					}
				else
					{
						obj_t BgL_aexpza2za2_4584;
						obj_t BgL_sexpza2za2_4582;

						BgL_sexpza2za2_4582 = CDR(BgL_sexpza2za2_1138);
						BgL_aexpza2za2_4584 =
							BGl_appendzd221095zd2zzast_unitz00
							(BGl_toplevelzd2ze3astz31zzast_unitz00(CAR(BgL_sexpza2za2_1138),
								BgL_gdefsz00_35), BgL_aexpza2za2_1139);
						BgL_aexpza2za2_1139 = BgL_aexpza2za2_4584;
						BgL_sexpza2za2_1138 = BgL_sexpza2za2_4582;
						goto BgL_zc3anonymousza33872ze3z83_1140;
					}
			}
		}
	}



/* toplevel->ast */
	obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t BgL_sexpz00_36,
		obj_t BgL_gdefsz00_37)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 207 */
		BGl_toplevelzd2ze3astz31zzast_unitz00:
			{
				obj_t BgL_varz00_1164;
				obj_t BgL_var2z00_1165;
				obj_t BgL_modulez00_1166;
				obj_t BgL_varz00_1161;
				obj_t BgL_var2z00_1162;
				obj_t BgL_varz00_1154;
				obj_t BgL_argsz00_1155;
				obj_t BgL_expz00_1156;
				obj_t BgL_varz00_1150;
				obj_t BgL_argsz00_1151;
				obj_t BgL_expz00_1152;

				if (PAIRP(BgL_sexpz00_36))
					{	/* Ast/unit.scm 208 */
						if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 2))))
							{	/* Ast/unit.scm 208 */
								if (NULLP(CDR(BgL_sexpz00_36)))
									{	/* Ast/unit.scm 208 */
										{	/* Ast/unit.scm 210 */
											obj_t BgL_list4049z00_1446;

											BgL_list4049z00_1446 = MAKE_PAIR(BgL_sexpz00_36, BNIL);
											return BgL_list4049z00_1446;
										}
									}
								else
									{	/* Ast/unit.scm 208 */
										obj_t BgL_arg3881z00_1198;

										BgL_arg3881z00_1198 = CDR(BgL_sexpz00_36);
										return
											bgl_reverse_bang(BGl_toplevelza2zd2ze3astz93zzast_unitz00
											(BgL_arg3881z00_1198, BgL_gdefsz00_37));
									}
							}
						else
							{	/* Ast/unit.scm 208 */
								obj_t BgL_cdrzd21700zd2_1200;

								BgL_cdrzd21700zd2_1200 = CDR(BgL_sexpz00_36);
								if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 14))))
									{	/* Ast/unit.scm 208 */
										if (PAIRP(BgL_cdrzd21700zd2_1200))
											{	/* Ast/unit.scm 208 */
												obj_t BgL_carzd21704zd2_1203;

												BgL_carzd21704zd2_1203 = CAR(BgL_cdrzd21700zd2_1200);
												if (PAIRP(BgL_carzd21704zd2_1203))
													{	/* Ast/unit.scm 208 */
														BgL_varz00_1150 = CAR(BgL_carzd21704zd2_1203);
														BgL_argsz00_1151 = CDR(BgL_carzd21704zd2_1203);
														BgL_expz00_1152 = CDR(BgL_cdrzd21700zd2_1200);
														{	/* Ast/unit.scm 214 */
															obj_t BgL_idz00_1448;

															BgL_idz00_1448 =
																BGl_idzd2ofzd2idz00zzast_identz00
																(BgL_varz00_1150,
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_sexpz00_36));
															{	/* Ast/unit.scm 214 */
																obj_t BgL_defz00_1449;

																BgL_defz00_1449 =
																	BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_1448, BgL_gdefsz00_37);
																{	/* Ast/unit.scm 215 */
																	obj_t BgL_globalz00_1450;

																	BgL_globalz00_1450 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_1448,
																		BGl_za2moduleza2z00zzmodule_modulez00);
																	{	/* Ast/unit.scm 216 */

																		{	/* Ast/unit.scm 224 */
																			bool_t BgL_testz00_4615;

																			if (PAIRP(BgL_defz00_1449))
																				{	/* Ast/unit.scm 224 */
																					if (
																						(CAR(CDR(BgL_defz00_1449)) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/unit.scm 226 */
																							bool_t BgL__ortest_3661z00_1463;

																							if (BGl_iszd2azf3z21zz__objectz00
																								(BgL_globalz00_1450,
																									BGl_globalz00zzast_varz00))
																								{	/* Ast/unit.scm 226 */
																									BgL__ortest_3661z00_1463 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Ast/unit.scm 226 */
																									BgL__ortest_3661z00_1463 =
																										((bool_t) 1);
																								}
																							if (BgL__ortest_3661z00_1463)
																								{	/* Ast/unit.scm 226 */
																									BgL_testz00_4615 =
																										BgL__ortest_3661z00_1463;
																								}
																							else
																								{	/* Ast/unit.scm 227 */
																									obj_t BgL_auxz00_4626;

																									{	/* Ast/unit.scm 227 */
																										BgL_variablez00_bglt
																											BgL_obj1615z00_3143;
																										BgL_obj1615z00_3143 =
																											((BgL_variablez00_bglt)
																											BgL_globalz00_1450);
																										BgL_auxz00_4626 =
																											(((BgL_variablez00_bglt)
																												CREF(((obj_t)
																														BgL_obj1615z00_3143)))->
																											BgL_accessz00);
																									}
																									BgL_testz00_4615 =
																										(BgL_auxz00_4626 ==
																										CNST_TABLE_REF(((long)
																												11)));
																						}}
																					else
																						{	/* Ast/unit.scm 225 */
																							BgL_testz00_4615 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/unit.scm 224 */
																					BgL_testz00_4615 = ((bool_t) 1);
																				}
																			if (BgL_testz00_4615)
																				{	/* Ast/unit.scm 234 */
																					obj_t BgL_arg4052z00_1452;

																					{	/* Ast/unit.scm 234 */
																						obj_t BgL_arg4053z00_1453;

																						{	/* Ast/unit.scm 234 */
																							obj_t BgL_arg4054z00_1454;

																							{	/* Ast/unit.scm 234 */
																								obj_t BgL_pairz00_3144;

																								BgL_pairz00_3144 =
																									BgL_sexpz00_36;
																								BgL_arg4054z00_1454 =
																									CDR(CDR(BgL_pairz00_3144));
																							}
																							BgL_arg4053z00_1453 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg4054z00_1454);
																						}
																						BgL_arg4052z00_1452 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_expz00_1152, BgL_sexpz00_36,
																							BgL_arg4053z00_1453);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_varz00_1150,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_argsz00_1151,
																						BgL_arg4052z00_1452, BgL_sexpz00_36,
																						CNST_TABLE_REF(((long) 12)));
																				}
																			else
																				{	/* Ast/unit.scm 237 */
																					obj_t BgL_newzd2sexpzd2_1455;

																					{	/* Ast/unit.scm 237 */
																						obj_t BgL_arg4055z00_1456;

																						{	/* Ast/unit.scm 237 */
																							obj_t BgL_arg4056z00_1457;

																							{	/* Ast/unit.scm 237 */
																								obj_t BgL_arg4057z00_1458;

																								{	/* Ast/unit.scm 237 */
																									obj_t BgL_arg4058z00_1459;

																									BgL_arg4058z00_1459 =
																										MAKE_PAIR(BgL_argsz00_1151,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_expz00_1152, BNIL));
																									BgL_arg4057z00_1458 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 13)),
																										BgL_arg4058z00_1459);
																								}
																								BgL_arg4056z00_1457 =
																									MAKE_PAIR(BgL_arg4057z00_1458,
																									BNIL);
																							}
																							BgL_arg4055z00_1456 =
																								MAKE_PAIR(BgL_varz00_1150,
																								BgL_arg4056z00_1457);
																						}
																						BgL_newzd2sexpzd2_1455 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									1)), BgL_arg4055z00_1456);
																					}
																					BGl_replacez12z12zztools_miscz00
																						(BgL_sexpz00_36,
																						BgL_newzd2sexpzd2_1455);
																					return
																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																						(BgL_varz00_1150, BgL_sexpz00_36);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/unit.scm 208 */
														obj_t BgL_cdrzd21728zd2_1209;

														BgL_cdrzd21728zd2_1209 =
															CDR(BgL_cdrzd21700zd2_1200);
														if (PAIRP(BgL_cdrzd21728zd2_1209))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd21732zd2_1211;

																BgL_carzd21732zd2_1211 =
																	CAR(BgL_cdrzd21728zd2_1209);
																if (PAIRP(BgL_carzd21732zd2_1211))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21737zd2_1213;

																		BgL_cdrzd21737zd2_1213 =
																			CDR(BgL_carzd21732zd2_1211);
																		if (
																			(CAR(BgL_carzd21732zd2_1211) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/unit.scm 208 */
																				if (PAIRP(BgL_cdrzd21737zd2_1213))
																					{	/* Ast/unit.scm 208 */
																						if (NULLP(CDR
																								(BgL_cdrzd21728zd2_1209)))
																							{	/* Ast/unit.scm 208 */
																								BgL_varz00_1154 =
																									CAR(BgL_cdrzd21700zd2_1200);
																								BgL_argsz00_1155 =
																									CAR(BgL_cdrzd21737zd2_1213);
																								BgL_expz00_1156 =
																									CDR(BgL_cdrzd21737zd2_1213);
																								{	/* Ast/unit.scm 241 */
																									obj_t BgL_idz00_1469;

																									BgL_idz00_1469 =
																										BGl_idzd2ofzd2idz00zzast_identz00
																										(BgL_varz00_1154,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sexpz00_36));
																									{	/* Ast/unit.scm 241 */
																										obj_t BgL_defz00_1470;

																										BgL_defz00_1470 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_1469,
																											BgL_gdefsz00_37);
																										{	/* Ast/unit.scm 242 */
																											obj_t BgL_globalz00_1471;

																											BgL_globalz00_1471 =
																												BGl_findzd2globalzf2modulez20zzast_envz00
																												(BgL_idz00_1469,
																												BGl_za2moduleza2z00zzmodule_modulez00);
																											{	/* Ast/unit.scm 243 */

																												{	/* Ast/unit.scm 245 */
																													bool_t
																														BgL_testz00_4671;
																													if ((CAR(CDR
																																(BgL_defz00_1470))
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Ast/unit.scm 246 */
																															bool_t
																																BgL__ortest_3662z00_1477;
																															if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1471, BGl_globalz00zzast_varz00))
																																{	/* Ast/unit.scm 246 */
																																	BgL__ortest_3662z00_1477
																																		=
																																		((bool_t)
																																		0);
																																}
																															else
																																{	/* Ast/unit.scm 246 */
																																	BgL__ortest_3662z00_1477
																																		=
																																		((bool_t)
																																		1);
																																}
																															if (BgL__ortest_3662z00_1477)
																																{	/* Ast/unit.scm 246 */
																																	BgL_testz00_4671
																																		=
																																		BgL__ortest_3662z00_1477;
																																}
																															else
																																{	/* Ast/unit.scm 247 */
																																	obj_t
																																		BgL_auxz00_4680;
																																	{	/* Ast/unit.scm 247 */
																																		BgL_variablez00_bglt
																																			BgL_obj1615z00_3152;
																																		BgL_obj1615z00_3152
																																			=
																																			(
																																			(BgL_variablez00_bglt)
																																			BgL_globalz00_1471);
																																		BgL_auxz00_4680
																																			=
																																			(((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1615z00_3152)))->BgL_accessz00);
																																	}
																																	BgL_testz00_4671
																																		=
																																		(BgL_auxz00_4680
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				11)));
																														}}
																													else
																														{	/* Ast/unit.scm 245 */
																															BgL_testz00_4671 =
																																((bool_t) 0);
																														}
																													if (BgL_testz00_4671)
																														{	/* Ast/unit.scm 254 */
																															obj_t
																																BgL_arg4067z00_1473;
																															{	/* Ast/unit.scm 254 */
																																obj_t
																																	BgL_arg4068z00_1474;
																																{	/* Ast/unit.scm 254 */
																																	obj_t
																																		BgL_arg4069z00_1475;
																																	{	/* Ast/unit.scm 254 */
																																		obj_t
																																			BgL_pairz00_3153;
																																		BgL_pairz00_3153
																																			=
																																			BgL_sexpz00_36;
																																		BgL_arg4069z00_1475
																																			=
																																			CDR(CDR
																																			(BgL_pairz00_3153));
																																	}
																																	BgL_arg4068z00_1474
																																		=
																																		BGl_findzd2locationzd2zztools_locationz00
																																		(BgL_arg4069z00_1475);
																																}
																																BgL_arg4067z00_1473
																																	=
																																	BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																	(BgL_expz00_1156,
																																	BgL_sexpz00_36,
																																	BgL_arg4068z00_1474);
																															}
																															return
																																BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																(BgL_varz00_1154,
																																BGl_za2moduleza2z00zzmodule_modulez00,
																																BgL_argsz00_1155,
																																BgL_arg4067z00_1473,
																																BgL_sexpz00_36,
																																CNST_TABLE_REF((
																																		(long)
																																		12)));
																														}
																													else
																														{	/* Ast/unit.scm 245 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1154,
																																BgL_sexpz00_36);
																														}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd21778zd2_1220;

																								BgL_cdrzd21778zd2_1220 =
																									CDR(BgL_sexpz00_36);
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(CAR(BgL_cdrzd21778zd2_1220),
																									BgL_sexpz00_36);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd21805zd2_1224;

																						BgL_cdrzd21805zd2_1224 =
																							CDR(BgL_sexpz00_36);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_cdrzd21810zd2_1225;

																							BgL_cdrzd21810zd2_1225 =
																								CDR(BgL_cdrzd21805zd2_1224);
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_carzd21814zd2_1226;

																								BgL_carzd21814zd2_1226 =
																									CAR(BgL_cdrzd21810zd2_1225);
																								if (SYMBOLP
																									(BgL_carzd21814zd2_1226))
																									{	/* Ast/unit.scm 208 */
																										if (NULLP(CDR
																												(BgL_cdrzd21810zd2_1225)))
																											{	/* Ast/unit.scm 208 */
																												BgL_varz00_1161 =
																													CAR
																													(BgL_cdrzd21805zd2_1224);
																												BgL_var2z00_1162 =
																													BgL_carzd21814zd2_1226;
																											BgL_tagzd21652zd2_1163:
																												{	/* Ast/unit.scm 262 */
																													obj_t BgL_defz00_1484;

																													BgL_defz00_1484 =
																														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																														(BGl_idzd2ofzd2idz00zzast_identz00
																														(BgL_varz00_1161,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sexpz00_36)),
																														BgL_gdefsz00_37);
																													if ((CAR(CDR
																																(BgL_defz00_1484))
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Ast/unit.scm 264 */
																															obj_t
																																BgL_gz00_1486;
																															BgL_gz00_1486 =
																																BGl_findzd2globalzd2zzast_envz00
																																(BgL_var2z00_1162,
																																BNIL);
																															{	/* Ast/unit.scm 264 */
																																obj_t
																																	BgL_arityz00_1487;
																																if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1486, BGl_globalz00zzast_varz00))
																																	{	/* Ast/unit.scm 266 */
																																		bool_t
																																			BgL_testz00_4718;
																																		{	/* Ast/unit.scm 266 */
																																			BgL_valuez00_bglt
																																				BgL_arg4082z00_1495;
																																			{	/* Ast/unit.scm 266 */
																																				BgL_variablez00_bglt
																																					BgL_obj1612z00_3168;
																																				BgL_obj1612z00_3168
																																					=
																																					(
																																					(BgL_variablez00_bglt)
																																					((BgL_globalz00_bglt) BgL_gz00_1486));
																																				BgL_arg4082z00_1495
																																					=
																																					(((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1612z00_3168)))->BgL_valuez00);
																																			}
																																			{	/* Ast/unit.scm 266 */
																																				bool_t
																																					BgL_res4904z00_3170;
																																				{	/* Ast/unit.scm 266 */
																																					obj_t
																																						BgL_obj1897z00_3169;
																																					BgL_obj1897z00_3169
																																						=
																																						(
																																						(obj_t)
																																						BgL_arg4082z00_1495);
																																					BgL_res4904z00_3170
																																						=
																																						BGl_iszd2azf3z21zz__objectz00
																																						(BgL_obj1897z00_3169,
																																						BGl_funz00zzast_varz00);
																																				}
																																				BgL_testz00_4718
																																					=
																																					BgL_res4904z00_3170;
																																			}
																																		}
																																		if (BgL_testz00_4718)
																																			{	/* Ast/unit.scm 267 */
																																				BgL_funz00_bglt
																																					BgL_obj1854z00_3172;
																																				{	/* Ast/unit.scm 267 */
																																					BgL_variablez00_bglt
																																						BgL_obj1612z00_3171;
																																					BgL_obj1612z00_3171
																																						=
																																						(
																																						(BgL_variablez00_bglt)
																																						((BgL_globalz00_bglt) BgL_gz00_1486));
																																					BgL_obj1854z00_3172
																																						=
																																						(
																																						(BgL_funz00_bglt)
																																						(((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1612z00_3171)))->BgL_valuez00));
																																				}
																																				BgL_arityz00_1487
																																					=
																																					BINT((
																																						((BgL_funz00_bglt) CREF(((obj_t) BgL_obj1854z00_3172)))->BgL_arityz00));
																																			}
																																		else
																																			{	/* Ast/unit.scm 266 */
																																				BgL_arityz00_1487
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 265 */
																																		BgL_arityz00_1487
																																			= BFALSE;
																																	}
																																{	/* Ast/unit.scm 265 */

																																	if (INTEGERP
																																		(BgL_arityz00_1487))
																																		{	/* Ast/unit.scm 268 */
																																			if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_1486))
																																				{	/* Ast/unit.scm 270 */
																																					BGl_userzd2warningzd2zztools_errorz00
																																						(BgL_varz00_1161,
																																						BGl_string5076z00zzast_unitz00,
																																						BgL_sexpz00_36);
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(BgL_varz00_1161,
																																						BgL_sexpz00_36);
																																				}
																																			else
																																				{	/* Ast/unit.scm 270 */
																																					if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_1486))
																																						{	/* Ast/unit.scm 275 */
																																							BGl_userzd2warningzd2zztools_errorz00
																																								(BgL_varz00_1161,
																																								BGl_string5077z00zzast_unitz00,
																																								BgL_sexpz00_36);
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(BgL_varz00_1161,
																																								BgL_sexpz00_36);
																																						}
																																					else
																																						{
																																							obj_t
																																								BgL_sexpz00_4743;
																																							BgL_sexpz00_4743
																																								=
																																								BGl_etazd2expansezd2zzast_unitz00
																																								(BgL_sexpz00_36,
																																								BgL_arityz00_1487);
																																							BgL_sexpz00_36
																																								=
																																								BgL_sexpz00_4743;
																																							goto
																																								BGl_toplevelzd2ze3astz31zzast_unitz00;
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 268 */
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(BgL_varz00_1161,
																																				BgL_sexpz00_36);
																																		}
																																}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 263 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1161,
																																BgL_sexpz00_36);
																														}
																												}
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												return
																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																													(CAR
																													(BgL_cdrzd21805zd2_1224),
																													BgL_sexpz00_36);
																											}
																									}
																								else
																									{	/* Ast/unit.scm 208 */
																										return
																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																											(CAR
																											(BgL_cdrzd21805zd2_1224),
																											BgL_sexpz00_36);
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd21881zd2_1237;

																				BgL_cdrzd21881zd2_1237 =
																					CDR(BgL_sexpz00_36);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_cdrzd21886zd2_1238;

																					BgL_cdrzd21886zd2_1238 =
																						CDR(BgL_cdrzd21881zd2_1237);
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_carzd21890zd2_1239;

																						BgL_carzd21890zd2_1239 =
																							CAR(BgL_cdrzd21886zd2_1238);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_cdrzd21894zd2_1240;

																							BgL_cdrzd21894zd2_1240 =
																								CDR(BgL_carzd21890zd2_1239);
																							if (
																								(CAR(BgL_carzd21890zd2_1239) ==
																									CNST_TABLE_REF(((long) 2))))
																								{	/* Ast/unit.scm 208 */
																									if (PAIRP
																										(BgL_cdrzd21894zd2_1240))
																										{	/* Ast/unit.scm 208 */
																											if (NULLP(CDR
																													(BgL_cdrzd21894zd2_1240)))
																												{	/* Ast/unit.scm 208 */
																													if (NULLP(CDR
																															(BgL_cdrzd21886zd2_1238)))
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg3913z00_1246;
																															BgL_arg3913z00_1246
																																=
																																CAR
																																(BgL_cdrzd21894zd2_1240);
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_arg4076z00_3287;
																																{	/* Ast/unit.scm 208 */
																																	obj_t
																																		BgL_pairz00_3288;
																																	BgL_pairz00_3288
																																		=
																																		BgL_sexpz00_36;
																																	BgL_arg4076z00_3287
																																		=
																																		CDR(CDR
																																		(BgL_pairz00_3288));
																																}
																																SET_CAR
																																	(BgL_arg4076z00_3287,
																																	BgL_arg3913z00_1246);
																															}
																															{

																																goto
																																	BGl_toplevelzd2ze3astz31zzast_unitz00;
																															}
																														}
																													else
																														{	/* Ast/unit.scm 208 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(CAR
																																(BgL_cdrzd21881zd2_1237),
																																BgL_sexpz00_36);
																														}
																												}
																											else
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_cdrzd21947zd2_1252;
																													BgL_cdrzd21947zd2_1252
																														=
																														CDR
																														(BgL_cdrzd21881zd2_1237);
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_carzd21951zd2_1253;
																														BgL_carzd21951zd2_1253
																															=
																															CAR
																															(BgL_cdrzd21947zd2_1252);
																														if (SYMBOLP
																															(BgL_carzd21951zd2_1253))
																															{	/* Ast/unit.scm 208 */
																																if (NULLP(CDR
																																		(BgL_cdrzd21947zd2_1252)))
																																	{
																																		obj_t
																																			BgL_var2z00_4783;
																																		obj_t
																																			BgL_varz00_4781;
																																		BgL_varz00_4781
																																			=
																																			CAR
																																			(BgL_cdrzd21881zd2_1237);
																																		BgL_var2z00_4783
																																			=
																																			BgL_carzd21951zd2_1253;
																																		BgL_var2z00_1162
																																			=
																																			BgL_var2z00_4783;
																																		BgL_varz00_1161
																																			=
																																			BgL_varz00_4781;
																																		goto
																																			BgL_tagzd21652zd2_1163;
																																	}
																																else
																																	{	/* Ast/unit.scm 208 */
																																		obj_t
																																			BgL_cdrzd21973zd2_1257;
																																		BgL_cdrzd21973zd2_1257
																																			=
																																			CDR
																																			(BgL_sexpz00_36);
																																		return
																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																			(CAR
																																			(BgL_cdrzd21973zd2_1257),
																																			BgL_sexpz00_36);
																																	}
																															}
																														else
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_cdrzd21999zd2_1261;
																																BgL_cdrzd21999zd2_1261
																																	=
																																	CDR
																																	(BgL_sexpz00_36);
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(CAR
																																	(BgL_cdrzd21999zd2_1261),
																																	BgL_sexpz00_36);
																															}
																													}
																												}
																										}
																									else
																										{	/* Ast/unit.scm 208 */
																											obj_t
																												BgL_cdrzd22022zd2_1266;
																											BgL_cdrzd22022zd2_1266 =
																												CDR
																												(BgL_cdrzd21881zd2_1237);
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_carzd22026zd2_1267;
																												BgL_carzd22026zd2_1267 =
																													CAR
																													(BgL_cdrzd22022zd2_1266);
																												if (SYMBOLP
																													(BgL_carzd22026zd2_1267))
																													{	/* Ast/unit.scm 208 */
																														if (NULLP(CDR
																																(BgL_cdrzd22022zd2_1266)))
																															{
																																obj_t
																																	BgL_var2z00_4799;
																																obj_t
																																	BgL_varz00_4797;
																																BgL_varz00_4797
																																	=
																																	CAR
																																	(BgL_cdrzd21881zd2_1237);
																																BgL_var2z00_4799
																																	=
																																	BgL_carzd22026zd2_1267;
																																BgL_var2z00_1162
																																	=
																																	BgL_var2z00_4799;
																																BgL_varz00_1161
																																	=
																																	BgL_varz00_4797;
																																goto
																																	BgL_tagzd21652zd2_1163;
																															}
																														else
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_cdrzd22048zd2_1271;
																																BgL_cdrzd22048zd2_1271
																																	=
																																	CDR
																																	(BgL_sexpz00_36);
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(CAR
																																	(BgL_cdrzd22048zd2_1271),
																																	BgL_sexpz00_36);
																															}
																													}
																												else
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_cdrzd22074zd2_1275;
																														BgL_cdrzd22074zd2_1275
																															=
																															CDR
																															(BgL_sexpz00_36);
																														return
																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																															(CAR
																															(BgL_cdrzd22074zd2_1275),
																															BgL_sexpz00_36);
																													}
																											}
																										}
																								}
																							else
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_cdrzd22097zd2_1279;

																									BgL_cdrzd22097zd2_1279 =
																										CDR(BgL_cdrzd21881zd2_1237);
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_carzd22101zd2_1280;
																										BgL_carzd22101zd2_1280 =
																											CAR
																											(BgL_cdrzd22097zd2_1279);
																										if (SYMBOLP
																											(BgL_carzd22101zd2_1280))
																											{	/* Ast/unit.scm 208 */
																												if (NULLP(CDR
																														(BgL_cdrzd22097zd2_1279)))
																													{
																														obj_t
																															BgL_var2z00_4815;
																														obj_t
																															BgL_varz00_4813;
																														BgL_varz00_4813 =
																															CAR
																															(BgL_cdrzd21881zd2_1237);
																														BgL_var2z00_4815 =
																															BgL_carzd22101zd2_1280;
																														BgL_var2z00_1162 =
																															BgL_var2z00_4815;
																														BgL_varz00_1161 =
																															BgL_varz00_4813;
																														goto
																															BgL_tagzd21652zd2_1163;
																													}
																												else
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_cdrzd22123zd2_1284;
																														BgL_cdrzd22123zd2_1284
																															=
																															CDR
																															(BgL_sexpz00_36);
																														return
																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																															(CAR
																															(BgL_cdrzd22123zd2_1284),
																															BgL_sexpz00_36);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_cdrzd22142zd2_1288;
																												BgL_cdrzd22142zd2_1288 =
																													CDR(BgL_sexpz00_36);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_cdrzd22148zd2_1289;
																													BgL_cdrzd22148zd2_1289
																														=
																														CDR
																														(BgL_cdrzd22142zd2_1288);
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_carzd22153zd2_1290;
																														BgL_carzd22153zd2_1290
																															=
																															CAR
																															(BgL_cdrzd22148zd2_1289);
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_cdrzd22158zd2_1291;
																															BgL_cdrzd22158zd2_1291
																																=
																																CDR
																																(BgL_carzd22153zd2_1290);
																															if ((CAR
																																	(BgL_carzd22153zd2_1290)
																																	==
																																	CNST_TABLE_REF
																																	(((long) 0))))
																																{	/* Ast/unit.scm 208 */
																																	if (PAIRP
																																		(BgL_cdrzd22158zd2_1291))
																																		{	/* Ast/unit.scm 208 */
																																			obj_t
																																				BgL_carzd22161zd2_1294;
																																			obj_t
																																				BgL_cdrzd22162zd2_1295;
																																			BgL_carzd22161zd2_1294
																																				=
																																				CAR
																																				(BgL_cdrzd22158zd2_1291);
																																			BgL_cdrzd22162zd2_1295
																																				=
																																				CDR
																																				(BgL_cdrzd22158zd2_1291);
																																			if (SYMBOLP(BgL_carzd22161zd2_1294))
																																				{	/* Ast/unit.scm 208 */
																																					if (PAIRP(BgL_cdrzd22162zd2_1295))
																																						{	/* Ast/unit.scm 208 */
																																							obj_t
																																								BgL_carzd22167zd2_1298;
																																							BgL_carzd22167zd2_1298
																																								=
																																								CAR
																																								(BgL_cdrzd22162zd2_1295);
																																							if (SYMBOLP(BgL_carzd22167zd2_1298))
																																								{	/* Ast/unit.scm 208 */
																																									if (NULLP(CDR(BgL_cdrzd22162zd2_1295)))
																																										{	/* Ast/unit.scm 208 */
																																											if (NULLP(CDR(BgL_cdrzd22148zd2_1289)))
																																												{	/* Ast/unit.scm 208 */
																																													BgL_varz00_1164
																																														=
																																														CAR
																																														(BgL_cdrzd22142zd2_1288);
																																													BgL_var2z00_1165
																																														=
																																														BgL_carzd22161zd2_1294;
																																													BgL_modulez00_1166
																																														=
																																														BgL_carzd22167zd2_1298;
																																													{	/* Ast/unit.scm 286 */
																																														obj_t
																																															BgL_defz00_1501;
																																														BgL_defz00_1501
																																															=
																																															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																															(BGl_idzd2ofzd2idz00zzast_identz00
																																															(BgL_varz00_1164,
																																																BGl_findzd2locationzd2zztools_locationz00
																																																(BgL_sexpz00_36)),
																																															BgL_gdefsz00_37);
																																														if ((CAR(CDR(BgL_defz00_1501)) == CNST_TABLE_REF(((long) 11))))
																																															{	/* Ast/unit.scm 288 */
																																																obj_t
																																																	BgL_gz00_1503;
																																																BgL_gz00_1503
																																																	=
																																																	BGl_findzd2globalzf2modulez20zzast_envz00
																																																	(BgL_var2z00_1165,
																																																	BgL_modulez00_1166);
																																																{	/* Ast/unit.scm 288 */
																																																	obj_t
																																																		BgL_arityz00_1504;
																																																	if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1503, BGl_globalz00zzast_varz00))
																																																		{	/* Ast/unit.scm 290 */
																																																			bool_t
																																																				BgL_testz00_4855;
																																																			{	/* Ast/unit.scm 290 */
																																																				BgL_valuez00_bglt
																																																					BgL_arg4092z00_1511;
																																																				{	/* Ast/unit.scm 290 */
																																																					BgL_variablez00_bglt
																																																						BgL_obj1612z00_3179;
																																																					BgL_obj1612z00_3179
																																																						=
																																																						(
																																																						(BgL_variablez00_bglt)
																																																						((BgL_globalz00_bglt) BgL_gz00_1503));
																																																					BgL_arg4092z00_1511
																																																						=
																																																						(
																																																						((BgL_variablez00_bglt) CREF(((obj_t) BgL_obj1612z00_3179)))->BgL_valuez00);
																																																				}
																																																				{	/* Ast/unit.scm 290 */
																																																					bool_t
																																																						BgL_res4907z00_3181;
																																																					{	/* Ast/unit.scm 290 */
																																																						obj_t
																																																							BgL_obj1897z00_3180;
																																																						BgL_obj1897z00_3180
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg4092z00_1511);
																																																						BgL_res4907z00_3181
																																																							=
																																																							BGl_iszd2azf3z21zz__objectz00
																																																							(BgL_obj1897z00_3180,
																																																							BGl_funz00zzast_varz00);
																																																					}
																																																					BgL_testz00_4855
																																																						=
																																																						BgL_res4907z00_3181;
																																																				}
																																																			}
																																																			if (BgL_testz00_4855)
																																																				{	/* Ast/unit.scm 290 */
																																																					BgL_arityz00_1504
																																																						=
																																																						BINT
																																																						(BGl_globalzd2arityzd2zztools_argsz00
																																																						(BgL_gz00_1503));
																																																				}
																																																			else
																																																				{	/* Ast/unit.scm 290 */
																																																					BgL_arityz00_1504
																																																						=
																																																						BFALSE;
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 289 */
																																																			BgL_arityz00_1504
																																																				=
																																																				BFALSE;
																																																		}
																																																	{	/* Ast/unit.scm 289 */

																																																		if (INTEGERP(BgL_arityz00_1504))
																																																			{	/* Ast/unit.scm 292 */
																																																				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_1503))
																																																					{	/* Ast/unit.scm 294 */
																																																						BGl_userzd2warningzd2zztools_errorz00
																																																							(BgL_varz00_1164,
																																																							BGl_string5076z00zzast_unitz00,
																																																							BgL_sexpz00_36);
																																																						return
																																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																							(BgL_varz00_1164,
																																																							BgL_sexpz00_36);
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 294 */
																																																						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_1503))
																																																							{	/* Ast/unit.scm 299 */
																																																								BGl_userzd2warningzd2zztools_errorz00
																																																									(BgL_varz00_1164,
																																																									BGl_string5077z00zzast_unitz00,
																																																									BgL_sexpz00_36);
																																																								return
																																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																									(BgL_varz00_1164,
																																																									BgL_sexpz00_36);
																																																							}
																																																						else
																																																							{
																																																								obj_t
																																																									BgL_sexpz00_4874;
																																																								BgL_sexpz00_4874
																																																									=
																																																									BGl_etazd2expansezd2zzast_unitz00
																																																									(BgL_sexpz00_36,
																																																									BgL_arityz00_1504);
																																																								BgL_sexpz00_36
																																																									=
																																																									BgL_sexpz00_4874;
																																																								goto
																																																									BGl_toplevelzd2ze3astz31zzast_unitz00;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 292 */
																																																				return
																																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																					(BgL_varz00_1164,
																																																					BgL_sexpz00_36);
																																																			}
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 287 */
																																																return
																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																	(BgL_varz00_1164,
																																																	BgL_sexpz00_36);
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/unit.scm 208 */
																																													return
																																														BGl_makezd2svarzd2definitionz00zzast_unitz00
																																														(CAR
																																														(BgL_cdrzd22142zd2_1288),
																																														BgL_sexpz00_36);
																																												}
																																										}
																																									else
																																										{	/* Ast/unit.scm 208 */
																																											return
																																												BGl_makezd2svarzd2definitionz00zzast_unitz00
																																												(CAR
																																												(BgL_cdrzd22142zd2_1288),
																																												BgL_sexpz00_36);
																																										}
																																								}
																																							else
																																								{	/* Ast/unit.scm 208 */
																																									return
																																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																																										(CAR
																																										(BgL_cdrzd22142zd2_1288),
																																										BgL_sexpz00_36);
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 208 */
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(CAR
																																								(BgL_cdrzd22142zd2_1288),
																																								BgL_sexpz00_36);
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 208 */
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(CAR
																																						(BgL_cdrzd22142zd2_1288),
																																						BgL_sexpz00_36);
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 208 */
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(CAR
																																				(BgL_cdrzd22142zd2_1288),
																																				BgL_sexpz00_36);
																																		}
																																}
																															else
																																{	/* Ast/unit.scm 208 */
																																	return
																																		BGl_makezd2svarzd2definitionz00zzast_unitz00
																																		(CAR
																																		(BgL_cdrzd22142zd2_1288),
																																		BgL_sexpz00_36);
																																}
																														}
																													}
																												}
																											}
																									}
																								}
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd22309zd2_1329;

																		BgL_cdrzd22309zd2_1329 =
																			CDR(BgL_sexpz00_36);
																		{	/* Ast/unit.scm 208 */
																			obj_t BgL_cdrzd22314zd2_1330;

																			BgL_cdrzd22314zd2_1330 =
																				CDR(BgL_cdrzd22309zd2_1329);
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_carzd22318zd2_1331;

																				BgL_carzd22318zd2_1331 =
																					CAR(BgL_cdrzd22314zd2_1330);
																				if (SYMBOLP(BgL_carzd22318zd2_1331))
																					{	/* Ast/unit.scm 208 */
																						if (NULLP(CDR
																								(BgL_cdrzd22314zd2_1330)))
																							{
																								obj_t BgL_var2z00_4903;
																								obj_t BgL_varz00_4901;

																								BgL_varz00_4901 =
																									CAR(BgL_cdrzd22309zd2_1329);
																								BgL_var2z00_4903 =
																									BgL_carzd22318zd2_1331;
																								BgL_var2z00_1162 =
																									BgL_var2z00_4903;
																								BgL_varz00_1161 =
																									BgL_varz00_4901;
																								goto BgL_tagzd21652zd2_1163;
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(CAR(BgL_cdrzd22309zd2_1329),
																									BgL_sexpz00_36);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						return
																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																							(CAR(BgL_cdrzd22309zd2_1329),
																							BgL_sexpz00_36);
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																obj_t BgL_cdrzd22409zd2_1342;

																BgL_cdrzd22409zd2_1342 = CDR(BgL_sexpz00_36);
																return
																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																	(CAR(BgL_cdrzd22409zd2_1342), BgL_sexpz00_36);
															}
													}
											}
										else
											{	/* Ast/unit.scm 208 */
											BgL_tagzd21660zd2_1193:
												{	/* Ast/unit.scm 343 */
													obj_t BgL_list4110z00_1528;

													BgL_list4110z00_1528 =
														MAKE_PAIR(BgL_sexpz00_36, BNIL);
													return BgL_list4110z00_1528;
												}
											}
									}
								else
									{	/* Ast/unit.scm 208 */
										if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 15))))
											{	/* Ast/unit.scm 208 */
												if (PAIRP(BgL_cdrzd21700zd2_1200))
													{	/* Ast/unit.scm 208 */
														obj_t BgL_carzd22543zd2_1348;

														BgL_carzd22543zd2_1348 =
															CAR(BgL_cdrzd21700zd2_1200);
														if (PAIRP(BgL_carzd22543zd2_1348))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd22548zd2_1350;

																BgL_carzd22548zd2_1350 =
																	CAR(BgL_carzd22543zd2_1348);
																if (PAIRP(BgL_carzd22548zd2_1350))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd22553zd2_1352;

																		BgL_cdrzd22553zd2_1352 =
																			CDR(BgL_carzd22548zd2_1350);
																		if (
																			(CAR(BgL_carzd22548zd2_1350) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Ast/unit.scm 208 */
																				if (PAIRP(BgL_cdrzd22553zd2_1352))
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd22557zd2_1355;

																						BgL_cdrzd22557zd2_1355 =
																							CDR(BgL_cdrzd22553zd2_1352);
																						if (PAIRP(BgL_cdrzd22557zd2_1355))
																							{	/* Ast/unit.scm 208 */
																								if (NULLP(CDR
																										(BgL_cdrzd22557zd2_1355)))
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg3985z00_1358;
																										obj_t BgL_arg3986z00_1359;
																										obj_t BgL_arg3987z00_1360;
																										obj_t BgL_arg3988z00_1361;

																										BgL_arg3985z00_1358 =
																											CAR
																											(BgL_cdrzd22553zd2_1352);
																										BgL_arg3986z00_1359 =
																											CAR
																											(BgL_cdrzd22557zd2_1355);
																										BgL_arg3987z00_1360 =
																											CDR
																											(BgL_carzd22543zd2_1348);
																										BgL_arg3988z00_1361 =
																											CDR
																											(BgL_cdrzd21700zd2_1200);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg4098z00_3461;

																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg4099z00_3462;
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg4100z00_3463;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_pairz00_3464;
																														BgL_pairz00_3464 =
																															BgL_sexpz00_36;
																														BgL_arg4100z00_3463
																															=
																															CDR(CDR
																															(BgL_pairz00_3464));
																													}
																													BgL_arg4099z00_3462 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg4100z00_3463);
																												}
																												BgL_arg4098z00_3461 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_arg3988z00_1361,
																													BgL_sexpz00_36,
																													BgL_arg4099z00_3462);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg3985z00_1358,
																												BgL_arg3986z00_1359,
																												BgL_arg3987z00_1360,
																												BgL_arg4098z00_3461,
																												BgL_sexpz00_36,
																												CNST_TABLE_REF(((long)
																														16)));
																									}}
																								else
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_cdrzd22573zd2_1362;
																										BgL_cdrzd22573zd2_1362 =
																											CDR(BgL_sexpz00_36);
																										{	/* Ast/unit.scm 208 */
																											obj_t
																												BgL_carzd22577zd2_1363;
																											BgL_carzd22577zd2_1363 =
																												CAR
																												(BgL_cdrzd22573zd2_1362);
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg3989z00_1364;
																												obj_t
																													BgL_arg3990z00_1365;
																												obj_t
																													BgL_arg3991z00_1366;
																												BgL_arg3989z00_1364 =
																													CAR
																													(BgL_carzd22577zd2_1363);
																												BgL_arg3990z00_1365 =
																													CDR
																													(BgL_carzd22577zd2_1363);
																												BgL_arg3991z00_1366 =
																													CDR
																													(BgL_cdrzd22573zd2_1362);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg4101z00_3476;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_arg4102z00_3477;
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg4103z00_3478;
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_pairz00_3479;
																																BgL_pairz00_3479
																																	=
																																	BgL_sexpz00_36;
																																BgL_arg4103z00_3478
																																	=
																																	CDR(CDR
																																	(BgL_pairz00_3479));
																															}
																															BgL_arg4102z00_3477
																																=
																																BGl_findzd2locationzd2zztools_locationz00
																																(BgL_arg4103z00_3478);
																														}
																														BgL_arg4101z00_3476
																															=
																															BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																															(BgL_arg3991z00_1366,
																															BgL_sexpz00_36,
																															BgL_arg4102z00_3477);
																													}
																													return
																														BGl_makezd2sfunzd2definitionz00zzast_unitz00
																														(BgL_arg3989z00_1364,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg3990z00_1365,
																														BgL_arg4101z00_3476,
																														BgL_sexpz00_36,
																														CNST_TABLE_REF((
																																(long) 16)));
																							}}}}}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd22594zd2_1368;

																								BgL_cdrzd22594zd2_1368 =
																									CDR(BgL_sexpz00_36);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_carzd22598zd2_1369;

																									BgL_carzd22598zd2_1369 =
																										CAR(BgL_cdrzd22594zd2_1368);
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg3993z00_1370;
																										obj_t BgL_arg3994z00_1371;
																										obj_t BgL_arg3995z00_1372;

																										BgL_arg3993z00_1370 =
																											CAR
																											(BgL_carzd22598zd2_1369);
																										BgL_arg3994z00_1371 =
																											CDR
																											(BgL_carzd22598zd2_1369);
																										BgL_arg3995z00_1372 =
																											CDR
																											(BgL_cdrzd22594zd2_1368);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg4101z00_3491;

																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg4102z00_3492;
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg4103z00_3493;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_pairz00_3494;
																														BgL_pairz00_3494 =
																															BgL_sexpz00_36;
																														BgL_arg4103z00_3493
																															=
																															CDR(CDR
																															(BgL_pairz00_3494));
																													}
																													BgL_arg4102z00_3492 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg4103z00_3493);
																												}
																												BgL_arg4101z00_3491 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_arg3995z00_1372,
																													BgL_sexpz00_36,
																													BgL_arg4102z00_3492);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg3993z00_1370,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg3994z00_1371,
																												BgL_arg4101z00_3491,
																												BgL_sexpz00_36,
																												CNST_TABLE_REF(((long)
																														16)));
																					}}}}}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd22615zd2_1373;

																						BgL_cdrzd22615zd2_1373 =
																							CDR(BgL_sexpz00_36);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_carzd22619zd2_1374;

																							BgL_carzd22619zd2_1374 =
																								CAR(BgL_cdrzd22615zd2_1373);
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_arg3996z00_1375;
																								obj_t BgL_arg3997z00_1376;
																								obj_t BgL_arg3998z00_1377;

																								BgL_arg3996z00_1375 =
																									CAR(BgL_carzd22619zd2_1374);
																								BgL_arg3997z00_1376 =
																									CDR(BgL_carzd22619zd2_1374);
																								BgL_arg3998z00_1377 =
																									CDR(BgL_cdrzd22615zd2_1373);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg4101z00_3506;

																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg4102z00_3507;

																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg4103z00_3508;

																											{	/* Ast/unit.scm 208 */
																												obj_t BgL_pairz00_3509;

																												BgL_pairz00_3509 =
																													BgL_sexpz00_36;
																												BgL_arg4103z00_3508 =
																													CDR(CDR
																													(BgL_pairz00_3509));
																											}
																											BgL_arg4102z00_3507 =
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_arg4103z00_3508);
																										}
																										BgL_arg4101z00_3506 =
																											BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																											(BgL_arg3998z00_1377,
																											BgL_sexpz00_36,
																											BgL_arg4102z00_3507);
																									}
																									return
																										BGl_makezd2sfunzd2definitionz00zzast_unitz00
																										(BgL_arg3996z00_1375,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg3997z00_1376,
																										BgL_arg4101z00_3506,
																										BgL_sexpz00_36,
																										CNST_TABLE_REF(((long)
																												16)));
																			}}}}}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd22636zd2_1378;

																				BgL_cdrzd22636zd2_1378 =
																					CDR(BgL_sexpz00_36);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_carzd22640zd2_1379;

																					BgL_carzd22640zd2_1379 =
																						CAR(BgL_cdrzd22636zd2_1378);
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg3999z00_1380;
																						obj_t BgL_arg4000z00_1381;
																						obj_t BgL_arg4001z00_1382;

																						BgL_arg3999z00_1380 =
																							CAR(BgL_carzd22640zd2_1379);
																						BgL_arg4000z00_1381 =
																							CDR(BgL_carzd22640zd2_1379);
																						BgL_arg4001z00_1382 =
																							CDR(BgL_cdrzd22636zd2_1378);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg4101z00_3521;

																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_arg4102z00_3522;

																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg4103z00_3523;

																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_pairz00_3524;

																										BgL_pairz00_3524 =
																											BgL_sexpz00_36;
																										BgL_arg4103z00_3523 =
																											CDR(CDR
																											(BgL_pairz00_3524));
																									}
																									BgL_arg4102z00_3522 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_arg4103z00_3523);
																								}
																								BgL_arg4101z00_3521 =
																									BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																									(BgL_arg4001z00_1382,
																									BgL_sexpz00_36,
																									BgL_arg4102z00_3522);
																							}
																							return
																								BGl_makezd2sfunzd2definitionz00zzast_unitz00
																								(BgL_arg3999z00_1380,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg4000z00_1381,
																								BgL_arg4101z00_3521,
																								BgL_sexpz00_36,
																								CNST_TABLE_REF(((long) 16)));
																	}}}}}
																else
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd22657zd2_1384;

																		BgL_cdrzd22657zd2_1384 =
																			CDR(BgL_sexpz00_36);
																		{	/* Ast/unit.scm 208 */
																			obj_t BgL_carzd22661zd2_1385;

																			BgL_carzd22661zd2_1385 =
																				CAR(BgL_cdrzd22657zd2_1384);
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_arg4003z00_1386;
																				obj_t BgL_arg4004z00_1387;
																				obj_t BgL_arg4005z00_1388;

																				BgL_arg4003z00_1386 =
																					CAR(BgL_carzd22661zd2_1385);
																				BgL_arg4004z00_1387 =
																					CDR(BgL_carzd22661zd2_1385);
																				BgL_arg4005z00_1388 =
																					CDR(BgL_cdrzd22657zd2_1384);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg4101z00_3536;

																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg4102z00_3537;

																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg4103z00_3538;

																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_pairz00_3539;

																								BgL_pairz00_3539 =
																									BgL_sexpz00_36;
																								BgL_arg4103z00_3538 =
																									CDR(CDR(BgL_pairz00_3539));
																							}
																							BgL_arg4102z00_3537 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg4103z00_3538);
																						}
																						BgL_arg4101z00_3536 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_arg4005z00_1388,
																							BgL_sexpz00_36,
																							BgL_arg4102z00_3537);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_arg4003z00_1386,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg4004z00_1387,
																						BgL_arg4101z00_3536, BgL_sexpz00_36,
																						CNST_TABLE_REF(((long) 16)));
															}}}}}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd21660zd2_1193;
															}
													}
												else
													{	/* Ast/unit.scm 208 */
														goto BgL_tagzd21660zd2_1193;
													}
											}
										else
											{	/* Ast/unit.scm 208 */
												obj_t BgL_cdrzd22740zd2_1389;

												BgL_cdrzd22740zd2_1389 = CDR(BgL_sexpz00_36);
												if (
													(CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 17))))
													{	/* Ast/unit.scm 208 */
														if (PAIRP(BgL_cdrzd22740zd2_1389))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd22745zd2_1392;

																BgL_carzd22745zd2_1392 =
																	CAR(BgL_cdrzd22740zd2_1389);
																if (PAIRP(BgL_carzd22745zd2_1392))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_carzd22750zd2_1394;

																		BgL_carzd22750zd2_1394 =
																			CAR(BgL_carzd22745zd2_1392);
																		if (PAIRP(BgL_carzd22750zd2_1394))
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd22755zd2_1396;

																				BgL_cdrzd22755zd2_1396 =
																					CDR(BgL_carzd22750zd2_1394);
																				if (
																					(CAR(BgL_carzd22750zd2_1394) ==
																						CNST_TABLE_REF(((long) 0))))
																					{	/* Ast/unit.scm 208 */
																						if (PAIRP(BgL_cdrzd22755zd2_1396))
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd22759zd2_1399;

																								BgL_cdrzd22759zd2_1399 =
																									CDR(BgL_cdrzd22755zd2_1396);
																								if (PAIRP
																									(BgL_cdrzd22759zd2_1399))
																									{	/* Ast/unit.scm 208 */
																										if (NULLP(CDR
																												(BgL_cdrzd22759zd2_1399)))
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg4014z00_1402;
																												obj_t
																													BgL_arg4015z00_1403;
																												obj_t
																													BgL_arg4016z00_1404;
																												obj_t
																													BgL_arg4018z00_1405;
																												BgL_arg4014z00_1402 =
																													CAR
																													(BgL_cdrzd22755zd2_1396);
																												BgL_arg4015z00_1403 =
																													CAR
																													(BgL_cdrzd22759zd2_1399);
																												BgL_arg4016z00_1404 =
																													CDR
																													(BgL_carzd22745zd2_1392);
																												BgL_arg4018z00_1405 =
																													CDR
																													(BgL_cdrzd22740zd2_1389);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_list4104z00_3571;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_arg4105z00_3572;
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg4106z00_3573;
																															BgL_arg4106z00_3573
																																=
																																MAKE_PAIR
																																(BgL_sexpz00_36,
																																BNIL);
																															BgL_arg4105z00_3572
																																=
																																MAKE_PAIR
																																(BGl_string5078z00zzast_unitz00,
																																BgL_arg4106z00_3573);
																														}
																														BgL_list4104z00_3571
																															=
																															MAKE_PAIR
																															(BGl_string5079z00zzast_unitz00,
																															BgL_arg4105z00_3572);
																													}
																													BGl_warningz00zz__errorz00
																														(BgL_list4104z00_3571);
																												}
																												return
																													BGl_makezd2genericzd2definitionz00zzast_unitz00
																													(BgL_arg4014z00_1402,
																													BgL_arg4015z00_1403,
																													BgL_arg4016z00_1404,
																													BgL_arg4018z00_1405,
																													BgL_sexpz00_36,
																													BgL_gdefsz00_37);
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_carzd22778zd2_1407;
																												BgL_carzd22778zd2_1407 =
																													CAR
																													(BgL_cdrzd22740zd2_1389);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg4019z00_1408;
																													obj_t
																														BgL_arg4020z00_1409;
																													obj_t
																														BgL_arg4021z00_1410;
																													BgL_arg4019z00_1408 =
																														CAR
																														(BgL_carzd22778zd2_1407);
																													BgL_arg4020z00_1409 =
																														CDR
																														(BgL_carzd22778zd2_1407);
																													BgL_arg4021z00_1410 =
																														CDR
																														(BgL_cdrzd22740zd2_1389);
																													return
																														BGl_makezd2genericzd2definitionz00zzast_unitz00
																														(BgL_arg4019z00_1408,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg4020z00_1409,
																														BgL_arg4021z00_1410,
																														BgL_sexpz00_36,
																														BgL_gdefsz00_37);
																												}
																											}
																									}
																								else
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_carzd22798zd2_1413;
																										BgL_carzd22798zd2_1413 =
																											CAR
																											(BgL_cdrzd22740zd2_1389);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg4023z00_1414;
																											obj_t BgL_arg4024z00_1415;
																											obj_t BgL_arg4025z00_1416;

																											BgL_arg4023z00_1414 =
																												CAR
																												(BgL_carzd22798zd2_1413);
																											BgL_arg4024z00_1415 =
																												CDR
																												(BgL_carzd22798zd2_1413);
																											BgL_arg4025z00_1416 =
																												CDR
																												(BgL_cdrzd22740zd2_1389);
																											return
																												BGl_makezd2genericzd2definitionz00zzast_unitz00
																												(BgL_arg4023z00_1414,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg4024z00_1415,
																												BgL_arg4025z00_1416,
																												BgL_sexpz00_36,
																												BgL_gdefsz00_37);
																										}
																									}
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_carzd22818zd2_1418;

																								BgL_carzd22818zd2_1418 =
																									CAR(BgL_cdrzd22740zd2_1389);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg4026z00_1419;
																									obj_t BgL_arg4028z00_1420;
																									obj_t BgL_arg4029z00_1421;

																									BgL_arg4026z00_1419 =
																										CAR(BgL_carzd22818zd2_1418);
																									BgL_arg4028z00_1420 =
																										CDR(BgL_carzd22818zd2_1418);
																									BgL_arg4029z00_1421 =
																										CDR(BgL_cdrzd22740zd2_1389);
																									return
																										BGl_makezd2genericzd2definitionz00zzast_unitz00
																										(BgL_arg4026z00_1419,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg4028z00_1420,
																										BgL_arg4029z00_1421,
																										BgL_sexpz00_36,
																										BgL_gdefsz00_37);
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_carzd22838zd2_1423;

																						BgL_carzd22838zd2_1423 =
																							CAR(BgL_cdrzd22740zd2_1389);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg4030z00_1424;
																							obj_t BgL_arg4031z00_1425;
																							obj_t BgL_arg4032z00_1426;

																							BgL_arg4030z00_1424 =
																								CAR(BgL_carzd22838zd2_1423);
																							BgL_arg4031z00_1425 =
																								CDR(BgL_carzd22838zd2_1423);
																							BgL_arg4032z00_1426 =
																								CDR(BgL_cdrzd22740zd2_1389);
																							return
																								BGl_makezd2genericzd2definitionz00zzast_unitz00
																								(BgL_arg4030z00_1424,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg4031z00_1425,
																								BgL_arg4032z00_1426,
																								BgL_sexpz00_36,
																								BgL_gdefsz00_37);
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_carzd22858zd2_1429;

																				BgL_carzd22858zd2_1429 =
																					CAR(BgL_cdrzd22740zd2_1389);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg4034z00_1430;
																					obj_t BgL_arg4035z00_1431;
																					obj_t BgL_arg4036z00_1432;

																					BgL_arg4034z00_1430 =
																						CAR(BgL_carzd22858zd2_1429);
																					BgL_arg4035z00_1431 =
																						CDR(BgL_carzd22858zd2_1429);
																					BgL_arg4036z00_1432 =
																						CDR(BgL_cdrzd22740zd2_1389);
																					return
																						BGl_makezd2genericzd2definitionz00zzast_unitz00
																						(BgL_arg4034z00_1430,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg4035z00_1431,
																						BgL_arg4036z00_1432, BgL_sexpz00_36,
																						BgL_gdefsz00_37);
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		goto BgL_tagzd21660zd2_1193;
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd21660zd2_1193;
															}
													}
												else
													{	/* Ast/unit.scm 208 */
														if (
															(CAR(BgL_sexpz00_36) ==
																CNST_TABLE_REF(((long) 18))))
															{	/* Ast/unit.scm 208 */
																if (PAIRP(BgL_cdrzd22740zd2_1389))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_carzd22908zd2_1436;

																		BgL_carzd22908zd2_1436 =
																			CAR(BgL_cdrzd22740zd2_1389);
																		if (PAIRP(BgL_carzd22908zd2_1436))
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_arg4040z00_1438;
																				obj_t BgL_arg4042z00_1439;
																				obj_t BgL_arg4043z00_1440;

																				BgL_arg4040z00_1438 =
																					CAR(BgL_carzd22908zd2_1436);
																				BgL_arg4042z00_1439 =
																					CDR(BgL_carzd22908zd2_1436);
																				BgL_arg4043z00_1440 =
																					CDR(BgL_cdrzd22740zd2_1389);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg4107z00_3627;

																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg4108z00_3628;

																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg4109z00_3629;

																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_pairz00_3630;

																								BgL_pairz00_3630 =
																									BgL_sexpz00_36;
																								BgL_arg4109z00_3629 =
																									CDR(CDR(BgL_pairz00_3630));
																							}
																							BgL_arg4108z00_3628 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg4109z00_3629);
																						}
																						BgL_arg4107z00_3627 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_arg4043z00_1440,
																							BgL_sexpz00_36,
																							BgL_arg4108z00_3628);
																					}
																					return
																						BGl_makezd2methodzd2definitionz00zzast_unitz00
																						(BgL_arg4040z00_1438,
																						BgL_arg4042z00_1439,
																						BgL_arg4107z00_3627,
																						BgL_sexpz00_36);
																				}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				goto BgL_tagzd21660zd2_1193;
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		goto BgL_tagzd21660zd2_1193;
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd21660zd2_1193;
															}
													}
											}
									}
							}
					}
				else
					{	/* Ast/unit.scm 208 */
						goto BgL_tagzd21660zd2_1193;
					}
			}
		}
	}



/* normalize-progn/error */
	obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t BgL_expz00_38,
		obj_t BgL_srcz00_39, obj_t BgL_locz00_40)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 348 */
			if (NULLP(BgL_expz00_38))
				{	/* Ast/unit.scm 350 */
					obj_t BgL_arg4112z00_1530;

					BgL_arg4112z00_1530 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_39);
					{	/* Ast/unit.scm 350 */
						BgL_nodez00_bglt BgL_xz00_4204;

						BgL_xz00_4204 =
							BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string5080z00zzast_unitz00, BgL_srcz00_39,
							BgL_arg4112z00_1530);
						return ((obj_t) BgL_xz00_4204);
					}
				}
			else
				{	/* Ast/unit.scm 351 */
					obj_t BgL_expz00_1531;

					BgL_expz00_1531 =
						BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_expz00_38);
					if (CBOOL(BgL_locz00_40))
						{	/* Ast/unit.scm 355 */
							bool_t BgL_testz00_5087;

							{	/* Ast/unit.scm 355 */
								bool_t BgL_res4952z00_3637;

								BgL_res4952z00_3637 = EXTENDED_PAIRP(BgL_expz00_1531);
								BgL_testz00_5087 = BgL_res4952z00_3637;
							}
							if (BgL_testz00_5087)
								{	/* Ast/unit.scm 355 */
									return BgL_expz00_1531;
								}
							else
								{	/* Ast/unit.scm 355 */
									if (PAIRP(BgL_expz00_1531))
										{	/* Ast/unit.scm 358 */
											obj_t BgL_arg4116z00_1534;
											obj_t BgL_arg4117z00_1535;

											BgL_arg4116z00_1534 = CAR(BgL_expz00_1531);
											BgL_arg4117z00_1535 = CDR(BgL_expz00_1531);
											{	/* Ast/unit.scm 358 */
												obj_t BgL_res4954z00_3645;

												BgL_res4954z00_3645 =
													MAKE_EXTENDED_PAIR(BgL_arg4116z00_1534,
													BgL_arg4117z00_1535, BgL_locz00_40);
												return BgL_res4954z00_3645;
											}
										}
									else
										{	/* Ast/unit.scm 360 */
											obj_t BgL_arg4118z00_1536;

											{	/* Ast/unit.scm 360 */
												obj_t BgL_list4119z00_1537;

												BgL_list4119z00_1537 = MAKE_PAIR(BgL_expz00_1531, BNIL);
												BgL_arg4118z00_1536 = BgL_list4119z00_1537;
											}
											{	/* Ast/unit.scm 360 */
												obj_t BgL_res4956z00_3651;

												{	/* Ast/unit.scm 360 */
													obj_t BgL_obj1z00_3648;

													BgL_obj1z00_3648 = CNST_TABLE_REF(((long) 2));
													BgL_res4956z00_3651 =
														MAKE_EXTENDED_PAIR(BgL_obj1z00_3648,
														BgL_arg4118z00_1536, BgL_locz00_40);
												}
												return BgL_res4956z00_3651;
											}
										}
								}
						}
					else
						{	/* Ast/unit.scm 353 */
							return BgL_expz00_1531;
						}
				}
		}
	}



/* eta-expanse */
	obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t BgL_sexpz00_44,
		obj_t BgL_arityz00_45)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 378 */
			{	/* Ast/unit.scm 379 */
				obj_t BgL_argsz00_1545;

				BgL_argsz00_1545 =
					BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arityz00_45);
				{
					obj_t BgL_varz00_1614;
					obj_t BgL_id2z00_1615;
					obj_t BgL_modulez00_1616;

					if (PAIRP(BgL_sexpz00_44))
						{	/* Ast/unit.scm 403 */
							obj_t BgL_cdrzd23017zd2_1557;

							BgL_cdrzd23017zd2_1557 = CDR(BgL_sexpz00_44);
							if ((CAR(BgL_sexpz00_44) == CNST_TABLE_REF(((long) 14))))
								{	/* Ast/unit.scm 403 */
									if (PAIRP(BgL_cdrzd23017zd2_1557))
										{	/* Ast/unit.scm 403 */
											obj_t BgL_cdrzd23022zd2_1560;

											BgL_cdrzd23022zd2_1560 = CDR(BgL_cdrzd23017zd2_1557);
											if (PAIRP(BgL_cdrzd23022zd2_1560))
												{	/* Ast/unit.scm 403 */
													obj_t BgL_carzd23026zd2_1562;

													BgL_carzd23026zd2_1562 = CAR(BgL_cdrzd23022zd2_1560);
													if (PAIRP(BgL_carzd23026zd2_1562))
														{	/* Ast/unit.scm 403 */
															obj_t BgL_cdrzd23031zd2_1564;

															BgL_cdrzd23031zd2_1564 =
																CDR(BgL_carzd23026zd2_1562);
															if (
																(CAR(BgL_carzd23026zd2_1562) ==
																	CNST_TABLE_REF(((long) 0))))
																{	/* Ast/unit.scm 403 */
																	if (PAIRP(BgL_cdrzd23031zd2_1564))
																		{	/* Ast/unit.scm 403 */
																			obj_t BgL_cdrzd23035zd2_1567;

																			BgL_cdrzd23035zd2_1567 =
																				CDR(BgL_cdrzd23031zd2_1564);
																			if (PAIRP(BgL_cdrzd23035zd2_1567))
																				{	/* Ast/unit.scm 403 */
																					if (NULLP(CDR
																							(BgL_cdrzd23035zd2_1567)))
																						{	/* Ast/unit.scm 403 */
																							if (NULLP(CDR
																									(BgL_cdrzd23022zd2_1560)))
																								{	/* Ast/unit.scm 403 */
																									obj_t BgL_arg4137z00_1572;
																									obj_t BgL_arg4138z00_1573;

																									BgL_arg4137z00_1572 =
																										CAR(BgL_cdrzd23031zd2_1564);
																									BgL_arg4138z00_1573 =
																										CAR(BgL_cdrzd23035zd2_1567);
																									{	/* Ast/unit.scm 403 */
																										obj_t BgL_id2z00_3701;

																										BgL_id2z00_3701 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg4137z00_1572,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_44));
																										{	/* Ast/unit.scm 403 */

																											{	/* Ast/unit.scm 403 */
																												obj_t BgL_auxz00_5133;

																												BgL_varz00_1614 =
																													BgL_arg4137z00_1572;
																												BgL_id2z00_1615 =
																													BgL_id2z00_3701;
																												BgL_modulez00_1616 =
																													BgL_arg4138z00_1573;
																												if (((long)
																														CINT
																														(BgL_arityz00_45) >=
																														((long) 0)))
																													{	/* Ast/unit.scm 383 */
																														obj_t
																															BgL_arg4170z00_1619;
																														{	/* Ast/unit.scm 383 */
																															obj_t
																																BgL_arg4171z00_1620;
																															obj_t
																																BgL_arg4172z00_1621;
																															BgL_arg4171z00_1620
																																=
																																MAKE_PAIR
																																(BgL_varz00_1614,
																																BgL_argsz00_1545);
																															{	/* Ast/unit.scm 384 */
																																obj_t
																																	BgL_arg4173z00_1622;
																																{	/* Ast/unit.scm 384 */
																																	obj_t
																																		BgL_arg4174z00_1623;
																																	obj_t
																																		BgL_arg4175z00_1624;
																																	{	/* Ast/unit.scm 384 */
																																		obj_t
																																			BgL_arg4176z00_1625;
																																		{	/* Ast/unit.scm 384 */
																																			obj_t
																																				BgL_arg4177z00_1626;
																																			BgL_arg4177z00_1626
																																				=
																																				MAKE_PAIR
																																				(BgL_modulez00_1616,
																																				BNIL);
																																			BgL_arg4176z00_1625
																																				=
																																				MAKE_PAIR
																																				(BgL_id2z00_1615,
																																				BgL_arg4177z00_1626);
																																		}
																																		BgL_arg4174z00_1623
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					0)),
																																			BgL_arg4176z00_1625);
																																	}
																																	BgL_arg4175z00_1624
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argsz00_1545,
																																		BNIL);
																																	BgL_arg4173z00_1622
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4174z00_1623,
																																		BgL_arg4175z00_1624);
																																}
																																BgL_arg4172z00_1621
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4173z00_1622,
																																	BNIL);
																															}
																															BgL_arg4170z00_1619
																																=
																																MAKE_PAIR
																																(BgL_arg4171z00_1620,
																																BgL_arg4172z00_1621);
																														}
																														BgL_auxz00_5133 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 14)),
																															BgL_arg4170z00_1619);
																													}
																												else
																													{	/* Ast/unit.scm 382 */
																														if (
																															((long)
																																CINT
																																(BgL_arityz00_45)
																																== ((long) -1)))
																															{	/* Ast/unit.scm 386 */
																																obj_t
																																	BgL_arg4179z00_1628;
																																{	/* Ast/unit.scm 386 */
																																	obj_t
																																		BgL_arg4180z00_1629;
																																	obj_t
																																		BgL_arg4181z00_1630;
																																	BgL_arg4180z00_1629
																																		=
																																		MAKE_PAIR
																																		(BgL_varz00_1614,
																																		BgL_argsz00_1545);
																																	{	/* Ast/unit.scm 387 */
																																		obj_t
																																			BgL_arg4182z00_1631;
																																		{	/* Ast/unit.scm 387 */
																																			obj_t
																																				BgL_arg4183z00_1632;
																																			{	/* Ast/unit.scm 387 */
																																				obj_t
																																					BgL_arg4184z00_1633;
																																				obj_t
																																					BgL_arg4185z00_1634;
																																				{	/* Ast/unit.scm 387 */
																																					obj_t
																																						BgL_arg4186z00_1635;
																																					{	/* Ast/unit.scm 387 */
																																						obj_t
																																							BgL_arg4187z00_1636;
																																						BgL_arg4187z00_1636
																																							=
																																							MAKE_PAIR
																																							(BgL_modulez00_1616,
																																							BNIL);
																																						BgL_arg4186z00_1635
																																							=
																																							MAKE_PAIR
																																							(BgL_id2z00_1615,
																																							BgL_arg4187z00_1636);
																																					}
																																					BgL_arg4184z00_1633
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg4186z00_1635);
																																				}
																																				BgL_arg4185z00_1634
																																					=
																																					MAKE_PAIR
																																					(BgL_argsz00_1545,
																																					BNIL);
																																				BgL_arg4183z00_1632
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4184z00_1633,
																																					BgL_arg4185z00_1634);
																																			}
																																			BgL_arg4182z00_1631
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						19)),
																																				BgL_arg4183z00_1632);
																																		}
																																		BgL_arg4181z00_1630
																																			=
																																			MAKE_PAIR
																																			(BgL_arg4182z00_1631,
																																			BNIL);
																																	}
																																	BgL_arg4179z00_1628
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4180z00_1629,
																																		BgL_arg4181z00_1630);
																																}
																																BgL_auxz00_5133
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg4179z00_1628);
																															}
																														else
																															{	/* Ast/unit.scm 389 */
																																obj_t
																																	BgL_arg4188z00_1637;
																																{	/* Ast/unit.scm 389 */
																																	obj_t
																																		BgL_arg4189z00_1638;
																																	obj_t
																																		BgL_arg4190z00_1639;
																																	BgL_arg4189z00_1638
																																		=
																																		MAKE_PAIR
																																		(BgL_varz00_1614,
																																		BgL_argsz00_1545);
																																	{	/* Ast/unit.scm 390 */
																																		obj_t
																																			BgL_arg4191z00_1640;
																																		{	/* Ast/unit.scm 390 */
																																			obj_t
																																				BgL_arg4192z00_1641;
																																			{	/* Ast/unit.scm 390 */
																																				obj_t
																																					BgL_arg4193z00_1642;
																																				obj_t
																																					BgL_arg4194z00_1643;
																																				{	/* Ast/unit.scm 390 */
																																					obj_t
																																						BgL_arg4195z00_1644;
																																					{	/* Ast/unit.scm 390 */
																																						obj_t
																																							BgL_arg4196z00_1645;
																																						BgL_arg4196z00_1645
																																							=
																																							MAKE_PAIR
																																							(BgL_modulez00_1616,
																																							BNIL);
																																						BgL_arg4195z00_1644
																																							=
																																							MAKE_PAIR
																																							(BgL_id2z00_1615,
																																							BgL_arg4196z00_1645);
																																					}
																																					BgL_arg4193z00_1642
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg4195z00_1644);
																																				}
																																				{	/* Ast/unit.scm 391 */
																																					obj_t
																																						BgL_arg4197z00_1646;
																																					{	/* Ast/unit.scm 391 */
																																						obj_t
																																							BgL_arg4198z00_1647;
																																						BgL_arg4198z00_1647
																																							=
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
																																							(BgL_argsz00_1545),
																																							BNIL);
																																						BgL_arg4197z00_1646
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 20)), BgL_arg4198z00_1647);
																																					}
																																					BgL_arg4194z00_1643
																																						=
																																						MAKE_PAIR
																																						(BgL_arg4197z00_1646,
																																						BNIL);
																																				}
																																				BgL_arg4192z00_1641
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4193z00_1642,
																																					BgL_arg4194z00_1643);
																																			}
																																			BgL_arg4191z00_1640
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						19)),
																																				BgL_arg4192z00_1641);
																																		}
																																		BgL_arg4190z00_1639
																																			=
																																			MAKE_PAIR
																																			(BgL_arg4191z00_1640,
																																			BNIL);
																																	}
																																	BgL_arg4188z00_1637
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4189z00_1638,
																																		BgL_arg4190z00_1639);
																																}
																																BgL_auxz00_5133
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg4188z00_1637);
																													}}
																												return
																													BGl_replacez12z12zztools_miscz00
																													(BgL_sexpz00_44,
																													BgL_auxz00_5133);
																											}
																										}
																									}
																								}
																							else
																								{	/* Ast/unit.scm 403 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Ast/unit.scm 403 */
																							obj_t BgL_cdrzd23057zd2_1576;

																							BgL_cdrzd23057zd2_1576 =
																								CDR(BgL_cdrzd23017zd2_1557);
																							if (NULLP(CDR
																									(BgL_cdrzd23057zd2_1576)))
																								{	/* Ast/unit.scm 403 */
																									obj_t BgL_arg4141z00_1578;
																									obj_t BgL_arg4142z00_1579;

																									BgL_arg4141z00_1578 =
																										CAR(BgL_cdrzd23017zd2_1557);
																									BgL_arg4142z00_1579 =
																										CAR(BgL_cdrzd23057zd2_1576);
																									{	/* Ast/unit.scm 403 */
																										obj_t BgL_id2z00_3713;

																										BgL_id2z00_3713 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg4142z00_1579,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_44));
																										return
																											BGl_replacez12z12zztools_miscz00
																											(BgL_sexpz00_44,
																											BGl_dozd2etazd2expansez00zzast_unitz00
																											(BgL_arityz00_45,
																												BgL_argsz00_1545,
																												BgL_arg4141z00_1578,
																												BgL_id2z00_3713));
																									}
																								}
																							else
																								{	/* Ast/unit.scm 403 */
																									return BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Ast/unit.scm 403 */
																					obj_t BgL_cdrzd23075zd2_1583;

																					BgL_cdrzd23075zd2_1583 =
																						CDR(BgL_cdrzd23017zd2_1557);
																					if (NULLP(CDR
																							(BgL_cdrzd23075zd2_1583)))
																						{	/* Ast/unit.scm 403 */
																							obj_t BgL_arg4146z00_1585;
																							obj_t BgL_arg4147z00_1586;

																							BgL_arg4146z00_1585 =
																								CAR(BgL_cdrzd23017zd2_1557);
																							BgL_arg4147z00_1586 =
																								CAR(BgL_cdrzd23075zd2_1583);
																							{	/* Ast/unit.scm 403 */
																								obj_t BgL_id2z00_3725;

																								BgL_id2z00_3725 =
																									BGl_idzd2ofzd2idz00zzast_identz00
																									(BgL_arg4147z00_1586,
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_sexpz00_44));
																								return
																									BGl_replacez12z12zztools_miscz00
																									(BgL_sexpz00_44,
																									BGl_dozd2etazd2expansez00zzast_unitz00
																									(BgL_arityz00_45,
																										BgL_argsz00_1545,
																										BgL_arg4146z00_1585,
																										BgL_id2z00_3725));
																							}
																						}
																					else
																						{	/* Ast/unit.scm 403 */
																							return BFALSE;
																						}
																				}
																		}
																	else
																		{	/* Ast/unit.scm 403 */
																			obj_t BgL_cdrzd23093zd2_1589;

																			BgL_cdrzd23093zd2_1589 =
																				CDR(BgL_cdrzd23017zd2_1557);
																			if (NULLP(CDR(BgL_cdrzd23093zd2_1589)))
																				{	/* Ast/unit.scm 403 */
																					obj_t BgL_arg4150z00_1591;
																					obj_t BgL_arg4151z00_1592;

																					BgL_arg4150z00_1591 =
																						CAR(BgL_cdrzd23017zd2_1557);
																					BgL_arg4151z00_1592 =
																						CAR(BgL_cdrzd23093zd2_1589);
																					{	/* Ast/unit.scm 403 */
																						obj_t BgL_id2z00_3737;

																						BgL_id2z00_3737 =
																							BGl_idzd2ofzd2idz00zzast_identz00
																							(BgL_arg4151z00_1592,
																							BGl_findzd2locationzd2zztools_locationz00
																							(BgL_sexpz00_44));
																						return
																							BGl_replacez12z12zztools_miscz00
																							(BgL_sexpz00_44,
																							BGl_dozd2etazd2expansez00zzast_unitz00
																							(BgL_arityz00_45,
																								BgL_argsz00_1545,
																								BgL_arg4150z00_1591,
																								BgL_id2z00_3737));
																					}
																				}
																			else
																				{	/* Ast/unit.scm 403 */
																					return BFALSE;
																				}
																		}
																}
															else
																{	/* Ast/unit.scm 403 */
																	obj_t BgL_cdrzd23111zd2_1595;

																	BgL_cdrzd23111zd2_1595 =
																		CDR(BgL_cdrzd23017zd2_1557);
																	if (NULLP(CDR(BgL_cdrzd23111zd2_1595)))
																		{	/* Ast/unit.scm 403 */
																			obj_t BgL_arg4154z00_1597;
																			obj_t BgL_arg4155z00_1598;

																			BgL_arg4154z00_1597 =
																				CAR(BgL_cdrzd23017zd2_1557);
																			BgL_arg4155z00_1598 =
																				CAR(BgL_cdrzd23111zd2_1595);
																			{	/* Ast/unit.scm 403 */
																				obj_t BgL_id2z00_3749;

																				BgL_id2z00_3749 =
																					BGl_idzd2ofzd2idz00zzast_identz00
																					(BgL_arg4155z00_1598,
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_sexpz00_44));
																				return
																					BGl_replacez12z12zztools_miscz00
																					(BgL_sexpz00_44,
																					BGl_dozd2etazd2expansez00zzast_unitz00
																					(BgL_arityz00_45, BgL_argsz00_1545,
																						BgL_arg4154z00_1597,
																						BgL_id2z00_3749));
																			}
																		}
																	else
																		{	/* Ast/unit.scm 403 */
																			return BFALSE;
																		}
																}
														}
													else
														{	/* Ast/unit.scm 403 */
															obj_t BgL_cdrzd23129zd2_1602;

															BgL_cdrzd23129zd2_1602 =
																CDR(BgL_cdrzd23017zd2_1557);
															if (NULLP(CDR(BgL_cdrzd23129zd2_1602)))
																{	/* Ast/unit.scm 403 */
																	obj_t BgL_arg4159z00_1604;
																	obj_t BgL_arg4160z00_1605;

																	BgL_arg4159z00_1604 =
																		CAR(BgL_cdrzd23017zd2_1557);
																	BgL_arg4160z00_1605 =
																		CAR(BgL_cdrzd23129zd2_1602);
																	{	/* Ast/unit.scm 403 */
																		obj_t BgL_id2z00_3761;

																		BgL_id2z00_3761 =
																			BGl_idzd2ofzd2idz00zzast_identz00
																			(BgL_arg4160z00_1605,
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_sexpz00_44));
																		return
																			BGl_replacez12z12zztools_miscz00
																			(BgL_sexpz00_44,
																			BGl_dozd2etazd2expansez00zzast_unitz00
																			(BgL_arityz00_45, BgL_argsz00_1545,
																				BgL_arg4159z00_1604, BgL_id2z00_3761));
																	}
																}
															else
																{	/* Ast/unit.scm 403 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Ast/unit.scm 403 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/unit.scm 403 */
											return BFALSE;
										}
								}
							else
								{	/* Ast/unit.scm 403 */
									return BFALSE;
								}
						}
					else
						{	/* Ast/unit.scm 403 */
							return BFALSE;
						}
				}
			}
		}
	}



/* do-eta-expanse */
	obj_t BGl_dozd2etazd2expansez00zzast_unitz00(obj_t BgL_arityz00_4177,
		obj_t BgL_argsz00_4176, obj_t BgL_varz00_1649, obj_t BgL_id2z00_1650)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 402 */
			if (((long) CINT(BgL_arityz00_4177) >= ((long) 0)))
				{	/* Ast/unit.scm 395 */
					obj_t BgL_arg4202z00_1653;

					{	/* Ast/unit.scm 395 */
						obj_t BgL_arg4203z00_1654;
						obj_t BgL_arg4204z00_1655;

						BgL_arg4203z00_1654 = MAKE_PAIR(BgL_varz00_1649, BgL_argsz00_4176);
						{	/* Ast/unit.scm 396 */
							obj_t BgL_arg4205z00_1656;

							BgL_arg4205z00_1656 =
								MAKE_PAIR(BgL_id2z00_1650,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_argsz00_4176, BNIL));
							BgL_arg4204z00_1655 = MAKE_PAIR(BgL_arg4205z00_1656, BNIL);
						}
						BgL_arg4202z00_1653 =
							MAKE_PAIR(BgL_arg4203z00_1654, BgL_arg4204z00_1655);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg4202z00_1653);
				}
			else
				{	/* Ast/unit.scm 394 */
					if (((long) CINT(BgL_arityz00_4177) == ((long) -1)))
						{	/* Ast/unit.scm 398 */
							obj_t BgL_arg4208z00_1659;

							{	/* Ast/unit.scm 398 */
								obj_t BgL_arg4209z00_1660;
								obj_t BgL_arg4210z00_1661;

								BgL_arg4209z00_1660 =
									MAKE_PAIR(BgL_varz00_1649, BgL_argsz00_4176);
								{	/* Ast/unit.scm 399 */
									obj_t BgL_arg4211z00_1662;

									{	/* Ast/unit.scm 399 */
										obj_t BgL_arg4212z00_1663;

										{	/* Ast/unit.scm 399 */
											obj_t BgL_arg4213z00_1664;

											BgL_arg4213z00_1664 = MAKE_PAIR(BgL_argsz00_4176, BNIL);
											BgL_arg4212z00_1663 =
												MAKE_PAIR(BgL_id2z00_1650, BgL_arg4213z00_1664);
										}
										BgL_arg4211z00_1662 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg4212z00_1663);
									}
									BgL_arg4210z00_1661 = MAKE_PAIR(BgL_arg4211z00_1662, BNIL);
								}
								BgL_arg4208z00_1659 =
									MAKE_PAIR(BgL_arg4209z00_1660, BgL_arg4210z00_1661);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg4208z00_1659);
						}
					else
						{	/* Ast/unit.scm 401 */
							obj_t BgL_arg4215z00_1665;

							{	/* Ast/unit.scm 401 */
								obj_t BgL_arg4216z00_1666;
								obj_t BgL_arg4217z00_1667;

								BgL_arg4216z00_1666 =
									MAKE_PAIR(BgL_varz00_1649, BgL_argsz00_4176);
								{	/* Ast/unit.scm 402 */
									obj_t BgL_arg4218z00_1668;

									{	/* Ast/unit.scm 402 */
										obj_t BgL_arg4219z00_1669;

										{	/* Ast/unit.scm 402 */
											obj_t BgL_arg4220z00_1670;

											{	/* Ast/unit.scm 402 */
												obj_t BgL_arg4221z00_1671;

												{	/* Ast/unit.scm 402 */
													obj_t BgL_arg4222z00_1672;

													BgL_arg4222z00_1672 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_4176), BNIL);
													BgL_arg4221z00_1671 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
														BgL_arg4222z00_1672);
												}
												BgL_arg4220z00_1670 =
													MAKE_PAIR(BgL_arg4221z00_1671, BNIL);
											}
											BgL_arg4219z00_1669 =
												MAKE_PAIR(BgL_id2z00_1650, BgL_arg4220z00_1670);
										}
										BgL_arg4218z00_1668 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg4219z00_1669);
									}
									BgL_arg4217z00_1667 = MAKE_PAIR(BgL_arg4218z00_1668, BNIL);
								}
								BgL_arg4215z00_1665 =
									MAKE_PAIR(BgL_arg4216z00_1666, BgL_arg4217z00_1667);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg4215z00_1665);
		}}}
	}



/* make-sfun-definition */
	obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_46,
		obj_t BgL_modulez00_47, obj_t BgL_argsz00_48, obj_t BgL_bodyz00_49,
		obj_t BgL_srcz00_50, obj_t BgL_classz00_51)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 414 */
			{	/* Ast/unit.scm 415 */
				obj_t BgL_locz00_1676;
				obj_t BgL_optsz00_1677;
				obj_t BgL_keysz00_1678;

				BgL_locz00_1676 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_50);
				BgL_optsz00_1677 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_48);
				BgL_keysz00_1678 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_48);
				if (NULLP(BgL_optsz00_1677))
					{	/* Ast/unit.scm 419 */
						if (NULLP(BgL_keysz00_1678))
							{	/* Ast/unit.scm 421 */
								return
									BGl_makezd2sfunzd2nooptzd2definitionzd2zzast_unitz00
									(BgL_idz00_46, BgL_modulez00_47, BgL_argsz00_48,
									BgL_bodyz00_49, BgL_srcz00_50, BgL_classz00_51,
									BgL_locz00_1676);
							}
						else
							{	/* Ast/unit.scm 421 */
								return
									BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_1678, BgL_idz00_46, BgL_modulez00_47,
									BgL_argsz00_48, BgL_bodyz00_49, BgL_srcz00_50,
									BgL_classz00_51, BgL_locz00_1676);
							}
					}
				else
					{	/* Ast/unit.scm 419 */
						return
							BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00
							(BgL_optsz00_1677, BgL_idz00_46, BgL_modulez00_47, BgL_argsz00_48,
							BgL_bodyz00_49, BgL_srcz00_50, BgL_classz00_51, BgL_locz00_1676);
					}
			}
		}
	}



/* make-sfun-opt-definition */
	obj_t BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00(obj_t
		BgL_optionalsz00_52, obj_t BgL_idz00_53, obj_t BgL_modulez00_54,
		obj_t BgL_argsz00_55, obj_t BgL_bodyz00_56, obj_t BgL_srcz00_57,
		obj_t BgL_classz00_58, obj_t BgL_locz00_59)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 429 */
			{	/* Ast/unit.scm 430 */
				obj_t BgL_localsz00_1681;

				{	/* Ast/unit.scm 430 */
					obj_t BgL_arg4228z00_1686;
					obj_t BgL_arg4229z00_1687;

					{	/* Ast/unit.scm 430 */
						obj_t BgL_l3681z00_1688;

						BgL_l3681z00_1688 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_55);
						if (NULLP(BgL_l3681z00_1688))
							{	/* Ast/unit.scm 430 */
								BgL_arg4228z00_1686 = BNIL;
							}
						else
							{	/* Ast/unit.scm 430 */
								obj_t BgL_head3683z00_1690;

								{	/* Ast/unit.scm 430 */
									obj_t BgL_res4977z00_3772;

									BgL_res4977z00_3772 = MAKE_PAIR(BNIL, BNIL);
									BgL_head3683z00_1690 = BgL_res4977z00_3772;
								}
								{
									obj_t BgL_l3681z00_1692;
									obj_t BgL_tail3684z00_1693;

									BgL_l3681z00_1692 = BgL_l3681z00_1688;
									BgL_tail3684z00_1693 = BgL_head3683z00_1690;
								BgL_zc3anonymousza34231ze3z83_1694:
									if (NULLP(BgL_l3681z00_1692))
										{	/* Ast/unit.scm 430 */
											BgL_arg4228z00_1686 = CDR(BgL_head3683z00_1690);
										}
									else
										{	/* Ast/unit.scm 430 */
											obj_t BgL_newtail3685z00_1696;

											{	/* Ast/unit.scm 430 */
												BgL_localz00_bglt BgL_arg4234z00_1698;

												{	/* Ast/unit.scm 430 */
													obj_t BgL_az00_1699;

													BgL_az00_1699 = CAR(BgL_l3681z00_1692);
													{	/* Ast/unit.scm 431 */
														obj_t BgL_pidz00_1700;

														BgL_pidz00_1700 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_1699,
																BgL_locz00_59), BgL_srcz00_57);
														{	/* Ast/unit.scm 431 */
															obj_t BgL_idz00_1701;

															BgL_idz00_1701 = CAR(BgL_pidz00_1700);
															{	/* Ast/unit.scm 432 */
																obj_t BgL_typez00_1702;

																BgL_typez00_1702 = CDR(BgL_pidz00_1700);
																{	/* Ast/unit.scm 433 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_1701))
																		{	/* Ast/unit.scm 434 */
																			BgL_arg4234z00_1698 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_1701,
																				((BgL_typez00_bglt) BgL_typez00_1702));
																		}
																	else
																		{	/* Ast/unit.scm 434 */
																			BgL_arg4234z00_1698 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_1701,
																				((BgL_typez00_bglt) BgL_typez00_1702));
																		}
																}
															}
														}
													}
												}
												{	/* Ast/unit.scm 430 */
													obj_t BgL_res4979z00_3781;

													{	/* Ast/unit.scm 430 */
														obj_t BgL_obj1z00_3779;

														BgL_obj1z00_3779 = ((obj_t) BgL_arg4234z00_1698);
														BgL_res4979z00_3781 =
															MAKE_PAIR(BgL_obj1z00_3779, BNIL);
													}
													BgL_newtail3685z00_1696 = BgL_res4979z00_3781;
												}
											}
											SET_CDR(BgL_tail3684z00_1693, BgL_newtail3685z00_1696);
											{
												obj_t BgL_tail3684z00_5300;
												obj_t BgL_l3681z00_5298;

												BgL_l3681z00_5298 = CDR(BgL_l3681z00_1692);
												BgL_tail3684z00_5300 = BgL_newtail3685z00_1696;
												BgL_tail3684z00_1693 = BgL_tail3684z00_5300;
												BgL_l3681z00_1692 = BgL_l3681z00_5298;
												goto BgL_zc3anonymousza34231ze3z83_1694;
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 438 */
						obj_t BgL_head3688z00_1708;

						{	/* Ast/unit.scm 438 */
							obj_t BgL_res4981z00_3789;

							BgL_res4981z00_3789 = MAKE_PAIR(BNIL, BNIL);
							BgL_head3688z00_1708 = BgL_res4981z00_3789;
						}
						{
							obj_t BgL_l3686z00_1710;
							obj_t BgL_tail3689z00_1711;

							BgL_l3686z00_1710 = BgL_optionalsz00_52;
							BgL_tail3689z00_1711 = BgL_head3688z00_1708;
						BgL_zc3anonymousza34238ze3z83_1712:
							if (NULLP(BgL_l3686z00_1710))
								{	/* Ast/unit.scm 438 */
									BgL_arg4229z00_1687 = CDR(BgL_head3688z00_1708);
								}
							else
								{	/* Ast/unit.scm 438 */
									obj_t BgL_newtail3690z00_1714;

									{	/* Ast/unit.scm 438 */
										BgL_localz00_bglt BgL_arg4241z00_1716;

										{	/* Ast/unit.scm 438 */
											obj_t BgL_oz00_1717;

											BgL_oz00_1717 = CAR(BgL_l3686z00_1710);
											{	/* Ast/unit.scm 439 */
												obj_t BgL_az00_1718;

												BgL_az00_1718 = CAR(BgL_oz00_1717);
												{	/* Ast/unit.scm 439 */
													obj_t BgL_pidz00_1719;

													BgL_pidz00_1719 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_1718,
															BgL_locz00_59), BgL_srcz00_57);
													{	/* Ast/unit.scm 440 */
														obj_t BgL_idz00_1720;

														BgL_idz00_1720 = CAR(BgL_pidz00_1719);
														{	/* Ast/unit.scm 441 */
															obj_t BgL_typez00_1721;

															BgL_typez00_1721 = CDR(BgL_pidz00_1719);
															{	/* Ast/unit.scm 442 */

																BgL_arg4241z00_1716 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_1720,
																	((BgL_typez00_bglt) BgL_typez00_1721));
															}
														}
													}
												}
											}
										}
										{	/* Ast/unit.scm 438 */
											obj_t BgL_res4983z00_3799;

											{	/* Ast/unit.scm 438 */
												obj_t BgL_obj1z00_3797;

												BgL_obj1z00_3797 = ((obj_t) BgL_arg4241z00_1716);
												BgL_res4983z00_3799 = MAKE_PAIR(BgL_obj1z00_3797, BNIL);
											}
											BgL_newtail3690z00_1714 = BgL_res4983z00_3799;
										}
									}
									SET_CDR(BgL_tail3689z00_1711, BgL_newtail3690z00_1714);
									{
										obj_t BgL_tail3689z00_5318;
										obj_t BgL_l3686z00_5316;

										BgL_l3686z00_5316 = CDR(BgL_l3686z00_1710);
										BgL_tail3689z00_5318 = BgL_newtail3690z00_1714;
										BgL_tail3689z00_1711 = BgL_tail3689z00_5318;
										BgL_l3686z00_1710 = BgL_l3686z00_5316;
										goto BgL_zc3anonymousza34238ze3z83_1712;
									}
								}
						}
					}
					BgL_localsz00_1681 =
						BGl_appendzd221095zd2zzast_unitz00(BgL_arg4228z00_1686,
						BgL_arg4229z00_1687);
				}
				{	/* Ast/unit.scm 430 */
					BgL_globalz00_bglt BgL_gloz00_1682;

					BgL_gloz00_1682 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_53,
						BgL_argsz00_55, BgL_localsz00_1681, BgL_modulez00_54,
						BgL_classz00_58, BgL_srcz00_57, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_56);
					{	/* Ast/unit.scm 445 */
						BgL_globalz00_bglt BgL_cloz00_1683;

						BgL_cloz00_1683 =
							BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_gloz00_1682,
							BgL_optionalsz00_52, BgL_idz00_53, BgL_modulez00_54,
							BgL_argsz00_55, BgL_bodyz00_56, BgL_srcz00_57, BgL_classz00_58,
							BgL_locz00_59);
						{	/* Ast/unit.scm 446 */

							{	/* Ast/unit.scm 447 */
								obj_t BgL_list4226z00_1684;

								{	/* Ast/unit.scm 447 */
									obj_t BgL_arg4227z00_1685;

									BgL_arg4227z00_1685 =
										MAKE_PAIR(((obj_t) BgL_cloz00_1683), BNIL);
									BgL_list4226z00_1684 =
										MAKE_PAIR(((obj_t) BgL_gloz00_1682), BgL_arg4227z00_1685);
								}
								return BgL_list4226z00_1684;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-opt-closure */
	BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_globalz00_bglt
		BgL_gloz00_60, obj_t BgL_optionalsz00_61, obj_t BgL_idz00_62,
		obj_t BgL_modulez00_63, obj_t BgL_argsz00_64, obj_t BgL_bodyz00_65,
		obj_t BgL_srcz00_66, obj_t BgL_classz00_67, obj_t BgL_locz00_68)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 460 */
			{	/* Ast/unit.scm 461 */
				long BgL_arityz00_1724;

				{	/* Ast/unit.scm 461 */
					BgL_funz00_bglt BgL_obj1854z00_3806;

					{	/* Ast/unit.scm 461 */
						BgL_variablez00_bglt BgL_obj1612z00_3805;

						BgL_obj1612z00_3805 = ((BgL_variablez00_bglt) BgL_gloz00_60);
						BgL_obj1854z00_3806 =
							((BgL_funz00_bglt)
							(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_3805)))->BgL_valuez00));
					}
					BgL_arityz00_1724 =
						(((BgL_funz00_bglt) CREF(
								((obj_t) BgL_obj1854z00_3806)))->BgL_arityz00);
				}
				{

					{	/* Ast/unit.scm 499 */
						obj_t BgL_idz00_1726;

						{	/* Ast/unit.scm 499 */
							obj_t BgL_arg4249z00_1736;

							{	/* Ast/unit.scm 499 */
								obj_t BgL_arg4250z00_1737;
								obj_t BgL_arg4251z00_1738;

								{	/* Ast/unit.scm 499 */
									obj_t BgL_res5011z00_3918;

									{	/* Ast/unit.scm 499 */
										obj_t BgL_symbolz00_3916;

										BgL_symbolz00_3916 = CNST_TABLE_REF(((long) 30));
										{	/* Ast/unit.scm 499 */
											obj_t BgL_arg2069z00_3917;

											BgL_arg2069z00_3917 =
												SYMBOL_TO_STRING(BgL_symbolz00_3916);
											BgL_res5011z00_3918 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_3917);
									}}
									BgL_arg4250z00_1737 = BgL_res5011z00_3918;
								}
								{	/* Ast/unit.scm 499 */
									obj_t BgL_res5012z00_3921;

									{	/* Ast/unit.scm 499 */
										obj_t BgL_arg2069z00_3920;

										BgL_arg2069z00_3920 = SYMBOL_TO_STRING(BgL_idz00_62);
										BgL_res5012z00_3921 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_3920);
									}
									BgL_arg4251z00_1738 = BgL_res5012z00_3921;
								}
								BgL_arg4249z00_1736 =
									string_append(BgL_arg4250z00_1737, BgL_arg4251z00_1738);
							}
							BgL_idz00_1726 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg4249z00_1736));
						}
						{	/* Ast/unit.scm 499 */
							BgL_localz00_bglt BgL_optz00_1727;

							{	/* Ast/unit.scm 500 */
								BgL_typez00_bglt BgL_auxz00_5341;

								{	/* Ast/unit.scm 500 */
									obj_t BgL_xz00_4233;

									BgL_xz00_4233 = BGl_za2vectorza2z00zztype_cachez00;
									BgL_auxz00_5341 = ((BgL_typez00_bglt) BgL_xz00_4233);
								}
								BgL_optz00_1727 =
									BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
											(long) 21)), BgL_auxz00_5341);
							}
							{	/* Ast/unit.scm 500 */
								BgL_localz00_bglt BgL_envz00_1728;

								{	/* Ast/unit.scm 501 */
									BgL_typez00_bglt BgL_auxz00_5345;

									{	/* Ast/unit.scm 501 */
										obj_t BgL_xz00_4234;

										BgL_xz00_4234 = BGl_za2procedureza2z00zztype_cachez00;
										BgL_auxz00_5345 = ((BgL_typez00_bglt) BgL_xz00_4234);
									}
									BgL_envz00_1728 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 31)), BgL_auxz00_5345);
								}
								{	/* Ast/unit.scm 501 */
									BgL_globalz00_bglt BgL_gz00_1729;

									{	/* Ast/unit.scm 502 */
										obj_t BgL_arg4243z00_1730;
										obj_t BgL_arg4244z00_1731;

										{	/* Ast/unit.scm 502 */
											obj_t BgL_list4245z00_1732;

											{	/* Ast/unit.scm 502 */
												obj_t BgL_arg4246z00_1733;

												BgL_arg4246z00_1733 =
													MAKE_PAIR(((obj_t) BgL_optz00_1727), BNIL);
												BgL_list4245z00_1732 =
													MAKE_PAIR(
													((obj_t) BgL_envz00_1728), BgL_arg4246z00_1733);
											}
											BgL_arg4243z00_1730 = BgL_list4245z00_1732;
										}
										{	/* Ast/unit.scm 504 */
											obj_t BgL_auxz00_5353;

											{	/* Ast/unit.scm 504 */
												obj_t BgL_auxz00_5354;

												{	/* Ast/unit.scm 463 */
													long BgL_loptz00_1740;
													obj_t BgL_formsz00_1741;
													obj_t BgL_optsz00_1742;

													BgL_loptz00_1740 =
														bgl_list_length(BgL_optionalsz00_61);
													{	/* Ast/unit.scm 464 */
														obj_t BgL_l3691z00_1873;

														{	/* Ast/unit.scm 464 */
															BgL_sfunz00_bglt BgL_obj1920z00_3808;

															{	/* Ast/unit.scm 464 */
																BgL_variablez00_bglt BgL_obj1612z00_3807;

																BgL_obj1612z00_3807 =
																	((BgL_variablez00_bglt) BgL_gloz00_60);
																BgL_obj1920z00_3808 =
																	((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1612z00_3807)))->
																		BgL_valuez00));
															}
															BgL_l3691z00_1873 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1920z00_3808)))->
																BgL_argsz00);
														}
														if (NULLP(BgL_l3691z00_1873))
															{	/* Ast/unit.scm 464 */
																BgL_formsz00_1741 = BNIL;
															}
														else
															{	/* Ast/unit.scm 464 */
																obj_t BgL_head3693z00_1875;

																{	/* Ast/unit.scm 464 */
																	obj_t BgL_arg4351z00_1887;

																	{	/* Ast/unit.scm 464 */
																		BgL_variablez00_bglt BgL_obj1605z00_3812;

																		{	/* Ast/unit.scm 464 */
																			obj_t BgL_pairz00_3811;

																			BgL_pairz00_3811 = BgL_l3691z00_1873;
																			BgL_obj1605z00_3812 =
																				((BgL_variablez00_bglt)
																				CAR(BgL_pairz00_3811));
																		}
																		BgL_arg4351z00_1887 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1605z00_3812)))->
																			BgL_idz00);
																	}
																	{	/* Ast/unit.scm 464 */
																		obj_t BgL_res4986z00_3815;

																		BgL_res4986z00_3815 =
																			MAKE_PAIR(BgL_arg4351z00_1887, BNIL);
																		BgL_head3693z00_1875 = BgL_res4986z00_3815;
																	}
																}
																{	/* Ast/unit.scm 464 */
																	obj_t BgL_g3696z00_1876;

																	BgL_g3696z00_1876 = CDR(BgL_l3691z00_1873);
																	{
																		obj_t BgL_l3691z00_1878;
																		obj_t BgL_tail3694z00_1879;

																		BgL_l3691z00_1878 = BgL_g3696z00_1876;
																		BgL_tail3694z00_1879 = BgL_head3693z00_1875;
																	BgL_zc3anonymousza34346ze3z83_1880:
																		if (NULLP(BgL_l3691z00_1878))
																			{	/* Ast/unit.scm 464 */
																				BgL_formsz00_1741 =
																					BgL_head3693z00_1875;
																			}
																		else
																			{	/* Ast/unit.scm 464 */
																				obj_t BgL_newtail3695z00_1882;

																				{	/* Ast/unit.scm 464 */
																					obj_t BgL_arg4349z00_1884;

																					{	/* Ast/unit.scm 464 */
																						BgL_variablez00_bglt
																							BgL_obj1605z00_3820;
																						{	/* Ast/unit.scm 464 */
																							obj_t BgL_pairz00_3819;

																							BgL_pairz00_3819 =
																								BgL_l3691z00_1878;
																							BgL_obj1605z00_3820 =
																								((BgL_variablez00_bglt)
																								CAR(BgL_pairz00_3819));
																						}
																						BgL_arg4349z00_1884 =
																							(((BgL_variablez00_bglt) CREF(
																									((obj_t)
																										BgL_obj1605z00_3820)))->
																							BgL_idz00);
																					}
																					{	/* Ast/unit.scm 464 */
																						obj_t BgL_res4988z00_3823;

																						BgL_res4988z00_3823 =
																							MAKE_PAIR(BgL_arg4349z00_1884,
																							BNIL);
																						BgL_newtail3695z00_1882 =
																							BgL_res4988z00_3823;
																					}
																				}
																				SET_CDR(BgL_tail3694z00_1879,
																					BgL_newtail3695z00_1882);
																				{
																					obj_t BgL_tail3694z00_5380;
																					obj_t BgL_l3691z00_5378;

																					BgL_l3691z00_5378 =
																						CDR(BgL_l3691z00_1878);
																					BgL_tail3694z00_5380 =
																						BgL_newtail3695z00_1882;
																					BgL_tail3694z00_1879 =
																						BgL_tail3694z00_5380;
																					BgL_l3691z00_1878 = BgL_l3691z00_5378;
																					goto
																						BgL_zc3anonymousza34346ze3z83_1880;
																				}
																			}
																	}
																}
															}
													}
													{	/* Ast/unit.scm 465 */
														obj_t BgL_l3697z00_1890;

														{	/* Ast/unit.scm 467 */
															BgL_sfunz00_bglt BgL_obj1936z00_3828;

															{	/* Ast/unit.scm 467 */
																BgL_variablez00_bglt BgL_obj1612z00_3827;

																BgL_obj1612z00_3827 =
																	((BgL_variablez00_bglt) BgL_gloz00_60);
																BgL_obj1936z00_3828 =
																	((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1612z00_3827)))->
																		BgL_valuez00));
															}
															BgL_l3697z00_1890 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1936z00_3828)))->
																BgL_optionalsz00);
														}
														if (NULLP(BgL_l3697z00_1890))
															{	/* Ast/unit.scm 465 */
																BgL_optsz00_1742 = BNIL;
															}
														else
															{	/* Ast/unit.scm 465 */
																obj_t BgL_head3699z00_1892;

																{	/* Ast/unit.scm 465 */
																	obj_t BgL_res4990z00_3833;

																	BgL_res4990z00_3833 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head3699z00_1892 = BgL_res4990z00_3833;
																}
																{
																	obj_t BgL_l3697z00_1894;
																	obj_t BgL_tail3700z00_1895;

																	BgL_l3697z00_1894 = BgL_l3697z00_1890;
																	BgL_tail3700z00_1895 = BgL_head3699z00_1892;
																BgL_zc3anonymousza34355ze3z83_1896:
																	if (NULLP(BgL_l3697z00_1894))
																		{	/* Ast/unit.scm 465 */
																			BgL_optsz00_1742 =
																				CDR(BgL_head3699z00_1892);
																		}
																	else
																		{	/* Ast/unit.scm 465 */
																			obj_t BgL_newtail3701z00_1898;

																			{	/* Ast/unit.scm 465 */
																				obj_t BgL_arg4358z00_1900;

																				{	/* Ast/unit.scm 465 */
																					obj_t BgL_oz00_1901;

																					BgL_oz00_1901 =
																						CAR(BgL_l3697z00_1894);
																					BgL_arg4358z00_1900 =
																						BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																						(CAR(BgL_oz00_1901), BgL_locz00_68);
																				}
																				{	/* Ast/unit.scm 465 */
																					obj_t BgL_res4992z00_3841;

																					BgL_res4992z00_3841 =
																						MAKE_PAIR(BgL_arg4358z00_1900,
																						BNIL);
																					BgL_newtail3701z00_1898 =
																						BgL_res4992z00_3841;
																				}
																			}
																			SET_CDR(BgL_tail3700z00_1895,
																				BgL_newtail3701z00_1898);
																			{
																				obj_t BgL_tail3700z00_5400;
																				obj_t BgL_l3697z00_5398;

																				BgL_l3697z00_5398 =
																					CDR(BgL_l3697z00_1894);
																				BgL_tail3700z00_5400 =
																					BgL_newtail3701z00_1898;
																				BgL_tail3700z00_1895 =
																					BgL_tail3700z00_5400;
																				BgL_l3697z00_1894 = BgL_l3697z00_5398;
																				goto BgL_zc3anonymousza34355ze3z83_1896;
																			}
																		}
																}
															}
													}
													{	/* Ast/unit.scm 468 */
														obj_t BgL_arg4253z00_1743;
														obj_t BgL_arg4254z00_1744;

														BgL_arg4253z00_1743 =
															BGl_letzd2symzd2zzast_letz00();
														{	/* Ast/unit.scm 468 */
															obj_t BgL_arg4255z00_1745;
															obj_t BgL_arg4256z00_1746;

															{	/* Ast/unit.scm 468 */
																obj_t BgL_ll3702z00_1747;
																obj_t BgL_ll3703z00_1748;

																{	/* Ast/unit.scm 470 */
																	obj_t BgL_auxz00_5402;

																	{	/* Ast/unit.scm 470 */
																		BgL_sfunz00_bglt BgL_obj1923z00_3846;

																		{	/* Ast/unit.scm 470 */
																			BgL_variablez00_bglt BgL_obj1612z00_3845;

																			BgL_obj1612z00_3845 =
																				((BgL_variablez00_bglt) BgL_gloz00_60);
																			BgL_obj1923z00_3846 =
																				((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((obj_t) BgL_obj1612z00_3845)))->
																					BgL_valuez00));
																		}
																		BgL_auxz00_5402 =
																			(((BgL_sfunz00_bglt) CREF(
																					((obj_t) BgL_obj1923z00_3846)))->
																			BgL_argszd2namezd2);
																	}
																	BgL_ll3702z00_1747 =
																		BGl_takez00zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_5402, BgL_arityz00_1724);
																}
																BgL_ll3703z00_1748 =
																	BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(
																	(int) (BgL_arityz00_1724), BNIL);
																if (NULLP(BgL_ll3702z00_1747))
																	{	/* Ast/unit.scm 468 */
																		BgL_arg4255z00_1745 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 468 */
																		obj_t BgL_head3704z00_1750;

																		{	/* Ast/unit.scm 468 */
																			obj_t BgL_res4994z00_3851;

																			BgL_res4994z00_3851 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head3704z00_1750 =
																				BgL_res4994z00_3851;
																		}
																		{
																			obj_t BgL_ll3702z00_1752;
																			obj_t BgL_ll3703z00_1753;
																			obj_t BgL_tail3705z00_1754;

																			BgL_ll3702z00_1752 = BgL_ll3702z00_1747;
																			BgL_ll3703z00_1753 = BgL_ll3703z00_1748;
																			BgL_tail3705z00_1754 =
																				BgL_head3704z00_1750;
																		BgL_zc3anonymousza34258ze3z83_1755:
																			if (NULLP(BgL_ll3702z00_1752))
																				{	/* Ast/unit.scm 468 */
																					BgL_arg4255z00_1745 =
																						CDR(BgL_head3704z00_1750);
																				}
																			else
																				{	/* Ast/unit.scm 468 */
																					obj_t BgL_newtail3706z00_1757;

																					{	/* Ast/unit.scm 468 */
																						obj_t BgL_arg4262z00_1760;

																						{	/* Ast/unit.scm 468 */
																							obj_t BgL_vz00_1761;
																							obj_t BgL_iz00_1762;

																							BgL_vz00_1761 =
																								CAR(BgL_ll3702z00_1752);
																							BgL_iz00_1762 =
																								CAR(BgL_ll3703z00_1753);
																							{	/* Ast/unit.scm 469 */
																								obj_t BgL_arg4263z00_1763;

																								{	/* Ast/unit.scm 469 */
																									obj_t BgL_arg4264z00_1764;

																									{	/* Ast/unit.scm 469 */
																										obj_t BgL_arg4265z00_1765;

																										{	/* Ast/unit.scm 469 */
																											obj_t BgL_arg4266z00_1766;

																											BgL_arg4266z00_1766 =
																												MAKE_PAIR(BgL_iz00_1762,
																												BNIL);
																											BgL_arg4265z00_1765 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 21)),
																												BgL_arg4266z00_1766);
																										}
																										BgL_arg4264z00_1764 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 22)),
																											BgL_arg4265z00_1765);
																									}
																									BgL_arg4263z00_1763 =
																										MAKE_PAIR
																										(BgL_arg4264z00_1764, BNIL);
																								}
																								BgL_arg4262z00_1760 =
																									MAKE_PAIR(BgL_vz00_1761,
																									BgL_arg4263z00_1763);
																						}}
																						{	/* Ast/unit.scm 468 */
																							obj_t BgL_res4996z00_3859;

																							BgL_res4996z00_3859 =
																								MAKE_PAIR(BgL_arg4262z00_1760,
																								BNIL);
																							BgL_newtail3706z00_1757 =
																								BgL_res4996z00_3859;
																					}}
																					SET_CDR(BgL_tail3705z00_1754,
																						BgL_newtail3706z00_1757);
																					{
																						obj_t BgL_tail3705z00_5433;
																						obj_t BgL_ll3703z00_5431;
																						obj_t BgL_ll3702z00_5429;

																						BgL_ll3702z00_5429 =
																							CDR(BgL_ll3702z00_1752);
																						BgL_ll3703z00_5431 =
																							CDR(BgL_ll3703z00_1753);
																						BgL_tail3705z00_5433 =
																							BgL_newtail3706z00_1757;
																						BgL_tail3705z00_1754 =
																							BgL_tail3705z00_5433;
																						BgL_ll3703z00_1753 =
																							BgL_ll3703z00_5431;
																						BgL_ll3702z00_1752 =
																							BgL_ll3702z00_5429;
																						goto
																							BgL_zc3anonymousza34258ze3z83_1755;
																					}
																				}
																		}
																	}
															}
															{	/* Ast/unit.scm 472 */
																obj_t BgL_arg4270z00_1771;

																{	/* Ast/unit.scm 472 */
																	obj_t BgL_arg4271z00_1772;

																	{	/* Ast/unit.scm 472 */
																		obj_t BgL_arg4272z00_1773;
																		obj_t BgL_arg4273z00_1774;

																		{	/* Ast/unit.scm 472 */
																			obj_t BgL_arg4274z00_1775;

																			BgL_arg4274z00_1775 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
																				BNIL);
																			BgL_arg4272z00_1773 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 23)),
																				BgL_arg4274z00_1775);
																		}
																		{	/* Ast/unit.scm 473 */
																			obj_t BgL_arg4276z00_1776;
																			obj_t BgL_arg4277z00_1777;

																			{	/* Ast/unit.scm 473 */
																				obj_t BgL_l3719z00_1778;

																				{	/* Ast/unit.scm 487 */
																					obj_t BgL_arg4320z00_1844;

																					BgL_arg4320z00_1844 =
																						BGL_SAFE_PLUS_FX(((long) 1),
																						BgL_loptz00_1740);
																					BgL_l3719z00_1778 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						(CINT(BgL_arg4320z00_1844), BNIL);
																				}
																				if (NULLP(BgL_l3719z00_1778))
																					{	/* Ast/unit.scm 473 */
																						BgL_arg4276z00_1776 = BNIL;
																					}
																				else
																					{	/* Ast/unit.scm 473 */
																						obj_t BgL_head3721z00_1780;

																						{	/* Ast/unit.scm 473 */
																							obj_t BgL_res4999z00_3870;

																							BgL_res4999z00_3870 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_head3721z00_1780 =
																								BgL_res4999z00_3870;
																						}
																						{
																							obj_t BgL_l3719z00_1782;
																							obj_t BgL_tail3722z00_1783;

																							BgL_l3719z00_1782 =
																								BgL_l3719z00_1778;
																							BgL_tail3722z00_1783 =
																								BgL_head3721z00_1780;
																						BgL_zc3anonymousza34279ze3z83_1784:
																							if (NULLP(BgL_l3719z00_1782))
																								{	/* Ast/unit.scm 473 */
																									BgL_arg4276z00_1776 =
																										CDR(BgL_head3721z00_1780);
																								}
																							else
																								{	/* Ast/unit.scm 473 */
																									obj_t BgL_newtail3723z00_1786;

																									{	/* Ast/unit.scm 473 */
																										obj_t BgL_arg4282z00_1788;

																										{	/* Ast/unit.scm 473 */
																											obj_t BgL_iz00_1789;

																											BgL_iz00_1789 =
																												CAR(BgL_l3719z00_1782);
																											{	/* Ast/unit.scm 474 */
																												obj_t
																													BgL_arg4283z00_1790;
																												obj_t
																													BgL_arg4284z00_1791;
																												{	/* Ast/unit.scm 474 */
																													long
																														BgL_arg4285z00_1792;
																													BgL_arg4285z00_1792 =
																														(BgL_arityz00_1724 +
																														(long)
																														CINT
																														(BgL_iz00_1789));
																													BgL_arg4283z00_1790 =
																														MAKE_PAIR(BINT
																														(BgL_arg4285z00_1792),
																														BNIL);
																												}
																												{	/* Ast/unit.scm 475 */
																													obj_t
																														BgL_arg4286z00_1793;
																													{	/* Ast/unit.scm 475 */
																														obj_t
																															BgL_arg4287z00_1794;
																														{	/* Ast/unit.scm 475 */
																															obj_t
																																BgL_arg4288z00_1795;
																															obj_t
																																BgL_arg4289z00_1796;
																															{	/* Ast/unit.scm 475 */
																																obj_t
																																	BgL_arg4290z00_1797;
																																obj_t
																																	BgL_arg4291z00_1798;
																																{	/* Ast/unit.scm 475 */
																																	obj_t
																																		BgL_ll3708z00_1799;
																																	obj_t
																																		BgL_ll3709z00_1800;
																																	BgL_ll3708z00_1799
																																		=
																																		BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																		(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																		(BgL_formsz00_1741,
																																			BgL_arityz00_1724),
																																		(long)
																																		CINT
																																		(BgL_iz00_1789));
																																	{	/* Ast/unit.scm 478 */
																																		obj_t
																																			BgL_list4304z00_1821;
																																		BgL_list4304z00_1821
																																			=
																																			MAKE_PAIR
																																			(BINT
																																			(BgL_arityz00_1724),
																																			BNIL);
																																		BgL_ll3709z00_1800
																																			=
																																			BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																			(CINT
																																			(BgL_iz00_1789),
																																			BgL_list4304z00_1821);
																																	}
																																	if (NULLP
																																		(BgL_ll3708z00_1799))
																																		{	/* Ast/unit.scm 475 */
																																			BgL_arg4290z00_1797
																																				= BNIL;
																																		}
																																	else
																																		{	/* Ast/unit.scm 475 */
																																			obj_t
																																				BgL_head3710z00_1802;
																																			{	/* Ast/unit.scm 475 */
																																				obj_t
																																					BgL_res5003z00_3882;
																																				BgL_res5003z00_3882
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_head3710z00_1802
																																					=
																																					BgL_res5003z00_3882;
																																			}
																																			{
																																				obj_t
																																					BgL_ll3708z00_1804;
																																				obj_t
																																					BgL_ll3709z00_1805;
																																				obj_t
																																					BgL_tail3711z00_1806;
																																				BgL_ll3708z00_1804
																																					=
																																					BgL_ll3708z00_1799;
																																				BgL_ll3709z00_1805
																																					=
																																					BgL_ll3709z00_1800;
																																				BgL_tail3711z00_1806
																																					=
																																					BgL_head3710z00_1802;
																																			BgL_zc3anonymousza34293ze3z83_1807:
																																				if (NULLP(BgL_ll3708z00_1804))
																																					{	/* Ast/unit.scm 475 */
																																						BgL_arg4290z00_1797
																																							=
																																							CDR
																																							(BgL_head3710z00_1802);
																																					}
																																				else
																																					{	/* Ast/unit.scm 475 */
																																						obj_t
																																							BgL_newtail3712z00_1809;
																																						{	/* Ast/unit.scm 475 */
																																							obj_t
																																								BgL_arg4298z00_1812;
																																							{	/* Ast/unit.scm 475 */
																																								obj_t
																																									BgL_vz00_1813;
																																								obj_t
																																									BgL_jz00_1814;
																																								BgL_vz00_1813
																																									=
																																									CAR
																																									(BgL_ll3708z00_1804);
																																								BgL_jz00_1814
																																									=
																																									CAR
																																									(BgL_ll3709z00_1805);
																																								{	/* Ast/unit.scm 476 */
																																									obj_t
																																										BgL_arg4299z00_1815;
																																									{	/* Ast/unit.scm 476 */
																																										obj_t
																																											BgL_arg4300z00_1816;
																																										{	/* Ast/unit.scm 476 */
																																											obj_t
																																												BgL_arg4301z00_1817;
																																											{	/* Ast/unit.scm 476 */
																																												obj_t
																																													BgL_arg4302z00_1818;
																																												BgL_arg4302z00_1818
																																													=
																																													MAKE_PAIR
																																													(BgL_jz00_1814,
																																													BNIL);
																																												BgL_arg4301z00_1817
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 21)), BgL_arg4302z00_1818);
																																											}
																																											BgL_arg4300z00_1816
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 22)), BgL_arg4301z00_1817);
																																										}
																																										BgL_arg4299z00_1815
																																											=
																																											MAKE_PAIR
																																											(BgL_arg4300z00_1816,
																																											BNIL);
																																									}
																																									BgL_arg4298z00_1812
																																										=
																																										MAKE_PAIR
																																										(BgL_vz00_1813,
																																										BgL_arg4299z00_1815);
																																							}}
																																							{	/* Ast/unit.scm 475 */
																																								obj_t
																																									BgL_res5005z00_3890;
																																								BgL_res5005z00_3890
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4298z00_1812,
																																									BNIL);
																																								BgL_newtail3712z00_1809
																																									=
																																									BgL_res5005z00_3890;
																																						}}
																																						SET_CDR
																																							(BgL_tail3711z00_1806,
																																							BgL_newtail3712z00_1809);
																																						{
																																							obj_t
																																								BgL_tail3711z00_5480;
																																							obj_t
																																								BgL_ll3709z00_5478;
																																							obj_t
																																								BgL_ll3708z00_5476;
																																							BgL_ll3708z00_5476
																																								=
																																								CDR
																																								(BgL_ll3708z00_1804);
																																							BgL_ll3709z00_5478
																																								=
																																								CDR
																																								(BgL_ll3709z00_1805);
																																							BgL_tail3711z00_5480
																																								=
																																								BgL_newtail3712z00_1809;
																																							BgL_tail3711z00_1806
																																								=
																																								BgL_tail3711z00_5480;
																																							BgL_ll3709z00_1805
																																								=
																																								BgL_ll3709z00_5478;
																																							BgL_ll3708z00_1804
																																								=
																																								BgL_ll3708z00_5476;
																																							goto
																																								BgL_zc3anonymousza34293ze3z83_1807;
																																						}
																																					}
																																			}
																																		}
																																}
																																BgL_arg4291z00_1798
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																	(BgL_optionalsz00_61,
																																		(long)
																																		CINT
																																		(BgL_iz00_1789)),
																																	BNIL);
																																BgL_arg4288z00_1795
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg4290z00_1797,
																																	BgL_arg4291z00_1798);
																															}
																															{	/* Ast/unit.scm 482 */
																																obj_t
																																	BgL_arg4307z00_1823;
																																{	/* Ast/unit.scm 482 */
																																	obj_t
																																		BgL_arg4308z00_1824;
																																	{	/* Ast/unit.scm 482 */
																																		obj_t
																																			BgL_arg4309z00_1825;
																																		obj_t
																																			BgL_arg4311z00_1826;
																																		{	/* Ast/unit.scm 482 */
																																			obj_t
																																				BgL_l3714z00_1827;
																																			BgL_l3714z00_1827
																																				=
																																				BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																				((int)
																																				(BgL_arityz00_1724),
																																				BNIL);
																																			if (NULLP
																																				(BgL_l3714z00_1827))
																																				{	/* Ast/unit.scm 482 */
																																					BgL_arg4309z00_1825
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Ast/unit.scm 482 */
																																					obj_t
																																						BgL_head3716z00_1829;
																																					{	/* Ast/unit.scm 482 */
																																						obj_t
																																							BgL_res5007z00_3899;
																																						BgL_res5007z00_3899
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_head3716z00_1829
																																							=
																																							BgL_res5007z00_3899;
																																					}
																																					{
																																						obj_t
																																							BgL_l3714z00_1831;
																																						obj_t
																																							BgL_tail3717z00_1832;
																																						BgL_l3714z00_1831
																																							=
																																							BgL_l3714z00_1827;
																																						BgL_tail3717z00_1832
																																							=
																																							BgL_head3716z00_1829;
																																					BgL_zc3anonymousza34313ze3z83_1833:
																																						if (NULLP(BgL_l3714z00_1831))
																																							{	/* Ast/unit.scm 482 */
																																								BgL_arg4309z00_1825
																																									=
																																									CDR
																																									(BgL_head3716z00_1829);
																																							}
																																						else
																																							{	/* Ast/unit.scm 482 */
																																								obj_t
																																									BgL_newtail3718z00_1835;
																																								{	/* Ast/unit.scm 482 */
																																									obj_t
																																										BgL_arg4316z00_1837;
																																									{	/* Ast/unit.scm 482 */
																																										obj_t
																																											BgL_jz00_1838;
																																										BgL_jz00_1838
																																											=
																																											CAR
																																											(BgL_l3714z00_1831);
																																										{	/* Ast/unit.scm 483 */
																																											obj_t
																																												BgL_arg4317z00_1839;
																																											{	/* Ast/unit.scm 483 */
																																												obj_t
																																													BgL_arg4318z00_1840;
																																												BgL_arg4318z00_1840
																																													=
																																													MAKE_PAIR
																																													(BgL_jz00_1838,
																																													BNIL);
																																												BgL_arg4317z00_1839
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 21)), BgL_arg4318z00_1840);
																																											}
																																											BgL_arg4316z00_1837
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 22)), BgL_arg4317z00_1839);
																																									}}
																																									{	/* Ast/unit.scm 482 */
																																										obj_t
																																											BgL_res5009z00_3906;
																																										BgL_res5009z00_3906
																																											=
																																											MAKE_PAIR
																																											(BgL_arg4316z00_1837,
																																											BNIL);
																																										BgL_newtail3718z00_1835
																																											=
																																											BgL_res5009z00_3906;
																																								}}
																																								SET_CDR
																																									(BgL_tail3717z00_1832,
																																									BgL_newtail3718z00_1835);
																																								{
																																									obj_t
																																										BgL_tail3717z00_5503;
																																									obj_t
																																										BgL_l3714z00_5501;
																																									BgL_l3714z00_5501
																																										=
																																										CDR
																																										(BgL_l3714z00_1831);
																																									BgL_tail3717z00_5503
																																										=
																																										BgL_newtail3718z00_1835;
																																									BgL_tail3717z00_1832
																																										=
																																										BgL_tail3717z00_5503;
																																									BgL_l3714z00_1831
																																										=
																																										BgL_l3714z00_5501;
																																									goto
																																										BgL_zc3anonymousza34313ze3z83_1833;
																																								}
																																							}
																																					}
																																				}
																																		}
																																		BgL_arg4311z00_1826
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_optsz00_1742,
																																			BNIL);
																																		BgL_arg4308z00_1824
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg4309z00_1825,
																																			BgL_arg4311z00_1826);
																																	}
																																	BgL_arg4307z00_1823
																																		=
																																		MAKE_PAIR((
																																			(obj_t)
																																			BgL_gloz00_60),
																																		BgL_arg4308z00_1824);
																																}
																																BgL_arg4289z00_1796
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4307z00_1823,
																																	BNIL);
																															}
																															BgL_arg4287z00_1794
																																=
																																MAKE_PAIR
																																(BgL_arg4288z00_1795,
																																BgL_arg4289z00_1796);
																														}
																														BgL_arg4286z00_1793
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 24)),
																															BgL_arg4287z00_1794);
																													}
																													BgL_arg4284z00_1791 =
																														MAKE_PAIR
																														(BgL_arg4286z00_1793,
																														BNIL);
																												}
																												BgL_arg4282z00_1788 =
																													MAKE_PAIR
																													(BgL_arg4283z00_1790,
																													BgL_arg4284z00_1791);
																										}}
																										{	/* Ast/unit.scm 473 */
																											obj_t BgL_res5010z00_3912;

																											BgL_res5010z00_3912 =
																												MAKE_PAIR
																												(BgL_arg4282z00_1788,
																												BNIL);
																											BgL_newtail3723z00_1786 =
																												BgL_res5010z00_3912;
																									}}
																									SET_CDR(BgL_tail3722z00_1783,
																										BgL_newtail3723z00_1786);
																									{
																										obj_t BgL_tail3722z00_5518;
																										obj_t BgL_l3719z00_5516;

																										BgL_l3719z00_5516 =
																											CDR(BgL_l3719z00_1782);
																										BgL_tail3722z00_5518 =
																											BgL_newtail3723z00_1786;
																										BgL_tail3722z00_1783 =
																											BgL_tail3722z00_5518;
																										BgL_l3719z00_1782 =
																											BgL_l3719z00_5516;
																										goto
																											BgL_zc3anonymousza34279ze3z83_1784;
																									}
																								}
																						}
																					}
																			}
																			{	/* Ast/unit.scm 489 */
																				obj_t BgL_arg4323z00_1847;

																				{	/* Ast/unit.scm 489 */
																					obj_t BgL_arg4324z00_1848;

																					{	/* Ast/unit.scm 489 */
																						obj_t BgL_arg4325z00_1849;

																						if (CBOOL
																							(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																							{	/* Ast/unit.scm 489 */
																								BgL_arg4325z00_1849 = BUNSPEC;
																							}
																						else
																							{	/* Ast/unit.scm 491 */
																								obj_t BgL_arg4326z00_1850;
																								obj_t BgL_arg4327z00_1851;

																								{	/* Ast/unit.scm 491 */
																									obj_t BgL_arg4328z00_1852;

																									{	/* Ast/unit.scm 491 */
																										obj_t BgL_arg4329z00_1853;

																										BgL_arg4329z00_1853 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 25)), BNIL);
																										BgL_arg4328z00_1852 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 26)),
																											BgL_arg4329z00_1853);
																									}
																									BgL_arg4326z00_1850 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 0)),
																										BgL_arg4328z00_1852);
																								}
																								{	/* Ast/unit.scm 492 */
																									obj_t BgL_arg4330z00_1854;
																									obj_t BgL_arg4331z00_1855;

																									{	/* Ast/unit.scm 492 */
																										obj_t BgL_arg4332z00_1856;

																										BgL_arg4332z00_1856 =
																											MAKE_PAIR(BgL_idz00_62,
																											BNIL);
																										BgL_arg4330z00_1854 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 27)),
																											BgL_arg4332z00_1856);
																									}
																									{	/* Ast/unit.scm 495 */
																										obj_t BgL_arg4333z00_1857;
																										obj_t BgL_arg4334z00_1858;

																										{	/* Ast/unit.scm 495 */
																											obj_t BgL_arg4335z00_1859;
																											obj_t BgL_arg4336z00_1860;

																											{	/* Ast/unit.scm 495 */

																												BgL_arg4335z00_1859 =
																													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																													(BgL_arityz00_1724,
																													((long) 10));
																											}
																											{	/* Ast/unit.scm 496 */

																												BgL_arg4336z00_1860 =
																													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																													((long)
																													CINT(BINT(
																															(BgL_arityz00_1724
																																+
																																BgL_loptz00_1740))),
																													((long) 10));
																											}
																											{	/* Ast/unit.scm 493 */
																												obj_t
																													BgL_list4337z00_1861;
																												{	/* Ast/unit.scm 493 */
																													obj_t
																														BgL_arg4338z00_1862;
																													{	/* Ast/unit.scm 493 */
																														obj_t
																															BgL_arg4339z00_1863;
																														{	/* Ast/unit.scm 493 */
																															obj_t
																																BgL_arg4340z00_1864;
																															{	/* Ast/unit.scm 493 */
																																obj_t
																																	BgL_arg4341z00_1865;
																																BgL_arg4341z00_1865
																																	=
																																	MAKE_PAIR
																																	(BGl_string5081z00zzast_unitz00,
																																	BNIL);
																																BgL_arg4340z00_1864
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4336z00_1860,
																																	BgL_arg4341z00_1865);
																															}
																															BgL_arg4339z00_1863
																																=
																																MAKE_PAIR
																																(BGl_string5082z00zzast_unitz00,
																																BgL_arg4340z00_1864);
																														}
																														BgL_arg4338z00_1862
																															=
																															MAKE_PAIR
																															(BgL_arg4335z00_1859,
																															BgL_arg4339z00_1863);
																													}
																													BgL_list4337z00_1861 =
																														MAKE_PAIR
																														(BGl_string5083z00zzast_unitz00,
																														BgL_arg4338z00_1862);
																												}
																												BgL_arg4333z00_1857 =
																													BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																													(BgL_list4337z00_1861);
																										}}
																										{	/* Ast/unit.scm 498 */
																											obj_t BgL_arg4343z00_1871;

																											{	/* Ast/unit.scm 498 */
																												obj_t
																													BgL_arg4344z00_1872;
																												BgL_arg4344z00_1872 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 21)),
																													BNIL);
																												BgL_arg4343z00_1871 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 23)),
																													BgL_arg4344z00_1872);
																											}
																											BgL_arg4334z00_1858 =
																												MAKE_PAIR
																												(BgL_arg4343z00_1871,
																												BNIL);
																										}
																										BgL_arg4331z00_1855 =
																											MAKE_PAIR
																											(BgL_arg4333z00_1857,
																											BgL_arg4334z00_1858);
																									}
																									BgL_arg4327z00_1851 =
																										MAKE_PAIR
																										(BgL_arg4330z00_1854,
																										BgL_arg4331z00_1855);
																								}
																								BgL_arg4325z00_1849 =
																									MAKE_PAIR(BgL_arg4326z00_1850,
																									BgL_arg4327z00_1851);
																							}
																						BgL_arg4324z00_1848 =
																							MAKE_PAIR(BgL_arg4325z00_1849,
																							BNIL);
																					}
																					BgL_arg4323z00_1847 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								28)), BgL_arg4324z00_1848);
																				}
																				BgL_arg4277z00_1777 =
																					MAKE_PAIR(BgL_arg4323z00_1847, BNIL);
																			}
																			BgL_arg4273z00_1774 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg4276z00_1776,
																				BgL_arg4277z00_1777);
																		}
																		BgL_arg4271z00_1772 =
																			MAKE_PAIR(BgL_arg4272z00_1773,
																			BgL_arg4273z00_1774);
																	}
																	BgL_arg4270z00_1771 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 29)),
																		BgL_arg4271z00_1772);
																}
																BgL_arg4256z00_1746 =
																	MAKE_PAIR(BgL_arg4270z00_1771, BNIL);
															}
															BgL_arg4254z00_1744 =
																MAKE_PAIR(BgL_arg4255z00_1745,
																BgL_arg4256z00_1746);
														}
														BgL_auxz00_5354 =
															MAKE_PAIR(BgL_arg4253z00_1743,
															BgL_arg4254z00_1744);
												}}
												BgL_auxz00_5353 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_5354);
											}
											BgL_arg4244z00_1731 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_5353);
										}
										BgL_gz00_1729 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_1726, CNST_TABLE_REF(((long) 32)),
											BgL_arg4243z00_1730, BgL_modulez00_63, BgL_classz00_67,
											BgL_srcz00_66, CNST_TABLE_REF(((long) 33)),
											BgL_arg4244z00_1731);
									}
									{	/* Ast/unit.scm 502 */

										((((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_gz00_1729)))->BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										{	/* Ast/unit.scm 506 */
											BgL_variablez00_bglt BgL_obj1611z00_3928;
											BgL_typez00_bglt BgL_val1610z00_3929;

											BgL_obj1611z00_3928 =
												((BgL_variablez00_bglt) BgL_gz00_1729);
											{	/* Ast/unit.scm 506 */
												obj_t BgL_xz00_4239;

												BgL_xz00_4239 = BGl_za2objza2z00zztype_cachez00;
												BgL_val1610z00_3929 =
													((BgL_typez00_bglt) BgL_xz00_4239);
											}
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1611z00_3928)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1610z00_3929), BUNSPEC);
										}
										return BgL_gz00_1729;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-key-definition */
	obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t BgL_keysz00_69,
		obj_t BgL_idz00_70, obj_t BgL_modulez00_71, obj_t BgL_argsz00_72,
		obj_t BgL_bodyz00_73, obj_t BgL_srcz00_74, obj_t BgL_classz00_75,
		obj_t BgL_locz00_76)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 512 */
			{	/* Ast/unit.scm 513 */
				obj_t BgL_localsz00_1907;

				{	/* Ast/unit.scm 513 */
					obj_t BgL_arg4364z00_1912;
					obj_t BgL_arg4365z00_1913;

					{	/* Ast/unit.scm 513 */
						obj_t BgL_l3724z00_1914;

						BgL_l3724z00_1914 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_72);
						if (NULLP(BgL_l3724z00_1914))
							{	/* Ast/unit.scm 513 */
								BgL_arg4364z00_1912 = BNIL;
							}
						else
							{	/* Ast/unit.scm 513 */
								obj_t BgL_head3726z00_1916;

								{	/* Ast/unit.scm 513 */
									obj_t BgL_res5016z00_3934;

									BgL_res5016z00_3934 = MAKE_PAIR(BNIL, BNIL);
									BgL_head3726z00_1916 = BgL_res5016z00_3934;
								}
								{
									obj_t BgL_l3724z00_1918;
									obj_t BgL_tail3727z00_1919;

									BgL_l3724z00_1918 = BgL_l3724z00_1914;
									BgL_tail3727z00_1919 = BgL_head3726z00_1916;
								BgL_zc3anonymousza34367ze3z83_1920:
									if (NULLP(BgL_l3724z00_1918))
										{	/* Ast/unit.scm 513 */
											BgL_arg4364z00_1912 = CDR(BgL_head3726z00_1916);
										}
									else
										{	/* Ast/unit.scm 513 */
											obj_t BgL_newtail3728z00_1922;

											{	/* Ast/unit.scm 513 */
												BgL_localz00_bglt BgL_arg4370z00_1924;

												{	/* Ast/unit.scm 513 */
													obj_t BgL_az00_1925;

													BgL_az00_1925 = CAR(BgL_l3724z00_1918);
													{	/* Ast/unit.scm 514 */
														obj_t BgL_pidz00_1926;

														BgL_pidz00_1926 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_1925,
																BgL_locz00_76), BgL_srcz00_74);
														{	/* Ast/unit.scm 514 */
															obj_t BgL_idz00_1927;

															BgL_idz00_1927 = CAR(BgL_pidz00_1926);
															{	/* Ast/unit.scm 515 */
																obj_t BgL_typez00_1928;

																BgL_typez00_1928 = CDR(BgL_pidz00_1926);
																{	/* Ast/unit.scm 516 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_1927))
																		{	/* Ast/unit.scm 517 */
																			BgL_arg4370z00_1924 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_1927,
																				((BgL_typez00_bglt) BgL_typez00_1928));
																		}
																	else
																		{	/* Ast/unit.scm 517 */
																			BgL_arg4370z00_1924 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_1927,
																				((BgL_typez00_bglt) BgL_typez00_1928));
																		}
																}
															}
														}
													}
												}
												{	/* Ast/unit.scm 513 */
													obj_t BgL_res5018z00_3943;

													{	/* Ast/unit.scm 513 */
														obj_t BgL_obj1z00_3941;

														BgL_obj1z00_3941 = ((obj_t) BgL_arg4370z00_1924);
														BgL_res5018z00_3943 =
															MAKE_PAIR(BgL_obj1z00_3941, BNIL);
													}
													BgL_newtail3728z00_1922 = BgL_res5018z00_3943;
												}
											}
											SET_CDR(BgL_tail3727z00_1919, BgL_newtail3728z00_1922);
											{
												obj_t BgL_tail3727z00_5594;
												obj_t BgL_l3724z00_5592;

												BgL_l3724z00_5592 = CDR(BgL_l3724z00_1918);
												BgL_tail3727z00_5594 = BgL_newtail3728z00_1922;
												BgL_tail3727z00_1919 = BgL_tail3727z00_5594;
												BgL_l3724z00_1918 = BgL_l3724z00_5592;
												goto BgL_zc3anonymousza34367ze3z83_1920;
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 521 */
						obj_t BgL_head3731z00_1934;

						{	/* Ast/unit.scm 521 */
							obj_t BgL_res5020z00_3951;

							BgL_res5020z00_3951 = MAKE_PAIR(BNIL, BNIL);
							BgL_head3731z00_1934 = BgL_res5020z00_3951;
						}
						{
							obj_t BgL_l3729z00_1936;
							obj_t BgL_tail3732z00_1937;

							BgL_l3729z00_1936 = BgL_keysz00_69;
							BgL_tail3732z00_1937 = BgL_head3731z00_1934;
						BgL_zc3anonymousza34374ze3z83_1938:
							if (NULLP(BgL_l3729z00_1936))
								{	/* Ast/unit.scm 521 */
									BgL_arg4365z00_1913 = CDR(BgL_head3731z00_1934);
								}
							else
								{	/* Ast/unit.scm 521 */
									obj_t BgL_newtail3733z00_1940;

									{	/* Ast/unit.scm 521 */
										BgL_localz00_bglt BgL_arg4377z00_1942;

										{	/* Ast/unit.scm 521 */
											obj_t BgL_oz00_1943;

											BgL_oz00_1943 = CAR(BgL_l3729z00_1936);
											{	/* Ast/unit.scm 522 */
												obj_t BgL_az00_1944;

												BgL_az00_1944 = CAR(BgL_oz00_1943);
												{	/* Ast/unit.scm 522 */
													obj_t BgL_pidz00_1945;

													BgL_pidz00_1945 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_1944,
															BgL_locz00_76), BgL_srcz00_74);
													{	/* Ast/unit.scm 523 */
														obj_t BgL_idz00_1946;

														BgL_idz00_1946 = CAR(BgL_pidz00_1945);
														{	/* Ast/unit.scm 524 */
															obj_t BgL_typez00_1947;

															BgL_typez00_1947 = CDR(BgL_pidz00_1945);
															{	/* Ast/unit.scm 525 */

																BgL_arg4377z00_1942 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_1946,
																	((BgL_typez00_bglt) BgL_typez00_1947));
															}
														}
													}
												}
											}
										}
										{	/* Ast/unit.scm 521 */
											obj_t BgL_res5022z00_3961;

											{	/* Ast/unit.scm 521 */
												obj_t BgL_obj1z00_3959;

												BgL_obj1z00_3959 = ((obj_t) BgL_arg4377z00_1942);
												BgL_res5022z00_3961 = MAKE_PAIR(BgL_obj1z00_3959, BNIL);
											}
											BgL_newtail3733z00_1940 = BgL_res5022z00_3961;
										}
									}
									SET_CDR(BgL_tail3732z00_1937, BgL_newtail3733z00_1940);
									{
										obj_t BgL_tail3732z00_5612;
										obj_t BgL_l3729z00_5610;

										BgL_l3729z00_5610 = CDR(BgL_l3729z00_1936);
										BgL_tail3732z00_5612 = BgL_newtail3733z00_1940;
										BgL_tail3732z00_1937 = BgL_tail3732z00_5612;
										BgL_l3729z00_1936 = BgL_l3729z00_5610;
										goto BgL_zc3anonymousza34374ze3z83_1938;
									}
								}
						}
					}
					BgL_localsz00_1907 =
						BGl_appendzd221095zd2zzast_unitz00(BgL_arg4364z00_1912,
						BgL_arg4365z00_1913);
				}
				{	/* Ast/unit.scm 513 */
					BgL_globalz00_bglt BgL_gloz00_1908;

					BgL_gloz00_1908 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_70,
						BgL_argsz00_72, BgL_localsz00_1907, BgL_modulez00_71,
						BgL_classz00_75, BgL_srcz00_74, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_73);
					{	/* Ast/unit.scm 528 */
						BgL_globalz00_bglt BgL_cloz00_1909;

						BgL_cloz00_1909 =
							BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_gloz00_1908,
							BgL_keysz00_69, BgL_idz00_70, BgL_modulez00_71, BgL_argsz00_72,
							BgL_bodyz00_73, BgL_srcz00_74, BgL_classz00_75, BgL_locz00_76);
						{	/* Ast/unit.scm 529 */

							{	/* Ast/unit.scm 530 */
								obj_t BgL_list4362z00_1910;

								{	/* Ast/unit.scm 530 */
									obj_t BgL_arg4363z00_1911;

									BgL_arg4363z00_1911 =
										MAKE_PAIR(((obj_t) BgL_cloz00_1909), BNIL);
									BgL_list4362z00_1910 =
										MAKE_PAIR(((obj_t) BgL_gloz00_1908), BgL_arg4363z00_1911);
								}
								return BgL_list4362z00_1910;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-key-closure */
	BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_globalz00_bglt
		BgL_gloz00_77, obj_t BgL_keysz00_78, obj_t BgL_idz00_79,
		obj_t BgL_modulez00_80, obj_t BgL_argsz00_81, obj_t BgL_bodyz00_82,
		obj_t BgL_srcz00_83, obj_t BgL_classz00_84, obj_t BgL_locz00_85)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 537 */
			{	/* Ast/unit.scm 538 */
				long BgL_arityz00_1950;
				obj_t BgL_ioptz00_1951;
				long BgL_loptz00_1952;
				obj_t BgL_lz00_1953;
				obj_t BgL_searchz00_1954;
				obj_t BgL_checkz00_1955;
				obj_t BgL_varz00_1956;

				{	/* Ast/unit.scm 538 */
					BgL_funz00_bglt BgL_obj1854z00_3968;

					{	/* Ast/unit.scm 538 */
						BgL_variablez00_bglt BgL_obj1612z00_3967;

						BgL_obj1612z00_3967 = ((BgL_variablez00_bglt) BgL_gloz00_77);
						BgL_obj1854z00_3968 =
							((BgL_funz00_bglt)
							(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1612z00_3967)))->BgL_valuez00));
					}
					BgL_arityz00_1950 =
						(((BgL_funz00_bglt) CREF(
								((obj_t) BgL_obj1854z00_3968)))->BgL_arityz00);
				}
				BgL_ioptz00_1951 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)));
				BgL_loptz00_1952 = bgl_list_length(BgL_keysz00_78);
				BgL_lz00_1953 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)));
				BgL_searchz00_1954 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)));
				BgL_checkz00_1955 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)));
				BgL_varz00_1956 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)));
				{
					obj_t BgL_keysz00_1972;

					{	/* Ast/unit.scm 610 */
						obj_t BgL_idz00_1959;

						{	/* Ast/unit.scm 610 */
							obj_t BgL_arg4386z00_1969;

							{	/* Ast/unit.scm 610 */
								obj_t BgL_arg4387z00_1970;
								obj_t BgL_arg4388z00_1971;

								{	/* Ast/unit.scm 610 */
									obj_t BgL_res5046z00_4062;

									{	/* Ast/unit.scm 610 */
										obj_t BgL_symbolz00_4060;

										BgL_symbolz00_4060 = CNST_TABLE_REF(((long) 30));
										{	/* Ast/unit.scm 610 */
											obj_t BgL_arg2069z00_4061;

											BgL_arg2069z00_4061 =
												SYMBOL_TO_STRING(BgL_symbolz00_4060);
											BgL_res5046z00_4062 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_4061);
									}}
									BgL_arg4387z00_1970 = BgL_res5046z00_4062;
								}
								{	/* Ast/unit.scm 610 */
									obj_t BgL_res5047z00_4065;

									{	/* Ast/unit.scm 610 */
										obj_t BgL_arg2069z00_4064;

										BgL_arg2069z00_4064 = SYMBOL_TO_STRING(BgL_idz00_79);
										BgL_res5047z00_4065 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_4064);
									}
									BgL_arg4388z00_1971 = BgL_res5047z00_4065;
								}
								BgL_arg4386z00_1969 =
									string_append(BgL_arg4387z00_1970, BgL_arg4388z00_1971);
							}
							BgL_idz00_1959 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg4386z00_1969));
						}
						{	/* Ast/unit.scm 610 */
							BgL_localz00_bglt BgL_optz00_1960;

							{	/* Ast/unit.scm 611 */
								BgL_typez00_bglt BgL_auxz00_5646;

								{	/* Ast/unit.scm 611 */
									obj_t BgL_xz00_4257;

									BgL_xz00_4257 = BGl_za2vectorza2z00zztype_cachez00;
									BgL_auxz00_5646 = ((BgL_typez00_bglt) BgL_xz00_4257);
								}
								BgL_optz00_1960 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_ioptz00_1951,
									BgL_auxz00_5646);
							}
							{	/* Ast/unit.scm 611 */
								BgL_localz00_bglt BgL_envz00_1961;

								{	/* Ast/unit.scm 612 */
									BgL_typez00_bglt BgL_auxz00_5649;

									{	/* Ast/unit.scm 612 */
										obj_t BgL_xz00_4258;

										BgL_xz00_4258 = BGl_za2procedureza2z00zztype_cachez00;
										BgL_auxz00_5649 = ((BgL_typez00_bglt) BgL_xz00_4258);
									}
									BgL_envz00_1961 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 31)), BgL_auxz00_5649);
								}
								{	/* Ast/unit.scm 612 */
									BgL_globalz00_bglt BgL_gz00_1962;

									{	/* Ast/unit.scm 613 */
										obj_t BgL_arg4379z00_1963;
										obj_t BgL_arg4381z00_1964;

										{	/* Ast/unit.scm 613 */
											obj_t BgL_list4382z00_1965;

											{	/* Ast/unit.scm 613 */
												obj_t BgL_arg4383z00_1966;

												BgL_arg4383z00_1966 =
													MAKE_PAIR(((obj_t) BgL_optz00_1960), BNIL);
												BgL_list4382z00_1965 =
													MAKE_PAIR(
													((obj_t) BgL_envz00_1961), BgL_arg4383z00_1966);
											}
											BgL_arg4379z00_1963 = BgL_list4382z00_1965;
										}
										{	/* Ast/unit.scm 615 */
											obj_t BgL_auxz00_5657;

											{	/* Ast/unit.scm 616 */
												obj_t BgL_auxz00_5658;

												{	/* Ast/unit.scm 551 */
													obj_t BgL_arg4398z00_1990;
													obj_t BgL_arg4399z00_1991;

													BgL_arg4398z00_1990 = BGl_letzd2symzd2zzast_letz00();
													{	/* Ast/unit.scm 551 */
														obj_t BgL_arg4400z00_1992;
														obj_t BgL_arg4401z00_1993;

														{	/* Ast/unit.scm 551 */
															obj_t BgL_arg4402z00_1994;

															{	/* Ast/unit.scm 551 */
																obj_t BgL_arg4403z00_1995;

																{	/* Ast/unit.scm 551 */
																	obj_t BgL_arg4404z00_1996;

																	{	/* Ast/unit.scm 551 */
																		obj_t BgL_arg4405z00_1997;

																		BgL_arg4405z00_1997 =
																			MAKE_PAIR(BgL_ioptz00_1951, BNIL);
																		BgL_arg4404z00_1996 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
																			BgL_arg4405z00_1997);
																	}
																	BgL_arg4403z00_1995 =
																		MAKE_PAIR(BgL_arg4404z00_1996, BNIL);
																}
																BgL_arg4402z00_1994 =
																	MAKE_PAIR(BgL_lz00_1953, BgL_arg4403z00_1995);
															}
															BgL_arg4400z00_1992 =
																MAKE_PAIR(BgL_arg4402z00_1994, BNIL);
														}
														{	/* Ast/unit.scm 552 */
															obj_t BgL_arg4406z00_1998;

															{	/* Ast/unit.scm 552 */
																obj_t BgL_arg4407z00_1999;

																{	/* Ast/unit.scm 552 */
																	obj_t BgL_arg4408z00_2000;
																	obj_t BgL_arg4409z00_2001;

																	{	/* Ast/unit.scm 552 */
																		obj_t BgL_arg4410z00_2002;

																		{	/* Ast/unit.scm 552 */
																			obj_t BgL_arg4411z00_2003;

																			{	/* Ast/unit.scm 552 */
																				obj_t BgL_arg4412z00_2004;
																				obj_t BgL_arg4413z00_2005;

																				{	/* Ast/unit.scm 552 */
																					obj_t BgL_arg4414z00_2006;

																					BgL_arg4414z00_2006 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								39)), BNIL);
																					BgL_arg4412z00_2004 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								40)), BgL_arg4414z00_2006);
																				}
																				{	/* Ast/unit.scm 553 */
																					obj_t BgL_arg4415z00_2007;

																					{	/* Ast/unit.scm 553 */
																						obj_t BgL_arg4416z00_2008;

																						{	/* Ast/unit.scm 553 */
																							obj_t BgL_arg4418z00_2009;
																							obj_t BgL_arg4419z00_2010;

																							{	/* Ast/unit.scm 553 */
																								obj_t BgL_arg4420z00_2011;

																								{	/* Ast/unit.scm 553 */
																									obj_t BgL_arg4421z00_2012;

																									BgL_arg4421z00_2012 =
																										MAKE_PAIR(BgL_lz00_1953,
																										BNIL);
																									BgL_arg4420z00_2011 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 39)),
																										BgL_arg4421z00_2012);
																								}
																								BgL_arg4418z00_2009 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 41)),
																									BgL_arg4420z00_2011);
																							}
																							{	/* Ast/unit.scm 555 */
																								obj_t BgL_arg4422z00_2013;

																								{	/* Ast/unit.scm 555 */
																									obj_t BgL_arg4423z00_2014;

																									if (CBOOL
																										(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																										{	/* Ast/unit.scm 556 */
																											obj_t BgL_arg4424z00_2015;
																											obj_t BgL_arg4425z00_2016;

																											BgL_arg4424z00_2015 =
																												BGl_letzd2symzd2zzast_letz00
																												();
																											{	/* Ast/unit.scm 556 */
																												obj_t
																													BgL_arg4426z00_2017;
																												obj_t
																													BgL_arg4427z00_2018;
																												{	/* Ast/unit.scm 556 */
																													obj_t
																														BgL_arg4428z00_2019;
																													{	/* Ast/unit.scm 556 */
																														obj_t
																															BgL_arg4429z00_2020;
																														{	/* Ast/unit.scm 556 */
																															obj_t
																																BgL_arg4430z00_2021;
																															{	/* Ast/unit.scm 556 */
																																obj_t
																																	BgL_arg4431z00_2022;
																																{	/* Ast/unit.scm 556 */
																																	obj_t
																																		BgL_arg4432z00_2023;
																																	BgL_arg4432z00_2023
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				39)),
																																		BNIL);
																																	BgL_arg4431z00_2022
																																		=
																																		MAKE_PAIR
																																		(BgL_ioptz00_1951,
																																		BgL_arg4432z00_2023);
																																}
																																BgL_arg4430z00_2021
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 22)),
																																	BgL_arg4431z00_2022);
																															}
																															BgL_arg4429z00_2020
																																=
																																MAKE_PAIR
																																(BgL_arg4430z00_2021,
																																BNIL);
																														}
																														BgL_arg4428z00_2019
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 42)),
																															BgL_arg4429z00_2020);
																													}
																													BgL_arg4426z00_2017 =
																														MAKE_PAIR
																														(BgL_arg4428z00_2019,
																														BNIL);
																												}
																												{	/* Ast/unit.scm 557 */
																													obj_t
																														BgL_arg4433z00_2024;
																													{	/* Ast/unit.scm 557 */
																														obj_t
																															BgL_arg4434z00_2025;
																														{	/* Ast/unit.scm 557 */
																															obj_t
																																BgL_arg4435z00_2026;
																															obj_t
																																BgL_arg4436z00_2027;
																															{	/* Ast/unit.scm 557 */
																																obj_t
																																	BgL_arg4437z00_2028;
																																{	/* Ast/unit.scm 557 */
																																	obj_t
																																		BgL_arg4438z00_2029;
																																	BgL_arg4438z00_2029
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				40)),
																																		BNIL);
																																	BgL_arg4437z00_2028
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				42)),
																																		BgL_arg4438z00_2029);
																																}
																																BgL_arg4435z00_2026
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 43)),
																																	BgL_arg4437z00_2028);
																															}
																															{	/* Ast/unit.scm 558 */
																																obj_t
																																	BgL_arg4439z00_2030;
																																obj_t
																																	BgL_arg4440z00_2031;
																																{	/* Ast/unit.scm 558 */
																																	obj_t
																																		BgL_arg4441z00_2032;
																																	{	/* Ast/unit.scm 558 */
																																		obj_t
																																			BgL_arg4442z00_2033;
																																		BgL_arg4442z00_2033
																																			=
																																			MAKE_PAIR
																																			(BINT((
																																					(long)
																																					1)),
																																			BNIL);
																																		BgL_arg4441z00_2032
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					39)),
																																			BgL_arg4442z00_2033);
																																	}
																																	BgL_arg4439z00_2030
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				44)),
																																		BgL_arg4441z00_2032);
																																}
																																{	/* Ast/unit.scm 559 */
																																	obj_t
																																		BgL_arg4443z00_2034;
																																	{	/* Ast/unit.scm 559 */
																																		obj_t
																																			BgL_arg4444z00_2035;
																																		{	/* Ast/unit.scm 559 */
																																			obj_t
																																				BgL_arg4445z00_2036;
																																			{	/* Ast/unit.scm 559 */
																																				obj_t
																																					BgL_arg4446z00_2037;
																																				{	/* Ast/unit.scm 559 */
																																					obj_t
																																						BgL_arg4447z00_2038;
																																					{	/* Ast/unit.scm 559 */
																																						obj_t
																																							BgL_arg4448z00_2039;
																																						BgL_arg4448z00_2039
																																							=
																																							MAKE_PAIR
																																							(BINT
																																							(((long) 2)), BNIL);
																																						BgL_arg4447z00_2038
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 39)), BgL_arg4448z00_2039);
																																					}
																																					BgL_arg4446z00_2037
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 44)), BgL_arg4447z00_2038);
																																				}
																																				BgL_arg4445z00_2036
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4446z00_2037,
																																					BNIL);
																																			}
																																			BgL_arg4444z00_2035
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						40)),
																																				BgL_arg4445z00_2036);
																																		}
																																		BgL_arg4443z00_2034
																																			=
																																			MAKE_PAIR
																																			(BgL_searchz00_1954,
																																			BgL_arg4444z00_2035);
																																	}
																																	BgL_arg4440z00_2031
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4443z00_2034,
																																		BNIL);
																																}
																																BgL_arg4436z00_2027
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4439z00_2030,
																																	BgL_arg4440z00_2031);
																															}
																															BgL_arg4434z00_2025
																																=
																																MAKE_PAIR
																																(BgL_arg4435z00_2026,
																																BgL_arg4436z00_2027);
																														}
																														BgL_arg4433z00_2024
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 3)),
																															BgL_arg4434z00_2025);
																													}
																													BgL_arg4427z00_2018 =
																														MAKE_PAIR
																														(BgL_arg4433z00_2024,
																														BNIL);
																												}
																												BgL_arg4425z00_2016 =
																													MAKE_PAIR
																													(BgL_arg4426z00_2017,
																													BgL_arg4427z00_2018);
																											}
																											BgL_arg4423z00_2014 =
																												MAKE_PAIR
																												(BgL_arg4424z00_2015,
																												BgL_arg4425z00_2016);
																										}
																									else
																										{	/* Ast/unit.scm 560 */
																											obj_t BgL_arg4449z00_2040;

																											{	/* Ast/unit.scm 560 */
																												obj_t
																													BgL_arg4450z00_2041;
																												obj_t
																													BgL_arg4452z00_2042;
																												{	/* Ast/unit.scm 560 */
																													obj_t
																														BgL_arg4453z00_2043;
																													{	/* Ast/unit.scm 560 */
																														obj_t
																															BgL_arg4454z00_2044;
																														{	/* Ast/unit.scm 560 */
																															obj_t
																																BgL_arg4455z00_2045;
																															{	/* Ast/unit.scm 560 */
																																obj_t
																																	BgL_arg4456z00_2046;
																																{	/* Ast/unit.scm 560 */
																																	obj_t
																																		BgL_arg4457z00_2047;
																																	BgL_arg4457z00_2047
																																		=
																																		MAKE_PAIR
																																		(BINT((
																																				(long)
																																				1)),
																																		BNIL);
																																	BgL_arg4456z00_2046
																																		=
																																		MAKE_PAIR
																																		(BgL_lz00_1953,
																																		BgL_arg4457z00_2047);
																																}
																																BgL_arg4455z00_2045
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 45)),
																																	BgL_arg4456z00_2046);
																															}
																															BgL_arg4454z00_2044
																																=
																																MAKE_PAIR
																																(BgL_arg4455z00_2045,
																																BNIL);
																														}
																														BgL_arg4453z00_2043
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 39)),
																															BgL_arg4454z00_2044);
																													}
																													BgL_arg4450z00_2041 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 41)),
																														BgL_arg4453z00_2043);
																												}
																												{	/* Ast/unit.scm 561 */
																													obj_t
																														BgL_arg4458z00_2048;
																													obj_t
																														BgL_arg4459z00_2049;
																													{	/* Ast/unit.scm 561 */
																														obj_t
																															BgL_arg4460z00_2050;
																														obj_t
																															BgL_arg4461z00_2051;
																														{	/* Ast/unit.scm 561 */
																															obj_t
																																BgL_arg4462z00_2052;
																															{	/* Ast/unit.scm 561 */
																																obj_t
																																	BgL_arg4463z00_2053;
																																BgL_arg4463z00_2053
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 25)),
																																	BNIL);
																																BgL_arg4462z00_2052
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 26)),
																																	BgL_arg4463z00_2053);
																															}
																															BgL_arg4460z00_2050
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 0)),
																																BgL_arg4462z00_2052);
																														}
																														{	/* Ast/unit.scm 562 */
																															obj_t
																																BgL_arg4464z00_2054;
																															obj_t
																																BgL_arg4465z00_2055;
																															{	/* Ast/unit.scm 562 */
																																obj_t
																																	BgL_arg4466z00_2056;
																																BgL_arg4466z00_2056
																																	=
																																	MAKE_PAIR
																																	(BgL_idz00_79,
																																	BNIL);
																																BgL_arg4464z00_2054
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 27)),
																																	BgL_arg4466z00_2056);
																															}
																															{	/* Ast/unit.scm 565 */
																																obj_t
																																	BgL_arg4467z00_2057;
																																obj_t
																																	BgL_arg4468z00_2058;
																																{	/* Ast/unit.scm 565 */
																																	obj_t
																																		BgL_arg4469z00_2059;
																																	obj_t
																																		BgL_arg4470z00_2060;
																																	{	/* Ast/unit.scm 565 */

																																		BgL_arg4469z00_2059
																																			=
																																			BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																			(BgL_arityz00_1950,
																																			((long)
																																				10));
																																	}
																																	{	/* Ast/unit.scm 566 */

																																		BgL_arg4470z00_2060
																																			=
																																			BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																			((long)
																																			CINT(BINT(
																																					(BgL_arityz00_1950
																																						+
																																						BgL_loptz00_1952))),
																																			((long)
																																				10));
																																	}
																																	{	/* Ast/unit.scm 563 */
																																		obj_t
																																			BgL_list4471z00_2061;
																																		{	/* Ast/unit.scm 563 */
																																			obj_t
																																				BgL_arg4472z00_2062;
																																			{	/* Ast/unit.scm 563 */
																																				obj_t
																																					BgL_arg4473z00_2063;
																																				{	/* Ast/unit.scm 563 */
																																					obj_t
																																						BgL_arg4474z00_2064;
																																					{	/* Ast/unit.scm 563 */
																																						obj_t
																																							BgL_arg4475z00_2065;
																																						BgL_arg4475z00_2065
																																							=
																																							MAKE_PAIR
																																							(BGl_string5081z00zzast_unitz00,
																																							BNIL);
																																						BgL_arg4474z00_2064
																																							=
																																							MAKE_PAIR
																																							(BgL_arg4470z00_2060,
																																							BgL_arg4475z00_2065);
																																					}
																																					BgL_arg4473z00_2063
																																						=
																																						MAKE_PAIR
																																						(BGl_string5082z00zzast_unitz00,
																																						BgL_arg4474z00_2064);
																																				}
																																				BgL_arg4472z00_2062
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4469z00_2059,
																																					BgL_arg4473z00_2063);
																																			}
																																			BgL_list4471z00_2061
																																				=
																																				MAKE_PAIR
																																				(BGl_string5083z00zzast_unitz00,
																																				BgL_arg4472z00_2062);
																																		}
																																		BgL_arg4467z00_2057
																																			=
																																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																			(BgL_list4471z00_2061);
																																}}
																																{	/* Ast/unit.scm 568 */
																																	obj_t
																																		BgL_arg4477z00_2071;
																																	{	/* Ast/unit.scm 568 */
																																		obj_t
																																			BgL_arg4478z00_2072;
																																		BgL_arg4478z00_2072
																																			=
																																			MAKE_PAIR
																																			(BgL_ioptz00_1951,
																																			BNIL);
																																		BgL_arg4477z00_2071
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					23)),
																																			BgL_arg4478z00_2072);
																																	}
																																	BgL_arg4468z00_2058
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4477z00_2071,
																																		BNIL);
																																}
																																BgL_arg4465z00_2055
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4467z00_2057,
																																	BgL_arg4468z00_2058);
																															}
																															BgL_arg4461z00_2051
																																=
																																MAKE_PAIR
																																(BgL_arg4464z00_2054,
																																BgL_arg4465z00_2055);
																														}
																														BgL_arg4458z00_2048
																															=
																															MAKE_PAIR
																															(BgL_arg4460z00_2050,
																															BgL_arg4461z00_2051);
																													}
																													{	/* Ast/unit.scm 569 */
																														obj_t
																															BgL_arg4479z00_2073;
																														{	/* Ast/unit.scm 569 */
																															obj_t
																																BgL_arg4480z00_2074;
																															{	/* Ast/unit.scm 569 */
																																obj_t
																																	BgL_arg4481z00_2075;
																																obj_t
																																	BgL_arg4482z00_2076;
																																{	/* Ast/unit.scm 569 */
																																	obj_t
																																		BgL_arg4483z00_2077;
																																	{	/* Ast/unit.scm 569 */
																																		obj_t
																																			BgL_arg4484z00_2078;
																																		{	/* Ast/unit.scm 569 */
																																			obj_t
																																				BgL_arg4485z00_2079;
																																			{	/* Ast/unit.scm 569 */
																																				obj_t
																																					BgL_arg4486z00_2080;
																																				{	/* Ast/unit.scm 569 */
																																					obj_t
																																						BgL_arg4487z00_2081;
																																					BgL_arg4487z00_2081
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 39)), BNIL);
																																					BgL_arg4486z00_2080
																																						=
																																						MAKE_PAIR
																																						(BgL_ioptz00_1951,
																																						BgL_arg4487z00_2081);
																																				}
																																				BgL_arg4485z00_2079
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 22)), BgL_arg4486z00_2080);
																																			}
																																			BgL_arg4484z00_2078
																																				=
																																				MAKE_PAIR
																																				(BgL_arg4485z00_2079,
																																				BNIL);
																																		}
																																		BgL_arg4483z00_2077
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					42)),
																																			BgL_arg4484z00_2078);
																																	}
																																	BgL_arg4481z00_2075
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4483z00_2077,
																																		BNIL);
																																}
																																{	/* Ast/unit.scm 570 */
																																	obj_t
																																		BgL_arg4488z00_2082;
																																	{	/* Ast/unit.scm 570 */
																																		obj_t
																																			BgL_arg4489z00_2083;
																																		{	/* Ast/unit.scm 570 */
																																			obj_t
																																				BgL_arg4490z00_2084;
																																			obj_t
																																				BgL_arg4491z00_2085;
																																			{	/* Ast/unit.scm 570 */
																																				obj_t
																																					BgL_arg4492z00_2086;
																																				{	/* Ast/unit.scm 570 */
																																					obj_t
																																						BgL_arg4493z00_2087;
																																					BgL_arg4493z00_2087
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 40)), BNIL);
																																					BgL_arg4492z00_2086
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 42)), BgL_arg4493z00_2087);
																																				}
																																				BgL_arg4490z00_2084
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 43)), BgL_arg4492z00_2086);
																																			}
																																			{	/* Ast/unit.scm 571 */
																																				obj_t
																																					BgL_arg4494z00_2088;
																																				obj_t
																																					BgL_arg4495z00_2089;
																																				{	/* Ast/unit.scm 571 */
																																					obj_t
																																						BgL_arg4496z00_2090;
																																					{	/* Ast/unit.scm 571 */
																																						obj_t
																																							BgL_arg4497z00_2091;
																																						BgL_arg4497z00_2091
																																							=
																																							MAKE_PAIR
																																							(BINT
																																							(((long) 1)), BNIL);
																																						BgL_arg4496z00_2090
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 39)), BgL_arg4497z00_2091);
																																					}
																																					BgL_arg4494z00_2088
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 44)), BgL_arg4496z00_2090);
																																				}
																																				{	/* Ast/unit.scm 572 */
																																					obj_t
																																						BgL_arg4498z00_2092;
																																					{	/* Ast/unit.scm 572 */
																																						obj_t
																																							BgL_arg4499z00_2093;
																																						{	/* Ast/unit.scm 572 */
																																							obj_t
																																								BgL_arg4500z00_2094;
																																							{	/* Ast/unit.scm 572 */
																																								obj_t
																																									BgL_arg4501z00_2095;
																																								{	/* Ast/unit.scm 572 */
																																									obj_t
																																										BgL_arg4502z00_2096;
																																									{	/* Ast/unit.scm 572 */
																																										obj_t
																																											BgL_arg4503z00_2097;
																																										BgL_arg4503z00_2097
																																											=
																																											MAKE_PAIR
																																											(BINT
																																											(((long) 2)), BNIL);
																																										BgL_arg4502z00_2096
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 39)), BgL_arg4503z00_2097);
																																									}
																																									BgL_arg4501z00_2095
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 44)), BgL_arg4502z00_2096);
																																								}
																																								BgL_arg4500z00_2094
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4501z00_2095,
																																									BNIL);
																																							}
																																							BgL_arg4499z00_2093
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 40)), BgL_arg4500z00_2094);
																																						}
																																						BgL_arg4498z00_2092
																																							=
																																							MAKE_PAIR
																																							(BgL_searchz00_1954,
																																							BgL_arg4499z00_2093);
																																					}
																																					BgL_arg4495z00_2089
																																						=
																																						MAKE_PAIR
																																						(BgL_arg4498z00_2092,
																																						BNIL);
																																				}
																																				BgL_arg4491z00_2085
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4494z00_2088,
																																					BgL_arg4495z00_2089);
																																			}
																																			BgL_arg4489z00_2083
																																				=
																																				MAKE_PAIR
																																				(BgL_arg4490z00_2084,
																																				BgL_arg4491z00_2085);
																																		}
																																		BgL_arg4488z00_2082
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					3)),
																																			BgL_arg4489z00_2083);
																																	}
																																	BgL_arg4482z00_2076
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4488z00_2082,
																																		BNIL);
																																}
																																BgL_arg4480z00_2074
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4481z00_2075,
																																	BgL_arg4482z00_2076);
																															}
																															BgL_arg4479z00_2073
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 46)),
																																BgL_arg4480z00_2074);
																														}
																														BgL_arg4459z00_2049
																															=
																															MAKE_PAIR
																															(BgL_arg4479z00_2073,
																															BNIL);
																													}
																													BgL_arg4452z00_2042 =
																														MAKE_PAIR
																														(BgL_arg4458z00_2048,
																														BgL_arg4459z00_2049);
																												}
																												BgL_arg4449z00_2040 =
																													MAKE_PAIR
																													(BgL_arg4450z00_2041,
																													BgL_arg4452z00_2042);
																											}
																											BgL_arg4423z00_2014 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 3)),
																												BgL_arg4449z00_2040);
																										}
																									BgL_arg4422z00_2013 =
																										MAKE_PAIR
																										(BgL_arg4423z00_2014, BNIL);
																								}
																								BgL_arg4419z00_2010 =
																									MAKE_PAIR(BINT(((long) -1)),
																									BgL_arg4422z00_2013);
																							}
																							BgL_arg4416z00_2008 =
																								MAKE_PAIR(BgL_arg4418z00_2009,
																								BgL_arg4419z00_2010);
																						}
																						BgL_arg4415z00_2007 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									3)), BgL_arg4416z00_2008);
																					}
																					BgL_arg4413z00_2005 =
																						MAKE_PAIR(BgL_arg4415z00_2007,
																						BNIL);
																				}
																				BgL_arg4411z00_2003 =
																					MAKE_PAIR(BgL_arg4412z00_2004,
																					BgL_arg4413z00_2005);
																			}
																			BgL_arg4410z00_2002 =
																				MAKE_PAIR(BgL_searchz00_1954,
																				BgL_arg4411z00_2003);
																		}
																		BgL_arg4408z00_2000 =
																			MAKE_PAIR(BgL_arg4410z00_2002, BNIL);
																	}
																	{	/* Ast/unit.scm 573 */
																		obj_t BgL_arg4504z00_2098;

																		{	/* Ast/unit.scm 573 */
																			obj_t BgL_arg4505z00_2099;

																			{	/* Ast/unit.scm 573 */
																				obj_t BgL_arg4506z00_2100;
																				obj_t BgL_arg4507z00_2101;

																				{	/* Ast/unit.scm 573 */
																					obj_t BgL_ll3739z00_2102;
																					obj_t BgL_ll3740z00_2103;

																					{	/* Ast/unit.scm 575 */
																						obj_t BgL_auxz00_5809;

																						{	/* Ast/unit.scm 575 */
																							BgL_sfunz00_bglt
																								BgL_obj1923z00_3986;
																							{	/* Ast/unit.scm 575 */
																								BgL_variablez00_bglt
																									BgL_obj1612z00_3985;
																								BgL_obj1612z00_3985 =
																									((BgL_variablez00_bglt)
																									BgL_gloz00_77);
																								BgL_obj1923z00_3986 =
																									((BgL_sfunz00_bglt) ((
																											(BgL_variablez00_bglt)
																											CREF(((obj_t)
																													BgL_obj1612z00_3985)))->
																										BgL_valuez00));
																							}
																							BgL_auxz00_5809 =
																								(((BgL_sfunz00_bglt) CREF(
																										((obj_t)
																											BgL_obj1923z00_3986)))->
																								BgL_argszd2namezd2);
																						}
																						BgL_ll3739z00_2102 =
																							BGl_takez00zz__r4_pairs_and_lists_6_3z00
																							(BgL_auxz00_5809,
																							BgL_arityz00_1950);
																					}
																					BgL_ll3740z00_2103 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						((int) (BgL_arityz00_1950), BNIL);
																					if (NULLP(BgL_ll3739z00_2102))
																						{	/* Ast/unit.scm 573 */
																							BgL_arg4506z00_2100 = BNIL;
																						}
																					else
																						{	/* Ast/unit.scm 573 */
																							obj_t BgL_head3741z00_2105;

																							{	/* Ast/unit.scm 573 */
																								obj_t BgL_res5029z00_3991;

																								BgL_res5029z00_3991 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head3741z00_2105 =
																									BgL_res5029z00_3991;
																							}
																							{
																								obj_t BgL_ll3739z00_2107;
																								obj_t BgL_ll3740z00_2108;
																								obj_t BgL_tail3742z00_2109;

																								BgL_ll3739z00_2107 =
																									BgL_ll3739z00_2102;
																								BgL_ll3740z00_2108 =
																									BgL_ll3740z00_2103;
																								BgL_tail3742z00_2109 =
																									BgL_head3741z00_2105;
																							BgL_zc3anonymousza34509ze3z83_2110:
																								if (NULLP
																									(BgL_ll3739z00_2107))
																									{	/* Ast/unit.scm 573 */
																										BgL_arg4506z00_2100 =
																											CDR(BgL_head3741z00_2105);
																									}
																								else
																									{	/* Ast/unit.scm 573 */
																										obj_t
																											BgL_newtail3743z00_2112;
																										{	/* Ast/unit.scm 573 */
																											obj_t BgL_arg4513z00_2115;

																											{	/* Ast/unit.scm 573 */
																												obj_t BgL_vz00_2116;
																												obj_t BgL_iz00_2117;

																												BgL_vz00_2116 =
																													CAR
																													(BgL_ll3739z00_2107);
																												BgL_iz00_2117 =
																													CAR
																													(BgL_ll3740z00_2108);
																												{	/* Ast/unit.scm 574 */
																													obj_t
																														BgL_arg4514z00_2118;
																													{	/* Ast/unit.scm 574 */
																														obj_t
																															BgL_arg4515z00_2119;
																														{	/* Ast/unit.scm 574 */
																															obj_t
																																BgL_arg4516z00_2120;
																															{	/* Ast/unit.scm 574 */
																																obj_t
																																	BgL_arg4517z00_2121;
																																BgL_arg4517z00_2121
																																	=
																																	MAKE_PAIR
																																	(BgL_iz00_2117,
																																	BNIL);
																																BgL_arg4516z00_2120
																																	=
																																	MAKE_PAIR
																																	(BgL_ioptz00_1951,
																																	BgL_arg4517z00_2121);
																															}
																															BgL_arg4515z00_2119
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 22)),
																																BgL_arg4516z00_2120);
																														}
																														BgL_arg4514z00_2118
																															=
																															MAKE_PAIR
																															(BgL_arg4515z00_2119,
																															BNIL);
																													}
																													BgL_arg4513z00_2115 =
																														MAKE_PAIR
																														(BgL_vz00_2116,
																														BgL_arg4514z00_2118);
																											}}
																											{	/* Ast/unit.scm 573 */
																												obj_t
																													BgL_res5031z00_3999;
																												BgL_res5031z00_3999 =
																													MAKE_PAIR
																													(BgL_arg4513z00_2115,
																													BNIL);
																												BgL_newtail3743z00_2112
																													= BgL_res5031z00_3999;
																										}}
																										SET_CDR
																											(BgL_tail3742z00_2109,
																											BgL_newtail3743z00_2112);
																										{
																											obj_t
																												BgL_tail3742z00_5839;
																											obj_t BgL_ll3740z00_5837;
																											obj_t BgL_ll3739z00_5835;

																											BgL_ll3739z00_5835 =
																												CDR(BgL_ll3739z00_2107);
																											BgL_ll3740z00_5837 =
																												CDR(BgL_ll3740z00_2108);
																											BgL_tail3742z00_5839 =
																												BgL_newtail3743z00_2112;
																											BgL_tail3742z00_2109 =
																												BgL_tail3742z00_5839;
																											BgL_ll3740z00_2108 =
																												BgL_ll3740z00_5837;
																											BgL_ll3739z00_2107 =
																												BgL_ll3739z00_5835;
																											goto
																												BgL_zc3anonymousza34509ze3z83_2110;
																										}
																									}
																							}
																						}
																				}
																				{	/* Ast/unit.scm 577 */
																					obj_t BgL_arg4521z00_2126;

																					{	/* Ast/unit.scm 577 */
																						obj_t BgL_arg4522z00_2127;

																						{	/* Ast/unit.scm 577 */
																							obj_t BgL_arg4523z00_2128;
																							obj_t BgL_arg4524z00_2129;

																							{	/* Ast/unit.scm 577 */
																								obj_t BgL_head3747z00_2132;

																								{	/* Ast/unit.scm 577 */
																									obj_t BgL_res5033z00_4008;

																									BgL_res5033z00_4008 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_head3747z00_2132 =
																										BgL_res5033z00_4008;
																								}
																								{
																									obj_t BgL_l3745z00_2134;
																									obj_t BgL_tail3748z00_2135;

																									BgL_l3745z00_2134 =
																										BgL_keysz00_78;
																									BgL_tail3748z00_2135 =
																										BgL_head3747z00_2132;
																								BgL_zc3anonymousza34526ze3z83_2136:
																									if (NULLP
																										(BgL_l3745z00_2134))
																										{	/* Ast/unit.scm 577 */
																											BgL_arg4523z00_2128 =
																												CDR
																												(BgL_head3747z00_2132);
																										}
																									else
																										{	/* Ast/unit.scm 577 */
																											obj_t
																												BgL_newtail3749z00_2138;
																											{	/* Ast/unit.scm 577 */
																												obj_t
																													BgL_arg4529z00_2140;
																												{	/* Ast/unit.scm 577 */
																													obj_t BgL_pz00_2141;

																													BgL_pz00_2141 =
																														CAR
																														(BgL_l3745z00_2134);
																													{	/* Ast/unit.scm 577 */
																														obj_t
																															BgL_arg4530z00_2142;
																														obj_t
																															BgL_arg4531z00_2143;
																														BgL_arg4530z00_2142
																															=
																															CAR
																															(BgL_pz00_2141);
																														{	/* Ast/unit.scm 577 */
																															obj_t
																																BgL_pairz00_4014;
																															BgL_pairz00_4014 =
																																BgL_pz00_2141;
																															BgL_arg4531z00_2143
																																=
																																CAR(CDR
																																(BgL_pairz00_4014));
																														}
																														{	/* Ast/unit.scm 577 */
																															obj_t
																																BgL_list4532z00_2144;
																															{	/* Ast/unit.scm 577 */
																																obj_t
																																	BgL_arg4533z00_2145;
																																BgL_arg4533z00_2145
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4531z00_2143,
																																	BNIL);
																																BgL_list4532z00_2144
																																	=
																																	MAKE_PAIR
																																	(BgL_arg4530z00_2142,
																																	BgL_arg4533z00_2145);
																															}
																															BgL_arg4529z00_2140
																																=
																																BgL_list4532z00_2144;
																														}
																													}
																												}
																												{	/* Ast/unit.scm 577 */
																													obj_t
																														BgL_res5036z00_4022;
																													BgL_res5036z00_4022 =
																														MAKE_PAIR
																														(BgL_arg4529z00_2140,
																														BNIL);
																													BgL_newtail3749z00_2138
																														=
																														BgL_res5036z00_4022;
																												}
																											}
																											SET_CDR
																												(BgL_tail3748z00_2135,
																												BgL_newtail3749z00_2138);
																											{
																												obj_t
																													BgL_tail3748z00_5854;
																												obj_t BgL_l3745z00_5852;

																												BgL_l3745z00_5852 =
																													CDR
																													(BgL_l3745z00_2134);
																												BgL_tail3748z00_5854 =
																													BgL_newtail3749z00_2138;
																												BgL_tail3748z00_2135 =
																													BgL_tail3748z00_5854;
																												BgL_l3745z00_2134 =
																													BgL_l3745z00_5852;
																												goto
																													BgL_zc3anonymousza34526ze3z83_2136;
																											}
																										}
																								}
																							}
																							{	/* Ast/unit.scm 579 */
																								obj_t BgL_arg4534z00_2147;
																								obj_t BgL_arg4535z00_2148;

																								if (CBOOL
																									(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																									{	/* Ast/unit.scm 579 */
																										BgL_arg4534z00_2147 =
																											BUNSPEC;
																									}
																								else
																									{	/* Ast/unit.scm 581 */
																										obj_t BgL_arg4536z00_2149;

																										{	/* Ast/unit.scm 581 */
																											obj_t BgL_arg4537z00_2150;
																											obj_t BgL_arg4538z00_2151;

																											{	/* Ast/unit.scm 581 */
																												obj_t
																													BgL_arg4539z00_2152;
																												{	/* Ast/unit.scm 581 */
																													obj_t
																														BgL_arg4540z00_2153;
																													{	/* Ast/unit.scm 581 */
																														obj_t
																															BgL_arg4541z00_2154;
																														obj_t
																															BgL_arg4542z00_2155;
																														BgL_arg4541z00_2154
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 39)),
																															BNIL);
																														{	/* Ast/unit.scm 582 */
																															obj_t
																																BgL_arg4543z00_2156;
																															{	/* Ast/unit.scm 582 */
																																obj_t
																																	BgL_arg4544z00_2157;
																																{	/* Ast/unit.scm 582 */
																																	obj_t
																																		BgL_arg4545z00_2158;
																																	obj_t
																																		BgL_arg4546z00_2159;
																																	{	/* Ast/unit.scm 582 */
																																		obj_t
																																			BgL_arg4547z00_2160;
																																		{	/* Ast/unit.scm 582 */
																																			obj_t
																																				BgL_arg4548z00_2161;
																																			BgL_arg4548z00_2161
																																				=
																																				MAKE_PAIR
																																				(BgL_lz00_1953,
																																				BNIL);
																																			BgL_arg4547z00_2160
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						39)),
																																				BgL_arg4548z00_2161);
																																		}
																																		BgL_arg4545z00_2158
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					41)),
																																			BgL_arg4547z00_2160);
																																	}
																																	{	/* Ast/unit.scm 583 */
																																		obj_t
																																			BgL_arg4549z00_2162;
																																		obj_t
																																			BgL_arg4550z00_2163;
																																		{	/* Ast/unit.scm 583 */
																																			obj_t
																																				BgL_arg4551z00_2164;
																																			BgL_arg4551z00_2164
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg4549z00_2162
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						27)),
																																				BgL_arg4551z00_2164);
																																		}
																																		{	/* Ast/unit.scm 584 */
																																			obj_t
																																				BgL_arg4552z00_2165;
																																			{	/* Ast/unit.scm 584 */
																																				obj_t
																																					BgL_arg4553z00_2166;
																																				{	/* Ast/unit.scm 584 */
																																					obj_t
																																						BgL_arg4554z00_2167;
																																					obj_t
																																						BgL_arg4555z00_2168;
																																					{	/* Ast/unit.scm 584 */
																																						obj_t
																																							BgL_arg4556z00_2169;
																																						{	/* Ast/unit.scm 584 */
																																							obj_t
																																								BgL_arg4557z00_2170;
																																							obj_t
																																								BgL_arg4558z00_2171;
																																							{	/* Ast/unit.scm 584 */
																																								obj_t
																																									BgL_arg4559z00_2172;
																																								{	/* Ast/unit.scm 584 */
																																									obj_t
																																										BgL_arg4560z00_2173;
																																									BgL_arg4560z00_2173
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 39)), BNIL);
																																									BgL_arg4559z00_2172
																																										=
																																										MAKE_PAIR
																																										(BgL_ioptz00_1951,
																																										BgL_arg4560z00_2173);
																																								}
																																								BgL_arg4557z00_2170
																																									=
																																									MAKE_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 47)), BgL_arg4559z00_2172);
																																							}
																																							{	/* Ast/unit.scm 585 */
																																								obj_t
																																									BgL_arg4561z00_2174;
																																								{	/* Ast/unit.scm 585 */
																																									obj_t
																																										BgL_arg4562z00_2175;
																																									{	/* Ast/unit.scm 585 */
																																										obj_t
																																											BgL_auxz00_5872;
																																										BgL_keysz00_1972
																																											=
																																											BgL_keysz00_78;
																																										{	/* Ast/unit.scm 547 */
																																											obj_t
																																												BgL_head3736z00_1976;
																																											{	/* Ast/unit.scm 547 */
																																												obj_t
																																													BgL_res5025z00_3973;
																																												BgL_res5025z00_3973
																																													=
																																													MAKE_PAIR
																																													(BNIL,
																																													BNIL);
																																												BgL_head3736z00_1976
																																													=
																																													BgL_res5025z00_3973;
																																											}
																																											{
																																												obj_t
																																													BgL_l3734z00_1978;
																																												obj_t
																																													BgL_tail3737z00_1979;
																																												BgL_l3734z00_1978
																																													=
																																													BgL_keysz00_1972;
																																												BgL_tail3737z00_1979
																																													=
																																													BgL_head3736z00_1976;
																																											BgL_zc3anonymousza34391ze3z83_1980:
																																												if (NULLP(BgL_l3734z00_1978))
																																													{	/* Ast/unit.scm 547 */
																																														BgL_auxz00_5872
																																															=
																																															CDR
																																															(BgL_head3736z00_1976);
																																													}
																																												else
																																													{	/* Ast/unit.scm 547 */
																																														obj_t
																																															BgL_newtail3738z00_1982;
																																														{	/* Ast/unit.scm 547 */
																																															obj_t
																																																BgL_arg4394z00_1984;
																																															{	/* Ast/unit.scm 547 */
																																																obj_t
																																																	BgL_kz00_1985;
																																																BgL_kz00_1985
																																																	=
																																																	CAR
																																																	(BgL_l3734z00_1978);
																																																BgL_arg4394z00_1984
																																																	=
																																																	BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																																	(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																	(CAR
																																																		(BgL_kz00_1985),
																																																		BgL_locz00_85));
																																															}
																																															{	/* Ast/unit.scm 547 */
																																																obj_t
																																																	BgL_res5027z00_3981;
																																																BgL_res5027z00_3981
																																																	=
																																																	MAKE_PAIR
																																																	(BgL_arg4394z00_1984,
																																																	BNIL);
																																																BgL_newtail3738z00_1982
																																																	=
																																																	BgL_res5027z00_3981;
																																															}
																																														}
																																														SET_CDR
																																															(BgL_tail3737z00_1979,
																																															BgL_newtail3738z00_1982);
																																														{
																																															obj_t
																																																BgL_tail3737z00_5885;
																																															obj_t
																																																BgL_l3734z00_5883;
																																															BgL_l3734z00_5883
																																																=
																																																CDR
																																																(BgL_l3734z00_1978);
																																															BgL_tail3737z00_5885
																																																=
																																																BgL_newtail3738z00_1982;
																																															BgL_tail3737z00_1979
																																																=
																																																BgL_tail3737z00_5885;
																																															BgL_l3734z00_1978
																																																=
																																																BgL_l3734z00_5883;
																																															goto
																																																BgL_zc3anonymousza34391ze3z83_1980;
																																														}
																																													}
																																											}
																																										}
																																										BgL_arg4562z00_2175
																																											=
																																											MAKE_PAIR
																																											(BgL_auxz00_5872,
																																											BNIL);
																																									}
																																									BgL_arg4561z00_2174
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 27)), BgL_arg4562z00_2175);
																																								}
																																								BgL_arg4558z00_2171
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4561z00_2174,
																																									BNIL);
																																							}
																																							BgL_arg4556z00_2169
																																								=
																																								MAKE_PAIR
																																								(BgL_arg4557z00_2170,
																																								BgL_arg4558z00_2171);
																																						}
																																						BgL_arg4554z00_2167
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 48)), BgL_arg4556z00_2169);
																																					}
																																					{	/* Ast/unit.scm 586 */
																																						obj_t
																																							BgL_arg4564z00_2177;
																																						obj_t
																																							BgL_arg4565z00_2178;
																																						{	/* Ast/unit.scm 586 */
																																							obj_t
																																								BgL_arg4566z00_2179;
																																							{	/* Ast/unit.scm 586 */
																																								obj_t
																																									BgL_arg4567z00_2180;
																																								{	/* Ast/unit.scm 586 */
																																									obj_t
																																										BgL_arg4568z00_2181;
																																									{	/* Ast/unit.scm 586 */
																																										obj_t
																																											BgL_arg4569z00_2182;
																																										BgL_arg4569z00_2182
																																											=
																																											MAKE_PAIR
																																											(BINT
																																											(((long) 2)), BNIL);
																																										BgL_arg4568z00_2181
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 39)), BgL_arg4569z00_2182);
																																									}
																																									BgL_arg4567z00_2180
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 44)), BgL_arg4568z00_2181);
																																								}
																																								BgL_arg4566z00_2179
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4567z00_2180,
																																									BNIL);
																																							}
																																							BgL_arg4564z00_2177
																																								=
																																								MAKE_PAIR
																																								(BgL_checkz00_1955,
																																								BgL_arg4566z00_2179);
																																						}
																																						{	/* Ast/unit.scm 587 */
																																							obj_t
																																								BgL_arg4570z00_2183;
																																							{	/* Ast/unit.scm 587 */
																																								obj_t
																																									BgL_arg4571z00_2184;
																																								obj_t
																																									BgL_arg4572z00_2185;
																																								{	/* Ast/unit.scm 587 */
																																									obj_t
																																										BgL_arg4573z00_2186;
																																									{	/* Ast/unit.scm 587 */
																																										obj_t
																																											BgL_arg4574z00_2187;
																																										BgL_arg4574z00_2187
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 25)), BNIL);
																																										BgL_arg4573z00_2186
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 26)), BgL_arg4574z00_2187);
																																									}
																																									BgL_arg4571z00_2184
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 0)), BgL_arg4573z00_2186);
																																								}
																																								{	/* Ast/unit.scm 588 */
																																									obj_t
																																										BgL_arg4575z00_2188;
																																									obj_t
																																										BgL_arg4576z00_2189;
																																									{	/* Ast/unit.scm 588 */
																																										obj_t
																																											BgL_arg4577z00_2190;
																																										BgL_arg4577z00_2190
																																											=
																																											MAKE_PAIR
																																											(BgL_idz00_79,
																																											BNIL);
																																										BgL_arg4575z00_2188
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 27)), BgL_arg4577z00_2190);
																																									}
																																									{	/* Ast/unit.scm 590 */
																																										obj_t
																																											BgL_arg4578z00_2191;
																																										{	/* Ast/unit.scm 590 */
																																											obj_t
																																												BgL_arg4579z00_2192;
																																											{	/* Ast/unit.scm 590 */
																																												obj_t
																																													BgL_arg4580z00_2193;
																																												{	/* Ast/unit.scm 590 */
																																													obj_t
																																														BgL_arg4581z00_2194;
																																													BgL_arg4581z00_2194
																																														=
																																														MAKE_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 39)), BNIL);
																																													BgL_arg4580z00_2193
																																														=
																																														MAKE_PAIR
																																														(BgL_ioptz00_1951,
																																														BgL_arg4581z00_2194);
																																												}
																																												BgL_arg4579z00_2192
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 47)), BgL_arg4580z00_2193);
																																											}
																																											BgL_arg4578z00_2191
																																												=
																																												MAKE_PAIR
																																												(BgL_arg4579z00_2192,
																																												BNIL);
																																										}
																																										BgL_arg4576z00_2189
																																											=
																																											MAKE_PAIR
																																											(BGl_string5084z00zzast_unitz00,
																																											BgL_arg4578z00_2191);
																																									}
																																									BgL_arg4572z00_2185
																																										=
																																										MAKE_PAIR
																																										(BgL_arg4575z00_2188,
																																										BgL_arg4576z00_2189);
																																								}
																																								BgL_arg4570z00_2183
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4571z00_2184,
																																									BgL_arg4572z00_2185);
																																							}
																																							BgL_arg4565z00_2178
																																								=
																																								MAKE_PAIR
																																								(BgL_arg4570z00_2183,
																																								BNIL);
																																						}
																																						BgL_arg4555z00_2168
																																							=
																																							MAKE_PAIR
																																							(BgL_arg4564z00_2177,
																																							BgL_arg4565z00_2178);
																																					}
																																					BgL_arg4553z00_2166
																																						=
																																						MAKE_PAIR
																																						(BgL_arg4554z00_2167,
																																						BgL_arg4555z00_2168);
																																				}
																																				BgL_arg4552z00_2165
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 3)), BgL_arg4553z00_2166);
																																			}
																																			BgL_arg4550z00_2163
																																				=
																																				MAKE_PAIR
																																				(BgL_arg4552z00_2165,
																																				BNIL);
																																		}
																																		BgL_arg4546z00_2159
																																			=
																																			MAKE_PAIR
																																			(BgL_arg4549z00_2162,
																																			BgL_arg4550z00_2163);
																																	}
																																	BgL_arg4544z00_2157
																																		=
																																		MAKE_PAIR
																																		(BgL_arg4545z00_2158,
																																		BgL_arg4546z00_2159);
																																}
																																BgL_arg4543z00_2156
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 3)),
																																	BgL_arg4544z00_2157);
																															}
																															BgL_arg4542z00_2155
																																=
																																MAKE_PAIR
																																(BgL_arg4543z00_2156,
																																BNIL);
																														}
																														BgL_arg4540z00_2153
																															=
																															MAKE_PAIR
																															(BgL_arg4541z00_2154,
																															BgL_arg4542z00_2155);
																													}
																													BgL_arg4539z00_2152 =
																														MAKE_PAIR
																														(BgL_checkz00_1955,
																														BgL_arg4540z00_2153);
																												}
																												BgL_arg4537z00_2150 =
																													MAKE_PAIR
																													(BgL_arg4539z00_2152,
																													BNIL);
																											}
																											{	/* Ast/unit.scm 591 */
																												obj_t
																													BgL_arg4582z00_2195;
																												{	/* Ast/unit.scm 591 */
																													obj_t
																														BgL_arg4583z00_2196;
																													BgL_arg4583z00_2196 =
																														MAKE_PAIR(BINT
																														(BgL_arityz00_1950),
																														BNIL);
																													BgL_arg4582z00_2195 =
																														MAKE_PAIR
																														(BgL_checkz00_1955,
																														BgL_arg4583z00_2196);
																												}
																												BgL_arg4538z00_2151 =
																													MAKE_PAIR
																													(BgL_arg4582z00_2195,
																													BNIL);
																											}
																											BgL_arg4536z00_2149 =
																												MAKE_PAIR
																												(BgL_arg4537z00_2150,
																												BgL_arg4538z00_2151);
																										}
																										BgL_arg4534z00_2147 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 49)),
																											BgL_arg4536z00_2149);
																									}
																								{	/* Ast/unit.scm 592 */
																									obj_t BgL_arg4584z00_2197;
																									obj_t BgL_arg4585z00_2198;

																									{	/* Ast/unit.scm 592 */
																										obj_t BgL_head3752z00_2201;

																										{	/* Ast/unit.scm 592 */
																											obj_t BgL_res5038z00_4030;

																											BgL_res5038z00_4030 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_head3752z00_2201 =
																												BgL_res5038z00_4030;
																										}
																										{
																											obj_t BgL_l3750z00_2203;
																											obj_t
																												BgL_tail3753z00_2204;
																											BgL_l3750z00_2203 =
																												BgL_keysz00_78;
																											BgL_tail3753z00_2204 =
																												BgL_head3752z00_2201;
																										BgL_zc3anonymousza34587ze3z83_2205:
																											if (NULLP
																												(BgL_l3750z00_2203))
																												{	/* Ast/unit.scm 592 */
																													BgL_arg4584z00_2197 =
																														CDR
																														(BgL_head3752z00_2201);
																												}
																											else
																												{	/* Ast/unit.scm 592 */
																													obj_t
																														BgL_newtail3754z00_2207;
																													{	/* Ast/unit.scm 592 */
																														obj_t
																															BgL_arg4590z00_2209;
																														{	/* Ast/unit.scm 592 */
																															obj_t
																																BgL_pz00_2210;
																															BgL_pz00_2210 =
																																CAR
																																(BgL_l3750z00_2203);
																															{	/* Ast/unit.scm 593 */
																																obj_t
																																	BgL_iz00_2211;
																																BgL_iz00_2211 =
																																	BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																	(CAR
																																	(BgL_pz00_2210),
																																	BgL_locz00_85);
																																{	/* Ast/unit.scm 593 */
																																	obj_t
																																		BgL_k1z00_2212;
																																	BgL_k1z00_2212
																																		=
																																		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																		(BgL_iz00_2211);
																																	{	/* Ast/unit.scm 594 */
																																		obj_t
																																			BgL_indz00_2213;
																																		BgL_indz00_2213
																																			=
																																			BGl_gensymz00zz__r4_symbols_6_4z00
																																			(CNST_TABLE_REF
																																			(((long)
																																					50)));
																																		{	/* Ast/unit.scm 595 */

																																			{	/* Ast/unit.scm 596 */
																																				obj_t
																																					BgL_arg4591z00_2214;
																																				obj_t
																																					BgL_arg4592z00_2215;
																																				BgL_arg4591z00_2214
																																					=
																																					BGl_letzd2symzd2zzast_letz00
																																					();
																																				{	/* Ast/unit.scm 596 */
																																					obj_t
																																						BgL_arg4593z00_2216;
																																					obj_t
																																						BgL_arg4594z00_2217;
																																					{	/* Ast/unit.scm 596 */
																																						obj_t
																																							BgL_arg4595z00_2218;
																																						{	/* Ast/unit.scm 596 */
																																							obj_t
																																								BgL_arg4596z00_2219;
																																							{	/* Ast/unit.scm 596 */
																																								obj_t
																																									BgL_arg4597z00_2220;
																																								{	/* Ast/unit.scm 596 */
																																									obj_t
																																										BgL_arg4598z00_2221;
																																									{	/* Ast/unit.scm 596 */
																																										obj_t
																																											BgL_arg4599z00_2222;
																																										BgL_arg4599z00_2222
																																											=
																																											MAKE_PAIR
																																											(BINT
																																											(BgL_arityz00_1950),
																																											BNIL);
																																										BgL_arg4598z00_2221
																																											=
																																											MAKE_PAIR
																																											(BgL_k1z00_2212,
																																											BgL_arg4599z00_2222);
																																									}
																																									BgL_arg4597z00_2220
																																										=
																																										MAKE_PAIR
																																										(BgL_searchz00_1954,
																																										BgL_arg4598z00_2221);
																																								}
																																								BgL_arg4596z00_2219
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4597z00_2220,
																																									BNIL);
																																							}
																																							BgL_arg4595z00_2218
																																								=
																																								MAKE_PAIR
																																								(BgL_indz00_2213,
																																								BgL_arg4596z00_2219);
																																						}
																																						BgL_arg4593z00_2216
																																							=
																																							MAKE_PAIR
																																							(BgL_arg4595z00_2218,
																																							BNIL);
																																					}
																																					{	/* Ast/unit.scm 597 */
																																						obj_t
																																							BgL_arg4600z00_2223;
																																						{	/* Ast/unit.scm 597 */
																																							obj_t
																																								BgL_arg4601z00_2224;
																																							{	/* Ast/unit.scm 597 */
																																								obj_t
																																									BgL_arg4602z00_2225;
																																								obj_t
																																									BgL_arg4603z00_2226;
																																								{	/* Ast/unit.scm 597 */
																																									obj_t
																																										BgL_arg4604z00_2227;
																																									{	/* Ast/unit.scm 597 */
																																										obj_t
																																											BgL_arg4605z00_2228;
																																										BgL_arg4605z00_2228
																																											=
																																											MAKE_PAIR
																																											(BINT
																																											(((long) 0)), BNIL);
																																										BgL_arg4604z00_2227
																																											=
																																											MAKE_PAIR
																																											(BgL_indz00_2213,
																																											BgL_arg4605z00_2228);
																																									}
																																									BgL_arg4602z00_2225
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 51)), BgL_arg4604z00_2227);
																																								}
																																								{	/* Ast/unit.scm 598 */
																																									obj_t
																																										BgL_arg4606z00_2229;
																																									{	/* Ast/unit.scm 598 */
																																										obj_t
																																											BgL_arg4607z00_2230;
																																										{	/* Ast/unit.scm 598 */
																																											obj_t
																																												BgL_arg4608z00_2231;
																																											{	/* Ast/unit.scm 598 */
																																												obj_t
																																													BgL_arg4609z00_2232;
																																												{	/* Ast/unit.scm 598 */
																																													obj_t
																																														BgL_arg4610z00_2233;
																																													{	/* Ast/unit.scm 598 */
																																														obj_t
																																															BgL_arg4611z00_2234;
																																														BgL_arg4611z00_2234
																																															=
																																															MAKE_PAIR
																																															(BgL_indz00_2213,
																																															BNIL);
																																														BgL_arg4610z00_2233
																																															=
																																															MAKE_PAIR
																																															(BgL_ioptz00_1951,
																																															BgL_arg4611z00_2234);
																																													}
																																													BgL_arg4609z00_2232
																																														=
																																														MAKE_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 22)), BgL_arg4610z00_2233);
																																												}
																																												BgL_arg4608z00_2231
																																													=
																																													MAKE_PAIR
																																													(BgL_arg4609z00_2232,
																																													BNIL);
																																											}
																																											BgL_arg4607z00_2230
																																												=
																																												MAKE_PAIR
																																												(BgL_iz00_2211,
																																												BgL_arg4608z00_2231);
																																										}
																																										BgL_arg4606z00_2229
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 1)), BgL_arg4607z00_2230);
																																									}
																																									BgL_arg4603z00_2226
																																										=
																																										MAKE_PAIR
																																										(BgL_arg4606z00_2229,
																																										BNIL);
																																								}
																																								BgL_arg4601z00_2224
																																									=
																																									MAKE_PAIR
																																									(BgL_arg4602z00_2225,
																																									BgL_arg4603z00_2226);
																																							}
																																							BgL_arg4600z00_2223
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 52)), BgL_arg4601z00_2224);
																																						}
																																						BgL_arg4594z00_2217
																																							=
																																							MAKE_PAIR
																																							(BgL_arg4600z00_2223,
																																							BNIL);
																																					}
																																					BgL_arg4592z00_2215
																																						=
																																						MAKE_PAIR
																																						(BgL_arg4593z00_2216,
																																						BgL_arg4594z00_2217);
																																				}
																																				BgL_arg4590z00_2209
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4591z00_2214,
																																					BgL_arg4592z00_2215);
																														}}}}}}
																														{	/* Ast/unit.scm 592 */
																															obj_t
																																BgL_res5040z00_4038;
																															BgL_res5040z00_4038
																																=
																																MAKE_PAIR
																																(BgL_arg4590z00_2209,
																																BNIL);
																															BgL_newtail3754z00_2207
																																=
																																BgL_res5040z00_4038;
																													}}
																													SET_CDR
																														(BgL_tail3753z00_2204,
																														BgL_newtail3754z00_2207);
																													{
																														obj_t
																															BgL_tail3753z00_5982;
																														obj_t
																															BgL_l3750z00_5980;
																														BgL_l3750z00_5980 =
																															CDR
																															(BgL_l3750z00_2203);
																														BgL_tail3753z00_5982
																															=
																															BgL_newtail3754z00_2207;
																														BgL_tail3753z00_2204
																															=
																															BgL_tail3753z00_5982;
																														BgL_l3750z00_2203 =
																															BgL_l3750z00_5980;
																														goto
																															BgL_zc3anonymousza34587ze3z83_2205;
																													}
																												}
																										}
																									}
																									{	/* Ast/unit.scm 600 */
																										obj_t BgL_arg4613z00_2237;

																										{	/* Ast/unit.scm 600 */
																											obj_t BgL_arg4614z00_2238;

																											{	/* Ast/unit.scm 600 */
																												obj_t
																													BgL_arg4615z00_2239;
																												obj_t
																													BgL_arg4616z00_2240;
																												{	/* Ast/unit.scm 600 */
																													obj_t
																														BgL_l3755z00_2241;
																													BgL_l3755z00_2241 =
																														BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																														((int)
																														(BgL_arityz00_1950),
																														BNIL);
																													if (NULLP
																														(BgL_l3755z00_2241))
																														{	/* Ast/unit.scm 600 */
																															BgL_arg4615z00_2239
																																= BNIL;
																														}
																													else
																														{	/* Ast/unit.scm 600 */
																															obj_t
																																BgL_head3757z00_2243;
																															{	/* Ast/unit.scm 600 */
																																obj_t
																																	BgL_res5042z00_4046;
																																BgL_res5042z00_4046
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_head3757z00_2243
																																	=
																																	BgL_res5042z00_4046;
																															}
																															{
																																obj_t
																																	BgL_l3755z00_2245;
																																obj_t
																																	BgL_tail3758z00_2246;
																																BgL_l3755z00_2245
																																	=
																																	BgL_l3755z00_2241;
																																BgL_tail3758z00_2246
																																	=
																																	BgL_head3757z00_2243;
																															BgL_zc3anonymousza34618ze3z83_2247:
																																if (NULLP
																																	(BgL_l3755z00_2245))
																																	{	/* Ast/unit.scm 600 */
																																		BgL_arg4615z00_2239
																																			=
																																			CDR
																																			(BgL_head3757z00_2243);
																																	}
																																else
																																	{	/* Ast/unit.scm 600 */
																																		obj_t
																																			BgL_newtail3759z00_2249;
																																		{	/* Ast/unit.scm 600 */
																																			obj_t
																																				BgL_arg4621z00_2251;
																																			{	/* Ast/unit.scm 600 */
																																				obj_t
																																					BgL_jz00_2252;
																																				BgL_jz00_2252
																																					=
																																					CAR
																																					(BgL_l3755z00_2245);
																																				{	/* Ast/unit.scm 601 */
																																					obj_t
																																						BgL_arg4622z00_2253;
																																					{	/* Ast/unit.scm 601 */
																																						obj_t
																																							BgL_arg4623z00_2254;
																																						BgL_arg4623z00_2254
																																							=
																																							MAKE_PAIR
																																							(BgL_jz00_2252,
																																							BNIL);
																																						BgL_arg4622z00_2253
																																							=
																																							MAKE_PAIR
																																							(BgL_ioptz00_1951,
																																							BgL_arg4623z00_2254);
																																					}
																																					BgL_arg4621z00_2251
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 22)), BgL_arg4622z00_2253);
																																			}}
																																			{	/* Ast/unit.scm 600 */
																																				obj_t
																																					BgL_res5044z00_4053;
																																				BgL_res5044z00_4053
																																					=
																																					MAKE_PAIR
																																					(BgL_arg4621z00_2251,
																																					BNIL);
																																				BgL_newtail3759z00_2249
																																					=
																																					BgL_res5044z00_4053;
																																		}}
																																		SET_CDR
																																			(BgL_tail3758z00_2246,
																																			BgL_newtail3759z00_2249);
																																		{
																																			obj_t
																																				BgL_tail3758z00_6000;
																																			obj_t
																																				BgL_l3755z00_5998;
																																			BgL_l3755z00_5998
																																				=
																																				CDR
																																				(BgL_l3755z00_2245);
																																			BgL_tail3758z00_6000
																																				=
																																				BgL_newtail3759z00_2249;
																																			BgL_tail3758z00_2246
																																				=
																																				BgL_tail3758z00_6000;
																																			BgL_l3755z00_2245
																																				=
																																				BgL_l3755z00_5998;
																																			goto
																																				BgL_zc3anonymousza34618ze3z83_2247;
																																		}
																																	}
																															}
																														}
																												}
																												{	/* Ast/unit.scm 604 */
																													obj_t
																														BgL_arg4625z00_2257;
																													{	/* Ast/unit.scm 604 */
																														obj_t
																															BgL_zc3anonymousza34628ze3z83_4167;
																														BgL_zc3anonymousza34628ze3z83_4167
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza34628ze3ze1zzast_unitz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	1)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza34628ze3z83_4167,
																															(int) (((long)
																																	0)),
																															BgL_locz00_85);
																														{	/* Ast/unit.scm 603 */
																															obj_t
																																BgL_list4627z00_2259;
																															BgL_list4627z00_2259
																																=
																																MAKE_PAIR
																																(BgL_keysz00_78,
																																BNIL);
																															BgL_arg4625z00_2257
																																=
																																BGl_appendzd2mapzd2zz__r4_control_features_6_9z00
																																(BgL_zc3anonymousza34628ze3z83_4167,
																																BgL_list4627z00_2259);
																													}}
																													BgL_arg4616z00_2240 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg4625z00_2257,
																														BNIL);
																												}
																												BgL_arg4614z00_2238 =
																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg4615z00_2239,
																													BgL_arg4616z00_2240);
																											}
																											BgL_arg4613z00_2237 =
																												MAKE_PAIR(
																												((obj_t) BgL_gloz00_77),
																												BgL_arg4614z00_2238);
																										}
																										BgL_arg4585z00_2198 =
																											MAKE_PAIR
																											(BgL_arg4613z00_2237,
																											BNIL);
																									}
																									BgL_arg4535z00_2148 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg4584z00_2197,
																										BgL_arg4585z00_2198);
																								}
																								BgL_arg4524z00_2129 =
																									MAKE_PAIR(BgL_arg4534z00_2147,
																									BgL_arg4535z00_2148);
																							}
																							BgL_arg4522z00_2127 =
																								MAKE_PAIR(BgL_arg4523z00_2128,
																								BgL_arg4524z00_2129);
																						}
																						BgL_arg4521z00_2126 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									24)), BgL_arg4522z00_2127);
																					}
																					BgL_arg4507z00_2101 =
																						MAKE_PAIR(BgL_arg4521z00_2126,
																						BNIL);
																				}
																				BgL_arg4505z00_2099 =
																					MAKE_PAIR(BgL_arg4506z00_2100,
																					BgL_arg4507z00_2101);
																			}
																			BgL_arg4504z00_2098 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 46)),
																				BgL_arg4505z00_2099);
																		}
																		BgL_arg4409z00_2001 =
																			MAKE_PAIR(BgL_arg4504z00_2098, BNIL);
																	}
																	BgL_arg4407z00_1999 =
																		MAKE_PAIR(BgL_arg4408z00_2000,
																		BgL_arg4409z00_2001);
																}
																BgL_arg4406z00_1998 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 49)),
																	BgL_arg4407z00_1999);
															}
															BgL_arg4401z00_1993 =
																MAKE_PAIR(BgL_arg4406z00_1998, BNIL);
														}
														BgL_arg4399z00_1991 =
															MAKE_PAIR(BgL_arg4400z00_1992,
															BgL_arg4401z00_1993);
													}
													BgL_auxz00_5658 =
														MAKE_PAIR(BgL_arg4398z00_1990, BgL_arg4399z00_1991);
												}
												BgL_auxz00_5657 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_5658);
											}
											BgL_arg4381z00_1964 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_5657);
										}
										BgL_gz00_1962 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_1959, CNST_TABLE_REF(((long) 32)),
											BgL_arg4379z00_1963, BgL_modulez00_80, BgL_classz00_84,
											BgL_srcz00_83, CNST_TABLE_REF(((long) 33)),
											BgL_arg4381z00_1964);
									}
									{	/* Ast/unit.scm 613 */

										{	/* Ast/unit.scm 617 */
											BgL_variablez00_bglt BgL_obj1611z00_4070;
											BgL_typez00_bglt BgL_val1610z00_4071;

											BgL_obj1611z00_4070 =
												((BgL_variablez00_bglt) BgL_gz00_1962);
											{	/* Ast/unit.scm 617 */
												obj_t BgL_xz00_4262;

												BgL_xz00_4262 = BGl_za2objza2z00zztype_cachez00;
												BgL_val1610z00_4071 =
													((BgL_typez00_bglt) BgL_xz00_4262);
											}
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1611z00_4070)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1610z00_4071), BUNSPEC);
										}
										((((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_gz00_1962)))->BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										return BgL_gz00_1962;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4628> */
	obj_t BGl_z62zc3anonymousza34628ze3ze1zzast_unitz00(obj_t BgL_envz00_4168,
		obj_t BgL_pz00_4170)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 603 */
			{	/* Ast/unit.scm 604 */
				obj_t BgL_locz00_4169;

				BgL_locz00_4169 = PROCEDURE_REF(BgL_envz00_4168, (int) (((long) 0)));
				{
					obj_t BgL_pz00_2260;

					BgL_pz00_2260 = BgL_pz00_4170;
					{	/* Ast/unit.scm 604 */
						obj_t BgL_idz00_2262;

						BgL_idz00_2262 =
							BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(CAR(BgL_pz00_2260),
							BgL_locz00_4169);
						{	/* Ast/unit.scm 607 */
							obj_t BgL_arg4629z00_2263;

							BgL_arg4629z00_2263 =
								BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_idz00_2262);
							{	/* Ast/unit.scm 606 */
								obj_t BgL_list4630z00_2264;

								{	/* Ast/unit.scm 606 */
									obj_t BgL_arg4631z00_2265;

									BgL_arg4631z00_2265 = MAKE_PAIR(BgL_idz00_2262, BNIL);
									BgL_list4630z00_2264 =
										MAKE_PAIR(BgL_arg4629z00_2263, BgL_arg4631z00_2265);
								}
								return BgL_list4630z00_2264;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-noopt-definition */
	obj_t BGl_makezd2sfunzd2nooptzd2definitionzd2zzast_unitz00(obj_t BgL_idz00_86,
		obj_t BgL_modulez00_87, obj_t BgL_argsz00_88, obj_t BgL_bodyz00_89,
		obj_t BgL_srcz00_90, obj_t BgL_classz00_91, obj_t BgL_locz00_92)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 624 */
			{	/* Ast/unit.scm 625 */
				obj_t BgL_localsz00_2271;
				obj_t BgL_bodyz00_2272;

				{
					obj_t BgL_argsz00_2277;
					obj_t BgL_resz00_2278;

					BgL_argsz00_2277 = BgL_argsz00_88;
					BgL_resz00_2278 = BNIL;
				BgL_zc3anonymousza34637ze3z83_2279:
					if (NULLP(BgL_argsz00_2277))
						{	/* Ast/unit.scm 628 */
							BgL_localsz00_2271 = bgl_reverse_bang(BgL_resz00_2278);
						}
					else
						{	/* Ast/unit.scm 628 */
							if (PAIRP(BgL_argsz00_2277))
								{	/* Ast/unit.scm 630 */
									if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
											(BgL_argsz00_2277)))
										{	/* Ast/unit.scm 640 */
											obj_t BgL_argz00_2283;

											BgL_argz00_2283 =
												BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00
												(BgL_argsz00_2277);
											if (CBOOL(BgL_argz00_2283))
												{	/* Ast/unit.scm 643 */
													obj_t BgL_arg4641z00_2284;

													{	/* Ast/unit.scm 643 */
														BgL_localz00_bglt BgL_arg4642z00_2285;

														{	/* Ast/unit.scm 643 */
															BgL_typez00_bglt BgL_auxz00_6058;

															{	/* Ast/unit.scm 643 */
																obj_t BgL_xz00_4265;

																BgL_xz00_4265 = BGl_za2objza2z00zztype_cachez00;
																BgL_auxz00_6058 =
																	((BgL_typez00_bglt) BgL_xz00_4265);
															}
															BgL_arg4642z00_2285 =
																BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																(BgL_argz00_2283, BgL_auxz00_6058);
														}
														BgL_arg4641z00_2284 =
															MAKE_PAIR(
															((obj_t) BgL_arg4642z00_2285), BgL_resz00_2278);
													}
													BgL_localsz00_2271 =
														bgl_reverse_bang(BgL_arg4641z00_2284);
												}
											else
												{	/* Ast/unit.scm 641 */
													BgL_localsz00_2271 =
														bgl_reverse_bang(BgL_resz00_2278);
												}
										}
									else
										{	/* Ast/unit.scm 646 */
											obj_t BgL_pidz00_2286;

											BgL_pidz00_2286 =
												BGl_checkzd2idzd2zzast_identz00
												(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2277),
													BgL_locz00_92), BgL_srcz00_90);
											{	/* Ast/unit.scm 646 */
												obj_t BgL_idz00_2287;

												BgL_idz00_2287 = CAR(BgL_pidz00_2286);
												{	/* Ast/unit.scm 648 */
													obj_t BgL_typez00_2288;

													BgL_typez00_2288 = CDR(BgL_pidz00_2286);
													{	/* Ast/unit.scm 649 */

														{	/* Ast/unit.scm 650 */
															obj_t BgL_arg4643z00_2289;
															obj_t BgL_arg4644z00_2290;

															BgL_arg4643z00_2289 = CDR(BgL_argsz00_2277);
															{	/* Ast/unit.scm 651 */
																BgL_localz00_bglt BgL_arg4645z00_2291;

																if (BGl_userzd2symbolzf3z21zzast_identz00
																	(BgL_idz00_2287))
																	{	/* Ast/unit.scm 651 */
																		BgL_arg4645z00_2291 =
																			BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																			(BgL_idz00_2287,
																			((BgL_typez00_bglt) BgL_typez00_2288));
																	}
																else
																	{	/* Ast/unit.scm 651 */
																		BgL_arg4645z00_2291 =
																			BGl_makezd2localzd2svarz00zzast_localz00
																			(BgL_idz00_2287,
																			((BgL_typez00_bglt) BgL_typez00_2288));
																	}
																BgL_arg4644z00_2290 =
																	MAKE_PAIR(
																	((obj_t) BgL_arg4645z00_2291),
																	BgL_resz00_2278);
															}
															{
																obj_t BgL_resz00_6080;
																obj_t BgL_argsz00_6079;

																BgL_argsz00_6079 = BgL_arg4643z00_2289;
																BgL_resz00_6080 = BgL_arg4644z00_2290;
																BgL_resz00_2278 = BgL_resz00_6080;
																BgL_argsz00_2277 = BgL_argsz00_6079;
																goto BgL_zc3anonymousza34637ze3z83_2279;
															}
														}
													}
												}
											}
										}
								}
							else
								{	/* Ast/unit.scm 631 */
									obj_t BgL_pidz00_2296;

									BgL_pidz00_2296 =
										BGl_checkzd2idzd2zzast_identz00
										(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2277,
											BgL_locz00_92), BgL_srcz00_90);
									{	/* Ast/unit.scm 631 */
										obj_t BgL_idz00_2297;

										BgL_idz00_2297 = CAR(BgL_pidz00_2296);
										{	/* Ast/unit.scm 632 */
											obj_t BgL_typez00_2298;

											BgL_typez00_2298 = CDR(BgL_pidz00_2296);
											{	/* Ast/unit.scm 633 */

												{	/* Ast/unit.scm 637 */
													obj_t BgL_arg4650z00_2299;

													{	/* Ast/unit.scm 637 */
														BgL_localz00_bglt BgL_arg4651z00_2300;

														BgL_arg4651z00_2300 =
															BGl_makezd2userzd2localzd2svarzd2zzast_localz00
															(BgL_idz00_2297,
															((BgL_typez00_bglt) BgL_typez00_2298));
														BgL_arg4650z00_2299 =
															MAKE_PAIR(((obj_t) BgL_arg4651z00_2300),
															BgL_resz00_2278);
													}
													BgL_localsz00_2271 =
														bgl_reverse_bang(BgL_arg4650z00_2299);
												}
											}
										}
									}
								}
						}
				}
				BgL_bodyz00_2272 =
					BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_idz00_86,
					BgL_argsz00_88, BgL_bodyz00_89,
					BGl_userzd2errorzd2envz00zztools_errorz00);
				{	/* Ast/unit.scm 656 */
					BgL_globalz00_bglt BgL_arg4635z00_2273;

					BgL_arg4635z00_2273 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_86,
						BgL_argsz00_88, BgL_localsz00_2271, BgL_modulez00_87,
						BgL_classz00_91, BgL_srcz00_90, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_2272);
					{	/* Ast/unit.scm 656 */
						obj_t BgL_list4636z00_2274;

						BgL_list4636z00_2274 =
							MAKE_PAIR(((obj_t) BgL_arg4635z00_2273), BNIL);
						return BgL_list4636z00_2274;
					}
				}
			}
		}
	}



/* make-svar-definition */
	obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t BgL_idz00_93,
		obj_t BgL_srcz00_94)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 661 */
			BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_93,
				BGl_za2moduleza2z00zzmodule_modulez00, BgL_srcz00_94,
				CNST_TABLE_REF(((long) 8)));
			{	/* Ast/unit.scm 665 */
				obj_t BgL_auxz00_6099;
				obj_t BgL_auxz00_6097;

				BgL_auxz00_6099 =
					CAR(BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
						(BgL_idz00_93,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_94)),
						BgL_srcz00_94));
				BgL_auxz00_6097 = CDR(BgL_srcz00_94);
				SET_CAR(BgL_auxz00_6097, BgL_auxz00_6099);
			}
			{	/* Ast/unit.scm 666 */
				obj_t BgL_list4658z00_2308;

				BgL_list4658z00_2308 = MAKE_PAIR(BgL_srcz00_94, BNIL);
				return BgL_list4658z00_2308;
			}
		}
	}



/* make-generic-definition */
	obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t BgL_idz00_107,
		obj_t BgL_modulez00_108, obj_t BgL_argsz00_109, obj_t BgL_bodyz00_110,
		obj_t BgL_srcz00_111, obj_t BgL_gdefsz00_112)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 767 */
			{	/* Ast/unit.scm 770 */
				obj_t BgL_locz00_2425;

				BgL_locz00_2425 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_111);
				{	/* Ast/unit.scm 770 */
					obj_t BgL_localsz00_2426;

					if (NULLP(BgL_argsz00_109))
						{	/* Ast/unit.scm 771 */
							BgL_localsz00_2426 =
								BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_107,
								BGl_string5085z00zzast_unitz00, BgL_srcz00_111, BNIL);
						}
					else
						{
							obj_t BgL_argsz00_2480;
							obj_t BgL_resz00_2481;

							BgL_argsz00_2480 = BgL_argsz00_109;
							BgL_resz00_2481 = BNIL;
						BgL_zc3anonymousza34790ze3z83_2482:
							if (NULLP(BgL_argsz00_2480))
								{	/* Ast/unit.scm 778 */
									BgL_localsz00_2426 = bgl_reverse_bang(BgL_resz00_2481);
								}
							else
								{	/* Ast/unit.scm 778 */
									if (PAIRP(BgL_argsz00_2480))
										{	/* Ast/unit.scm 790 */
											obj_t BgL_pidz00_2485;

											BgL_pidz00_2485 =
												BGl_checkzd2idzd2zzast_identz00
												(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2480),
													BgL_locz00_2425), BgL_srcz00_111);
											{	/* Ast/unit.scm 790 */
												obj_t BgL_idz00_2486;

												BgL_idz00_2486 = CAR(BgL_pidz00_2485);
												{	/* Ast/unit.scm 792 */
													obj_t BgL_typez00_2487;

													BgL_typez00_2487 = CDR(BgL_pidz00_2485);
													{	/* Ast/unit.scm 793 */

														{	/* Ast/unit.scm 794 */
															obj_t BgL_arg4793z00_2488;
															obj_t BgL_arg4794z00_2489;

															BgL_arg4793z00_2488 = CDR(BgL_argsz00_2480);
															{	/* Ast/unit.scm 795 */
																BgL_localz00_bglt BgL_arg4795z00_2490;

																BgL_arg4795z00_2490 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2486,
																	((BgL_typez00_bglt) BgL_typez00_2487));
																BgL_arg4794z00_2489 =
																	MAKE_PAIR(((obj_t) BgL_arg4795z00_2490),
																	BgL_resz00_2481);
															}
															{
																obj_t BgL_resz00_6126;
																obj_t BgL_argsz00_6125;

																BgL_argsz00_6125 = BgL_arg4793z00_2488;
																BgL_resz00_6126 = BgL_arg4794z00_2489;
																BgL_resz00_2481 = BgL_resz00_6126;
																BgL_argsz00_2480 = BgL_argsz00_6125;
																goto BgL_zc3anonymousza34790ze3z83_2482;
															}
														}
													}
												}
											}
										}
									else
										{	/* Ast/unit.scm 781 */
											obj_t BgL_pidz00_2493;

											BgL_pidz00_2493 =
												BGl_checkzd2idzd2zzast_identz00
												(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2480,
													BgL_locz00_2425), BgL_srcz00_111);
											{	/* Ast/unit.scm 781 */
												obj_t BgL_idz00_2494;

												BgL_idz00_2494 = CAR(BgL_pidz00_2493);
												{	/* Ast/unit.scm 782 */
													obj_t BgL_typez00_2495;

													BgL_typez00_2495 = CDR(BgL_pidz00_2493);
													{	/* Ast/unit.scm 783 */

														{	/* Ast/unit.scm 787 */
															obj_t BgL_arg4798z00_2496;

															{	/* Ast/unit.scm 787 */
																BgL_localz00_bglt BgL_arg4799z00_2497;

																BgL_arg4799z00_2497 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2494,
																	((BgL_typez00_bglt) BgL_typez00_2495));
																BgL_arg4798z00_2496 =
																	MAKE_PAIR(((obj_t) BgL_arg4799z00_2497),
																	BgL_resz00_2481);
															}
															BgL_localsz00_2426 =
																bgl_reverse_bang(BgL_arg4798z00_2496);
														}
													}
												}
											}
										}
								}
						}
					{	/* Ast/unit.scm 771 */
						obj_t BgL_pidz00_2427;

						BgL_pidz00_2427 =
							BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
							(BgL_idz00_107, BgL_locz00_2425), BgL_srcz00_111);
						{	/* Ast/unit.scm 797 */
							obj_t BgL_namez00_2428;

							BgL_namez00_2428 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CAR(BgL_pidz00_2427));
							{	/* Ast/unit.scm 799 */
								obj_t BgL_defz00_2430;

								{	/* Ast/unit.scm 804 */
									obj_t BgL_arg4764z00_2454;

									{	/* Ast/unit.scm 804 */
										obj_t BgL_arg4765z00_2455;
										obj_t BgL_arg4766z00_2456;

										{	/* Ast/unit.scm 804 */
											obj_t BgL_arg4767z00_2457;

											{	/* Ast/unit.scm 804 */
												obj_t BgL_arg4768z00_2458;

												{	/* Ast/unit.scm 804 */
													obj_t BgL_arg4769z00_2459;

													{	/* Ast/unit.scm 804 */
														obj_t BgL_arg4770z00_2460;

														if (PAIRP(BgL_bodyz00_110))
															{	/* Ast/unit.scm 804 */
																BgL_arg4770z00_2460 = BgL_bodyz00_110;
															}
														else
															{	/* Ast/unit.scm 806 */
																obj_t BgL_arg4772z00_2462;

																{	/* Ast/unit.scm 806 */
																	obj_t BgL_arg4773z00_2463;
																	obj_t BgL_arg4774z00_2464;

																	{	/* Ast/unit.scm 806 */
																		obj_t BgL_arg4776z00_2465;

																		{	/* Ast/unit.scm 806 */
																			obj_t BgL_arg4777z00_2466;

																			BgL_arg4777z00_2466 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 25)),
																				BNIL);
																			BgL_arg4776z00_2465 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 26)),
																				BgL_arg4777z00_2466);
																		}
																		BgL_arg4773z00_2463 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																			BgL_arg4776z00_2465);
																	}
																	{	/* Ast/unit.scm 807 */
																		obj_t BgL_arg4778z00_2467;
																		obj_t BgL_arg4779z00_2468;

																		{	/* Ast/unit.scm 807 */
																			obj_t BgL_arg4780z00_2469;

																			BgL_arg4780z00_2469 =
																				MAKE_PAIR(BgL_namez00_2428, BNIL);
																			BgL_arg4778z00_2467 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 27)),
																				BgL_arg4780z00_2469);
																		}
																		{	/* Ast/unit.scm 808 */
																			obj_t BgL_arg4781z00_2470;

																			BgL_arg4781z00_2470 =
																				MAKE_PAIR
																				(BGl_idzd2ofzd2idz00zzast_identz00(CAR
																					(BgL_argsz00_109),
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_srcz00_111)), BNIL);
																			BgL_arg4779z00_2468 =
																				MAKE_PAIR
																				(BGl_string5086z00zzast_unitz00,
																				BgL_arg4781z00_2470);
																		}
																		BgL_arg4774z00_2464 =
																			MAKE_PAIR(BgL_arg4778z00_2467,
																			BgL_arg4779z00_2468);
																	}
																	BgL_arg4772z00_2462 =
																		MAKE_PAIR(BgL_arg4773z00_2463,
																		BgL_arg4774z00_2464);
																}
																BgL_arg4770z00_2460 =
																	MAKE_PAIR(BgL_arg4772z00_2462, BNIL);
															}
														BgL_arg4769z00_2459 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg4770z00_2460, BNIL);
													}
													BgL_arg4768z00_2458 =
														MAKE_PAIR(BgL_argsz00_109, BgL_arg4769z00_2459);
												}
												BgL_arg4767z00_2457 =
													MAKE_PAIR(BgL_namez00_2428, BgL_arg4768z00_2458);
											}
											BgL_arg4765z00_2455 =
												MAKE_PAIR(BgL_arg4767z00_2457, BNIL);
										}
										BgL_arg4766z00_2456 = MAKE_PAIR(BgL_namez00_2428, BNIL);
										BgL_arg4764z00_2454 =
											MAKE_PAIR(BgL_arg4765z00_2455, BgL_arg4766z00_2456);
									}
									BgL_defz00_2430 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 49)), BgL_arg4764z00_2454);
								}
								{	/* Ast/unit.scm 800 */
									obj_t BgL_gbodyz00_2431;

									BgL_gbodyz00_2431 =
										BGl_makezd2genericzd2bodyz00zzobject_genericz00
										(BgL_idz00_107, BgL_localsz00_2426, BgL_argsz00_109,
										BgL_srcz00_111);
									{	/* Ast/unit.scm 810 */
										BgL_globalz00_bglt BgL_genericz00_2432;

										BgL_genericz00_2432 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_107, BgL_argsz00_109, BgL_localsz00_2426,
											BgL_modulez00_108, CNST_TABLE_REF(((long) 53)),
											BgL_srcz00_111, CNST_TABLE_REF(((long) 8)),
											BgL_gbodyz00_2431);
										{	/* Ast/unit.scm 811 */

											BGl_markzd2methodz12zc0zzobject_methodz00
												(BgL_namez00_2428);
											{	/* Ast/unit.scm 814 */
												obj_t BgL_ozd2unitzd2_2433;

												BgL_ozd2unitzd2_2433 =
													BGl_getzd2genericzd2unitz00zzmodule_classz00();
												{	/* Ast/unit.scm 814 */
													BgL_typez00_bglt BgL_typez00_2434;

													{	/* Ast/unit.scm 815 */
														BgL_variablez00_bglt BgL_obj1609z00_4111;

														{	/* Ast/unit.scm 815 */
															obj_t BgL_pairz00_4110;

															BgL_pairz00_4110 = BgL_localsz00_2426;
															BgL_obj1609z00_4111 =
																((BgL_variablez00_bglt) CAR(BgL_pairz00_4110));
														}
														BgL_typez00_2434 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1609z00_4111)))->BgL_typez00);
													}
													{	/* Ast/unit.scm 815 */
														obj_t BgL_genz00_2435;

														{	/* Ast/unit.scm 817 */
															obj_t BgL_arg4751z00_2441;

															{	/* Ast/unit.scm 817 */
																obj_t BgL_arg4752z00_2442;
																obj_t BgL_arg4753z00_2443;

																{	/* Ast/unit.scm 817 */
																	obj_t BgL_arg4754z00_2444;

																	{	/* Ast/unit.scm 817 */
																		obj_t BgL_arg4755z00_2445;
																		obj_t BgL_arg4756z00_2446;

																		{	/* Ast/unit.scm 817 */
																			BgL_variablez00_bglt BgL_obj1605z00_4112;

																			BgL_obj1605z00_4112 =
																				((BgL_variablez00_bglt)
																				BgL_genericz00_2432);
																			BgL_arg4755z00_2445 =
																				(((BgL_variablez00_bglt) CREF(((obj_t)
																							BgL_obj1605z00_4112)))->
																				BgL_idz00);
																		}
																		BgL_arg4756z00_2446 =
																			MAKE_PAIR(BgL_modulez00_108, BNIL);
																		BgL_arg4754z00_2444 =
																			MAKE_PAIR(BgL_arg4755z00_2445,
																			BgL_arg4756z00_2446);
																	}
																	BgL_arg4752z00_2442 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																		BgL_arg4754z00_2444);
																}
																{	/* Ast/unit.scm 818 */
																	obj_t BgL_arg4757z00_2447;
																	obj_t BgL_arg4758z00_2448;

																	BgL_arg4757z00_2447 =
																		BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																		(BgL_defz00_2430, BgL_locz00_2425);
																	{	/* Ast/unit.scm 819 */
																		obj_t BgL_arg4759z00_2449;
																		obj_t BgL_arg4760z00_2450;

																		{	/* Ast/unit.scm 819 */
																			bool_t BgL_testz00_6185;

																			{	/* Ast/unit.scm 819 */
																				bool_t BgL_res5058z00_4114;

																				{	/* Ast/unit.scm 819 */
																					obj_t BgL_obj3414z00_4113;

																					BgL_obj3414z00_4113 =
																						((obj_t) BgL_typez00_2434);
																					BgL_res5058z00_4114 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj3414z00_4113,
																						BGl_tclassz00zzobject_classz00);
																				}
																				BgL_testz00_6185 = BgL_res5058z00_4114;
																			}
																			if (BgL_testz00_6185)
																				{	/* Ast/unit.scm 819 */
																					BgL_tclassz00_bglt
																						BgL_obj3421z00_4115;
																					BgL_obj3421z00_4115 =
																						((BgL_tclassz00_bglt)
																						BgL_typez00_2434);
																					{
																						BgL_globalz00_bglt BgL_auxz00_6189;

																						{
																							obj_t BgL_auxz00_6190;

																							{	/* Ast/unit.scm 819 */
																								BgL_objectz00_bglt
																									BgL_auxz00_6191;
																								BgL_auxz00_6191 =
																									((BgL_objectz00_bglt)
																									BgL_obj3421z00_4115);
																								BgL_auxz00_6190 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_6191);
																							}
																							BgL_auxz00_6189 =
																								(((BgL_tclassz00_bglt)
																									CREF(BgL_auxz00_6190))->
																								BgL_holderz00);
																						}
																						BgL_arg4759z00_2449 =
																							((obj_t) BgL_auxz00_6189);
																					}
																				}
																			else
																				{	/* Ast/unit.scm 819 */
																					BgL_arg4759z00_2449 = BFALSE;
																				}
																		}
																		{	/* Ast/unit.scm 820 */
																			obj_t BgL_arg4762z00_2452;

																			{	/* Ast/unit.scm 820 */
																				obj_t BgL_res5059z00_4118;

																				{	/* Ast/unit.scm 820 */
																					obj_t BgL_arg2069z00_4117;

																					BgL_arg2069z00_4117 =
																						SYMBOL_TO_STRING(BgL_namez00_2428);
																					BgL_res5059z00_4118 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg2069z00_4117);
																				}
																				BgL_arg4762z00_2452 =
																					BgL_res5059z00_4118;
																			}
																			BgL_arg4760z00_2450 =
																				MAKE_PAIR(BgL_arg4762z00_2452, BNIL);
																		}
																		BgL_arg4758z00_2448 =
																			MAKE_PAIR(BgL_arg4759z00_2449,
																			BgL_arg4760z00_2450);
																	}
																	BgL_arg4753z00_2443 =
																		MAKE_PAIR(BgL_arg4757z00_2447,
																		BgL_arg4758z00_2448);
																}
																BgL_arg4751z00_2441 =
																	MAKE_PAIR(BgL_arg4752z00_2442,
																	BgL_arg4753z00_2443);
															}
															BgL_genz00_2435 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 54)),
																BgL_arg4751z00_2441);
														}
														{	/* Ast/unit.scm 816 */
															obj_t BgL_sexpza2za2_2436;

															{	/* Ast/unit.scm 821 */
																obj_t BgL_list4749z00_2439;

																{	/* Ast/unit.scm 821 */
																	obj_t BgL_arg4750z00_2440;

																	BgL_arg4750z00_2440 =
																		MAKE_PAIR(BgL_genz00_2435, BNIL);
																	BgL_list4749z00_2439 =
																		MAKE_PAIR(
																		((obj_t) BgL_genericz00_2432),
																		BgL_arg4750z00_2440);
																}
																BgL_sexpza2za2_2436 = BgL_list4749z00_2439;
															}
															{	/* Ast/unit.scm 821 */

																{	/* Ast/unit.scm 822 */
																	bool_t BgL_testz00_6207;

																	if (STRUCTP(BgL_ozd2unitzd2_2433))
																		{	/* Ast/unit.scm 822 */
																			BgL_testz00_6207 =
																				(STRUCT_KEY(BgL_ozd2unitzd2_2433) ==
																				CNST_TABLE_REF(((long) 55)));
																		}
																	else
																		{	/* Ast/unit.scm 822 */
																			BgL_testz00_6207 = ((bool_t) 0);
																		}
																	if (BgL_testz00_6207)
																		{	/* Ast/unit.scm 822 */
																			BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																				(BgL_ozd2unitzd2_2433,
																				BgL_sexpza2za2_2436);
																			{	/* Ast/unit.scm 826 */
																				obj_t BgL_list4748z00_2438;

																				BgL_list4748z00_2438 =
																					MAKE_PAIR(BUNSPEC, BNIL);
																				return BgL_list4748z00_2438;
																			}
																		}
																	else
																		{	/* Ast/unit.scm 822 */
																			return BgL_sexpza2za2_2436;
																		}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-method-definition */
	obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t BgL_idz00_113,
		obj_t BgL_argsz00_114, obj_t BgL_bodyz00_115, obj_t BgL_srcz00_116)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 831 */
			{	/* Ast/unit.scm 832 */
				obj_t BgL_locz00_2500;

				BgL_locz00_2500 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_116);
				{	/* Ast/unit.scm 832 */
					obj_t BgL_localsz00_2501;

					{
						obj_t BgL_argsz00_2510;
						obj_t BgL_resz00_2511;

						BgL_argsz00_2510 = BgL_argsz00_114;
						BgL_resz00_2511 = BNIL;
					BgL_zc3anonymousza34805ze3z83_2512:
						if (NULLP(BgL_argsz00_2510))
							{	/* Ast/unit.scm 836 */
								BgL_localsz00_2501 = bgl_reverse_bang(BgL_resz00_2511);
							}
						else
							{	/* Ast/unit.scm 836 */
								if (PAIRP(BgL_argsz00_2510))
									{	/* Ast/unit.scm 847 */
										obj_t BgL_pidz00_2515;

										BgL_pidz00_2515 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2510),
												BgL_locz00_2500), BgL_srcz00_116);
										{	/* Ast/unit.scm 847 */
											obj_t BgL_idz00_2516;

											BgL_idz00_2516 = CAR(BgL_pidz00_2515);
											{	/* Ast/unit.scm 848 */
												obj_t BgL_typez00_2517;

												BgL_typez00_2517 = CDR(BgL_pidz00_2515);
												{	/* Ast/unit.scm 849 */

													{	/* Ast/unit.scm 850 */
														obj_t BgL_arg4808z00_2518;
														obj_t BgL_arg4809z00_2519;

														BgL_arg4808z00_2518 = CDR(BgL_argsz00_2510);
														{	/* Ast/unit.scm 851 */
															BgL_localz00_bglt BgL_arg4810z00_2520;

															BgL_arg4810z00_2520 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_idz00_2516,
																((BgL_typez00_bglt) BgL_typez00_2517));
															BgL_arg4809z00_2519 =
																MAKE_PAIR(((obj_t) BgL_arg4810z00_2520),
																BgL_resz00_2511);
														}
														{
															obj_t BgL_resz00_6232;
															obj_t BgL_argsz00_6231;

															BgL_argsz00_6231 = BgL_arg4808z00_2518;
															BgL_resz00_6232 = BgL_arg4809z00_2519;
															BgL_resz00_2511 = BgL_resz00_6232;
															BgL_argsz00_2510 = BgL_argsz00_6231;
															goto BgL_zc3anonymousza34805ze3z83_2512;
														}
													}
												}
											}
										}
									}
								else
									{	/* Ast/unit.scm 839 */
										obj_t BgL_pidz00_2523;

										BgL_pidz00_2523 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2510,
												BgL_locz00_2500), BgL_srcz00_116);
										{	/* Ast/unit.scm 839 */
											obj_t BgL_idz00_2524;

											BgL_idz00_2524 = CAR(BgL_pidz00_2523);
											{	/* Ast/unit.scm 840 */
												obj_t BgL_typez00_2525;

												BgL_typez00_2525 = CDR(BgL_pidz00_2523);
												{	/* Ast/unit.scm 841 */

													{	/* Ast/unit.scm 845 */
														obj_t BgL_arg4813z00_2526;

														{	/* Ast/unit.scm 845 */
															BgL_localz00_bglt BgL_arg4814z00_2527;

															BgL_arg4814z00_2527 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_idz00_2524,
																((BgL_typez00_bglt) BgL_typez00_2525));
															BgL_arg4813z00_2526 =
																MAKE_PAIR(((obj_t) BgL_arg4814z00_2527),
																BgL_resz00_2511);
														}
														BgL_localsz00_2501 =
															bgl_reverse_bang(BgL_arg4813z00_2526);
													}
												}
											}
										}
									}
							}
					}
					{	/* Ast/unit.scm 833 */

						if (BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
							(BgL_idz00_113, BgL_argsz00_114, BgL_localsz00_2501,
								BgL_srcz00_116))
							{	/* Ast/unit.scm 854 */
								obj_t BgL_ozd2unitzd2_2503;
								obj_t BgL_sexpza2za2_2504;

								BgL_ozd2unitzd2_2503 =
									BGl_getzd2methodzd2unitz00zzmodule_classz00();
								BgL_sexpza2za2_2504 =
									BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_idz00_113,
									BgL_argsz00_114, BgL_localsz00_2501, BgL_bodyz00_115,
									BgL_srcz00_116);
								{	/* Ast/unit.scm 856 */
									bool_t BgL_testz00_6246;

									if (STRUCTP(BgL_ozd2unitzd2_2503))
										{	/* Ast/unit.scm 856 */
											BgL_testz00_6246 =
												(STRUCT_KEY(BgL_ozd2unitzd2_2503) ==
												CNST_TABLE_REF(((long) 55)));
										}
									else
										{	/* Ast/unit.scm 856 */
											BgL_testz00_6246 = ((bool_t) 0);
										}
									if (BgL_testz00_6246)
										{	/* Ast/unit.scm 856 */
											BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
												(BgL_ozd2unitzd2_2503, BgL_sexpza2za2_2504);
											{	/* Ast/unit.scm 860 */
												obj_t BgL_list4803z00_2506;

												BgL_list4803z00_2506 = MAKE_PAIR(BUNSPEC, BNIL);
												return BgL_list4803z00_2506;
											}
										}
									else
										{	/* Ast/unit.scm 856 */
											return BgL_sexpza2za2_2504;
										}
								}
							}
						else
							{	/* Ast/unit.scm 853 */
								obj_t BgL_list4804z00_2507;

								BgL_list4804z00_2507 = MAKE_PAIR(BUNSPEC, BNIL);
								return BgL_list4804z00_2507;
							}
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 502577483),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_genericz00(((long) 3606241),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 530519242),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 88092144),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 29043400),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 355631846),
				BSTRING_TO_STRING(BGl_string5087z00zzast_unitz00));
		}
	}

#ifdef __cplusplus
}
#endif
