/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec4011ze1zzdataflow_walkz00(obj_t,
		BgL_localzf2valuezf2_bglt, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd23967za2zzdataflow_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_localzf2valuezf2_bglt
		BGl_z62localzf2valuezd2nilz42zzdataflow_walkz00(obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s3973za2zzdataflow_walkz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun3999z91zzdataflow_walkz00(obj_t,
		BgL_letzd2funzd2_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_isaz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap3977zb0zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62objectzd2ze3structzd2local4009z81zzdataflow_walkz00(obj_t,
		BgL_localzf2valuezf2_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd23969za2zzdataflow_walkz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2co3981zb0zzdataflow_walkz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t BGl_z62abortzf3zd2letzd2var3997z91zzdataflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62dataflowzd2testzd2falsezd23986zb0zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2testzd2falsezd23989zb0zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34163ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2sequence3995z43zzdataflow_walkz00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l3947za2zzdataflow_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_appendzd221095zd2zzdataflow_walkz00(obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le3985zb0zzdataflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62abortzf3zd2app4003z43zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2selec3959z70zzdataflow_walkz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca3949z70zzdataflow_walkz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2funcall4005z43zzdataflow_walkz00(obj_t,
		BgL_funcallz00_bglt);
	static obj_t BGl_z62dataflowzd2nodez12zd2fail3957z70zzdataflow_walkz00(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62abortzf3zd2conditional4001z43zzdataflow_walkz00(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62abortzf3zd2appzd2ly4007z91zzdataflow_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez123936za2zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app3945z70zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static BgL_localzf2valuezf2_bglt
		BGl_localzf2valuezd2nilz20zzdataflow_walkz00();
	extern obj_t BGl_funz00zzast_varz00;
	static BgL_localz00_bglt
		BGl_z62z52allocatezd2localzf2valuez10zzdataflow_walkz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2nodez12zd2closu3941z70zzdataflow_walkz00(obj_t,
		BgL_closurez00_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_z62localzf2valuezf3z63zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf33990z91zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque3943z70zzdataflow_walkz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_z52thezd2localzf2valuezd2nilza0zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62dataflowzd2testzd2env3974z62zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62zc3anonymousza34139ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e3965za2zzdataflow_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_z62abortzf3zd2fail3993z43zzdataflow_walkz00(obj_t,
		BgL_failz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter3951z70zzdataflow_walkz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza34177ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va3983zb0zzdataflow_walkz00(obj_t,
		BgL_varz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2nodez12zd2setq3953z70zzdataflow_walkz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62zc3anonymousza34196ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var3939z70zzdataflow_walkz00(obj_t,
		BgL_varz00_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi3955z70zzdataflow_walkz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62dataflowzd2testzd2envzd2is3979zb0zzdataflow_walkz00(obj_t,
		BgL_isaz00_bglt);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r3971za2zzdataflow_walkz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f3961za2zzdataflow_walkz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v3963za2zzdataflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static obj_t __cnst[8];


	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STRING(BGl_string4508z00zzdataflow_walkz00,
		BgL_bgl_string4508za700za7za7d4534za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string4514z00zzdataflow_walkz00,
		BgL_bgl_string4514za700za7za7d4535za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string4516z00zzdataflow_walkz00,
		BgL_bgl_string4516za700za7za7d4536za7, "abort?", 6);
	      DEFINE_STRING(BGl_string4525z00zzdataflow_walkz00,
		BgL_bgl_string4525za700za7za7d4537za7, "object->struct::struct", 22);
	      DEFINE_STRING(BGl_string4527z00zzdataflow_walkz00,
		BgL_bgl_string4527za700za7za7d4538za7, "struct+object->object::object", 29);
	      DEFINE_STRING(BGl_string4529z00zzdataflow_walkz00,
		BgL_bgl_string4529za700za7za7d4539za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string4530z00zzdataflow_walkz00,
		BgL_bgl_string4530za700za7za7d4540za7,
		"read _ local/value $epair? $pair? foreign $null? pass-started ", 62);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_localzf2valuezf3zd2envzd3zzdataflow_walkz00,
		BgL_bgl_za762localza7f2value4541z00,
		BGl_z62localzf2valuezf3z63zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4480z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4542z00,
		BGl_z62dataflowzd2nodez123936za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4482z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4543z00,
		BGl_z62dataflowzd2testzd2env3974z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4484z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4544z00,
		BGl_z62dataflowzd2testzd2falsezd23986zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4486z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f33990za74545za7,
		BGl_z62abortzf33990z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4488z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4546z00,
		BGl_z62dataflowzd2nodez12zd2var3939z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4490z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4547z00,
		BGl_z62dataflowzd2nodez12zd2closu3941z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4491z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4548z00,
		BGl_z62dataflowzd2nodez12zd2seque3943z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4492z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4549z00,
		BGl_z62dataflowzd2nodez12zd2app3945z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4493z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4550z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l3947za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4494z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4551z00,
		BGl_z62dataflowzd2nodez12zd2funca3949z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4495z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4552z00,
		BGl_z62dataflowzd2nodez12zd2exter3951z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4496z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4553z00,
		BGl_z62dataflowzd2nodez12zd2setq3953z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4497z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4554z00,
		BGl_z62dataflowzd2nodez12zd2condi3955z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4498z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4555z00,
		BGl_z62dataflowzd2nodez12zd2fail3957z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4499z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4556z00,
		BGl_z62dataflowzd2nodez12zd2selec3959z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4557z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_localzf2valuezd2nilzd2envzf2zzdataflow_walkz00,
		BgL_bgl_za762localza7f2value4558z00,
		BGl_z62localzf2valuezd2nilz42zzdataflow_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa4559z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za74560za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4561z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4500z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4562z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f3961za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4501z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4563z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v3963za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4502z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4564z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e3965za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4503z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4565z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd23967za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4504z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4566z00,
		BGl_z62dataflowzd2nodez12zd2makezd23969za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4505z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4567z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r3971za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4506z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4568z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s3973za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4507z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4569z00,
		BGl_z62dataflowzd2testzd2envzd2ap3977zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4509z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4570z00,
		BGl_z62dataflowzd2testzd2envzd2is3979zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4510z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4571z00,
		BGl_z62dataflowzd2testzd2envzd2co3981zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4511z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4572z00,
		BGl_z62dataflowzd2testzd2envzd2va3983zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4512z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4573z00,
		BGl_z62dataflowzd2testzd2envzd2le3985zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4513z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te4574z00,
		BGl_z62dataflowzd2testzd2falsezd23989zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4515z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa4575za7,
		BGl_z62abortzf3zd2fail3993z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4517z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se4576za7,
		BGl_z62abortzf3zd2sequence3995z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4518z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le4577za7,
		BGl_z62abortzf3zd2letzd2var3997z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4519z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le4578za7,
		BGl_z62abortzf3zd2letzd2fun3999z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4520z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co4579za7,
		BGl_z62abortzf3zd2conditional4001z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4521z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap4580za7,
		BGl_z62abortzf3zd2app4003z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4522z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu4581za7,
		BGl_z62abortzf3zd2funcall4005z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4523z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap4582za7,
		BGl_z62abortzf3zd2appzd2ly4007z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4524z00zzdataflow_walkz00,
		BgL_bgl_za762objectza7d2za7e3s4583za7,
		BGl_z62objectzd2ze3structzd2local4009z81zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4526z00zzdataflow_walkz00,
		BgL_bgl_za762structza7b2obje4584z00,
		BGl_z62structzb2objectzd2ze3objec4011ze1zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4528z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza74585za7,
		BGl_z62zc3anonymousza34139ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no4586z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4473z00zzdataflow_walkz00,
		BgL_bgl_string4473za700za7za7d4587za7, "   . ", 5);
	      DEFINE_STRING(BGl_string4474z00zzdataflow_walkz00,
		BgL_bgl_string4474za700za7za7d4588za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string4475z00zzdataflow_walkz00,
		BgL_bgl_string4475za700za7za7d4589za7, " error", 6);
	      DEFINE_STRING(BGl_string4476z00zzdataflow_walkz00,
		BgL_bgl_string4476za700za7za7d4590za7, "s", 1);
	      DEFINE_STRING(BGl_string4477z00zzdataflow_walkz00,
		BgL_bgl_string4477za700za7za7d4591za7, "", 0);
	      DEFINE_STRING(BGl_string4478z00zzdataflow_walkz00,
		BgL_bgl_string4478za700za7za7d4592za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string4479z00zzdataflow_walkz00,
		BgL_bgl_string4479za700za7za7d4593za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string4481z00zzdataflow_walkz00,
		BgL_bgl_string4481za700za7za7d4594za7, "dataflow-node!3936", 18);
	      DEFINE_STRING(BGl_string4483z00zzdataflow_walkz00,
		BgL_bgl_string4483za700za7za7d4595za7, "dataflow-test-env3974", 21);
	      DEFINE_STRING(BGl_string4485z00zzdataflow_walkz00,
		BgL_bgl_string4485za700za7za7d4596za7, "dataflow-test-false-3986", 24);
	      DEFINE_STRING(BGl_string4487z00zzdataflow_walkz00,
		BgL_bgl_string4487za700za7za7d4597za7, "abort?3990", 10);
	      DEFINE_STRING(BGl_string4489z00zzdataflow_walkz00,
		BgL_bgl_string4489za700za7za7d4598za7, "dataflow-node!", 14);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2localzf2valuezd2envza0zzdataflow_walkz00,
		BgL_bgl_za762za752allocateza7d4599za7,
		BGl_z62z52allocatezd2localzf2valuez10zzdataflow_walkz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_3073, char *BgL_fromz00_3074)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					BGl_toplevelzd2initzd2zzdataflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_3049;

				BgL_cportz00_3049 =
					bgl_open_input_string(BGl_string4530z00zzdataflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3050;

					BgL_iz00_3050 = ((long) 7);
				BgL_loopz00_3051:
					if ((BgL_iz00_3050 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg4532z00_3053;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_3055;

										BgL_locationz00_3055 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg4532z00_3053 =
												BGl_readz00zz__readerz00(BgL_cportz00_3049,
												BgL_locationz00_3055);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_auxz00_3099;

									BgL_auxz00_3099 = (int) (BgL_iz00_3050);
									CNST_TABLE_SET(BgL_auxz00_3099, BgL_arg4532z00_3053);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_3056;

								BgL_auxz00_3056 = (int) ((BgL_iz00_3050 - ((long) 1)));
								{
									long BgL_iz00_3104;

									BgL_iz00_3104 = (long) (BgL_auxz00_3056);
									BgL_iz00_3050 = BgL_iz00_3104;
									goto BgL_loopz00_3051;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_956;

				BgL_headz00_956 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_957;
					obj_t BgL_tailz00_958;

					BgL_prevz00_957 = BgL_headz00_956;
					BgL_tailz00_958 = BgL_l1z00_1;
				BgL_loopz00_959:
					if (PAIRP(BgL_tailz00_958))
						{
							obj_t BgL_newzd2prevzd2_961;

							BgL_newzd2prevzd2_961 =
								MAKE_PAIR(CAR(BgL_tailz00_958), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_957, BgL_newzd2prevzd2_961);
							{
								obj_t BgL_tailz00_3113;
								obj_t BgL_prevz00_3112;

								BgL_prevz00_3112 = BgL_newzd2prevzd2_961;
								BgL_tailz00_3113 = CDR(BgL_tailz00_958);
								BgL_tailz00_958 = BgL_tailz00_3113;
								BgL_prevz00_957 = BgL_prevz00_3112;
								goto BgL_loopz00_959;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_956);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_3, obj_t BgL_namez00_4)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 43 */
			{	/* Dataflow/walk.scm 44 */
				obj_t BgL_list4015z00_964;

				{	/* Dataflow/walk.scm 44 */
					obj_t BgL_arg4016z00_965;

					{	/* Dataflow/walk.scm 44 */
						obj_t BgL_arg4018z00_966;

						BgL_arg4018z00_966 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg4016z00_965 = MAKE_PAIR(BgL_namez00_4, BgL_arg4018z00_966);
					}
					BgL_list4015z00_964 =
						MAKE_PAIR(BGl_string4473z00zzdataflow_walkz00, BgL_arg4016z00_965);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list4015z00_964);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_4;
			{
				obj_t BgL_hooksz00_970;
				obj_t BgL_hnamesz00_971;

				BgL_hooksz00_970 = BNIL;
				BgL_hnamesz00_971 = BNIL;
			BgL_zc3anonymousza34019ze3z83_972:
				if (NULLP(BgL_hooksz00_970))
					{	/* Dataflow/walk.scm 44 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 44 */
						bool_t BgL_testz00_3126;

						{	/* Dataflow/walk.scm 44 */
							obj_t BgL_fun4025z00_978;

							BgL_fun4025z00_978 = CAR(BgL_hooksz00_970);
							BgL_testz00_3126 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun4025z00_978) (BgL_fun4025z00_978,
									BEOA));
						}
						if (BgL_testz00_3126)
							{
								obj_t BgL_hnamesz00_3134;
								obj_t BgL_hooksz00_3132;

								BgL_hooksz00_3132 = CDR(BgL_hooksz00_970);
								BgL_hnamesz00_3134 = CDR(BgL_hnamesz00_971);
								BgL_hnamesz00_971 = BgL_hnamesz00_3134;
								BgL_hooksz00_970 = BgL_hooksz00_3132;
								goto BgL_zc3anonymousza34019ze3z83_972;
							}
						else
							{	/* Dataflow/walk.scm 44 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_4,
									BGl_string4474z00zzdataflow_walkz00, CAR(BgL_hnamesz00_971));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l3912z00_982;

				BgL_l3912z00_982 = BgL_globalsz00_3;
			BgL_zc3anonymousza34027ze3z83_983:
				if (PAIRP(BgL_l3912z00_982))
					{	/* Dataflow/walk.scm 48 */
						{	/* Dataflow/walk.scm 48 */
							obj_t BgL_arg4029z00_985;

							BgL_arg4029z00_985 = CAR(BgL_l3912z00_982);
							{	/* Dataflow/walk.scm 48 */
								obj_t BgL_arg4046z00_2030;

								{	/* Dataflow/walk.scm 48 */
									BgL_sfunz00_bglt BgL_obj2185z00_2033;

									{	/* Dataflow/walk.scm 48 */
										BgL_variablez00_bglt BgL_obj1875z00_2032;

										BgL_obj1875z00_2032 =
											((BgL_variablez00_bglt) BgL_arg4029z00_985);
										BgL_obj2185z00_2033 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1875z00_2032)))->BgL_valuez00));
									}
									BgL_arg4046z00_2030 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj2185z00_2033)))->BgL_bodyz00);
								}
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg4046z00_2030), BNIL);
							}
						}
						{
							obj_t BgL_l3912z00_3158;

							BgL_l3912z00_3158 = CDR(BgL_l3912z00_982);
							BgL_l3912z00_982 = BgL_l3912z00_3158;
							goto BgL_zc3anonymousza34027ze3z83_983;
						}
					}
				else
					{	/* Dataflow/walk.scm 48 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 49 */
					{	/* Dataflow/walk.scm 49 */
						obj_t BgL_port3914z00_990;

						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_res4383z00_2039;

							{	/* Dataflow/walk.scm 49 */
								obj_t BgL_auxz00_3163;

								BgL_auxz00_3163 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4383z00_2039 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3163);
							}
							BgL_port3914z00_990 = BgL_res4383z00_2039;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3914z00_990);
						BGL_DISPLAY_STRING(BGl_string4475z00zzdataflow_walkz00,
							BgL_port3914z00_990);
						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_arg4032z00_991;

							{	/* Dataflow/walk.scm 49 */
								bool_t BgL_testz00_3168;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 49 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 49 */
												BgL_testz00_3168 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 49 */
												BgL_testz00_3168 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 49 */
										BgL_testz00_3168 = ((bool_t) 0);
									}
								if (BgL_testz00_3168)
									{	/* Dataflow/walk.scm 49 */
										BgL_arg4032z00_991 = BGl_string4476z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 49 */
										BgL_arg4032z00_991 = BGl_string4477z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg4032z00_991, BgL_port3914z00_990);
						}
						BGL_DISPLAY_STRING(BGl_string4478z00zzdataflow_walkz00,
							BgL_port3914z00_990);
						bgl_display_char(((unsigned char) '\n'), BgL_port3914z00_990);
					}
					{	/* Dataflow/walk.scm 49 */
						obj_t BgL_list4036z00_995;

						BgL_list4036z00_995 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list4036z00_995);
					}
				}
			else
				{
					obj_t BgL_hooksz00_999;
					obj_t BgL_hnamesz00_1000;

					BgL_hooksz00_999 = BNIL;
					BgL_hnamesz00_1000 = BNIL;
				BgL_zc3anonymousza34037ze3z83_1001:
					if (NULLP(BgL_hooksz00_999))
						{	/* Dataflow/walk.scm 49 */
							return BgL_globalsz00_3;
						}
					else
						{	/* Dataflow/walk.scm 49 */
							bool_t BgL_testz00_3185;

							{	/* Dataflow/walk.scm 49 */
								obj_t BgL_fun4044z00_1007;

								BgL_fun4044z00_1007 = CAR(BgL_hooksz00_999);
								BgL_testz00_3185 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun4044z00_1007)
									(BgL_fun4044z00_1007, BEOA));
							}
							if (BgL_testz00_3185)
								{
									obj_t BgL_hnamesz00_3193;
									obj_t BgL_hooksz00_3191;

									BgL_hooksz00_3191 = CDR(BgL_hooksz00_999);
									BgL_hnamesz00_3193 = CDR(BgL_hnamesz00_1000);
									BgL_hnamesz00_1000 = BgL_hnamesz00_3193;
									BgL_hooksz00_999 = BgL_hooksz00_3191;
									goto BgL_zc3anonymousza34037ze3z83_1001;
								}
							else
								{	/* Dataflow/walk.scm 49 */
									obj_t BgL_arg4043z00_1006;

									BgL_arg4043z00_1006 = CAR(BgL_hnamesz00_1000);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string4479z00zzdataflow_walkz00, BgL_arg4043z00_1006);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_2617,
		obj_t BgL_globalsz00_2618, obj_t BgL_namez00_2619)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 43 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_2618,
				BgL_namez00_2619);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_44,
		obj_t BgL_envz00_45)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 298 */
			{
				obj_t BgL_l3921z00_1013;

				BgL_l3921z00_1013 = BgL_nodeza2za2_44;
			BgL_zc3anonymousza34048ze3z83_1014:
				if (PAIRP(BgL_l3921z00_1013))
					{	/* Dataflow/walk.scm 299 */
						{	/* Dataflow/walk.scm 299 */
							obj_t BgL_nz00_1016;

							BgL_nz00_1016 = CAR(BgL_l3921z00_1013);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1016), BgL_envz00_45);
						}
						{
							obj_t BgL_l3921z00_3203;

							BgL_l3921z00_3203 = CDR(BgL_l3921z00_1013);
							BgL_l3921z00_1013 = BgL_l3921z00_3203;
							goto BgL_zc3anonymousza34048ze3z83_1014;
						}
					}
				else
					{	/* Dataflow/walk.scm 299 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_45;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 35 */
				obj_t BgL_arg4051z00_1019;

				{	/* Dataflow/walk.scm 35 */
					obj_t BgL_v3935z00_1020;

					BgL_v3935z00_1020 = create_vector((int) (((long) 0)));
					BgL_arg4051z00_1019 = BgL_v3935z00_1020;
				}
				BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
					BGl_localz00zzast_varz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2localzf2valuezd2envza0zzdataflow_walkz00,
					BGl_localzf2valuezd2nilzd2envzf2zzdataflow_walkz00,
					BGl_localzf2valuezf3zd2envzd3zzdataflow_walkz00, ((long) 73736049),
					BFALSE, BFALSE, BgL_arg4051z00_1019);
			}
			return (BGl_z52thezd2localzf2valuezd2nilza0zzdataflow_walkz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* &local/value? */
	obj_t BGl_z62localzf2valuezf3z63zzdataflow_walkz00(obj_t BgL_envz00_2622,
		obj_t BgL_obj3799z00_2623)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 35 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3799z00_2623,
					BGl_localzf2valuezf2zzdataflow_walkz00));
		}
	}



/* &%allocate-local/value */
	BgL_localz00_bglt
		BGl_z62z52allocatezd2localzf2valuez10zzdataflow_walkz00(obj_t
		BgL_envz00_2620)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 35 */
			{	/* Dataflow/walk.scm 35 */
				BgL_localz00_bglt BgL_new3790z00_3061;

				BgL_new3790z00_3061 =
					((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Dataflow/walk.scm 35 */
					long BgL_arg4054z00_3062;

					BgL_arg4054z00_3062 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_localzf2valuezf2zzdataflow_walkz00);
					{	/* Dataflow/walk.scm 35 */
						BgL_objectz00_bglt BgL_objz00_3063;

						BgL_objz00_3063 = ((BgL_objectz00_bglt) BgL_new3790z00_3061);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3063, BgL_arg4054z00_3062);
				}}
				{	/* Dataflow/walk.scm 35 */
					BgL_objectz00_bglt BgL_auxz00_3215;

					BgL_auxz00_3215 = ((BgL_objectz00_bglt) BgL_new3790z00_3061);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3215, BFALSE);
				}
				return BgL_new3790z00_3061;
			}
		}
	}



/* local/value-nil */
	BgL_localzf2valuezf2_bglt BGl_localzf2valuezd2nilz20zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 35 */
			{	/* Dataflow/walk.scm 35 */
				bool_t BgL_testz00_3218;

				{	/* Dataflow/walk.scm 35 */
					bool_t BgL_res4390z00_2080;

					{	/* Dataflow/walk.scm 35 */
						obj_t BgL_obj3799z00_2079;

						BgL_obj3799z00_2079 =
							BGl_z52thezd2localzf2valuezd2nilza0zzdataflow_walkz00;
						BgL_res4390z00_2080 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3799z00_2079,
							BGl_localzf2valuezf2zzdataflow_walkz00);
					}
					BgL_testz00_3218 = BgL_res4390z00_2080;
				}
				if (BgL_testz00_3218)
					{	/* Dataflow/walk.scm 35 */
						obj_t BgL_xz00_2795;

						BgL_xz00_2795 =
							BGl_z52thezd2localzf2valuezd2nilza0zzdataflow_walkz00;
						return ((BgL_localzf2valuezf2_bglt) BgL_xz00_2795);
					}
				else
					{	/* Dataflow/walk.scm 35 */
						BgL_localzf2valuezf2_bglt BgL_g3791z00_1031;

						{	/* Dataflow/walk.scm 35 */
							BgL_localz00_bglt BgL_res4391z00_2085;

							{	/* Dataflow/walk.scm 35 */
								BgL_localz00_bglt BgL_new2111z00_2081;

								BgL_new2111z00_2081 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 35 */
									long BgL_arg4107z00_2082;

									BgL_arg4107z00_2082 =
										BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00);
									{	/* Dataflow/walk.scm 35 */
										BgL_objectz00_bglt BgL_objz00_2083;

										BgL_objz00_2083 =
											((BgL_objectz00_bglt) BgL_new2111z00_2081);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2083,
											BgL_arg4107z00_2082);
								}}
								{	/* Dataflow/walk.scm 35 */
									BgL_objectz00_bglt BgL_auxz00_3225;

									BgL_auxz00_3225 = ((BgL_objectz00_bglt) BgL_new2111z00_2081);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3225, BFALSE);
								}
								BgL_res4391z00_2085 = BgL_new2111z00_2081;
							}
							BgL_g3791z00_1031 =
								((BgL_localzf2valuezf2_bglt) BgL_res4391z00_2085);
						}
						BGl_z52thezd2localzf2valuezd2nilza0zzdataflow_walkz00 =
							((obj_t) BgL_g3791z00_1031);
						{	/* Dataflow/walk.scm 35 */
							BgL_typez00_bglt BgL_arg4056z00_1032;
							BgL_valuez00_bglt BgL_arg4057z00_1033;

							BgL_arg4056z00_1032 = BGl_typezd2nilzd2zztype_typez00();
							BgL_arg4057z00_1033 = BGl_valuezd2nilzd2zzast_varz00();
							{	/* Dataflow/walk.scm 35 */
								BgL_localz00_bglt BgL_res4392z00_2109;

								{	/* Dataflow/walk.scm 35 */
									BgL_localz00_bglt BgL_new2098z00_2086;
									obj_t BgL_id2087z00_2087;

									BgL_new2098z00_2086 = ((BgL_localz00_bglt) BgL_g3791z00_1031);
									BgL_id2087z00_2087 = CNST_TABLE_REF(((long) 6));
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_new2098z00_2086)))->BgL_idz00) =
										((obj_t) BgL_id2087z00_2087), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_namez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg4056z00_1032), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_arg4057z00_1033), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_accessz00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_removablez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new2098z00_2086)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_localz00_bglt) CREF(((obj_t) BgL_new2098z00_2086)))->
											BgL_keyz00) = ((long) ((long) 0)), BUNSPEC);
									BgL_res4392z00_2109 = BgL_new2098z00_2086;
								} BgL_res4392z00_2109;
						}}
						{	/* Dataflow/walk.scm 35 */
							long BgL_arg4058z00_1034;

							BgL_arg4058z00_1034 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_localzf2valuezf2zzdataflow_walkz00);
							{	/* Dataflow/walk.scm 35 */
								BgL_objectz00_bglt BgL_objz00_2110;

								BgL_objz00_2110 = ((BgL_objectz00_bglt) BgL_g3791z00_1031);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2110, BgL_arg4058z00_1034);
						}}
						{	/* Dataflow/walk.scm 35 */
							BgL_localzf2valuezf2_bglt BgL_arg4059z00_1035;

							{	/* Dataflow/walk.scm 35 */
								BgL_nodez00_bglt BgL_arg4060z00_1036;

								BgL_arg4060z00_1036 = BGl_nodezd2nilzd2zzast_nodez00();
								{	/* Dataflow/walk.scm 35 */
									BgL_localzf2valuezf2_bglt BgL_res4394z00_2121;

									{	/* Dataflow/walk.scm 35 */
										int BgL_stamp3765z00_2112;

										BgL_stamp3765z00_2112 = (int) (((long) 0));
										{	/* Dataflow/walk.scm 35 */
											BgL_localzf2valuezf2_bglt BgL_new3767z00_2114;

											BgL_new3767z00_2114 =
												((BgL_localzf2valuezf2_bglt)
												BREF(GC_MALLOC(sizeof(struct
															BgL_localzf2valuezf2_bgl))));
											{	/* Dataflow/walk.scm 35 */
												BgL_localzf2valuezf2_bglt BgL_res4393z00_2120;

												((((BgL_localzf2valuezf2_bglt) CREF(
																((obj_t) BgL_new3767z00_2114)))->BgL_stampz00) =
													((int) BgL_stamp3765z00_2112), BUNSPEC);
												((((BgL_localzf2valuezf2_bglt) CREF(((obj_t)
																	BgL_new3767z00_2114)))->BgL_nodez00) =
													((BgL_nodez00_bglt) BgL_arg4060z00_1036), BUNSPEC);
												BgL_res4393z00_2120 = BgL_new3767z00_2114;
												BgL_res4393z00_2120;
											}
											BgL_res4394z00_2121 = BgL_new3767z00_2114;
									}}
									BgL_arg4059z00_1035 = BgL_res4394z00_2121;
							}}
							{	/* Dataflow/walk.scm 35 */
								obj_t BgL_auxz00_3268;
								BgL_objectz00_bglt BgL_auxz00_3266;

								BgL_auxz00_3268 = ((obj_t) BgL_arg4059z00_1035);
								BgL_auxz00_3266 = ((BgL_objectz00_bglt) BgL_g3791z00_1031);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3266, BgL_auxz00_3268);
						}}
						return BgL_g3791z00_1031;
					}
			}
		}
	}



/* &local/value-nil */
	BgL_localzf2valuezf2_bglt
		BGl_z62localzf2valuezd2nilz42zzdataflow_walkz00(obj_t BgL_envz00_2621)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 35 */
			return BGl_localzf2valuezd2nilz20zzdataflow_walkz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc4480z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4481z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc4482z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4483z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc4484z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4485z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc4486z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4487z00zzdataflow_walkz00);
		}
	}



/* &abort?3990 */
	obj_t BGl_z62abortzf33990z91zzdataflow_walkz00(obj_t BgL_envz00_2628,
		BgL_nodez00_bglt BgL_nodez00_2629)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 417 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-3986 */
	obj_t BGl_z62dataflowzd2testzd2falsezd23986zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2630, BgL_nodez00_bglt BgL_nodez00_2631)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 389 */
			return BNIL;
		}
	}



/* &dataflow-test-env3974 */
	obj_t BGl_z62dataflowzd2testzd2env3974z62zzdataflow_walkz00(obj_t
		BgL_envz00_2632, BgL_nodez00_bglt BgL_nodez00_2633)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 305 */
			return BNIL;
		}
	}



/* &dataflow-node!3936 */
	obj_t BGl_z62dataflowzd2nodez123936za2zzdataflow_walkz00(obj_t
		BgL_envz00_2634, BgL_nodez00_bglt BgL_nodez00_2635, obj_t BgL_envz00_2636)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 67 */
			return BgL_envz00_2636;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_6, obj_t BgL_envz00_7)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 67 */
			{	/* Dataflow/walk.scm 67 */
				obj_t BgL_method3937z00_1477;

				{	/* Dataflow/walk.scm 67 */
					obj_t BgL_res4401z00_2165;

					{	/* Dataflow/walk.scm 67 */
						BgL_objectz00_bglt BgL_objz00_2137;

						BgL_objz00_2137 = ((BgL_objectz00_bglt) BgL_nodez00_6);
						{	/* Dataflow/walk.scm 67 */
							long BgL_objzd2classzd2numz00_2138;

							{	/* Dataflow/walk.scm 67 */
								long BgL_res4395z00_2141;

								BgL_res4395z00_2141 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2137);
								BgL_objzd2classzd2numz00_2138 = BgL_res4395z00_2141;
							}
							{	/* Dataflow/walk.scm 67 */
								obj_t BgL_arg2545z00_2139;

								BgL_arg2545z00_2139 =
									PROCEDURE_REF
									(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 67 */
									obj_t BgL_arrayz00_2142;
									int BgL_offsetz00_2143;

									BgL_arrayz00_2142 = BgL_arg2545z00_2139;
									BgL_offsetz00_2143 = (int) (BgL_objzd2classzd2numz00_2138);
									{	/* Dataflow/walk.scm 67 */
										long BgL_offsetz00_2144;

										BgL_offsetz00_2144 =
											((long) (BgL_offsetz00_2143) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 67 */
											long BgL_modz00_2145;

											{	/* Dataflow/walk.scm 67 */
												int BgL_arg2547z00_2146;

												BgL_arg2547z00_2146 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 67 */
													long BgL_res4398z00_2156;

													{	/* Dataflow/walk.scm 67 */
														long BgL_auxz00_3285;

														BgL_auxz00_3285 = (long) (BgL_arg2547z00_2146);
														BgL_res4398z00_2156 =
															(BgL_offsetz00_2144 / BgL_auxz00_3285);
													}
													BgL_modz00_2145 = BgL_res4398z00_2156;
											}}
											{	/* Dataflow/walk.scm 67 */
												long BgL_restz00_2147;

												{	/* Dataflow/walk.scm 67 */
													int BgL_arg2546z00_2148;

													BgL_arg2546z00_2148 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 67 */
														long BgL_res4400z00_2160;

														{	/* Dataflow/walk.scm 67 */
															long BgL_auxz00_3289;

															BgL_auxz00_3289 = (long) (BgL_arg2546z00_2148);
															BgL_res4400z00_2160 =
																(BgL_offsetz00_2144 % BgL_auxz00_3289);
														}
														BgL_restz00_2147 = BgL_res4400z00_2160;
												}}
												{	/* Dataflow/walk.scm 67 */

													BgL_res4401z00_2165 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2142,
															(int) (BgL_modz00_2145)),
														(int) (BgL_restz00_2147));
					}}}}}}}}
					BgL_method3937z00_1477 = BgL_res4401z00_2165;
				}
				return
					PROCEDURE_ENTRY(BgL_method3937z00_1477) (BgL_method3937z00_1477,
					((obj_t) BgL_nodez00_6), BgL_envz00_7, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_2637,
		obj_t BgL_nodez00_2638, obj_t BgL_envz00_2639)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 67 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2638), BgL_envz00_2639);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_46)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 305 */
			{	/* Dataflow/walk.scm 305 */
				obj_t BgL_method3975z00_1478;

				{	/* Dataflow/walk.scm 305 */
					obj_t BgL_res4408z00_2194;

					{	/* Dataflow/walk.scm 305 */
						BgL_objectz00_bglt BgL_objz00_2166;

						BgL_objz00_2166 = ((BgL_objectz00_bglt) BgL_nodez00_46);
						{	/* Dataflow/walk.scm 305 */
							long BgL_objzd2classzd2numz00_2167;

							{	/* Dataflow/walk.scm 305 */
								long BgL_res4402z00_2170;

								BgL_res4402z00_2170 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2166);
								BgL_objzd2classzd2numz00_2167 = BgL_res4402z00_2170;
							}
							{	/* Dataflow/walk.scm 305 */
								obj_t BgL_arg2545z00_2168;

								BgL_arg2545z00_2168 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 305 */
									obj_t BgL_arrayz00_2171;
									int BgL_offsetz00_2172;

									BgL_arrayz00_2171 = BgL_arg2545z00_2168;
									BgL_offsetz00_2172 = (int) (BgL_objzd2classzd2numz00_2167);
									{	/* Dataflow/walk.scm 305 */
										long BgL_offsetz00_2173;

										BgL_offsetz00_2173 =
											((long) (BgL_offsetz00_2172) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 305 */
											long BgL_modz00_2174;

											{	/* Dataflow/walk.scm 305 */
												int BgL_arg2547z00_2175;

												BgL_arg2547z00_2175 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 305 */
													long BgL_res4405z00_2185;

													{	/* Dataflow/walk.scm 305 */
														long BgL_auxz00_3312;

														BgL_auxz00_3312 = (long) (BgL_arg2547z00_2175);
														BgL_res4405z00_2185 =
															(BgL_offsetz00_2173 / BgL_auxz00_3312);
													}
													BgL_modz00_2174 = BgL_res4405z00_2185;
											}}
											{	/* Dataflow/walk.scm 305 */
												long BgL_restz00_2176;

												{	/* Dataflow/walk.scm 305 */
													int BgL_arg2546z00_2177;

													BgL_arg2546z00_2177 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 305 */
														long BgL_res4407z00_2189;

														{	/* Dataflow/walk.scm 305 */
															long BgL_auxz00_3316;

															BgL_auxz00_3316 = (long) (BgL_arg2546z00_2177);
															BgL_res4407z00_2189 =
																(BgL_offsetz00_2173 % BgL_auxz00_3316);
														}
														BgL_restz00_2176 = BgL_res4407z00_2189;
												}}
												{	/* Dataflow/walk.scm 305 */

													BgL_res4408z00_2194 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2171,
															(int) (BgL_modz00_2174)),
														(int) (BgL_restz00_2176));
					}}}}}}}}
					BgL_method3975z00_1478 = BgL_res4408z00_2194;
				}
				return
					PROCEDURE_ENTRY(BgL_method3975z00_1478) (BgL_method3975z00_1478,
					((obj_t) BgL_nodez00_46), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_2640,
		obj_t BgL_nodez00_2641)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 305 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2641));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_52)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 389 */
			{	/* Dataflow/walk.scm 389 */
				obj_t BgL_method3987z00_1479;

				{	/* Dataflow/walk.scm 389 */
					obj_t BgL_res4415z00_2223;

					{	/* Dataflow/walk.scm 389 */
						BgL_objectz00_bglt BgL_objz00_2195;

						BgL_objz00_2195 = ((BgL_objectz00_bglt) BgL_nodez00_52);
						{	/* Dataflow/walk.scm 389 */
							long BgL_objzd2classzd2numz00_2196;

							{	/* Dataflow/walk.scm 389 */
								long BgL_res4409z00_2199;

								BgL_res4409z00_2199 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2195);
								BgL_objzd2classzd2numz00_2196 = BgL_res4409z00_2199;
							}
							{	/* Dataflow/walk.scm 389 */
								obj_t BgL_arg2545z00_2197;

								BgL_arg2545z00_2197 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 389 */
									obj_t BgL_arrayz00_2200;
									int BgL_offsetz00_2201;

									BgL_arrayz00_2200 = BgL_arg2545z00_2197;
									BgL_offsetz00_2201 = (int) (BgL_objzd2classzd2numz00_2196);
									{	/* Dataflow/walk.scm 389 */
										long BgL_offsetz00_2202;

										BgL_offsetz00_2202 =
											((long) (BgL_offsetz00_2201) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 389 */
											long BgL_modz00_2203;

											{	/* Dataflow/walk.scm 389 */
												int BgL_arg2547z00_2204;

												BgL_arg2547z00_2204 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 389 */
													long BgL_res4412z00_2214;

													{	/* Dataflow/walk.scm 389 */
														long BgL_auxz00_3338;

														BgL_auxz00_3338 = (long) (BgL_arg2547z00_2204);
														BgL_res4412z00_2214 =
															(BgL_offsetz00_2202 / BgL_auxz00_3338);
													}
													BgL_modz00_2203 = BgL_res4412z00_2214;
											}}
											{	/* Dataflow/walk.scm 389 */
												long BgL_restz00_2205;

												{	/* Dataflow/walk.scm 389 */
													int BgL_arg2546z00_2206;

													BgL_arg2546z00_2206 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 389 */
														long BgL_res4414z00_2218;

														{	/* Dataflow/walk.scm 389 */
															long BgL_auxz00_3342;

															BgL_auxz00_3342 = (long) (BgL_arg2546z00_2206);
															BgL_res4414z00_2218 =
																(BgL_offsetz00_2202 % BgL_auxz00_3342);
														}
														BgL_restz00_2205 = BgL_res4414z00_2218;
												}}
												{	/* Dataflow/walk.scm 389 */

													BgL_res4415z00_2223 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2200,
															(int) (BgL_modz00_2203)),
														(int) (BgL_restz00_2205));
					}}}}}}}}
					BgL_method3987z00_1479 = BgL_res4415z00_2223;
				}
				return
					PROCEDURE_ENTRY(BgL_method3987z00_1479) (BgL_method3987z00_1479,
					((obj_t) BgL_nodez00_52), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_2642, obj_t BgL_nodez00_2643)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 389 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2643));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_54)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 417 */
			{	/* Dataflow/walk.scm 417 */
				obj_t BgL_method3991z00_1480;

				{	/* Dataflow/walk.scm 417 */
					obj_t BgL_res4422z00_2252;

					{	/* Dataflow/walk.scm 417 */
						BgL_objectz00_bglt BgL_objz00_2224;

						BgL_objz00_2224 = ((BgL_objectz00_bglt) BgL_nodez00_54);
						{	/* Dataflow/walk.scm 417 */
							long BgL_objzd2classzd2numz00_2225;

							{	/* Dataflow/walk.scm 417 */
								long BgL_res4416z00_2228;

								BgL_res4416z00_2228 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2224);
								BgL_objzd2classzd2numz00_2225 = BgL_res4416z00_2228;
							}
							{	/* Dataflow/walk.scm 417 */
								obj_t BgL_arg2545z00_2226;

								BgL_arg2545z00_2226 =
									PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 417 */
									obj_t BgL_arrayz00_2229;
									int BgL_offsetz00_2230;

									BgL_arrayz00_2229 = BgL_arg2545z00_2226;
									BgL_offsetz00_2230 = (int) (BgL_objzd2classzd2numz00_2225);
									{	/* Dataflow/walk.scm 417 */
										long BgL_offsetz00_2231;

										BgL_offsetz00_2231 =
											((long) (BgL_offsetz00_2230) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 417 */
											long BgL_modz00_2232;

											{	/* Dataflow/walk.scm 417 */
												int BgL_arg2547z00_2233;

												BgL_arg2547z00_2233 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 417 */
													long BgL_res4419z00_2243;

													{	/* Dataflow/walk.scm 417 */
														long BgL_auxz00_3364;

														BgL_auxz00_3364 = (long) (BgL_arg2547z00_2233);
														BgL_res4419z00_2243 =
															(BgL_offsetz00_2231 / BgL_auxz00_3364);
													}
													BgL_modz00_2232 = BgL_res4419z00_2243;
											}}
											{	/* Dataflow/walk.scm 417 */
												long BgL_restz00_2234;

												{	/* Dataflow/walk.scm 417 */
													int BgL_arg2546z00_2235;

													BgL_arg2546z00_2235 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 417 */
														long BgL_res4421z00_2247;

														{	/* Dataflow/walk.scm 417 */
															long BgL_auxz00_3368;

															BgL_auxz00_3368 = (long) (BgL_arg2546z00_2235);
															BgL_res4421z00_2247 =
																(BgL_offsetz00_2231 % BgL_auxz00_3368);
														}
														BgL_restz00_2234 = BgL_res4421z00_2247;
												}}
												{	/* Dataflow/walk.scm 417 */

													BgL_res4422z00_2252 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2229,
															(int) (BgL_modz00_2232)),
														(int) (BgL_restz00_2234));
					}}}}}}}}
					BgL_method3991z00_1480 = BgL_res4422z00_2252;
				}
				return
					PROCEDURE_ENTRY(BgL_method3991z00_1480) (BgL_method3991z00_1480,
					((obj_t) BgL_nodez00_54), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_2644,
		obj_t BgL_nodez00_2645)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 417 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2645));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc4488z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc4490z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc4491z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc4492z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc4493z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc4494z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc4495z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc4496z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4497z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc4498z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc4499z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc4500z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc4501z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4502z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4503z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc4504z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc4505z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4506z00zzdataflow_walkz00,
				BGl_string4489z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc4507z00zzdataflow_walkz00,
				BGl_string4508z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_isaz00zzast_nodez00, BGl_proc4509z00zzdataflow_walkz00,
				BGl_string4508z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4510z00zzdataflow_walkz00,
				BGl_string4508z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc4511z00zzdataflow_walkz00,
				BGl_string4508z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc4512z00zzdataflow_walkz00,
				BGl_string4508z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc4513z00zzdataflow_walkz00,
				BGl_string4514z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4515z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4517z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4518z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4519z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4520z00zzdataflow_walkz00,
				BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4521z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4522z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4523z00zzdataflow_walkz00, BGl_string4516z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_localzf2valuezf2zzdataflow_walkz00,
				BGl_proc4524z00zzdataflow_walkz00, BGl_string4525z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_localzf2valuezf2zzdataflow_walkz00,
				BGl_proc4526z00zzdataflow_walkz00, BGl_string4527z00zzdataflow_walkz00);
		}
	}



/* &struct+object->objec4011 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec4011ze1zzdataflow_walkz00(obj_t
		BgL_envz00_2689, BgL_localzf2valuezf2_bglt BgL_oz00_2690,
		obj_t BgL_sz00_2691)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 35 */
			{
				BgL_localzf2valuezf2_bglt BgL_oz00_1999;
				obj_t BgL_sz00_2000;

				BgL_oz00_1999 = BgL_oz00_2690;
				BgL_sz00_2000 = BgL_sz00_2691;
				{

					{	/* Dataflow/walk.scm 35 */
						obj_t BgL_old3796z00_2003;
						obj_t BgL_aux3797z00_2004;

						{	/* Dataflow/walk.scm 35 */
							obj_t BgL_nextzd2method4010zd2_2010;

							BgL_nextzd2method4010zd2_2010 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_oz00_1999),
								BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
								BGl_localzf2valuezf2zzdataflow_walkz00);
							BgL_old3796z00_2003 =
								PROCEDURE_ENTRY(BgL_nextzd2method4010zd2_2010)
								(BgL_nextzd2method4010zd2_2010, ((obj_t) BgL_oz00_1999),
								BgL_sz00_2000, BEOA);
						}
						BgL_aux3797z00_2004 = STRUCT_REF(BgL_sz00_2000, (int) (((long) 0)));
						{	/* Dataflow/walk.scm 35 */
							BgL_localzf2valuezf2_bglt BgL_new3798z00_2005;

							BgL_new3798z00_2005 =
								((BgL_localzf2valuezf2_bglt) (BgL_old3796z00_2003));
							{	/* Dataflow/walk.scm 35 */
								long BgL_arg4374z00_2006;

								BgL_arg4374z00_2006 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_localzf2valuezf2zzdataflow_walkz00);
								{	/* Dataflow/walk.scm 35 */
									BgL_objectz00_bglt BgL_objz00_2601;

									BgL_objz00_2601 = ((BgL_objectz00_bglt) BgL_new3798z00_2005);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2601,
										BgL_arg4374z00_2006);
							}}
							{	/* Dataflow/walk.scm 35 */
								BgL_localzf2valuezf2_bglt BgL_arg4375z00_2007;

								{	/* Dataflow/walk.scm 35 */
									obj_t BgL_arg4376z00_2008;
									obj_t BgL_arg4377z00_2009;

									BgL_arg4376z00_2008 =
										STRUCT_REF(BgL_aux3797z00_2004, (int) (((long) 0)));
									BgL_arg4377z00_2009 =
										STRUCT_REF(BgL_aux3797z00_2004, (int) (((long) 1)));
									{	/* Dataflow/walk.scm 35 */
										BgL_localzf2valuezf2_bglt BgL_res4469z00_2616;

										{	/* Dataflow/walk.scm 35 */
											int BgL_stamp3765z00_2607;
											BgL_nodez00_bglt BgL_node3766z00_2608;

											BgL_stamp3765z00_2607 = CINT(BgL_arg4376z00_2008);
											BgL_node3766z00_2608 =
												((BgL_nodez00_bglt) BgL_arg4377z00_2009);
											{	/* Dataflow/walk.scm 35 */
												BgL_localzf2valuezf2_bglt BgL_new3767z00_2609;

												BgL_new3767z00_2609 =
													((BgL_localzf2valuezf2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_localzf2valuezf2_bgl))));
												{	/* Dataflow/walk.scm 35 */
													BgL_localzf2valuezf2_bglt BgL_res4468z00_2615;

													((((BgL_localzf2valuezf2_bglt) CREF(
																	((obj_t) BgL_new3767z00_2609)))->
															BgL_stampz00) =
														((int) BgL_stamp3765z00_2607), BUNSPEC);
													((((BgL_localzf2valuezf2_bglt) CREF(((obj_t)
																		BgL_new3767z00_2609)))->BgL_nodez00) =
														((BgL_nodez00_bglt) BgL_node3766z00_2608), BUNSPEC);
													BgL_res4468z00_2615 = BgL_new3767z00_2609;
													BgL_res4468z00_2615;
												}
												BgL_res4469z00_2616 = BgL_new3767z00_2609;
										}}
										BgL_arg4375z00_2007 = BgL_res4469z00_2616;
								}}
								{	/* Dataflow/walk.scm 35 */
									obj_t BgL_auxz00_3443;
									BgL_objectz00_bglt BgL_auxz00_3441;

									BgL_auxz00_3443 = ((obj_t) BgL_arg4375z00_2007);
									BgL_auxz00_3441 = ((BgL_objectz00_bglt) BgL_new3798z00_2005);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3441, BgL_auxz00_3443);
							}}
							return ((BgL_objectz00_bglt) BgL_new3798z00_2005);
						}
					}
				}
			}
		}
	}



/* &object->struct-local4009 */
	obj_t BGl_z62objectzd2ze3structzd2local4009z81zzdataflow_walkz00(obj_t
		BgL_envz00_2692, BgL_localzf2valuezf2_bglt BgL_obj3793z00_2693)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 35 */
			{
				BgL_localzf2valuezf2_bglt BgL_obj3793z00_1990;

				BgL_obj3793z00_1990 = BgL_obj3793z00_2693;
				{

					{	/* Dataflow/walk.scm 35 */
						obj_t BgL_res3794z00_1993;

						{	/* Dataflow/walk.scm 35 */
							obj_t BgL_nextzd2method4008zd2_1998;

							BgL_nextzd2method4008zd2_1998 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_obj3793z00_1990),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_localzf2valuezf2zzdataflow_walkz00);
							BgL_res3794z00_1993 =
								PROCEDURE_ENTRY(BgL_nextzd2method4008zd2_1998)
								(BgL_nextzd2method4008zd2_1998, ((obj_t) BgL_obj3793z00_1990),
								BEOA);
						}
						{	/* Dataflow/walk.scm 35 */
							obj_t BgL_aux3795z00_1994;

							{	/* Dataflow/walk.scm 35 */
								obj_t BgL_res4466z00_2581;

								{	/* Dataflow/walk.scm 35 */
									obj_t BgL_keyz00_2578;

									BgL_keyz00_2578 = CNST_TABLE_REF(((long) 5));
									BgL_res4466z00_2581 =
										make_struct(BgL_keyz00_2578, (int) (((long) 2)), BUNSPEC);
								}
								BgL_aux3795z00_1994 = BgL_res4466z00_2581;
							}
							{	/* Dataflow/walk.scm 35 */
								int BgL_arg4371z00_1995;

								{
									obj_t BgL_auxz00_3457;

									{	/* Dataflow/walk.scm 35 */
										BgL_objectz00_bglt BgL_auxz00_3458;

										BgL_auxz00_3458 =
											((BgL_objectz00_bglt) BgL_obj3793z00_1990);
										BgL_auxz00_3457 = BGL_OBJECT_WIDENING(BgL_auxz00_3458);
									}
									BgL_arg4371z00_1995 =
										(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3457))->
										BgL_stampz00);
								}
								{	/* Dataflow/walk.scm 35 */
									obj_t BgL_auxz00_3464;
									int BgL_auxz00_3462;

									BgL_auxz00_3464 = BINT(BgL_arg4371z00_1995);
									BgL_auxz00_3462 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3795z00_1994, BgL_auxz00_3462,
										BgL_auxz00_3464);
							}}
							{	/* Dataflow/walk.scm 35 */
								BgL_nodez00_bglt BgL_arg4372z00_1996;

								{
									obj_t BgL_auxz00_3467;

									{	/* Dataflow/walk.scm 35 */
										BgL_objectz00_bglt BgL_auxz00_3468;

										BgL_auxz00_3468 =
											((BgL_objectz00_bglt) BgL_obj3793z00_1990);
										BgL_auxz00_3467 = BGL_OBJECT_WIDENING(BgL_auxz00_3468);
									}
									BgL_arg4372z00_1996 =
										(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3467))->
										BgL_nodez00);
								}
								{	/* Dataflow/walk.scm 35 */
									obj_t BgL_oz00_2589;

									BgL_oz00_2589 = ((obj_t) BgL_arg4372z00_1996);
									{	/* Dataflow/walk.scm 35 */
										int BgL_auxz00_3473;

										BgL_auxz00_3473 = (int) (((long) 1));
										STRUCT_SET(BgL_aux3795z00_1994, BgL_auxz00_3473,
											BgL_oz00_2589);
							}}}
							{	/* Dataflow/walk.scm 35 */
								int BgL_auxz00_3476;

								BgL_auxz00_3476 = (int) (((long) 0));
								STRUCT_SET(BgL_res3794z00_1993, BgL_auxz00_3476,
									BgL_aux3795z00_1994);
							}
							{	/* Dataflow/walk.scm 35 */
								obj_t BgL_auxz00_3479;

								BgL_auxz00_3479 = STRUCT_KEY(BgL_res3794z00_1993);
								STRUCT_KEY_SET(BgL_aux3795z00_1994, BgL_auxz00_3479);
							}
							{	/* Dataflow/walk.scm 35 */
								obj_t BgL_kz00_2598;

								BgL_kz00_2598 = CNST_TABLE_REF(((long) 5));
								STRUCT_KEY_SET(BgL_res3794z00_1993, BgL_kz00_2598);
							}
							return BgL_res3794z00_1993;
						}
					}
				}
			}
		}
	}



/* &abort?-app-ly4007 */
	obj_t BGl_z62abortzf3zd2appzd2ly4007z91zzdataflow_walkz00(obj_t
		BgL_envz00_2694, BgL_appzd2lyzd2_bglt BgL_nodez00_2695)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 470 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1982;

				BgL_nodez00_1982 = BgL_nodez00_2695;
				{	/* Dataflow/walk.scm 472 */
					obj_t BgL__ortest_3911z00_1986;

					{	/* Dataflow/walk.scm 472 */
						BgL_nodez00_bglt BgL_arg4370z00_1988;

						BgL_arg4370z00_1988 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1982)))->BgL_funz00);
						BgL__ortest_3911z00_1986 =
							BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4370z00_1988);
					}
					if (CBOOL(BgL__ortest_3911z00_1986))
						{	/* Dataflow/walk.scm 472 */
							return BgL__ortest_3911z00_1986;
						}
					else
						{	/* Dataflow/walk.scm 472 */
							BgL_nodez00_bglt BgL_arg4369z00_1987;

							BgL_arg4369z00_1987 =
								(((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1982)))->BgL_argz00);
							return BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4369z00_1987);
						}
				}
			}
		}
	}



/* &abort?-funcall4005 */
	obj_t BGl_z62abortzf3zd2funcall4005z43zzdataflow_walkz00(obj_t
		BgL_envz00_2696, BgL_funcallz00_bglt BgL_nodez00_2697)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 463 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1966;

				BgL_nodez00_1966 = BgL_nodez00_2697;
				{	/* Dataflow/walk.scm 465 */
					obj_t BgL__ortest_3908z00_1970;

					{	/* Dataflow/walk.scm 465 */
						BgL_nodez00_bglt BgL_arg4368z00_1980;

						BgL_arg4368z00_1980 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1966)))->BgL_funz00);
						BgL__ortest_3908z00_1970 =
							BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4368z00_1980);
					}
					if (CBOOL(BgL__ortest_3908z00_1970))
						{	/* Dataflow/walk.scm 465 */
							return BgL__ortest_3908z00_1970;
						}
					else
						{	/* Dataflow/walk.scm 465 */
							obj_t BgL_g3934z00_1971;

							BgL_g3934z00_1971 =
								(((BgL_funcallz00_bglt) CREF(
										((obj_t) BgL_nodez00_1966)))->BgL_argsz00);
							{
								obj_t BgL_l3932z00_1973;

								{	/* Dataflow/walk.scm 465 */
									bool_t BgL_auxz00_3499;

									BgL_l3932z00_1973 = BgL_g3934z00_1971;
								BgL_zc3anonymousza34363ze3z83_1974:
									if (NULLP(BgL_l3932z00_1973))
										{	/* Dataflow/walk.scm 465 */
											BgL_auxz00_3499 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 465 */
											bool_t BgL_testz00_3502;

											{	/* Dataflow/walk.scm 465 */
												obj_t BgL_arg4367z00_1978;

												BgL_arg4367z00_1978 = CAR(BgL_l3932z00_1973);
												BgL_testz00_3502 =
													CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
														((BgL_nodez00_bglt) BgL_arg4367z00_1978)));
											}
											if (BgL_testz00_3502)
												{	/* Dataflow/walk.scm 465 */
													BgL_auxz00_3499 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l3932z00_3507;

													BgL_l3932z00_3507 = CDR(BgL_l3932z00_1973);
													BgL_l3932z00_1973 = BgL_l3932z00_3507;
													goto BgL_zc3anonymousza34363ze3z83_1974;
												}
										}
									return BBOOL(BgL_auxz00_3499);
								}
							}
						}
				}
			}
		}
	}



/* &abort?-app4003 */
	obj_t BGl_z62abortzf3zd2app4003z43zzdataflow_walkz00(obj_t BgL_envz00_2698,
		BgL_appz00_bglt BgL_nodez00_2699)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 456 */
			{
				BgL_appz00_bglt BgL_nodez00_1950;

				BgL_nodez00_1950 = BgL_nodez00_2699;
				{	/* Dataflow/walk.scm 458 */
					obj_t BgL__ortest_3905z00_1954;

					{	/* Dataflow/walk.scm 458 */
						BgL_varz00_bglt BgL_arg4362z00_1964;

						BgL_arg4362z00_1964 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1950)))->BgL_funz00);
						BgL__ortest_3905z00_1954 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							((BgL_nodez00_bglt) BgL_arg4362z00_1964));
					}
					if (CBOOL(BgL__ortest_3905z00_1954))
						{	/* Dataflow/walk.scm 458 */
							return BgL__ortest_3905z00_1954;
						}
					else
						{	/* Dataflow/walk.scm 458 */
							obj_t BgL_g3931z00_1955;

							BgL_g3931z00_1955 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1950)))->BgL_argsz00);
							{
								obj_t BgL_l3929z00_1957;

								{	/* Dataflow/walk.scm 458 */
									bool_t BgL_auxz00_3518;

									BgL_l3929z00_1957 = BgL_g3931z00_1955;
								BgL_zc3anonymousza34357ze3z83_1958:
									if (NULLP(BgL_l3929z00_1957))
										{	/* Dataflow/walk.scm 458 */
											BgL_auxz00_3518 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 458 */
											bool_t BgL_testz00_3521;

											{	/* Dataflow/walk.scm 458 */
												obj_t BgL_arg4361z00_1962;

												BgL_arg4361z00_1962 = CAR(BgL_l3929z00_1957);
												BgL_testz00_3521 =
													CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
														((BgL_nodez00_bglt) BgL_arg4361z00_1962)));
											}
											if (BgL_testz00_3521)
												{	/* Dataflow/walk.scm 458 */
													BgL_auxz00_3518 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l3929z00_3526;

													BgL_l3929z00_3526 = CDR(BgL_l3929z00_1957);
													BgL_l3929z00_1957 = BgL_l3929z00_3526;
													goto BgL_zc3anonymousza34357ze3z83_1958;
												}
										}
									return BBOOL(BgL_auxz00_3518);
								}
							}
						}
				}
			}
		}
	}



/* &abort?-conditional4001 */
	obj_t BGl_z62abortzf3zd2conditional4001z43zzdataflow_walkz00(obj_t
		BgL_envz00_2700, BgL_conditionalz00_bglt BgL_nodez00_2701)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 449 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1940;

				BgL_nodez00_1940 = BgL_nodez00_2701;
				{	/* Dataflow/walk.scm 451 */
					obj_t BgL__ortest_3901z00_1944;

					{	/* Dataflow/walk.scm 451 */
						BgL_nodez00_bglt BgL_arg4356z00_1948;

						BgL_arg4356z00_1948 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1940)))->BgL_testz00);
						BgL__ortest_3901z00_1944 =
							BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4356z00_1948);
					}
					if (CBOOL(BgL__ortest_3901z00_1944))
						{	/* Dataflow/walk.scm 451 */
							return BgL__ortest_3901z00_1944;
						}
					else
						{	/* Dataflow/walk.scm 451 */
							obj_t BgL__andtest_3902z00_1945;

							{	/* Dataflow/walk.scm 451 */
								BgL_nodez00_bglt BgL_arg4355z00_1947;

								BgL_arg4355z00_1947 =
									(((BgL_conditionalz00_bglt) CREF(
											((obj_t) BgL_nodez00_1940)))->BgL_truez00);
								BgL__andtest_3902z00_1945 =
									BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4355z00_1947);
							}
							if (CBOOL(BgL__andtest_3902z00_1945))
								{	/* Dataflow/walk.scm 451 */
									BgL_nodez00_bglt BgL_arg4354z00_1946;

									BgL_arg4354z00_1946 =
										(((BgL_conditionalz00_bglt) CREF(
												((obj_t) BgL_nodez00_1940)))->BgL_falsez00);
									return BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4354z00_1946);
								}
							else
								{	/* Dataflow/walk.scm 451 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &abort?-let-fun3999 */
	obj_t BGl_z62abortzf3zd2letzd2fun3999z91zzdataflow_walkz00(obj_t
		BgL_envz00_2702, BgL_letzd2funzd2_bglt BgL_nodez00_2703)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 442 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1934;

				BgL_nodez00_1934 = BgL_nodez00_2703;
				{	/* Dataflow/walk.scm 443 */
					BgL_nodez00_bglt BgL_arg4353z00_2559;

					BgL_arg4353z00_2559 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1934)))->BgL_bodyz00);
					return BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4353z00_2559);
				}
			}
		}
	}



/* &abort?-let-var3997 */
	obj_t BGl_z62abortzf3zd2letzd2var3997z91zzdataflow_walkz00(obj_t
		BgL_envz00_2704, BgL_letzd2varzd2_bglt BgL_nodez00_2705)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 435 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1917;

				BgL_nodez00_1917 = BgL_nodez00_2705;
				{	/* Dataflow/walk.scm 437 */
					bool_t BgL__ortest_3896z00_1921;

					{	/* Dataflow/walk.scm 437 */
						obj_t BgL_g3928z00_1923;

						BgL_g3928z00_1923 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1917)))->BgL_bindingsz00);
						{
							obj_t BgL_l3926z00_1925;

							BgL_l3926z00_1925 = BgL_g3928z00_1923;
						BgL_zc3anonymousza34348ze3z83_1926:
							if (NULLP(BgL_l3926z00_1925))
								{	/* Dataflow/walk.scm 437 */
									BgL__ortest_3896z00_1921 = ((bool_t) 0);
								}
							else
								{	/* Dataflow/walk.scm 437 */
									bool_t BgL_testz00_3549;

									{	/* Dataflow/walk.scm 437 */
										obj_t BgL_bz00_1930;

										BgL_bz00_1930 = CAR(BgL_l3926z00_1925);
										{	/* Dataflow/walk.scm 437 */
											obj_t BgL_arg4352z00_1931;

											BgL_arg4352z00_1931 = CDR(BgL_bz00_1930);
											BgL_testz00_3549 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
													((BgL_nodez00_bglt) BgL_arg4352z00_1931)));
										}
									}
									if (BgL_testz00_3549)
										{	/* Dataflow/walk.scm 437 */
											BgL__ortest_3896z00_1921 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l3926z00_3555;

											BgL_l3926z00_3555 = CDR(BgL_l3926z00_1925);
											BgL_l3926z00_1925 = BgL_l3926z00_3555;
											goto BgL_zc3anonymousza34348ze3z83_1926;
										}
								}
						}
					}
					if (BgL__ortest_3896z00_1921)
						{	/* Dataflow/walk.scm 437 */
							return BBOOL(BgL__ortest_3896z00_1921);
						}
					else
						{	/* Dataflow/walk.scm 437 */
							BgL_nodez00_bglt BgL_arg4347z00_1922;

							BgL_arg4347z00_1922 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1917)))->BgL_bodyz00);
							return BGl_abortzf3zf3zzdataflow_walkz00(BgL_arg4347z00_1922);
						}
				}
			}
		}
	}



/* &abort?-sequence3995 */
	obj_t BGl_z62abortzf3zd2sequence3995z43zzdataflow_walkz00(obj_t
		BgL_envz00_2706, BgL_sequencez00_bglt BgL_nodez00_2707)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 429 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1904;

				{	/* Dataflow/walk.scm 430 */
					bool_t BgL_auxz00_3562;

					BgL_nodez00_1904 = BgL_nodez00_2707;
					{	/* Dataflow/walk.scm 430 */
						obj_t BgL_g3925z00_1907;

						BgL_g3925z00_1907 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1904)))->BgL_nodesz00);
						{
							obj_t BgL_l3923z00_1909;

							BgL_l3923z00_1909 = BgL_g3925z00_1907;
						BgL_zc3anonymousza34341ze3z83_1910:
							if (NULLP(BgL_l3923z00_1909))
								{	/* Dataflow/walk.scm 430 */
									BgL_auxz00_3562 = ((bool_t) 0);
								}
							else
								{	/* Dataflow/walk.scm 430 */
									bool_t BgL_testz00_3567;

									{	/* Dataflow/walk.scm 430 */
										obj_t BgL_arg4346z00_1914;

										BgL_arg4346z00_1914 = CAR(BgL_l3923z00_1909);
										BgL_testz00_3567 =
											CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg4346z00_1914)));
									}
									if (BgL_testz00_3567)
										{	/* Dataflow/walk.scm 430 */
											BgL_auxz00_3562 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l3923z00_3572;

											BgL_l3923z00_3572 = CDR(BgL_l3923z00_1909);
											BgL_l3923z00_1909 = BgL_l3923z00_3572;
											goto BgL_zc3anonymousza34341ze3z83_1910;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3562);
				}
			}
		}
	}



/* &abort?-fail3993 */
	obj_t BGl_z62abortzf3zd2fail3993z43zzdataflow_walkz00(obj_t BgL_envz00_2708,
		BgL_failz00_bglt BgL_nodez00_2709)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 423 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-3989 */
	obj_t BGl_z62dataflowzd2testzd2falsezd23989zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2710, BgL_appz00_bglt BgL_nodez00_2711)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 395 */
			{
				BgL_appz00_bglt BgL_nodez00_1866;

				BgL_nodez00_1866 = BgL_nodez00_2711;
				{	/* Dataflow/walk.scm 397 */
					BgL_variablez00_bglt BgL_fz00_1870;

					{	/* Dataflow/walk.scm 397 */
						BgL_varz00_bglt BgL_obj2462z00_2519;

						BgL_obj2462z00_2519 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1866)))->BgL_funz00);
						BgL_fz00_1870 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2462z00_2519)))->BgL_variablez00);
					}
					{	/* Dataflow/walk.scm 398 */

						{	/* Dataflow/walk.scm 399 */
							bool_t BgL_testz00_3580;

							{	/* Dataflow/walk.scm 399 */
								bool_t BgL_testz00_3581;

								{	/* Dataflow/walk.scm 399 */
									obj_t BgL_auxz00_3582;

									BgL_auxz00_3582 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_nodez00_1866)))->BgL_argsz00);
									BgL_testz00_3581 = PAIRP(BgL_auxz00_3582);
								}
								if (BgL_testz00_3581)
									{	/* Dataflow/walk.scm 399 */
										bool_t BgL_testz00_3586;

										{	/* Dataflow/walk.scm 399 */
											obj_t BgL_auxz00_3587;

											{	/* Dataflow/walk.scm 399 */
												obj_t BgL_pairz00_2525;

												BgL_pairz00_2525 =
													(((BgL_appz00_bglt) CREF(
															((obj_t) BgL_nodez00_1866)))->BgL_argsz00);
												BgL_auxz00_3587 = CDR(BgL_pairz00_2525);
											}
											BgL_testz00_3586 = NULLP(BgL_auxz00_3587);
										}
										if (BgL_testz00_3586)
											{	/* Dataflow/walk.scm 400 */
												bool_t BgL_testz00_3592;

												{	/* Dataflow/walk.scm 400 */
													obj_t BgL_arg4335z00_1893;

													{	/* Dataflow/walk.scm 400 */
														obj_t BgL_pairz00_2529;

														BgL_pairz00_2529 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1866)))->BgL_argsz00);
														BgL_arg4335z00_1893 = CAR(BgL_pairz00_2529);
													}
													BgL_testz00_3592 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg4335z00_1893,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_3592)
													{	/* Dataflow/walk.scm 401 */
														BgL_typez00_bglt BgL_arg4331z00_1889;

														{	/* Dataflow/walk.scm 401 */
															BgL_variablez00_bglt BgL_arg4332z00_1890;

															{	/* Dataflow/walk.scm 401 */
																BgL_varz00_bglt BgL_obj2462z00_2534;

																{
																	obj_t BgL_auxz00_3597;

																	{	/* Dataflow/walk.scm 401 */
																		obj_t BgL_pairz00_2533;

																		BgL_pairz00_2533 =
																			(((BgL_appz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1866)))->
																			BgL_argsz00);
																		BgL_auxz00_3597 = CAR(BgL_pairz00_2533);
																	}
																	BgL_obj2462z00_2534 =
																		((BgL_varz00_bglt) BgL_auxz00_3597);
																}
																BgL_arg4332z00_1890 =
																	(((BgL_varz00_bglt) CREF(
																			((obj_t) BgL_obj2462z00_2534)))->
																	BgL_variablez00);
															}
															BgL_arg4331z00_1889 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_arg4332z00_1890)))->
																BgL_typez00);
														}
														BgL_testz00_3580 =
															(
															((obj_t) BgL_arg4331z00_1889) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 400 */
														BgL_testz00_3580 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 399 */
												BgL_testz00_3580 = ((bool_t) 0);
											}
									}
								else
									{	/* Dataflow/walk.scm 399 */
										BgL_testz00_3580 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_3580)
								{	/* Dataflow/walk.scm 399 */
									if (
										(((obj_t) BgL_fz00_1870) ==
											BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
										{	/* Dataflow/walk.scm 404 */
											obj_t BgL_arg4316z00_1874;

											{	/* Dataflow/walk.scm 404 */
												BgL_variablez00_bglt BgL_arg4318z00_1876;

												{	/* Dataflow/walk.scm 404 */
													BgL_varz00_bglt BgL_obj2462z00_2538;

													{
														obj_t BgL_auxz00_3611;

														{	/* Dataflow/walk.scm 404 */
															obj_t BgL_pairz00_2537;

															BgL_pairz00_2537 =
																(((BgL_appz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1866)))->BgL_argsz00);
															BgL_auxz00_3611 = CAR(BgL_pairz00_2537);
														}
														BgL_obj2462z00_2538 =
															((BgL_varz00_bglt) BgL_auxz00_3611);
													}
													BgL_arg4318z00_1876 =
														(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_obj2462z00_2538)))->
														BgL_variablez00);
												}
												BgL_arg4316z00_1874 =
													MAKE_PAIR(
													((obj_t) BgL_arg4318z00_1876),
													BGl_za2pairza2z00zztype_cachez00);
											}
											{	/* Dataflow/walk.scm 404 */
												obj_t BgL_list4317z00_1875;

												BgL_list4317z00_1875 =
													MAKE_PAIR(BgL_arg4316z00_1874, BNIL);
												return BgL_list4317z00_1875;
											}
										}
									else
										{	/* Dataflow/walk.scm 405 */
											bool_t BgL_testz00_3621;

											if (
												(((obj_t) BgL_fz00_1870) ==
													BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
												{	/* Dataflow/walk.scm 405 */
													BgL_testz00_3621 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 405 */
													BgL_testz00_3621 =
														(
														((obj_t) BgL_fz00_1870) ==
														BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
												}
											if (BgL_testz00_3621)
												{	/* Dataflow/walk.scm 406 */
													obj_t BgL_arg4322z00_1880;

													{	/* Dataflow/walk.scm 406 */
														BgL_variablez00_bglt BgL_arg4324z00_1882;

														{	/* Dataflow/walk.scm 406 */
															BgL_varz00_bglt BgL_obj2462z00_2543;

															{
																obj_t BgL_auxz00_3627;

																{	/* Dataflow/walk.scm 406 */
																	obj_t BgL_pairz00_2542;

																	BgL_pairz00_2542 =
																		(((BgL_appz00_bglt) CREF(
																				((obj_t) BgL_nodez00_1866)))->
																		BgL_argsz00);
																	BgL_auxz00_3627 = CAR(BgL_pairz00_2542);
																}
																BgL_obj2462z00_2543 =
																	((BgL_varz00_bglt) BgL_auxz00_3627);
															}
															BgL_arg4324z00_1882 =
																(((BgL_varz00_bglt) CREF(
																		((obj_t) BgL_obj2462z00_2543)))->
																BgL_variablez00);
														}
														BgL_arg4322z00_1880 =
															MAKE_PAIR(
															((obj_t) BgL_arg4324z00_1882),
															BGl_za2bnilza2z00zztype_cachez00);
													}
													{	/* Dataflow/walk.scm 406 */
														obj_t BgL_list4323z00_1881;

														BgL_list4323z00_1881 =
															MAKE_PAIR(BgL_arg4322z00_1880, BNIL);
														return BgL_list4323z00_1881;
													}
												}
											else
												{	/* Dataflow/walk.scm 405 */
													return BNIL;
												}
										}
								}
							else
								{	/* Dataflow/walk.scm 399 */
									return BNIL;
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le3985 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le3985zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2712, BgL_letzd2varzd2_bglt BgL_nodez00_2713)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 367 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1825;

				BgL_nodez00_1825 = BgL_nodez00_2713;
				{	/* Dataflow/walk.scm 369 */
					bool_t BgL_testz00_3637;

					{	/* Dataflow/walk.scm 369 */
						bool_t BgL_testz00_3638;

						{	/* Dataflow/walk.scm 369 */
							obj_t BgL_auxz00_3639;

							BgL_auxz00_3639 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1825)))->BgL_bindingsz00);
							BgL_testz00_3638 = PAIRP(BgL_auxz00_3639);
						}
						if (BgL_testz00_3638)
							{	/* Dataflow/walk.scm 369 */
								obj_t BgL_auxz00_3643;

								{	/* Dataflow/walk.scm 369 */
									obj_t BgL_pairz00_2460;

									BgL_pairz00_2460 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1825)))->BgL_bindingsz00);
									BgL_auxz00_3643 = CDR(BgL_pairz00_2460);
								}
								BgL_testz00_3637 = NULLP(BgL_auxz00_3643);
							}
						else
							{	/* Dataflow/walk.scm 369 */
								BgL_testz00_3637 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3637)
						{	/* Dataflow/walk.scm 371 */
							bool_t BgL_testz00_3648;

							{	/* Dataflow/walk.scm 371 */
								obj_t BgL_arg4307z00_1859;

								{	/* Dataflow/walk.scm 371 */
									obj_t BgL_pairz00_2464;

									BgL_pairz00_2464 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1825)))->BgL_bindingsz00);
									BgL_arg4307z00_1859 = CDR(CAR(BgL_pairz00_2464));
								}
								BgL_testz00_3648 =
									BGl_iszd2azf3z21zz__objectz00(BgL_arg4307z00_1859,
									BGl_varz00zzast_nodez00);
							}
							if (BgL_testz00_3648)
								{	/* Dataflow/walk.scm 372 */
									obj_t BgL_envz00_1831;

									{	/* Dataflow/walk.scm 372 */
										BgL_nodez00_bglt BgL_arg4291z00_1845;

										BgL_arg4291z00_1845 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((obj_t) BgL_nodez00_1825)))->BgL_bodyz00);
										BgL_envz00_1831 =
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
											(BgL_arg4291z00_1845);
									}
									{	/* Dataflow/walk.scm 373 */
										bool_t BgL_testz00_3657;

										if (NULLP(BgL_envz00_1831))
											{	/* Dataflow/walk.scm 373 */
												BgL_testz00_3657 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 373 */
												if (NULLP(CDR(BgL_envz00_1831)))
													{	/* Dataflow/walk.scm 375 */
														obj_t BgL_auxz00_3663;

														{	/* Dataflow/walk.scm 375 */
															obj_t BgL_pairz00_2481;

															BgL_pairz00_2481 =
																(((BgL_letzd2varzd2_bglt) CREF(
																		((obj_t) BgL_nodez00_1825)))->
																BgL_bindingsz00);
															BgL_auxz00_3663 = CAR(CAR(BgL_pairz00_2481));
														}
														BgL_testz00_3657 =
															(CAR(CAR(BgL_envz00_1831)) == BgL_auxz00_3663);
													}
												else
													{	/* Dataflow/walk.scm 374 */
														BgL_testz00_3657 = ((bool_t) 0);
													}
											}
										if (BgL_testz00_3657)
											{	/* Dataflow/walk.scm 376 */
												obj_t BgL_arg4278z00_1833;

												{	/* Dataflow/walk.scm 376 */
													BgL_variablez00_bglt BgL_arg4281z00_1835;
													obj_t BgL_arg4282z00_1836;

													{	/* Dataflow/walk.scm 376 */
														BgL_varz00_bglt BgL_obj2462z00_2490;

														{
															obj_t BgL_auxz00_3671;

															{	/* Dataflow/walk.scm 376 */
																obj_t BgL_pairz00_2486;

																BgL_pairz00_2486 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((obj_t) BgL_nodez00_1825)))->
																	BgL_bindingsz00);
																BgL_auxz00_3671 = CDR(CAR(BgL_pairz00_2486));
															}
															BgL_obj2462z00_2490 =
																((BgL_varz00_bglt) BgL_auxz00_3671);
														}
														BgL_arg4281z00_1835 =
															(((BgL_varz00_bglt) CREF(
																	((obj_t) BgL_obj2462z00_2490)))->
															BgL_variablez00);
													}
													BgL_arg4282z00_1836 = CDR(CAR(BgL_envz00_1831));
													BgL_arg4278z00_1833 =
														MAKE_PAIR(
														((obj_t) BgL_arg4281z00_1835), BgL_arg4282z00_1836);
												}
												{	/* Dataflow/walk.scm 376 */
													obj_t BgL_list4279z00_1834;

													BgL_list4279z00_1834 =
														MAKE_PAIR(BgL_arg4278z00_1833, BNIL);
													return BgL_list4279z00_1834;
												}
											}
										else
											{	/* Dataflow/walk.scm 373 */
												return BNIL;
											}
									}
								}
							else
								{	/* Dataflow/walk.scm 378 */
									bool_t BgL_testz00_3684;

									{	/* Dataflow/walk.scm 378 */
										bool_t BgL_testz00_3685;

										{	/* Dataflow/walk.scm 378 */
											BgL_nodez00_bglt BgL_arg4306z00_1858;

											BgL_arg4306z00_1858 =
												(((BgL_letzd2varzd2_bglt) CREF(
														((obj_t) BgL_nodez00_1825)))->BgL_bodyz00);
											{	/* Dataflow/walk.scm 378 */
												bool_t BgL_res4456z00_2499;

												{	/* Dataflow/walk.scm 378 */
													obj_t BgL_obj2477z00_2498;

													BgL_obj2477z00_2498 = ((obj_t) BgL_arg4306z00_1858);
													BgL_res4456z00_2499 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2477z00_2498,
														BGl_varz00zzast_nodez00);
												}
												BgL_testz00_3685 = BgL_res4456z00_2499;
											}
										}
										if (BgL_testz00_3685)
											{	/* Dataflow/walk.scm 379 */
												bool_t BgL_testz00_3690;

												{	/* Dataflow/walk.scm 379 */
													obj_t BgL_auxz00_3699;
													obj_t BgL_auxz00_3691;

													{	/* Dataflow/walk.scm 379 */
														obj_t BgL_pairz00_2503;

														BgL_pairz00_2503 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((obj_t) BgL_nodez00_1825)))->
															BgL_bindingsz00);
														BgL_auxz00_3699 = CAR(CAR(BgL_pairz00_2503));
													}
													{
														BgL_variablez00_bglt BgL_auxz00_3692;

														{	/* Dataflow/walk.scm 379 */
															BgL_varz00_bglt BgL_obj2462z00_2501;

															BgL_obj2462z00_2501 =
																((BgL_varz00_bglt)
																(((BgL_letzd2varzd2_bglt) CREF(
																			((obj_t) BgL_nodez00_1825)))->
																	BgL_bodyz00));
															BgL_auxz00_3692 =
																(((BgL_varz00_bglt) CREF(((obj_t)
																			BgL_obj2462z00_2501)))->BgL_variablez00);
														}
														BgL_auxz00_3691 = ((obj_t) BgL_auxz00_3692);
													}
													BgL_testz00_3690 =
														(BgL_auxz00_3691 == BgL_auxz00_3699);
												}
												if (BgL_testz00_3690)
													{	/* Dataflow/walk.scm 380 */
														BgL_typez00_bglt BgL_arg4298z00_1851;

														{	/* Dataflow/walk.scm 380 */
															BgL_variablez00_bglt BgL_obj1872z00_2512;

															{
																obj_t BgL_auxz00_3705;

																{	/* Dataflow/walk.scm 380 */
																	obj_t BgL_pairz00_2508;

																	BgL_pairz00_2508 =
																		(((BgL_letzd2varzd2_bglt) CREF(
																				((obj_t) BgL_nodez00_1825)))->
																		BgL_bindingsz00);
																	BgL_auxz00_3705 = CAR(CAR(BgL_pairz00_2508));
																}
																BgL_obj1872z00_2512 =
																	((BgL_variablez00_bglt) BgL_auxz00_3705);
															}
															BgL_arg4298z00_1851 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1872z00_2512)))->
																BgL_typez00);
														}
														BgL_testz00_3684 =
															(
															((obj_t) BgL_arg4298z00_1851) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 379 */
														BgL_testz00_3684 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 378 */
												BgL_testz00_3684 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_3684)
										{	/* Dataflow/walk.scm 381 */
											obj_t BgL_arg4293z00_1847;

											{	/* Dataflow/walk.scm 381 */
												obj_t BgL_pairz00_2514;

												BgL_pairz00_2514 =
													(((BgL_letzd2varzd2_bglt) CREF(
															((obj_t) BgL_nodez00_1825)))->BgL_bindingsz00);
												BgL_arg4293z00_1847 = CDR(CAR(BgL_pairz00_2514));
											}
											return
												BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg4293z00_1847));
										}
									else
										{	/* Dataflow/walk.scm 378 */
											return BNIL;
										}
								}
						}
					else
						{	/* Dataflow/walk.scm 369 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-va3983 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va3983zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2714, BgL_varz00_bglt BgL_nodez00_2715)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 350 */
			{
				BgL_varz00_bglt BgL_nodez00_1816;

				BgL_nodez00_1816 = BgL_nodez00_2715;
				{	/* Dataflow/walk.scm 352 */
					bool_t BgL_testz00_3721;

					{	/* Dataflow/walk.scm 352 */
						BgL_variablez00_bglt BgL_arg4274z00_1823;

						BgL_arg4274z00_1823 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_nodez00_1816)))->BgL_variablez00);
						{	/* Dataflow/walk.scm 352 */
							bool_t BgL_res4449z00_2453;

							{	/* Dataflow/walk.scm 352 */
								obj_t BgL_obj3799z00_2452;

								BgL_obj3799z00_2452 = ((obj_t) BgL_arg4274z00_1823);
								BgL_res4449z00_2453 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3799z00_2452,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							BgL_testz00_3721 = BgL_res4449z00_2453;
						}
					}
					if (BgL_testz00_3721)
						{	/* Dataflow/walk.scm 353 */
							BgL_nodez00_bglt BgL_arg4272z00_1821;

							{	/* Dataflow/walk.scm 353 */
								BgL_localzf2valuezf2_bglt BgL_obj3801z00_2455;

								BgL_obj3801z00_2455 =
									((BgL_localzf2valuezf2_bglt)
									(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_nodez00_1816)))->BgL_variablez00));
								{
									obj_t BgL_auxz00_3729;

									{	/* Dataflow/walk.scm 353 */
										BgL_objectz00_bglt BgL_auxz00_3730;

										BgL_auxz00_3730 =
											((BgL_objectz00_bglt) BgL_obj3801z00_2455);
										BgL_auxz00_3729 = BGL_OBJECT_WIDENING(BgL_auxz00_3730);
									}
									BgL_arg4272z00_1821 =
										(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3729))->
										BgL_nodez00);
								}
							}
							return
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
								(BgL_arg4272z00_1821);
						}
					else
						{	/* Dataflow/walk.scm 352 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-co3981 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co3981zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2716, BgL_conditionalz00_bglt BgL_nodez00_2717)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 341 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1802;

				BgL_nodez00_1802 = BgL_nodez00_2717;
				{	/* Dataflow/walk.scm 343 */
					bool_t BgL_testz00_3735;

					{	/* Dataflow/walk.scm 343 */
						bool_t BgL_testz00_3736;

						{	/* Dataflow/walk.scm 343 */
							BgL_nodez00_bglt BgL_arg4270z00_1814;

							BgL_arg4270z00_1814 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1802)))->BgL_falsez00);
							{	/* Dataflow/walk.scm 343 */
								bool_t BgL_res4448z00_2446;

								{	/* Dataflow/walk.scm 343 */
									obj_t BgL_obj2457z00_2445;

									BgL_obj2457z00_2445 = ((obj_t) BgL_arg4270z00_1814);
									BgL_res4448z00_2446 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2457z00_2445,
										BGl_atomz00zzast_nodez00);
								}
								BgL_testz00_3736 = BgL_res4448z00_2446;
							}
						}
						if (BgL_testz00_3736)
							{	/* Dataflow/walk.scm 343 */
								obj_t BgL_auxz00_3741;

								{	/* Dataflow/walk.scm 343 */
									BgL_atomz00_bglt BgL_obj2442z00_2448;

									BgL_obj2442z00_2448 =
										((BgL_atomz00_bglt)
										(((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1802)))->BgL_falsez00));
									BgL_auxz00_3741 =
										(((BgL_atomz00_bglt) CREF(
												((obj_t) BgL_obj2442z00_2448)))->BgL_valuez00);
								}
								BgL_testz00_3735 = (BgL_auxz00_3741 == BFALSE);
							}
						else
							{	/* Dataflow/walk.scm 343 */
								BgL_testz00_3735 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3735)
						{	/* Dataflow/walk.scm 344 */
							obj_t BgL_arg4263z00_1807;
							obj_t BgL_arg4264z00_1808;

							{	/* Dataflow/walk.scm 344 */
								BgL_nodez00_bglt BgL_arg4265z00_1809;

								BgL_arg4265z00_1809 =
									(((BgL_conditionalz00_bglt) CREF(
											((obj_t) BgL_nodez00_1802)))->BgL_testz00);
								BgL_arg4263z00_1807 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
									(BgL_arg4265z00_1809);
							}
							{	/* Dataflow/walk.scm 344 */
								BgL_nodez00_bglt BgL_arg4266z00_1810;

								BgL_arg4266z00_1810 =
									(((BgL_conditionalz00_bglt) CREF(
											((obj_t) BgL_nodez00_1802)))->BgL_truez00);
								BgL_arg4264z00_1808 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
									(BgL_arg4266z00_1810);
							}
							return
								BGl_appendzd221095zd2zzdataflow_walkz00(BgL_arg4263z00_1807,
								BgL_arg4264z00_1808);
						}
					else
						{	/* Dataflow/walk.scm 343 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-is3979 */
	obj_t BGl_z62dataflowzd2testzd2envzd2is3979zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2718, BgL_isaz00_bglt BgL_nodez00_2719)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 332 */
			{
				BgL_isaz00_bglt BgL_nodez00_1788;

				BgL_nodez00_1788 = BgL_nodez00_2719;
				{	/* Dataflow/walk.scm 334 */
					bool_t BgL_testz00_3755;

					{	/* Dataflow/walk.scm 334 */
						obj_t BgL_arg4260z00_1799;

						{	/* Dataflow/walk.scm 334 */
							obj_t BgL_pairz00_2435;

							{	/* Dataflow/walk.scm 334 */
								BgL_externz00_bglt BgL_obj2662z00_2434;

								BgL_obj2662z00_2434 = ((BgL_externz00_bglt) BgL_nodez00_1788);
								BgL_pairz00_2435 =
									(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_obj2662z00_2434)))->BgL_exprza2za2);
							}
							BgL_arg4260z00_1799 = CAR(BgL_pairz00_2435);
						}
						BgL_testz00_3755 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg4260z00_1799,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_3755)
						{	/* Dataflow/walk.scm 335 */
							obj_t BgL_arg4254z00_1793;

							{	/* Dataflow/walk.scm 335 */
								BgL_variablez00_bglt BgL_arg4256z00_1795;
								BgL_typez00_bglt BgL_arg4257z00_1796;

								{	/* Dataflow/walk.scm 335 */
									BgL_varz00_bglt BgL_obj2462z00_2440;

									{
										obj_t BgL_auxz00_3761;

										{	/* Dataflow/walk.scm 335 */
											obj_t BgL_pairz00_2439;

											{	/* Dataflow/walk.scm 335 */
												BgL_externz00_bglt BgL_obj2662z00_2438;

												BgL_obj2662z00_2438 =
													((BgL_externz00_bglt) BgL_nodez00_1788);
												BgL_pairz00_2439 =
													(((BgL_externz00_bglt) CREF(
															((obj_t) BgL_obj2662z00_2438)))->BgL_exprza2za2);
											}
											BgL_auxz00_3761 = CAR(BgL_pairz00_2439);
										}
										BgL_obj2462z00_2440 = ((BgL_varz00_bglt) BgL_auxz00_3761);
									}
									BgL_arg4256z00_1795 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_obj2462z00_2440)))->BgL_variablez00);
								}
								BgL_arg4257z00_1796 =
									(((BgL_isaz00_bglt) CREF(
											((obj_t) BgL_nodez00_1788)))->BgL_classz00);
								BgL_arg4254z00_1793 =
									MAKE_PAIR(
									((obj_t) BgL_arg4256z00_1795), ((obj_t) BgL_arg4257z00_1796));
							}
							{	/* Dataflow/walk.scm 335 */
								obj_t BgL_list4255z00_1794;

								BgL_list4255z00_1794 = MAKE_PAIR(BgL_arg4254z00_1793, BNIL);
								return BgL_list4255z00_1794;
							}
						}
					else
						{	/* Dataflow/walk.scm 334 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-ap3977 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap3977zb0zzdataflow_walkz00(obj_t
		BgL_envz00_2720, BgL_appz00_bglt BgL_nodez00_2721)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 311 */
			{
				BgL_appz00_bglt BgL_nodez00_1751;

				BgL_nodez00_1751 = BgL_nodez00_2721;
				{	/* Dataflow/walk.scm 313 */
					BgL_variablez00_bglt BgL_fz00_1755;

					{	/* Dataflow/walk.scm 313 */
						BgL_varz00_bglt BgL_obj2462z00_2403;

						BgL_obj2462z00_2403 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1751)))->BgL_funz00);
						BgL_fz00_1755 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2462z00_2403)))->BgL_variablez00);
					}
					{	/* Dataflow/walk.scm 313 */
						BgL_valuez00_bglt BgL_funvz00_1756;

						BgL_funvz00_1756 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_fz00_1755)))->BgL_valuez00);
						{	/* Dataflow/walk.scm 314 */

							{	/* Dataflow/walk.scm 316 */
								obj_t BgL_g3882z00_1757;

								BgL_g3882z00_1757 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_1751));
								if (CBOOL(BgL_g3882z00_1757))
									{	/* Dataflow/walk.scm 319 */
										obj_t BgL_arg4226z00_1760;

										{	/* Dataflow/walk.scm 319 */
											BgL_variablez00_bglt BgL_arg4228z00_1762;

											{	/* Dataflow/walk.scm 319 */
												BgL_varz00_bglt BgL_obj2462z00_2407;

												{
													obj_t BgL_auxz00_3785;

													{	/* Dataflow/walk.scm 319 */
														obj_t BgL_pairz00_2406;

														BgL_pairz00_2406 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1751)))->BgL_argsz00);
														BgL_auxz00_3785 = CAR(BgL_pairz00_2406);
													}
													BgL_obj2462z00_2407 =
														((BgL_varz00_bglt) BgL_auxz00_3785);
												}
												BgL_arg4228z00_1762 =
													(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_obj2462z00_2407)))->BgL_variablez00);
											}
											BgL_arg4226z00_1760 =
												MAKE_PAIR(
												((obj_t) BgL_arg4228z00_1762), BgL_g3882z00_1757);
										}
										{	/* Dataflow/walk.scm 319 */
											obj_t BgL_list4227z00_1761;

											BgL_list4227z00_1761 =
												MAKE_PAIR(BgL_arg4226z00_1760, BNIL);
											return BgL_list4227z00_1761;
										}
									}
								else
									{	/* Dataflow/walk.scm 320 */
										bool_t BgL_testz00_3795;

										{	/* Dataflow/walk.scm 320 */
											bool_t BgL_testz00_3796;

											{	/* Dataflow/walk.scm 320 */
												bool_t BgL_res4441z00_2411;

												{	/* Dataflow/walk.scm 320 */
													obj_t BgL_obj2156z00_2410;

													BgL_obj2156z00_2410 = ((obj_t) BgL_funvz00_1756);
													BgL_res4441z00_2411 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2156z00_2410,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_3796 = BgL_res4441z00_2411;
											}
											if (BgL_testz00_3796)
												{	/* Dataflow/walk.scm 321 */
													bool_t BgL_testz00_3799;

													{	/* Dataflow/walk.scm 321 */
														BgL_funz00_bglt BgL_obj2117z00_2412;

														BgL_obj2117z00_2412 =
															((BgL_funz00_bglt) BgL_funvz00_1756);
														BgL_testz00_3799 =
															CBOOL(
															(((BgL_funz00_bglt) CREF(
																		((obj_t) BgL_obj2117z00_2412)))->
																BgL_predicatezd2ofzd2));
													}
													if (BgL_testz00_3799)
														{	/* Dataflow/walk.scm 322 */
															bool_t BgL_testz00_3804;

															{	/* Dataflow/walk.scm 322 */
																obj_t BgL_auxz00_3805;

																BgL_auxz00_3805 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_nodez00_1751)))->
																	BgL_argsz00);
																BgL_testz00_3804 = PAIRP(BgL_auxz00_3805);
															}
															if (BgL_testz00_3804)
																{	/* Dataflow/walk.scm 322 */
																	bool_t BgL_testz00_3809;

																	{	/* Dataflow/walk.scm 322 */
																		obj_t BgL_auxz00_3810;

																		{	/* Dataflow/walk.scm 322 */
																			obj_t BgL_pairz00_2417;

																			BgL_pairz00_2417 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_nodez00_1751)))->
																				BgL_argsz00);
																			BgL_auxz00_3810 = CDR(BgL_pairz00_2417);
																		}
																		BgL_testz00_3809 = NULLP(BgL_auxz00_3810);
																	}
																	if (BgL_testz00_3809)
																		{	/* Dataflow/walk.scm 323 */
																			bool_t BgL_testz00_3815;

																			{	/* Dataflow/walk.scm 323 */
																				obj_t BgL_arg4247z00_1781;

																				{	/* Dataflow/walk.scm 323 */
																					obj_t BgL_pairz00_2421;

																					BgL_pairz00_2421 =
																						(((BgL_appz00_bglt) CREF(
																								((obj_t) BgL_nodez00_1751)))->
																						BgL_argsz00);
																					BgL_arg4247z00_1781 =
																						CAR(BgL_pairz00_2421);
																				}
																				BgL_testz00_3815 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_arg4247z00_1781,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_3815)
																				{	/* Dataflow/walk.scm 324 */
																					BgL_typez00_bglt BgL_arg4243z00_1777;

																					{	/* Dataflow/walk.scm 324 */
																						BgL_variablez00_bglt
																							BgL_arg4244z00_1778;
																						{	/* Dataflow/walk.scm 324 */
																							BgL_varz00_bglt
																								BgL_obj2462z00_2426;
																							{
																								obj_t BgL_auxz00_3820;

																								{	/* Dataflow/walk.scm 324 */
																									obj_t BgL_pairz00_2425;

																									BgL_pairz00_2425 =
																										(((BgL_appz00_bglt) CREF(
																												((obj_t)
																													BgL_nodez00_1751)))->
																										BgL_argsz00);
																									BgL_auxz00_3820 =
																										CAR(BgL_pairz00_2425);
																								}
																								BgL_obj2462z00_2426 =
																									((BgL_varz00_bglt)
																									BgL_auxz00_3820);
																							}
																							BgL_arg4244z00_1778 =
																								(((BgL_varz00_bglt) CREF(
																										((obj_t)
																											BgL_obj2462z00_2426)))->
																								BgL_variablez00);
																						}
																						BgL_arg4243z00_1777 =
																							(((BgL_variablez00_bglt) CREF(
																									((obj_t)
																										BgL_arg4244z00_1778)))->
																							BgL_typez00);
																					}
																					BgL_testz00_3795 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg4243z00_1777);
																				}
																			else
																				{	/* Dataflow/walk.scm 323 */
																					BgL_testz00_3795 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Dataflow/walk.scm 322 */
																			BgL_testz00_3795 = ((bool_t) 0);
																		}
																}
															else
																{	/* Dataflow/walk.scm 322 */
																	BgL_testz00_3795 = ((bool_t) 0);
																}
														}
													else
														{	/* Dataflow/walk.scm 321 */
															BgL_testz00_3795 = ((bool_t) 0);
														}
												}
											else
												{	/* Dataflow/walk.scm 320 */
													BgL_testz00_3795 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_3795)
											{	/* Dataflow/walk.scm 325 */
												obj_t BgL_arg4232z00_1766;

												{	/* Dataflow/walk.scm 325 */
													BgL_variablez00_bglt BgL_arg4234z00_1768;
													obj_t BgL_arg4235z00_1769;

													{	/* Dataflow/walk.scm 325 */
														BgL_varz00_bglt BgL_obj2462z00_2430;

														{
															obj_t BgL_auxz00_3830;

															{	/* Dataflow/walk.scm 325 */
																obj_t BgL_pairz00_2429;

																BgL_pairz00_2429 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_nodez00_1751)))->
																	BgL_argsz00);
																BgL_auxz00_3830 = CAR(BgL_pairz00_2429);
															}
															BgL_obj2462z00_2430 =
																((BgL_varz00_bglt) BgL_auxz00_3830);
														}
														BgL_arg4234z00_1768 =
															(((BgL_varz00_bglt) CREF(
																	((obj_t) BgL_obj2462z00_2430)))->
															BgL_variablez00);
													}
													{	/* Dataflow/walk.scm 325 */
														BgL_funz00_bglt BgL_obj2117z00_2431;

														BgL_obj2117z00_2431 =
															((BgL_funz00_bglt) BgL_funvz00_1756);
														BgL_arg4235z00_1769 =
															(((BgL_funz00_bglt) CREF(
																	((obj_t) BgL_obj2117z00_2431)))->
															BgL_predicatezd2ofzd2);
													}
													BgL_arg4232z00_1766 =
														MAKE_PAIR(
														((obj_t) BgL_arg4234z00_1768), BgL_arg4235z00_1769);
												}
												{	/* Dataflow/walk.scm 325 */
													obj_t BgL_list4233z00_1767;

													BgL_list4233z00_1767 =
														MAKE_PAIR(BgL_arg4232z00_1766, BNIL);
													return BgL_list4233z00_1767;
												}
											}
										else
											{	/* Dataflow/walk.scm 320 */
												return BNIL;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s3973 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s3973za2zzdataflow_walkz00(obj_t
		BgL_envz00_2722, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2723,
		obj_t BgL_envz00_2724)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 290 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1743;
				obj_t BgL_envz00_1744;

				BgL_nodez00_1743 = BgL_nodez00_2723;
				BgL_envz00_1744 = BgL_envz00_2724;
				{	/* Dataflow/walk.scm 291 */
					BgL_varz00_bglt BgL_arg4224z00_2396;

					BgL_arg4224z00_2396 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1743)))->BgL_varz00);
					{	/* Dataflow/walk.scm 291 */
						BgL_nodez00_bglt BgL_obj2401z00_2399;
						BgL_typez00_bglt BgL_val2400z00_2400;

						BgL_obj2401z00_2399 = ((BgL_nodez00_bglt) BgL_arg4224z00_2396);
						{	/* Dataflow/walk.scm 291 */
							obj_t BgL_xz00_2951;

							BgL_xz00_2951 = BGl_za2objza2z00zztype_cachez00;
							BgL_val2400z00_2400 = ((BgL_typez00_bglt) BgL_xz00_2951);
						}
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2401z00_2399)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_val2400z00_2400), BUNSPEC);
					}
				}
				{	/* Dataflow/walk.scm 291 */
					BgL_nodez00_bglt BgL_arg4225z00_2397;

					BgL_arg4225z00_2397 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1743)))->BgL_valuez00);
					return
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4225z00_2397,
						BgL_envz00_1744);
				}
			}
		}
	}



/* &dataflow-node!-box-r3971 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r3971za2zzdataflow_walkz00(obj_t
		BgL_envz00_2725, BgL_boxzd2refzd2_bglt BgL_nodez00_2726,
		obj_t BgL_envz00_2727)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 282 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1736;
				obj_t BgL_envz00_1737;

				BgL_nodez00_1736 = BgL_nodez00_2726;
				BgL_envz00_1737 = BgL_envz00_2727;
				{	/* Dataflow/walk.scm 283 */
					BgL_varz00_bglt BgL_arg4223z00_2391;

					BgL_arg4223z00_2391 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1736)))->BgL_varz00);
					{	/* Dataflow/walk.scm 283 */
						BgL_nodez00_bglt BgL_obj2401z00_2393;
						BgL_typez00_bglt BgL_val2400z00_2394;

						BgL_obj2401z00_2393 = ((BgL_nodez00_bglt) BgL_arg4223z00_2391);
						{	/* Dataflow/walk.scm 283 */
							obj_t BgL_xz00_2956;

							BgL_xz00_2956 = BGl_za2objza2z00zztype_cachez00;
							BgL_val2400z00_2394 = ((BgL_typez00_bglt) BgL_xz00_2956);
						}
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2401z00_2393)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_val2400z00_2394), BUNSPEC);
					}
				}
				return BgL_envz00_1737;
			}
		}
	}



/* &dataflow-node!-make-3969 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd23969za2zzdataflow_walkz00(obj_t
		BgL_envz00_2728, BgL_makezd2boxzd2_bglt BgL_nodez00_2729,
		obj_t BgL_envz00_2730)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 276 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1730;
				obj_t BgL_envz00_1731;

				BgL_nodez00_1730 = BgL_nodez00_2729;
				BgL_envz00_1731 = BgL_envz00_2730;
				{	/* Dataflow/walk.scm 277 */
					BgL_nodez00_bglt BgL_arg4222z00_2388;

					BgL_arg4222z00_2388 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1730)))->BgL_valuez00);
					return
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4222z00_2388,
						BgL_envz00_1731);
				}
			}
		}
	}



/* &dataflow-node!-jump-3967 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd23967za2zzdataflow_walkz00(obj_t
		BgL_envz00_2731, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2732,
		obj_t BgL_envz00_2733)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 267 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1722;
				obj_t BgL_envz00_1723;

				BgL_nodez00_1722 = BgL_nodez00_2732;
				BgL_envz00_1723 = BgL_envz00_2733;
				{	/* Dataflow/walk.scm 269 */
					BgL_nodez00_bglt BgL_arg4220z00_1727;

					BgL_arg4220z00_1727 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1722)))->BgL_exitz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4220z00_1727,
						BgL_envz00_1723);
				}
				{	/* Dataflow/walk.scm 270 */
					BgL_nodez00_bglt BgL_arg4221z00_1728;

					BgL_arg4221z00_1728 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1722)))->BgL_valuez00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4221z00_1728,
						BgL_envz00_1723);
				}
				return BNIL;
			}
		}
	}



/* &dataflow-node!-set-e3965 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e3965za2zzdataflow_walkz00(obj_t
		BgL_envz00_2734, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2735,
		obj_t BgL_envz00_2736)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 259 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1715;
				obj_t BgL_envz00_1716;

				BgL_nodez00_1715 = BgL_nodez00_2735;
				BgL_envz00_1716 = BgL_envz00_2736;
				{	/* Dataflow/walk.scm 261 */
					BgL_nodez00_bglt BgL_arg4219z00_2384;

					BgL_arg4219z00_2384 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1715)))->BgL_bodyz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4219z00_2384,
						BgL_envz00_1716);
				}
				return BNIL;
			}
		}
	}



/* &dataflow-node!-let-v3963 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v3963za2zzdataflow_walkz00(obj_t
		BgL_envz00_2737, BgL_letzd2varzd2_bglt BgL_nodez00_2738,
		obj_t BgL_envz00_2739)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 227 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1670;
				obj_t BgL_envz00_1671;

				BgL_nodez00_1670 = BgL_nodez00_2738;
				BgL_envz00_1671 = BgL_envz00_2739;
				BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
					(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
				{	/* Dataflow/walk.scm 230 */
					long BgL_stampz00_1675;

					BgL_stampz00_1675 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 230 */
						obj_t BgL_envz00_1676;

						{
							obj_t BgL_bindingsz00_1700;
							obj_t BgL_envz00_1701;

							{	/* Dataflow/walk.scm 231 */
								obj_t BgL_arg4211z00_1699;

								BgL_arg4211z00_1699 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1670)))->BgL_bindingsz00);
								BgL_bindingsz00_1700 = BgL_arg4211z00_1699;
								BgL_envz00_1701 = BgL_envz00_1671;
							BgL_zc3anonymousza34212ze3z83_1702:
								if (NULLP(BgL_bindingsz00_1700))
									{	/* Dataflow/walk.scm 233 */
										BgL_envz00_1676 = BgL_envz00_1701;
									}
								else
									{	/* Dataflow/walk.scm 235 */
										obj_t BgL_nodez00_1704;

										{	/* Dataflow/walk.scm 235 */
											obj_t BgL_pairz00_2343;

											BgL_pairz00_2343 = BgL_bindingsz00_1700;
											BgL_nodez00_1704 = CDR(CAR(BgL_pairz00_2343));
										}
										{	/* Dataflow/walk.scm 235 */
											obj_t BgL_envz00_1705;

											BgL_envz00_1705 =
												BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_nodez00_1704), BgL_envz00_1701);
											{	/* Dataflow/walk.scm 236 */

												{	/* Dataflow/walk.scm 237 */
													obj_t BgL_lz00_1706;

													{	/* Dataflow/walk.scm 237 */
														obj_t BgL_pairz00_2347;

														BgL_pairz00_2347 = BgL_bindingsz00_1700;
														BgL_lz00_1706 = CAR(CAR(BgL_pairz00_2347));
													}
													{	/* Dataflow/walk.scm 238 */
														bool_t BgL_testz00_3881;

														{	/* Dataflow/walk.scm 238 */
															obj_t BgL_auxz00_3882;

															{	/* Dataflow/walk.scm 238 */
																BgL_variablez00_bglt BgL_obj1879z00_2351;

																BgL_obj1879z00_2351 =
																	((BgL_variablez00_bglt) BgL_lz00_1706);
																BgL_auxz00_3882 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1879z00_2351)))->
																	BgL_accessz00);
															}
															BgL_testz00_3881 =
																(BgL_auxz00_3882 == CNST_TABLE_REF(((long) 7)));
														}
														if (BgL_testz00_3881)
															{	/* Dataflow/walk.scm 239 */
																BgL_localz00_bglt BgL_obj3871z00_1708;

																BgL_obj3871z00_1708 =
																	((BgL_localz00_bglt) BgL_lz00_1706);
																{	/* Dataflow/walk.scm 239 */
																	BgL_localzf2valuezf2_bglt BgL_arg4215z00_1709;

																	{	/* Dataflow/walk.scm 239 */
																		BgL_localzf2valuezf2_bglt
																			BgL_res4436z00_2361;
																		{	/* Dataflow/walk.scm 239 */
																			int BgL_stamp3765z00_2352;
																			BgL_nodez00_bglt BgL_node3766z00_2353;

																			BgL_stamp3765z00_2352 =
																				(int) (BgL_stampz00_1675);
																			BgL_node3766z00_2353 =
																				((BgL_nodez00_bglt) BgL_nodez00_1704);
																			{	/* Dataflow/walk.scm 239 */
																				BgL_localzf2valuezf2_bglt
																					BgL_new3767z00_2354;
																				BgL_new3767z00_2354 =
																					((BgL_localzf2valuezf2_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_localzf2valuezf2_bgl))));
																				{	/* Dataflow/walk.scm 239 */
																					BgL_localzf2valuezf2_bglt
																						BgL_res4435z00_2360;
																					((((BgL_localzf2valuezf2_bglt)
																								CREF(((obj_t)
																										BgL_new3767z00_2354)))->
																							BgL_stampz00) =
																						((int) BgL_stamp3765z00_2352),
																						BUNSPEC);
																					((((BgL_localzf2valuezf2_bglt)
																								CREF(((obj_t)
																										BgL_new3767z00_2354)))->
																							BgL_nodez00) =
																						((BgL_nodez00_bglt)
																							BgL_node3766z00_2353), BUNSPEC);
																					BgL_res4435z00_2360 =
																						BgL_new3767z00_2354;
																					BgL_res4435z00_2360;
																				}
																				BgL_res4436z00_2361 =
																					BgL_new3767z00_2354;
																		}}
																		BgL_arg4215z00_1709 = BgL_res4436z00_2361;
																	}
																	{	/* Dataflow/walk.scm 239 */
																		obj_t BgL_auxz00_3898;
																		BgL_objectz00_bglt BgL_auxz00_3896;

																		BgL_auxz00_3898 =
																			((obj_t) BgL_arg4215z00_1709);
																		BgL_auxz00_3896 =
																			((BgL_objectz00_bglt)
																			BgL_obj3871z00_1708);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3896,
																			BgL_auxz00_3898);
																}}
																{	/* Dataflow/walk.scm 239 */
																	long BgL_arg4216z00_1710;

																	BgL_arg4216z00_1710 =
																		BGl_classzd2numzd2zz__objectz00
																		(BGl_localzf2valuezf2zzdataflow_walkz00);
																	{	/* Dataflow/walk.scm 239 */
																		BgL_objectz00_bglt BgL_objz00_2362;

																		BgL_objz00_2362 =
																			((BgL_objectz00_bglt)
																			BgL_obj3871z00_1708);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2362,
																			BgL_arg4216z00_1710);
																}}
																((obj_t) BgL_obj3871z00_1708);
															}
														else
															{	/* Dataflow/walk.scm 238 */
																BFALSE;
															}
													}
												}
												{
													obj_t BgL_envz00_3907;
													obj_t BgL_bindingsz00_3905;

													BgL_bindingsz00_3905 = CDR(BgL_bindingsz00_1700);
													BgL_envz00_3907 = BgL_envz00_1705;
													BgL_envz00_1701 = BgL_envz00_3907;
													BgL_bindingsz00_1700 = BgL_bindingsz00_3905;
													goto BgL_zc3anonymousza34212ze3z83_1702;
												}
											}
										}
									}
							}
						}
						{	/* Dataflow/walk.scm 231 */

							{	/* Dataflow/walk.scm 243 */
								obj_t BgL_arg4194z00_1678;

								{	/* Dataflow/walk.scm 254 */
									BgL_nodez00_bglt BgL_arg4210z00_1696;

									BgL_arg4210z00_1696 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1670)))->BgL_bodyz00);
									BgL_arg4194z00_1678 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00
										(BgL_arg4210z00_1696, BgL_envz00_1676);
								}
								{	/* Dataflow/walk.scm 245 */
									obj_t BgL_zc3anonymousza34196ze3z83_2672;

									BgL_zc3anonymousza34196ze3z83_2672 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza34196ze3ze1zzdataflow_walkz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza34196ze3z83_2672,
										(int) (((long) 0)), BINT(BgL_stampz00_1675));
									{	/* Dataflow/walk.scm 243 */
										obj_t BgL_list4195z00_1679;

										BgL_list4195z00_1679 = MAKE_PAIR(BgL_arg4194z00_1678, BNIL);
										return
											BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
											(BgL_zc3anonymousza34196ze3z83_2672,
											BgL_list4195z00_1679);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4196> */
	obj_t BGl_z62zc3anonymousza34196ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_2740, obj_t BgL_bz00_2742)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 243 */
			{	/* Dataflow/walk.scm 245 */
				long BgL_stampz00_2741;

				BgL_stampz00_2741 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_2740, (int) (((long) 0))));
				{
					obj_t BgL_bz00_1680;

					BgL_bz00_1680 = BgL_bz00_2742;
					{	/* Dataflow/walk.scm 245 */
						bool_t BgL_testz00_3922;

						{	/* Dataflow/walk.scm 245 */
							bool_t BgL_testz00_3923;

							{	/* Dataflow/walk.scm 245 */
								obj_t BgL_arg4209z00_1695;

								BgL_arg4209z00_1695 = CAR(BgL_bz00_1680);
								BgL_testz00_3923 =
									BGl_iszd2azf3z21zz__objectz00(BgL_arg4209z00_1695,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							if (BgL_testz00_3923)
								{	/* Dataflow/walk.scm 246 */
									long BgL_auxz00_3926;

									{	/* Dataflow/walk.scm 246 */
										int BgL_auxz00_3927;

										{	/* Dataflow/walk.scm 246 */
											BgL_localzf2valuezf2_bglt BgL_obj3800z00_2371;

											{	/* Dataflow/walk.scm 246 */
												obj_t BgL_pairz00_2370;

												BgL_pairz00_2370 = BgL_bz00_1680;
												BgL_obj3800z00_2371 =
													((BgL_localzf2valuezf2_bglt) CAR(BgL_pairz00_2370));
											}
											{
												obj_t BgL_auxz00_3930;

												{	/* Dataflow/walk.scm 246 */
													BgL_objectz00_bglt BgL_auxz00_3931;

													BgL_auxz00_3931 =
														((BgL_objectz00_bglt) BgL_obj3800z00_2371);
													BgL_auxz00_3930 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3931);
												}
												BgL_auxz00_3927 =
													(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3930))->
													BgL_stampz00);
										}}
										BgL_auxz00_3926 = (long) (BgL_auxz00_3927);
									}
									BgL_testz00_3922 = (BgL_auxz00_3926 < BgL_stampz00_2741);
								}
							else
								{	/* Dataflow/walk.scm 245 */
									BgL_testz00_3922 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_3922)
							{	/* Dataflow/walk.scm 245 */
								return BgL_bz00_1680;
							}
						else
							{	/* Dataflow/walk.scm 248 */
								bool_t BgL_testz00_3937;

								{	/* Dataflow/walk.scm 248 */
									BgL_nodez00_bglt BgL_arg4204z00_1690;

									{	/* Dataflow/walk.scm 248 */
										BgL_localzf2valuezf2_bglt BgL_obj3801z00_2376;

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_pairz00_2375;

											BgL_pairz00_2375 = BgL_bz00_1680;
											BgL_obj3801z00_2376 =
												((BgL_localzf2valuezf2_bglt) CAR(BgL_pairz00_2375));
										}
										{
											obj_t BgL_auxz00_3940;

											{	/* Dataflow/walk.scm 248 */
												BgL_objectz00_bglt BgL_auxz00_3941;

												BgL_auxz00_3941 =
													((BgL_objectz00_bglt) BgL_obj3801z00_2376);
												BgL_auxz00_3940 = BGL_OBJECT_WIDENING(BgL_auxz00_3941);
											}
											BgL_arg4204z00_1690 =
												(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3940))->
												BgL_nodez00);
										}
									}
									{	/* Dataflow/walk.scm 248 */
										bool_t BgL_res4439z00_2378;

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_obj2477z00_2377;

											BgL_obj2477z00_2377 = ((obj_t) BgL_arg4204z00_1690);
											BgL_res4439z00_2378 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2477z00_2377,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_3937 = BgL_res4439z00_2378;
									}
								}
								if (BgL_testz00_3937)
									{	/* Dataflow/walk.scm 249 */
										BgL_variablez00_bglt BgL_vz00_1684;

										{	/* Dataflow/walk.scm 249 */
											BgL_varz00_bglt BgL_obj2462z00_2381;

											{
												BgL_nodez00_bglt BgL_auxz00_3947;

												{	/* Dataflow/walk.scm 249 */
													BgL_localzf2valuezf2_bglt BgL_obj3801z00_2380;

													{	/* Dataflow/walk.scm 249 */
														obj_t BgL_pairz00_2379;

														BgL_pairz00_2379 = BgL_bz00_1680;
														BgL_obj3801z00_2380 =
															((BgL_localzf2valuezf2_bglt)
															CAR(BgL_pairz00_2379));
													}
													{
														obj_t BgL_auxz00_3950;

														{	/* Dataflow/walk.scm 249 */
															BgL_objectz00_bglt BgL_auxz00_3951;

															BgL_auxz00_3951 =
																((BgL_objectz00_bglt) BgL_obj3801z00_2380);
															BgL_auxz00_3950 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3951);
														}
														BgL_auxz00_3947 =
															(((BgL_localzf2valuezf2_bglt)
																CREF(BgL_auxz00_3950))->BgL_nodez00);
													}
												}
												BgL_obj2462z00_2381 =
													((BgL_varz00_bglt) BgL_auxz00_3947);
											}
											BgL_vz00_1684 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_obj2462z00_2381)))->BgL_variablez00);
										}
										if (
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_vz00_1684)))->BgL_accessz00) ==
												CNST_TABLE_REF(((long) 7))))
											{	/* Dataflow/walk.scm 251 */
												obj_t BgL_arg4200z00_1686;

												BgL_arg4200z00_1686 = CDR(BgL_bz00_1680);
												return
													MAKE_PAIR(
													((obj_t) BgL_vz00_1684), BgL_arg4200z00_1686);
											}
										else
											{	/* Dataflow/walk.scm 250 */
												return BFALSE;
											}
									}
								else
									{	/* Dataflow/walk.scm 248 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-let-f3961 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f3961za2zzdataflow_walkz00(obj_t
		BgL_envz00_2743, BgL_letzd2funzd2_bglt BgL_nodez00_2744,
		obj_t BgL_envz00_2745)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 212 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1653;
				obj_t BgL_envz00_1654;

				BgL_nodez00_1653 = BgL_nodez00_2744;
				BgL_envz00_1654 = BgL_envz00_2745;
				{	/* Dataflow/walk.scm 214 */
					obj_t BgL_g3920z00_1658;

					BgL_g3920z00_1658 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1653)))->BgL_localsz00);
					{
						obj_t BgL_l3918z00_1660;

						BgL_l3918z00_1660 = BgL_g3920z00_1658;
					BgL_zc3anonymousza34187ze3z83_1661:
						if (PAIRP(BgL_l3918z00_1660))
							{	/* Dataflow/walk.scm 214 */
								{	/* Dataflow/walk.scm 215 */
									obj_t BgL_localz00_1663;

									BgL_localz00_1663 = CAR(BgL_l3918z00_1660);
									{	/* Dataflow/walk.scm 215 */
										obj_t BgL_arg4189z00_1664;

										{	/* Dataflow/walk.scm 215 */
											BgL_sfunz00_bglt BgL_obj2185z00_2335;

											{	/* Dataflow/walk.scm 215 */
												BgL_variablez00_bglt BgL_obj1875z00_2334;

												BgL_obj1875z00_2334 =
													((BgL_variablez00_bglt) BgL_localz00_1663);
												BgL_obj2185z00_2335 =
													((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1875z00_2334)))->BgL_valuez00));
											}
											BgL_arg4189z00_1664 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj2185z00_2335)))->BgL_bodyz00);
										}
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg4189z00_1664), BNIL);
									}
								}
								{
									obj_t BgL_l3918z00_3979;

									BgL_l3918z00_3979 = CDR(BgL_l3918z00_1660);
									BgL_l3918z00_1660 = BgL_l3918z00_3979;
									goto BgL_zc3anonymousza34187ze3z83_1661;
								}
							}
						else
							{	/* Dataflow/walk.scm 214 */
								((bool_t) 1);
							}
					}
				}
				{	/* Dataflow/walk.scm 217 */
					BgL_nodez00_bglt BgL_arg4192z00_1668;

					BgL_arg4192z00_1668 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1653)))->BgL_bodyz00);
					return
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4192z00_1668,
						BgL_envz00_1654);
				}
			}
		}
	}



/* &dataflow-node!-selec3959 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec3959z70zzdataflow_walkz00(obj_t
		BgL_envz00_2746, BgL_selectz00_bglt BgL_nodez00_2747, obj_t BgL_envz00_2748)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 201 */
			{
				BgL_selectz00_bglt BgL_nodez00_1637;
				obj_t BgL_envz00_1638;

				BgL_nodez00_1637 = BgL_nodez00_2747;
				BgL_envz00_1638 = BgL_envz00_2748;
				{	/* Dataflow/walk.scm 203 */
					BgL_nodez00_bglt BgL_arg4182z00_1642;

					BgL_arg4182z00_1642 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1637)))->BgL_testz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4182z00_1642,
						BgL_envz00_1638);
				}
				{	/* Dataflow/walk.scm 204 */
					obj_t BgL_g3917z00_1643;

					BgL_g3917z00_1643 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1637)))->BgL_clausesz00);
					{
						obj_t BgL_l3915z00_1645;

						BgL_l3915z00_1645 = BgL_g3917z00_1643;
					BgL_zc3anonymousza34183ze3z83_1646:
						if (PAIRP(BgL_l3915z00_1645))
							{	/* Dataflow/walk.scm 204 */
								{	/* Dataflow/walk.scm 205 */
									obj_t BgL_clausez00_1648;

									BgL_clausez00_1648 = CAR(BgL_l3915z00_1645);
									{	/* Dataflow/walk.scm 205 */
										obj_t BgL_arg4185z00_1649;

										BgL_arg4185z00_1649 = CDR(BgL_clausez00_1648);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg4185z00_1649),
											BgL_envz00_1638);
									}
								}
								{
									obj_t BgL_l3915z00_3995;

									BgL_l3915z00_3995 = CDR(BgL_l3915z00_1645);
									BgL_l3915z00_1645 = BgL_l3915z00_3995;
									goto BgL_zc3anonymousza34183ze3z83_1646;
								}
							}
						else
							{	/* Dataflow/walk.scm 204 */
								((bool_t) 1);
							}
					}
				}
				return BgL_envz00_1638;
			}
		}
	}



/* &dataflow-node!-fail3957 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail3957z70zzdataflow_walkz00(obj_t
		BgL_envz00_2749, BgL_failz00_bglt BgL_nodez00_2750, obj_t BgL_envz00_2751)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 191 */
			{
				BgL_failz00_bglt BgL_nodez00_1628;
				obj_t BgL_envz00_1629;

				BgL_nodez00_1628 = BgL_nodez00_2750;
				BgL_envz00_1629 = BgL_envz00_2751;
				{	/* Dataflow/walk.scm 193 */
					BgL_nodez00_bglt BgL_arg4179z00_1633;

					BgL_arg4179z00_1633 =
						(((BgL_failz00_bglt) CREF(
								((obj_t) BgL_nodez00_1628)))->BgL_procz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4179z00_1633,
						BgL_envz00_1629);
				}
				{	/* Dataflow/walk.scm 194 */
					BgL_nodez00_bglt BgL_arg4180z00_1634;

					BgL_arg4180z00_1634 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1628)))->BgL_msgz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4180z00_1634,
						BgL_envz00_1629);
				}
				{	/* Dataflow/walk.scm 195 */
					BgL_nodez00_bglt BgL_arg4181z00_1635;

					BgL_arg4181z00_1635 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1628)))->BgL_objz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4181z00_1635,
						BgL_envz00_1629);
				}
				return BgL_envz00_1629;
			}
		}
	}



/* &dataflow-node!-condi3955 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi3955z70zzdataflow_walkz00(obj_t
		BgL_envz00_2752, BgL_conditionalz00_bglt BgL_nodez00_2753,
		obj_t BgL_envz00_2754)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 168 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1594;
				obj_t BgL_envz00_1595;

				BgL_nodez00_1594 = BgL_nodez00_2753;
				BgL_envz00_1595 = BgL_envz00_2754;
				{
					obj_t BgL_env1z00_1614;
					obj_t BgL_env2z00_1615;

					{	/* Dataflow/walk.scm 179 */
						obj_t BgL_tenvz00_1600;

						{	/* Dataflow/walk.scm 179 */
							BgL_nodez00_bglt BgL_arg4174z00_1613;

							BgL_arg4174z00_1613 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1594)))->BgL_testz00);
							BgL_tenvz00_1600 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4174z00_1613,
								BgL_envz00_1595);
						}
						{	/* Dataflow/walk.scm 179 */
							obj_t BgL_truezd2envzd2_1601;

							{	/* Dataflow/walk.scm 180 */
								obj_t BgL_arg4172z00_1611;

								{	/* Dataflow/walk.scm 180 */
									BgL_nodez00_bglt BgL_arg4173z00_1612;

									BgL_arg4173z00_1612 =
										(((BgL_conditionalz00_bglt) CREF(
												((obj_t) BgL_nodez00_1594)))->BgL_testz00);
									BgL_arg4172z00_1611 =
										BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
										(BgL_arg4173z00_1612);
								}
								BgL_truezd2envzd2_1601 =
									BGl_appendzd221095zd2zzdataflow_walkz00(BgL_arg4172z00_1611,
									BgL_tenvz00_1600);
							}
							{	/* Dataflow/walk.scm 180 */
								obj_t BgL_falsezd2envzd2_1602;

								{	/* Dataflow/walk.scm 181 */
									obj_t BgL_arg4170z00_1609;

									{	/* Dataflow/walk.scm 181 */
										BgL_nodez00_bglt BgL_arg4171z00_1610;

										BgL_arg4171z00_1610 =
											(((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1594)))->BgL_testz00);
										BgL_arg4170z00_1609 =
											BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00
											(BgL_arg4171z00_1610);
									}
									BgL_falsezd2envzd2_1602 =
										BGl_appendzd221095zd2zzdataflow_walkz00(BgL_arg4170z00_1609,
										BgL_tenvz00_1600);
								}
								{	/* Dataflow/walk.scm 181 */

									{	/* Dataflow/walk.scm 182 */
										obj_t BgL_tenvz00_1603;
										obj_t BgL_fenvz00_1604;

										{	/* Dataflow/walk.scm 182 */
											BgL_nodez00_bglt BgL_arg4168z00_1607;

											BgL_arg4168z00_1607 =
												(((BgL_conditionalz00_bglt) CREF(
														((obj_t) BgL_nodez00_1594)))->BgL_falsez00);
											BgL_tenvz00_1603 =
												BGl_dataflowzd2nodez12zc0zzdataflow_walkz00
												(BgL_arg4168z00_1607, BgL_falsezd2envzd2_1602);
										}
										{	/* Dataflow/walk.scm 183 */
											BgL_nodez00_bglt BgL_arg4169z00_1608;

											BgL_arg4169z00_1608 =
												(((BgL_conditionalz00_bglt) CREF(
														((obj_t) BgL_nodez00_1594)))->BgL_truez00);
											BgL_fenvz00_1604 =
												BGl_dataflowzd2nodez12zc0zzdataflow_walkz00
												(BgL_arg4169z00_1608, BgL_truezd2envzd2_1601);
										}
										{	/* Dataflow/walk.scm 184 */
											bool_t BgL_testz00_4023;

											{	/* Dataflow/walk.scm 184 */
												BgL_nodez00_bglt BgL_arg4167z00_1606;

												BgL_arg4167z00_1606 =
													(((BgL_conditionalz00_bglt) CREF(
															((obj_t) BgL_nodez00_1594)))->BgL_falsez00);
												BgL_testz00_4023 =
													CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
													(BgL_arg4167z00_1606));
											}
											if (BgL_testz00_4023)
												{	/* Dataflow/walk.scm 184 */
													return BgL_tenvz00_1603;
												}
											else
												{	/* Dataflow/walk.scm 184 */
													BgL_env1z00_1614 = BgL_tenvz00_1603;
													BgL_env2z00_1615 = BgL_fenvz00_1604;
													{	/* Dataflow/walk.scm 172 */
														obj_t BgL_zc3anonymousza34177ze3z83_2677;

														BgL_zc3anonymousza34177ze3z83_2677 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza34177ze3ze1zzdataflow_walkz00,
															(int) (((long) 1)), (int) (((long) 1)));
														PROCEDURE_SET(BgL_zc3anonymousza34177ze3z83_2677,
															(int) (((long) 0)), BgL_env2z00_1615);
														return
															BGl_filterz00zz__r4_control_features_6_9z00
															(BgL_zc3anonymousza34177ze3z83_2677,
															BgL_env1z00_1614);
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4177> */
	obj_t BGl_z62zc3anonymousza34177ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_2755, obj_t BgL_cz00_2757)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 171 */
			{	/* Dataflow/walk.scm 172 */
				obj_t BgL_env2z00_2756;

				BgL_env2z00_2756 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2755, (int) (((long) 0))));
				{
					obj_t BgL_cz00_1618;

					{	/* Dataflow/walk.scm 172 */
						bool_t BgL_auxz00_4037;

						BgL_cz00_1618 = BgL_cz00_2757;
						{	/* Dataflow/walk.scm 173 */
							obj_t BgL_c2z00_1622;

							BgL_c2z00_1622 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR(BgL_cz00_1618),
								BgL_env2z00_2756);
							{	/* Dataflow/walk.scm 174 */

								if (PAIRP(BgL_c2z00_1622))
									{	/* Dataflow/walk.scm 175 */
										BgL_auxz00_4037 =
											(CDR(BgL_c2z00_1622) == CDR(BgL_cz00_1618));
									}
								else
									{	/* Dataflow/walk.scm 175 */
										BgL_auxz00_4037 = ((bool_t) 0);
									}
							}
						}
						return BBOOL(BgL_auxz00_4037);
					}
				}
			}
		}
	}



/* &dataflow-node!-setq3953 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq3953z70zzdataflow_walkz00(obj_t
		BgL_envz00_2758, BgL_setqz00_bglt BgL_nodez00_2759, obj_t BgL_envz00_2760)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 148 */
			{
				BgL_setqz00_bglt BgL_nodez00_1564;
				obj_t BgL_envz00_1565;

				BgL_nodez00_1564 = BgL_nodez00_2759;
				BgL_envz00_1565 = BgL_envz00_2760;
				{
					BgL_variablez00_bglt BgL_variablez00_1583;
					obj_t BgL_envz00_1584;

					{	/* Dataflow/walk.scm 156 */
						obj_t BgL_nenvz00_1570;

						{	/* Dataflow/walk.scm 156 */
							BgL_nodez00_bglt BgL_arg4159z00_1582;

							BgL_arg4159z00_1582 =
								(((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1564)))->BgL_valuez00);
							BgL_nenvz00_1570 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4159z00_1582,
								BgL_envz00_1565);
						}
						{	/* Dataflow/walk.scm 157 */
							BgL_varz00_bglt BgL_instance3858z00_1571;

							BgL_instance3858z00_1571 =
								(((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1564)))->BgL_varz00);
							{	/* Dataflow/walk.scm 158 */
								bool_t BgL_testz00_4051;

								{	/* Dataflow/walk.scm 158 */
									BgL_variablez00_bglt BgL_arg4158z00_1581;

									BgL_arg4158z00_1581 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_instance3858z00_1571)))->BgL_variablez00);
									{	/* Dataflow/walk.scm 158 */
										bool_t BgL_res4429z00_2304;

										{	/* Dataflow/walk.scm 158 */
											obj_t BgL_obj2046z00_2303;

											BgL_obj2046z00_2303 = ((obj_t) BgL_arg4158z00_1581);
											BgL_res4429z00_2304 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2046z00_2303,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_4051 = BgL_res4429z00_2304;
									}
								}
								if (BgL_testz00_4051)
									{	/* Dataflow/walk.scm 159 */
										BgL_variablez00_bglt BgL_arg4151z00_1573;

										BgL_arg4151z00_1573 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_instance3858z00_1571)))->
											BgL_variablez00);
										BgL_variablez00_1583 = BgL_arg4151z00_1573;
										BgL_envz00_1584 = BgL_nenvz00_1570;
									BgL_zc3anonymousza34160ze3z83_1585:
										{	/* Dataflow/walk.scm 152 */
											obj_t BgL_zc3anonymousza34163ze3z83_2679;

											BgL_zc3anonymousza34163ze3z83_2679 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza34163ze3ze1zzdataflow_walkz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza34163ze3z83_2679,
												(int) (((long) 0)), ((obj_t) BgL_variablez00_1583));
											return
												BGl_filterz00zz__r4_control_features_6_9z00
												(BgL_zc3anonymousza34163ze3z83_2679, BgL_envz00_1584);
										}
									}
								else
									{	/* Dataflow/walk.scm 160 */
										BgL_typez00_bglt BgL_typz00_1574;

										{	/* Dataflow/walk.scm 160 */
											BgL_nodez00_bglt BgL_arg4157z00_1580;

											BgL_arg4157z00_1580 =
												(((BgL_setqz00_bglt) CREF(
														((obj_t) BgL_nodez00_1564)))->BgL_valuez00);
											BgL_typz00_1574 =
												BGl_getzd2typezd2zztype_typeofz00(BgL_arg4157z00_1580);
										}
										{	/* Dataflow/walk.scm 161 */
											bool_t BgL_testz00_4068;

											if (
												(((obj_t) BgL_typz00_1574) ==
													BGl_za2_za2z00zztype_cachez00))
												{	/* Dataflow/walk.scm 161 */
													BgL_testz00_4068 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 161 */
													BgL_testz00_4068 =
														(
														((obj_t) BgL_typz00_1574) ==
														BGl_za2objza2z00zztype_cachez00);
												}
											if (BgL_testz00_4068)
												{	/* Dataflow/walk.scm 162 */
													BgL_variablez00_bglt BgL_arg4153z00_1576;

													BgL_arg4153z00_1576 =
														(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_instance3858z00_1571)))->
														BgL_variablez00);
													{
														obj_t BgL_envz00_4077;
														BgL_variablez00_bglt BgL_variablez00_4076;

														BgL_variablez00_4076 = BgL_arg4153z00_1576;
														BgL_envz00_4077 = BgL_nenvz00_1570;
														BgL_envz00_1584 = BgL_envz00_4077;
														BgL_variablez00_1583 = BgL_variablez00_4076;
														goto BgL_zc3anonymousza34160ze3z83_1585;
													}
												}
											else
												{	/* Dataflow/walk.scm 163 */
													obj_t BgL_arg4154z00_1577;

													{	/* Dataflow/walk.scm 163 */
														BgL_variablez00_bglt BgL_arg4155z00_1578;

														BgL_arg4155z00_1578 =
															(((BgL_varz00_bglt) CREF(
																	((obj_t) BgL_instance3858z00_1571)))->
															BgL_variablez00);
														BgL_arg4154z00_1577 =
															MAKE_PAIR(((obj_t) BgL_arg4155z00_1578),
															((obj_t) BgL_typz00_1574));
													}
													return
														MAKE_PAIR(BgL_arg4154z00_1577, BgL_nenvz00_1570);
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4163> */
	obj_t BGl_z62zc3anonymousza34163ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_2761, obj_t BgL_bz00_2763)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 151 */
			{	/* Dataflow/walk.scm 152 */
				BgL_variablez00_bglt BgL_variablez00_2762;

				BgL_variablez00_2762 =
					((BgL_variablez00_bglt)
					PROCEDURE_REF(BgL_envz00_2761, (int) (((long) 0))));
				{
					obj_t BgL_bz00_1587;

					{	/* Dataflow/walk.scm 152 */
						bool_t BgL_auxz00_4087;

						BgL_bz00_1587 = BgL_bz00_2763;
						if ((CAR(BgL_bz00_1587) == ((obj_t) BgL_variablez00_2762)))
							{	/* Dataflow/walk.scm 152 */
								BgL_auxz00_4087 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 152 */
								BgL_auxz00_4087 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_4087);
					}
				}
			}
		}
	}



/* &dataflow-node!-exter3951 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter3951z70zzdataflow_walkz00(obj_t
		BgL_envz00_2764, BgL_externz00_bglt BgL_nodez00_2765, obj_t BgL_envz00_2766)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 141 */
			{
				BgL_externz00_bglt BgL_nodez00_1558;
				obj_t BgL_envz00_1559;

				BgL_nodez00_1558 = BgL_nodez00_2765;
				BgL_envz00_1559 = BgL_envz00_2766;
				{	/* Dataflow/walk.scm 142 */
					obj_t BgL_nodesz00_2297;

					BgL_nodesz00_2297 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1558)))->BgL_exprza2za2);
					return
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(BgL_nodesz00_2297,
						BgL_envz00_1559);
				}
			}
		}
	}



/* &dataflow-node!-funca3949 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca3949z70zzdataflow_walkz00(obj_t
		BgL_envz00_2767, BgL_funcallz00_bglt BgL_nodez00_2768,
		obj_t BgL_envz00_2769)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 133 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1550;
				obj_t BgL_envz00_1551;

				BgL_nodez00_1550 = BgL_nodez00_2768;
				BgL_envz00_1551 = BgL_envz00_2769;
				{	/* Dataflow/walk.scm 134 */
					BgL_nodez00_bglt BgL_arg4148z00_2293;

					BgL_arg4148z00_2293 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1550)))->BgL_funz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4148z00_2293,
						BgL_envz00_1551);
				}
				{	/* Dataflow/walk.scm 134 */
					obj_t BgL_arg4149z00_2294;

					BgL_arg4149z00_2294 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1550)))->BgL_argsz00);
					return
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(BgL_arg4149z00_2294,
						BgL_envz00_1551);
				}
			}
		}
	}



/* &dataflow-node!-app-l3947 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l3947za2zzdataflow_walkz00(obj_t
		BgL_envz00_2770, BgL_appzd2lyzd2_bglt BgL_nodez00_2771,
		obj_t BgL_envz00_2772)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 125 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1542;
				obj_t BgL_envz00_1543;

				BgL_nodez00_1542 = BgL_nodez00_2771;
				BgL_envz00_1543 = BgL_envz00_2772;
				{	/* Dataflow/walk.scm 126 */
					BgL_nodez00_bglt BgL_arg4146z00_2288;

					BgL_arg4146z00_2288 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1542)))->BgL_funz00);
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4146z00_2288,
						BgL_envz00_1543);
				}
				{	/* Dataflow/walk.scm 126 */
					BgL_nodez00_bglt BgL_arg4147z00_2289;

					BgL_arg4147z00_2289 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1542)))->BgL_argz00);
					return
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_arg4147z00_2289,
						BgL_envz00_1543);
				}
			}
		}
	}



/* &dataflow-node!-app3945 */
	obj_t BGl_z62dataflowzd2nodez12zd2app3945z70zzdataflow_walkz00(obj_t
		BgL_envz00_2773, BgL_appz00_bglt BgL_nodez00_2774, obj_t BgL_envz00_2775)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 109 */
			{
				BgL_appz00_bglt BgL_nodez00_1522;
				obj_t BgL_envz00_1523;

				BgL_nodez00_1522 = BgL_nodez00_2774;
				BgL_envz00_1523 = BgL_envz00_2775;
				{	/* Dataflow/walk.scm 111 */
					obj_t BgL_aenvz00_1527;

					{	/* Dataflow/walk.scm 111 */
						obj_t BgL_arg4145z00_1540;

						BgL_arg4145z00_1540 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1522)))->BgL_argsz00);
						BgL_aenvz00_1527 =
							BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00
							(BgL_arg4145z00_1540, BgL_envz00_1523);
					}
					{	/* Dataflow/walk.scm 112 */
						bool_t BgL_testz00_4111;

						{	/* Dataflow/walk.scm 112 */
							bool_t BgL_testz00_4112;

							{	/* Dataflow/walk.scm 112 */
								BgL_varz00_bglt BgL_arg4144z00_1539;

								BgL_arg4144z00_1539 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_nodez00_1522)))->BgL_funz00);
								{	/* Dataflow/walk.scm 112 */
									bool_t BgL_res4426z00_2278;

									{	/* Dataflow/walk.scm 112 */
										obj_t BgL_obj2477z00_2277;

										BgL_obj2477z00_2277 = ((obj_t) BgL_arg4144z00_1539);
										BgL_res4426z00_2278 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2477z00_2277,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_4112 = BgL_res4426z00_2278;
								}
							}
							if (BgL_testz00_4112)
								{	/* Dataflow/walk.scm 112 */
									BgL_variablez00_bglt BgL_arg4142z00_1537;

									{	/* Dataflow/walk.scm 112 */
										BgL_varz00_bglt BgL_obj2462z00_2280;

										BgL_obj2462z00_2280 =
											(((BgL_appz00_bglt) CREF(
													((obj_t) BgL_nodez00_1522)))->BgL_funz00);
										BgL_arg4142z00_1537 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_obj2462z00_2280)))->BgL_variablez00);
									}
									{	/* Dataflow/walk.scm 112 */
										bool_t BgL_res4427z00_2282;

										{	/* Dataflow/walk.scm 112 */
											obj_t BgL_obj2112z00_2281;

											BgL_obj2112z00_2281 = ((obj_t) BgL_arg4142z00_1537);
											BgL_res4427z00_2282 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2112z00_2281,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_4111 = BgL_res4427z00_2282;
									}
								}
							else
								{	/* Dataflow/walk.scm 112 */
									BgL_testz00_4111 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4111)
							{	/* Dataflow/walk.scm 112 */
								return
									BGl_filterz00zz__r4_control_features_6_9z00
									(BGl_proc4528z00zzdataflow_walkz00, BgL_aenvz00_1527);
							}
						else
							{	/* Dataflow/walk.scm 112 */
								return BgL_aenvz00_1527;
							}
					}
				}
			}
		}
	}



/* &<anonymous:4139> */
	obj_t BGl_z62zc3anonymousza34139ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_2776, obj_t BgL_bz00_2777)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 116 */
			{
				obj_t BgL_bz00_1530;

				{	/* Dataflow/walk.scm 117 */
					bool_t BgL_auxz00_4124;

					BgL_bz00_1530 = BgL_bz00_2777;
					{	/* Dataflow/walk.scm 117 */
						obj_t BgL_vz00_1532;

						BgL_vz00_1532 = CAR(BgL_bz00_1530);
						{	/* Dataflow/walk.scm 118 */
							bool_t BgL__ortest_3851z00_1533;

							BgL__ortest_3851z00_1533 =
								BGl_iszd2azf3z21zz__objectz00(BgL_vz00_1532,
								BGl_globalz00zzast_varz00);
							if (BgL__ortest_3851z00_1533)
								{	/* Dataflow/walk.scm 118 */
									BgL_auxz00_4124 = BgL__ortest_3851z00_1533;
								}
							else
								{	/* Dataflow/walk.scm 118 */
									obj_t BgL_auxz00_4128;

									{	/* Dataflow/walk.scm 118 */
										BgL_variablez00_bglt BgL_obj1879z00_2286;

										BgL_obj1879z00_2286 =
											((BgL_variablez00_bglt) BgL_vz00_1532);
										BgL_auxz00_4128 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1879z00_2286)))->BgL_accessz00);
									}
									BgL_auxz00_4124 =
										(BgL_auxz00_4128 == CNST_TABLE_REF(((long) 7)));
					}}}
					return BBOOL(BgL_auxz00_4124);
				}
			}
		}
	}



/* &dataflow-node!-seque3943 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque3943z70zzdataflow_walkz00(obj_t
		BgL_envz00_2778, BgL_sequencez00_bglt BgL_nodez00_2779,
		obj_t BgL_envz00_2780)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 99 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1507;
				obj_t BgL_envz00_1508;

				BgL_nodez00_1507 = BgL_nodez00_2779;
				BgL_envz00_1508 = BgL_envz00_2780;
				{	/* Dataflow/walk.scm 100 */
					obj_t BgL_g3848z00_1511;

					BgL_g3848z00_1511 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1507)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1513;
						obj_t BgL_envz00_1514;

						BgL_nodeza2za2_1513 = BgL_g3848z00_1511;
						BgL_envz00_1514 = BgL_envz00_1508;
					BgL_zc3anonymousza34132ze3z83_1515:
						if (NULLP(BgL_nodeza2za2_1513))
							{	/* Dataflow/walk.scm 102 */
								return BgL_envz00_1514;
							}
						else
							{	/* Dataflow/walk.scm 104 */
								obj_t BgL_arg4134z00_1517;
								obj_t BgL_arg4135z00_1518;

								BgL_arg4134z00_1517 = CDR(BgL_nodeza2za2_1513);
								{	/* Dataflow/walk.scm 104 */
									obj_t BgL_arg4136z00_1519;

									BgL_arg4136z00_1519 = CAR(BgL_nodeza2za2_1513);
									BgL_arg4135z00_1518 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg4136z00_1519), BgL_envz00_1514);
								}
								{
									obj_t BgL_envz00_4144;
									obj_t BgL_nodeza2za2_4143;

									BgL_nodeza2za2_4143 = BgL_arg4134z00_1517;
									BgL_envz00_4144 = BgL_arg4135z00_1518;
									BgL_envz00_1514 = BgL_envz00_4144;
									BgL_nodeza2za2_1513 = BgL_nodeza2za2_4143;
									goto BgL_zc3anonymousza34132ze3z83_1515;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-closu3941 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu3941z70zzdataflow_walkz00(obj_t
		BgL_envz00_2781, BgL_closurez00_bglt BgL_nodez00_2782,
		obj_t BgL_envz00_2783)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 93 */
			return BgL_envz00_2783;
		}
	}



/* &dataflow-node!-var3939 */
	obj_t BGl_z62dataflowzd2nodez12zd2var3939z70zzdataflow_walkz00(obj_t
		BgL_envz00_2784, BgL_varz00_bglt BgL_nodez00_2785, obj_t BgL_envz00_2786)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 79 */
			{
				BgL_varz00_bglt BgL_nodez00_1481;
				obj_t BgL_envz00_1482;

				BgL_nodez00_1481 = BgL_nodez00_2785;
				BgL_envz00_1482 = BgL_envz00_2786;
				{	/* Dataflow/walk.scm 81 */
					BgL_variablez00_bglt BgL_instance3845z00_1486;

					BgL_instance3845z00_1486 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_nodez00_1481)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 82 */
						bool_t BgL_testz00_4147;

						{	/* Dataflow/walk.scm 82 */
							bool_t BgL_testz00_4148;

							{	/* Dataflow/walk.scm 82 */
								BgL_typez00_bglt BgL_arg4131z00_1500;

								BgL_arg4131z00_1500 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_instance3845z00_1486)))->BgL_typez00);
								BgL_testz00_4148 =
									BGl_bigloozd2typezf3z21zztype_typez00(BgL_arg4131z00_1500);
							}
							if (BgL_testz00_4148)
								{	/* Dataflow/walk.scm 83 */
									bool_t BgL__ortest_3847z00_1495;

									{	/* Dataflow/walk.scm 83 */
										bool_t BgL_testz00_4152;

										{	/* Dataflow/walk.scm 83 */
											BgL_typez00_bglt BgL_arg4130z00_1499;

											BgL_arg4130z00_1499 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_instance3845z00_1486)))->BgL_typez00);
											{	/* Dataflow/walk.scm 83 */
												bool_t BgL_res4423z00_2257;

												{	/* Dataflow/walk.scm 83 */
													obj_t BgL_obj1649z00_2256;

													BgL_obj1649z00_2256 = ((obj_t) BgL_arg4130z00_1499);
													BgL_res4423z00_2257 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1649z00_2256,
														BGl_tclassz00zzobject_classz00);
												}
												BgL_testz00_4152 = BgL_res4423z00_2257;
											}
										}
										if (BgL_testz00_4152)
											{	/* Dataflow/walk.scm 83 */
												BgL__ortest_3847z00_1495 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 83 */
												BgL__ortest_3847z00_1495 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_3847z00_1495)
										{	/* Dataflow/walk.scm 83 */
											BgL_testz00_4147 = BgL__ortest_3847z00_1495;
										}
									else
										{	/* Dataflow/walk.scm 83 */
											BgL_typez00_bglt BgL_arg4127z00_1496;
											BgL_typez00_bglt BgL_arg4128z00_1497;

											BgL_arg4127z00_1496 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_instance3845z00_1486)))->BgL_typez00);
											{	/* Dataflow/walk.scm 83 */
												BgL_nodez00_bglt BgL_obj2399z00_2259;

												BgL_obj2399z00_2259 =
													((BgL_nodez00_bglt) BgL_nodez00_1481);
												BgL_arg4128z00_1497 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2399z00_2259)))->BgL_typez00);
											}
											BgL_testz00_4147 =
												BGl_typezd2subclasszf3z21zzobject_classz00
												(BgL_arg4127z00_1496, BgL_arg4128z00_1497);
										}
								}
							else
								{	/* Dataflow/walk.scm 82 */
									BgL_testz00_4147 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4147)
							{	/* Dataflow/walk.scm 84 */
								obj_t BgL_bz00_1488;

								BgL_bz00_1488 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_nodez00_1481)))->BgL_variablez00)),
									BgL_envz00_1482);
								if (PAIRP(BgL_bz00_1488))
									{	/* Dataflow/walk.scm 86 */
										obj_t BgL_arg4122z00_1490;

										BgL_arg4122z00_1490 = CDR(BgL_bz00_1488);
										{	/* Dataflow/walk.scm 86 */
											BgL_nodez00_bglt BgL_obj2401z00_2264;
											BgL_typez00_bglt BgL_val2400z00_2265;

											BgL_obj2401z00_2264 =
												((BgL_nodez00_bglt) BgL_nodez00_1481);
											BgL_val2400z00_2265 =
												((BgL_typez00_bglt) BgL_arg4122z00_1490);
											((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2401z00_2264)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val2400z00_2265), BUNSPEC);
										}
									}
								else
									{	/* Dataflow/walk.scm 87 */
										BgL_typez00_bglt BgL_arg4123z00_1491;

										{	/* Dataflow/walk.scm 87 */
											BgL_variablez00_bglt BgL_obj1872z00_2267;

											BgL_obj1872z00_2267 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_nodez00_1481)))->BgL_variablez00);
											BgL_arg4123z00_1491 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1872z00_2267)))->BgL_typez00);
										}
										{	/* Dataflow/walk.scm 87 */
											BgL_nodez00_bglt BgL_obj2401z00_2268;

											BgL_obj2401z00_2268 =
												((BgL_nodez00_bglt) BgL_nodez00_1481);
											((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2401z00_2268)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg4123z00_1491), BUNSPEC);
										}
									}
							}
						else
							{	/* Dataflow/walk.scm 82 */
								BFALSE;
							}
					}
				}
				return BgL_envz00_1482;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 517369393),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4529z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
