/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static BgL_localz00_bglt
		BGl_z62z52allocatezd2localzf2fromz10zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_z52allocatezd2localzf2fromz72zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz123582za2zzeffect_cgraphz00(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62savezd2callz123619za2zzeffect_cgraphz00(obj_t,
		BgL_variablez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2select3604z70zzeffect_cgraphz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static BgL_localzf2fromzf2_bglt
		BGl_z62fillzd2localzf2fromz12z50zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd23612z70zzeffect_cgraphz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref3616za2zzeffect_cgraphz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static BgL_globalzf2fromzf2_bglt
		BGl_z62fillzd2globalzf2fromz12z50zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro3628z82zzeffect_cgraphz00(obj_t,
		BgL_localzf2fromzf2_bglt, obj_t);
	static BgL_localzf2fromzf2_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62savezd2callz12zd2local3626z70zzeffect_cgraphz00(obj_t,
		BgL_localz00_bglt, obj_t);
	static BgL_globalzf2fromzf2_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static BgL_globalzf2fromzf2_bglt
		BGl_z62wideningzd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62callzd2graphz12zd2app3587z70zzeffect_cgraphz00(obj_t,
		BgL_appz00_bglt, obj_t);
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_localzf2fromzf2_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_z52allocatezd2globalzf2fromz72zzeffect_cgraphz00();
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun3606za2zzeffect_cgraphz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62savezd2callz12zd2global3622z70zzeffect_cgraphz00(obj_t,
		BgL_globalz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2fail3602z70zzeffect_cgraphz00(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	static BgL_globalz00_bglt
		BGl_z62z52allocatezd2globalzf2fromz10zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt,
		obj_t);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2cast3595z70zzeffect_cgraphz00(obj_t,
		BgL_castz00_bglt, obj_t);
	static BgL_localzf2fromzf2_bglt
		BGl_z62wideningzd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz123618zb0zzeffect_cgraphz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i3610z70zzeffect_cgraphz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio3600z70zzeffect_cgraphz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box3614za2zzeffect_cgraphz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2setq3598z70zzeffect_cgraphz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3632ze1zzeffect_cgraphz00(obj_t,
		BgL_globalzf2fromzf2_bglt, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3636ze1zzeffect_cgraphz00(obj_t,
		BgL_localzf2fromzf2_bglt, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var3608za2zzeffect_cgraphz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr3624z82zzeffect_cgraphz00(obj_t,
		BgL_globalzf2fromzf2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly3589za2zzeffect_cgraphz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2funcall3591z70zzeffect_cgraphz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62objectzd2ze3structzd2local3634z81zzeffect_cgraphz00(obj_t,
		BgL_localzf2fromzf2_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12zd2extern3593z70zzeffect_cgraphz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static BgL_globalzf2fromzf2_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62objectzd2ze3structzd2globa3630z81zzeffect_cgraphz00(obj_t,
		BgL_globalzf2fromzf2_bglt);
	static obj_t BGl_z62callzd2graphz12zd2sequence3585z70zzeffect_cgraphz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from3894z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from3895z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global3896z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 20);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2localzf2fromz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762fillza7d2localza73897za7,
		BGl_z62fillzd2localzf2fromz12z50zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762wideningza7d2lo3898z00,
		BGl_z62wideningzd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza73899za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762wideningza7d2gl3900z00,
		BGl_z62wideningzd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a3901za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s3902za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3855z00zzeffect_cgraphz00,
		BgL_bgl_string3855za700za7za7e3903za7, "", 0);
	      DEFINE_STRING(BGl_string3857z00zzeffect_cgraphz00,
		BgL_bgl_string3857za700za7za7e3904za7, "call-graph!3582", 15);
	      DEFINE_STRING(BGl_string3859z00zzeffect_cgraphz00,
		BgL_bgl_string3859za700za7za7e3905za7, "save-call!3619", 14);
	      DEFINE_STRING(BGl_string3860z00zzeffect_cgraphz00,
		BgL_bgl_string3860za700za7za7e3906za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3862z00zzeffect_cgraphz00,
		BgL_bgl_string3862za700za7za7e3907za7, "call-graph!", 11);
	      DEFINE_STRING(BGl_string3880z00zzeffect_cgraphz00,
		BgL_bgl_string3880za700za7za7e3908za7, "save-call!", 10);
	      DEFINE_STRING(BGl_string3885z00zzeffect_cgraphz00,
		BgL_bgl_string3885za700za7za7e3909za7, "object->struct::struct", 22);
	      DEFINE_STRING(BGl_string3887z00zzeffect_cgraphz00,
		BgL_bgl_string3887za700za7za7e3910za7, "struct+object->object::object", 29);
	      DEFINE_STRING(BGl_string3890z00zzeffect_cgraphz00,
		BgL_bgl_string3890za700za7za7e3911za7, "effect_cgraph", 13);
	      DEFINE_STRING(BGl_string3891z00zzeffect_cgraphz00,
		BgL_bgl_string3891za700za7za7e3912za7,
		"import done save-call!3619 _ global/from local/from nothing ", 60);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza713913za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec3914z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d23915za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2globalzf2fromz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762fillza7d2global3916z00,
		BGl_z62fillzd2globalzf2fromz12z50zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2globalzf2fromzd2envza0zzeffect_cgraphz00,
		BgL_bgl_za762za752allocateza7d3917za7,
		BGl_z62z52allocatezd2globalzf2fromz10zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73918za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2localzf2fromzd2envza0zzeffect_cgraphz00,
		BgL_bgl_za762za752allocateza7d3919za7,
		BGl_z62z52allocatezd2localzf2fromz10zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3856z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73920za7,
		BGl_z62callzd2graphz123582za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3858z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza713921za7,
		BGl_z62savezd2callz123619za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3861z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73922za7,
		BGl_z62callzd2graphz12zd2sequence3585z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3863z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73923za7,
		BGl_z62callzd2graphz12zd2app3587z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3864z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73924za7,
		BGl_z62callzd2graphz12zd2appzd2ly3589za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3865z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73925za7,
		BGl_z62callzd2graphz12zd2funcall3591z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3866z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73926za7,
		BGl_z62callzd2graphz12zd2extern3593z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3867z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73927za7,
		BGl_z62callzd2graphz12zd2cast3595z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3868z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73928za7,
		BGl_z62callzd2graphz12zd2setq3598z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3869z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73929za7,
		BGl_z62callzd2graphz12zd2conditio3600z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3870z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73930za7,
		BGl_z62callzd2graphz12zd2fail3602z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3871z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73931za7,
		BGl_z62callzd2graphz12zd2select3604z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3872z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73932za7,
		BGl_z62callzd2graphz12zd2letzd2fun3606za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3873z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73933za7,
		BGl_z62callzd2graphz12zd2letzd2var3608za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3874z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73934za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i3610z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3875z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73935za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd23612z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3876z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73936za7,
		BGl_z62callzd2graphz12zd2makezd2box3614za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3877z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73937za7,
		BGl_z62callzd2graphz12zd2boxzd2ref3616za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3878z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza73938za7,
		BGl_z62callzd2graphz12zd2boxzd2setz123618zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3879z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza713939za7,
		BGl_z62savezd2callz12zd2global3622z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3881z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza713940za7,
		BGl_z62savezd2callz12zd2globalzf2fr3624z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza713941za7,
		BGl_z62savezd2callz12zd2local3626z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3883z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza713942za7,
		BGl_z62savezd2callz12zd2localzf2fro3628z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzeffect_cgraphz00,
		BgL_bgl_za762objectza7d2za7e3s3943za7,
		BGl_z62objectzd2ze3structzd2globa3630z81zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3886z00zzeffect_cgraphz00,
		BgL_bgl_za762structza7b2obje3944z00,
		BGl_z62structzb2objectzd2ze3objec3632ze1zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3888z00zzeffect_cgraphz00,
		BgL_bgl_za762objectza7d2za7e3s3945za7,
		BGl_z62objectzd2ze3structzd2local3634z81zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3889z00zzeffect_cgraphz00,
		BgL_bgl_za762structza7b2obje3946z00,
		BGl_z62structzb2objectzd2ze3objec3636ze1zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza73947za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza73948za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_2447, char *BgL_fromz00_2448)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_2419;

				BgL_cportz00_2419 =
					bgl_open_input_string(BGl_string3891z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2420;

					BgL_iz00_2420 = ((long) 6);
				BgL_loopz00_2421:
					if ((BgL_iz00_2420 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg3893z00_2423;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_2425;

										BgL_locationz00_2425 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg3893z00_2423 =
												BGl_readz00zz__readerz00(BgL_cportz00_2419,
												BgL_locationz00_2425);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_2469;

									BgL_auxz00_2469 = (int) (BgL_iz00_2420);
									CNST_TABLE_SET(BgL_auxz00_2469, BgL_arg3893z00_2423);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_2426;

								BgL_auxz00_2426 = (int) ((BgL_iz00_2420 - ((long) 1)));
								{
									long BgL_iz00_2474;

									BgL_iz00_2474 = (long) (BgL_auxz00_2426);
									BgL_iz00_2420 = BgL_iz00_2474;
									goto BgL_loopz00_2421;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_3)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 30 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				((obj_t) BgL_variablez00_3), BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 32 */
				obj_t BgL_arg3640z00_920;

				{	/* Effect/cgraph.scm 32 */
					BgL_sfunz00_bglt BgL_obj1924z00_1618;

					BgL_obj1924z00_1618 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_variablez00_3)))->BgL_valuez00));
					BgL_arg3640z00_920 =
						(((BgL_sfunz00_bglt) CREF(
								((obj_t) BgL_obj1924z00_1618)))->BgL_bodyz00);
				}
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg3640z00_920), BgL_variablez00_3);
			}
		}
	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_2022,
		obj_t BgL_variablez00_2023)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 30 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_2023));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_40,
		obj_t BgL_ownerz00_41)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 197 */
			{
				obj_t BgL_l3578z00_923;

				BgL_l3578z00_923 = BgL_nodeza2za2_40;
			BgL_zc3anonymousza33642ze3z83_924:
				if (PAIRP(BgL_l3578z00_923))
					{	/* Effect/cgraph.scm 198 */
						{	/* Effect/cgraph.scm 198 */
							obj_t BgL_nodez00_926;

							BgL_nodez00_926 = CAR(BgL_l3578z00_923);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_926),
								((BgL_variablez00_bglt) BgL_ownerz00_41));
						}
						{
							obj_t BgL_l3578z00_2493;

							BgL_l3578z00_2493 = CDR(BgL_l3578z00_923);
							BgL_l3578z00_923 = BgL_l3578z00_2493;
							goto BgL_zc3anonymousza33642ze3z83_924;
						}
					}
				else
					{	/* Effect/cgraph.scm 198 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2024)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 253 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_2025)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 253 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 264 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2026)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 264 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_52)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 271 */
			{	/* Effect/cgraph.scm 273 */
				BgL_valuez00_bglt BgL_funz00_929;

				BgL_funz00_929 =
					(((BgL_variablez00_bglt) CREF(((obj_t) BgL_vz00_52)))->BgL_valuez00);
				{	/* Effect/cgraph.scm 275 */
					bool_t BgL_testz00_2498;

					{	/* Effect/cgraph.scm 275 */
						BgL_funz00_bglt BgL_obj1855z00_1624;

						BgL_obj1855z00_1624 = ((BgL_funz00_bglt) BgL_funz00_929);
						BgL_testz00_2498 =
							CBOOL(
							(((BgL_funz00_bglt) CREF(
										((obj_t) BgL_obj1855z00_1624)))->BgL_sidezd2effectzd2));
					}
					if (BgL_testz00_2498)
						{	/* Effect/cgraph.scm 275 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_vz00_52),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
								{	/* Effect/cgraph.scm 278 */
									return CNST_TABLE_REF(((long) 0));
								}
							else
								{	/* Effect/cgraph.scm 278 */
									return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
										MAKE_PAIR(
											((obj_t) BgL_vz00_52),
											BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
										BUNSPEC);
								}
						}
					else
						{	/* Effect/cgraph.scm 275 */
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
								MAKE_PAIR(
								((obj_t) BgL_vz00_52),
								BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
							{	/* Effect/cgraph.scm 277 */
								BgL_funz00_bglt BgL_obj1857z00_1625;

								BgL_obj1857z00_1625 = ((BgL_funz00_bglt) BgL_funz00_929);
								return
									((((BgL_funz00_bglt) CREF(
												((obj_t) BgL_obj1857z00_1625)))->BgL_sidezd2effectzd2) =
									((obj_t) BTRUE), BUNSPEC);
							}
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 20 */
				obj_t BgL_arg3648z00_932;

				{	/* Effect/cgraph.scm 20 */
					obj_t BgL_v3580z00_933;

					BgL_v3580z00_933 = create_vector((int) (((long) 0)));
					BgL_arg3648z00_932 = BgL_v3580z00_933;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 1)),
					BGl_localz00zzast_varz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2localzf2fromzd2envza0zzeffect_cgraphz00,
					BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
					BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00, ((long) 255919982),
					BFALSE, BFALSE, BgL_arg3648z00_932);
			}
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg3649z00_934;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v3581z00_935;

					BgL_v3581z00_935 = create_vector((int) (((long) 0)));
					BgL_arg3649z00_934 = BgL_v3581z00_935;
				}
				BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					BGl_globalz00zzast_varz00, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2globalzf2fromzd2envza0zzeffect_cgraphz00,
					BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
					BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00, ((long) 419956288),
					BFALSE, BFALSE, BgL_arg3649z00_934);
			}
			BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 = BUNSPEC;
			return (BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_obj3468z00_53)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3468z00_53,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2033,
		obj_t BgL_obj3468z00_2034)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3468z00_2034,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* widening-global/from */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_from3430z00_57)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalzf2fromzf2_bglt BgL_new3431z00_1627;

				BgL_new3431z00_1627 =
					((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 21 */
					BgL_globalzf2fromzf2_bglt BgL_res3801z00_1631;

					((((BgL_globalzf2fromzf2_bglt) CREF(
									((obj_t) BgL_new3431z00_1627)))->BgL_fromz00) =
						((obj_t) BgL_from3430z00_57), BUNSPEC);
					BgL_res3801z00_1631 = BgL_new3431z00_1627;
					BgL_res3801z00_1631;
				}
				return BgL_new3431z00_1627;
			}
		}
	}



/* &widening-global/from */
	BgL_globalzf2fromzf2_bglt
		BGl_z62wideningzd2globalzf2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2035,
		obj_t BgL_from3430z00_2036)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(BgL_from3430z00_2036);
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id3434z00_58,
		obj_t BgL_name3435z00_59, BgL_typez00_bglt BgL_type3436z00_60,
		BgL_valuez00_bglt BgL_value3437z00_61, obj_t BgL_access3438z00_62,
		obj_t BgL_fastzd2alpha3439zd2_63, obj_t BgL_removable3440z00_64,
		long BgL_occurrence3441z00_65, long BgL_occurrencew3442z00_66,
		bool_t BgL_userzf33443zf3_67, obj_t BgL_module3444z00_68,
		obj_t BgL_import3445z00_69, bool_t BgL_evaluablezf33446zf3_70,
		bool_t BgL_evalzf33447zf3_71, obj_t BgL_library3448z00_72,
		obj_t BgL_pragma3449z00_73, obj_t BgL_src3450z00_74,
		obj_t BgL_jvmzd2typezd2name3451z00_75, obj_t BgL_init3452z00_76,
		obj_t BgL_from3433z00_77)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalz00_bglt BgL_aux3453z00_1632;

				BgL_aux3453z00_1632 =
					BGl_makezd2globalzd2zzast_varz00(BgL_id3434z00_58, BgL_name3435z00_59,
					BgL_type3436z00_60, BgL_value3437z00_61, BgL_access3438z00_62,
					BgL_fastzd2alpha3439zd2_63, BgL_removable3440z00_64,
					BgL_occurrence3441z00_65, BgL_occurrencew3442z00_66,
					BgL_userzf33443zf3_67, BgL_module3444z00_68, BgL_import3445z00_69,
					BgL_evaluablezf33446zf3_70, BgL_evalzf33447zf3_71,
					BgL_library3448z00_72, BgL_pragma3449z00_73, BgL_src3450z00_74,
					BgL_jvmzd2typezd2name3451z00_75, BgL_init3452z00_76);
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg3650z00_1633;

					BgL_arg3650z00_1633 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_globalzf2fromzf2zzeffect_cgraphz00);
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_1636;

						BgL_objz00_1636 = ((BgL_objectz00_bglt) BgL_aux3453z00_1632);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1636, BgL_arg3650z00_1633);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_globalzf2fromzf2_bglt BgL_arg3651z00_1634;

					{	/* Effect/cgraph.scm 21 */
						BgL_globalzf2fromzf2_bglt BgL_res3803z00_1644;

						{	/* Effect/cgraph.scm 21 */
							BgL_globalzf2fromzf2_bglt BgL_new3431z00_1639;

							BgL_new3431z00_1639 =
								((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalzf2fromzf2_bgl))));
							{	/* Effect/cgraph.scm 21 */
								BgL_globalzf2fromzf2_bglt BgL_res3802z00_1643;

								((((BgL_globalzf2fromzf2_bglt) CREF(
												((obj_t) BgL_new3431z00_1639)))->BgL_fromz00) =
									((obj_t) BgL_from3433z00_77), BUNSPEC);
								BgL_res3802z00_1643 = BgL_new3431z00_1639;
								BgL_res3802z00_1643;
							}
							BgL_res3803z00_1644 = BgL_new3431z00_1639;
						}
						BgL_arg3651z00_1634 = BgL_res3803z00_1644;
					}
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_2539;
						BgL_objectz00_bglt BgL_auxz00_2537;

						BgL_auxz00_2539 = ((obj_t) BgL_arg3651z00_1634);
						BgL_auxz00_2537 = ((BgL_objectz00_bglt) BgL_aux3453z00_1632);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2537, BgL_auxz00_2539);
				}}
				return ((BgL_globalzf2fromzf2_bglt) BgL_aux3453z00_1632);
			}
		}
	}



/* &make-global/from */
	BgL_globalzf2fromzf2_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2037,
		obj_t BgL_id3434z00_2038, obj_t BgL_name3435z00_2039,
		obj_t BgL_type3436z00_2040, obj_t BgL_value3437z00_2041,
		obj_t BgL_access3438z00_2042, obj_t BgL_fastzd2alpha3439zd2_2043,
		obj_t BgL_removable3440z00_2044, obj_t BgL_occurrence3441z00_2045,
		obj_t BgL_occurrencew3442z00_2046, obj_t BgL_userzf33443zf3_2047,
		obj_t BgL_module3444z00_2048, obj_t BgL_import3445z00_2049,
		obj_t BgL_evaluablezf33446zf3_2050, obj_t BgL_evalzf33447zf3_2051,
		obj_t BgL_library3448z00_2052, obj_t BgL_pragma3449z00_2053,
		obj_t BgL_src3450z00_2054, obj_t BgL_jvmzd2typezd2name3451z00_2055,
		obj_t BgL_init3452z00_2056, obj_t BgL_from3433z00_2057)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(BgL_id3434z00_2038,
				BgL_name3435z00_2039, ((BgL_typez00_bglt) BgL_type3436z00_2040),
				((BgL_valuez00_bglt) BgL_value3437z00_2041), BgL_access3438z00_2042,
				BgL_fastzd2alpha3439zd2_2043, BgL_removable3440z00_2044,
				(long) CINT(BgL_occurrence3441z00_2045),
				(long) CINT(BgL_occurrencew3442z00_2046),
				CBOOL(BgL_userzf33443zf3_2047), BgL_module3444z00_2048,
				BgL_import3445z00_2049, CBOOL(BgL_evaluablezf33446zf3_2050),
				CBOOL(BgL_evalzf33447zf3_2051), BgL_library3448z00_2052,
				BgL_pragma3449z00_2053, BgL_src3450z00_2054,
				BgL_jvmzd2typezd2name3451z00_2055, BgL_init3452z00_2056,
				BgL_from3433z00_2057);
		}
	}



/* fill-global/from! */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt
		BgL_new3456z00_78, obj_t BgL_from3455z00_79)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			((((BgL_globalzf2fromzf2_bglt) CREF(
							((obj_t) BgL_new3456z00_78)))->BgL_fromz00) =
				((obj_t) BgL_from3455z00_79), BUNSPEC);
			return BgL_new3456z00_78;
		}
	}



/* &fill-global/from! */
	BgL_globalzf2fromzf2_bglt
		BGl_z62fillzd2globalzf2fromz12z50zzeffect_cgraphz00(obj_t BgL_envz00_2058,
		obj_t BgL_new3456z00_2059, obj_t BgL_from3455z00_2060)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalzf2fromzf2_bglt BgL_new3456z00_2428;

				BgL_new3456z00_2428 = ((BgL_globalzf2fromzf2_bglt) BgL_new3456z00_2059);
				((((BgL_globalzf2fromzf2_bglt) CREF(
								((obj_t) BgL_new3456z00_2428)))->BgL_fromz00) =
					((obj_t) BgL_from3455z00_2060), BUNSPEC);
				return BgL_new3456z00_2428;
			}
		}
	}



/* %allocate-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_z52allocatezd2globalzf2fromz72zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalz00_bglt BgL_new3459z00_2430;

				BgL_new3459z00_2430 =
					((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg3652z00_2431;

					BgL_arg3652z00_2431 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_globalzf2fromzf2zzeffect_cgraphz00);
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_2432;

						BgL_objz00_2432 = ((BgL_objectz00_bglt) BgL_new3459z00_2430);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2432, BgL_arg3652z00_2431);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_2560;

					BgL_auxz00_2560 = ((BgL_objectz00_bglt) BgL_new3459z00_2430);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2560, BFALSE);
				}
				return BgL_new3459z00_2430;
			}
		}
	}



/* &%allocate-global/from */
	BgL_globalz00_bglt
		BGl_z62z52allocatezd2globalzf2fromz10zzeffect_cgraphz00(obj_t
		BgL_envz00_2031)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalz00_bglt BgL_new3459z00_2433;

				BgL_new3459z00_2433 =
					((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg3652z00_2434;

					BgL_arg3652z00_2434 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_globalzf2fromzf2zzeffect_cgraphz00);
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_2435;

						BgL_objz00_2435 = ((BgL_objectz00_bglt) BgL_new3459z00_2433);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2435, BgL_arg3652z00_2434);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_2567;

					BgL_auxz00_2567 = ((BgL_objectz00_bglt) BgL_new3459z00_2433);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2567, BFALSE);
				}
				return BgL_new3459z00_2433;
			}
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				bool_t BgL_testz00_2570;

				{	/* Effect/cgraph.scm 21 */
					bool_t BgL_res3804z00_1651;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_obj3468z00_1650;

						BgL_obj3468z00_1650 =
							BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00;
						BgL_res3804z00_1651 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3468z00_1650,
							BGl_globalzf2fromzf2zzeffect_cgraphz00);
					}
					BgL_testz00_2570 = BgL_res3804z00_1651;
				}
				if (BgL_testz00_2570)
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_xz00_2223;

						BgL_xz00_2223 =
							BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00;
						return ((BgL_globalzf2fromzf2_bglt) BgL_xz00_2223);
					}
				else
					{	/* Effect/cgraph.scm 21 */
						BgL_globalzf2fromzf2_bglt BgL_g3460z00_945;

						{	/* Effect/cgraph.scm 21 */
							BgL_globalz00_bglt BgL_res3805z00_1656;

							{	/* Effect/cgraph.scm 21 */
								BgL_globalz00_bglt BgL_new1785z00_1652;

								BgL_new1785z00_1652 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg3713z00_1653;

									BgL_arg3713z00_1653 =
										BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00);
									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_objz00_1654;

										BgL_objz00_1654 =
											((BgL_objectz00_bglt) BgL_new1785z00_1652);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1654,
											BgL_arg3713z00_1653);
								}}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_auxz00_2577;

									BgL_auxz00_2577 = ((BgL_objectz00_bglt) BgL_new1785z00_1652);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2577, BFALSE);
								}
								BgL_res3805z00_1656 = BgL_new1785z00_1652;
							}
							BgL_g3460z00_945 =
								((BgL_globalzf2fromzf2_bglt) BgL_res3805z00_1656);
						}
						BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 =
							((obj_t) BgL_g3460z00_945);
						{	/* Effect/cgraph.scm 21 */
							BgL_typez00_bglt BgL_arg3654z00_946;
							BgL_valuez00_bglt BgL_arg3655z00_947;

							BgL_arg3654z00_946 = BGl_typezd2nilzd2zztype_typez00();
							BgL_arg3655z00_947 = BGl_valuezd2nilzd2zzast_varz00();
							{	/* Effect/cgraph.scm 21 */
								BgL_globalz00_bglt BgL_res3806z00_1696;

								{	/* Effect/cgraph.scm 21 */
									BgL_globalz00_bglt BgL_new1764z00_1657;
									obj_t BgL_id1745z00_1658;
									obj_t BgL_module1755z00_1668;

									BgL_new1764z00_1657 = ((BgL_globalz00_bglt) BgL_g3460z00_945);
									BgL_id1745z00_1658 = CNST_TABLE_REF(((long) 3));
									BgL_module1755z00_1668 = CNST_TABLE_REF(((long) 3));
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_new1764z00_1657)))->BgL_idz00) =
										((obj_t) BgL_id1745z00_1658), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_namez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3654z00_946), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_arg3655z00_947), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_accessz00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_removablez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1764z00_1657)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_modulez00) =
										((obj_t) BgL_module1755z00_1668), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_importz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_libraryz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_pragmaz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_srcz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_jvmzd2typezd2namez00) =
										((obj_t) BGl_string3855z00zzeffect_cgraphz00), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(((obj_t) BgL_new1764z00_1657)))->
											BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
									BgL_res3806z00_1696 = BgL_new1764z00_1657;
								} BgL_res3806z00_1696;
						}}
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg3656z00_948;

							BgL_arg3656z00_948 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objz00_1697;

								BgL_objz00_1697 = ((BgL_objectz00_bglt) BgL_g3460z00_945);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1697, BgL_arg3656z00_948);
						}}
						{	/* Effect/cgraph.scm 21 */
							BgL_globalzf2fromzf2_bglt BgL_arg3657z00_949;

							{	/* Effect/cgraph.scm 21 */
								BgL_globalzf2fromzf2_bglt BgL_res3808z00_1705;

								{	/* Effect/cgraph.scm 21 */
									BgL_globalzf2fromzf2_bglt BgL_new3431z00_1700;

									BgL_new3431z00_1700 =
										((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_globalzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 21 */
										BgL_globalzf2fromzf2_bglt BgL_res3807z00_1704;

										((((BgL_globalzf2fromzf2_bglt) CREF(
														((obj_t) BgL_new3431z00_1700)))->BgL_fromz00) =
											((obj_t) BUNSPEC), BUNSPEC);
										BgL_res3807z00_1704 = BgL_new3431z00_1700;
										BgL_res3807z00_1704;
									}
									BgL_res3808z00_1705 = BgL_new3431z00_1700;
								}
								BgL_arg3657z00_949 = BgL_res3808z00_1705;
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_auxz00_2633;
								BgL_objectz00_bglt BgL_auxz00_2631;

								BgL_auxz00_2633 = ((obj_t) BgL_arg3657z00_949);
								BgL_auxz00_2631 = ((BgL_objectz00_bglt) BgL_g3460z00_945);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2631, BgL_auxz00_2633);
						}}
						return BgL_g3460z00_945;
					}
			}
		}
	}



/* &global/from-nil */
	BgL_globalzf2fromzf2_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t BgL_envz00_2032)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_obj3395z00_83)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3395z00_83,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2029,
		obj_t BgL_obj3395z00_2030)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3395z00_2030,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* widening-local/from */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_from3366z00_87)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localzf2fromzf2_bglt BgL_new3367z00_1706;

				BgL_new3367z00_1706 =
					((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 20 */
					BgL_localzf2fromzf2_bglt BgL_res3809z00_1710;

					((((BgL_localzf2fromzf2_bglt) CREF(
									((obj_t) BgL_new3367z00_1706)))->BgL_fromz00) =
						((obj_t) BgL_from3366z00_87), BUNSPEC);
					BgL_res3809z00_1710 = BgL_new3367z00_1706;
					BgL_res3809z00_1710;
				}
				return BgL_new3367z00_1706;
			}
		}
	}



/* &widening-local/from */
	BgL_localzf2fromzf2_bglt
		BGl_z62wideningzd2localzf2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2061,
		obj_t BgL_from3366z00_2062)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(BgL_from3366z00_2062);
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id3370z00_88,
		obj_t BgL_name3371z00_89, BgL_typez00_bglt BgL_type3372z00_90,
		BgL_valuez00_bglt BgL_value3373z00_91, obj_t BgL_access3374z00_92,
		obj_t BgL_fastzd2alpha3375zd2_93, obj_t BgL_removable3376z00_94,
		long BgL_occurrence3377z00_95, long BgL_occurrencew3378z00_96,
		bool_t BgL_userzf33379zf3_97, long BgL_key3380z00_98,
		obj_t BgL_from3369z00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localz00_bglt BgL_aux3381z00_1711;

				BgL_aux3381z00_1711 =
					BGl_makezd2localzd2zzast_varz00(BgL_id3370z00_88, BgL_name3371z00_89,
					BgL_type3372z00_90, BgL_value3373z00_91, BgL_access3374z00_92,
					BgL_fastzd2alpha3375zd2_93, BgL_removable3376z00_94,
					BgL_occurrence3377z00_95, BgL_occurrencew3378z00_96,
					BgL_userzf33379zf3_97, BgL_key3380z00_98);
				{	/* Effect/cgraph.scm 20 */
					long BgL_arg3659z00_1712;

					BgL_arg3659z00_1712 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_localzf2fromzf2zzeffect_cgraphz00);
					{	/* Effect/cgraph.scm 20 */
						BgL_objectz00_bglt BgL_objz00_1715;

						BgL_objz00_1715 = ((BgL_objectz00_bglt) BgL_aux3381z00_1711);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1715, BgL_arg3659z00_1712);
				}}
				{	/* Effect/cgraph.scm 20 */
					BgL_localzf2fromzf2_bglt BgL_arg3660z00_1713;

					{	/* Effect/cgraph.scm 20 */
						BgL_localzf2fromzf2_bglt BgL_res3811z00_1723;

						{	/* Effect/cgraph.scm 20 */
							BgL_localzf2fromzf2_bglt BgL_new3367z00_1718;

							BgL_new3367z00_1718 =
								((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localzf2fromzf2_bgl))));
							{	/* Effect/cgraph.scm 20 */
								BgL_localzf2fromzf2_bglt BgL_res3810z00_1722;

								((((BgL_localzf2fromzf2_bglt) CREF(
												((obj_t) BgL_new3367z00_1718)))->BgL_fromz00) =
									((obj_t) BgL_from3369z00_99), BUNSPEC);
								BgL_res3810z00_1722 = BgL_new3367z00_1718;
								BgL_res3810z00_1722;
							}
							BgL_res3811z00_1723 = BgL_new3367z00_1718;
						}
						BgL_arg3660z00_1713 = BgL_res3811z00_1723;
					}
					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_auxz00_2653;
						BgL_objectz00_bglt BgL_auxz00_2651;

						BgL_auxz00_2653 = ((obj_t) BgL_arg3660z00_1713);
						BgL_auxz00_2651 = ((BgL_objectz00_bglt) BgL_aux3381z00_1711);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2651, BgL_auxz00_2653);
				}}
				return ((BgL_localzf2fromzf2_bglt) BgL_aux3381z00_1711);
			}
		}
	}



/* &make-local/from */
	BgL_localzf2fromzf2_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2063, obj_t BgL_id3370z00_2064, obj_t BgL_name3371z00_2065,
		obj_t BgL_type3372z00_2066, obj_t BgL_value3373z00_2067,
		obj_t BgL_access3374z00_2068, obj_t BgL_fastzd2alpha3375zd2_2069,
		obj_t BgL_removable3376z00_2070, obj_t BgL_occurrence3377z00_2071,
		obj_t BgL_occurrencew3378z00_2072, obj_t BgL_userzf33379zf3_2073,
		obj_t BgL_key3380z00_2074, obj_t BgL_from3369z00_2075)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				BGl_makezd2localzf2fromz20zzeffect_cgraphz00(BgL_id3370z00_2064,
				BgL_name3371z00_2065, ((BgL_typez00_bglt) BgL_type3372z00_2066),
				((BgL_valuez00_bglt) BgL_value3373z00_2067), BgL_access3374z00_2068,
				BgL_fastzd2alpha3375zd2_2069, BgL_removable3376z00_2070,
				(long) CINT(BgL_occurrence3377z00_2071),
				(long) CINT(BgL_occurrencew3378z00_2072),
				CBOOL(BgL_userzf33379zf3_2073), (long) CINT(BgL_key3380z00_2074),
				BgL_from3369z00_2075);
		}
	}



/* fill-local/from! */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt
		BgL_new3384z00_100, obj_t BgL_from3383z00_101)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			((((BgL_localzf2fromzf2_bglt) CREF(
							((obj_t) BgL_new3384z00_100)))->BgL_fromz00) =
				((obj_t) BgL_from3383z00_101), BUNSPEC);
			return BgL_new3384z00_100;
		}
	}



/* &fill-local/from! */
	BgL_localzf2fromzf2_bglt
		BGl_z62fillzd2localzf2fromz12z50zzeffect_cgraphz00(obj_t BgL_envz00_2076,
		obj_t BgL_new3384z00_2077, obj_t BgL_from3383z00_2078)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localzf2fromzf2_bglt BgL_new3384z00_2437;

				BgL_new3384z00_2437 = ((BgL_localzf2fromzf2_bglt) BgL_new3384z00_2077);
				((((BgL_localzf2fromzf2_bglt) CREF(
								((obj_t) BgL_new3384z00_2437)))->BgL_fromz00) =
					((obj_t) BgL_from3383z00_2078), BUNSPEC);
				return BgL_new3384z00_2437;
			}
		}
	}



/* %allocate-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_z52allocatezd2localzf2fromz72zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localz00_bglt BgL_new3387z00_2439;

				BgL_new3387z00_2439 =
					((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Effect/cgraph.scm 20 */
					long BgL_arg3661z00_2440;

					BgL_arg3661z00_2440 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_localzf2fromzf2zzeffect_cgraphz00);
					{	/* Effect/cgraph.scm 20 */
						BgL_objectz00_bglt BgL_objz00_2441;

						BgL_objz00_2441 = ((BgL_objectz00_bglt) BgL_new3387z00_2439);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2441, BgL_arg3661z00_2440);
				}}
				{	/* Effect/cgraph.scm 20 */
					BgL_objectz00_bglt BgL_auxz00_2673;

					BgL_auxz00_2673 = ((BgL_objectz00_bglt) BgL_new3387z00_2439);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2673, BFALSE);
				}
				return BgL_new3387z00_2439;
			}
		}
	}



/* &%allocate-local/from */
	BgL_localz00_bglt BGl_z62z52allocatezd2localzf2fromz10zzeffect_cgraphz00(obj_t
		BgL_envz00_2027)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localz00_bglt BgL_new3387z00_2442;

				BgL_new3387z00_2442 =
					((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Effect/cgraph.scm 20 */
					long BgL_arg3661z00_2443;

					BgL_arg3661z00_2443 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_localzf2fromzf2zzeffect_cgraphz00);
					{	/* Effect/cgraph.scm 20 */
						BgL_objectz00_bglt BgL_objz00_2444;

						BgL_objz00_2444 = ((BgL_objectz00_bglt) BgL_new3387z00_2442);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2444, BgL_arg3661z00_2443);
				}}
				{	/* Effect/cgraph.scm 20 */
					BgL_objectz00_bglt BgL_auxz00_2680;

					BgL_auxz00_2680 = ((BgL_objectz00_bglt) BgL_new3387z00_2442);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2680, BFALSE);
				}
				return BgL_new3387z00_2442;
			}
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				bool_t BgL_testz00_2683;

				{	/* Effect/cgraph.scm 20 */
					bool_t BgL_res3812z00_1730;

					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_obj3395z00_1729;

						BgL_obj3395z00_1729 =
							BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00;
						BgL_res3812z00_1730 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3395z00_1729,
							BGl_localzf2fromzf2zzeffect_cgraphz00);
					}
					BgL_testz00_2683 = BgL_res3812z00_1730;
				}
				if (BgL_testz00_2683)
					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_xz00_2263;

						BgL_xz00_2263 =
							BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00;
						return ((BgL_localzf2fromzf2_bglt) BgL_xz00_2263);
					}
				else
					{	/* Effect/cgraph.scm 20 */
						BgL_localzf2fromzf2_bglt BgL_g3388z00_959;

						{	/* Effect/cgraph.scm 20 */
							BgL_localz00_bglt BgL_res3813z00_1735;

							{	/* Effect/cgraph.scm 20 */
								BgL_localz00_bglt BgL_new1852z00_1731;

								BgL_new1852z00_1731 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 20 */
									long BgL_arg3712z00_1732;

									BgL_arg3712z00_1732 =
										BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00);
									{	/* Effect/cgraph.scm 20 */
										BgL_objectz00_bglt BgL_objz00_1733;

										BgL_objz00_1733 =
											((BgL_objectz00_bglt) BgL_new1852z00_1731);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1733,
											BgL_arg3712z00_1732);
								}}
								{	/* Effect/cgraph.scm 20 */
									BgL_objectz00_bglt BgL_auxz00_2690;

									BgL_auxz00_2690 = ((BgL_objectz00_bglt) BgL_new1852z00_1731);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2690, BFALSE);
								}
								BgL_res3813z00_1735 = BgL_new1852z00_1731;
							}
							BgL_g3388z00_959 =
								((BgL_localzf2fromzf2_bglt) BgL_res3813z00_1735);
						}
						BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 =
							((obj_t) BgL_g3388z00_959);
						{	/* Effect/cgraph.scm 20 */
							BgL_typez00_bglt BgL_arg3663z00_960;
							BgL_valuez00_bglt BgL_arg3664z00_961;

							BgL_arg3663z00_960 = BGl_typezd2nilzd2zztype_typez00();
							BgL_arg3664z00_961 = BGl_valuezd2nilzd2zzast_varz00();
							{	/* Effect/cgraph.scm 20 */
								BgL_localz00_bglt BgL_res3814z00_1759;

								{	/* Effect/cgraph.scm 20 */
									BgL_localz00_bglt BgL_new1839z00_1736;
									obj_t BgL_id1828z00_1737;

									BgL_new1839z00_1736 = ((BgL_localz00_bglt) BgL_g3388z00_959);
									BgL_id1828z00_1737 = CNST_TABLE_REF(((long) 3));
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_new1839z00_1736)))->BgL_idz00) =
										((obj_t) BgL_id1828z00_1737), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_namez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3663z00_960), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_arg3664z00_961), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_accessz00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_removablez00) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_new1839z00_1736)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_localz00_bglt) CREF(((obj_t) BgL_new1839z00_1736)))->
											BgL_keyz00) = ((long) ((long) 0)), BUNSPEC);
									BgL_res3814z00_1759 = BgL_new1839z00_1736;
								} BgL_res3814z00_1759;
						}}
						{	/* Effect/cgraph.scm 20 */
							long BgL_arg3665z00_962;

							BgL_arg3665z00_962 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_localzf2fromzf2zzeffect_cgraphz00);
							{	/* Effect/cgraph.scm 20 */
								BgL_objectz00_bglt BgL_objz00_1760;

								BgL_objz00_1760 = ((BgL_objectz00_bglt) BgL_g3388z00_959);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1760, BgL_arg3665z00_962);
						}}
						{	/* Effect/cgraph.scm 20 */
							BgL_localzf2fromzf2_bglt BgL_arg3666z00_963;

							{	/* Effect/cgraph.scm 20 */
								BgL_localzf2fromzf2_bglt BgL_res3816z00_1768;

								{	/* Effect/cgraph.scm 20 */
									BgL_localzf2fromzf2_bglt BgL_new3367z00_1763;

									BgL_new3367z00_1763 =
										((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_localzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 20 */
										BgL_localzf2fromzf2_bglt BgL_res3815z00_1767;

										((((BgL_localzf2fromzf2_bglt) CREF(
														((obj_t) BgL_new3367z00_1763)))->BgL_fromz00) =
											((obj_t) BUNSPEC), BUNSPEC);
										BgL_res3815z00_1767 = BgL_new3367z00_1763;
										BgL_res3815z00_1767;
									}
									BgL_res3816z00_1768 = BgL_new3367z00_1763;
								}
								BgL_arg3666z00_963 = BgL_res3816z00_1768;
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_auxz00_2729;
								BgL_objectz00_bglt BgL_auxz00_2727;

								BgL_auxz00_2729 = ((obj_t) BgL_arg3666z00_963);
								BgL_auxz00_2727 = ((BgL_objectz00_bglt) BgL_g3388z00_959);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2727, BgL_auxz00_2729);
						}}
						return BgL_g3388z00_959;
					}
			}
		}
	}



/* &local/from-nil */
	BgL_localzf2fromzf2_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2028)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc3856z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string3857z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc3858z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string3859z00zzeffect_cgraphz00);
		}
	}



/* &save-call!3619 */
	obj_t BGl_z62savezd2callz123619za2zzeffect_cgraphz00(obj_t BgL_envz00_2081,
		BgL_variablez00_bglt BgL_calleez00_2082,
		BgL_variablez00_bglt BgL_ownerz00_2083)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 203 */
			{
				BgL_variablez00_bglt BgL_calleez00_1367;
				BgL_variablez00_bglt BgL_ownerz00_1368;

				BgL_calleez00_1367 = BgL_calleez00_2082;
				BgL_ownerz00_1368 = BgL_ownerz00_2083;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string3860z00zzeffect_cgraphz00, ((obj_t) BgL_calleez00_1367));
		}}
	}



/* &call-graph!3582 */
	obj_t BGl_z62callzd2graphz123582za2zzeffect_cgraphz00(obj_t BgL_envz00_2084,
		BgL_nodez00_bglt BgL_nodez00_2085, BgL_variablez00_bglt BgL_ownerz00_2086)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 37 */
			return CNST_TABLE_REF(((long) 5));
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt BgL_nodez00_4,
		BgL_variablez00_bglt BgL_ownerz00_5)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 37 */
			{	/* Effect/cgraph.scm 37 */
				obj_t BgL_method3583z00_1371;

				{	/* Effect/cgraph.scm 37 */
					obj_t BgL_res3823z00_1835;

					{	/* Effect/cgraph.scm 37 */
						BgL_objectz00_bglt BgL_objz00_1807;

						BgL_objz00_1807 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Effect/cgraph.scm 37 */
							long BgL_objzd2classzd2numz00_1808;

							{	/* Effect/cgraph.scm 37 */
								long BgL_res3817z00_1811;

								BgL_res3817z00_1811 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1807);
								BgL_objzd2classzd2numz00_1808 = BgL_res3817z00_1811;
							}
							{	/* Effect/cgraph.scm 37 */
								obj_t BgL_arg2545z00_1809;

								BgL_arg2545z00_1809 =
									PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 37 */
									obj_t BgL_arrayz00_1812;
									int BgL_offsetz00_1813;

									BgL_arrayz00_1812 = BgL_arg2545z00_1809;
									BgL_offsetz00_1813 = (int) (BgL_objzd2classzd2numz00_1808);
									{	/* Effect/cgraph.scm 37 */
										long BgL_offsetz00_1814;

										BgL_offsetz00_1814 =
											((long) (BgL_offsetz00_1813) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 37 */
											long BgL_modz00_1815;

											{	/* Effect/cgraph.scm 37 */
												int BgL_arg2547z00_1816;

												BgL_arg2547z00_1816 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 37 */
													long BgL_res3820z00_1826;

													{	/* Effect/cgraph.scm 37 */
														long BgL_auxz00_2747;

														BgL_auxz00_2747 = (long) (BgL_arg2547z00_1816);
														BgL_res3820z00_1826 =
															(BgL_offsetz00_1814 / BgL_auxz00_2747);
													}
													BgL_modz00_1815 = BgL_res3820z00_1826;
											}}
											{	/* Effect/cgraph.scm 37 */
												long BgL_restz00_1817;

												{	/* Effect/cgraph.scm 37 */
													int BgL_arg2546z00_1818;

													BgL_arg2546z00_1818 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 37 */
														long BgL_res3822z00_1830;

														{	/* Effect/cgraph.scm 37 */
															long BgL_auxz00_2751;

															BgL_auxz00_2751 = (long) (BgL_arg2546z00_1818);
															BgL_res3822z00_1830 =
																(BgL_offsetz00_1814 % BgL_auxz00_2751);
														}
														BgL_restz00_1817 = BgL_res3822z00_1830;
												}}
												{	/* Effect/cgraph.scm 37 */

													BgL_res3823z00_1835 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1812,
															(int) (BgL_modz00_1815)),
														(int) (BgL_restz00_1817));
					}}}}}}}}
					BgL_method3583z00_1371 = BgL_res3823z00_1835;
				}
				return
					PROCEDURE_ENTRY(BgL_method3583z00_1371) (BgL_method3583z00_1371,
					((obj_t) BgL_nodez00_4), ((obj_t) BgL_ownerz00_5), BEOA);
			}
		}
	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2087,
		obj_t BgL_nodez00_2088, obj_t BgL_ownerz00_2089)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 37 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_2088),
				((BgL_variablez00_bglt) BgL_ownerz00_2089));
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_42, BgL_variablez00_bglt BgL_ownerz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 203 */
			{	/* Effect/cgraph.scm 203 */
				obj_t BgL_method3620z00_1372;

				{	/* Effect/cgraph.scm 203 */
					obj_t BgL_res3830z00_1864;

					{	/* Effect/cgraph.scm 203 */
						BgL_objectz00_bglt BgL_objz00_1836;

						BgL_objz00_1836 = ((BgL_objectz00_bglt) BgL_calleez00_42);
						{	/* Effect/cgraph.scm 203 */
							long BgL_objzd2classzd2numz00_1837;

							{	/* Effect/cgraph.scm 203 */
								long BgL_res3824z00_1840;

								BgL_res3824z00_1840 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1836);
								BgL_objzd2classzd2numz00_1837 = BgL_res3824z00_1840;
							}
							{	/* Effect/cgraph.scm 203 */
								obj_t BgL_arg2545z00_1838;

								BgL_arg2545z00_1838 =
									PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 203 */
									obj_t BgL_arrayz00_1841;
									int BgL_offsetz00_1842;

									BgL_arrayz00_1841 = BgL_arg2545z00_1838;
									BgL_offsetz00_1842 = (int) (BgL_objzd2classzd2numz00_1837);
									{	/* Effect/cgraph.scm 203 */
										long BgL_offsetz00_1843;

										BgL_offsetz00_1843 =
											((long) (BgL_offsetz00_1842) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 203 */
											long BgL_modz00_1844;

											{	/* Effect/cgraph.scm 203 */
												int BgL_arg2547z00_1845;

												BgL_arg2547z00_1845 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 203 */
													long BgL_res3827z00_1855;

													{	/* Effect/cgraph.scm 203 */
														long BgL_auxz00_2776;

														BgL_auxz00_2776 = (long) (BgL_arg2547z00_1845);
														BgL_res3827z00_1855 =
															(BgL_offsetz00_1843 / BgL_auxz00_2776);
													}
													BgL_modz00_1844 = BgL_res3827z00_1855;
											}}
											{	/* Effect/cgraph.scm 203 */
												long BgL_restz00_1846;

												{	/* Effect/cgraph.scm 203 */
													int BgL_arg2546z00_1847;

													BgL_arg2546z00_1847 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 203 */
														long BgL_res3829z00_1859;

														{	/* Effect/cgraph.scm 203 */
															long BgL_auxz00_2780;

															BgL_auxz00_2780 = (long) (BgL_arg2546z00_1847);
															BgL_res3829z00_1859 =
																(BgL_offsetz00_1843 % BgL_auxz00_2780);
														}
														BgL_restz00_1846 = BgL_res3829z00_1859;
												}}
												{	/* Effect/cgraph.scm 203 */

													BgL_res3830z00_1864 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1841,
															(int) (BgL_modz00_1844)),
														(int) (BgL_restz00_1846));
					}}}}}}}}
					BgL_method3620z00_1372 = BgL_res3830z00_1864;
				}
				return
					PROCEDURE_ENTRY(BgL_method3620z00_1372) (BgL_method3620z00_1372,
					((obj_t) BgL_calleez00_42), ((obj_t) BgL_ownerz00_43), BEOA);
			}
		}
	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2090,
		obj_t BgL_calleez00_2091, obj_t BgL_ownerz00_2092)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 203 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_2091),
				((BgL_variablez00_bglt) BgL_ownerz00_2092));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3861z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc3863z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3864z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3865z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc3866z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc3867z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc3868z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3869z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc3870z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc3871z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3872z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3873z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3874z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3875z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3876z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3877z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3878z00zzeffect_cgraphz00,
				BGl_string3862z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc3879z00zzeffect_cgraphz00,
				BGl_string3880z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3881z00zzeffect_cgraphz00, BGl_string3880z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc3882z00zzeffect_cgraphz00,
				BGl_string3880z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3883z00zzeffect_cgraphz00, BGl_string3880z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3884z00zzeffect_cgraphz00, BGl_string3885z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3886z00zzeffect_cgraphz00, BGl_string3887z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3888z00zzeffect_cgraphz00, BGl_string3885z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3889z00zzeffect_cgraphz00, BGl_string3887z00zzeffect_cgraphz00);
		}
	}



/* &struct+object->objec3636 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3636ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_2123, BgL_localzf2fromzf2_bglt BgL_oz00_2124,
		obj_t BgL_sz00_2125)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{
				BgL_localzf2fromzf2_bglt BgL_oz00_1606;
				obj_t BgL_sz00_1607;

				BgL_oz00_1606 = BgL_oz00_2124;
				BgL_sz00_1607 = BgL_sz00_2125;
				{

					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_old3392z00_1610;
						obj_t BgL_aux3393z00_1611;

						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_nextzd2method3635zd2_1616;

							BgL_nextzd2method3635zd2_1616 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_oz00_1606),
								BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
								BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_old3392z00_1610 =
								PROCEDURE_ENTRY(BgL_nextzd2method3635zd2_1616)
								(BgL_nextzd2method3635zd2_1616, ((obj_t) BgL_oz00_1606),
								BgL_sz00_1607, BEOA);
						}
						BgL_aux3393z00_1611 = STRUCT_REF(BgL_sz00_1607, (int) (((long) 0)));
						{	/* Effect/cgraph.scm 20 */
							BgL_localzf2fromzf2_bglt BgL_new3394z00_1612;

							BgL_new3394z00_1612 =
								((BgL_localzf2fromzf2_bglt) (BgL_old3392z00_1610));
							{	/* Effect/cgraph.scm 20 */
								long BgL_arg3795z00_1613;

								BgL_arg3795z00_1613 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_localzf2fromzf2zzeffect_cgraphz00);
								{	/* Effect/cgraph.scm 20 */
									BgL_objectz00_bglt BgL_objz00_2011;

									BgL_objz00_2011 = ((BgL_objectz00_bglt) BgL_new3394z00_1612);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2011,
										BgL_arg3795z00_1613);
							}}
							{	/* Effect/cgraph.scm 20 */
								BgL_localzf2fromzf2_bglt BgL_arg3798z00_1614;

								{	/* Effect/cgraph.scm 20 */
									obj_t BgL_arg3799z00_1615;

									BgL_arg3799z00_1615 =
										STRUCT_REF(BgL_aux3393z00_1611, (int) (((long) 0)));
									{	/* Effect/cgraph.scm 20 */
										BgL_localzf2fromzf2_bglt BgL_res3851z00_2021;

										{	/* Effect/cgraph.scm 20 */
											BgL_localzf2fromzf2_bglt BgL_new3367z00_2016;

											BgL_new3367z00_2016 =
												((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_localzf2fromzf2_bgl))));
											{	/* Effect/cgraph.scm 20 */
												BgL_localzf2fromzf2_bglt BgL_res3850z00_2020;

												((((BgL_localzf2fromzf2_bglt) CREF(
																((obj_t) BgL_new3367z00_2016)))->BgL_fromz00) =
													((obj_t) BgL_arg3799z00_1615), BUNSPEC);
												BgL_res3850z00_2020 = BgL_new3367z00_2016;
												BgL_res3850z00_2020;
											}
											BgL_res3851z00_2021 = BgL_new3367z00_2016;
										}
										BgL_arg3798z00_1614 = BgL_res3851z00_2021;
								}}
								{	/* Effect/cgraph.scm 20 */
									obj_t BgL_auxz00_2843;
									BgL_objectz00_bglt BgL_auxz00_2841;

									BgL_auxz00_2843 = ((obj_t) BgL_arg3798z00_1614);
									BgL_auxz00_2841 = ((BgL_objectz00_bglt) BgL_new3394z00_1612);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2841, BgL_auxz00_2843);
							}}
							return ((BgL_objectz00_bglt) BgL_new3394z00_1612);
						}
					}
				}
			}
		}
	}



/* &object->struct-local3634 */
	obj_t BGl_z62objectzd2ze3structzd2local3634z81zzeffect_cgraphz00(obj_t
		BgL_envz00_2126, BgL_localzf2fromzf2_bglt BgL_obj3389z00_2127)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{
				BgL_localzf2fromzf2_bglt BgL_obj3389z00_1598;

				BgL_obj3389z00_1598 = BgL_obj3389z00_2127;
				{

					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_res3390z00_1601;

						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_nextzd2method3633zd2_1605;

							BgL_nextzd2method3633zd2_1605 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_obj3389z00_1598),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_res3390z00_1601 =
								PROCEDURE_ENTRY(BgL_nextzd2method3633zd2_1605)
								(BgL_nextzd2method3633zd2_1605, ((obj_t) BgL_obj3389z00_1598),
								BEOA);
						}
						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_aux3391z00_1602;

							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_res3848z00_1995;

								{	/* Effect/cgraph.scm 20 */
									obj_t BgL_keyz00_1992;

									BgL_keyz00_1992 = CNST_TABLE_REF(((long) 1));
									BgL_res3848z00_1995 =
										make_struct(BgL_keyz00_1992, (int) (((long) 1)), BUNSPEC);
								}
								BgL_aux3391z00_1602 = BgL_res3848z00_1995;
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_arg3792z00_1603;

								{
									obj_t BgL_auxz00_2857;

									{	/* Effect/cgraph.scm 20 */
										BgL_objectz00_bglt BgL_auxz00_2858;

										BgL_auxz00_2858 =
											((BgL_objectz00_bglt) BgL_obj3389z00_1598);
										BgL_auxz00_2857 = BGL_OBJECT_WIDENING(BgL_auxz00_2858);
									}
									BgL_arg3792z00_1603 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_2857))->
										BgL_fromz00);
								}
								{	/* Effect/cgraph.scm 20 */
									int BgL_auxz00_2862;

									BgL_auxz00_2862 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3391z00_1602, BgL_auxz00_2862,
										BgL_arg3792z00_1603);
							}}
							{	/* Effect/cgraph.scm 20 */
								int BgL_auxz00_2865;

								BgL_auxz00_2865 = (int) (((long) 0));
								STRUCT_SET(BgL_res3390z00_1601, BgL_auxz00_2865,
									BgL_aux3391z00_1602);
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_auxz00_2868;

								BgL_auxz00_2868 = STRUCT_KEY(BgL_res3390z00_1601);
								STRUCT_KEY_SET(BgL_aux3391z00_1602, BgL_auxz00_2868);
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_kz00_2008;

								BgL_kz00_2008 = CNST_TABLE_REF(((long) 1));
								STRUCT_KEY_SET(BgL_res3390z00_1601, BgL_kz00_2008);
							}
							return BgL_res3390z00_1601;
						}
					}
				}
			}
		}
	}



/* &struct+object->objec3632 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec3632ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_2128, BgL_globalzf2fromzf2_bglt BgL_oz00_2129,
		obj_t BgL_sz00_2130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_globalzf2fromzf2_bglt BgL_oz00_1587;
				obj_t BgL_sz00_1588;

				BgL_oz00_1587 = BgL_oz00_2129;
				BgL_sz00_1588 = BgL_sz00_2130;
				{

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_old3464z00_1591;
						obj_t BgL_aux3465z00_1592;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_nextzd2method3631zd2_1597;

							BgL_nextzd2method3631zd2_1597 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_oz00_1587),
								BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
								BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_old3464z00_1591 =
								PROCEDURE_ENTRY(BgL_nextzd2method3631zd2_1597)
								(BgL_nextzd2method3631zd2_1597, ((obj_t) BgL_oz00_1587),
								BgL_sz00_1588, BEOA);
						}
						BgL_aux3465z00_1592 = STRUCT_REF(BgL_sz00_1588, (int) (((long) 0)));
						{	/* Effect/cgraph.scm 21 */
							BgL_globalzf2fromzf2_bglt BgL_new3466z00_1593;

							BgL_new3466z00_1593 =
								((BgL_globalzf2fromzf2_bglt) (BgL_old3464z00_1591));
							{	/* Effect/cgraph.scm 21 */
								long BgL_arg3789z00_1594;

								BgL_arg3789z00_1594 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_objz00_1981;

									BgL_objz00_1981 = ((BgL_objectz00_bglt) BgL_new3466z00_1593);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1981,
										BgL_arg3789z00_1594);
							}}
							{	/* Effect/cgraph.scm 21 */
								BgL_globalzf2fromzf2_bglt BgL_arg3790z00_1595;

								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_arg3791z00_1596;

									BgL_arg3791z00_1596 =
										STRUCT_REF(BgL_aux3465z00_1592, (int) (((long) 0)));
									{	/* Effect/cgraph.scm 21 */
										BgL_globalzf2fromzf2_bglt BgL_res3847z00_1991;

										{	/* Effect/cgraph.scm 21 */
											BgL_globalzf2fromzf2_bglt BgL_new3431z00_1986;

											BgL_new3431z00_1986 =
												((BgL_globalzf2fromzf2_bglt)
												BREF(GC_MALLOC(sizeof(struct
															BgL_globalzf2fromzf2_bgl))));
											{	/* Effect/cgraph.scm 21 */
												BgL_globalzf2fromzf2_bglt BgL_res3846z00_1990;

												((((BgL_globalzf2fromzf2_bglt) CREF(
																((obj_t) BgL_new3431z00_1986)))->BgL_fromz00) =
													((obj_t) BgL_arg3791z00_1596), BUNSPEC);
												BgL_res3846z00_1990 = BgL_new3431z00_1986;
												BgL_res3846z00_1990;
											}
											BgL_res3847z00_1991 = BgL_new3431z00_1986;
										}
										BgL_arg3790z00_1595 = BgL_res3847z00_1991;
								}}
								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_auxz00_2894;
									BgL_objectz00_bglt BgL_auxz00_2892;

									BgL_auxz00_2894 = ((obj_t) BgL_arg3790z00_1595);
									BgL_auxz00_2892 = ((BgL_objectz00_bglt) BgL_new3466z00_1593);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2892, BgL_auxz00_2894);
							}}
							return ((BgL_objectz00_bglt) BgL_new3466z00_1593);
						}
					}
				}
			}
		}
	}



/* &object->struct-globa3630 */
	obj_t BGl_z62objectzd2ze3structzd2globa3630z81zzeffect_cgraphz00(obj_t
		BgL_envz00_2131, BgL_globalzf2fromzf2_bglt BgL_obj3461z00_2132)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_globalzf2fromzf2_bglt BgL_obj3461z00_1579;

				BgL_obj3461z00_1579 = BgL_obj3461z00_2132;
				{

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_res3462z00_1582;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_nextzd2method3629zd2_1586;

							BgL_nextzd2method3629zd2_1586 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_obj3461z00_1579),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_res3462z00_1582 =
								PROCEDURE_ENTRY(BgL_nextzd2method3629zd2_1586)
								(BgL_nextzd2method3629zd2_1586, ((obj_t) BgL_obj3461z00_1579),
								BEOA);
						}
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_aux3463z00_1583;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_res3844z00_1965;

								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_keyz00_1962;

									BgL_keyz00_1962 = CNST_TABLE_REF(((long) 2));
									BgL_res3844z00_1965 =
										make_struct(BgL_keyz00_1962, (int) (((long) 1)), BUNSPEC);
								}
								BgL_aux3463z00_1583 = BgL_res3844z00_1965;
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_arg3787z00_1584;

								{
									obj_t BgL_auxz00_2908;

									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_auxz00_2909;

										BgL_auxz00_2909 =
											((BgL_objectz00_bglt) BgL_obj3461z00_1579);
										BgL_auxz00_2908 = BGL_OBJECT_WIDENING(BgL_auxz00_2909);
									}
									BgL_arg3787z00_1584 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_2908))->
										BgL_fromz00);
								}
								{	/* Effect/cgraph.scm 21 */
									int BgL_auxz00_2913;

									BgL_auxz00_2913 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3463z00_1583, BgL_auxz00_2913,
										BgL_arg3787z00_1584);
							}}
							{	/* Effect/cgraph.scm 21 */
								int BgL_auxz00_2916;

								BgL_auxz00_2916 = (int) (((long) 0));
								STRUCT_SET(BgL_res3462z00_1582, BgL_auxz00_2916,
									BgL_aux3463z00_1583);
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_auxz00_2919;

								BgL_auxz00_2919 = STRUCT_KEY(BgL_res3462z00_1582);
								STRUCT_KEY_SET(BgL_aux3463z00_1583, BgL_auxz00_2919);
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_kz00_1978;

								BgL_kz00_1978 = CNST_TABLE_REF(((long) 2));
								STRUCT_KEY_SET(BgL_res3462z00_1582, BgL_kz00_1978);
							}
							return BgL_res3462z00_1582;
						}
					}
				}
			}
		}
	}



/* &save-call!-local/fro3628 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro3628z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2133, BgL_localzf2fromzf2_bglt BgL_calleez00_2134,
		obj_t BgL_ownerz00_2135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 234 */
			{
				BgL_localzf2fromzf2_bglt BgL_calleez00_1569;
				obj_t BgL_ownerz00_1570;

				BgL_calleez00_1569 = BgL_calleez00_2134;
				BgL_ownerz00_1570 = BgL_ownerz00_2135;
				{	/* Effect/cgraph.scm 236 */
					bool_t BgL_testz00_2924;

					{	/* Effect/cgraph.scm 236 */
						obj_t BgL_auxz00_2925;

						{	/* Effect/cgraph.scm 236 */
							obj_t BgL_auxz00_2926;

							{
								obj_t BgL_auxz00_2927;

								{	/* Effect/cgraph.scm 236 */
									BgL_objectz00_bglt BgL_auxz00_2928;

									BgL_auxz00_2928 = ((BgL_objectz00_bglt) BgL_calleez00_1569);
									BgL_auxz00_2927 = BGL_OBJECT_WIDENING(BgL_auxz00_2928);
								}
								BgL_auxz00_2926 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_2927))->
									BgL_fromz00);
							}
							BgL_auxz00_2925 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1570,
								BgL_auxz00_2926);
						}
						BgL_testz00_2924 = CBOOL(BgL_auxz00_2925);
					}
					if (BgL_testz00_2924)
						{	/* Effect/cgraph.scm 236 */
							return BFALSE;
						}
					else
						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_arg3784z00_1575;

							{	/* Effect/cgraph.scm 237 */
								obj_t BgL_arg3785z00_1576;

								{
									obj_t BgL_auxz00_2934;

									{	/* Effect/cgraph.scm 237 */
										BgL_objectz00_bglt BgL_auxz00_2935;

										BgL_auxz00_2935 = ((BgL_objectz00_bglt) BgL_calleez00_1569);
										BgL_auxz00_2934 = BGL_OBJECT_WIDENING(BgL_auxz00_2935);
									}
									BgL_arg3785z00_1576 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_2934))->
										BgL_fromz00);
								}
								BgL_arg3784z00_1575 =
									MAKE_PAIR(BgL_ownerz00_1570, BgL_arg3785z00_1576);
							}
							{
								obj_t BgL_auxz00_2940;

								{	/* Effect/cgraph.scm 237 */
									BgL_objectz00_bglt BgL_auxz00_2941;

									BgL_auxz00_2941 = ((BgL_objectz00_bglt) BgL_calleez00_1569);
									BgL_auxz00_2940 = BGL_OBJECT_WIDENING(BgL_auxz00_2941);
								}
								return
									((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_2940))->
										BgL_fromz00) = ((obj_t) BgL_arg3784z00_1575), BUNSPEC);
							}
						}
				}
			}
		}
	}



/* &save-call!-local3626 */
	obj_t BGl_z62savezd2callz12zd2local3626z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2136, BgL_localz00_bglt BgL_calleez00_2137,
		obj_t BgL_ownerz00_2138)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 228 */
			{
				BgL_localz00_bglt BgL_calleez00_1560;
				obj_t BgL_ownerz00_1561;

				BgL_calleez00_1560 = BgL_calleez00_2137;
				BgL_ownerz00_1561 = BgL_ownerz00_2138;
				{	/* Effect/cgraph.scm 229 */
					BgL_localz00_bglt BgL_arg3780z00_1564;

					{	/* Effect/cgraph.scm 229 */
						BgL_localz00_bglt BgL_obj3566z00_1565;

						BgL_obj3566z00_1565 = ((BgL_localz00_bglt) BgL_calleez00_1560);
						{	/* Effect/cgraph.scm 229 */
							BgL_localzf2fromzf2_bglt BgL_arg3781z00_1566;

							{	/* Effect/cgraph.scm 229 */
								BgL_localzf2fromzf2_bglt BgL_res3843z00_1955;

								{	/* Effect/cgraph.scm 229 */
									BgL_localzf2fromzf2_bglt BgL_new3367z00_1950;

									BgL_new3367z00_1950 =
										((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_localzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 229 */
										BgL_localzf2fromzf2_bglt BgL_res3842z00_1954;

										((((BgL_localzf2fromzf2_bglt) CREF(
														((obj_t) BgL_new3367z00_1950)))->BgL_fromz00) =
											((obj_t) BNIL), BUNSPEC);
										BgL_res3842z00_1954 = BgL_new3367z00_1950;
										BgL_res3842z00_1954;
									}
									BgL_res3843z00_1955 = BgL_new3367z00_1950;
								}
								BgL_arg3781z00_1566 = BgL_res3843z00_1955;
							}
							{	/* Effect/cgraph.scm 229 */
								obj_t BgL_auxz00_2951;
								BgL_objectz00_bglt BgL_auxz00_2949;

								BgL_auxz00_2951 = ((obj_t) BgL_arg3781z00_1566);
								BgL_auxz00_2949 = ((BgL_objectz00_bglt) BgL_obj3566z00_1565);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2949, BgL_auxz00_2951);
						}}
						{	/* Effect/cgraph.scm 229 */
							long BgL_arg3782z00_1567;

							BgL_arg3782z00_1567 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_localzf2fromzf2zzeffect_cgraphz00);
							{	/* Effect/cgraph.scm 229 */
								BgL_objectz00_bglt BgL_objz00_1956;

								BgL_objz00_1956 = ((BgL_objectz00_bglt) BgL_obj3566z00_1565);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1956, BgL_arg3782z00_1567);
						}}
						BgL_arg3780z00_1564 = BgL_obj3566z00_1565;
					}
					return
						BGl_savezd2callz12zc0zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_arg3780z00_1564),
						((BgL_variablez00_bglt) BgL_ownerz00_1561));
				}
			}
		}
	}



/* &save-call!-global/fr3624 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr3624z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2139, BgL_globalzf2fromzf2_bglt BgL_calleez00_2140,
		obj_t BgL_ownerz00_2141)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 220 */
			{
				BgL_globalzf2fromzf2_bglt BgL_calleez00_1550;
				obj_t BgL_ownerz00_1551;

				BgL_calleez00_1550 = BgL_calleez00_2140;
				BgL_ownerz00_1551 = BgL_ownerz00_2141;
				{	/* Effect/cgraph.scm 222 */
					bool_t BgL_testz00_2960;

					{	/* Effect/cgraph.scm 222 */
						obj_t BgL_auxz00_2961;

						{	/* Effect/cgraph.scm 222 */
							obj_t BgL_auxz00_2962;

							{
								obj_t BgL_auxz00_2963;

								{	/* Effect/cgraph.scm 222 */
									BgL_objectz00_bglt BgL_auxz00_2964;

									BgL_auxz00_2964 = ((BgL_objectz00_bglt) BgL_calleez00_1550);
									BgL_auxz00_2963 = BGL_OBJECT_WIDENING(BgL_auxz00_2964);
								}
								BgL_auxz00_2962 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_2963))->
									BgL_fromz00);
							}
							BgL_auxz00_2961 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1551,
								BgL_auxz00_2962);
						}
						BgL_testz00_2960 = CBOOL(BgL_auxz00_2961);
					}
					if (BgL_testz00_2960)
						{	/* Effect/cgraph.scm 222 */
							return BFALSE;
						}
					else
						{	/* Effect/cgraph.scm 223 */
							obj_t BgL_arg3777z00_1556;

							{	/* Effect/cgraph.scm 223 */
								obj_t BgL_arg3778z00_1557;

								{
									obj_t BgL_auxz00_2970;

									{	/* Effect/cgraph.scm 223 */
										BgL_objectz00_bglt BgL_auxz00_2971;

										BgL_auxz00_2971 = ((BgL_objectz00_bglt) BgL_calleez00_1550);
										BgL_auxz00_2970 = BGL_OBJECT_WIDENING(BgL_auxz00_2971);
									}
									BgL_arg3778z00_1557 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_2970))->
										BgL_fromz00);
								}
								BgL_arg3777z00_1556 =
									MAKE_PAIR(BgL_ownerz00_1551, BgL_arg3778z00_1557);
							}
							{
								obj_t BgL_auxz00_2976;

								{	/* Effect/cgraph.scm 223 */
									BgL_objectz00_bglt BgL_auxz00_2977;

									BgL_auxz00_2977 = ((BgL_objectz00_bglt) BgL_calleez00_1550);
									BgL_auxz00_2976 = BGL_OBJECT_WIDENING(BgL_auxz00_2977);
								}
								return
									((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_2976))->
										BgL_fromz00) = ((obj_t) BgL_arg3777z00_1556), BUNSPEC);
							}
						}
				}
			}
		}
	}



/* &save-call!-global3622 */
	obj_t BGl_z62savezd2callz12zd2global3622z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2142, BgL_globalz00_bglt BgL_calleez00_2143,
		obj_t BgL_ownerz00_2144)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 208 */
			{
				BgL_globalz00_bglt BgL_calleez00_1535;
				obj_t BgL_ownerz00_1536;

				BgL_calleez00_1535 = BgL_calleez00_2143;
				BgL_ownerz00_1536 = BgL_ownerz00_2144;
				{	/* Effect/cgraph.scm 209 */
					BgL_valuez00_bglt BgL_funz00_1539;

					{	/* Effect/cgraph.scm 209 */
						BgL_variablez00_bglt BgL_obj1612z00_1929;

						BgL_obj1612z00_1929 = ((BgL_variablez00_bglt) BgL_calleez00_1535);
						BgL_funz00_1539 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1612z00_1929)))->BgL_valuez00);
					}
					{	/* Effect/cgraph.scm 210 */
						bool_t BgL_testz00_2984;

						{	/* Effect/cgraph.scm 210 */
							bool_t BgL_testz00_2985;

							{	/* Effect/cgraph.scm 210 */
								bool_t BgL_res3838z00_1931;

								{	/* Effect/cgraph.scm 210 */
									obj_t BgL_obj2065z00_1930;

									BgL_obj2065z00_1930 = ((obj_t) BgL_funz00_1539);
									BgL_res3838z00_1931 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2065z00_1930,
										BGl_cfunz00zzast_varz00);
								}
								BgL_testz00_2985 = BgL_res3838z00_1931;
							}
							if (BgL_testz00_2985)
								{	/* Effect/cgraph.scm 210 */
									BgL_testz00_2984 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 211 */
									bool_t BgL_testz00_2988;

									{	/* Effect/cgraph.scm 211 */
										bool_t BgL_res3839z00_1933;

										{	/* Effect/cgraph.scm 211 */
											obj_t BgL_obj2001z00_1932;

											BgL_obj2001z00_1932 = ((obj_t) BgL_funz00_1539);
											BgL_res3839z00_1933 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_1932,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_2988 = BgL_res3839z00_1933;
									}
									if (BgL_testz00_2988)
										{	/* Effect/cgraph.scm 211 */
											BgL_testz00_2984 =
												(
												(((BgL_globalz00_bglt) CREF(
															((obj_t) BgL_calleez00_1535)))->BgL_importz00) ==
												CNST_TABLE_REF(((long) 6)));
										}
									else
										{	/* Effect/cgraph.scm 211 */
											BgL_testz00_2984 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_2984)
							{	/* Effect/cgraph.scm 213 */
								bool_t BgL_testz00_2995;

								{	/* Effect/cgraph.scm 213 */
									BgL_funz00_bglt BgL_obj1855z00_1935;

									BgL_obj1855z00_1935 = ((BgL_funz00_bglt) BgL_funz00_1539);
									BgL_testz00_2995 =
										CBOOL(
										(((BgL_funz00_bglt) CREF(
													((obj_t) BgL_obj1855z00_1935)))->
											BgL_sidezd2effectzd2));
								}
								if (BgL_testz00_2995)
									{	/* Effect/cgraph.scm 213 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											((BgL_variablez00_bglt) BgL_ownerz00_1536));
									}
								else
									{	/* Effect/cgraph.scm 213 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 215 */
								BgL_globalz00_bglt BgL_arg3771z00_1542;

								{	/* Effect/cgraph.scm 215 */
									BgL_globalz00_bglt BgL_obj3563z00_1543;

									BgL_obj3563z00_1543 =
										((BgL_globalz00_bglt) BgL_calleez00_1535);
									{	/* Effect/cgraph.scm 215 */
										BgL_globalzf2fromzf2_bglt BgL_arg3772z00_1544;

										{	/* Effect/cgraph.scm 215 */
											BgL_globalzf2fromzf2_bglt BgL_res3841z00_1942;

											{	/* Effect/cgraph.scm 215 */
												BgL_globalzf2fromzf2_bglt BgL_new3431z00_1937;

												BgL_new3431z00_1937 =
													((BgL_globalzf2fromzf2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_globalzf2fromzf2_bgl))));
												{	/* Effect/cgraph.scm 215 */
													BgL_globalzf2fromzf2_bglt BgL_res3840z00_1941;

													((((BgL_globalzf2fromzf2_bglt) CREF(
																	((obj_t) BgL_new3431z00_1937)))->
															BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
													BgL_res3840z00_1941 = BgL_new3431z00_1937;
													BgL_res3840z00_1941;
												}
												BgL_res3841z00_1942 = BgL_new3431z00_1937;
											}
											BgL_arg3772z00_1544 = BgL_res3841z00_1942;
										}
										{	/* Effect/cgraph.scm 215 */
											obj_t BgL_auxz00_3008;
											BgL_objectz00_bglt BgL_auxz00_3006;

											BgL_auxz00_3008 = ((obj_t) BgL_arg3772z00_1544);
											BgL_auxz00_3006 =
												((BgL_objectz00_bglt) BgL_obj3563z00_1543);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3006, BgL_auxz00_3008);
									}}
									{	/* Effect/cgraph.scm 215 */
										long BgL_arg3773z00_1545;

										BgL_arg3773z00_1545 =
											BGl_classzd2numzd2zz__objectz00
											(BGl_globalzf2fromzf2zzeffect_cgraphz00);
										{	/* Effect/cgraph.scm 215 */
											BgL_objectz00_bglt BgL_objz00_1943;

											BgL_objz00_1943 =
												((BgL_objectz00_bglt) BgL_obj3563z00_1543);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1943,
												BgL_arg3773z00_1545);
									}}
									BgL_arg3771z00_1542 = BgL_obj3563z00_1543;
								}
								return
									BGl_savezd2callz12zc0zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_arg3771z00_1542),
									((BgL_variablez00_bglt) BgL_ownerz00_1536));
							}
					}
				}
			}
		}
	}



/* &call-graph!-box-set!3618 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz123618zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_2145, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2146,
		obj_t BgL_ownerz00_2147)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 187 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1523;
				obj_t BgL_ownerz00_1524;

				BgL_nodez00_1523 = BgL_nodez00_2146;
				BgL_ownerz00_1524 = BgL_ownerz00_2147;
				{	/* Effect/cgraph.scm 189 */
					bool_t BgL_testz00_3017;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_ownerz00_1524,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 189 */
							BgL_testz00_3017 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 189 */
							BgL_variablez00_bglt BgL_arg3765z00_1530;

							{	/* Effect/cgraph.scm 189 */
								BgL_varz00_bglt BgL_obj2201z00_1924;

								BgL_obj2201z00_1924 =
									(((BgL_boxzd2setz12zc0_bglt) CREF(
											((obj_t) BgL_nodez00_1523)))->BgL_varz00);
								BgL_arg3765z00_1530 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_obj2201z00_1924)))->BgL_variablez00);
							}
							{	/* Effect/cgraph.scm 189 */
								bool_t BgL_res3837z00_1926;

								{	/* Effect/cgraph.scm 189 */
									obj_t BgL_obj1786z00_1925;

									BgL_obj1786z00_1925 = ((obj_t) BgL_arg3765z00_1530);
									BgL_res3837z00_1926 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1925,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3017 = BgL_res3837z00_1926;
							}
						}
					if (BgL_testz00_3017)
						{	/* Effect/cgraph.scm 189 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1524));
						}
					else
						{	/* Effect/cgraph.scm 189 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 191 */
					BgL_varz00_bglt BgL_arg3767z00_1532;

					BgL_arg3767z00_1532 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1523)))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg3767z00_1532),
						((BgL_variablez00_bglt) BgL_ownerz00_1524));
				}
				{	/* Effect/cgraph.scm 192 */
					BgL_nodez00_bglt BgL_arg3768z00_1533;

					BgL_arg3768z00_1533 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1523)))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3768z00_1533,
						((BgL_variablez00_bglt) BgL_ownerz00_1524));
				}
			}
		}
	}



/* &call-graph!-box-ref3616 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref3616za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2148, BgL_boxzd2refzd2_bglt BgL_nodez00_2149,
		obj_t BgL_ownerz00_2150)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 179 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1517;
				obj_t BgL_ownerz00_1518;

				BgL_nodez00_1517 = BgL_nodez00_2149;
				BgL_ownerz00_1518 = BgL_ownerz00_2150;
				{	/* Effect/cgraph.scm 180 */
					BgL_varz00_bglt BgL_arg3762z00_1919;

					BgL_arg3762z00_1919 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1517)))->BgL_varz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg3762z00_1919),
						((BgL_variablez00_bglt) BgL_ownerz00_1518));
				}
			}
		}
	}



/* &call-graph!-make-box3614 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box3614za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2151, BgL_makezd2boxzd2_bglt BgL_nodez00_2152,
		obj_t BgL_ownerz00_2153)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 173 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1511;
				obj_t BgL_ownerz00_1512;

				BgL_nodez00_1511 = BgL_nodez00_2152;
				BgL_ownerz00_1512 = BgL_ownerz00_2153;
				{	/* Effect/cgraph.scm 174 */
					BgL_nodez00_bglt BgL_arg3761z00_1917;

					BgL_arg3761z00_1917 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1511)))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3761z00_1917,
						((BgL_variablez00_bglt) BgL_ownerz00_1512));
				}
			}
		}
	}



/* &call-graph!-jump-ex-3612 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd23612z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2154, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2155,
		obj_t BgL_ownerz00_2156)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 164 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1503;
				obj_t BgL_ownerz00_1504;

				BgL_nodez00_1503 = BgL_nodez00_2155;
				BgL_ownerz00_1504 = BgL_ownerz00_2156;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1504));
				{	/* Effect/cgraph.scm 167 */
					BgL_nodez00_bglt BgL_arg3759z00_1508;

					BgL_arg3759z00_1508 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1503)))->BgL_exitz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3759z00_1508,
						((BgL_variablez00_bglt) BgL_ownerz00_1504));
				}
				{	/* Effect/cgraph.scm 168 */
					BgL_nodez00_bglt BgL_arg3760z00_1509;

					BgL_arg3760z00_1509 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1503)))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3760z00_1509,
						((BgL_variablez00_bglt) BgL_ownerz00_1504));
				}
			}
		}
	}



/* &call-graph!-set-ex-i3610 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i3610z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2157, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2158,
		obj_t BgL_ownerz00_2159)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 156 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1496;
				obj_t BgL_ownerz00_1497;

				BgL_nodez00_1496 = BgL_nodez00_2158;
				BgL_ownerz00_1497 = BgL_ownerz00_2159;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1497));
				{	/* Effect/cgraph.scm 159 */
					BgL_nodez00_bglt BgL_arg3758z00_1913;

					BgL_arg3758z00_1913 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1496)))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3758z00_1913,
						((BgL_variablez00_bglt) BgL_ownerz00_1497));
				}
			}
		}
	}



/* &call-graph!-let-var3608 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var3608za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2160, BgL_letzd2varzd2_bglt BgL_nodez00_2161,
		obj_t BgL_ownerz00_2162)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 146 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1480;
				obj_t BgL_ownerz00_1481;

				{	/* Effect/cgraph.scm 147 */
					bool_t BgL_auxz00_3062;

					BgL_nodez00_1480 = BgL_nodez00_2161;
					BgL_ownerz00_1481 = BgL_ownerz00_2162;
					{	/* Effect/cgraph.scm 148 */
						BgL_nodez00_bglt BgL_arg3753z00_1485;

						BgL_arg3753z00_1485 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1480)))->BgL_bodyz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3753z00_1485,
							((BgL_variablez00_bglt) BgL_ownerz00_1481));
					}
					{	/* Effect/cgraph.scm 149 */
						obj_t BgL_g3577z00_1486;

						BgL_g3577z00_1486 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1480)))->BgL_bindingsz00);
						{
							obj_t BgL_l3575z00_1488;

							BgL_l3575z00_1488 = BgL_g3577z00_1486;
						BgL_zc3anonymousza33754ze3z83_1489:
							if (PAIRP(BgL_l3575z00_1488))
								{	/* Effect/cgraph.scm 149 */
									{	/* Effect/cgraph.scm 150 */
										obj_t BgL_bindingz00_1491;

										BgL_bindingz00_1491 = CAR(BgL_l3575z00_1488);
										{	/* Effect/cgraph.scm 150 */
											obj_t BgL_arg3756z00_1492;

											BgL_arg3756z00_1492 = CDR(BgL_bindingz00_1491);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg3756z00_1492),
												((BgL_variablez00_bglt) BgL_ownerz00_1481));
										}
									}
									{
										obj_t BgL_l3575z00_3076;

										BgL_l3575z00_3076 = CDR(BgL_l3575z00_1488);
										BgL_l3575z00_1488 = BgL_l3575z00_3076;
										goto BgL_zc3anonymousza33754ze3z83_1489;
									}
								}
							else
								{	/* Effect/cgraph.scm 149 */
									BgL_auxz00_3062 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3062);
				}
			}
		}
	}



/* &call-graph!-let-fun3606 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun3606za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2163, BgL_letzd2funzd2_bglt BgL_nodez00_2164,
		obj_t BgL_ownerz00_2165)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 136 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1465;
				obj_t BgL_ownerz00_1466;

				BgL_nodez00_1465 = BgL_nodez00_2164;
				BgL_ownerz00_1466 = BgL_ownerz00_2165;
				{	/* Effect/cgraph.scm 138 */
					obj_t BgL_g3574z00_1470;

					BgL_g3574z00_1470 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1465)))->BgL_localsz00);
					{
						obj_t BgL_l3572z00_1472;

						BgL_l3572z00_1472 = BgL_g3574z00_1470;
					BgL_zc3anonymousza33749ze3z83_1473:
						if (PAIRP(BgL_l3572z00_1472))
							{	/* Effect/cgraph.scm 138 */
								{	/* Effect/cgraph.scm 139 */
									obj_t BgL_localz00_1475;

									BgL_localz00_1475 = CAR(BgL_l3572z00_1472);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_localz00_1475));
								}
								{
									obj_t BgL_l3572z00_3086;

									BgL_l3572z00_3086 = CDR(BgL_l3572z00_1472);
									BgL_l3572z00_1472 = BgL_l3572z00_3086;
									goto BgL_zc3anonymousza33749ze3z83_1473;
								}
							}
						else
							{	/* Effect/cgraph.scm 138 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 141 */
					BgL_nodez00_bglt BgL_arg3752z00_1478;

					BgL_arg3752z00_1478 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1465)))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3752z00_1478,
						((BgL_variablez00_bglt) BgL_ownerz00_1466));
				}
			}
		}
	}



/* &call-graph!-select3604 */
	obj_t BGl_z62callzd2graphz12zd2select3604z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2166, BgL_selectz00_bglt BgL_nodez00_2167,
		obj_t BgL_ownerz00_2168)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 126 */
			{
				BgL_selectz00_bglt BgL_nodez00_1449;
				obj_t BgL_ownerz00_1450;

				{	/* Effect/cgraph.scm 127 */
					bool_t BgL_auxz00_3092;

					BgL_nodez00_1449 = BgL_nodez00_2167;
					BgL_ownerz00_1450 = BgL_ownerz00_2168;
					{	/* Effect/cgraph.scm 128 */
						BgL_nodez00_bglt BgL_arg3744z00_1454;

						BgL_arg3744z00_1454 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1449)))->BgL_testz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3744z00_1454,
							((BgL_variablez00_bglt) BgL_ownerz00_1450));
					}
					{	/* Effect/cgraph.scm 129 */
						obj_t BgL_g3571z00_1455;

						BgL_g3571z00_1455 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1449)))->BgL_clausesz00);
						{
							obj_t BgL_l3569z00_1457;

							BgL_l3569z00_1457 = BgL_g3571z00_1455;
						BgL_zc3anonymousza33745ze3z83_1458:
							if (PAIRP(BgL_l3569z00_1457))
								{	/* Effect/cgraph.scm 129 */
									{	/* Effect/cgraph.scm 130 */
										obj_t BgL_clausez00_1460;

										BgL_clausez00_1460 = CAR(BgL_l3569z00_1457);
										{	/* Effect/cgraph.scm 130 */
											obj_t BgL_arg3747z00_1461;

											BgL_arg3747z00_1461 = CDR(BgL_clausez00_1460);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg3747z00_1461),
												((BgL_variablez00_bglt) BgL_ownerz00_1450));
										}
									}
									{
										obj_t BgL_l3569z00_3106;

										BgL_l3569z00_3106 = CDR(BgL_l3569z00_1457);
										BgL_l3569z00_1457 = BgL_l3569z00_3106;
										goto BgL_zc3anonymousza33745ze3z83_1458;
									}
								}
							else
								{	/* Effect/cgraph.scm 129 */
									BgL_auxz00_3092 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3092);
				}
			}
		}
	}



/* &call-graph!-fail3602 */
	obj_t BGl_z62callzd2graphz12zd2fail3602z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2169, BgL_failz00_bglt BgL_nodez00_2170, obj_t BgL_ownerz00_2171)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 116 */
			{
				BgL_failz00_bglt BgL_nodez00_1440;
				obj_t BgL_ownerz00_1441;

				BgL_nodez00_1440 = BgL_nodez00_2170;
				BgL_ownerz00_1441 = BgL_ownerz00_2171;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1441));
				{	/* Effect/cgraph.scm 119 */
					BgL_nodez00_bglt BgL_arg3740z00_1445;

					BgL_arg3740z00_1445 =
						(((BgL_failz00_bglt) CREF(
								((obj_t) BgL_nodez00_1440)))->BgL_procz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3740z00_1445,
						((BgL_variablez00_bglt) BgL_ownerz00_1441));
				}
				{	/* Effect/cgraph.scm 120 */
					BgL_nodez00_bglt BgL_arg3741z00_1446;

					BgL_arg3741z00_1446 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1440)))->BgL_msgz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3741z00_1446,
						((BgL_variablez00_bglt) BgL_ownerz00_1441));
				}
				{	/* Effect/cgraph.scm 121 */
					BgL_nodez00_bglt BgL_arg3743z00_1447;

					BgL_arg3743z00_1447 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1440)))->BgL_objz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3743z00_1447,
						((BgL_variablez00_bglt) BgL_ownerz00_1441));
				}
			}
		}
	}



/* &call-graph!-conditio3600 */
	obj_t BGl_z62callzd2graphz12zd2conditio3600z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2172, BgL_conditionalz00_bglt BgL_nodez00_2173,
		obj_t BgL_ownerz00_2174)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 107 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1431;
				obj_t BgL_ownerz00_1432;

				BgL_nodez00_1431 = BgL_nodez00_2173;
				BgL_ownerz00_1432 = BgL_ownerz00_2174;
				{	/* Effect/cgraph.scm 109 */
					BgL_nodez00_bglt BgL_arg3737z00_1436;

					BgL_arg3737z00_1436 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1431)))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3737z00_1436,
						((BgL_variablez00_bglt) BgL_ownerz00_1432));
				}
				{	/* Effect/cgraph.scm 110 */
					BgL_nodez00_bglt BgL_arg3738z00_1437;

					BgL_arg3738z00_1437 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1431)))->BgL_truez00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3738z00_1437,
						((BgL_variablez00_bglt) BgL_ownerz00_1432));
				}
				{	/* Effect/cgraph.scm 111 */
					BgL_nodez00_bglt BgL_arg3739z00_1438;

					BgL_arg3739z00_1438 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1431)))->BgL_falsez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3739z00_1438,
						((BgL_variablez00_bglt) BgL_ownerz00_1432));
				}
			}
		}
	}



/* &call-graph!-setq3598 */
	obj_t BGl_z62callzd2graphz12zd2setq3598z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2175, BgL_setqz00_bglt BgL_nodez00_2176, obj_t BgL_ownerz00_2177)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 97 */
			{
				BgL_setqz00_bglt BgL_nodez00_1419;
				obj_t BgL_ownerz00_1420;

				BgL_nodez00_1419 = BgL_nodez00_2176;
				BgL_ownerz00_1420 = BgL_ownerz00_2177;
				{	/* Effect/cgraph.scm 99 */
					bool_t BgL_testz00_3135;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_ownerz00_1420,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 99 */
							BgL_testz00_3135 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 99 */
							BgL_variablez00_bglt BgL_arg3733z00_1426;

							{	/* Effect/cgraph.scm 99 */
								BgL_varz00_bglt BgL_obj2201z00_1882;

								BgL_obj2201z00_1882 =
									(((BgL_setqz00_bglt) CREF(
											((obj_t) BgL_nodez00_1419)))->BgL_varz00);
								BgL_arg3733z00_1426 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_obj2201z00_1882)))->BgL_variablez00);
							}
							{	/* Effect/cgraph.scm 99 */
								bool_t BgL_res3832z00_1884;

								{	/* Effect/cgraph.scm 99 */
									obj_t BgL_obj1786z00_1883;

									BgL_obj1786z00_1883 = ((obj_t) BgL_arg3733z00_1426);
									BgL_res3832z00_1884 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1883,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3135 = BgL_res3832z00_1884;
							}
						}
					if (BgL_testz00_3135)
						{	/* Effect/cgraph.scm 99 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1420));
						}
					else
						{	/* Effect/cgraph.scm 99 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 101 */
					BgL_varz00_bglt BgL_arg3735z00_1428;

					BgL_arg3735z00_1428 =
						(((BgL_setqz00_bglt) CREF(((obj_t) BgL_nodez00_1419)))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg3735z00_1428),
						((BgL_variablez00_bglt) BgL_ownerz00_1420));
				}
				{	/* Effect/cgraph.scm 102 */
					BgL_nodez00_bglt BgL_arg3736z00_1429;

					BgL_arg3736z00_1429 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1419)))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3736z00_1429,
						((BgL_variablez00_bglt) BgL_ownerz00_1420));
				}
			}
		}
	}



/* &call-graph!-cast3595 */
	obj_t BGl_z62callzd2graphz12zd2cast3595z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2178, BgL_castz00_bglt BgL_nodez00_2179, obj_t BgL_ownerz00_2180)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 86 */
			{
				BgL_castz00_bglt BgL_nodez00_1412;
				obj_t BgL_ownerz00_1413;

				BgL_nodez00_1412 = BgL_nodez00_2179;
				BgL_ownerz00_1413 = BgL_ownerz00_2180;
				{	/* Effect/cgraph.scm 87 */
					BgL_nodez00_bglt BgL_arg3730z00_1877;

					BgL_arg3730z00_1877 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1412)))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3730z00_1877,
						((BgL_variablez00_bglt) BgL_ownerz00_1413));
				}
			}
		}
	}



/* &call-graph!-extern3593 */
	obj_t BGl_z62callzd2graphz12zd2extern3593z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2181, BgL_externz00_bglt BgL_nodez00_2182,
		obj_t BgL_ownerz00_2183)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 77 */
			{
				BgL_externz00_bglt BgL_nodez00_1404;
				obj_t BgL_ownerz00_1405;

				{	/* Effect/cgraph.scm 78 */
					bool_t BgL_auxz00_3159;

					BgL_nodez00_1404 = BgL_nodez00_2182;
					BgL_ownerz00_1405 = BgL_ownerz00_2183;
					{	/* Effect/cgraph.scm 79 */
						bool_t BgL_testz00_3160;

						{	/* Effect/cgraph.scm 79 */
							BgL_nodezf2effectzf2_bglt BgL_obj2154z00_1874;

							BgL_obj2154z00_1874 =
								((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1404);
							BgL_testz00_3160 =
								CBOOL(
								(((BgL_nodezf2effectzf2_bglt) CREF(
											((obj_t) BgL_obj2154z00_1874)))->BgL_sidezd2effectzd2));
						}
						if (BgL_testz00_3160)
							{	/* Effect/cgraph.scm 79 */
								BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_ownerz00_1405));
							}
						else
							{	/* Effect/cgraph.scm 79 */
								BFALSE;
							}
					}
					{	/* Effect/cgraph.scm 81 */
						obj_t BgL_arg3728z00_1410;

						BgL_arg3728z00_1410 =
							(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_nodez00_1404)))->BgL_exprza2za2);
						BgL_auxz00_3159 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3728z00_1410,
							BgL_ownerz00_1405);
					}
					return BBOOL(BgL_auxz00_3159);
				}
			}
		}
	}



/* &call-graph!-funcall3591 */
	obj_t BGl_z62callzd2graphz12zd2funcall3591z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2184, BgL_funcallz00_bglt BgL_nodez00_2185,
		obj_t BgL_ownerz00_2186)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 68 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1396;
				obj_t BgL_ownerz00_1397;

				{	/* Effect/cgraph.scm 69 */
					bool_t BgL_auxz00_3171;

					BgL_nodez00_1396 = BgL_nodez00_2185;
					BgL_ownerz00_1397 = BgL_ownerz00_2186;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_ownerz00_1397));
					{	/* Effect/cgraph.scm 71 */
						BgL_nodez00_bglt BgL_arg3725z00_1401;

						BgL_arg3725z00_1401 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1396)))->BgL_funz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3725z00_1401,
							((BgL_variablez00_bglt) BgL_ownerz00_1397));
					}
					{	/* Effect/cgraph.scm 72 */
						obj_t BgL_arg3726z00_1402;

						BgL_arg3726z00_1402 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1396)))->BgL_argsz00);
						BgL_auxz00_3171 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3726z00_1402,
							BgL_ownerz00_1397);
					}
					return BBOOL(BgL_auxz00_3171);
				}
			}
		}
	}



/* &call-graph!-app-ly3589 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly3589za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2187, BgL_appzd2lyzd2_bglt BgL_nodez00_2188,
		obj_t BgL_ownerz00_2189)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 59 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1388;
				obj_t BgL_ownerz00_1389;

				BgL_nodez00_1388 = BgL_nodez00_2188;
				BgL_ownerz00_1389 = BgL_ownerz00_2189;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1389));
				{	/* Effect/cgraph.scm 62 */
					BgL_nodez00_bglt BgL_arg3723z00_1393;

					BgL_arg3723z00_1393 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1388)))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3723z00_1393,
						((BgL_variablez00_bglt) BgL_ownerz00_1389));
				}
				{	/* Effect/cgraph.scm 63 */
					BgL_nodez00_bglt BgL_arg3724z00_1394;

					BgL_arg3724z00_1394 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1388)))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg3724z00_1394,
						((BgL_variablez00_bglt) BgL_ownerz00_1389));
				}
			}
		}
	}



/* &call-graph!-app3587 */
	obj_t BGl_z62callzd2graphz12zd2app3587z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2190, BgL_appz00_bglt BgL_nodez00_2191, obj_t BgL_ownerz00_2192)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 49 */
			{
				BgL_appz00_bglt BgL_nodez00_1379;
				obj_t BgL_ownerz00_1380;

				{	/* Effect/cgraph.scm 50 */
					bool_t BgL_auxz00_3192;

					BgL_nodez00_1379 = BgL_nodez00_2191;
					BgL_ownerz00_1380 = BgL_ownerz00_2192;
					{	/* Effect/cgraph.scm 53 */
						BgL_variablez00_bglt BgL_arg3720z00_1384;

						{	/* Effect/cgraph.scm 53 */
							BgL_varz00_bglt BgL_obj2201z00_1868;

							BgL_obj2201z00_1868 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1379)))->BgL_funz00);
							BgL_arg3720z00_1384 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_obj2201z00_1868)))->BgL_variablez00);
						}
						BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg3720z00_1384,
							((BgL_variablez00_bglt) BgL_ownerz00_1380));
					}
					{	/* Effect/cgraph.scm 54 */
						obj_t BgL_arg3722z00_1386;

						BgL_arg3722z00_1386 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1379)))->BgL_argsz00);
						BgL_auxz00_3192 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3722z00_1386,
							BgL_ownerz00_1380);
					}
					return BBOOL(BgL_auxz00_3192);
				}
			}
		}
	}



/* &call-graph!-sequence3585 */
	obj_t BGl_z62callzd2graphz12zd2sequence3585z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2193, BgL_sequencez00_bglt BgL_nodez00_2194,
		obj_t BgL_ownerz00_2195)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 43 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1373;
				obj_t BgL_ownerz00_1374;

				{	/* Effect/cgraph.scm 44 */
					bool_t BgL_auxz00_3203;

					BgL_nodez00_1373 = BgL_nodez00_2194;
					BgL_ownerz00_1374 = BgL_ownerz00_2195;
					{	/* Effect/cgraph.scm 44 */
						obj_t BgL_arg3719z00_1865;

						BgL_arg3719z00_1865 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1373)))->BgL_nodesz00);
						BgL_auxz00_3203 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3719z00_1865,
							BgL_ownerz00_1374);
					}
					return BBOOL(BgL_auxz00_3203);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3890z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3890z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3890z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3890z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3890z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3890z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
