/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz123606za2zztrace_walkz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2node3607z62zztrace_walkz00(obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box3602zb0zztrace_walkz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref3604zb0zztrace_walkz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it3598z62zztrace_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail3558zb0zztrace_walkz00(obj_t,
		BgL_failz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern3581z62zztrace_walkz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque3544zb0zztrace_walkz00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2node3569zb0zztrace_walkz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var3595zb0zztrace_walkz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail3589z62zztrace_walkz00(obj_t, BgL_failz00_bglt,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e3566z62zztrace_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter3552zb0zztrace_walkz00(obj_t,
		BgL_externz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence3573z62zztrace_walkz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2condi3556zb0zztrace_walkz00(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition3587z62zztrace_walkz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f3564z62zztrace_walkz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v3562z62zztrace_walkz00(obj_t,
		BgL_letzd2varzd2_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd23568z62zztrace_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq3554zb0zztrace_walkz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall3579z62zztrace_walkz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast3583z62zztrace_walkz00(obj_t, BgL_castz00_bglt,
		obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq3585z62zztrace_walkz00(obj_t, BgL_setqz00_bglt,
		obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l3548z62zztrace_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2selec3560zb0zztrace_walkz00(obj_t,
		BgL_selectz00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca3550zb0zztrace_walkz00(obj_t,
		BgL_funcallz00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app3575z62zztrace_walkz00(obj_t,
		BgL_appz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i3600z62zztrace_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2app3546zb0zztrace_walkz00(obj_t,
		BgL_appz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun3593zb0zztrace_walkz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd23610zb0zztrace_walkz00(obj_t,
		BgL_sequencez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd23612zb0zztrace_walkz00(obj_t,
		BgL_setqz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly3577zb0zztrace_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2select3591z62zztrace_walkz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62findzd2lastzd2node3540z62zztrace_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4070za7,
		BGl_z62findzd2lastzd2node3540z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node34071z00,
		BGl_z62tracezd2node3569zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr4072z00,
		BGl_z62toplevelzd2tracezd2node3607z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4073za7,
		BGl_z62findzd2lastzd2nodezd2seque3544zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4074za7,
		BGl_z62findzd2lastzd2nodezd2app3546zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4075za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l3548z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4076za7,
		BGl_z62findzd2lastzd2nodezd2funca3550zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4077za7,
		BGl_z62findzd2lastzd2nodezd2exter3552zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4078za7,
		BGl_z62findzd2lastzd2nodezd2setq3554zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4079za7,
		BGl_z62findzd2lastzd2nodezd2condi3556zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4080za7,
		BGl_z62findzd2lastzd2nodezd2fail3558zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4081za7,
		BGl_z62findzd2lastzd2nodezd2selec3560zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4082za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v3562z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4083za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f3564z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4084za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e3566z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4085za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd23568z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74086za7,
		BGl_z62tracezd2nodezd2sequence3573z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74087za7,
		BGl_z62tracezd2nodezd2app3575z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74088za7,
		BGl_z62tracezd2nodezd2appzd2ly3577zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74089za7,
		BGl_z62tracezd2nodezd2funcall3579z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74090za7,
		BGl_z62tracezd2nodezd2extern3581z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74091za7,
		BGl_z62tracezd2nodezd2cast3583z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74092za7,
		BGl_z62tracezd2nodezd2setq3585z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74093za7,
		BGl_z62tracezd2nodezd2condition3587z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4054z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74094za7,
		BGl_z62tracezd2nodezd2fail3589z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74095za7,
		BGl_z62tracezd2nodezd2select3591z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4056z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74096za7,
		BGl_z62tracezd2nodezd2letzd2fun3593zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74097za7,
		BGl_z62tracezd2nodezd2letzd2var3595zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4058z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74098za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it3598z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74099za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i3600z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74100za7,
		BGl_z62tracezd2nodezd2makezd2box3602zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74101za7,
		BGl_z62tracezd2nodezd2boxzd2ref3604zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74102za7,
		BGl_z62tracezd2nodezd2boxzd2setz123606za2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr4103z00,
		BGl_z62toplevelzd2tracezd2nodezd23610zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr4104z00,
		BGl_z62toplevelzd2tracezd2nodezd23612zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza74105za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d4106za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr4107z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4015z00zztrace_walkz00,
		BgL_bgl_string4015za700za7za7t4108za7, "Trace", 5);
	      DEFINE_STRING(BGl_string4016z00zztrace_walkz00,
		BgL_bgl_string4016za700za7za7t4109za7, "   . ", 5);
	      DEFINE_STRING(BGl_string4017z00zztrace_walkz00,
		BgL_bgl_string4017za700za7za7t4110za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string4018z00zztrace_walkz00,
		BgL_bgl_string4018za700za7za7t4111za7, " error", 6);
	      DEFINE_STRING(BGl_string4019z00zztrace_walkz00,
		BgL_bgl_string4019za700za7za7t4112za7, "s", 1);
	      DEFINE_STRING(BGl_string4020z00zztrace_walkz00,
		BgL_bgl_string4020za700za7za7t4113za7, "", 0);
	      DEFINE_STRING(BGl_string4021z00zztrace_walkz00,
		BgL_bgl_string4021za700za7za7t4114za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string4022z00zztrace_walkz00,
		BgL_bgl_string4022za700za7za7t4115za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string4023z00zztrace_walkz00,
		BgL_bgl_string4023za700za7za7t4116za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string4024z00zztrace_walkz00,
		BgL_bgl_string4024za700za7za7t4117za7, "%import@", 8);
	      DEFINE_STRING(BGl_string4026z00zztrace_walkz00,
		BgL_bgl_string4026za700za7za7t4118za7, "find-last-node3540", 18);
	      DEFINE_STRING(BGl_string4028z00zztrace_walkz00,
		BgL_bgl_string4028za700za7za7t4119za7, "trace-node3569", 14);
	      DEFINE_STRING(BGl_string4030z00zztrace_walkz00,
		BgL_bgl_string4030za700za7za7t4120za7, "toplevel-trace-node3607", 23);
	      DEFINE_STRING(BGl_string4032z00zztrace_walkz00,
		BgL_bgl_string4032za700za7za7t4121za7, "find-last-node", 14);
	      DEFINE_STRING(BGl_string4046z00zztrace_walkz00,
		BgL_bgl_string4046za700za7za7t4122za7, "trace-node", 10);
	      DEFINE_STRING(BGl_string4064z00zztrace_walkz00,
		BgL_bgl_string4064za700za7za7t4123za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string4066z00zztrace_walkz00,
		BgL_bgl_string4066za700za7za7t4124za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string4067z00zztrace_walkz00,
		BgL_bgl_string4067za700za7za7t4125za7,
		"value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location |:| env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza74126za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_2683, char *BgL_fromz00_2684)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_2671;

				BgL_cportz00_2671 =
					bgl_open_input_string(BGl_string4067z00zztrace_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2672;

					BgL_iz00_2672 = ((long) 20);
				BgL_loopz00_2673:
					if ((BgL_iz00_2672 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg4069z00_2675;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_2677;

										BgL_locationz00_2677 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg4069z00_2675 =
												BGl_readz00zz__readerz00(BgL_cportz00_2671,
												BgL_locationz00_2677);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_auxz00_2708;

									BgL_auxz00_2708 = (int) (BgL_iz00_2672);
									CNST_TABLE_SET(BgL_auxz00_2708, BgL_arg4069z00_2675);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_2678;

								BgL_auxz00_2678 = (int) ((BgL_iz00_2672 - ((long) 1)));
								{
									long BgL_iz00_2713;

									BgL_iz00_2713 = (long) (BgL_auxz00_2678);
									BgL_iz00_2672 = BgL_iz00_2713;
									goto BgL_loopz00_2673;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list3622z00_1003;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg3623z00_1004;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg3624z00_1005;

						BgL_arg3624z00_1005 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3623z00_1004 =
							MAKE_PAIR(BGl_string4015z00zztrace_walkz00, BgL_arg3624z00_1005);
					}
					BgL_list3622z00_1003 =
						MAKE_PAIR(BGl_string4016z00zztrace_walkz00, BgL_arg3623z00_1004);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3622z00_1003);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string4015z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_1009;
				obj_t BgL_hnamesz00_1010;

				BgL_hooksz00_1009 = BNIL;
				BgL_hnamesz00_1010 = BNIL;
			BgL_zc3anonymousza33625ze3z83_1011:
				if (NULLP(BgL_hooksz00_1009))
					{	/* Trace/walk.scm 39 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 39 */
						bool_t BgL_testz00_2725;

						{	/* Trace/walk.scm 39 */
							obj_t BgL_fun3631z00_1017;

							BgL_fun3631z00_1017 = CAR(BgL_hooksz00_1009);
							BgL_testz00_2725 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3631z00_1017) (BgL_fun3631z00_1017,
									BEOA));
						}
						if (BgL_testz00_2725)
							{
								obj_t BgL_hnamesz00_2733;
								obj_t BgL_hooksz00_2731;

								BgL_hooksz00_2731 = CDR(BgL_hooksz00_1009);
								BgL_hnamesz00_2733 = CDR(BgL_hnamesz00_1010);
								BgL_hnamesz00_1010 = BgL_hnamesz00_2733;
								BgL_hooksz00_1009 = BgL_hooksz00_2731;
								goto BgL_zc3anonymousza33625ze3z83_1011;
							}
						else
							{	/* Trace/walk.scm 39 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string4015z00zztrace_walkz00,
									BGl_string4017z00zztrace_walkz00, CAR(BgL_hnamesz00_1010));
							}
					}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1020;

				BgL_idz00_1020 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1021;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list3636z00_1026;

						BgL_list3636z00_1026 =
							MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1021 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1020,
							BgL_list3636z00_1026);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_1021,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_valuez00_bglt BgL_instance3489z00_1023;

								{	/* Trace/walk.scm 48 */
									BgL_variablez00_bglt BgL_obj1612z00_1923;

									BgL_obj1612z00_1923 =
										((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gloz00_1021));
									BgL_instance3489z00_1023 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1923)))->BgL_valuez00);
								}
								{	/* Trace/walk.scm 49 */
									BgL_nodez00_bglt BgL_arg3634z00_1024;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg3635z00_1025;

										{	/* Trace/walk.scm 49 */
											BgL_sfunz00_bglt BgL_obj1924z00_1924;

											BgL_obj1924z00_1924 =
												((BgL_sfunz00_bglt) BgL_instance3489z00_1023);
											BgL_arg3635z00_1025 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1924z00_1924)))->BgL_bodyz00);
										}
										BgL_arg3634z00_1024 =
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg3635z00_1025));
									}
									{	/* Trace/walk.scm 49 */
										BgL_sfunz00_bglt BgL_obj1926z00_1925;
										obj_t BgL_val1925z00_1926;

										BgL_obj1926z00_1925 =
											((BgL_sfunz00_bglt) BgL_instance3489z00_1023);
										BgL_val1925z00_1926 = ((obj_t) BgL_arg3634z00_1024);
										((((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1926z00_1925)))->BgL_bodyz00) =
											((obj_t) BgL_val1925z00_1926), BUNSPEC);
									}
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l3528z00_1028;

				BgL_l3528z00_1028 = BgL_globalsz00_17;
			BgL_zc3anonymousza33637ze3z83_1029:
				if (PAIRP(BgL_l3528z00_1028))
					{	/* Trace/walk.scm 51 */
						BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l3528z00_1028), BNIL);
						{
							obj_t BgL_l3528z00_2759;

							BgL_l3528z00_2759 = CDR(BgL_l3528z00_1028);
							BgL_l3528z00_1028 = BgL_l3528z00_2759;
							goto BgL_zc3anonymousza33637ze3z83_1029;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port3530z00_1036;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res3950z00_1935;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_auxz00_2764;

								BgL_auxz00_2764 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3950z00_1935 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2764);
							}
							BgL_port3530z00_1036 = BgL_res3950z00_1935;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3530z00_1036);
						BGL_DISPLAY_STRING(BGl_string4018z00zztrace_walkz00,
							BgL_port3530z00_1036);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg3641z00_1037;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_2769;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_2769 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_2769 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_2769 = ((bool_t) 0);
									}
								if (BgL_testz00_2769)
									{	/* Trace/walk.scm 52 */
										BgL_arg3641z00_1037 = BGl_string4019z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg3641z00_1037 = BGl_string4020z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg3641z00_1037, BgL_port3530z00_1036);
						}
						BGL_DISPLAY_STRING(BGl_string4021z00zztrace_walkz00,
							BgL_port3530z00_1036);
						bgl_display_char(((unsigned char) '\n'), BgL_port3530z00_1036);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list3645z00_1041;

						BgL_list3645z00_1041 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list3645z00_1041);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1045;
					obj_t BgL_hnamesz00_1046;

					BgL_hooksz00_1045 = BNIL;
					BgL_hnamesz00_1046 = BNIL;
				BgL_zc3anonymousza33646ze3z83_1047:
					if (NULLP(BgL_hooksz00_1045))
						{	/* Trace/walk.scm 52 */
							return BgL_globalsz00_17;
						}
					else
						{	/* Trace/walk.scm 52 */
							bool_t BgL_testz00_2786;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_fun3652z00_1053;

								BgL_fun3652z00_1053 = CAR(BgL_hooksz00_1045);
								BgL_testz00_2786 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun3652z00_1053)
									(BgL_fun3652z00_1053, BEOA));
							}
							if (BgL_testz00_2786)
								{
									obj_t BgL_hnamesz00_2794;
									obj_t BgL_hooksz00_2792;

									BgL_hooksz00_2792 = CDR(BgL_hooksz00_1045);
									BgL_hnamesz00_2794 = CDR(BgL_hnamesz00_1046);
									BgL_hnamesz00_1046 = BgL_hnamesz00_2794;
									BgL_hooksz00_1045 = BgL_hooksz00_2792;
									goto BgL_zc3anonymousza33646ze3z83_1047;
								}
							else
								{	/* Trace/walk.scm 52 */
									obj_t BgL_arg3651z00_1052;

									BgL_arg3651z00_1052 = CAR(BgL_hnamesz00_1046);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string4022z00zztrace_walkz00, BgL_arg3651z00_1052);
								}
						}
				}
		}
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_2320,
		obj_t BgL_globalsz00_2321)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_2321);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_2799;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_18,
						BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						obj_t BgL_auxz00_2802;

						{	/* Trace/walk.scm 65 */
							BgL_variablez00_bglt BgL_obj1605z00_1956;

							BgL_obj1605z00_1956 =
								((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_vz00_18));
							BgL_auxz00_2802 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1605z00_1956)))->BgL_idz00);
						}
						BgL_testz00_2799 = (BgL_auxz00_2802 == CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_2799 = ((bool_t) 0);
					}
				if (BgL_testz00_2799)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg3655z00_1057;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg3656z00_1058;
							obj_t BgL_arg3657z00_1059;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg3659z00_1060;

								BgL_arg3659z00_1060 =
									string_to_symbol(BSTRING_TO_STRING
									(BGl_string4023z00zztrace_walkz00));
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res3957z00_1961;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg2069z00_1960;

										BgL_arg2069z00_1960 = SYMBOL_TO_STRING(BgL_arg3659z00_1060);
										BgL_res3957z00_1961 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_1960);
									}
									BgL_arg3656z00_1058 = BgL_res3957z00_1961;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg3660z00_1061;

								{	/* Trace/walk.scm 66 */
									BgL_globalz00_bglt BgL_obj1698z00_1962;

									BgL_obj1698z00_1962 = ((BgL_globalz00_bglt) BgL_vz00_18);
									BgL_arg3660z00_1061 =
										(((BgL_globalz00_bglt) CREF(
												((obj_t) BgL_obj1698z00_1962)))->BgL_modulez00);
								}
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res3958z00_1965;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg2069z00_1964;

										BgL_arg2069z00_1964 = SYMBOL_TO_STRING(BgL_arg3660z00_1061);
										BgL_res3958z00_1965 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_1964);
									}
									BgL_arg3657z00_1059 = BgL_res3958z00_1965;
								}
							}
							BgL_arg3655z00_1057 =
								string_append(BgL_arg3656z00_1058, BgL_arg3657z00_1059);
						}
						return string_to_symbol(BSTRING_TO_STRING(BgL_arg3655z00_1057));
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_2821;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								obj_t BgL_auxz00_2824;

								{	/* Trace/walk.scm 67 */
									BgL_variablez00_bglt BgL_obj1605z00_1970;

									BgL_obj1605z00_1970 =
										((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_vz00_18));
									BgL_auxz00_2824 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1605z00_1970)))->BgL_idz00);
								}
								BgL_testz00_2821 =
									(BgL_auxz00_2824 == CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_2821 = ((bool_t) 0);
							}
						if (BgL_testz00_2821)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg3663z00_1063;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg3664z00_1064;
									obj_t BgL_arg3665z00_1065;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg3666z00_1066;

										BgL_arg3666z00_1066 =
											string_to_symbol(BSTRING_TO_STRING
											(BGl_string4024z00zztrace_walkz00));
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res3962z00_1975;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg2069z00_1974;

												BgL_arg2069z00_1974 =
													SYMBOL_TO_STRING(BgL_arg3666z00_1066);
												BgL_res3962z00_1975 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1974);
											}
											BgL_arg3664z00_1064 = BgL_res3962z00_1975;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg3667z00_1067;

										{	/* Trace/walk.scm 68 */
											BgL_globalz00_bglt BgL_obj1698z00_1976;

											BgL_obj1698z00_1976 = ((BgL_globalz00_bglt) BgL_vz00_18);
											BgL_arg3667z00_1067 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1698z00_1976)))->BgL_modulez00);
										}
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res3963z00_1979;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg2069z00_1978;

												BgL_arg2069z00_1978 =
													SYMBOL_TO_STRING(BgL_arg3667z00_1067);
												BgL_res3963z00_1979 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1978);
											}
											BgL_arg3665z00_1065 = BgL_res3963z00_1979;
										}
									}
									BgL_arg3663z00_1063 =
										string_append(BgL_arg3664z00_1064, BgL_arg3665z00_1065);
								}
								return string_to_symbol(BSTRING_TO_STRING(BgL_arg3663z00_1063));
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg3669z00_1069;
										obj_t BgL_arg3670z00_1070;

										{	/* Trace/walk.scm 70 */
											BgL_variablez00_bglt BgL_obj1605z00_1984;

											BgL_obj1605z00_1984 =
												((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_18));
											BgL_arg3669z00_1069 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1605z00_1984)))->BgL_idz00);
										}
										{	/* Trace/walk.scm 70 */
											BgL_globalz00_bglt BgL_obj1698z00_1985;

											BgL_obj1698z00_1985 = ((BgL_globalz00_bglt) BgL_vz00_18);
											BgL_arg3670z00_1070 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1698z00_1985)))->BgL_modulez00);
										}
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list3671z00_1071;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg3672z00_1072;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg3673z00_1073;

													BgL_arg3673z00_1073 =
														MAKE_PAIR(BgL_arg3670z00_1070, BNIL);
													BgL_arg3672z00_1072 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg3673z00_1073);
												}
												BgL_list3671z00_1071 =
													MAKE_PAIR(BgL_arg3669z00_1069, BgL_arg3672z00_1072);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list3671z00_1071);
										}
									}
								else
									{	/* Trace/walk.scm 72 */
										BgL_variablez00_bglt BgL_obj1605z00_1986;

										BgL_obj1605z00_1986 = ((BgL_variablez00_bglt) BgL_vz00_18);
										return
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1605z00_1986)))->BgL_idz00);
									}
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1078;

				{	/* Trace/walk.scm 81 */
					BgL_variablez00_bglt BgL_obj1612z00_1987;

					BgL_obj1612z00_1987 = ((BgL_variablez00_bglt) BgL_varz00_19);
					BgL_funz00_1078 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1987)))->BgL_valuez00);
				}
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1079;

					{	/* Trace/walk.scm 82 */
						BgL_sfunz00_bglt BgL_obj1924z00_1988;

						BgL_obj1924z00_1988 = ((BgL_sfunz00_bglt) BgL_funz00_1078);
						BgL_bodyz00_1079 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj1924z00_1988)))->BgL_bodyz00);
					}
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1080;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg3699z00_1107;

								{	/* Trace/walk.scm 84 */
									obj_t BgL_auxz00_2868;

									{	/* Trace/walk.scm 84 */
										BgL_globalz00_bglt BgL_obj1717z00_1991;

										BgL_obj1717z00_1991 = ((BgL_globalz00_bglt) BgL_varz00_19);
										BgL_auxz00_2868 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1717z00_1991)))->BgL_srcz00);
									}
									BgL_arg3699z00_1107 =
										BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_auxz00_2868);
								}
								BgL_llocz00_1080 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg3699z00_1107);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg3701z00_1109;

								BgL_arg3701z00_1109 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1079));
								{	/* Trace/walk.scm 85 */
									BgL_nodez00_bglt BgL_obj2136z00_1992;

									BgL_obj2136z00_1992 =
										((BgL_nodez00_bglt) BgL_arg3701z00_1109);
									BgL_llocz00_1080 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2136z00_1992)))->BgL_locz00);
								}
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_2879;

								{	/* Trace/walk.scm 86 */
									bool_t BgL_testz00_2880;

									{	/* Trace/walk.scm 86 */
										BgL_funz00_bglt BgL_obj1858z00_1993;

										BgL_obj1858z00_1993 = ((BgL_funz00_bglt) BgL_funz00_1078);
										BgL_testz00_2880 =
											CBOOL(
											(((BgL_funz00_bglt) CREF(
														((obj_t) BgL_obj1858z00_1993)))->
												BgL_predicatezd2ofzd2));
									}
									if (BgL_testz00_2880)
										{	/* Trace/walk.scm 86 */
											BgL_testz00_2879 = ((bool_t) 0);
										}
									else
										{	/* Trace/walk.scm 87 */
											bool_t BgL_testz00_2885;

											{	/* Trace/walk.scm 87 */
												obj_t BgL_auxz00_2886;

												{	/* Trace/walk.scm 87 */
													obj_t BgL_auxz00_2887;

													{	/* Trace/walk.scm 87 */
														BgL_sfunz00_bglt BgL_obj1917z00_1994;

														BgL_obj1917z00_1994 =
															((BgL_sfunz00_bglt) BgL_funz00_1078);
														BgL_auxz00_2887 =
															(((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1917z00_1994)))->
															BgL_propertyz00);
													}
													BgL_auxz00_2886 =
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 4)), BgL_auxz00_2887);
												}
												BgL_testz00_2885 = CBOOL(BgL_auxz00_2886);
											}
											if (BgL_testz00_2885)
												{	/* Trace/walk.scm 87 */
													BgL_testz00_2879 = ((bool_t) 0);
												}
											else
												{	/* Trace/walk.scm 88 */
													obj_t BgL_arg3696z00_1104;

													{	/* Trace/walk.scm 88 */
														BgL_variablez00_bglt BgL_obj1605z00_1995;

														BgL_obj1605z00_1995 =
															((BgL_variablez00_bglt) BgL_varz00_19);
														BgL_arg3696z00_1104 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1605z00_1995)))->BgL_idz00);
													}
													BgL_testz00_2879 =
														BGl_userzd2symbolzf3z21zzast_identz00
														(BgL_arg3696z00_1104);
												}
										}
								}
								if (BgL_testz00_2879)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1083;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_2900;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														> ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_2900 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_3494z00_1097;

																{	/* Trace/walk.scm 92 */
																	obj_t BgL_auxz00_2906;

																	{	/* Trace/walk.scm 92 */
																		BgL_variablez00_bglt BgL_obj1605z00_2001;

																		BgL_obj1605z00_2001 =
																			((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_varz00_19));
																		BgL_auxz00_2906 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1605z00_2001)))->
																			BgL_idz00);
																	}
																	BgL__ortest_3494z00_1097 =
																		(BgL_auxz00_2906 ==
																		CNST_TABLE_REF(((long) 1)));
																}
																if (BgL__ortest_3494z00_1097)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_2900 = BgL__ortest_3494z00_1097;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_3495z00_1098;

																		{	/* Trace/walk.scm 93 */
																			obj_t BgL_auxz00_2914;

																			{	/* Trace/walk.scm 93 */
																				BgL_variablez00_bglt
																					BgL_obj1605z00_2002;
																				BgL_obj1605z00_2002 =
																					((BgL_variablez00_bglt) (
																						(BgL_globalz00_bglt)
																						BgL_varz00_19));
																				BgL_auxz00_2914 =
																					(((BgL_variablez00_bglt) CREF(((obj_t)
																								BgL_obj1605z00_2002)))->
																					BgL_idz00);
																			}
																			BgL__ortest_3495z00_1098 =
																				(BgL_auxz00_2914 ==
																				CNST_TABLE_REF(((long) 5)));
																		}
																		if (BgL__ortest_3495z00_1098)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_2900 =
																					BgL__ortest_3495z00_1098;
																			}
																		else
																			{	/* Trace/walk.scm 94 */
																				obj_t BgL_auxz00_2922;

																				{	/* Trace/walk.scm 94 */
																					BgL_variablez00_bglt
																						BgL_obj1605z00_2003;
																					BgL_obj1605z00_2003 =
																						((BgL_variablez00_bglt) (
																							(BgL_globalz00_bglt)
																							BgL_varz00_19));
																					BgL_auxz00_2922 =
																						(((BgL_variablez00_bglt)
																							CREF(((obj_t)
																									BgL_obj1605z00_2003)))->
																						BgL_idz00);
																				}
																				BgL_testz00_2900 =
																					(BgL_auxz00_2922 ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_2900 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_2900)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_2929;

														{	/* Trace/walk.scm 102 */
															bool_t BgL_testz00_2930;

															{	/* Trace/walk.scm 102 */
																obj_t BgL_auxz00_2931;

																{	/* Trace/walk.scm 102 */
																	BgL_variablez00_bglt BgL_obj1605z00_2004;

																	BgL_obj1605z00_2004 =
																		((BgL_variablez00_bglt) BgL_varz00_19);
																	BgL_auxz00_2931 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1605z00_2004)))->
																		BgL_idz00);
																}
																BgL_testz00_2930 =
																	(BgL_auxz00_2931 ==
																	CNST_TABLE_REF(((long) 5)));
															}
															if (BgL_testz00_2930)
																{	/* Trace/walk.scm 102 */
																	BgL_testz00_2929 = ((bool_t) 1);
																}
															else
																{	/* Trace/walk.scm 103 */
																	obj_t BgL_auxz00_2937;

																	{	/* Trace/walk.scm 103 */
																		BgL_variablez00_bglt BgL_obj1605z00_2005;

																		BgL_obj1605z00_2005 =
																			((BgL_variablez00_bglt) BgL_varz00_19);
																		BgL_auxz00_2937 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1605z00_2005)))->
																			BgL_idz00);
																	}
																	BgL_testz00_2929 =
																		(BgL_auxz00_2937 ==
																		CNST_TABLE_REF(((long) 6)));
														}}
														if (BgL_testz00_2929)
															{	/* Trace/walk.scm 104 */
																BgL_nodez00_bglt BgL_xz00_2508;

																BgL_xz00_2508 =
																	BGl_tracezd2nodezd2zztrace_walkz00(
																	((BgL_nodez00_bglt) BgL_bodyz00_1079),
																	BgL_stackz00_20);
																BgL_bdz00_1083 = ((obj_t) BgL_xz00_2508);
															}
														else
															{	/* Trace/walk.scm 105 */
																obj_t BgL_arg3686z00_1091;

																BgL_arg3686z00_1091 =
																	MAKE_PAIR(BgL_varz00_19, BgL_stackz00_20);
																{	/* Trace/walk.scm 105 */
																	BgL_nodez00_bglt BgL_xz00_2510;

																	BgL_xz00_2510 =
																		BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1079),
																		BgL_arg3686z00_1091);
																	BgL_bdz00_1083 = ((obj_t) BgL_xz00_2510);
																}
															}
													}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1083 = BgL_bodyz00_1079;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1084;

												{	/* Trace/walk.scm 107 */
													BgL_typez00_bglt BgL_arg3682z00_1087;
													BgL_typez00_bglt BgL_arg3683z00_1088;

													{	/* Trace/walk.scm 107 */
														BgL_nodez00_bglt BgL_obj2137z00_2006;

														BgL_obj2137z00_2006 =
															((BgL_nodez00_bglt) BgL_bodyz00_1079);
														BgL_arg3682z00_1087 =
															(((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj2137z00_2006)))->BgL_typez00);
													}
													{	/* Trace/walk.scm 107 */
														BgL_variablez00_bglt BgL_obj1609z00_2007;

														BgL_obj1609z00_2007 =
															((BgL_variablez00_bglt) BgL_varz00_19);
														BgL_arg3683z00_1088 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1609z00_2007)))->BgL_typez00);
													}
													BgL_tz00_1084 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg3682z00_1087, BgL_arg3683z00_1088);
												}
												{	/* Trace/walk.scm 107 */
													obj_t BgL_idz00_1085;

													BgL_idz00_1085 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 108 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1086;

														BgL_nbodyz00_1086 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1083),
															BgL_tz00_1084, BgL_idz00_1085, BgL_llocz00_1080,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 109 */

															{	/* Trace/walk.scm 110 */
																BgL_sfunz00_bglt BgL_obj1926z00_2008;
																obj_t BgL_val1925z00_2009;

																BgL_obj1926z00_2008 =
																	((BgL_sfunz00_bglt) BgL_funz00_1078);
																BgL_val1925z00_2009 =
																	((obj_t) BgL_nbodyz00_1086);
																((((BgL_sfunz00_bglt) CREF(
																				((obj_t) BgL_obj1926z00_2008)))->
																		BgL_bodyz00) =
																	((obj_t) BgL_val1925z00_2009), BUNSPEC);
															}
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_21)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 120 */
			{
				obj_t BgL_sexpz00_1111;
				obj_t BgL_resz00_1112;

				BgL_sexpz00_1111 = BgL_sexpz00_21;
				BgL_resz00_1112 = BgL_sexpz00_21;
			BgL_zc3anonymousza33702ze3z83_1113:
				if (PAIRP(BgL_sexpz00_1111))
					{	/* Trace/walk.scm 126 */
						bool_t BgL_testz00_2967;

						{	/* Trace/walk.scm 126 */
							obj_t BgL_auxz00_2968;

							BgL_auxz00_2968 = CDR(BgL_sexpz00_1111);
							BgL_testz00_2967 = PAIRP(BgL_auxz00_2968);
						}
						if (BgL_testz00_2967)
							{
								obj_t BgL_resz00_2973;
								obj_t BgL_sexpz00_2971;

								BgL_sexpz00_2971 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1111);
								BgL_resz00_2973 = BgL_sexpz00_1111;
								BgL_resz00_1112 = BgL_resz00_2973;
								BgL_sexpz00_1111 = BgL_sexpz00_2971;
								goto BgL_zc3anonymousza33702ze3z83_1113;
							}
						else
							{
								obj_t BgL_resz00_2976;
								obj_t BgL_sexpz00_2974;

								BgL_sexpz00_2974 = CAR(BgL_sexpz00_1111);
								BgL_resz00_2976 = BgL_sexpz00_1111;
								BgL_resz00_1112 = BgL_resz00_2976;
								BgL_sexpz00_1111 = BgL_sexpz00_2974;
								goto BgL_zc3anonymousza33702ze3z83_1113;
							}
					}
				else
					{	/* Trace/walk.scm 124 */
						return BgL_resz00_1112;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_36,
		BgL_typez00_bglt BgL_typez00_37, obj_t BgL_symbolz00_38,
		obj_t BgL_llocz00_39, obj_t BgL_stackz00_40)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 236 */
			{	/* Trace/walk.scm 237 */
				obj_t BgL_locz00_1120;

				BgL_locz00_1120 =
					(((BgL_nodez00_bglt) CREF(((obj_t) BgL_nodez00_36)))->BgL_locz00);
				{	/* Trace/walk.scm 237 */
					obj_t BgL_auxz00_1121;

					BgL_auxz00_1121 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 238 */
						obj_t BgL_tauxz00_1122;

						{	/* Trace/walk.scm 239 */
							obj_t BgL_arg3764z00_1184;

							BgL_arg3764z00_1184 =
								(((BgL_typez00_bglt) CREF(
										((obj_t) BgL_typez00_37)))->BgL_idz00);
							BgL_tauxz00_1122 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1121,
								BgL_arg3764z00_1184);
						}
						{	/* Trace/walk.scm 239 */
							obj_t BgL_tmp1z00_1123;

							BgL_tmp1z00_1123 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 240 */
								obj_t BgL_tmp2z00_1124;

								BgL_tmp2z00_1124 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 241 */
									obj_t BgL_tmp3z00_1125;

									BgL_tmp3z00_1125 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 242 */
										obj_t BgL_symz00_1126;

										{	/* Trace/walk.scm 243 */
											bool_t BgL_testz00_2994;

											if (PAIRP(BgL_stackz00_40))
												{	/* Trace/walk.scm 243 */
													obj_t BgL_arg3760z00_1180;

													BgL_arg3760z00_1180 = CAR(BgL_stackz00_40);
													BgL_testz00_2994 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3760z00_1180,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 243 */
													BgL_testz00_2994 = ((bool_t) 0);
												}
											if (BgL_testz00_2994)
												{	/* Trace/walk.scm 244 */
													obj_t BgL_arg3754z00_1174;

													{	/* Trace/walk.scm 244 */
														BgL_variablez00_bglt BgL_obj1605z00_2024;

														BgL_obj1605z00_2024 =
															((BgL_variablez00_bglt) CAR(BgL_stackz00_40));
														BgL_arg3754z00_1174 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1605z00_2024)))->BgL_idz00);
													}
													{	/* Trace/walk.scm 244 */
														obj_t BgL_list3755z00_1175;

														{	/* Trace/walk.scm 244 */
															obj_t BgL_arg3756z00_1176;

															{	/* Trace/walk.scm 244 */
																obj_t BgL_arg3757z00_1177;

																BgL_arg3757z00_1177 =
																	MAKE_PAIR(BgL_arg3754z00_1174, BNIL);
																BgL_arg3756z00_1176 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg3757z00_1177);
															}
															BgL_list3755z00_1175 =
																MAKE_PAIR(BgL_symbolz00_38,
																BgL_arg3756z00_1176);
														}
														BgL_symz00_1126 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list3755z00_1175);
												}}
											else
												{	/* Trace/walk.scm 243 */
													BgL_symz00_1126 = BgL_symbolz00_38;
												}
										}
										{	/* Trace/walk.scm 243 */
											obj_t BgL_lz00_1127;

											{	/* Trace/walk.scm 246 */
												bool_t BgL_testz00_3008;

												if (STRUCTP(BgL_locz00_1120))
													{	/* Trace/walk.scm 246 */
														BgL_testz00_3008 =
															(STRUCT_KEY(BgL_locz00_1120) ==
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Trace/walk.scm 246 */
														BgL_testz00_3008 = ((bool_t) 0);
													}
												if (BgL_testz00_3008)
													{	/* Trace/walk.scm 247 */
														obj_t BgL_arg3749z00_1169;

														{	/* Trace/walk.scm 247 */
															obj_t BgL_arg3750z00_1170;
															obj_t BgL_arg3751z00_1171;

															BgL_arg3750z00_1170 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1120);
															BgL_arg3751z00_1171 =
																MAKE_PAIR(STRUCT_REF(BgL_locz00_1120,
																	(int) (((long) 1))), BNIL);
															BgL_arg3749z00_1169 =
																MAKE_PAIR(BgL_arg3750z00_1170,
																BgL_arg3751z00_1171);
														}
														BgL_lz00_1127 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg3749z00_1169);
													}
												else
													{	/* Trace/walk.scm 246 */
														BgL_lz00_1127 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 246 */
												obj_t BgL_expz00_1128;

												{	/* Trace/walk.scm 248 */
													obj_t BgL_arg3710z00_1132;

													{	/* Trace/walk.scm 248 */
														obj_t BgL_arg3711z00_1133;
														obj_t BgL_arg3712z00_1134;

														{	/* Trace/walk.scm 248 */
															obj_t BgL_arg3713z00_1135;
															obj_t BgL_arg3714z00_1136;

															{	/* Trace/walk.scm 248 */
																obj_t BgL_arg3715z00_1137;

																{	/* Trace/walk.scm 248 */
																	obj_t BgL_arg3716z00_1138;

																	{	/* Trace/walk.scm 248 */
																		obj_t BgL_arg3717z00_1139;

																		BgL_arg3717z00_1139 =
																			MAKE_PAIR(BgL_symz00_1126, BNIL);
																		BgL_arg3716z00_1138 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																			BgL_arg3717z00_1139);
																	}
																	BgL_arg3715z00_1137 =
																		MAKE_PAIR(BgL_arg3716z00_1138, BNIL);
																}
																BgL_arg3713z00_1135 =
																	MAKE_PAIR(BgL_tmp1z00_1123,
																	BgL_arg3715z00_1137);
															}
															{	/* Trace/walk.scm 249 */
																obj_t BgL_arg3718z00_1140;
																obj_t BgL_arg3719z00_1141;

																{	/* Trace/walk.scm 249 */
																	obj_t BgL_arg3720z00_1142;

																	{	/* Trace/walk.scm 249 */
																		obj_t BgL_arg3721z00_1143;

																		{	/* Trace/walk.scm 249 */
																			obj_t BgL_arg3722z00_1144;

																			BgL_arg3722z00_1144 =
																				MAKE_PAIR(BgL_lz00_1127, BNIL);
																			BgL_arg3721z00_1143 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_arg3722z00_1144);
																		}
																		BgL_arg3720z00_1142 =
																			MAKE_PAIR(BgL_arg3721z00_1143, BNIL);
																	}
																	BgL_arg3718z00_1140 =
																		MAKE_PAIR(BgL_tmp2z00_1124,
																		BgL_arg3720z00_1142);
																}
																{	/* Trace/walk.scm 250 */
																	obj_t BgL_arg3723z00_1145;

																	{	/* Trace/walk.scm 250 */
																		obj_t BgL_arg3724z00_1146;
																		obj_t BgL_arg3725z00_1147;

																		BgL_arg3724z00_1146 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1125,
																			CNST_TABLE_REF(((long) 15)));
																		{	/* Trace/walk.scm 250 */
																			obj_t BgL_arg3726z00_1148;

																			BgL_arg3726z00_1148 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																				BNIL);
																			BgL_arg3725z00_1147 =
																				MAKE_PAIR(BgL_arg3726z00_1148, BNIL);
																		}
																		BgL_arg3723z00_1145 =
																			MAKE_PAIR(BgL_arg3724z00_1146,
																			BgL_arg3725z00_1147);
																	}
																	BgL_arg3719z00_1141 =
																		MAKE_PAIR(BgL_arg3723z00_1145, BNIL);
																}
																BgL_arg3714z00_1136 =
																	MAKE_PAIR(BgL_arg3718z00_1140,
																	BgL_arg3719z00_1141);
															}
															BgL_arg3711z00_1133 =
																MAKE_PAIR(BgL_arg3713z00_1135,
																BgL_arg3714z00_1136);
														}
														{	/* Trace/walk.scm 252 */
															obj_t BgL_arg3727z00_1149;

															{	/* Trace/walk.scm 252 */
																obj_t BgL_arg3728z00_1150;

																{	/* Trace/walk.scm 252 */
																	obj_t BgL_arg3730z00_1151;

																	{	/* Trace/walk.scm 252 */
																		obj_t BgL_arg3731z00_1152;
																		obj_t BgL_arg3732z00_1153;

																		{	/* Trace/walk.scm 252 */
																			obj_t BgL_arg3733z00_1154;

																			{	/* Trace/walk.scm 252 */
																				obj_t BgL_arg3734z00_1155;

																				{	/* Trace/walk.scm 252 */
																					obj_t BgL_arg3735z00_1156;

																					BgL_arg3735z00_1156 =
																						MAKE_PAIR(BgL_tmp2z00_1124, BNIL);
																					BgL_arg3734z00_1155 =
																						MAKE_PAIR(BgL_tmp1z00_1123,
																						BgL_arg3735z00_1156);
																				}
																				BgL_arg3733z00_1154 =
																					MAKE_PAIR(BgL_tmp3z00_1125,
																					BgL_arg3734z00_1155);
																			}
																			BgL_arg3731z00_1152 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																				BgL_arg3733z00_1154);
																		}
																		{	/* Trace/walk.scm 253 */
																			obj_t BgL_arg3736z00_1157;

																			{	/* Trace/walk.scm 253 */
																				obj_t BgL_arg3737z00_1158;

																				{	/* Trace/walk.scm 253 */
																					obj_t BgL_arg3738z00_1159;
																					obj_t BgL_arg3739z00_1160;

																					{	/* Trace/walk.scm 253 */
																						obj_t BgL_arg3740z00_1161;

																						{	/* Trace/walk.scm 253 */
																							obj_t BgL_arg3741z00_1162;

																							BgL_arg3741z00_1162 =
																								MAKE_PAIR(
																								((obj_t) BgL_nodez00_36), BNIL);
																							BgL_arg3740z00_1161 =
																								MAKE_PAIR(BgL_tauxz00_1122,
																								BgL_arg3741z00_1162);
																						}
																						BgL_arg3738z00_1159 =
																							MAKE_PAIR(BgL_arg3740z00_1161,
																							BNIL);
																					}
																					{	/* Trace/walk.scm 254 */
																						obj_t BgL_arg3743z00_1163;
																						obj_t BgL_arg3744z00_1164;

																						{	/* Trace/walk.scm 254 */
																							bool_t BgL_testz00_3049;

																							if (STRUCTP(BgL_llocz00_39))
																								{	/* Trace/walk.scm 254 */
																									BgL_testz00_3049 =
																										(STRUCT_KEY(BgL_llocz00_39)
																										==
																										CNST_TABLE_REF(((long)
																												12)));
																								}
																							else
																								{	/* Trace/walk.scm 254 */
																									BgL_testz00_3049 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3049)
																								{	/* Trace/walk.scm 256 */
																									obj_t BgL_arg3746z00_1166;

																									{	/* Trace/walk.scm 256 */
																										obj_t BgL_res3977z00_2045;

																										BgL_res3977z00_2045 =
																											MAKE_EXTENDED_PAIR
																											(BgL_tmp3z00_1125, BNIL,
																											BgL_llocz00_39);
																										BgL_arg3746z00_1166 =
																											BgL_res3977z00_2045;
																									}
																									{	/* Trace/walk.scm 255 */
																										obj_t BgL_res3978z00_2049;

																										{	/* Trace/walk.scm 255 */
																											obj_t BgL_obj1z00_2046;

																											BgL_obj1z00_2046 =
																												CNST_TABLE_REF(((long)
																													18));
																											BgL_res3978z00_2049 =
																												MAKE_EXTENDED_PAIR
																												(BgL_obj1z00_2046,
																												BgL_arg3746z00_1166,
																												BgL_llocz00_39);
																										}
																										BgL_arg3743z00_1163 =
																											BgL_res3978z00_2049;
																								}}
																							else
																								{	/* Trace/walk.scm 258 */
																									obj_t BgL_arg3747z00_1167;

																									BgL_arg3747z00_1167 =
																										MAKE_PAIR(BgL_tmp3z00_1125,
																										BNIL);
																									BgL_arg3743z00_1163 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 18)),
																										BgL_arg3747z00_1167);
																						}}
																						BgL_arg3744z00_1164 =
																							MAKE_PAIR(BgL_auxz00_1121, BNIL);
																						BgL_arg3739z00_1160 =
																							MAKE_PAIR(BgL_arg3743z00_1163,
																							BgL_arg3744z00_1164);
																					}
																					BgL_arg3737z00_1158 =
																						MAKE_PAIR(BgL_arg3738z00_1159,
																						BgL_arg3739z00_1160);
																				}
																				BgL_arg3736z00_1157 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																					BgL_arg3737z00_1158);
																			}
																			BgL_arg3732z00_1153 =
																				MAKE_PAIR(BgL_arg3736z00_1157, BNIL);
																		}
																		BgL_arg3730z00_1151 =
																			MAKE_PAIR(BgL_arg3731z00_1152,
																			BgL_arg3732z00_1153);
																	}
																	BgL_arg3728z00_1150 =
																		MAKE_PAIR(BNIL, BgL_arg3730z00_1151);
																}
																BgL_arg3727z00_1149 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg3728z00_1150);
															}
															BgL_arg3712z00_1134 =
																MAKE_PAIR(BgL_arg3727z00_1149, BNIL);
														}
														BgL_arg3710z00_1132 =
															MAKE_PAIR(BgL_arg3711z00_1133,
															BgL_arg3712z00_1134);
													}
													BgL_expz00_1128 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg3710z00_1132);
												}
												{	/* Trace/walk.scm 248 */
													BgL_nodez00_bglt BgL_nnodez00_1129;

													BgL_nnodez00_1129 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1128,
														BNIL, BgL_locz00_1120, CNST_TABLE_REF(((long) 20)));
													{	/* Trace/walk.scm 260 */

														{	/* Trace/walk.scm 261 */
															bool_t BgL_arg3708z00_1130;

															{	/* Trace/walk.scm 261 */
																obj_t BgL_arg3709z00_1131;

																BgL_arg3709z00_1131 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																{	/* Trace/walk.scm 261 */
																	BgL_backendz00_bglt BgL_obj3416z00_2050;

																	BgL_obj3416z00_2050 =
																		((BgL_backendz00_bglt) BgL_arg3709z00_1131);
																	BgL_arg3708z00_1130 =
																		(((BgL_backendz00_bglt) CREF(
																				((obj_t) BgL_obj3416z00_2050)))->
																		BgL_removezd2emptyzd2letz00);
															}}
															{	/* Trace/walk.scm 261 */
																BgL_letzd2varzd2_bglt BgL_obj3198z00_2051;

																BgL_obj3198z00_2051 =
																	((BgL_letzd2varzd2_bglt) BgL_nnodez00_1129);
																((((BgL_letzd2varzd2_bglt) CREF(
																				((obj_t) BgL_obj3198z00_2051)))->
																		BgL_removablezf3zf3) =
																	((bool_t) BgL_arg3708z00_1130), BUNSPEC);
														}}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1129);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_77,
		obj_t BgL_stackz00_78)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 416 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_77))
				{	/* Trace/walk.scm 417 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 417 */
					{	/* Trace/walk.scm 418 */
						BgL_nodez00_bglt BgL_arg3767z00_1187;

						{	/* Trace/walk.scm 418 */
							obj_t BgL_arg3768z00_1188;

							BgL_arg3768z00_1188 = CAR(BgL_nodeza2za2_77);
							BgL_arg3767z00_1187 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg3768z00_1188), BgL_stackz00_78);
						}
						{	/* Trace/walk.scm 418 */
							obj_t BgL_pairz00_2056;
							obj_t BgL_objz00_2057;

							BgL_pairz00_2056 = BgL_nodeza2za2_77;
							BgL_objz00_2057 = ((obj_t) BgL_arg3767z00_1187);
							SET_CAR(BgL_pairz00_2056, BgL_objz00_2057);
						}
					}
					{
						obj_t BgL_nodeza2za2_3092;

						BgL_nodeza2za2_3092 = CDR(BgL_nodeza2za2_77);
						BgL_nodeza2za2_77 = BgL_nodeza2za2_3092;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_82)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 458 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_82))
				{	/* Trace/walk.scm 459 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 459 */
					{	/* Trace/walk.scm 460 */
						BgL_nodez00_bglt BgL_arg3771z00_1191;

						{	/* Trace/walk.scm 460 */
							obj_t BgL_arg3772z00_1192;

							BgL_arg3772z00_1192 = CAR(BgL_nodeza2za2_82);
							BgL_arg3771z00_1191 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg3772z00_1192));
						}
						{	/* Trace/walk.scm 460 */
							obj_t BgL_pairz00_2062;
							obj_t BgL_objz00_2063;

							BgL_pairz00_2062 = BgL_nodeza2za2_82;
							BgL_objz00_2063 = ((obj_t) BgL_arg3771z00_1191);
							SET_CAR(BgL_pairz00_2062, BgL_objz00_2063);
						}
					}
					{
						obj_t BgL_nodeza2za2_3101;

						BgL_nodeza2za2_3101 = CDR(BgL_nodeza2za2_82);
						BgL_nodeza2za2_82 = BgL_nodeza2za2_3101;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc4025z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4026z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc4027z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4028z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc4029z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4030z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node3607 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2node3607z62zztrace_walkz00(obj_t
		BgL_envz00_2325, BgL_nodez00_bglt BgL_nodez00_2326)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 424 */
			return BgL_nodez00_2326;
		}
	}



/* &trace-node3569 */
	BgL_nodez00_bglt BGl_z62tracezd2node3569zb0zztrace_walkz00(obj_t
		BgL_envz00_2327, BgL_nodez00_bglt BgL_nodez00_2328, obj_t BgL_stackz00_2329)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 267 */
			return BgL_nodez00_2328;
		}
	}



/* &find-last-node3540 */
	BgL_nodez00_bglt BGl_z62findzd2lastzd2node3540z62zztrace_walkz00(obj_t
		BgL_envz00_2330, BgL_nodez00_bglt BgL_nodez00_2331)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 137 */
			return BgL_nodez00_2331;
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 137 */
			{	/* Trace/walk.scm 137 */
				obj_t BgL_method3541z00_1610;

				{	/* Trace/walk.scm 137 */
					obj_t BgL_res3987z00_2093;

					{	/* Trace/walk.scm 137 */
						BgL_objectz00_bglt BgL_objz00_2065;

						BgL_objz00_2065 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Trace/walk.scm 137 */
							long BgL_objzd2classzd2numz00_2066;

							{	/* Trace/walk.scm 137 */
								long BgL_res3981z00_2069;

								BgL_res3981z00_2069 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2065);
								BgL_objzd2classzd2numz00_2066 = BgL_res3981z00_2069;
							}
							{	/* Trace/walk.scm 137 */
								obj_t BgL_arg2545z00_2067;

								BgL_arg2545z00_2067 =
									PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 137 */
									obj_t BgL_arrayz00_2070;
									int BgL_offsetz00_2071;

									BgL_arrayz00_2070 = BgL_arg2545z00_2067;
									BgL_offsetz00_2071 = (int) (BgL_objzd2classzd2numz00_2066);
									{	/* Trace/walk.scm 137 */
										long BgL_offsetz00_2072;

										BgL_offsetz00_2072 =
											((long) (BgL_offsetz00_2071) - OBJECT_TYPE);
										{	/* Trace/walk.scm 137 */
											long BgL_modz00_2073;

											{	/* Trace/walk.scm 137 */
												int BgL_arg2547z00_2074;

												BgL_arg2547z00_2074 = (int) (((long) 16));
												{	/* Trace/walk.scm 137 */
													long BgL_res3984z00_2084;

													{	/* Trace/walk.scm 137 */
														long BgL_auxz00_3114;

														BgL_auxz00_3114 = (long) (BgL_arg2547z00_2074);
														BgL_res3984z00_2084 =
															(BgL_offsetz00_2072 / BgL_auxz00_3114);
													}
													BgL_modz00_2073 = BgL_res3984z00_2084;
											}}
											{	/* Trace/walk.scm 137 */
												long BgL_restz00_2075;

												{	/* Trace/walk.scm 137 */
													int BgL_arg2546z00_2076;

													BgL_arg2546z00_2076 = (int) (((long) 16));
													{	/* Trace/walk.scm 137 */
														long BgL_res3986z00_2088;

														{	/* Trace/walk.scm 137 */
															long BgL_auxz00_3118;

															BgL_auxz00_3118 = (long) (BgL_arg2546z00_2076);
															BgL_res3986z00_2088 =
																(BgL_offsetz00_2072 % BgL_auxz00_3118);
														}
														BgL_restz00_2075 = BgL_res3986z00_2088;
												}}
												{	/* Trace/walk.scm 137 */

													BgL_res3987z00_2093 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2070,
															(int) (BgL_modz00_2073)),
														(int) (BgL_restz00_2075));
					}}}}}}}}
					BgL_method3541z00_1610 = BgL_res3987z00_2093;
				}
				return
					PROCEDURE_ENTRY(BgL_method3541z00_1610) (BgL_method3541z00_1610,
					((obj_t) BgL_nodez00_22), BEOA);
			}
		}
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_2332,
		obj_t BgL_nodez00_2333)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 137 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2333));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_41, obj_t BgL_stackz00_42)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 267 */
			{	/* Trace/walk.scm 267 */
				obj_t BgL_method3571z00_1611;

				{	/* Trace/walk.scm 267 */
					obj_t BgL_res3994z00_2122;

					{	/* Trace/walk.scm 267 */
						BgL_objectz00_bglt BgL_objz00_2094;

						BgL_objz00_2094 = ((BgL_objectz00_bglt) BgL_nodez00_41);
						{	/* Trace/walk.scm 267 */
							long BgL_objzd2classzd2numz00_2095;

							{	/* Trace/walk.scm 267 */
								long BgL_res3988z00_2098;

								BgL_res3988z00_2098 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2094);
								BgL_objzd2classzd2numz00_2095 = BgL_res3988z00_2098;
							}
							{	/* Trace/walk.scm 267 */
								obj_t BgL_arg2545z00_2096;

								BgL_arg2545z00_2096 =
									PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 267 */
									obj_t BgL_arrayz00_2099;
									int BgL_offsetz00_2100;

									BgL_arrayz00_2099 = BgL_arg2545z00_2096;
									BgL_offsetz00_2100 = (int) (BgL_objzd2classzd2numz00_2095);
									{	/* Trace/walk.scm 267 */
										long BgL_offsetz00_2101;

										BgL_offsetz00_2101 =
											((long) (BgL_offsetz00_2100) - OBJECT_TYPE);
										{	/* Trace/walk.scm 267 */
											long BgL_modz00_2102;

											{	/* Trace/walk.scm 267 */
												int BgL_arg2547z00_2103;

												BgL_arg2547z00_2103 = (int) (((long) 16));
												{	/* Trace/walk.scm 267 */
													long BgL_res3991z00_2113;

													{	/* Trace/walk.scm 267 */
														long BgL_auxz00_3140;

														BgL_auxz00_3140 = (long) (BgL_arg2547z00_2103);
														BgL_res3991z00_2113 =
															(BgL_offsetz00_2101 / BgL_auxz00_3140);
													}
													BgL_modz00_2102 = BgL_res3991z00_2113;
											}}
											{	/* Trace/walk.scm 267 */
												long BgL_restz00_2104;

												{	/* Trace/walk.scm 267 */
													int BgL_arg2546z00_2105;

													BgL_arg2546z00_2105 = (int) (((long) 16));
													{	/* Trace/walk.scm 267 */
														long BgL_res3993z00_2117;

														{	/* Trace/walk.scm 267 */
															long BgL_auxz00_3144;

															BgL_auxz00_3144 = (long) (BgL_arg2546z00_2105);
															BgL_res3993z00_2117 =
																(BgL_offsetz00_2101 % BgL_auxz00_3144);
														}
														BgL_restz00_2104 = BgL_res3993z00_2117;
												}}
												{	/* Trace/walk.scm 267 */

													BgL_res3994z00_2122 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2099,
															(int) (BgL_modz00_2102)),
														(int) (BgL_restz00_2104));
					}}}}}}}}
					BgL_method3571z00_1611 = BgL_res3994z00_2122;
				}
				{	/* Trace/walk.scm 267 */
					obj_t BgL_xz00_2538;

					BgL_xz00_2538 =
						PROCEDURE_ENTRY(BgL_method3571z00_1611) (BgL_method3571z00_1611,
						((obj_t) BgL_nodez00_41), BgL_stackz00_42, BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_2538);
				}
			}
		}
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_2334,
		obj_t BgL_nodez00_2335, obj_t BgL_stackz00_2336)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 267 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2335), BgL_stackz00_2336);
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 424 */
			{	/* Trace/walk.scm 424 */
				obj_t BgL_method3608z00_1612;

				{	/* Trace/walk.scm 424 */
					obj_t BgL_res4001z00_2151;

					{	/* Trace/walk.scm 424 */
						BgL_objectz00_bglt BgL_objz00_2123;

						BgL_objz00_2123 = ((BgL_objectz00_bglt) BgL_nodez00_79);
						{	/* Trace/walk.scm 424 */
							long BgL_objzd2classzd2numz00_2124;

							{	/* Trace/walk.scm 424 */
								long BgL_res3995z00_2127;

								BgL_res3995z00_2127 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2123);
								BgL_objzd2classzd2numz00_2124 = BgL_res3995z00_2127;
							}
							{	/* Trace/walk.scm 424 */
								obj_t BgL_arg2545z00_2125;

								BgL_arg2545z00_2125 =
									PROCEDURE_REF
									(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 424 */
									obj_t BgL_arrayz00_2128;
									int BgL_offsetz00_2129;

									BgL_arrayz00_2128 = BgL_arg2545z00_2125;
									BgL_offsetz00_2129 = (int) (BgL_objzd2classzd2numz00_2124);
									{	/* Trace/walk.scm 424 */
										long BgL_offsetz00_2130;

										BgL_offsetz00_2130 =
											((long) (BgL_offsetz00_2129) - OBJECT_TYPE);
										{	/* Trace/walk.scm 424 */
											long BgL_modz00_2131;

											{	/* Trace/walk.scm 424 */
												int BgL_arg2547z00_2132;

												BgL_arg2547z00_2132 = (int) (((long) 16));
												{	/* Trace/walk.scm 424 */
													long BgL_res3998z00_2142;

													{	/* Trace/walk.scm 424 */
														long BgL_auxz00_3168;

														BgL_auxz00_3168 = (long) (BgL_arg2547z00_2132);
														BgL_res3998z00_2142 =
															(BgL_offsetz00_2130 / BgL_auxz00_3168);
													}
													BgL_modz00_2131 = BgL_res3998z00_2142;
											}}
											{	/* Trace/walk.scm 424 */
												long BgL_restz00_2133;

												{	/* Trace/walk.scm 424 */
													int BgL_arg2546z00_2134;

													BgL_arg2546z00_2134 = (int) (((long) 16));
													{	/* Trace/walk.scm 424 */
														long BgL_res4000z00_2146;

														{	/* Trace/walk.scm 424 */
															long BgL_auxz00_3172;

															BgL_auxz00_3172 = (long) (BgL_arg2546z00_2134);
															BgL_res4000z00_2146 =
																(BgL_offsetz00_2130 % BgL_auxz00_3172);
														}
														BgL_restz00_2133 = BgL_res4000z00_2146;
												}}
												{	/* Trace/walk.scm 424 */

													BgL_res4001z00_2151 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2128,
															(int) (BgL_modz00_2131)),
														(int) (BgL_restz00_2133));
					}}}}}}}}
					BgL_method3608z00_1612 = BgL_res4001z00_2151;
				}
				{	/* Trace/walk.scm 424 */
					obj_t BgL_xz00_2542;

					BgL_xz00_2542 =
						PROCEDURE_ENTRY(BgL_method3608z00_1612) (BgL_method3608z00_1612,
						((obj_t) BgL_nodez00_79), BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_2542);
				}
			}
		}
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_2337, obj_t BgL_nodez00_2338)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 424 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2338));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc4031z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc4033z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc4034z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc4035z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc4036z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc4037z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4038z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc4039z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc4040z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc4041z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc4042z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4043z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4044z00zztrace_walkz00,
				BGl_string4032z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4045z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4047z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4048z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4049z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4050z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4051z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4052z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc4053z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4054z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4055z00zztrace_walkz00, BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc4056z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc4057z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4058z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4059z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc4060z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc4061z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4062z00zztrace_walkz00,
				BGl_string4046z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc4063z00zztrace_walkz00,
				BGl_string4064z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc4065z00zztrace_walkz00,
				BGl_string4064z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node-3612 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd23612zb0zztrace_walkz00(obj_t
		BgL_envz00_2371, BgL_setqz00_bglt BgL_nodez00_2372)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			{
				BgL_setqz00_bglt BgL_nodez00_1877;

				BgL_nodez00_1877 = BgL_nodez00_2372;
				{	/* Trace/walk.scm 444 */
					BgL_varz00_bglt BgL_instance3526z00_1881;

					BgL_instance3526z00_1881 =
						(((BgL_setqz00_bglt) CREF(((obj_t) BgL_nodez00_1877)))->BgL_varz00);
					{	/* Trace/walk.scm 445 */
						bool_t BgL_testz00_3221;

						{	/* Trace/walk.scm 445 */
							bool_t BgL_testz00_3222;

							{	/* Trace/walk.scm 445 */
								BgL_variablez00_bglt BgL_arg3941z00_1902;

								BgL_arg3941z00_1902 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_instance3526z00_1881)))->BgL_variablez00);
								{	/* Trace/walk.scm 445 */
									bool_t BgL_res4010z00_2298;

									{	/* Trace/walk.scm 445 */
										obj_t BgL_obj1786z00_2297;

										BgL_obj1786z00_2297 = ((obj_t) BgL_arg3941z00_1902);
										BgL_res4010z00_2298 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_2297,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_3222 = BgL_res4010z00_2298;
								}
							}
							if (BgL_testz00_3222)
								{	/* Trace/walk.scm 446 */
									bool_t BgL_testz00_3227;

									{	/* Trace/walk.scm 446 */
										bool_t BgL_testz00_3228;

										{	/* Trace/walk.scm 446 */
											BgL_nodez00_bglt BgL_arg3940z00_1901;

											BgL_arg3940z00_1901 =
												(((BgL_setqz00_bglt) CREF(
														((obj_t) BgL_nodez00_1877)))->BgL_valuez00);
											{	/* Trace/walk.scm 446 */
												bool_t BgL_res4011z00_2301;

												{	/* Trace/walk.scm 446 */
													obj_t BgL_obj2196z00_2300;

													BgL_obj2196z00_2300 = ((obj_t) BgL_arg3940z00_1901);
													BgL_res4011z00_2301 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2196z00_2300,
														BGl_atomz00zzast_nodez00);
												}
												BgL_testz00_3228 = BgL_res4011z00_2301;
											}
										}
										if (BgL_testz00_3228)
											{	/* Trace/walk.scm 446 */
												BgL_testz00_3227 = ((bool_t) 1);
											}
										else
											{	/* Trace/walk.scm 447 */
												bool_t BgL_testz00_3233;

												{	/* Trace/walk.scm 447 */
													BgL_nodez00_bglt BgL_arg3939z00_1900;

													BgL_arg3939z00_1900 =
														(((BgL_setqz00_bglt) CREF(
																((obj_t) BgL_nodez00_1877)))->BgL_valuez00);
													{	/* Trace/walk.scm 447 */
														bool_t BgL_res4012z00_2304;

														{	/* Trace/walk.scm 447 */
															obj_t BgL_obj2216z00_2303;

															BgL_obj2216z00_2303 =
																((obj_t) BgL_arg3939z00_1900);
															BgL_res4012z00_2304 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj2216z00_2303, BGl_varz00zzast_nodez00);
														}
														BgL_testz00_3233 = BgL_res4012z00_2304;
													}
												}
												if (BgL_testz00_3233)
													{	/* Trace/walk.scm 447 */
														BgL_testz00_3227 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 448 */
														bool_t BgL_testz00_3238;

														{	/* Trace/walk.scm 448 */
															BgL_nodez00_bglt BgL_arg3938z00_1899;

															BgL_arg3938z00_1899 =
																(((BgL_setqz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1877)))->BgL_valuez00);
															{	/* Trace/walk.scm 448 */
																bool_t BgL_res4013z00_2307;

																{	/* Trace/walk.scm 448 */
																	obj_t BgL_obj2254z00_2306;

																	BgL_obj2254z00_2306 =
																		((obj_t) BgL_arg3938z00_1899);
																	BgL_res4013z00_2307 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj2254z00_2306,
																		BGl_kwotez00zzast_nodez00);
																}
																BgL_testz00_3238 = BgL_res4013z00_2307;
															}
														}
														if (BgL_testz00_3238)
															{	/* Trace/walk.scm 448 */
																BgL_testz00_3227 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 449 */
																BgL_nodez00_bglt BgL_arg3937z00_1898;

																BgL_arg3937z00_1898 =
																	(((BgL_setqz00_bglt) CREF(
																			((obj_t) BgL_nodez00_1877)))->
																	BgL_valuez00);
																{	/* Trace/walk.scm 449 */
																	bool_t BgL_res4014z00_2310;

																	{	/* Trace/walk.scm 449 */
																		obj_t BgL_obj2475z00_2309;

																		BgL_obj2475z00_2309 =
																			((obj_t) BgL_arg3937z00_1898);
																		BgL_res4014z00_2310 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj2475z00_2309,
																			BGl_pragmaz00zzast_nodez00);
																	}
																	BgL_testz00_3227 = BgL_res4014z00_2310;
																}
															}
													}
											}
									}
									if (BgL_testz00_3227)
										{	/* Trace/walk.scm 446 */
											BgL_testz00_3221 = ((bool_t) 0);
										}
									else
										{	/* Trace/walk.scm 446 */
											BgL_testz00_3221 = ((bool_t) 1);
										}
								}
							else
								{	/* Trace/walk.scm 445 */
									BgL_testz00_3221 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3221)
							{	/* Trace/walk.scm 450 */
								BgL_typez00_bglt BgL_tz00_1883;

								{	/* Trace/walk.scm 450 */
									BgL_typez00_bglt BgL_arg3928z00_1889;
									BgL_typez00_bglt BgL_arg3929z00_1890;

									{	/* Trace/walk.scm 450 */
										BgL_nodez00_bglt BgL_obj2137z00_2312;

										BgL_obj2137z00_2312 =
											(((BgL_setqz00_bglt) CREF(
													((obj_t) BgL_nodez00_1877)))->BgL_valuez00);
										BgL_arg3928z00_1889 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2137z00_2312)))->BgL_typez00);
									}
									{	/* Trace/walk.scm 450 */
										BgL_variablez00_bglt BgL_obj1609z00_2314;

										BgL_obj1609z00_2314 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_instance3526z00_1881)))->
											BgL_variablez00);
										BgL_arg3929z00_1890 =
											(((BgL_variablez00_bglt) CREF(((obj_t)
														BgL_obj1609z00_2314)))->BgL_typez00);
									}
									BgL_tz00_1883 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg3928z00_1889, BgL_arg3929z00_1890);
								}
								{	/* Trace/walk.scm 450 */
									BgL_letzd2varzd2_bglt BgL_tracez00_1884;

									{	/* Trace/walk.scm 451 */
										BgL_nodez00_bglt BgL_arg3924z00_1885;
										obj_t BgL_arg3925z00_1886;
										obj_t BgL_arg3926z00_1887;

										BgL_arg3924z00_1885 =
											(((BgL_setqz00_bglt) CREF(
													((obj_t) BgL_nodez00_1877)))->BgL_valuez00);
										{	/* Trace/walk.scm 451 */
											BgL_variablez00_bglt BgL_arg3927z00_1888;

											BgL_arg3927z00_1888 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_instance3526z00_1881)))->
												BgL_variablez00);
											BgL_arg3925z00_1886 =
												BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
													BgL_arg3927z00_1888));
										}
										{	/* Trace/walk.scm 451 */
											BgL_nodez00_bglt BgL_obj2136z00_2317;

											BgL_obj2136z00_2317 =
												((BgL_nodez00_bglt) BgL_nodez00_1877);
											BgL_arg3926z00_1887 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2136z00_2317)))->BgL_locz00);
										}
										BgL_tracez00_1884 =
											BGl_makezd2tracedzd2nodez00zztrace_walkz00
											(BgL_arg3924z00_1885, BgL_tz00_1883, BgL_arg3925z00_1886,
											BgL_arg3926z00_1887, BNIL);
									}
									{	/* Trace/walk.scm 451 */

										{	/* Trace/walk.scm 452 */
											BgL_nodez00_bglt BgL_val3008z00_2319;

											BgL_val3008z00_2319 =
												((BgL_nodez00_bglt) BgL_tracez00_1884);
											((((BgL_setqz00_bglt) CREF(
															((obj_t) BgL_nodez00_1877)))->BgL_valuez00) =
												((BgL_nodez00_bglt) BgL_val3008z00_2319), BUNSPEC);
										}
									}
								}
							}
						else
							{	/* Trace/walk.scm 445 */
								BFALSE;
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1877);
			}
		}
	}



/* &toplevel-trace-node-3610 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd23610zb0zztrace_walkz00(obj_t
		BgL_envz00_2373, BgL_sequencez00_bglt BgL_nodez00_2374)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 430 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1872;

				BgL_nodez00_1872 = BgL_nodez00_2374;
				{	/* Trace/walk.scm 431 */
					obj_t BgL_arg3922z00_2293;

					BgL_arg3922z00_2293 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1872)))->BgL_nodesz00);
					BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00
						(BgL_arg3922z00_2293);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1872);
			}
		}
	}



/* &trace-node-box-set!3606 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz123606za2zztrace_walkz00(obj_t
		BgL_envz00_2375, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2376,
		obj_t BgL_stackz00_2377)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 407 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1862;
				obj_t BgL_stackz00_1863;

				BgL_nodez00_1862 = BgL_nodez00_2376;
				BgL_stackz00_1863 = BgL_stackz00_2377;
				{	/* Trace/walk.scm 409 */
					BgL_nodez00_bglt BgL_arg3918z00_1867;

					{	/* Trace/walk.scm 409 */
						BgL_varz00_bglt BgL_arg3919z00_1868;

						BgL_arg3919z00_1868 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1862)))->BgL_varz00);
						BgL_arg3918z00_1867 =
							BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg3919z00_1868), BgL_stackz00_1863);
					}
					{	/* Trace/walk.scm 409 */
						BgL_varz00_bglt BgL_val3345z00_2289;

						BgL_val3345z00_2289 = ((BgL_varz00_bglt) BgL_arg3918z00_1867);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1862)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_2289), BUNSPEC);
					}
				}
				{	/* Trace/walk.scm 410 */
					BgL_nodez00_bglt BgL_arg3920z00_1869;

					{	/* Trace/walk.scm 410 */
						BgL_nodez00_bglt BgL_arg3921z00_1870;

						BgL_arg3921z00_1870 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1862)))->BgL_valuez00);
						BgL_arg3920z00_1869 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3921z00_1870,
							BgL_stackz00_1863);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1862)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3920z00_1869), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1862);
			}
		}
	}



/* &trace-node-box-ref3604 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref3604zb0zztrace_walkz00(obj_t
		BgL_envz00_2378, BgL_boxzd2refzd2_bglt BgL_nodez00_2379,
		obj_t BgL_stackz00_2380)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 400 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1855;
				obj_t BgL_stackz00_1856;

				BgL_nodez00_1855 = BgL_nodez00_2379;
				BgL_stackz00_1856 = BgL_stackz00_2380;
				{	/* Trace/walk.scm 401 */
					BgL_nodez00_bglt BgL_arg3916z00_2282;

					{	/* Trace/walk.scm 401 */
						BgL_varz00_bglt BgL_arg3917z00_2283;

						BgL_arg3917z00_2283 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1855)))->BgL_varz00);
						BgL_arg3916z00_2282 =
							BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg3917z00_2283), BgL_stackz00_1856);
					}
					{	/* Trace/walk.scm 401 */
						BgL_varz00_bglt BgL_val3319z00_2286;

						BgL_val3319z00_2286 = ((BgL_varz00_bglt) BgL_arg3916z00_2282);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1855)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_2286), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1855);
			}
		}
	}



/* &trace-node-make-box3602 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box3602zb0zztrace_walkz00(obj_t
		BgL_envz00_2381, BgL_makezd2boxzd2_bglt BgL_nodez00_2382,
		obj_t BgL_stackz00_2383)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 393 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1848;
				obj_t BgL_stackz00_1849;

				BgL_nodez00_1848 = BgL_nodez00_2382;
				BgL_stackz00_1849 = BgL_stackz00_2383;
				{	/* Trace/walk.scm 394 */
					BgL_nodez00_bglt BgL_arg3914z00_2277;

					{	/* Trace/walk.scm 394 */
						BgL_nodez00_bglt BgL_arg3915z00_2278;

						BgL_arg3915z00_2278 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1848)))->BgL_valuez00);
						BgL_arg3914z00_2277 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3915z00_2278,
							BgL_stackz00_1849);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1848)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3914z00_2277), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1848);
			}
		}
	}



/* &trace-node-jump-ex-i3600 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i3600z62zztrace_walkz00(obj_t
		BgL_envz00_2384, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2385,
		obj_t BgL_stackz00_2386)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 384 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1838;
				obj_t BgL_stackz00_1839;

				BgL_nodez00_1838 = BgL_nodez00_2385;
				BgL_stackz00_1839 = BgL_stackz00_2386;
				{	/* Trace/walk.scm 386 */
					BgL_nodez00_bglt BgL_arg3910z00_1843;

					{	/* Trace/walk.scm 386 */
						BgL_nodez00_bglt BgL_arg3911z00_1844;

						BgL_arg3911z00_1844 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1838)))->BgL_exitz00);
						BgL_arg3910z00_1843 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3911z00_1844,
							BgL_stackz00_1839);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1838)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg3910z00_1843), BUNSPEC);
				}
				{	/* Trace/walk.scm 387 */
					BgL_nodez00_bglt BgL_arg3912z00_1845;

					{	/* Trace/walk.scm 387 */
						BgL_nodez00_bglt BgL_arg3913z00_1846;

						BgL_arg3913z00_1846 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1838)))->BgL_valuez00);
						BgL_arg3912z00_1845 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3913z00_1846,
							BgL_stackz00_1839);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1838)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3912z00_1845), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1838);
			}
		}
	}



/* &trace-node-set-ex-it3598 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it3598z62zztrace_walkz00(obj_t
		BgL_envz00_2387, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2388,
		obj_t BgL_stackz00_2389)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 377 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1831;
				obj_t BgL_stackz00_1832;

				BgL_nodez00_1831 = BgL_nodez00_2388;
				BgL_stackz00_1832 = BgL_stackz00_2389;
				{	/* Trace/walk.scm 378 */
					BgL_nodez00_bglt BgL_arg3908z00_2266;

					{	/* Trace/walk.scm 378 */
						BgL_nodez00_bglt BgL_arg3909z00_2267;

						BgL_arg3909z00_2267 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1831)))->BgL_bodyz00);
						BgL_arg3908z00_2266 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3909z00_2267,
							BgL_stackz00_1832);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1831)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3908z00_2266), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1831);
			}
		}
	}



/* &trace-node-let-var3595 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var3595zb0zztrace_walkz00(obj_t
		BgL_envz00_2390, BgL_letzd2varzd2_bglt BgL_nodez00_2391,
		obj_t BgL_stackz00_2392)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 366 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1813;
				obj_t BgL_stackz00_1814;

				BgL_nodez00_1813 = BgL_nodez00_2391;
				BgL_stackz00_1814 = BgL_stackz00_2392;
				{	/* Trace/walk.scm 368 */
					obj_t BgL_g3539z00_1818;

					BgL_g3539z00_1818 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1813)))->BgL_bindingsz00);
					{
						obj_t BgL_l3537z00_1820;

						BgL_l3537z00_1820 = BgL_g3539z00_1818;
					BgL_zc3anonymousza33901ze3z83_1821:
						if (PAIRP(BgL_l3537z00_1820))
							{	/* Trace/walk.scm 368 */
								{	/* Trace/walk.scm 369 */
									obj_t BgL_bindingz00_1823;

									BgL_bindingz00_1823 = CAR(BgL_l3537z00_1820);
									{	/* Trace/walk.scm 369 */
										BgL_nodez00_bglt BgL_arg3903z00_1824;

										{	/* Trace/walk.scm 369 */
											obj_t BgL_arg3904z00_1825;

											BgL_arg3904z00_1825 = CDR(BgL_bindingz00_1823);
											BgL_arg3903z00_1824 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg3904z00_1825),
												BgL_stackz00_1814);
										}
										{	/* Trace/walk.scm 369 */
											obj_t BgL_pairz00_2260;
											obj_t BgL_objz00_2261;

											BgL_pairz00_2260 = BgL_bindingz00_1823;
											BgL_objz00_2261 = ((obj_t) BgL_arg3903z00_1824);
											SET_CDR(BgL_pairz00_2260, BgL_objz00_2261);
										}
									}
								}
								{
									obj_t BgL_l3537z00_3328;

									BgL_l3537z00_3328 = CDR(BgL_l3537z00_1820);
									BgL_l3537z00_1820 = BgL_l3537z00_3328;
									goto BgL_zc3anonymousza33901ze3z83_1821;
								}
							}
						else
							{	/* Trace/walk.scm 368 */
								((bool_t) 1);
							}
					}
				}
				{	/* Trace/walk.scm 371 */
					BgL_nodez00_bglt BgL_arg3906z00_1828;

					{	/* Trace/walk.scm 371 */
						BgL_nodez00_bglt BgL_arg3907z00_1829;

						BgL_arg3907z00_1829 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1813)))->BgL_bodyz00);
						BgL_arg3906z00_1828 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3907z00_1829,
							BgL_stackz00_1814);
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1813)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3906z00_1828), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1813);
			}
		}
	}



/* &trace-node-let-fun3593 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun3593zb0zztrace_walkz00(obj_t
		BgL_envz00_2393, BgL_letzd2funzd2_bglt BgL_nodez00_2394,
		obj_t BgL_stackz00_2395)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 357 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1797;
				obj_t BgL_stackz00_1798;

				BgL_nodez00_1797 = BgL_nodez00_2394;
				BgL_stackz00_1798 = BgL_stackz00_2395;
				{	/* Trace/walk.scm 359 */
					obj_t BgL_g3536z00_1802;

					BgL_g3536z00_1802 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1797)))->BgL_localsz00);
					{
						obj_t BgL_l3534z00_1804;

						BgL_l3534z00_1804 = BgL_g3536z00_1802;
					BgL_zc3anonymousza33896ze3z83_1805:
						if (PAIRP(BgL_l3534z00_1804))
							{	/* Trace/walk.scm 359 */
								BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l3534z00_1804),
									BgL_stackz00_1798);
								{
									obj_t BgL_l3534z00_3342;

									BgL_l3534z00_3342 = CDR(BgL_l3534z00_1804);
									BgL_l3534z00_1804 = BgL_l3534z00_3342;
									goto BgL_zc3anonymousza33896ze3z83_1805;
								}
							}
						else
							{	/* Trace/walk.scm 359 */
								((bool_t) 1);
							}
					}
				}
				{	/* Trace/walk.scm 360 */
					BgL_nodez00_bglt BgL_arg3899z00_1810;

					{	/* Trace/walk.scm 360 */
						BgL_nodez00_bglt BgL_arg3900z00_1811;

						BgL_arg3900z00_1811 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1797)))->BgL_bodyz00);
						BgL_arg3899z00_1810 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3900z00_1811,
							BgL_stackz00_1798);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1797)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3899z00_1810), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1797);
			}
		}
	}



/* &trace-node-select3591 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2select3591z62zztrace_walkz00(obj_t
		BgL_envz00_2396, BgL_selectz00_bglt BgL_nodez00_2397,
		obj_t BgL_stackz00_2398)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 346 */
			{
				BgL_selectz00_bglt BgL_nodez00_1779;
				obj_t BgL_stackz00_1780;

				BgL_nodez00_1779 = BgL_nodez00_2397;
				BgL_stackz00_1780 = BgL_stackz00_2398;
				{	/* Trace/walk.scm 348 */
					BgL_nodez00_bglt BgL_arg3889z00_1784;

					{	/* Trace/walk.scm 348 */
						BgL_nodez00_bglt BgL_arg3890z00_1785;

						BgL_arg3890z00_1785 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1779)))->BgL_testz00);
						BgL_arg3889z00_1784 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3890z00_1785,
							BgL_stackz00_1780);
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1779)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3889z00_1784), BUNSPEC);
				}
				{	/* Trace/walk.scm 349 */
					obj_t BgL_g3533z00_1786;

					BgL_g3533z00_1786 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1779)))->BgL_clausesz00);
					{
						obj_t BgL_l3531z00_1788;

						BgL_l3531z00_1788 = BgL_g3533z00_1786;
					BgL_zc3anonymousza33891ze3z83_1789:
						if (PAIRP(BgL_l3531z00_1788))
							{	/* Trace/walk.scm 349 */
								{	/* Trace/walk.scm 350 */
									obj_t BgL_clausez00_1791;

									BgL_clausez00_1791 = CAR(BgL_l3531z00_1788);
									{	/* Trace/walk.scm 350 */
										BgL_nodez00_bglt BgL_arg3893z00_1792;

										{	/* Trace/walk.scm 350 */
											obj_t BgL_arg3894z00_1793;

											BgL_arg3894z00_1793 = CDR(BgL_clausez00_1791);
											BgL_arg3893z00_1792 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg3894z00_1793),
												BgL_stackz00_1780);
										}
										{	/* Trace/walk.scm 350 */
											obj_t BgL_pairz00_2244;
											obj_t BgL_objz00_2245;

											BgL_pairz00_2244 = BgL_clausez00_1791;
											BgL_objz00_2245 = ((obj_t) BgL_arg3893z00_1792);
											SET_CDR(BgL_pairz00_2244, BgL_objz00_2245);
										}
									}
								}
								{
									obj_t BgL_l3531z00_3365;

									BgL_l3531z00_3365 = CDR(BgL_l3531z00_1788);
									BgL_l3531z00_1788 = BgL_l3531z00_3365;
									goto BgL_zc3anonymousza33891ze3z83_1789;
								}
							}
						else
							{	/* Trace/walk.scm 349 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1779);
			}
		}
	}



/* &trace-node-fail3589 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail3589z62zztrace_walkz00(obj_t
		BgL_envz00_2399, BgL_failz00_bglt BgL_nodez00_2400, obj_t BgL_stackz00_2401)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 336 */
			{
				BgL_failz00_bglt BgL_nodez00_1767;
				obj_t BgL_stackz00_1768;

				BgL_nodez00_1767 = BgL_nodez00_2400;
				BgL_stackz00_1768 = BgL_stackz00_2401;
				{	/* Trace/walk.scm 338 */
					BgL_nodez00_bglt BgL_arg3883z00_1772;

					{	/* Trace/walk.scm 338 */
						BgL_nodez00_bglt BgL_arg3884z00_1773;

						BgL_arg3884z00_1773 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1767)))->BgL_procz00);
						BgL_arg3883z00_1772 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3884z00_1773,
							BgL_stackz00_1768);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1767)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3883z00_1772), BUNSPEC);
				}
				{	/* Trace/walk.scm 339 */
					BgL_nodez00_bglt BgL_arg3885z00_1774;

					{	/* Trace/walk.scm 339 */
						BgL_nodez00_bglt BgL_arg3886z00_1775;

						BgL_arg3886z00_1775 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1767)))->BgL_msgz00);
						BgL_arg3885z00_1774 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3886z00_1775,
							BgL_stackz00_1768);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1767)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3885z00_1774), BUNSPEC);
				}
				{	/* Trace/walk.scm 340 */
					BgL_nodez00_bglt BgL_arg3887z00_1776;

					{	/* Trace/walk.scm 340 */
						BgL_nodez00_bglt BgL_arg3888z00_1777;

						BgL_arg3888z00_1777 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1767)))->BgL_objz00);
						BgL_arg3887z00_1776 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3888z00_1777,
							BgL_stackz00_1768);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1767)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3887z00_1776), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1767);
			}
		}
	}



/* &trace-node-condition3587 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition3587z62zztrace_walkz00(obj_t
		BgL_envz00_2402, BgL_conditionalz00_bglt BgL_nodez00_2403,
		obj_t BgL_stackz00_2404)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 326 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1755;
				obj_t BgL_stackz00_1756;

				BgL_nodez00_1755 = BgL_nodez00_2403;
				BgL_stackz00_1756 = BgL_stackz00_2404;
				{	/* Trace/walk.scm 328 */
					BgL_nodez00_bglt BgL_arg3877z00_1760;

					{	/* Trace/walk.scm 328 */
						BgL_nodez00_bglt BgL_arg3878z00_1761;

						BgL_arg3878z00_1761 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1755)))->BgL_testz00);
						BgL_arg3877z00_1760 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3878z00_1761,
							BgL_stackz00_1756);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1755)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3877z00_1760), BUNSPEC);
				}
				{	/* Trace/walk.scm 329 */
					BgL_nodez00_bglt BgL_arg3879z00_1762;

					{	/* Trace/walk.scm 329 */
						BgL_nodez00_bglt BgL_arg3880z00_1763;

						BgL_arg3880z00_1763 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1755)))->BgL_truez00);
						BgL_arg3879z00_1762 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3880z00_1763,
							BgL_stackz00_1756);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1755)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg3879z00_1762), BUNSPEC);
				}
				{	/* Trace/walk.scm 330 */
					BgL_nodez00_bglt BgL_arg3881z00_1764;

					{	/* Trace/walk.scm 330 */
						BgL_nodez00_bglt BgL_arg3882z00_1765;

						BgL_arg3882z00_1765 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1755)))->BgL_falsez00);
						BgL_arg3881z00_1764 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3882z00_1765,
							BgL_stackz00_1756);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1755)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg3881z00_1764), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1755);
			}
		}
	}



/* &trace-node-setq3585 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq3585z62zztrace_walkz00(obj_t
		BgL_envz00_2405, BgL_setqz00_bglt BgL_nodez00_2406, obj_t BgL_stackz00_2407)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 319 */
			{
				BgL_setqz00_bglt BgL_nodez00_1748;
				obj_t BgL_stackz00_1749;

				BgL_nodez00_1748 = BgL_nodez00_2406;
				BgL_stackz00_1749 = BgL_stackz00_2407;
				{	/* Trace/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3875z00_2213;

					{	/* Trace/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3876z00_2214;

						BgL_arg3876z00_2214 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1748)))->BgL_valuez00);
						BgL_arg3875z00_2213 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3876z00_2214,
							BgL_stackz00_1749);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1748)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3875z00_2213), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1748);
			}
		}
	}



/* &trace-node-cast3583 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast3583z62zztrace_walkz00(obj_t
		BgL_envz00_2408, BgL_castz00_bglt BgL_nodez00_2409, obj_t BgL_stackz00_2410)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 312 */
			{
				BgL_castz00_bglt BgL_nodez00_1742;
				obj_t BgL_stackz00_1743;

				BgL_nodez00_1742 = BgL_nodez00_2409;
				BgL_stackz00_1743 = BgL_stackz00_2410;
				{	/* Trace/walk.scm 313 */
					BgL_nodez00_bglt BgL_arg3874z00_2211;

					BgL_arg3874z00_2211 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1742)))->BgL_argz00);
					BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3874z00_2211,
						BgL_stackz00_1743);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1742);
			}
		}
	}



/* &trace-node-extern3581 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern3581z62zztrace_walkz00(obj_t
		BgL_envz00_2411, BgL_externz00_bglt BgL_nodez00_2412,
		obj_t BgL_stackz00_2413)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 305 */
			{
				BgL_externz00_bglt BgL_nodez00_1736;
				obj_t BgL_stackz00_1737;

				BgL_nodez00_1736 = BgL_nodez00_2412;
				BgL_stackz00_1737 = BgL_stackz00_2413;
				{	/* Trace/walk.scm 306 */
					obj_t BgL_arg3873z00_2209;

					BgL_arg3873z00_2209 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1736)))->BgL_exprza2za2);
					BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3873z00_2209,
						BgL_stackz00_1737);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1736);
			}
		}
	}



/* &trace-node-funcall3579 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall3579z62zztrace_walkz00(obj_t
		BgL_envz00_2414, BgL_funcallz00_bglt BgL_nodez00_2415,
		obj_t BgL_stackz00_2416)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 296 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1727;
				obj_t BgL_stackz00_1728;

				BgL_nodez00_1727 = BgL_nodez00_2415;
				BgL_stackz00_1728 = BgL_stackz00_2416;
				{	/* Trace/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg3870z00_1732;

					{	/* Trace/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg3871z00_1733;

						BgL_arg3871z00_1733 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1727)))->BgL_funz00);
						BgL_arg3870z00_1732 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3871z00_1733,
							BgL_stackz00_1728);
					}
					((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1727)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3870z00_1732), BUNSPEC);
				}
				{	/* Trace/walk.scm 299 */
					obj_t BgL_arg3872z00_1734;

					BgL_arg3872z00_1734 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1727)))->BgL_argsz00);
					BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3872z00_1734,
						BgL_stackz00_1728);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1727);
			}
		}
	}



/* &trace-node-app-ly3577 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly3577zb0zztrace_walkz00(obj_t
		BgL_envz00_2417, BgL_appzd2lyzd2_bglt BgL_nodez00_2418,
		obj_t BgL_stackz00_2419)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 287 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1717;
				obj_t BgL_stackz00_1718;

				BgL_nodez00_1717 = BgL_nodez00_2418;
				BgL_stackz00_1718 = BgL_stackz00_2419;
				{	/* Trace/walk.scm 289 */
					BgL_nodez00_bglt BgL_arg3866z00_1722;

					{	/* Trace/walk.scm 289 */
						BgL_nodez00_bglt BgL_arg3867z00_1723;

						BgL_arg3867z00_1723 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1717)))->BgL_funz00);
						BgL_arg3866z00_1722 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3867z00_1723,
							BgL_stackz00_1718);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1717)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3866z00_1722), BUNSPEC);
				}
				{	/* Trace/walk.scm 290 */
					BgL_nodez00_bglt BgL_arg3868z00_1724;

					{	/* Trace/walk.scm 290 */
						BgL_nodez00_bglt BgL_arg3869z00_1725;

						BgL_arg3869z00_1725 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1717)))->BgL_argz00);
						BgL_arg3868z00_1724 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg3869z00_1725,
							BgL_stackz00_1718);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1717)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3868z00_1724), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1717);
			}
		}
	}



/* &trace-node-app3575 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app3575z62zztrace_walkz00(obj_t
		BgL_envz00_2420, BgL_appz00_bglt BgL_nodez00_2421, obj_t BgL_stackz00_2422)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 280 */
			{
				BgL_appz00_bglt BgL_nodez00_1711;
				obj_t BgL_stackz00_1712;

				BgL_nodez00_1711 = BgL_nodez00_2421;
				BgL_stackz00_1712 = BgL_stackz00_2422;
				{	/* Trace/walk.scm 281 */
					obj_t BgL_arg3865z00_2197;

					BgL_arg3865z00_2197 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1711)))->BgL_argsz00);
					BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3865z00_2197,
						BgL_stackz00_1712);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1711);
			}
		}
	}



/* &trace-node-sequence3573 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence3573z62zztrace_walkz00(obj_t
		BgL_envz00_2423, BgL_sequencez00_bglt BgL_nodez00_2424,
		obj_t BgL_stackz00_2425)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 273 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1705;
				obj_t BgL_stackz00_1706;

				BgL_nodez00_1705 = BgL_nodez00_2424;
				BgL_stackz00_1706 = BgL_stackz00_2425;
				{	/* Trace/walk.scm 274 */
					obj_t BgL_arg3864z00_2195;

					BgL_arg3864z00_2195 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1705)))->BgL_nodesz00);
					BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3864z00_2195,
						BgL_stackz00_1706);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1705);
			}
		}
	}



/* &find-last-node-jump-3568 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd23568z62zztrace_walkz00(obj_t
		BgL_envz00_2426, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2427)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 230 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1700;

				BgL_nodez00_1700 = BgL_nodez00_2427;
				{	/* Trace/walk.scm 231 */
					BgL_nodez00_bglt BgL_arg3863z00_2193;

					BgL_arg3863z00_2193 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1700)))->BgL_valuez00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3863z00_2193);
				}
			}
		}
	}



/* &find-last-node-set-e3566 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e3566z62zztrace_walkz00(obj_t
		BgL_envz00_2428, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2429)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 224 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1695;

				BgL_nodez00_1695 = BgL_nodez00_2429;
				{	/* Trace/walk.scm 225 */
					BgL_nodez00_bglt BgL_arg3862z00_2191;

					BgL_arg3862z00_2191 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1695)))->BgL_bodyz00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3862z00_2191);
				}
			}
		}
	}



/* &find-last-node-let-f3564 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f3564z62zztrace_walkz00(obj_t
		BgL_envz00_2430, BgL_letzd2funzd2_bglt BgL_nodez00_2431)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 218 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1690;

				BgL_nodez00_1690 = BgL_nodez00_2431;
				{	/* Trace/walk.scm 219 */
					BgL_nodez00_bglt BgL_arg3861z00_2189;

					BgL_arg3861z00_2189 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1690)))->BgL_bodyz00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3861z00_2189);
				}
			}
		}
	}



/* &find-last-node-let-v3562 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v3562z62zztrace_walkz00(obj_t
		BgL_envz00_2432, BgL_letzd2varzd2_bglt BgL_nodez00_2433)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 212 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1685;

				BgL_nodez00_1685 = BgL_nodez00_2433;
				{	/* Trace/walk.scm 213 */
					BgL_nodez00_bglt BgL_arg3860z00_2187;

					BgL_arg3860z00_2187 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1685)))->BgL_bodyz00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3860z00_2187);
				}
			}
		}
	}



/* &find-last-node-selec3560 */
	obj_t BGl_z62findzd2lastzd2nodezd2selec3560zb0zztrace_walkz00(obj_t
		BgL_envz00_2434, BgL_selectz00_bglt BgL_nodez00_2435)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 203 */
			{
				BgL_selectz00_bglt BgL_nodez00_1674;

				BgL_nodez00_1674 = BgL_nodez00_2435;
				{	/* Trace/walk.scm 205 */
					bool_t BgL_testz00_3454;

					{	/* Trace/walk.scm 205 */
						obj_t BgL_auxz00_3455;

						BgL_auxz00_3455 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1674)))->BgL_clausesz00);
						BgL_testz00_3454 = PAIRP(BgL_auxz00_3455);
					}
					if (BgL_testz00_3454)
						{	/* Trace/walk.scm 206 */
							obj_t BgL_arg3855z00_1679;

							BgL_arg3855z00_1679 =
								CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_selectz00_bglt) CREF(
												((obj_t) BgL_nodez00_1674)))->BgL_clausesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg3855z00_1679));
						}
					else
						{	/* Trace/walk.scm 205 */
							return
								BGl_findzd2lastzd2sexpz00zztrace_walkz00(
								((obj_t)
									(((BgL_selectz00_bglt) CREF(
												((obj_t) BgL_nodez00_1674)))->BgL_testz00)));
						}
				}
			}
		}
	}



/* &find-last-node-fail3558 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail3558zb0zztrace_walkz00(obj_t
		BgL_envz00_2436, BgL_failz00_bglt BgL_nodez00_2437)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 197 */
			{
				BgL_failz00_bglt BgL_nodez00_1669;

				BgL_nodez00_1669 = BgL_nodez00_2437;
				{	/* Trace/walk.scm 198 */
					BgL_nodez00_bglt BgL_arg3853z00_2179;

					BgL_arg3853z00_2179 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1669)))->BgL_objz00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3853z00_2179);
				}
			}
		}
	}



/* &find-last-node-condi3556 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi3556zb0zztrace_walkz00(obj_t
		BgL_envz00_2438, BgL_conditionalz00_bglt BgL_nodez00_2439)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 191 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1664;

				BgL_nodez00_1664 = BgL_nodez00_2439;
				{	/* Trace/walk.scm 192 */
					BgL_nodez00_bglt BgL_arg3852z00_2177;

					BgL_arg3852z00_2177 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1664)))->BgL_falsez00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3852z00_2177);
				}
			}
		}
	}



/* &find-last-node-setq3554 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq3554zb0zztrace_walkz00(obj_t
		BgL_envz00_2440, BgL_setqz00_bglt BgL_nodez00_2441)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 185 */
			{
				BgL_setqz00_bglt BgL_nodez00_1659;

				BgL_nodez00_1659 = BgL_nodez00_2441;
				{	/* Trace/walk.scm 186 */
					BgL_nodez00_bglt BgL_arg3851z00_2175;

					BgL_arg3851z00_2175 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1659)))->BgL_valuez00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3851z00_2175);
				}
			}
		}
	}



/* &find-last-node-exter3552 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter3552zb0zztrace_walkz00(obj_t
		BgL_envz00_2442, BgL_externz00_bglt BgL_nodez00_2443)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 176 */
			{
				BgL_externz00_bglt BgL_nodez00_1649;

				BgL_nodez00_1649 = BgL_nodez00_2443;
				if (NULLP(
						(((BgL_externz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_exprza2za2)))
					{	/* Trace/walk.scm 178 */
						return ((obj_t) BgL_nodez00_1649);
					}
				else
					{	/* Trace/walk.scm 179 */
						obj_t BgL_arg3847z00_1654;

						BgL_arg3847z00_1654 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_externz00_bglt) CREF(
											((obj_t) BgL_nodez00_1649)))->BgL_exprza2za2)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg3847z00_1654));
					}
			}
		}
	}



/* &find-last-node-funca3550 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca3550zb0zztrace_walkz00(obj_t
		BgL_envz00_2444, BgL_funcallz00_bglt BgL_nodez00_2445)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 167 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1638;

				BgL_nodez00_1638 = BgL_nodez00_2445;
				{	/* Trace/walk.scm 169 */
					bool_t BgL_testz00_3489;

					{	/* Trace/walk.scm 169 */
						obj_t BgL_auxz00_3490;

						BgL_auxz00_3490 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1638)))->BgL_argsz00);
						BgL_testz00_3489 = PAIRP(BgL_auxz00_3490);
					}
					if (BgL_testz00_3489)
						{	/* Trace/walk.scm 170 */
							obj_t BgL_arg3841z00_1643;

							BgL_arg3841z00_1643 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_funcallz00_bglt) CREF(
												((obj_t) BgL_nodez00_1638)))->BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg3841z00_1643));
						}
					else
						{	/* Trace/walk.scm 171 */
							BgL_nodez00_bglt BgL_arg3844z00_1646;

							BgL_arg3844z00_1646 =
								(((BgL_funcallz00_bglt) CREF(
										((obj_t) BgL_nodez00_1638)))->BgL_funz00);
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3844z00_1646);
						}
				}
			}
		}
	}



/* &find-last-node-app-l3548 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l3548z62zztrace_walkz00(obj_t
		BgL_envz00_2446, BgL_appzd2lyzd2_bglt BgL_nodez00_2447)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 161 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1633;

				BgL_nodez00_1633 = BgL_nodez00_2447;
				{	/* Trace/walk.scm 162 */
					BgL_nodez00_bglt BgL_arg3839z00_2162;

					BgL_arg3839z00_2162 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1633)))->BgL_argz00);
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_arg3839z00_2162);
				}
			}
		}
	}



/* &find-last-node-app3546 */
	obj_t BGl_z62findzd2lastzd2nodezd2app3546zb0zztrace_walkz00(obj_t
		BgL_envz00_2448, BgL_appz00_bglt BgL_nodez00_2449)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 152 */
			{
				BgL_appz00_bglt BgL_nodez00_1623;

				BgL_nodez00_1623 = BgL_nodez00_2449;
				{	/* Trace/walk.scm 154 */
					bool_t BgL_testz00_3506;

					{	/* Trace/walk.scm 154 */
						obj_t BgL_auxz00_3507;

						BgL_auxz00_3507 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1623)))->BgL_argsz00);
						BgL_testz00_3506 = PAIRP(BgL_auxz00_3507);
					}
					if (BgL_testz00_3506)
						{	/* Trace/walk.scm 155 */
							obj_t BgL_arg3835z00_1628;

							BgL_arg3835z00_1628 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_nodez00_1623)))->BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg3835z00_1628));
						}
					else
						{	/* Trace/walk.scm 154 */
							return ((obj_t) BgL_nodez00_1623);
						}
				}
			}
		}
	}



/* &find-last-node-seque3544 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque3544zb0zztrace_walkz00(obj_t
		BgL_envz00_2450, BgL_sequencez00_bglt BgL_nodez00_2451)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 143 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1613;

				BgL_nodez00_1613 = BgL_nodez00_2451;
				{	/* Trace/walk.scm 145 */
					bool_t BgL_testz00_3518;

					{	/* Trace/walk.scm 145 */
						obj_t BgL_auxz00_3519;

						BgL_auxz00_3519 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1613)))->BgL_nodesz00);
						BgL_testz00_3518 = PAIRP(BgL_auxz00_3519);
					}
					if (BgL_testz00_3518)
						{	/* Trace/walk.scm 146 */
							obj_t BgL_arg3830z00_1618;

							BgL_arg3830z00_1618 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(
												((obj_t) BgL_nodez00_1613)))->BgL_nodesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg3830z00_1618));
						}
					else
						{	/* Trace/walk.scm 145 */
							return ((obj_t) BgL_nodez00_1613);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4066z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
