/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7e2570zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e2654z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_if2716z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global2642zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62tailpos2669z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_hook2585z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels2662zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if2616z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62subst_goto2637z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if2646zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_prog22682zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook2652zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	extern BgL_ev_labelsz00_bglt
		BGl_makezd2ev_labelszd2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var2610z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var2710z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin2624z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	static obj_t BGl_z62tailposzd2ev_letrec2698zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin2630z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr2690z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_list2718z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let2632z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt);
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto2664zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit2587zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_global2712z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit2688z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_prog22720z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_labels2734z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand2692z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62tailposzd2ev_list2680zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62searchzd2letrec2607zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h2658z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr2728z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro2620z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_global2575z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_litt2714z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app2634z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo2622z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_app2738z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_labels2599z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var2640zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle2591zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder2660zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit2726z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_letza22696z12zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_if2579z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62tailposzd2ev_litt2676zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand2730z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_prog22583z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_app2704zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_var2672zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_list2581z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app2604z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var2573z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs2636z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_let2694zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, BgL_ev_varz00_bglt);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	static obj_t BGl_z62tailposzd2ev_if2678zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_abs2740z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind2656zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_let2593z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	extern long bgl_list_length(obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list2648zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app2666zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62fsiza7ezd2ev_letza22595zb5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_litt2577z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_labels2700zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis2618z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot2589zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_z62tailposzd2ev_abs2706zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw2626z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo2612z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt);
	extern BgL_ev_gotoz00_bglt BGl_makezd2ev_gotozd2zz__evaluate_typesz00(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_labelsz00_bglt, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letrec2597z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_goto2702zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs2606z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_binder2732z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook2722z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern BgL_ev_littz00_bglt BGl_makezd2ev_littzd2zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt2644zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit2614z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt);
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs2668zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_hook2684zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal2724z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_goto2736z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_symbol3504z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol3506z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol3509z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog22650zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_global2674zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_symbol3511z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_z62fsiza7ezd2ev_goto2601z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit2628z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	static obj_t BGl_z62hasvarzf32707z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_setlocal2686zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_3605z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za73606z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3501z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3501za700za7za7_3607za7, "tailpos2669", 11);
	      DEFINE_STRING(BGl_string3503z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3503za700za7za7_3608za7, "hasvar?2707", 11);
	      DEFINE_STRING(BGl_string3505z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3505za700za7za7_3609za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3507z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3507za700za7za7_3610za7, "tailpos", 7);
	      DEFINE_STRING(BGl_string3508z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3508za700za7za7_3611za7, "not defined for", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3500z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos2669za763612z00,
		BGl_z62tailpos2669z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3502z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f327073613z00,
		BGl_z62hasvarzf32707z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3510z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3510za700za7za7_3614za7, "subst_goto", 10);
	      DEFINE_STRING(BGl_string3512z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3512za700za7za7_3615za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string3513z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3513za700za7za7_3616za7, "eval", 4);
	      DEFINE_STRING(BGl_string3514z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3514za700za7za7_3617za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string3515z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3515za700za7za7_3618za7, "&fsize", 6);
	      DEFINE_STRING(BGl_string3516z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3516za700za7za7_3619za7, "bint", 4);
	      DEFINE_STRING(BGl_string3517z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3517za700za7za7_3620za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string3518z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3518za700za7za7_3621za7, "&subst_goto", 11);
	      DEFINE_STRING(BGl_string3519z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3519za700za7za7_3622za7, "&tailpos", 8);
	      DEFINE_STRING(BGl_string3520z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3520za700za7za7_3623za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string3521z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3521za700za7za7_3624za7, "&hasvar?", 8);
	      DEFINE_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3604za700za7za7_3625za7, "__evaluate_fsize", 16);
	      DEFINE_STRING(BGl_string3523z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3523za700za7za7_3626za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3600z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3627za7,
		BGl_z62hasvarzf3zd2ev_labels2734z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3601z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3628za7,
		BGl_z62hasvarzf3zd2ev_goto2736z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3602z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3629za7,
		BGl_z62hasvarzf3zd2ev_app2738z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3603z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3630za7,
		BGl_z62hasvarzf3zd2ev_abs2740z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3522z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3631za7,
		BGl_z62fsiza7ezd2ev_var2573z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3524z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3632za7,
		BGl_z62fsiza7ezd2ev_global2575z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3525z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3633za7,
		BGl_z62fsiza7ezd2ev_litt2577z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3526z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3634za7,
		BGl_z62fsiza7ezd2ev_if2579z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3527z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3635za7,
		BGl_z62fsiza7ezd2ev_list2581z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3528z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3636za7,
		BGl_z62fsiza7ezd2ev_prog22583z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3529z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3637za7,
		BGl_z62fsiza7ezd2ev_hook2585z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3530z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3638za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit2587zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3531z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3639za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot2589zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3532z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3640za7,
		BGl_z62fsiza7ezd2ev_withzd2handle2591zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3533z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3641za7,
		BGl_z62fsiza7ezd2ev_let2593z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3534z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3642za7,
		BGl_z62fsiza7ezd2ev_letza22595zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3535z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3643za7,
		BGl_z62fsiza7ezd2ev_letrec2597z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3536z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3644za7,
		BGl_z62fsiza7ezd2ev_labels2599z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3537z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3645za7,
		BGl_z62fsiza7ezd2ev_goto2601z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3538z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3646za7,
		BGl_z62fsiza7ezd2ev_app2604z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3539z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_3647za7,
		BGl_z62fsiza7ezd2ev_abs2606z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3540z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3648z00,
		BGl_z62searchzd2letreczd2ev_var2610z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3541z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3649z00,
		BGl_z62searchzd2letreczd2ev_glo2612z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3542z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3650z00,
		BGl_z62searchzd2letreczd2ev_lit2614z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3543z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3651z00,
		BGl_z62searchzd2letreczd2ev_if2616z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3544z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3652z00,
		BGl_z62searchzd2letreczd2ev_lis2618z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3545z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3653z00,
		BGl_z62searchzd2letreczd2ev_pro2620z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3546z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3654z00,
		BGl_z62searchzd2letreczd2ev_hoo2622z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3547z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3655z00,
		BGl_z62searchzd2letreczd2ev_bin2624z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3548z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3656z00,
		BGl_z62searchzd2letreczd2ev_unw2626z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3549z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3657z00,
		BGl_z62searchzd2letreczd2ev_wit2628z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3550z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3658z00,
		BGl_z62searchzd2letreczd2ev_bin2630z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3551z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3659z00,
		BGl_z62searchzd2letreczd2ev_let2632z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3552z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3660z00,
		BGl_z62searchzd2letreczd2ev_app2634z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3553z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3661z00,
		BGl_z62searchzd2letreczd2ev_abs2636z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3554z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23662z00,
		BGl_z62subst_gotozd2ev_var2640zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3555z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23663z00,
		BGl_z62subst_gotozd2ev_global2642zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3556z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23664z00,
		BGl_z62subst_gotozd2ev_litt2644zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3557z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23665z00,
		BGl_z62subst_gotozd2ev_if2646zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3558z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23666z00,
		BGl_z62subst_gotozd2ev_list2648zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3559z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23667z00,
		BGl_z62subst_gotozd2ev_prog22650zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3560z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23668z00,
		BGl_z62subst_gotozd2ev_hook2652zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3561z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23669z00,
		BGl_z62subst_gotozd2ev_bindzd2e2654z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3562z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23670z00,
		BGl_z62subst_gotozd2ev_unwind2656zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3563z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23671z00,
		BGl_z62subst_gotozd2ev_withzd2h2658z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3564z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23672z00,
		BGl_z62subst_gotozd2ev_binder2660zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3565z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23673z00,
		BGl_z62subst_gotozd2ev_labels2662zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string3490z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3490za700za7za7_3674za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3566z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23675z00,
		BGl_z62subst_gotozd2ev_goto2664zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3491z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3491za700za7za7_3676za7, "&frame-size", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3567z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23677z00,
		BGl_z62subst_gotozd2ev_app2666zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3492z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3492za700za7za7_3678za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3568z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d23679z00,
		BGl_z62subst_gotozd2ev_abs2668zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3493z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3493za700za7za7_3680za7, "&extract-loops", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3569z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3681z00,
		BGl_z62tailposzd2ev_var2672zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3495z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3495za700za7za7_3682za7, "fsize2570", 9);
	      DEFINE_STRING(BGl_string3497z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3497za700za7za7_3683za7, "search-letrec2607", 17);
	      DEFINE_STRING(BGl_string3499z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3499za700za7za7_3684za7, "subst_goto2637", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3570z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3685z00,
		BGl_z62tailposzd2ev_global2674zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3571z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3686z00,
		BGl_z62tailposzd2ev_litt2676zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3572z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3687z00,
		BGl_z62tailposzd2ev_if2678zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3573z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3688z00,
		BGl_z62tailposzd2ev_list2680zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3574z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3689z00,
		BGl_z62tailposzd2ev_prog22682zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3575z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3690z00,
		BGl_z62tailposzd2ev_hook2684zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3494z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e2570za7c3691za7,
		BGl_z62fsiza7e2570zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3576z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3692z00,
		BGl_z62tailposzd2ev_setlocal2686zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a73693za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3577z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3694z00,
		BGl_z62tailposzd2ev_bindzd2exit2688z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3496z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3695z00,
		BGl_z62searchzd2letrec2607zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3578z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3696z00,
		BGl_z62tailposzd2ev_unwindzd2pr2690z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3579z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3697z00,
		BGl_z62tailposzd2ev_withzd2hand2692z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3498z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto2633698za7,
		BGl_z62subst_goto2637z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3588z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string3588za700za7za7_3699za7, "hasvar?", 7);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_3700za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3580z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3701z00,
		BGl_z62tailposzd2ev_let2694zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3581z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3702z00,
		BGl_z62tailposzd2ev_letza22696z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3582z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3703z00,
		BGl_z62tailposzd2ev_letrec2698zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3583z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3704z00,
		BGl_z62tailposzd2ev_labels2700zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3584z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3705z00,
		BGl_z62tailposzd2ev_goto2702zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3585z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3706z00,
		BGl_z62tailposzd2ev_app2704zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3586z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_3707z00,
		BGl_z62tailposzd2ev_abs2706zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3587z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3708za7,
		BGl_z62hasvarzf3zd2ev_var2710z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3589z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3709za7,
		BGl_z62hasvarzf3zd2ev_global2712z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr3710z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3590z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3711za7,
		BGl_z62hasvarzf3zd2ev_litt2714z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3591z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3712za7,
		BGl_z62hasvarzf3zd2ev_if2716z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3592z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3713za7,
		BGl_z62hasvarzf3zd2ev_list2718z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3593z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3714za7,
		BGl_z62hasvarzf3zd2ev_prog22720z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3594z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3715za7,
		BGl_z62hasvarzf3zd2ev_hook2722z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3595z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3716za7,
		BGl_z62hasvarzf3zd2ev_setlocal2724z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3596z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3717za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit2726z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3597z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3718za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr2728z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3598z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3719za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand2730z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3599z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e3720za7,
		BGl_z62hasvarzf3zd2ev_binder2732z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo3721z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7623722z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_4783, char *BgL_fromz00_4784)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol3504z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string3503z00zz__evaluate_fsiza7eza7);
			BGl_symbol3506z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_symbol3509z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string3510z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol3511z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string3512z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 66 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4068,
		obj_t BgL_ez00_4069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 66 */
			{	/* Eval/evaluate_fsize.scm 67 */
				int BgL_auxz00_4798;

				{	/* Eval/evaluate_fsize.scm 67 */
					BgL_ev_exprz00_bglt BgL_auxz00_4799;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4069,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 67 */
							BgL_auxz00_4799 = ((BgL_ev_exprz00_bglt) BgL_ez00_4069);
						}
					else
						{
							obj_t BgL_auxz00_4803;

							BgL_auxz00_4803 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 1988)),
								BGl_string3491z00zz__evaluate_fsiza7eza7,
								BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4069);
							FAILURE(BgL_auxz00_4803, BFALSE, BFALSE);
						}
					BgL_auxz00_4798 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_4799);
				}
				return BINT(BgL_auxz00_4798);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			{	/* Eval/evaluate_fsize.scm 165 */
				obj_t BgL_xz00_4431;

				BgL_xz00_4431 =
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_40);
				return ((BgL_ev_exprz00_bglt) BgL_xz00_4431);
			}
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4070, obj_t BgL_ez00_4071)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			{	/* Eval/evaluate_fsize.scm 165 */
				BgL_ev_exprz00_bglt BgL_auxz00_4811;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4071,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 165 */
						BgL_auxz00_4811 = ((BgL_ev_exprz00_bglt) BgL_ez00_4071);
					}
				else
					{
						obj_t BgL_auxz00_4815;

						BgL_auxz00_4815 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 4865)),
							BGl_string3493z00zz__evaluate_fsiza7eza7,
							BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4071);
						FAILURE(BgL_auxz00_4815, BFALSE, BFALSE);
					}
				return BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_auxz00_4811);
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_41)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 168 */
			{
				obj_t BgL_lz00_1277;

				BgL_lz00_1277 = BgL_lz00_41;
			BgL_zc3anonymousza32779ze3z83_1278:
				if (NULLP(BgL_lz00_1277))
					{	/* Eval/evaluate_fsize.scm 170 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 170 */
						{	/* Eval/evaluate_fsize.scm 171 */
							obj_t BgL_arg2781z00_1280;

							{	/* Eval/evaluate_fsize.scm 171 */
								obj_t BgL_arg2782z00_1281;

								BgL_arg2782z00_1281 = CAR(BgL_lz00_1277);
								BgL_arg2781z00_1280 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg2782z00_1281));
							}
							SET_CAR(BgL_lz00_1277, BgL_arg2781z00_1280);
						}
						{
							obj_t BgL_lz00_4826;

							BgL_lz00_4826 = CDR(BgL_lz00_1277);
							BgL_lz00_1277 = BgL_lz00_4826;
							goto BgL_zc3anonymousza32779ze3z83_1278;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_57, obj_t BgL_valsz00_58, BgL_ev_exprz00_bglt BgL_bodyz00_59)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 257 */
			{	/* Eval/evaluate_fsize.scm 258 */
				BgL_ev_labelsz00_bglt BgL_rz00_1284;

				{	/* Eval/evaluate_fsize.scm 259 */
					BgL_ev_littz00_bglt BgL_arg2795z00_1303;

					BgL_arg2795z00_1303 =
						BGl_makezd2ev_littzd2zz__evaluate_typesz00(BINT(((long) 0)));
					BgL_rz00_1284 =
						BGl_makezd2ev_labelszd2zz__evaluate_typesz00(BgL_varsz00_57, BNIL,
						BNIL, BNIL, ((BgL_ev_exprz00_bglt) BgL_arg2795z00_1303), BNIL);
				}
				{	/* Eval/evaluate_fsize.scm 260 */
					obj_t BgL_arg2784z00_1285;

					BgL_arg2784z00_1285 =
						BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_59,
						BgL_varsz00_57, ((obj_t) BgL_rz00_1284));
					{	/* Eval/evaluate_fsize.scm 260 */
						BgL_ev_exprz00_bglt BgL_val2194z00_2811;

						BgL_val2194z00_2811 = ((BgL_ev_exprz00_bglt) BgL_arg2784z00_1285);
						((((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_rz00_1284)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2194z00_2811), BUNSPEC);
				}}
				{	/* Eval/evaluate_fsize.scm 262 */
					obj_t BgL_arg2785z00_1286;

					if (NULLP(BgL_valsz00_58))
						{	/* Eval/evaluate_fsize.scm 262 */
							BgL_arg2785z00_1286 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 262 */
							obj_t BgL_head2518z00_1289;

							{	/* Eval/evaluate_fsize.scm 262 */
								obj_t BgL_res3332z00_2816;

								BgL_res3332z00_2816 = MAKE_PAIR(BNIL, BNIL);
								BgL_head2518z00_1289 = BgL_res3332z00_2816;
							}
							{
								obj_t BgL_l2516z00_1291;
								obj_t BgL_tail2519z00_1292;

								BgL_l2516z00_1291 = BgL_valsz00_58;
								BgL_tail2519z00_1292 = BgL_head2518z00_1289;
							BgL_zc3anonymousza32787ze3z83_1293:
								if (NULLP(BgL_l2516z00_1291))
									{	/* Eval/evaluate_fsize.scm 262 */
										BgL_arg2785z00_1286 = CDR(BgL_head2518z00_1289);
									}
								else
									{	/* Eval/evaluate_fsize.scm 262 */
										obj_t BgL_newtail2520z00_1295;

										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg2790z00_1297;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_valz00_1298;

												BgL_valz00_1298 = CAR(BgL_l2516z00_1291);
												{	/* Eval/evaluate_fsize.scm 263 */
													obj_t BgL_arg2792z00_1299;
													obj_t BgL_arg2793z00_1300;

													{	/* Eval/evaluate_fsize.scm 263 */
														BgL_ev_absz00_bglt BgL_obj2277z00_2821;

														BgL_obj2277z00_2821 =
															((BgL_ev_absz00_bglt) BgL_valz00_1298);
														BgL_arg2792z00_1299 =
															(((BgL_ev_absz00_bglt) CREF(
																	((obj_t) BgL_obj2277z00_2821)))->BgL_varsz00);
													}
													{	/* Eval/evaluate_fsize.scm 264 */
														BgL_ev_exprz00_bglt BgL_arg2794z00_1301;

														{	/* Eval/evaluate_fsize.scm 264 */
															BgL_ev_absz00_bglt BgL_obj2280z00_2822;

															BgL_obj2280z00_2822 =
																((BgL_ev_absz00_bglt) BgL_valz00_1298);
															BgL_arg2794z00_1301 =
																(((BgL_ev_absz00_bglt) CREF(
																		((obj_t) BgL_obj2280z00_2822)))->
																BgL_bodyz00);
														}
														BgL_arg2793z00_1300 =
															BGl_subst_gotoz00zz__evaluate_fsiza7eza7
															(BgL_arg2794z00_1301, BgL_varsz00_57,
															((obj_t) BgL_rz00_1284));
													}
													BgL_arg2790z00_1297 =
														MAKE_PAIR(BgL_arg2792z00_1299, BgL_arg2793z00_1300);
												}
											}
											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_res3334z00_2825;

												BgL_res3334z00_2825 =
													MAKE_PAIR(BgL_arg2790z00_1297, BNIL);
												BgL_newtail2520z00_1295 = BgL_res3334z00_2825;
											}
										}
										SET_CDR(BgL_tail2519z00_1292, BgL_newtail2520z00_1295);
										{
											obj_t BgL_tail2519z00_4857;
											obj_t BgL_l2516z00_4855;

											BgL_l2516z00_4855 = CDR(BgL_l2516z00_1291);
											BgL_tail2519z00_4857 = BgL_newtail2520z00_1295;
											BgL_tail2519z00_1292 = BgL_tail2519z00_4857;
											BgL_l2516z00_1291 = BgL_l2516z00_4855;
											goto BgL_zc3anonymousza32787ze3z83_1293;
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_rz00_1284)))->BgL_valsz00) =
						((obj_t) BgL_arg2785z00_1286), BUNSPEC);
				}
				return BgL_rz00_1284;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60,
		obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 268 */
			{
				obj_t BgL_l2523z00_1305;

				BgL_l2523z00_1305 = BgL_varsz00_60;
			BgL_zc3anonymousza32796ze3z83_1306:
				if (NULLP(BgL_l2523z00_1305))
					{	/* Eval/evaluate_fsize.scm 269 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 269 */
						bool_t BgL_testz00_4862;

						{	/* Eval/evaluate_fsize.scm 270 */
							obj_t BgL_vz00_1310;

							BgL_vz00_1310 = CAR(BgL_l2523z00_1305);
							{	/* Eval/evaluate_fsize.scm 270 */
								obj_t BgL__andtest_2384z00_1311;

								BgL__andtest_2384z00_1311 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
									((BgL_ev_varz00_bglt) BgL_vz00_1310));
								if (CBOOL(BgL__andtest_2384z00_1311))
									{
										obj_t BgL_l2521z00_1313;

										BgL_l2521z00_1313 = BgL_valsz00_61;
									BgL_zc3anonymousza32800ze3z83_1314:
										if (NULLP(BgL_l2521z00_1313))
											{	/* Eval/evaluate_fsize.scm 271 */
												BgL_testz00_4862 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 271 */
												bool_t BgL_testz00_4870;

												{	/* Eval/evaluate_fsize.scm 271 */
													obj_t BgL_ez00_1318;

													BgL_ez00_1318 = CAR(BgL_l2521z00_1313);
													if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_1318,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 272 */
															bool_t BgL_testz00_4874;

															{	/* Eval/evaluate_fsize.scm 272 */
																long BgL_auxz00_4875;

																{	/* Eval/evaluate_fsize.scm 272 */
																	BgL_ev_absz00_bglt BgL_obj2276z00_2839;

																	BgL_obj2276z00_2839 =
																		((BgL_ev_absz00_bglt) BgL_ez00_1318);
																	BgL_auxz00_4875 =
																		(long) CINT(
																		(((BgL_ev_absz00_bglt) CREF(
																					((obj_t) BgL_obj2276z00_2839)))->
																			BgL_arityz00));
																}
																BgL_testz00_4874 =
																	(BgL_auxz00_4875 >= ((long) 0));
															}
															if (BgL_testz00_4874)
																{	/* Eval/evaluate_fsize.scm 273 */
																	BgL_ev_exprz00_bglt BgL_arg2804z00_1321;

																	{	/* Eval/evaluate_fsize.scm 273 */
																		BgL_ev_absz00_bglt BgL_obj2280z00_2843;

																		BgL_obj2280z00_2843 =
																			((BgL_ev_absz00_bglt) BgL_ez00_1318);
																		BgL_arg2804z00_1321 =
																			(((BgL_ev_absz00_bglt) CREF(
																					((obj_t) BgL_obj2280z00_2843)))->
																			BgL_bodyz00);
																	}
																	BgL_testz00_4870 =
																		CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg2804z00_1321,
																			((BgL_ev_varz00_bglt) BgL_vz00_1310)));
																}
															else
																{	/* Eval/evaluate_fsize.scm 272 */
																	BgL_testz00_4870 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 271 */
															BgL_testz00_4870 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_4870)
													{
														obj_t BgL_l2521z00_4887;

														BgL_l2521z00_4887 = CDR(BgL_l2521z00_1313);
														BgL_l2521z00_1313 = BgL_l2521z00_4887;
														goto BgL_zc3anonymousza32800ze3z83_1314;
													}
												else
													{	/* Eval/evaluate_fsize.scm 271 */
														BgL_testz00_4862 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 270 */
										BgL_testz00_4862 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_4862)
							{
								obj_t BgL_l2523z00_4889;

								BgL_l2523z00_4889 = CDR(BgL_l2523z00_1305);
								BgL_l2523z00_1305 = BgL_l2523z00_4889;
								goto BgL_zc3anonymousza32796ze3z83_1306;
							}
						else
							{	/* Eval/evaluate_fsize.scm 269 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc3494z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3495z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc3496z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3497z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc3498z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3499z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc3500z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3501z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc3502z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3503z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?2707 */
	obj_t BGl_z62hasvarzf32707z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4077,
		BgL_ev_exprz00_bglt BgL_ez00_4078, BgL_ev_varz00_bglt BgL_vz00_4079)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 458 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_1642;
				BgL_ev_varz00_bglt BgL_vz00_1643;

				BgL_ez00_1642 = BgL_ez00_4078;
				BgL_vz00_1643 = BgL_vz00_4079;
				return
					BGl_errorz00zz__errorz00(BGl_symbol3504z00zz__evaluate_fsiza7eza7,
					BGl_string3505z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_1642));
			}
		}
	}



/* &tailpos2669 */
	obj_t BGl_z62tailpos2669z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4080,
		BgL_ev_exprz00_bglt BgL_ez00_4081, BgL_ev_varz00_bglt BgL_vz00_4082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 374 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_1637;
				BgL_ev_varz00_bglt BgL_vz00_1638;

				BgL_ez00_1637 = BgL_ez00_4081;
				BgL_vz00_1638 = BgL_vz00_4082;
				return
					BGl_errorz00zz__errorz00(BGl_symbol3506z00zz__evaluate_fsiza7eza7,
					BGl_string3508z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_1637));
			}
		}
	}



/* &subst_goto2637 */
	obj_t BGl_z62subst_goto2637z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4083,
		BgL_ev_exprz00_bglt BgL_ez00_4084, obj_t BgL_varsz00_4085,
		obj_t BgL_lblsz00_4086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 285 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol3509z00zz__evaluate_fsiza7eza7,
				BGl_string3508z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_4084));
		}
	}



/* &search-letrec2607 */
	obj_t BGl_z62searchzd2letrec2607zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4087, BgL_ev_exprz00_bglt BgL_ez00_4088)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_1627;

				BgL_ez00_1627 = BgL_ez00_4088;
				return
					BGl_errorz00zz__errorz00(BGl_symbol3511z00zz__evaluate_fsiza7eza7,
					BGl_string3508z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_1627));
			}
		}
	}



/* &fsize2570 */
	obj_t BGl_z62fsiza7e2570zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4089,
		BgL_ev_exprz00_bglt BgL_ez00_4090, obj_t BgL_nz00_4091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 69 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_1622;
				int BgL_nz00_1623;

				BgL_ez00_1622 = BgL_ez00_4090;
				BgL_nz00_1623 = CINT(BgL_nz00_4091);
				return
					BGl_errorz00zz__errorz00(BGl_string3513z00zz__evaluate_fsiza7eza7,
					BGl_string3514z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_1622));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 69 */
			{	/* Eval/evaluate_fsize.scm 69 */
				obj_t BgL_method2571z00_1646;

				{	/* Eval/evaluate_fsize.scm 69 */
					obj_t BgL_res3346z00_2886;

					{	/* Eval/evaluate_fsize.scm 69 */
						BgL_objectz00_bglt BgL_objz00_2858;

						BgL_objz00_2858 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 69 */
							long BgL_objzd2classzd2numz00_2859;

							{	/* Eval/evaluate_fsize.scm 69 */
								long BgL_res3340z00_2862;

								BgL_res3340z00_2862 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2858);
								BgL_objzd2classzd2numz00_2859 = BgL_res3340z00_2862;
							}
							{	/* Eval/evaluate_fsize.scm 69 */
								obj_t BgL_arg3324z00_2860;

								BgL_arg3324z00_2860 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 69 */
									obj_t BgL_arrayz00_2863;
									int BgL_offsetz00_2864;

									BgL_arrayz00_2863 = BgL_arg3324z00_2860;
									BgL_offsetz00_2864 = (int) (BgL_objzd2classzd2numz00_2859);
									{	/* Eval/evaluate_fsize.scm 69 */
										long BgL_offsetz00_2865;

										BgL_offsetz00_2865 =
											((long) (BgL_offsetz00_2864) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 69 */
											long BgL_modz00_2866;

											{	/* Eval/evaluate_fsize.scm 69 */
												int BgL_arg3326z00_2867;

												BgL_arg3326z00_2867 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 69 */
													long BgL_res3343z00_2877;

													{	/* Eval/evaluate_fsize.scm 69 */
														long BgL_auxz00_4915;

														BgL_auxz00_4915 = (long) (BgL_arg3326z00_2867);
														BgL_res3343z00_2877 =
															(BgL_offsetz00_2865 / BgL_auxz00_4915);
													}
													BgL_modz00_2866 = BgL_res3343z00_2877;
											}}
											{	/* Eval/evaluate_fsize.scm 69 */
												long BgL_restz00_2868;

												{	/* Eval/evaluate_fsize.scm 69 */
													int BgL_arg3325z00_2869;

													BgL_arg3325z00_2869 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 69 */
														long BgL_res3345z00_2881;

														{	/* Eval/evaluate_fsize.scm 69 */
															long BgL_auxz00_4919;

															BgL_auxz00_4919 = (long) (BgL_arg3325z00_2869);
															BgL_res3345z00_2881 =
																(BgL_offsetz00_2865 % BgL_auxz00_4919);
														}
														BgL_restz00_2868 = BgL_res3345z00_2881;
												}}
												{	/* Eval/evaluate_fsize.scm 69 */

													BgL_res3346z00_2886 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2863,
															(int) (BgL_modz00_2866)),
														(int) (BgL_restz00_2868));
					}}}}}}}}
					BgL_method2571z00_1646 = BgL_res3346z00_2886;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method2571z00_1646) (BgL_method2571z00_1646,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4092,
		obj_t BgL_ez00_4093, obj_t BgL_nz00_4094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 69 */
			{	/* Eval/evaluate_fsize.scm 69 */
				int BgL_auxz00_4934;

				{	/* Eval/evaluate_fsize.scm 69 */
					int BgL_auxz00_4943;
					BgL_ev_exprz00_bglt BgL_auxz00_4935;

					{	/* Eval/evaluate_fsize.scm 69 */
						obj_t BgL_auxz00_4944;

						if (INTEGERP(BgL_nz00_4094))
							{	/* Eval/evaluate_fsize.scm 69 */
								BgL_auxz00_4944 = BgL_nz00_4094;
							}
						else
							{
								obj_t BgL_auxz00_4947;

								BgL_auxz00_4947 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string3490z00zz__evaluate_fsiza7eza7,
									BINT(((long) 2003)), BGl_string3515z00zz__evaluate_fsiza7eza7,
									BGl_string3516z00zz__evaluate_fsiza7eza7, BgL_nz00_4094);
								FAILURE(BgL_auxz00_4947, BFALSE, BFALSE);
							}
						BgL_auxz00_4943 = CINT(BgL_auxz00_4944);
					}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4093,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 69 */
							BgL_auxz00_4935 = ((BgL_ev_exprz00_bglt) BgL_ez00_4093);
						}
					else
						{
							obj_t BgL_auxz00_4939;

							BgL_auxz00_4939 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 2003)),
								BGl_string3515z00zz__evaluate_fsiza7eza7,
								BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4093);
							FAILURE(BgL_auxz00_4939, BFALSE, BFALSE);
						}
					BgL_auxz00_4934 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_4935,
						BgL_auxz00_4943);
				}
				return BINT(BgL_auxz00_4934);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				obj_t BgL_method2608z00_1647;

				{	/* Eval/evaluate_fsize.scm 174 */
					obj_t BgL_res3353z00_2915;

					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_objectz00_bglt BgL_objz00_2887;

						BgL_objz00_2887 = ((BgL_objectz00_bglt) BgL_ez00_42);
						{	/* Eval/evaluate_fsize.scm 174 */
							long BgL_objzd2classzd2numz00_2888;

							{	/* Eval/evaluate_fsize.scm 174 */
								long BgL_res3347z00_2891;

								BgL_res3347z00_2891 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2887);
								BgL_objzd2classzd2numz00_2888 = BgL_res3347z00_2891;
							}
							{	/* Eval/evaluate_fsize.scm 174 */
								obj_t BgL_arg3324z00_2889;

								BgL_arg3324z00_2889 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 174 */
									obj_t BgL_arrayz00_2892;
									int BgL_offsetz00_2893;

									BgL_arrayz00_2892 = BgL_arg3324z00_2889;
									BgL_offsetz00_2893 = (int) (BgL_objzd2classzd2numz00_2888);
									{	/* Eval/evaluate_fsize.scm 174 */
										long BgL_offsetz00_2894;

										BgL_offsetz00_2894 =
											((long) (BgL_offsetz00_2893) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 174 */
											long BgL_modz00_2895;

											{	/* Eval/evaluate_fsize.scm 174 */
												int BgL_arg3326z00_2896;

												BgL_arg3326z00_2896 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 174 */
													long BgL_res3350z00_2906;

													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_auxz00_4962;

														BgL_auxz00_4962 = (long) (BgL_arg3326z00_2896);
														BgL_res3350z00_2906 =
															(BgL_offsetz00_2894 / BgL_auxz00_4962);
													}
													BgL_modz00_2895 = BgL_res3350z00_2906;
											}}
											{	/* Eval/evaluate_fsize.scm 174 */
												long BgL_restz00_2897;

												{	/* Eval/evaluate_fsize.scm 174 */
													int BgL_arg3325z00_2898;

													BgL_arg3325z00_2898 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_res3352z00_2910;

														{	/* Eval/evaluate_fsize.scm 174 */
															long BgL_auxz00_4966;

															BgL_auxz00_4966 = (long) (BgL_arg3325z00_2898);
															BgL_res3352z00_2910 =
																(BgL_offsetz00_2894 % BgL_auxz00_4966);
														}
														BgL_restz00_2897 = BgL_res3352z00_2910;
												}}
												{	/* Eval/evaluate_fsize.scm 174 */

													BgL_res3353z00_2915 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2892,
															(int) (BgL_modz00_2895)),
														(int) (BgL_restz00_2897));
					}}}}}}}}
					BgL_method2608z00_1647 = BgL_res3353z00_2915;
				}
				return
					PROCEDURE_ENTRY(BgL_method2608z00_1647) (BgL_method2608z00_1647,
					((obj_t) BgL_ez00_42), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4095,
		obj_t BgL_ez00_4096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				BgL_ev_exprz00_bglt BgL_auxz00_4978;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4096,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_auxz00_4978 = ((BgL_ev_exprz00_bglt) BgL_ez00_4096);
					}
				else
					{
						obj_t BgL_auxz00_4982;

						BgL_auxz00_4982 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 5029)),
							BGl_string3517z00zz__evaluate_fsiza7eza7,
							BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4096);
						FAILURE(BgL_auxz00_4982, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_4978);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 285 */
			{	/* Eval/evaluate_fsize.scm 285 */
				obj_t BgL_method2638z00_1648;

				{	/* Eval/evaluate_fsize.scm 285 */
					obj_t BgL_res3360z00_2944;

					{	/* Eval/evaluate_fsize.scm 285 */
						BgL_objectz00_bglt BgL_objz00_2916;

						BgL_objz00_2916 = ((BgL_objectz00_bglt) BgL_ez00_66);
						{	/* Eval/evaluate_fsize.scm 285 */
							long BgL_objzd2classzd2numz00_2917;

							{	/* Eval/evaluate_fsize.scm 285 */
								long BgL_res3354z00_2920;

								BgL_res3354z00_2920 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2916);
								BgL_objzd2classzd2numz00_2917 = BgL_res3354z00_2920;
							}
							{	/* Eval/evaluate_fsize.scm 285 */
								obj_t BgL_arg3324z00_2918;

								BgL_arg3324z00_2918 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 285 */
									obj_t BgL_arrayz00_2921;
									int BgL_offsetz00_2922;

									BgL_arrayz00_2921 = BgL_arg3324z00_2918;
									BgL_offsetz00_2922 = (int) (BgL_objzd2classzd2numz00_2917);
									{	/* Eval/evaluate_fsize.scm 285 */
										long BgL_offsetz00_2923;

										BgL_offsetz00_2923 =
											((long) (BgL_offsetz00_2922) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 285 */
											long BgL_modz00_2924;

											{	/* Eval/evaluate_fsize.scm 285 */
												int BgL_arg3326z00_2925;

												BgL_arg3326z00_2925 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 285 */
													long BgL_res3357z00_2935;

													{	/* Eval/evaluate_fsize.scm 285 */
														long BgL_auxz00_4995;

														BgL_auxz00_4995 = (long) (BgL_arg3326z00_2925);
														BgL_res3357z00_2935 =
															(BgL_offsetz00_2923 / BgL_auxz00_4995);
													}
													BgL_modz00_2924 = BgL_res3357z00_2935;
											}}
											{	/* Eval/evaluate_fsize.scm 285 */
												long BgL_restz00_2926;

												{	/* Eval/evaluate_fsize.scm 285 */
													int BgL_arg3325z00_2927;

													BgL_arg3325z00_2927 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 285 */
														long BgL_res3359z00_2939;

														{	/* Eval/evaluate_fsize.scm 285 */
															long BgL_auxz00_4999;

															BgL_auxz00_4999 = (long) (BgL_arg3325z00_2927);
															BgL_res3359z00_2939 =
																(BgL_offsetz00_2923 % BgL_auxz00_4999);
														}
														BgL_restz00_2926 = BgL_res3359z00_2939;
												}}
												{	/* Eval/evaluate_fsize.scm 285 */

													BgL_res3360z00_2944 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2921,
															(int) (BgL_modz00_2924)),
														(int) (BgL_restz00_2926));
					}}}}}}}}
					BgL_method2638z00_1648 = BgL_res3360z00_2944;
				}
				return
					PROCEDURE_ENTRY(BgL_method2638z00_1648) (BgL_method2638z00_1648,
					((obj_t) BgL_ez00_66), BgL_varsz00_67, BgL_lblsz00_68, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4097,
		obj_t BgL_ez00_4098, obj_t BgL_varsz00_4099, obj_t BgL_lblsz00_4100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 285 */
			{	/* Eval/evaluate_fsize.scm 285 */
				BgL_ev_exprz00_bglt BgL_auxz00_5013;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4098,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 285 */
						BgL_auxz00_5013 = ((BgL_ev_exprz00_bglt) BgL_ez00_4098);
					}
				else
					{
						obj_t BgL_auxz00_5017;

						BgL_auxz00_5017 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 7956)),
							BGl_string3518z00zz__evaluate_fsiza7eza7,
							BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4098);
						FAILURE(BgL_auxz00_5017, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_5013,
					BgL_varsz00_4099, BgL_lblsz00_4100);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_114,
		BgL_ev_varz00_bglt BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 374 */
			{	/* Eval/evaluate_fsize.scm 374 */
				obj_t BgL_method2670z00_1649;

				{	/* Eval/evaluate_fsize.scm 374 */
					obj_t BgL_res3367z00_2973;

					{	/* Eval/evaluate_fsize.scm 374 */
						BgL_objectz00_bglt BgL_objz00_2945;

						BgL_objz00_2945 = ((BgL_objectz00_bglt) BgL_ez00_114);
						{	/* Eval/evaluate_fsize.scm 374 */
							long BgL_objzd2classzd2numz00_2946;

							{	/* Eval/evaluate_fsize.scm 374 */
								long BgL_res3361z00_2949;

								BgL_res3361z00_2949 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2945);
								BgL_objzd2classzd2numz00_2946 = BgL_res3361z00_2949;
							}
							{	/* Eval/evaluate_fsize.scm 374 */
								obj_t BgL_arg3324z00_2947;

								BgL_arg3324z00_2947 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 374 */
									obj_t BgL_arrayz00_2950;
									int BgL_offsetz00_2951;

									BgL_arrayz00_2950 = BgL_arg3324z00_2947;
									BgL_offsetz00_2951 = (int) (BgL_objzd2classzd2numz00_2946);
									{	/* Eval/evaluate_fsize.scm 374 */
										long BgL_offsetz00_2952;

										BgL_offsetz00_2952 =
											((long) (BgL_offsetz00_2951) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 374 */
											long BgL_modz00_2953;

											{	/* Eval/evaluate_fsize.scm 374 */
												int BgL_arg3326z00_2954;

												BgL_arg3326z00_2954 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 374 */
													long BgL_res3364z00_2964;

													{	/* Eval/evaluate_fsize.scm 374 */
														long BgL_auxz00_5030;

														BgL_auxz00_5030 = (long) (BgL_arg3326z00_2954);
														BgL_res3364z00_2964 =
															(BgL_offsetz00_2952 / BgL_auxz00_5030);
													}
													BgL_modz00_2953 = BgL_res3364z00_2964;
											}}
											{	/* Eval/evaluate_fsize.scm 374 */
												long BgL_restz00_2955;

												{	/* Eval/evaluate_fsize.scm 374 */
													int BgL_arg3325z00_2956;

													BgL_arg3325z00_2956 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 374 */
														long BgL_res3366z00_2968;

														{	/* Eval/evaluate_fsize.scm 374 */
															long BgL_auxz00_5034;

															BgL_auxz00_5034 = (long) (BgL_arg3325z00_2956);
															BgL_res3366z00_2968 =
																(BgL_offsetz00_2952 % BgL_auxz00_5034);
														}
														BgL_restz00_2955 = BgL_res3366z00_2968;
												}}
												{	/* Eval/evaluate_fsize.scm 374 */

													BgL_res3367z00_2973 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2950,
															(int) (BgL_modz00_2953)),
														(int) (BgL_restz00_2955));
					}}}}}}}}
					BgL_method2670z00_1649 = BgL_res3367z00_2973;
				}
				return
					PROCEDURE_ENTRY(BgL_method2670z00_1649) (BgL_method2670z00_1649,
					((obj_t) BgL_ez00_114), ((obj_t) BgL_vz00_115), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4101,
		obj_t BgL_ez00_4102, obj_t BgL_vz00_4103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 374 */
			{	/* Eval/evaluate_fsize.scm 374 */
				BgL_ev_varz00_bglt BgL_auxz00_5056;
				BgL_ev_exprz00_bglt BgL_auxz00_5048;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_4103,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 374 */
						BgL_auxz00_5056 = ((BgL_ev_varz00_bglt) BgL_vz00_4103);
					}
				else
					{
						obj_t BgL_auxz00_5060;

						BgL_auxz00_5060 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 10655)),
							BGl_string3519z00zz__evaluate_fsiza7eza7,
							BGl_string3520z00zz__evaluate_fsiza7eza7, BgL_vz00_4103);
						FAILURE(BgL_auxz00_5060, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4102,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 374 */
						BgL_auxz00_5048 = ((BgL_ev_exprz00_bglt) BgL_ez00_4102);
					}
				else
					{
						obj_t BgL_auxz00_5052;

						BgL_auxz00_5052 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 10655)),
							BGl_string3519z00zz__evaluate_fsiza7eza7,
							BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4102);
						FAILURE(BgL_auxz00_5052, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_5048,
					BgL_auxz00_5056);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_152, BgL_ev_varz00_bglt BgL_vz00_153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 458 */
			{	/* Eval/evaluate_fsize.scm 458 */
				obj_t BgL_method2708z00_1650;

				{	/* Eval/evaluate_fsize.scm 458 */
					obj_t BgL_res3374z00_3002;

					{	/* Eval/evaluate_fsize.scm 458 */
						BgL_objectz00_bglt BgL_objz00_2974;

						BgL_objz00_2974 = ((BgL_objectz00_bglt) BgL_ez00_152);
						{	/* Eval/evaluate_fsize.scm 458 */
							long BgL_objzd2classzd2numz00_2975;

							{	/* Eval/evaluate_fsize.scm 458 */
								long BgL_res3368z00_2978;

								BgL_res3368z00_2978 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2974);
								BgL_objzd2classzd2numz00_2975 = BgL_res3368z00_2978;
							}
							{	/* Eval/evaluate_fsize.scm 458 */
								obj_t BgL_arg3324z00_2976;

								BgL_arg3324z00_2976 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 458 */
									obj_t BgL_arrayz00_2979;
									int BgL_offsetz00_2980;

									BgL_arrayz00_2979 = BgL_arg3324z00_2976;
									BgL_offsetz00_2980 = (int) (BgL_objzd2classzd2numz00_2975);
									{	/* Eval/evaluate_fsize.scm 458 */
										long BgL_offsetz00_2981;

										BgL_offsetz00_2981 =
											((long) (BgL_offsetz00_2980) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 458 */
											long BgL_modz00_2982;

											{	/* Eval/evaluate_fsize.scm 458 */
												int BgL_arg3326z00_2983;

												BgL_arg3326z00_2983 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 458 */
													long BgL_res3371z00_2993;

													{	/* Eval/evaluate_fsize.scm 458 */
														long BgL_auxz00_5073;

														BgL_auxz00_5073 = (long) (BgL_arg3326z00_2983);
														BgL_res3371z00_2993 =
															(BgL_offsetz00_2981 / BgL_auxz00_5073);
													}
													BgL_modz00_2982 = BgL_res3371z00_2993;
											}}
											{	/* Eval/evaluate_fsize.scm 458 */
												long BgL_restz00_2984;

												{	/* Eval/evaluate_fsize.scm 458 */
													int BgL_arg3325z00_2985;

													BgL_arg3325z00_2985 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 458 */
														long BgL_res3373z00_2997;

														{	/* Eval/evaluate_fsize.scm 458 */
															long BgL_auxz00_5077;

															BgL_auxz00_5077 = (long) (BgL_arg3325z00_2985);
															BgL_res3373z00_2997 =
																(BgL_offsetz00_2981 % BgL_auxz00_5077);
														}
														BgL_restz00_2984 = BgL_res3373z00_2997;
												}}
												{	/* Eval/evaluate_fsize.scm 458 */

													BgL_res3374z00_3002 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2979,
															(int) (BgL_modz00_2982)),
														(int) (BgL_restz00_2984));
					}}}}}}}}
					BgL_method2708z00_1650 = BgL_res3374z00_3002;
				}
				return
					PROCEDURE_ENTRY(BgL_method2708z00_1650) (BgL_method2708z00_1650,
					((obj_t) BgL_ez00_152), ((obj_t) BgL_vz00_153), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_4104,
		obj_t BgL_ez00_4105, obj_t BgL_vz00_4106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 458 */
			{	/* Eval/evaluate_fsize.scm 458 */
				BgL_ev_varz00_bglt BgL_auxz00_5099;
				BgL_ev_exprz00_bglt BgL_auxz00_5091;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_4106,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 458 */
						BgL_auxz00_5099 = ((BgL_ev_varz00_bglt) BgL_vz00_4106);
					}
				else
					{
						obj_t BgL_auxz00_5103;

						BgL_auxz00_5103 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 13383)),
							BGl_string3521z00zz__evaluate_fsiza7eza7,
							BGl_string3520z00zz__evaluate_fsiza7eza7, BgL_vz00_4106);
						FAILURE(BgL_auxz00_5103, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_4105,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 458 */
						BgL_auxz00_5091 = ((BgL_ev_exprz00_bglt) BgL_ez00_4105);
					}
				else
					{
						obj_t BgL_auxz00_5095;

						BgL_auxz00_5095 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3490z00zz__evaluate_fsiza7eza7, BINT(((long) 13383)),
							BGl_string3521z00zz__evaluate_fsiza7eza7,
							BGl_string3492z00zz__evaluate_fsiza7eza7, BgL_ez00_4105);
						FAILURE(BgL_auxz00_5095, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_5091,
					BgL_auxz00_5099);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc3522z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3524z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3525z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc3526z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc3527z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3528z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc3529z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3530z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3531z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3532z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc3533z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc3534z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc3535z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc3536z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc3537z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc3538z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc3539z00zz__evaluate_fsiza7eza7,
				BGl_string3523z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc3540z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3541z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3542z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc3543z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc3544z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3545z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc3546z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3547z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3548z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3549z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc3550z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc3551z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc3552z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc3553z00zz__evaluate_fsiza7eza7,
				BGl_string3512z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc3554z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3555z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3556z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc3557z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc3558z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3559z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc3560z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3561z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3562z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3563z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc3564z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc3565z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc3566z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc3567z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc3568z00zz__evaluate_fsiza7eza7,
				BGl_string3510z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc3569z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3570z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3571z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc3572z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc3573z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3574z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc3575z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc3576z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3577z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3578z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3579z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc3580z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc3581z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc3582z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc3583z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc3584z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc3585z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc3586z00zz__evaluate_fsiza7eza7,
				BGl_string3507z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc3587z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3589z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3590z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc3591z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc3592z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3593z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc3594z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc3595z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3596z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3597z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3598z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc3599z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc3600z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc3601z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc3602z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc3603z00zz__evaluate_fsiza7eza7,
				BGl_string3588z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs2740 */
	obj_t BGl_z62hasvarzf3zd2ev_abs2740z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4187, BgL_ev_absz00_bglt BgL_ez00_4188,
		BgL_ev_varz00_bglt BgL_vz00_4189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 519 */
			{
				BgL_ev_absz00_bglt BgL_ez00_2530;
				BgL_ev_varz00_bglt BgL_vz00_2531;

				BgL_ez00_2530 = BgL_ez00_4188;
				BgL_vz00_2531 = BgL_vz00_4189;
				{	/* Eval/evaluate_fsize.scm 520 */
					BgL_ev_exprz00_bglt BgL_arg3137z00_3794;

					BgL_arg3137z00_3794 =
						(((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_ez00_2530)))->BgL_bodyz00);
					return
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3137z00_3794,
						BgL_vz00_2531);
				}
			}
		}
	}



/* &hasvar?-ev_app2738 */
	obj_t BGl_z62hasvarzf3zd2ev_app2738z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4190, BgL_ev_appz00_bglt BgL_ez00_4191,
		BgL_ev_varz00_bglt BgL_vz00_4192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 515 */
			{
				BgL_ev_appz00_bglt BgL_ez00_2513;
				BgL_ev_varz00_bglt BgL_vz00_2514;

				BgL_ez00_2513 = BgL_ez00_4191;
				BgL_vz00_2514 = BgL_vz00_4192;
				{	/* Eval/evaluate_fsize.scm 517 */
					obj_t BgL__ortest_2487z00_2518;

					{	/* Eval/evaluate_fsize.scm 517 */
						BgL_ev_exprz00_bglt BgL_arg3136z00_2528;

						BgL_arg3136z00_2528 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_2513)))->BgL_funz00);
						BgL__ortest_2487z00_2518 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3136z00_2528,
							BgL_vz00_2514);
					}
					if (CBOOL(BgL__ortest_2487z00_2518))
						{	/* Eval/evaluate_fsize.scm 517 */
							return BgL__ortest_2487z00_2518;
						}
					else
						{	/* Eval/evaluate_fsize.scm 517 */
							obj_t BgL_g2557z00_2519;

							BgL_g2557z00_2519 =
								(((BgL_ev_appz00_bglt) CREF(
										((obj_t) BgL_ez00_2513)))->BgL_argsz00);
							{
								obj_t BgL_l2555z00_2521;

								{	/* Eval/evaluate_fsize.scm 517 */
									bool_t BgL_auxz00_5198;

									BgL_l2555z00_2521 = BgL_g2557z00_2519;
								BgL_zc3anonymousza33132ze3z83_2522:
									if (NULLP(BgL_l2555z00_2521))
										{	/* Eval/evaluate_fsize.scm 517 */
											BgL_auxz00_5198 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 517 */
											bool_t BgL_testz00_5201;

											{	/* Eval/evaluate_fsize.scm 517 */
												obj_t BgL_ez00_2526;

												BgL_ez00_2526 = CAR(BgL_l2555z00_2521);
												BgL_testz00_5201 =
													CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
														((BgL_ev_exprz00_bglt) BgL_ez00_2526),
														BgL_vz00_2514));
											}
											if (BgL_testz00_5201)
												{	/* Eval/evaluate_fsize.scm 517 */
													BgL_auxz00_5198 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l2555z00_5206;

													BgL_l2555z00_5206 = CDR(BgL_l2555z00_2521);
													BgL_l2555z00_2521 = BgL_l2555z00_5206;
													goto BgL_zc3anonymousza33132ze3z83_2522;
												}
										}
									return BBOOL(BgL_auxz00_5198);
								}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto2736 */
	obj_t BGl_z62hasvarzf3zd2ev_goto2736z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4193, BgL_ev_gotoz00_bglt BgL_ez00_4194,
		BgL_ev_varz00_bglt BgL_vz00_4195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 511 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_2498;
				BgL_ev_varz00_bglt BgL_vz00_2499;

				{	/* Eval/evaluate_fsize.scm 512 */
					bool_t BgL_auxz00_5209;

					BgL_ez00_2498 = BgL_ez00_4194;
					BgL_vz00_2499 = BgL_vz00_4195;
					{	/* Eval/evaluate_fsize.scm 513 */
						obj_t BgL_g2554z00_2503;

						BgL_g2554z00_2503 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_ez00_2498)))->BgL_argsz00);
						{
							obj_t BgL_l2552z00_2505;

							BgL_l2552z00_2505 = BgL_g2554z00_2503;
						BgL_zc3anonymousza33128ze3z83_2506:
							if (NULLP(BgL_l2552z00_2505))
								{	/* Eval/evaluate_fsize.scm 513 */
									BgL_auxz00_5209 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 513 */
									bool_t BgL_testz00_5214;

									{	/* Eval/evaluate_fsize.scm 513 */
										obj_t BgL_ez00_2510;

										BgL_ez00_2510 = CAR(BgL_l2552z00_2505);
										BgL_testz00_5214 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_2510), BgL_vz00_2499));
									}
									if (BgL_testz00_5214)
										{	/* Eval/evaluate_fsize.scm 513 */
											BgL_auxz00_5209 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l2552z00_5219;

											BgL_l2552z00_5219 = CDR(BgL_l2552z00_2505);
											BgL_l2552z00_2505 = BgL_l2552z00_5219;
											goto BgL_zc3anonymousza33128ze3z83_2506;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_5209);
				}
			}
		}
	}



/* &hasvar?-ev_labels2734 */
	obj_t BGl_z62hasvarzf3zd2ev_labels2734z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4196, BgL_ev_labelsz00_bglt BgL_ez00_4197,
		BgL_ev_varz00_bglt BgL_vz00_4198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 506 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_2480;
				BgL_ev_varz00_bglt BgL_vz00_2481;

				BgL_ez00_2480 = BgL_ez00_4197;
				BgL_vz00_2481 = BgL_vz00_4198;
				{	/* Eval/evaluate_fsize.scm 508 */
					bool_t BgL__ortest_2482z00_2485;

					{	/* Eval/evaluate_fsize.scm 508 */
						obj_t BgL_g2551z00_2487;

						BgL_g2551z00_2487 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_2480)))->BgL_valsz00);
						{
							obj_t BgL_l2549z00_2489;

							BgL_l2549z00_2489 = BgL_g2551z00_2487;
						BgL_zc3anonymousza33123ze3z83_2490:
							if (NULLP(BgL_l2549z00_2489))
								{	/* Eval/evaluate_fsize.scm 508 */
									BgL__ortest_2482z00_2485 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 508 */
									bool_t BgL_testz00_5226;

									{	/* Eval/evaluate_fsize.scm 508 */
										obj_t BgL_ez00_2494;

										BgL_ez00_2494 = CAR(BgL_l2549z00_2489);
										{	/* Eval/evaluate_fsize.scm 508 */
											obj_t BgL_arg3127z00_2495;

											BgL_arg3127z00_2495 = CDR(BgL_ez00_2494);
											BgL_testz00_5226 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg3127z00_2495),
													BgL_vz00_2481));
										}
									}
									if (BgL_testz00_5226)
										{	/* Eval/evaluate_fsize.scm 508 */
											BgL__ortest_2482z00_2485 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l2549z00_5232;

											BgL_l2549z00_5232 = CDR(BgL_l2549z00_2489);
											BgL_l2549z00_2489 = BgL_l2549z00_5232;
											goto BgL_zc3anonymousza33123ze3z83_2490;
										}
								}
						}
					}
					if (BgL__ortest_2482z00_2485)
						{	/* Eval/evaluate_fsize.scm 508 */
							return BBOOL(BgL__ortest_2482z00_2485);
						}
					else
						{	/* Eval/evaluate_fsize.scm 509 */
							BgL_ev_exprz00_bglt BgL_arg3122z00_2486;

							BgL_arg3122z00_2486 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_2480)))->BgL_bodyz00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3122z00_2486,
								BgL_vz00_2481);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder2732 */
	obj_t BGl_z62hasvarzf3zd2ev_binder2732z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4199, BgL_ev_binderz00_bglt BgL_ez00_4200,
		BgL_ev_varz00_bglt BgL_vz00_4201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 501 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_2463;
				BgL_ev_varz00_bglt BgL_vz00_2464;

				BgL_ez00_2463 = BgL_ez00_4200;
				BgL_vz00_2464 = BgL_vz00_4201;
				{	/* Eval/evaluate_fsize.scm 503 */
					bool_t BgL__ortest_2479z00_2468;

					{	/* Eval/evaluate_fsize.scm 503 */
						obj_t BgL_g2548z00_2470;

						BgL_g2548z00_2470 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_ez00_2463)))->BgL_valsz00);
						{
							obj_t BgL_l2546z00_2472;

							BgL_l2546z00_2472 = BgL_g2548z00_2470;
						BgL_zc3anonymousza33118ze3z83_2473:
							if (NULLP(BgL_l2546z00_2472))
								{	/* Eval/evaluate_fsize.scm 503 */
									BgL__ortest_2479z00_2468 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 503 */
									bool_t BgL_testz00_5243;

									{	/* Eval/evaluate_fsize.scm 503 */
										obj_t BgL_ez00_2477;

										BgL_ez00_2477 = CAR(BgL_l2546z00_2472);
										BgL_testz00_5243 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_2477), BgL_vz00_2464));
									}
									if (BgL_testz00_5243)
										{	/* Eval/evaluate_fsize.scm 503 */
											BgL__ortest_2479z00_2468 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l2546z00_5248;

											BgL_l2546z00_5248 = CDR(BgL_l2546z00_2472);
											BgL_l2546z00_2472 = BgL_l2546z00_5248;
											goto BgL_zc3anonymousza33118ze3z83_2473;
										}
								}
						}
					}
					if (BgL__ortest_2479z00_2468)
						{	/* Eval/evaluate_fsize.scm 503 */
							return BBOOL(BgL__ortest_2479z00_2468);
						}
					else
						{	/* Eval/evaluate_fsize.scm 504 */
							BgL_ev_exprz00_bglt BgL_arg3117z00_2469;

							BgL_arg3117z00_2469 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_ez00_2463)))->BgL_bodyz00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3117z00_2469,
								BgL_vz00_2464);
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand2730 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand2730z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4202, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4203,
		BgL_ev_varz00_bglt BgL_vz00_4204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 497 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2454;
				BgL_ev_varz00_bglt BgL_vz00_2455;

				BgL_ez00_2454 = BgL_ez00_4203;
				BgL_vz00_2455 = BgL_vz00_4204;
				{	/* Eval/evaluate_fsize.scm 498 */
					obj_t BgL__ortest_2476z00_3764;

					{	/* Eval/evaluate_fsize.scm 498 */
						BgL_ev_exprz00_bglt BgL_arg3116z00_3765;

						BgL_arg3116z00_3765 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_2454)))->BgL_handlerz00);
						BgL__ortest_2476z00_3764 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3116z00_3765,
							BgL_vz00_2455);
					}
					if (CBOOL(BgL__ortest_2476z00_3764))
						{	/* Eval/evaluate_fsize.scm 498 */
							return BgL__ortest_2476z00_3764;
						}
					else
						{	/* Eval/evaluate_fsize.scm 498 */
							BgL_ev_exprz00_bglt BgL_arg3115z00_3766;

							BgL_arg3115z00_3766 =
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(
										((obj_t) BgL_ez00_2454)))->BgL_bodyz00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3115z00_3766,
								BgL_vz00_2455);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr2728 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr2728z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4205, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_4206,
		BgL_ev_varz00_bglt BgL_vz00_4207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 493 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2445;
				BgL_ev_varz00_bglt BgL_vz00_2446;

				BgL_ez00_2445 = BgL_ez00_4206;
				BgL_vz00_2446 = BgL_vz00_4207;
				{	/* Eval/evaluate_fsize.scm 494 */
					obj_t BgL__ortest_2473z00_3758;

					{	/* Eval/evaluate_fsize.scm 494 */
						BgL_ev_exprz00_bglt BgL_arg3114z00_3759;

						BgL_arg3114z00_3759 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_ez00_2445)))->BgL_ez00);
						BgL__ortest_2473z00_3758 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3114z00_3759,
							BgL_vz00_2446);
					}
					if (CBOOL(BgL__ortest_2473z00_3758))
						{	/* Eval/evaluate_fsize.scm 494 */
							return BgL__ortest_2473z00_3758;
						}
					else
						{	/* Eval/evaluate_fsize.scm 494 */
							BgL_ev_exprz00_bglt BgL_arg3113z00_3760;

							BgL_arg3113z00_3760 =
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
										((obj_t) BgL_ez00_2445)))->BgL_bodyz00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3113z00_3760,
								BgL_vz00_2446);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit2726 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit2726z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4208, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4209,
		BgL_ev_varz00_bglt BgL_vz00_4210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 489 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2438;
				BgL_ev_varz00_bglt BgL_vz00_2439;

				BgL_ez00_2438 = BgL_ez00_4209;
				BgL_vz00_2439 = BgL_vz00_4210;
				{	/* Eval/evaluate_fsize.scm 490 */
					BgL_ev_exprz00_bglt BgL_arg3112z00_3755;

					BgL_arg3112z00_3755 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(
								((obj_t) BgL_ez00_2438)))->BgL_bodyz00);
					return
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3112z00_3755,
						BgL_vz00_2439);
				}
			}
		}
	}



/* &hasvar?-ev_setlocal2724 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal2724z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4211, BgL_ev_setlocalz00_bglt BgL_ez00_4212,
		BgL_ev_varz00_bglt BgL_varz00_4213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 485 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2429;
				BgL_ev_varz00_bglt BgL_varz00_2430;

				BgL_ez00_2429 = BgL_ez00_4212;
				BgL_varz00_2430 = BgL_varz00_4213;
				{	/* Eval/evaluate_fsize.scm 486 */
					bool_t BgL__ortest_2468z00_3749;

					BgL__ortest_2468z00_3749 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(
										((obj_t) BgL_ez00_2429)))->BgL_vz00)) ==
						((obj_t) BgL_varz00_2430));
					if (BgL__ortest_2468z00_3749)
						{	/* Eval/evaluate_fsize.scm 486 */
							return BBOOL(BgL__ortest_2468z00_3749);
						}
					else
						{	/* Eval/evaluate_fsize.scm 486 */
							BgL_ev_exprz00_bglt BgL_arg3110z00_3751;

							{	/* Eval/evaluate_fsize.scm 486 */
								BgL_ev_hookz00_bglt BgL_obj1944z00_3753;

								BgL_obj1944z00_3753 = ((BgL_ev_hookz00_bglt) BgL_ez00_2429);
								BgL_arg3110z00_3751 =
									(((BgL_ev_hookz00_bglt) CREF(
											((obj_t) BgL_obj1944z00_3753)))->BgL_ez00);
							}
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3110z00_3751,
								BgL_varz00_2430);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook2722 */
	obj_t BGl_z62hasvarzf3zd2ev_hook2722z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4214, BgL_ev_hookz00_bglt BgL_ez00_4215,
		BgL_ev_varz00_bglt BgL_vz00_4216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 481 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_2422;
				BgL_ev_varz00_bglt BgL_vz00_2423;

				BgL_ez00_2422 = BgL_ez00_4215;
				BgL_vz00_2423 = BgL_vz00_4216;
				{	/* Eval/evaluate_fsize.scm 482 */
					BgL_ev_exprz00_bglt BgL_arg3109z00_3746;

					BgL_arg3109z00_3746 =
						(((BgL_ev_hookz00_bglt) CREF(((obj_t) BgL_ez00_2422)))->BgL_ez00);
					return
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3109z00_3746,
						BgL_vz00_2423);
				}
			}
		}
	}



/* &hasvar?-ev_prog22720 */
	obj_t BGl_z62hasvarzf3zd2ev_prog22720z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4217, BgL_ev_prog2z00_bglt BgL_ez00_4218,
		BgL_ev_varz00_bglt BgL_vz00_4219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 477 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2413;
				BgL_ev_varz00_bglt BgL_vz00_2414;

				BgL_ez00_2413 = BgL_ez00_4218;
				BgL_vz00_2414 = BgL_vz00_4219;
				{	/* Eval/evaluate_fsize.scm 478 */
					obj_t BgL__ortest_2463z00_3740;

					{	/* Eval/evaluate_fsize.scm 478 */
						BgL_ev_exprz00_bglt BgL_arg3108z00_3741;

						BgL_arg3108z00_3741 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_2413)))->BgL_e1z00);
						BgL__ortest_2463z00_3740 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3108z00_3741,
							BgL_vz00_2414);
					}
					if (CBOOL(BgL__ortest_2463z00_3740))
						{	/* Eval/evaluate_fsize.scm 478 */
							return BgL__ortest_2463z00_3740;
						}
					else
						{	/* Eval/evaluate_fsize.scm 478 */
							BgL_ev_exprz00_bglt BgL_arg3107z00_3742;

							BgL_arg3107z00_3742 =
								(((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_2413)))->BgL_e2z00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3107z00_3742,
								BgL_vz00_2414);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list2718 */
	obj_t BGl_z62hasvarzf3zd2ev_list2718z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4220, BgL_ev_listz00_bglt BgL_ez00_4221,
		BgL_ev_varz00_bglt BgL_vz00_4222)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 473 */
			{
				BgL_ev_listz00_bglt BgL_ez00_2398;
				BgL_ev_varz00_bglt BgL_vz00_2399;

				{	/* Eval/evaluate_fsize.scm 474 */
					bool_t BgL_auxz00_5296;

					BgL_ez00_2398 = BgL_ez00_4221;
					BgL_vz00_2399 = BgL_vz00_4222;
					{	/* Eval/evaluate_fsize.scm 475 */
						obj_t BgL_g2545z00_2403;

						BgL_g2545z00_2403 =
							(((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_ez00_2398)))->BgL_argsz00);
						{
							obj_t BgL_l2543z00_2405;

							BgL_l2543z00_2405 = BgL_g2545z00_2403;
						BgL_zc3anonymousza33102ze3z83_2406:
							if (NULLP(BgL_l2543z00_2405))
								{	/* Eval/evaluate_fsize.scm 475 */
									BgL_auxz00_5296 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 475 */
									bool_t BgL_testz00_5301;

									{	/* Eval/evaluate_fsize.scm 475 */
										obj_t BgL_az00_2410;

										BgL_az00_2410 = CAR(BgL_l2543z00_2405);
										BgL_testz00_5301 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_az00_2410), BgL_vz00_2399));
									}
									if (BgL_testz00_5301)
										{	/* Eval/evaluate_fsize.scm 475 */
											BgL_auxz00_5296 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l2543z00_5306;

											BgL_l2543z00_5306 = CDR(BgL_l2543z00_2405);
											BgL_l2543z00_2405 = BgL_l2543z00_5306;
											goto BgL_zc3anonymousza33102ze3z83_2406;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_5296);
				}
			}
		}
	}



/* &hasvar?-ev_if2716 */
	obj_t BGl_z62hasvarzf3zd2ev_if2716z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4223, BgL_ev_ifz00_bglt BgL_ez00_4224,
		BgL_ev_varz00_bglt BgL_vz00_4225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 469 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2387;
				BgL_ev_varz00_bglt BgL_vz00_2388;

				BgL_ez00_2387 = BgL_ez00_4224;
				BgL_vz00_2388 = BgL_vz00_4225;
				{	/* Eval/evaluate_fsize.scm 470 */
					obj_t BgL__ortest_2457z00_3726;

					{	/* Eval/evaluate_fsize.scm 470 */
						BgL_ev_exprz00_bglt BgL_arg3101z00_3727;

						BgL_arg3101z00_3727 =
							(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_2387)))->BgL_pz00);
						BgL__ortest_2457z00_3726 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3101z00_3727,
							BgL_vz00_2388);
					}
					if (CBOOL(BgL__ortest_2457z00_3726))
						{	/* Eval/evaluate_fsize.scm 470 */
							return BgL__ortest_2457z00_3726;
						}
					else
						{	/* Eval/evaluate_fsize.scm 470 */
							obj_t BgL__ortest_2458z00_3728;

							{	/* Eval/evaluate_fsize.scm 470 */
								BgL_ev_exprz00_bglt BgL_arg3100z00_3729;

								BgL_arg3100z00_3729 =
									(((BgL_ev_ifz00_bglt) CREF(
											((obj_t) BgL_ez00_2387)))->BgL_tz00);
								BgL__ortest_2458z00_3728 =
									BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3100z00_3729,
									BgL_vz00_2388);
							}
							if (CBOOL(BgL__ortest_2458z00_3728))
								{	/* Eval/evaluate_fsize.scm 470 */
									return BgL__ortest_2458z00_3728;
								}
							else
								{	/* Eval/evaluate_fsize.scm 470 */
									BgL_ev_exprz00_bglt BgL_arg3099z00_3730;

									BgL_arg3099z00_3730 =
										(((BgL_ev_ifz00_bglt) CREF(
												((obj_t) BgL_ez00_2387)))->BgL_ez00);
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg3099z00_3730,
										BgL_vz00_2388);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt2714 */
	obj_t BGl_z62hasvarzf3zd2ev_litt2714z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4226, BgL_ev_littz00_bglt BgL_ez00_4227,
		BgL_ev_varz00_bglt BgL_vz00_4228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 466 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global2712 */
	obj_t BGl_z62hasvarzf3zd2ev_global2712z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4229, BgL_ev_globalz00_bglt BgL_ez00_4230,
		BgL_ev_varz00_bglt BgL_vz00_4231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 463 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var2710 */
	obj_t BGl_z62hasvarzf3zd2ev_var2710z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4232, BgL_ev_varz00_bglt BgL_ez00_4233,
		BgL_ev_varz00_bglt BgL_vz00_4234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			return BBOOL((((obj_t) BgL_ez00_4233) == ((obj_t) BgL_vz00_4234)));
		}
	}



/* &tailpos-ev_abs2706 */
	obj_t BGl_z62tailposzd2ev_abs2706zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4235, BgL_ev_absz00_bglt BgL_ez00_4236,
		BgL_ev_varz00_bglt BgL_vz00_4237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 452 */
			{
				BgL_ev_absz00_bglt BgL_ez00_2364;
				BgL_ev_varz00_bglt BgL_vz00_2365;

				{	/* Eval/evaluate_fsize.scm 453 */
					bool_t BgL_auxz00_5328;

					BgL_ez00_2364 = BgL_ez00_4236;
					BgL_vz00_2365 = BgL_vz00_4237;
					{	/* Eval/evaluate_fsize.scm 453 */
						bool_t BgL_testz00_5329;

						{	/* Eval/evaluate_fsize.scm 453 */
							BgL_ev_exprz00_bglt BgL_arg3098z00_3723;

							BgL_arg3098z00_3723 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_2364)))->BgL_bodyz00);
							BgL_testz00_5329 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg3098z00_3723, BgL_vz00_2365));
						}
						if (BgL_testz00_5329)
							{	/* Eval/evaluate_fsize.scm 453 */
								BgL_auxz00_5328 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 453 */
								BgL_auxz00_5328 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_5328);
				}
			}
		}
	}



/* &tailpos-ev_app2704 */
	obj_t BGl_z62tailposzd2ev_app2704zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4238, BgL_ev_appz00_bglt BgL_ez00_4239,
		BgL_ev_varz00_bglt BgL_vz00_4240)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 446 */
			{
				BgL_ev_appz00_bglt BgL_ez00_2343;
				BgL_ev_varz00_bglt BgL_vz00_2344;

				{	/* Eval/evaluate_fsize.scm 447 */
					bool_t BgL_auxz00_5335;

					BgL_ez00_2343 = BgL_ez00_4239;
					BgL_vz00_2344 = BgL_vz00_4240;
					{	/* Eval/evaluate_fsize.scm 448 */
						bool_t BgL_testz00_5336;

						{	/* Eval/evaluate_fsize.scm 448 */
							obj_t BgL_g2542z00_2353;

							BgL_g2542z00_2353 =
								(((BgL_ev_appz00_bglt) CREF(
										((obj_t) BgL_ez00_2343)))->BgL_argsz00);
							{
								obj_t BgL_l2540z00_2355;

								BgL_l2540z00_2355 = BgL_g2542z00_2353;
							BgL_zc3anonymousza33092ze3z83_2356:
								if (NULLP(BgL_l2540z00_2355))
									{	/* Eval/evaluate_fsize.scm 448 */
										BgL_testz00_5336 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 448 */
										bool_t BgL_testz00_5341;

										{	/* Eval/evaluate_fsize.scm 448 */
											bool_t BgL_testz00_5342;

											{	/* Eval/evaluate_fsize.scm 448 */
												obj_t BgL_auxz00_5343;

												{	/* Eval/evaluate_fsize.scm 448 */
													BgL_ev_exprz00_bglt BgL_auxz00_5344;

													{	/* Eval/evaluate_fsize.scm 448 */
														obj_t BgL_pairz00_3717;

														BgL_pairz00_3717 = BgL_l2540z00_2355;
														BgL_auxz00_5344 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_3717));
													}
													BgL_auxz00_5343 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_5344, BgL_vz00_2344);
												}
												BgL_testz00_5342 = CBOOL(BgL_auxz00_5343);
											}
											if (BgL_testz00_5342)
												{	/* Eval/evaluate_fsize.scm 448 */
													BgL_testz00_5341 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 448 */
													BgL_testz00_5341 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_5341)
											{
												obj_t BgL_l2540z00_5349;

												BgL_l2540z00_5349 = CDR(BgL_l2540z00_2355);
												BgL_l2540z00_2355 = BgL_l2540z00_5349;
												goto BgL_zc3anonymousza33092ze3z83_2356;
											}
										else
											{	/* Eval/evaluate_fsize.scm 448 */
												BgL_testz00_5336 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_5336)
							{	/* Eval/evaluate_fsize.scm 449 */
								bool_t BgL__ortest_2452z00_2349;

								BgL__ortest_2452z00_2349 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(
													((obj_t) BgL_ez00_2343)))->BgL_funz00)) ==
									((obj_t) BgL_vz00_2344));
								if (BgL__ortest_2452z00_2349)
									{	/* Eval/evaluate_fsize.scm 449 */
										BgL_auxz00_5335 = BgL__ortest_2452z00_2349;
									}
								else
									{	/* Eval/evaluate_fsize.scm 450 */
										bool_t BgL_testz00_5357;

										{	/* Eval/evaluate_fsize.scm 450 */
											BgL_ev_exprz00_bglt BgL_arg3090z00_2351;

											BgL_arg3090z00_2351 =
												(((BgL_ev_appz00_bglt) CREF(
														((obj_t) BgL_ez00_2343)))->BgL_funz00);
											BgL_testz00_5357 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg3090z00_2351, BgL_vz00_2344));
										}
										if (BgL_testz00_5357)
											{	/* Eval/evaluate_fsize.scm 450 */
												BgL_auxz00_5335 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 450 */
												BgL_auxz00_5335 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 448 */
								BgL_auxz00_5335 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_5335);
				}
			}
		}
	}



/* &tailpos-ev_goto2702 */
	obj_t BGl_z62tailposzd2ev_goto2702zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4241, BgL_ev_gotoz00_bglt BgL_ez00_4242,
		BgL_ev_varz00_bglt BgL_vz00_4243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 442 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_2327;
				BgL_ev_varz00_bglt BgL_vz00_2328;

				{	/* Eval/evaluate_fsize.scm 443 */
					bool_t BgL_auxz00_5363;

					BgL_ez00_2327 = BgL_ez00_4242;
					BgL_vz00_2328 = BgL_vz00_4243;
					{	/* Eval/evaluate_fsize.scm 444 */
						obj_t BgL_g2539z00_2332;

						BgL_g2539z00_2332 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_ez00_2327)))->BgL_argsz00);
						{
							obj_t BgL_l2537z00_2334;

							BgL_l2537z00_2334 = BgL_g2539z00_2332;
						BgL_zc3anonymousza33084ze3z83_2335:
							if (NULLP(BgL_l2537z00_2334))
								{	/* Eval/evaluate_fsize.scm 444 */
									BgL_auxz00_5363 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 444 */
									bool_t BgL_testz00_5368;

									{	/* Eval/evaluate_fsize.scm 444 */
										bool_t BgL_testz00_5369;

										{	/* Eval/evaluate_fsize.scm 444 */
											obj_t BgL_auxz00_5370;

											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_ev_exprz00_bglt BgL_auxz00_5371;

												{	/* Eval/evaluate_fsize.scm 444 */
													obj_t BgL_pairz00_3712;

													BgL_pairz00_3712 = BgL_l2537z00_2334;
													BgL_auxz00_5371 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_3712));
												}
												BgL_auxz00_5370 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_5371, BgL_vz00_2328);
											}
											BgL_testz00_5369 = CBOOL(BgL_auxz00_5370);
										}
										if (BgL_testz00_5369)
											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_testz00_5368 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_testz00_5368 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_5368)
										{
											obj_t BgL_l2537z00_5376;

											BgL_l2537z00_5376 = CDR(BgL_l2537z00_2334);
											BgL_l2537z00_2334 = BgL_l2537z00_5376;
											goto BgL_zc3anonymousza33084ze3z83_2335;
										}
									else
										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_auxz00_5363 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_5363);
				}
			}
		}
	}



/* &tailpos-ev_labels2700 */
	obj_t BGl_z62tailposzd2ev_labels2700zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4244, BgL_ev_labelsz00_bglt BgL_ez00_4245,
		BgL_ev_varz00_bglt BgL_vz00_4246)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 437 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_2309;
				BgL_ev_varz00_bglt BgL_vz00_2310;

				BgL_ez00_2309 = BgL_ez00_4245;
				BgL_vz00_2310 = BgL_vz00_4246;
				{	/* Eval/evaluate_fsize.scm 439 */
					bool_t BgL_testz00_5379;

					{	/* Eval/evaluate_fsize.scm 439 */
						obj_t BgL_g2536z00_2316;

						BgL_g2536z00_2316 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_2309)))->BgL_valsz00);
						{
							obj_t BgL_l2534z00_2318;

							BgL_l2534z00_2318 = BgL_g2536z00_2316;
						BgL_zc3anonymousza33079ze3z83_2319:
							if (NULLP(BgL_l2534z00_2318))
								{	/* Eval/evaluate_fsize.scm 439 */
									BgL_testz00_5379 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 439 */
									bool_t BgL_testz00_5384;

									{	/* Eval/evaluate_fsize.scm 439 */
										obj_t BgL_ez00_2323;

										BgL_ez00_2323 = CAR(BgL_l2534z00_2318);
										{	/* Eval/evaluate_fsize.scm 439 */
											obj_t BgL_arg3083z00_2324;

											BgL_arg3083z00_2324 = CDR(BgL_ez00_2323);
											BgL_testz00_5384 =
												CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg3083z00_2324),
													BgL_vz00_2310));
										}
									}
									if (BgL_testz00_5384)
										{
											obj_t BgL_l2534z00_5390;

											BgL_l2534z00_5390 = CDR(BgL_l2534z00_2318);
											BgL_l2534z00_2318 = BgL_l2534z00_5390;
											goto BgL_zc3anonymousza33079ze3z83_2319;
										}
									else
										{	/* Eval/evaluate_fsize.scm 439 */
											BgL_testz00_5379 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_5379)
						{	/* Eval/evaluate_fsize.scm 440 */
							BgL_ev_exprz00_bglt BgL_arg3078z00_2315;

							BgL_arg3078z00_2315 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_2309)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3078z00_2315,
								BgL_vz00_2310);
						}
					else
						{	/* Eval/evaluate_fsize.scm 439 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec2698 */
	obj_t BGl_z62tailposzd2ev_letrec2698zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4247, BgL_ev_letrecz00_bglt BgL_ez00_4248,
		BgL_ev_varz00_bglt BgL_vz00_4249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 432 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_2291;
				BgL_ev_varz00_bglt BgL_vz00_2292;

				BgL_ez00_2291 = BgL_ez00_4248;
				BgL_vz00_2292 = BgL_vz00_4249;
				{	/* Eval/evaluate_fsize.scm 434 */
					bool_t BgL_testz00_5395;

					{	/* Eval/evaluate_fsize.scm 434 */
						obj_t BgL_g2533z00_2298;

						{	/* Eval/evaluate_fsize.scm 434 */
							BgL_ev_binderz00_bglt BgL_obj2083z00_3696;

							BgL_obj2083z00_3696 = ((BgL_ev_binderz00_bglt) BgL_ez00_2291);
							BgL_g2533z00_2298 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2083z00_3696)))->BgL_valsz00);
						}
						{
							obj_t BgL_l2531z00_2300;

							BgL_l2531z00_2300 = BgL_g2533z00_2298;
						BgL_zc3anonymousza33073ze3z83_2301:
							if (NULLP(BgL_l2531z00_2300))
								{	/* Eval/evaluate_fsize.scm 434 */
									BgL_testz00_5395 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 434 */
									bool_t BgL_testz00_5401;

									{	/* Eval/evaluate_fsize.scm 434 */
										bool_t BgL_testz00_5402;

										{	/* Eval/evaluate_fsize.scm 434 */
											obj_t BgL_auxz00_5403;

											{	/* Eval/evaluate_fsize.scm 434 */
												BgL_ev_exprz00_bglt BgL_auxz00_5404;

												{	/* Eval/evaluate_fsize.scm 434 */
													obj_t BgL_pairz00_3699;

													BgL_pairz00_3699 = BgL_l2531z00_2300;
													BgL_auxz00_5404 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_3699));
												}
												BgL_auxz00_5403 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_5404, BgL_vz00_2292);
											}
											BgL_testz00_5402 = CBOOL(BgL_auxz00_5403);
										}
										if (BgL_testz00_5402)
											{	/* Eval/evaluate_fsize.scm 434 */
												BgL_testz00_5401 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 434 */
												BgL_testz00_5401 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_5401)
										{
											obj_t BgL_l2531z00_5409;

											BgL_l2531z00_5409 = CDR(BgL_l2531z00_2300);
											BgL_l2531z00_2300 = BgL_l2531z00_5409;
											goto BgL_zc3anonymousza33073ze3z83_2301;
										}
									else
										{	/* Eval/evaluate_fsize.scm 434 */
											BgL_testz00_5395 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_5395)
						{	/* Eval/evaluate_fsize.scm 435 */
							BgL_ev_exprz00_bglt BgL_arg3072z00_2297;

							{	/* Eval/evaluate_fsize.scm 435 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_3701;

								BgL_obj2086z00_3701 = ((BgL_ev_binderz00_bglt) BgL_ez00_2291);
								BgL_arg3072z00_2297 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_3701)))->BgL_bodyz00);
							}
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3072z00_2297,
								BgL_vz00_2292);
						}
					else
						{	/* Eval/evaluate_fsize.scm 434 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*2696 */
	obj_t BGl_z62tailposzd2ev_letza22696z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4250, BgL_ev_letza2za2_bglt BgL_ez00_4251,
		BgL_ev_varz00_bglt BgL_vz00_4252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 427 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_2273;
				BgL_ev_varz00_bglt BgL_vz00_2274;

				BgL_ez00_2273 = BgL_ez00_4251;
				BgL_vz00_2274 = BgL_vz00_4252;
				{	/* Eval/evaluate_fsize.scm 429 */
					bool_t BgL_testz00_5415;

					{	/* Eval/evaluate_fsize.scm 429 */
						obj_t BgL_g2530z00_2280;

						{	/* Eval/evaluate_fsize.scm 429 */
							BgL_ev_binderz00_bglt BgL_obj2083z00_3690;

							BgL_obj2083z00_3690 = ((BgL_ev_binderz00_bglt) BgL_ez00_2273);
							BgL_g2530z00_2280 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2083z00_3690)))->BgL_valsz00);
						}
						{
							obj_t BgL_l2528z00_2282;

							BgL_l2528z00_2282 = BgL_g2530z00_2280;
						BgL_zc3anonymousza33067ze3z83_2283:
							if (NULLP(BgL_l2528z00_2282))
								{	/* Eval/evaluate_fsize.scm 429 */
									BgL_testz00_5415 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 429 */
									bool_t BgL_testz00_5421;

									{	/* Eval/evaluate_fsize.scm 429 */
										bool_t BgL_testz00_5422;

										{	/* Eval/evaluate_fsize.scm 429 */
											obj_t BgL_auxz00_5423;

											{	/* Eval/evaluate_fsize.scm 429 */
												BgL_ev_exprz00_bglt BgL_auxz00_5424;

												{	/* Eval/evaluate_fsize.scm 429 */
													obj_t BgL_pairz00_3693;

													BgL_pairz00_3693 = BgL_l2528z00_2282;
													BgL_auxz00_5424 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_3693));
												}
												BgL_auxz00_5423 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_5424, BgL_vz00_2274);
											}
											BgL_testz00_5422 = CBOOL(BgL_auxz00_5423);
										}
										if (BgL_testz00_5422)
											{	/* Eval/evaluate_fsize.scm 429 */
												BgL_testz00_5421 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 429 */
												BgL_testz00_5421 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_5421)
										{
											obj_t BgL_l2528z00_5429;

											BgL_l2528z00_5429 = CDR(BgL_l2528z00_2282);
											BgL_l2528z00_2282 = BgL_l2528z00_5429;
											goto BgL_zc3anonymousza33067ze3z83_2283;
										}
									else
										{	/* Eval/evaluate_fsize.scm 429 */
											BgL_testz00_5415 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_5415)
						{	/* Eval/evaluate_fsize.scm 430 */
							BgL_ev_exprz00_bglt BgL_arg3066z00_2279;

							{	/* Eval/evaluate_fsize.scm 430 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_3695;

								BgL_obj2086z00_3695 = ((BgL_ev_binderz00_bglt) BgL_ez00_2273);
								BgL_arg3066z00_2279 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_3695)))->BgL_bodyz00);
							}
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3066z00_2279,
								BgL_vz00_2274);
						}
					else
						{	/* Eval/evaluate_fsize.scm 429 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let2694 */
	obj_t BGl_z62tailposzd2ev_let2694zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4253, BgL_ev_letz00_bglt BgL_ez00_4254,
		BgL_ev_varz00_bglt BgL_vz00_4255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 422 */
			{
				BgL_ev_letz00_bglt BgL_ez00_2255;
				BgL_ev_varz00_bglt BgL_vz00_2256;

				BgL_ez00_2255 = BgL_ez00_4254;
				BgL_vz00_2256 = BgL_vz00_4255;
				{	/* Eval/evaluate_fsize.scm 424 */
					bool_t BgL_testz00_5435;

					{	/* Eval/evaluate_fsize.scm 424 */
						obj_t BgL_g2527z00_2262;

						{	/* Eval/evaluate_fsize.scm 424 */
							BgL_ev_binderz00_bglt BgL_obj2083z00_3684;

							BgL_obj2083z00_3684 = ((BgL_ev_binderz00_bglt) BgL_ez00_2255);
							BgL_g2527z00_2262 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2083z00_3684)))->BgL_valsz00);
						}
						{
							obj_t BgL_l2525z00_2264;

							BgL_l2525z00_2264 = BgL_g2527z00_2262;
						BgL_zc3anonymousza33061ze3z83_2265:
							if (NULLP(BgL_l2525z00_2264))
								{	/* Eval/evaluate_fsize.scm 424 */
									BgL_testz00_5435 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 424 */
									bool_t BgL_testz00_5441;

									{	/* Eval/evaluate_fsize.scm 424 */
										bool_t BgL_testz00_5442;

										{	/* Eval/evaluate_fsize.scm 424 */
											obj_t BgL_auxz00_5443;

											{	/* Eval/evaluate_fsize.scm 424 */
												BgL_ev_exprz00_bglt BgL_auxz00_5444;

												{	/* Eval/evaluate_fsize.scm 424 */
													obj_t BgL_pairz00_3687;

													BgL_pairz00_3687 = BgL_l2525z00_2264;
													BgL_auxz00_5444 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_3687));
												}
												BgL_auxz00_5443 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_5444, BgL_vz00_2256);
											}
											BgL_testz00_5442 = CBOOL(BgL_auxz00_5443);
										}
										if (BgL_testz00_5442)
											{	/* Eval/evaluate_fsize.scm 424 */
												BgL_testz00_5441 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 424 */
												BgL_testz00_5441 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_5441)
										{
											obj_t BgL_l2525z00_5449;

											BgL_l2525z00_5449 = CDR(BgL_l2525z00_2264);
											BgL_l2525z00_2264 = BgL_l2525z00_5449;
											goto BgL_zc3anonymousza33061ze3z83_2265;
										}
									else
										{	/* Eval/evaluate_fsize.scm 424 */
											BgL_testz00_5435 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_5435)
						{	/* Eval/evaluate_fsize.scm 425 */
							BgL_ev_exprz00_bglt BgL_arg3060z00_2261;

							{	/* Eval/evaluate_fsize.scm 425 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_3689;

								BgL_obj2086z00_3689 = ((BgL_ev_binderz00_bglt) BgL_ez00_2255);
								BgL_arg3060z00_2261 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_3689)))->BgL_bodyz00);
							}
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3060z00_2261,
								BgL_vz00_2256);
						}
					else
						{	/* Eval/evaluate_fsize.scm 424 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_with-hand2692 */
	obj_t BGl_z62tailposzd2ev_withzd2hand2692z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4256, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4257,
		BgL_ev_varz00_bglt BgL_vz00_4258)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 418 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2244;
				BgL_ev_varz00_bglt BgL_vz00_2245;

				{	/* Eval/evaluate_fsize.scm 419 */
					bool_t BgL_auxz00_5455;

					BgL_ez00_2244 = BgL_ez00_4257;
					BgL_vz00_2245 = BgL_vz00_4258;
					{	/* Eval/evaluate_fsize.scm 419 */
						bool_t BgL_testz00_5456;

						{	/* Eval/evaluate_fsize.scm 419 */
							bool_t BgL_testz00_5457;

							{	/* Eval/evaluate_fsize.scm 419 */
								BgL_ev_exprz00_bglt BgL_arg3059z00_3679;

								BgL_arg3059z00_3679 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(
											((obj_t) BgL_ez00_2244)))->BgL_handlerz00);
								BgL_testz00_5457 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg3059z00_3679, BgL_vz00_2245));
							}
							if (BgL_testz00_5457)
								{	/* Eval/evaluate_fsize.scm 419 */
									BgL_testz00_5456 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 419 */
									BgL_testz00_5456 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_5456)
							{	/* Eval/evaluate_fsize.scm 419 */
								bool_t BgL_testz00_5462;

								{	/* Eval/evaluate_fsize.scm 419 */
									BgL_ev_exprz00_bglt BgL_arg3057z00_3681;

									BgL_arg3057z00_3681 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(
												((obj_t) BgL_ez00_2244)))->BgL_bodyz00);
									BgL_testz00_5462 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg3057z00_3681, BgL_vz00_2245));
								}
								if (BgL_testz00_5462)
									{	/* Eval/evaluate_fsize.scm 419 */
										BgL_auxz00_5455 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 419 */
										BgL_auxz00_5455 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 419 */
								BgL_auxz00_5455 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_5455);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr2690 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr2690z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4259, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_4260,
		BgL_ev_varz00_bglt BgL_vz00_4261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 414 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2233;
				BgL_ev_varz00_bglt BgL_vz00_2234;

				{	/* Eval/evaluate_fsize.scm 415 */
					bool_t BgL_auxz00_5468;

					BgL_ez00_2233 = BgL_ez00_4260;
					BgL_vz00_2234 = BgL_vz00_4261;
					{	/* Eval/evaluate_fsize.scm 415 */
						bool_t BgL_testz00_5469;

						{	/* Eval/evaluate_fsize.scm 415 */
							bool_t BgL_testz00_5470;

							{	/* Eval/evaluate_fsize.scm 415 */
								BgL_ev_exprz00_bglt BgL_arg3055z00_3671;

								BgL_arg3055z00_3671 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
											((obj_t) BgL_ez00_2233)))->BgL_ez00);
								BgL_testz00_5470 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg3055z00_3671, BgL_vz00_2234));
							}
							if (BgL_testz00_5470)
								{	/* Eval/evaluate_fsize.scm 415 */
									BgL_testz00_5469 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 415 */
									BgL_testz00_5469 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_5469)
							{	/* Eval/evaluate_fsize.scm 415 */
								bool_t BgL_testz00_5475;

								{	/* Eval/evaluate_fsize.scm 415 */
									BgL_ev_exprz00_bglt BgL_arg3053z00_3673;

									BgL_arg3053z00_3673 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
												((obj_t) BgL_ez00_2233)))->BgL_bodyz00);
									BgL_testz00_5475 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg3053z00_3673, BgL_vz00_2234));
								}
								if (BgL_testz00_5475)
									{	/* Eval/evaluate_fsize.scm 415 */
										BgL_auxz00_5468 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 415 */
										BgL_auxz00_5468 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 415 */
								BgL_auxz00_5468 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_5468);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit2688 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit2688z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4262, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4263,
		BgL_ev_varz00_bglt BgL_vz00_4264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 410 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2225;
				BgL_ev_varz00_bglt BgL_vz00_2226;

				{	/* Eval/evaluate_fsize.scm 411 */
					bool_t BgL_auxz00_5481;

					BgL_ez00_2225 = BgL_ez00_4263;
					BgL_vz00_2226 = BgL_vz00_4264;
					{	/* Eval/evaluate_fsize.scm 411 */
						bool_t BgL_testz00_5482;

						{	/* Eval/evaluate_fsize.scm 411 */
							BgL_ev_exprz00_bglt BgL_arg3051z00_3666;

							BgL_arg3051z00_3666 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((obj_t) BgL_ez00_2225)))->BgL_bodyz00);
							BgL_testz00_5482 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg3051z00_3666, BgL_vz00_2226));
						}
						if (BgL_testz00_5482)
							{	/* Eval/evaluate_fsize.scm 411 */
								BgL_auxz00_5481 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 411 */
								BgL_auxz00_5481 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_5481);
				}
			}
		}
	}



/* &tailpos-ev_setlocal2686 */
	obj_t BGl_z62tailposzd2ev_setlocal2686zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4265, BgL_ev_setlocalz00_bglt BgL_ez00_4266,
		BgL_ev_varz00_bglt BgL_varz00_4267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 406 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2214;
				BgL_ev_varz00_bglt BgL_varz00_2215;

				{	/* Eval/evaluate_fsize.scm 407 */
					bool_t BgL_auxz00_5488;

					BgL_ez00_2214 = BgL_ez00_4266;
					BgL_varz00_2215 = BgL_varz00_4267;
					{	/* Eval/evaluate_fsize.scm 407 */
						bool_t BgL_testz00_5489;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(
												((obj_t) BgL_ez00_2214)))->BgL_vz00)) ==
								((obj_t) BgL_varz00_2215)))
							{	/* Eval/evaluate_fsize.scm 407 */
								BgL_testz00_5489 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 407 */
								BgL_testz00_5489 = ((bool_t) 1);
							}
						if (BgL_testz00_5489)
							{	/* Eval/evaluate_fsize.scm 407 */
								bool_t BgL_testz00_5496;

								{	/* Eval/evaluate_fsize.scm 407 */
									BgL_ev_exprz00_bglt BgL_arg3047z00_3661;

									{	/* Eval/evaluate_fsize.scm 407 */
										BgL_ev_hookz00_bglt BgL_obj1944z00_3663;

										BgL_obj1944z00_3663 = ((BgL_ev_hookz00_bglt) BgL_ez00_2214);
										BgL_arg3047z00_3661 =
											(((BgL_ev_hookz00_bglt) CREF(
													((obj_t) BgL_obj1944z00_3663)))->BgL_ez00);
									}
									BgL_testz00_5496 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg3047z00_3661, BgL_varz00_2215));
								}
								if (BgL_testz00_5496)
									{	/* Eval/evaluate_fsize.scm 407 */
										BgL_auxz00_5488 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 407 */
										BgL_auxz00_5488 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 407 */
								BgL_auxz00_5488 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_5488);
				}
			}
		}
	}



/* &tailpos-ev_hook2684 */
	obj_t BGl_z62tailposzd2ev_hook2684zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4268, BgL_ev_hookz00_bglt BgL_ez00_4269,
		BgL_ev_varz00_bglt BgL_vz00_4270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 402 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_2206;
				BgL_ev_varz00_bglt BgL_vz00_2207;

				{	/* Eval/evaluate_fsize.scm 403 */
					bool_t BgL_auxz00_5503;

					BgL_ez00_2206 = BgL_ez00_4269;
					BgL_vz00_2207 = BgL_vz00_4270;
					{	/* Eval/evaluate_fsize.scm 403 */
						bool_t BgL_testz00_5504;

						{	/* Eval/evaluate_fsize.scm 403 */
							BgL_ev_exprz00_bglt BgL_arg3045z00_3654;

							BgL_arg3045z00_3654 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_ez00_2206)))->BgL_ez00);
							BgL_testz00_5504 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg3045z00_3654, BgL_vz00_2207));
						}
						if (BgL_testz00_5504)
							{	/* Eval/evaluate_fsize.scm 403 */
								BgL_auxz00_5503 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 403 */
								BgL_auxz00_5503 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_5503);
				}
			}
		}
	}



/* &tailpos-ev_prog22682 */
	obj_t BGl_z62tailposzd2ev_prog22682zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4271, BgL_ev_prog2z00_bglt BgL_ez00_4272,
		BgL_ev_varz00_bglt BgL_vz00_4273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 398 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2196;
				BgL_ev_varz00_bglt BgL_vz00_2197;

				BgL_ez00_2196 = BgL_ez00_4272;
				BgL_vz00_2197 = BgL_vz00_4273;
				{	/* Eval/evaluate_fsize.scm 399 */
					bool_t BgL_testz00_5510;

					{	/* Eval/evaluate_fsize.scm 399 */
						bool_t BgL_testz00_5511;

						{	/* Eval/evaluate_fsize.scm 399 */
							BgL_ev_exprz00_bglt BgL_arg3043z00_3648;

							BgL_arg3043z00_3648 =
								(((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_2196)))->BgL_e1z00);
							BgL_testz00_5511 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg3043z00_3648, BgL_vz00_2197));
						}
						if (BgL_testz00_5511)
							{	/* Eval/evaluate_fsize.scm 399 */
								BgL_testz00_5510 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 399 */
								BgL_testz00_5510 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_5510)
						{	/* Eval/evaluate_fsize.scm 399 */
							BgL_ev_exprz00_bglt BgL_arg3041z00_3649;

							BgL_arg3041z00_3649 =
								(((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_2196)))->BgL_e2z00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3041z00_3649,
								BgL_vz00_2197);
						}
					else
						{	/* Eval/evaluate_fsize.scm 399 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list2680 */
	obj_t BGl_z62tailposzd2ev_list2680zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4274, BgL_ev_listz00_bglt BgL_ez00_4275,
		BgL_ev_varz00_bglt BgL_vz00_4276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 390 */
			{
				BgL_ev_listz00_bglt BgL_ez00_2178;
				BgL_ev_varz00_bglt BgL_vz00_2179;

				BgL_ez00_2178 = BgL_ez00_4275;
				BgL_vz00_2179 = BgL_vz00_4276;
				{
					obj_t BgL_lz00_2185;

					{	/* Eval/evaluate_fsize.scm 392 */
						obj_t BgL_arg3033z00_2184;

						BgL_arg3033z00_2184 =
							(((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_ez00_2178)))->BgL_argsz00);
						BgL_lz00_2185 = BgL_arg3033z00_2184;
					BgL_zc3anonymousza33034ze3z83_2186:
						if (NULLP(CDR(BgL_lz00_2185)))
							{	/* Eval/evaluate_fsize.scm 394 */
								obj_t BgL_arg3036z00_2188;

								BgL_arg3036z00_2188 = CAR(BgL_lz00_2185);
								return
									BGl_tailposz00zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg3036z00_2188), BgL_vz00_2179);
							}
						else
							{	/* Eval/evaluate_fsize.scm 395 */
								bool_t BgL_testz00_5527;

								{	/* Eval/evaluate_fsize.scm 395 */
									bool_t BgL_testz00_5528;

									{	/* Eval/evaluate_fsize.scm 395 */
										obj_t BgL_arg3039z00_2192;

										BgL_arg3039z00_2192 = CAR(BgL_lz00_2185);
										BgL_testz00_5528 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg3039z00_2192),
												BgL_vz00_2179));
									}
									if (BgL_testz00_5528)
										{	/* Eval/evaluate_fsize.scm 395 */
											BgL_testz00_5527 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 395 */
											BgL_testz00_5527 = ((bool_t) 1);
										}
								}
								if (BgL_testz00_5527)
									{
										obj_t BgL_lz00_5533;

										BgL_lz00_5533 = CDR(BgL_lz00_2185);
										BgL_lz00_2185 = BgL_lz00_5533;
										goto BgL_zc3anonymousza33034ze3z83_2186;
									}
								else
									{	/* Eval/evaluate_fsize.scm 395 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &tailpos-ev_if2678 */
	obj_t BGl_z62tailposzd2ev_if2678zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4277, BgL_ev_ifz00_bglt BgL_ez00_4278,
		BgL_ev_varz00_bglt BgL_vz00_4279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 386 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2166;
				BgL_ev_varz00_bglt BgL_vz00_2167;

				BgL_ez00_2166 = BgL_ez00_4278;
				BgL_vz00_2167 = BgL_vz00_4279;
				{	/* Eval/evaluate_fsize.scm 388 */
					bool_t BgL_testz00_5535;

					{	/* Eval/evaluate_fsize.scm 388 */
						bool_t BgL_testz00_5536;

						{	/* Eval/evaluate_fsize.scm 388 */
							BgL_ev_exprz00_bglt BgL_arg3032z00_2176;

							BgL_arg3032z00_2176 =
								(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_2166)))->BgL_pz00);
							BgL_testz00_5536 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg3032z00_2176, BgL_vz00_2167));
						}
						if (BgL_testz00_5536)
							{	/* Eval/evaluate_fsize.scm 388 */
								BgL_testz00_5535 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 388 */
								BgL_testz00_5535 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_5535)
						{	/* Eval/evaluate_fsize.scm 388 */
							obj_t BgL__andtest_2415z00_2172;

							{	/* Eval/evaluate_fsize.scm 388 */
								BgL_ev_exprz00_bglt BgL_arg3030z00_2174;

								BgL_arg3030z00_2174 =
									(((BgL_ev_ifz00_bglt) CREF(
											((obj_t) BgL_ez00_2166)))->BgL_tz00);
								BgL__andtest_2415z00_2172 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3030z00_2174,
									BgL_vz00_2167);
							}
							if (CBOOL(BgL__andtest_2415z00_2172))
								{	/* Eval/evaluate_fsize.scm 388 */
									BgL_ev_exprz00_bglt BgL_arg3029z00_2173;

									BgL_arg3029z00_2173 =
										(((BgL_ev_ifz00_bglt) CREF(
												((obj_t) BgL_ez00_2166)))->BgL_ez00);
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg3029z00_2173,
										BgL_vz00_2167);
								}
							else
								{	/* Eval/evaluate_fsize.scm 388 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 388 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt2676 */
	obj_t BGl_z62tailposzd2ev_litt2676zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4280, BgL_ev_littz00_bglt BgL_ez00_4281,
		BgL_ev_varz00_bglt BgL_vz00_4282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 383 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global2674 */
	obj_t BGl_z62tailposzd2ev_global2674zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4283, BgL_ev_globalz00_bglt BgL_ez00_4284,
		BgL_ev_varz00_bglt BgL_vz00_4285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 380 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var2672 */
	obj_t BGl_z62tailposzd2ev_var2672zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4286, BgL_ev_varz00_bglt BgL_ez00_4287,
		BgL_ev_varz00_bglt BgL_vz00_4288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 377 */
			{
				BgL_ev_varz00_bglt BgL_ez00_2150;
				BgL_ev_varz00_bglt BgL_vz00_2151;

				{	/* Eval/evaluate_fsize.scm 378 */
					bool_t BgL_auxz00_5551;

					BgL_ez00_2150 = BgL_ez00_4287;
					BgL_vz00_2151 = BgL_vz00_4288;
					if ((((obj_t) BgL_ez00_2150) == ((obj_t) BgL_vz00_2151)))
						{	/* Eval/evaluate_fsize.scm 378 */
							BgL_auxz00_5551 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 378 */
							BgL_auxz00_5551 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_5551);
				}
			}
		}
	}



/* &subst_goto-ev_abs2668 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs2668zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4289, BgL_ev_absz00_bglt BgL_ez00_4290, obj_t BgL_varsz00_4291,
		obj_t BgL_lblsz00_4292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 365 */
			{
				BgL_ev_absz00_bglt BgL_ez00_2141;
				obj_t BgL_varsz00_2142;
				obj_t BgL_lblsz00_2143;

				BgL_ez00_2141 = BgL_ez00_4290;
				BgL_varsz00_2142 = BgL_varsz00_4291;
				BgL_lblsz00_2143 = BgL_lblsz00_4292;
				{	/* Eval/evaluate_fsize.scm 366 */
					obj_t BgL_arg3026z00_3629;

					{	/* Eval/evaluate_fsize.scm 366 */
						BgL_ev_exprz00_bglt BgL_arg3027z00_3630;

						BgL_arg3027z00_3630 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_ez00_2141)))->BgL_bodyz00);
						BgL_arg3026z00_3629 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg3027z00_3630,
							BgL_varsz00_2142, BgL_lblsz00_2143);
					}
					{	/* Eval/evaluate_fsize.scm 366 */
						BgL_ev_exprz00_bglt BgL_val2281z00_3633;

						BgL_val2281z00_3633 = ((BgL_ev_exprz00_bglt) BgL_arg3026z00_3629);
						((((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_2141)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2281z00_3633), BUNSPEC);
					}
				}
				return BgL_ez00_2141;
			}
		}
	}



/* &subst_goto-ev_app2666 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app2666zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4293, BgL_ev_appz00_bglt BgL_ez00_4294, obj_t BgL_varsz00_4295,
		obj_t BgL_lblsz00_4296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 357 */
			{
				BgL_ev_appz00_bglt BgL_ez00_2126;
				obj_t BgL_varsz00_2127;
				obj_t BgL_lblsz00_2128;

				BgL_ez00_2126 = BgL_ez00_4294;
				BgL_varsz00_2127 = BgL_varsz00_4295;
				BgL_lblsz00_2128 = BgL_lblsz00_4296;
				{	/* Eval/evaluate_fsize.scm 359 */
					obj_t BgL_arg3018z00_2132;

					BgL_arg3018z00_2132 =
						(((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_ez00_2126)))->BgL_argsz00);
					{
						obj_t BgL_lz00_3610;

						BgL_lz00_3610 = BgL_arg3018z00_2132;
					BgL_recz00_3609:
						if (NULLP(BgL_lz00_3610))
							{	/* Eval/evaluate_fsize.scm 359 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 359 */
								{	/* Eval/evaluate_fsize.scm 359 */
									obj_t BgL_arg2808z00_3612;

									{	/* Eval/evaluate_fsize.scm 359 */
										obj_t BgL_arg2809z00_3613;

										BgL_arg2809z00_3613 = CAR(BgL_lz00_3610);
										BgL_arg2808z00_3612 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2809z00_3613),
											BgL_varsz00_2127, BgL_lblsz00_2128);
									}
									SET_CAR(BgL_lz00_3610, BgL_arg2808z00_3612);
								}
								{
									obj_t BgL_lz00_5571;

									BgL_lz00_5571 = CDR(BgL_lz00_3610);
									BgL_lz00_3610 = BgL_lz00_5571;
									goto BgL_recz00_3609;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(
											((obj_t) BgL_ez00_2126)))->BgL_funz00)),
							BgL_varsz00_2127)))
					{	/* Eval/evaluate_fsize.scm 361 */
						obj_t BgL_arg3020z00_2134;
						BgL_ev_exprz00_bglt BgL_arg3021z00_2135;
						obj_t BgL_arg3022z00_2136;

						BgL_arg3020z00_2134 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_2126)))->BgL_locz00);
						BgL_arg3021z00_2135 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_2126)))->BgL_funz00);
						BgL_arg3022z00_2136 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_2126)))->BgL_argsz00);
						{	/* Eval/evaluate_fsize.scm 361 */
							BgL_ev_gotoz00_bglt BgL_xz00_4584;

							BgL_xz00_4584 =
								BGl_makezd2ev_gotozd2zz__evaluate_typesz00(BgL_arg3020z00_2134,
								((BgL_ev_varz00_bglt) BgL_arg3021z00_2135),
								((BgL_ev_labelsz00_bglt) BgL_lblsz00_2128),
								BgL_arg3022z00_2136);
							return ((BgL_ev_exprz00_bglt) BgL_xz00_4584);
						}
					}
				else
					{	/* Eval/evaluate_fsize.scm 360 */
						{	/* Eval/evaluate_fsize.scm 362 */
							obj_t BgL_arg3023z00_2137;

							{	/* Eval/evaluate_fsize.scm 362 */
								BgL_ev_exprz00_bglt BgL_arg3024z00_2138;

								BgL_arg3024z00_2138 =
									(((BgL_ev_appz00_bglt) CREF(
											((obj_t) BgL_ez00_2126)))->BgL_funz00);
								BgL_arg3023z00_2137 =
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg3024z00_2138,
									BgL_varsz00_2127, BgL_lblsz00_2128);
							}
							{	/* Eval/evaluate_fsize.scm 362 */
								BgL_ev_exprz00_bglt BgL_val2249z00_3627;

								BgL_val2249z00_3627 =
									((BgL_ev_exprz00_bglt) BgL_arg3023z00_2137);
								((((BgL_ev_appz00_bglt) CREF(
												((obj_t) BgL_ez00_2126)))->BgL_funz00) =
									((BgL_ev_exprz00_bglt) BgL_val2249z00_3627), BUNSPEC);
							}
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_2126);
					}
			}
		}
	}



/* &subst_goto-ev_goto2664 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto2664zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4297, BgL_ev_gotoz00_bglt BgL_ez00_4298, obj_t BgL_varsz00_4299,
		obj_t BgL_lblsz00_4300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 352 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_2118;
				obj_t BgL_varsz00_2119;
				obj_t BgL_lblsz00_2120;

				BgL_ez00_2118 = BgL_ez00_4298;
				BgL_varsz00_2119 = BgL_varsz00_4299;
				BgL_lblsz00_2120 = BgL_lblsz00_4300;
				{	/* Eval/evaluate_fsize.scm 353 */
					obj_t BgL_arg3017z00_3588;

					BgL_arg3017z00_3588 =
						(((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_ez00_2118)))->BgL_argsz00);
					{
						obj_t BgL_lz00_3594;

						BgL_lz00_3594 = BgL_arg3017z00_3588;
					BgL_recz00_3593:
						if (NULLP(BgL_lz00_3594))
							{	/* Eval/evaluate_fsize.scm 353 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 353 */
								{	/* Eval/evaluate_fsize.scm 353 */
									obj_t BgL_arg2808z00_3596;

									{	/* Eval/evaluate_fsize.scm 353 */
										obj_t BgL_arg2809z00_3597;

										BgL_arg2809z00_3597 = CAR(BgL_lz00_3594);
										BgL_arg2808z00_3596 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2809z00_3597),
											BgL_varsz00_2119, BgL_lblsz00_2120);
									}
									SET_CAR(BgL_lz00_3594, BgL_arg2808z00_3596);
								}
								{
									obj_t BgL_lz00_5604;

									BgL_lz00_5604 = CDR(BgL_lz00_3594);
									BgL_lz00_3594 = BgL_lz00_5604;
									goto BgL_recz00_3593;
								}
							}
					}
				}
				return BgL_ez00_2118;
			}
		}
	}



/* &subst_goto-ev_labels2662 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels2662zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4301, BgL_ev_labelsz00_bglt BgL_ez00_4302,
		obj_t BgL_varsz00_4303, obj_t BgL_lblsz00_4304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 343 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_2099;
				obj_t BgL_varsz00_2100;
				obj_t BgL_lblsz00_2101;

				BgL_ez00_2099 = BgL_ez00_4302;
				BgL_varsz00_2100 = BgL_varsz00_4303;
				BgL_lblsz00_2101 = BgL_lblsz00_4304;
				{
					obj_t BgL_lz00_2107;

					{	/* Eval/evaluate_fsize.scm 345 */
						obj_t BgL_arg3008z00_2106;

						BgL_arg3008z00_2106 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_2099)))->BgL_valsz00);
						BgL_lz00_2107 = BgL_arg3008z00_2106;
					BgL_zc3anonymousza33009ze3z83_2108:
						if (NULLP(BgL_lz00_2107))
							{	/* Eval/evaluate_fsize.scm 346 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 346 */
								{	/* Eval/evaluate_fsize.scm 347 */
									obj_t BgL_arg3011z00_2110;
									obj_t BgL_arg3012z00_2111;

									BgL_arg3011z00_2110 = CAR(BgL_lz00_2107);
									{	/* Eval/evaluate_fsize.scm 347 */
										obj_t BgL_arg3013z00_2112;

										{	/* Eval/evaluate_fsize.scm 347 */
											obj_t BgL_pairz00_3576;

											BgL_pairz00_3576 = BgL_lz00_2107;
											BgL_arg3013z00_2112 = CDR(CAR(BgL_pairz00_3576));
										}
										BgL_arg3012z00_2111 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg3013z00_2112),
											BgL_varsz00_2100, BgL_lblsz00_2101);
									}
									SET_CDR(BgL_arg3011z00_2110, BgL_arg3012z00_2111);
								}
								{
									obj_t BgL_lz00_5616;

									BgL_lz00_5616 = CDR(BgL_lz00_2107);
									BgL_lz00_2107 = BgL_lz00_5616;
									goto BgL_zc3anonymousza33009ze3z83_2108;
								}
							}
					}
				}
				{	/* Eval/evaluate_fsize.scm 349 */
					obj_t BgL_arg3015z00_2115;

					{	/* Eval/evaluate_fsize.scm 349 */
						BgL_ev_exprz00_bglt BgL_arg3016z00_2116;

						BgL_arg3016z00_2116 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_2099)))->BgL_bodyz00);
						BgL_arg3015z00_2115 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg3016z00_2116,
							BgL_varsz00_2100, BgL_lblsz00_2101);
					}
					{	/* Eval/evaluate_fsize.scm 349 */
						BgL_ev_exprz00_bglt BgL_val2194z00_3586;

						BgL_val2194z00_3586 = ((BgL_ev_exprz00_bglt) BgL_arg3015z00_2115);
						((((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_2099)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2194z00_3586), BUNSPEC);
					}
				}
				return BgL_ez00_2099;
			}
		}
	}



/* &subst_goto-ev_binder2660 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder2660zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4305, BgL_ev_binderz00_bglt BgL_ez00_4306,
		obj_t BgL_varsz00_4307, obj_t BgL_lblsz00_4308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 337 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_2089;
				obj_t BgL_varsz00_2090;
				obj_t BgL_lblsz00_2091;

				BgL_ez00_2089 = BgL_ez00_4306;
				BgL_varsz00_2090 = BgL_varsz00_4307;
				BgL_lblsz00_2091 = BgL_lblsz00_4308;
				{	/* Eval/evaluate_fsize.scm 338 */
					obj_t BgL_arg3005z00_3551;

					BgL_arg3005z00_3551 =
						(((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_ez00_2089)))->BgL_valsz00);
					{
						obj_t BgL_lz00_3559;

						BgL_lz00_3559 = BgL_arg3005z00_3551;
					BgL_recz00_3558:
						if (NULLP(BgL_lz00_3559))
							{	/* Eval/evaluate_fsize.scm 338 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 338 */
								{	/* Eval/evaluate_fsize.scm 338 */
									obj_t BgL_arg2808z00_3561;

									{	/* Eval/evaluate_fsize.scm 338 */
										obj_t BgL_arg2809z00_3562;

										BgL_arg2809z00_3562 = CAR(BgL_lz00_3559);
										BgL_arg2808z00_3561 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2809z00_3562),
											BgL_varsz00_2090, BgL_lblsz00_2091);
									}
									SET_CAR(BgL_lz00_3559, BgL_arg2808z00_3561);
								}
								{
									obj_t BgL_lz00_5632;

									BgL_lz00_5632 = CDR(BgL_lz00_3559);
									BgL_lz00_3559 = BgL_lz00_5632;
									goto BgL_recz00_3558;
								}
							}
					}
				}
				{	/* Eval/evaluate_fsize.scm 338 */
					obj_t BgL_arg3006z00_3552;

					{	/* Eval/evaluate_fsize.scm 338 */
						BgL_ev_exprz00_bglt BgL_arg3007z00_3553;

						BgL_arg3007z00_3553 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_ez00_2089)))->BgL_bodyz00);
						BgL_arg3006z00_3552 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg3007z00_3553,
							BgL_varsz00_2090, BgL_lblsz00_2091);
					}
					{	/* Eval/evaluate_fsize.scm 338 */
						BgL_ev_exprz00_bglt BgL_val2087z00_3572;

						BgL_val2087z00_3572 = ((BgL_ev_exprz00_bglt) BgL_arg3006z00_3552);
						((((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_ez00_2089)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2087z00_3572), BUNSPEC);
					}
				}
				return BgL_ez00_2089;
			}
		}
	}



/* &subst_goto-ev_with-h2658 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h2658z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4309, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4310,
		obj_t BgL_varsz00_4311, obj_t BgL_lblsz00_4312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 331 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2078;
				obj_t BgL_varsz00_2079;
				obj_t BgL_lblsz00_2080;

				BgL_ez00_2078 = BgL_ez00_4310;
				BgL_varsz00_2079 = BgL_varsz00_4311;
				BgL_lblsz00_2080 = BgL_lblsz00_4312;
				{	/* Eval/evaluate_fsize.scm 332 */
					obj_t BgL_arg3000z00_3540;

					{	/* Eval/evaluate_fsize.scm 332 */
						BgL_ev_exprz00_bglt BgL_arg3001z00_3541;

						BgL_arg3001z00_3541 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_2078)))->BgL_handlerz00);
						BgL_arg3000z00_3540 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg3001z00_3541,
							BgL_varsz00_2079, BgL_lblsz00_2080);
					}
					{	/* Eval/evaluate_fsize.scm 332 */
						BgL_ev_exprz00_bglt BgL_val2065z00_3546;

						BgL_val2065z00_3546 = ((BgL_ev_exprz00_bglt) BgL_arg3000z00_3540);
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(
										((obj_t) BgL_ez00_2078)))->BgL_handlerz00) =
							((BgL_ev_exprz00_bglt) BgL_val2065z00_3546), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 332 */
					obj_t BgL_arg3002z00_3542;

					{	/* Eval/evaluate_fsize.scm 332 */
						BgL_ev_exprz00_bglt BgL_arg3003z00_3543;

						BgL_arg3003z00_3543 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_2078)))->BgL_bodyz00);
						BgL_arg3002z00_3542 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg3003z00_3543,
							BgL_varsz00_2079, BgL_lblsz00_2080);
					}
					{	/* Eval/evaluate_fsize.scm 332 */
						BgL_ev_exprz00_bglt BgL_val2068z00_3549;

						BgL_val2068z00_3549 = ((BgL_ev_exprz00_bglt) BgL_arg3002z00_3542);
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(
										((obj_t) BgL_ez00_2078)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2068z00_3549), BUNSPEC);
					}
				}
				return BgL_ez00_2078;
			}
		}
	}



/* &subst_goto-ev_unwind2656 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind2656zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4313, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_4314,
		obj_t BgL_varsz00_4315, obj_t BgL_lblsz00_4316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 325 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_2067;
				obj_t BgL_varsz00_2068;
				obj_t BgL_lblsz00_2069;

				BgL_exprz00_2067 = BgL_exprz00_4314;
				BgL_varsz00_2068 = BgL_varsz00_4315;
				BgL_lblsz00_2069 = BgL_lblsz00_4316;
				{	/* Eval/evaluate_fsize.scm 326 */
					obj_t BgL_arg2996z00_3529;

					{	/* Eval/evaluate_fsize.scm 326 */
						BgL_ev_exprz00_bglt BgL_arg2997z00_3530;

						BgL_arg2997z00_3530 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_exprz00_2067)))->BgL_ez00);
						BgL_arg2996z00_3529 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2997z00_3530,
							BgL_varsz00_2068, BgL_lblsz00_2069);
					}
					{	/* Eval/evaluate_fsize.scm 326 */
						BgL_ev_exprz00_bglt BgL_val2049z00_3535;

						BgL_val2049z00_3535 = ((BgL_ev_exprz00_bglt) BgL_arg2996z00_3529);
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
										((obj_t) BgL_exprz00_2067)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_val2049z00_3535), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 326 */
					obj_t BgL_arg2998z00_3531;

					{	/* Eval/evaluate_fsize.scm 326 */
						BgL_ev_exprz00_bglt BgL_arg2999z00_3532;

						BgL_arg2999z00_3532 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_exprz00_2067)))->BgL_bodyz00);
						BgL_arg2998z00_3531 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2999z00_3532,
							BgL_varsz00_2068, BgL_lblsz00_2069);
					}
					{	/* Eval/evaluate_fsize.scm 326 */
						BgL_ev_exprz00_bglt BgL_val2052z00_3538;

						BgL_val2052z00_3538 = ((BgL_ev_exprz00_bglt) BgL_arg2998z00_3531);
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
										((obj_t) BgL_exprz00_2067)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2052z00_3538), BUNSPEC);
					}
				}
				return BgL_exprz00_2067;
			}
		}
	}



/* &subst_goto-ev_bind-e2654 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e2654z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4317, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4318,
		obj_t BgL_varsz00_4319, obj_t BgL_lblsz00_4320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 320 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2058;
				obj_t BgL_varsz00_2059;
				obj_t BgL_lblsz00_2060;

				BgL_ez00_2058 = BgL_ez00_4318;
				BgL_varsz00_2059 = BgL_varsz00_4319;
				BgL_lblsz00_2060 = BgL_lblsz00_4320;
				{	/* Eval/evaluate_fsize.scm 321 */
					obj_t BgL_arg2994z00_3523;

					{	/* Eval/evaluate_fsize.scm 321 */
						BgL_ev_exprz00_bglt BgL_arg2995z00_3524;

						BgL_arg2995z00_3524 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_ez00_2058)))->BgL_bodyz00);
						BgL_arg2994z00_3523 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2995z00_3524,
							BgL_varsz00_2059, BgL_lblsz00_2060);
					}
					{	/* Eval/evaluate_fsize.scm 321 */
						BgL_ev_exprz00_bglt BgL_val2036z00_3527;

						BgL_val2036z00_3527 = ((BgL_ev_exprz00_bglt) BgL_arg2994z00_3523);
						((((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((obj_t) BgL_ez00_2058)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2036z00_3527), BUNSPEC);
					}
				}
				return BgL_ez00_2058;
			}
		}
	}



/* &subst_goto-ev_hook2652 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook2652zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4321, BgL_ev_hookz00_bglt BgL_exprz00_4322,
		obj_t BgL_varsz00_4323, obj_t BgL_lblsz00_4324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 315 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_2049;
				obj_t BgL_varsz00_2050;
				obj_t BgL_lblsz00_2051;

				BgL_exprz00_2049 = BgL_exprz00_4322;
				BgL_varsz00_2050 = BgL_varsz00_4323;
				BgL_lblsz00_2051 = BgL_lblsz00_4324;
				{	/* Eval/evaluate_fsize.scm 316 */
					obj_t BgL_arg2992z00_3517;

					{	/* Eval/evaluate_fsize.scm 316 */
						BgL_ev_exprz00_bglt BgL_arg2993z00_3518;

						BgL_arg2993z00_3518 =
							(((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_exprz00_2049)))->BgL_ez00);
						BgL_arg2992z00_3517 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2993z00_3518,
							BgL_varsz00_2050, BgL_lblsz00_2051);
					}
					{	/* Eval/evaluate_fsize.scm 316 */
						BgL_ev_exprz00_bglt BgL_val1945z00_3521;

						BgL_val1945z00_3521 = ((BgL_ev_exprz00_bglt) BgL_arg2992z00_3517);
						((((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_exprz00_2049)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_val1945z00_3521), BUNSPEC);
					}
				}
				return BgL_exprz00_2049;
			}
		}
	}



/* &subst_goto-ev_prog22650 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog22650zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4325, BgL_ev_prog2z00_bglt BgL_ez00_4326, obj_t BgL_varsz00_4327,
		obj_t BgL_lblsz00_4328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 309 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2038;
				obj_t BgL_varsz00_2039;
				obj_t BgL_lblsz00_2040;

				BgL_ez00_2038 = BgL_ez00_4326;
				BgL_varsz00_2039 = BgL_varsz00_4327;
				BgL_lblsz00_2040 = BgL_lblsz00_4328;
				{	/* Eval/evaluate_fsize.scm 310 */
					obj_t BgL_arg2988z00_3506;

					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_arg2989z00_3507;

						BgL_arg2989z00_3507 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_2038)))->BgL_e1z00);
						BgL_arg2988z00_3506 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2989z00_3507,
							BgL_varsz00_2039, BgL_lblsz00_2040);
					}
					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_val1929z00_3512;

						BgL_val1929z00_3512 = ((BgL_ev_exprz00_bglt) BgL_arg2988z00_3506);
						((((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_2038)))->BgL_e1z00) =
							((BgL_ev_exprz00_bglt) BgL_val1929z00_3512), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 310 */
					obj_t BgL_arg2990z00_3508;

					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_arg2991z00_3509;

						BgL_arg2991z00_3509 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_2038)))->BgL_e2z00);
						BgL_arg2990z00_3508 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2991z00_3509,
							BgL_varsz00_2039, BgL_lblsz00_2040);
					}
					{	/* Eval/evaluate_fsize.scm 310 */
						BgL_ev_exprz00_bglt BgL_val1932z00_3515;

						BgL_val1932z00_3515 = ((BgL_ev_exprz00_bglt) BgL_arg2990z00_3508);
						((((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_2038)))->BgL_e2z00) =
							((BgL_ev_exprz00_bglt) BgL_val1932z00_3515), BUNSPEC);
					}
				}
				return BgL_ez00_2038;
			}
		}
	}



/* &subst_goto-ev_list2648 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list2648zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4329, BgL_ev_listz00_bglt BgL_ez00_4330, obj_t BgL_varsz00_4331,
		obj_t BgL_lblsz00_4332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 304 */
			{
				BgL_ev_listz00_bglt BgL_ez00_2030;
				obj_t BgL_varsz00_2031;
				obj_t BgL_lblsz00_2032;

				BgL_ez00_2030 = BgL_ez00_4330;
				BgL_varsz00_2031 = BgL_varsz00_4331;
				BgL_lblsz00_2032 = BgL_lblsz00_4332;
				{	/* Eval/evaluate_fsize.scm 305 */
					obj_t BgL_arg2987z00_3488;

					BgL_arg2987z00_3488 =
						(((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_ez00_2030)))->BgL_argsz00);
					{
						obj_t BgL_lz00_3494;

						BgL_lz00_3494 = BgL_arg2987z00_3488;
					BgL_recz00_3493:
						if (NULLP(BgL_lz00_3494))
							{	/* Eval/evaluate_fsize.scm 305 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 305 */
								{	/* Eval/evaluate_fsize.scm 305 */
									obj_t BgL_arg2808z00_3496;

									{	/* Eval/evaluate_fsize.scm 305 */
										obj_t BgL_arg2809z00_3497;

										BgL_arg2809z00_3497 = CAR(BgL_lz00_3494);
										BgL_arg2808z00_3496 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2809z00_3497),
											BgL_varsz00_2031, BgL_lblsz00_2032);
									}
									SET_CAR(BgL_lz00_3494, BgL_arg2808z00_3496);
								}
								{
									obj_t BgL_lz00_5696;

									BgL_lz00_5696 = CDR(BgL_lz00_3494);
									BgL_lz00_3494 = BgL_lz00_5696;
									goto BgL_recz00_3493;
								}
							}
					}
				}
				return BgL_ez00_2030;
			}
		}
	}



/* &subst_goto-ev_if2646 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if2646zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4333, BgL_ev_ifz00_bglt BgL_exprz00_4334, obj_t BgL_varsz00_4335,
		obj_t BgL_lblsz00_4336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 297 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_2017;
				obj_t BgL_varsz00_2018;
				obj_t BgL_lblsz00_2019;

				BgL_exprz00_2017 = BgL_exprz00_4334;
				BgL_varsz00_2018 = BgL_varsz00_4335;
				BgL_lblsz00_2019 = BgL_lblsz00_4336;
				{	/* Eval/evaluate_fsize.scm 298 */
					obj_t BgL_arg2981z00_3472;

					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_ev_exprz00_bglt BgL_arg2982z00_3473;

						BgL_arg2982z00_3473 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_exprz00_2017)))->BgL_pz00);
						BgL_arg2981z00_3472 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2982z00_3473,
							BgL_varsz00_2018, BgL_lblsz00_2019);
					}
					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_ev_exprz00_bglt BgL_val1877z00_3480;

						BgL_val1877z00_3480 = ((BgL_ev_exprz00_bglt) BgL_arg2981z00_3472);
						((((BgL_ev_ifz00_bglt) CREF(
										((obj_t) BgL_exprz00_2017)))->BgL_pz00) =
							((BgL_ev_exprz00_bglt) BgL_val1877z00_3480), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 298 */
					obj_t BgL_arg2983z00_3474;

					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_ev_exprz00_bglt BgL_arg2984z00_3475;

						BgL_arg2984z00_3475 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_exprz00_2017)))->BgL_tz00);
						BgL_arg2983z00_3474 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2984z00_3475,
							BgL_varsz00_2018, BgL_lblsz00_2019);
					}
					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_ev_exprz00_bglt BgL_val1880z00_3483;

						BgL_val1880z00_3483 = ((BgL_ev_exprz00_bglt) BgL_arg2983z00_3474);
						((((BgL_ev_ifz00_bglt) CREF(
										((obj_t) BgL_exprz00_2017)))->BgL_tz00) =
							((BgL_ev_exprz00_bglt) BgL_val1880z00_3483), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 298 */
					obj_t BgL_arg2985z00_3476;

					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_ev_exprz00_bglt BgL_arg2986z00_3477;

						BgL_arg2986z00_3477 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_exprz00_2017)))->BgL_ez00);
						BgL_arg2985z00_3476 =
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg2986z00_3477,
							BgL_varsz00_2018, BgL_lblsz00_2019);
					}
					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_ev_exprz00_bglt BgL_val1883z00_3486;

						BgL_val1883z00_3486 = ((BgL_ev_exprz00_bglt) BgL_arg2985z00_3476);
						((((BgL_ev_ifz00_bglt) CREF(
										((obj_t) BgL_exprz00_2017)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_val1883z00_3486), BUNSPEC);
					}
				}
				return BgL_exprz00_2017;
			}
		}
	}



/* &subst_goto-ev_litt2644 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt2644zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4337, BgL_ev_littz00_bglt BgL_ez00_4338, obj_t BgL_varsz00_4339,
		obj_t BgL_lblsz00_4340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 294 */
			return BgL_ez00_4338;
		}
	}



/* &subst_goto-ev_global2642 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global2642zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4341, BgL_ev_globalz00_bglt BgL_ez00_4342,
		obj_t BgL_varsz00_4343, obj_t BgL_lblsz00_4344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 291 */
			return BgL_ez00_4342;
		}
	}



/* &subst_goto-ev_var2640 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var2640zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4345, BgL_ev_varz00_bglt BgL_ez00_4346, obj_t BgL_varsz00_4347,
		obj_t BgL_lblsz00_4348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 288 */
			return BgL_ez00_4346;
		}
	}



/* &search-letrec-ev_abs2636 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs2636z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4349, BgL_ev_absz00_bglt BgL_ez00_4350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 249 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1992;

				BgL_ez00_1992 = BgL_ez00_4350;
				{	/* Eval/evaluate_fsize.scm 250 */
					obj_t BgL_arg2979z00_3466;

					{	/* Eval/evaluate_fsize.scm 250 */
						BgL_ev_exprz00_bglt BgL_arg2980z00_3467;

						BgL_arg2980z00_3467 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_ez00_1992)))->BgL_bodyz00);
						BgL_arg2979z00_3466 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2980z00_3467);
					}
					{	/* Eval/evaluate_fsize.scm 250 */
						BgL_ev_exprz00_bglt BgL_val2281z00_3470;

						BgL_val2281z00_3470 = ((BgL_ev_exprz00_bglt) BgL_arg2979z00_3466);
						((((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1992)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2281z00_3470), BUNSPEC);
					}
				}
				return BgL_ez00_1992;
			}
		}
	}



/* &search-letrec-ev_app2634 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app2634z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4351, BgL_ev_appz00_bglt BgL_ez00_4352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1984;

				BgL_ez00_1984 = BgL_ez00_4352;
				{	/* Eval/evaluate_fsize.scm 244 */
					obj_t BgL_arg2976z00_3458;

					{	/* Eval/evaluate_fsize.scm 244 */
						BgL_ev_exprz00_bglt BgL_arg2977z00_3459;

						BgL_arg2977z00_3459 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1984)))->BgL_funz00);
						BgL_arg2976z00_3458 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2977z00_3459);
					}
					{	/* Eval/evaluate_fsize.scm 244 */
						BgL_ev_exprz00_bglt BgL_val2249z00_3463;

						BgL_val2249z00_3463 = ((BgL_ev_exprz00_bglt) BgL_arg2976z00_3458);
						((((BgL_ev_appz00_bglt) CREF(
										((obj_t) BgL_ez00_1984)))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_val2249z00_3463), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 244 */
					obj_t BgL_arg2978z00_3460;

					BgL_arg2978z00_3460 =
						(((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_ez00_1984)))->BgL_argsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg2978z00_3460);
				}
				return BgL_ez00_1984;
			}
		}
	}



/* &search-letrec-ev_let2632 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let2632z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4353, BgL_ev_letrecz00_bglt BgL_ez00_4354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 232 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1969;

				BgL_ez00_1969 = BgL_ez00_4354;
				{	/* Eval/evaluate_fsize.scm 234 */
					obj_t BgL_arg2965z00_1973;

					{	/* Eval/evaluate_fsize.scm 234 */
						BgL_ev_binderz00_bglt BgL_obj2083z00_3447;

						BgL_obj2083z00_3447 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
						BgL_arg2965z00_1973 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2083z00_3447)))->BgL_valsz00);
					}
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg2965z00_1973);
				}
				{	/* Eval/evaluate_fsize.scm 235 */
					obj_t BgL_arg2966z00_1974;

					{	/* Eval/evaluate_fsize.scm 235 */
						BgL_ev_exprz00_bglt BgL_arg2968z00_1975;

						{	/* Eval/evaluate_fsize.scm 235 */
							BgL_ev_binderz00_bglt BgL_obj2086z00_3448;

							BgL_obj2086z00_3448 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
							BgL_arg2968z00_1975 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2086z00_3448)))->BgL_bodyz00);
						}
						BgL_arg2966z00_1974 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2968z00_1975);
					}
					{	/* Eval/evaluate_fsize.scm 235 */
						BgL_ev_binderz00_bglt BgL_obj2088z00_3449;
						BgL_ev_exprz00_bglt BgL_val2087z00_3450;

						BgL_obj2088z00_3449 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
						BgL_val2087z00_3450 = ((BgL_ev_exprz00_bglt) BgL_arg2966z00_1974);
						((((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2088z00_3449)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2087z00_3450), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 239 */
					bool_t BgL_testz00_5743;

					{	/* Eval/evaluate_fsize.scm 236 */
						obj_t BgL_arg2973z00_1980;
						obj_t BgL_arg2974z00_1981;
						BgL_ev_exprz00_bglt BgL_arg2975z00_1982;

						{	/* Eval/evaluate_fsize.scm 236 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_3451;

							BgL_obj2080z00_3451 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
							BgL_arg2973z00_1980 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_3451)))->BgL_varsz00);
						}
						{	/* Eval/evaluate_fsize.scm 236 */
							BgL_ev_binderz00_bglt BgL_obj2083z00_3452;

							BgL_obj2083z00_3452 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
							BgL_arg2974z00_1981 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2083z00_3452)))->BgL_valsz00);
						}
						{	/* Eval/evaluate_fsize.scm 236 */
							BgL_ev_binderz00_bglt BgL_obj2086z00_3453;

							BgL_obj2086z00_3453 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
							BgL_arg2975z00_1982 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2086z00_3453)))->BgL_bodyz00);
						}
						BgL_testz00_5743 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg2973z00_1980,
							BgL_arg2974z00_1981, BgL_arg2975z00_1982);
					}
					if (BgL_testz00_5743)
						{	/* Eval/evaluate_fsize.scm 240 */
							obj_t BgL_arg2969z00_1977;
							obj_t BgL_arg2970z00_1978;
							BgL_ev_exprz00_bglt BgL_arg2972z00_1979;

							{	/* Eval/evaluate_fsize.scm 240 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_3454;

								BgL_obj2080z00_3454 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
								BgL_arg2969z00_1977 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_3454)))->BgL_varsz00);
							}
							{	/* Eval/evaluate_fsize.scm 240 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_3455;

								BgL_obj2083z00_3455 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
								BgL_arg2970z00_1978 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_3455)))->BgL_valsz00);
							}
							{	/* Eval/evaluate_fsize.scm 240 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_3456;

								BgL_obj2086z00_3456 = ((BgL_ev_binderz00_bglt) BgL_ez00_1969);
								BgL_arg2972z00_1979 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_3456)))->BgL_bodyz00);
							}
							{	/* Eval/evaluate_fsize.scm 240 */
								BgL_ev_labelsz00_bglt BgL_xz00_4662;

								BgL_xz00_4662 =
									BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
									(BgL_arg2969z00_1977, BgL_arg2970z00_1978,
									BgL_arg2972z00_1979);
								return ((BgL_ev_exprz00_bglt) BgL_xz00_4662);
							}
						}
					else
						{	/* Eval/evaluate_fsize.scm 239 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1969);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin2630 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin2630z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4355, BgL_ev_binderz00_bglt BgL_ez00_4356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 226 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1961;

				BgL_ez00_1961 = BgL_ez00_4356;
				{	/* Eval/evaluate_fsize.scm 227 */
					obj_t BgL_arg2962z00_3440;

					BgL_arg2962z00_3440 =
						(((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_ez00_1961)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg2962z00_3440);
				}
				{	/* Eval/evaluate_fsize.scm 227 */
					obj_t BgL_arg2963z00_3441;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg2964z00_3442;

						BgL_arg2964z00_3442 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_ez00_1961)))->BgL_bodyz00);
						BgL_arg2963z00_3441 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2964z00_3442);
					}
					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_val2087z00_3446;

						BgL_val2087z00_3446 = ((BgL_ev_exprz00_bglt) BgL_arg2963z00_3441);
						((((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_ez00_1961)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2087z00_3446), BUNSPEC);
					}
				}
				return BgL_ez00_1961;
			}
		}
	}



/* &search-letrec-ev_wit2628 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit2628z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4357, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 220 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1952;

				BgL_ez00_1952 = BgL_ez00_4358;
				{	/* Eval/evaluate_fsize.scm 222 */
					obj_t BgL_arg2958z00_1956;

					{	/* Eval/evaluate_fsize.scm 222 */
						BgL_ev_exprz00_bglt BgL_arg2959z00_1957;

						BgL_arg2959z00_1957 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_1952)))->BgL_handlerz00);
						BgL_arg2958z00_1956 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2959z00_1957);
					}
					{	/* Eval/evaluate_fsize.scm 222 */
						BgL_ev_exprz00_bglt BgL_val2065z00_3435;

						BgL_val2065z00_3435 = ((BgL_ev_exprz00_bglt) BgL_arg2958z00_1956);
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(
										((obj_t) BgL_ez00_1952)))->BgL_handlerz00) =
							((BgL_ev_exprz00_bglt) BgL_val2065z00_3435), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 223 */
					obj_t BgL_arg2960z00_1958;

					{	/* Eval/evaluate_fsize.scm 223 */
						BgL_ev_exprz00_bglt BgL_arg2961z00_1959;

						BgL_arg2961z00_1959 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_1952)))->BgL_bodyz00);
						BgL_arg2960z00_1958 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2961z00_1959);
					}
					{	/* Eval/evaluate_fsize.scm 223 */
						BgL_ev_exprz00_bglt BgL_val2068z00_3438;

						BgL_val2068z00_3438 = ((BgL_ev_exprz00_bglt) BgL_arg2960z00_1958);
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(
										((obj_t) BgL_ez00_1952)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2068z00_3438), BUNSPEC);
					}
				}
				return BgL_ez00_1952;
			}
		}
	}



/* &search-letrec-ev_unw2626 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw2626z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4359, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_4360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 214 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1943;

				BgL_exprz00_1943 = BgL_exprz00_4360;
				{	/* Eval/evaluate_fsize.scm 216 */
					obj_t BgL_arg2954z00_1947;

					{	/* Eval/evaluate_fsize.scm 216 */
						BgL_ev_exprz00_bglt BgL_arg2955z00_1948;

						BgL_arg2955z00_1948 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_exprz00_1943)))->BgL_ez00);
						BgL_arg2954z00_1947 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2955z00_1948);
					}
					{	/* Eval/evaluate_fsize.scm 216 */
						BgL_ev_exprz00_bglt BgL_val2049z00_3429;

						BgL_val2049z00_3429 = ((BgL_ev_exprz00_bglt) BgL_arg2954z00_1947);
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
										((obj_t) BgL_exprz00_1943)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_val2049z00_3429), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 217 */
					obj_t BgL_arg2956z00_1949;

					{	/* Eval/evaluate_fsize.scm 217 */
						BgL_ev_exprz00_bglt BgL_arg2957z00_1950;

						BgL_arg2957z00_1950 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_exprz00_1943)))->BgL_bodyz00);
						BgL_arg2956z00_1949 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2957z00_1950);
					}
					{	/* Eval/evaluate_fsize.scm 217 */
						BgL_ev_exprz00_bglt BgL_val2052z00_3432;

						BgL_val2052z00_3432 = ((BgL_ev_exprz00_bglt) BgL_arg2956z00_1949);
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
										((obj_t) BgL_exprz00_1943)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2052z00_3432), BUNSPEC);
					}
				}
				return BgL_exprz00_1943;
			}
		}
	}



/* &search-letrec-ev_bin2624 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin2624z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4361, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 209 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1936;

				BgL_ez00_1936 = BgL_ez00_4362;
				{	/* Eval/evaluate_fsize.scm 210 */
					obj_t BgL_arg2952z00_3422;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg2953z00_3423;

						BgL_arg2953z00_3423 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_ez00_1936)))->BgL_bodyz00);
						BgL_arg2952z00_3422 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2953z00_3423);
					}
					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_val2036z00_3426;

						BgL_val2036z00_3426 = ((BgL_ev_exprz00_bglt) BgL_arg2952z00_3422);
						((((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((obj_t) BgL_ez00_1936)))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_val2036z00_3426), BUNSPEC);
					}
				}
				return BgL_ez00_1936;
			}
		}
	}



/* &search-letrec-ev_hoo2622 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo2622z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4363, BgL_ev_hookz00_bglt BgL_exprz00_4364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 204 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1929;

				BgL_exprz00_1929 = BgL_exprz00_4364;
				{	/* Eval/evaluate_fsize.scm 205 */
					obj_t BgL_arg2950z00_3416;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg2951z00_3417;

						BgL_arg2951z00_3417 =
							(((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_exprz00_1929)))->BgL_ez00);
						BgL_arg2950z00_3416 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2951z00_3417);
					}
					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_val1945z00_3420;

						BgL_val1945z00_3420 = ((BgL_ev_exprz00_bglt) BgL_arg2950z00_3416);
						((((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_exprz00_1929)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_val1945z00_3420), BUNSPEC);
					}
				}
				return BgL_exprz00_1929;
			}
		}
	}



/* &search-letrec-ev_pro2620 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro2620z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4365, BgL_ev_prog2z00_bglt BgL_ez00_4366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 198 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1920;

				BgL_ez00_1920 = BgL_ez00_4366;
				{	/* Eval/evaluate_fsize.scm 200 */
					obj_t BgL_arg2946z00_1924;

					{	/* Eval/evaluate_fsize.scm 200 */
						BgL_ev_exprz00_bglt BgL_arg2947z00_1925;

						BgL_arg2947z00_1925 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1920)))->BgL_e1z00);
						BgL_arg2946z00_1924 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2947z00_1925);
					}
					{	/* Eval/evaluate_fsize.scm 200 */
						BgL_ev_exprz00_bglt BgL_val1929z00_3411;

						BgL_val1929z00_3411 = ((BgL_ev_exprz00_bglt) BgL_arg2946z00_1924);
						((((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_1920)))->BgL_e1z00) =
							((BgL_ev_exprz00_bglt) BgL_val1929z00_3411), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 201 */
					obj_t BgL_arg2948z00_1926;

					{	/* Eval/evaluate_fsize.scm 201 */
						BgL_ev_exprz00_bglt BgL_arg2949z00_1927;

						BgL_arg2949z00_1927 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1920)))->BgL_e2z00);
						BgL_arg2948z00_1926 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2949z00_1927);
					}
					{	/* Eval/evaluate_fsize.scm 201 */
						BgL_ev_exprz00_bglt BgL_val1932z00_3414;

						BgL_val1932z00_3414 = ((BgL_ev_exprz00_bglt) BgL_arg2948z00_1926);
						((((BgL_ev_prog2z00_bglt) CREF(
										((obj_t) BgL_ez00_1920)))->BgL_e2z00) =
							((BgL_ev_exprz00_bglt) BgL_val1932z00_3414), BUNSPEC);
					}
				}
				return BgL_ez00_1920;
			}
		}
	}



/* &search-letrec-ev_lis2618 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis2618z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4367, BgL_ev_listz00_bglt BgL_ez00_4368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 193 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1914;

				BgL_ez00_1914 = BgL_ez00_4368;
				{	/* Eval/evaluate_fsize.scm 194 */
					obj_t BgL_arg2945z00_3407;

					BgL_arg2945z00_3407 =
						(((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_ez00_1914)))->BgL_argsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg2945z00_3407);
				}
				return BgL_ez00_1914;
			}
		}
	}



/* &search-letrec-ev_if2616 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if2616z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4369, BgL_ev_ifz00_bglt BgL_exprz00_4370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 186 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1903;

				BgL_exprz00_1903 = BgL_exprz00_4370;
				{	/* Eval/evaluate_fsize.scm 188 */
					obj_t BgL_arg2939z00_1907;

					{	/* Eval/evaluate_fsize.scm 188 */
						BgL_ev_exprz00_bglt BgL_arg2940z00_1908;

						BgL_arg2940z00_1908 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_exprz00_1903)))->BgL_pz00);
						BgL_arg2939z00_1907 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2940z00_1908);
					}
					{	/* Eval/evaluate_fsize.scm 188 */
						BgL_ev_exprz00_bglt BgL_val1877z00_3399;

						BgL_val1877z00_3399 = ((BgL_ev_exprz00_bglt) BgL_arg2939z00_1907);
						((((BgL_ev_ifz00_bglt) CREF(
										((obj_t) BgL_exprz00_1903)))->BgL_pz00) =
							((BgL_ev_exprz00_bglt) BgL_val1877z00_3399), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 189 */
					obj_t BgL_arg2941z00_1909;

					{	/* Eval/evaluate_fsize.scm 189 */
						BgL_ev_exprz00_bglt BgL_arg2942z00_1910;

						BgL_arg2942z00_1910 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_exprz00_1903)))->BgL_tz00);
						BgL_arg2941z00_1909 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2942z00_1910);
					}
					{	/* Eval/evaluate_fsize.scm 189 */
						BgL_ev_exprz00_bglt BgL_val1880z00_3402;

						BgL_val1880z00_3402 = ((BgL_ev_exprz00_bglt) BgL_arg2941z00_1909);
						((((BgL_ev_ifz00_bglt) CREF(
										((obj_t) BgL_exprz00_1903)))->BgL_tz00) =
							((BgL_ev_exprz00_bglt) BgL_val1880z00_3402), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_fsize.scm 190 */
					obj_t BgL_arg2943z00_1911;

					{	/* Eval/evaluate_fsize.scm 190 */
						BgL_ev_exprz00_bglt BgL_arg2944z00_1912;

						BgL_arg2944z00_1912 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_exprz00_1903)))->BgL_ez00);
						BgL_arg2943z00_1911 =
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg2944z00_1912);
					}
					{	/* Eval/evaluate_fsize.scm 190 */
						BgL_ev_exprz00_bglt BgL_val1883z00_3405;

						BgL_val1883z00_3405 = ((BgL_ev_exprz00_bglt) BgL_arg2943z00_1911);
						((((BgL_ev_ifz00_bglt) CREF(
										((obj_t) BgL_exprz00_1903)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_val1883z00_3405), BUNSPEC);
					}
				}
				return BgL_exprz00_1903;
			}
		}
	}



/* &search-letrec-ev_lit2614 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit2614z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4371, BgL_ev_littz00_bglt BgL_ez00_4372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 183 */
			return BgL_ez00_4372;
		}
	}



/* &search-letrec-ev_glo2612 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo2612z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4373, BgL_ev_globalz00_bglt BgL_ez00_4374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 180 */
			return BgL_ez00_4374;
		}
	}



/* &search-letrec-ev_var2610 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var2610z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4375, BgL_ev_varz00_bglt BgL_ez00_4376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 177 */
			return BgL_ez00_4376;
		}
	}



/* &fsize-ev_abs2606 */
	obj_t BGl_z62fsiza7ezd2ev_abs2606z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4377, BgL_ev_absz00_bglt BgL_ez00_4378, obj_t BgL_nz00_4379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 154 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1881;
				int BgL_nz00_1882;

				{	/* Eval/evaluate_fsize.scm 155 */
					int BgL_auxz00_5844;

					BgL_ez00_1881 = BgL_ez00_4378;
					BgL_nz00_1882 = CINT(BgL_nz00_4379);
					{	/* Eval/evaluate_fsize.scm 155 */
						int BgL_nnz00_3389;

						{	/* Eval/evaluate_fsize.scm 155 */
							BgL_ev_exprz00_bglt BgL_arg2936z00_3390;
							long BgL_arg2937z00_3391;

							BgL_arg2936z00_3390 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1881)))->BgL_bodyz00);
							BgL_arg2937z00_3391 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_ez00_1881)))->BgL_varsz00));
							BgL_nnz00_3389 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2936z00_3390,
								(int) (BgL_arg2937z00_3391));
						}
						((((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1881)))->BgL_siza7eza7) =
							((int) BgL_nnz00_3389), BUNSPEC);
						BgL_auxz00_5844 = BgL_nz00_1882;
					}
					return BINT(BgL_auxz00_5844);
				}
			}
		}
	}



/* &fsize-ev_app2604 */
	obj_t BGl_z62fsiza7ezd2ev_app2604z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4380, BgL_ev_appz00_bglt BgL_ez00_4381, obj_t BgL_nz00_4382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 147 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1857;
				int BgL_nz00_1858;

				BgL_ez00_1857 = BgL_ez00_4381;
				BgL_nz00_1858 = CINT(BgL_nz00_4382);
				{	/* Eval/evaluate_fsize.scm 149 */
					int BgL_g2357z00_1862;

					{	/* Eval/evaluate_fsize.scm 149 */
						BgL_ev_exprz00_bglt BgL_arg2935z00_1879;

						BgL_arg2935z00_1879 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1857)))->BgL_funz00);
						BgL_g2357z00_1862 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2935z00_1879,
							BgL_nz00_1858);
					}
					{	/* Eval/evaluate_fsize.scm 149 */
						obj_t BgL_arg2928z00_1864;

						BgL_arg2928z00_1864 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1857)))->BgL_argsz00);
						{
							obj_t BgL_lz00_3360;
							int BgL_nz00_3361;
							obj_t BgL_rz00_3362;

							BgL_lz00_3360 = BgL_arg2928z00_1864;
							BgL_nz00_3361 = BgL_nz00_1858;
							BgL_rz00_3362 = BINT(BgL_g2357z00_1862);
						BgL_recz00_3359:
							if (NULLP(BgL_lz00_3360))
								{	/* Eval/evaluate_fsize.scm 149 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_3361),
										BgL_rz00_3362);
								}
							else
								{	/* Eval/evaluate_fsize.scm 149 */
									obj_t BgL_arg2931z00_3375;
									long BgL_arg2932z00_3376;
									obj_t BgL_arg2933z00_3377;

									BgL_arg2931z00_3375 = CDR(BgL_lz00_3360);
									BgL_arg2932z00_3376 = ((long) (BgL_nz00_3361) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 149 */
										int BgL_xz00_3378;

										{	/* Eval/evaluate_fsize.scm 149 */
											obj_t BgL_arg2934z00_3380;

											BgL_arg2934z00_3380 = CAR(BgL_lz00_3360);
											BgL_xz00_3378 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg2934z00_3380),
												BgL_nz00_3361);
										}
										BgL_arg2933z00_3377 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3378),
											BgL_rz00_3362);
									}
									{
										obj_t BgL_rz00_5876;
										int BgL_nz00_5874;
										obj_t BgL_lz00_5873;

										BgL_lz00_5873 = BgL_arg2931z00_3375;
										BgL_nz00_5874 = (int) (BgL_arg2932z00_3376);
										BgL_rz00_5876 = BgL_arg2933z00_3377;
										BgL_rz00_3362 = BgL_rz00_5876;
										BgL_nz00_3361 = BgL_nz00_5874;
										BgL_lz00_3360 = BgL_lz00_5873;
										goto BgL_recz00_3359;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto2601 */
	obj_t BGl_z62fsiza7ezd2ev_goto2601z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4383, BgL_ev_gotoz00_bglt BgL_ez00_4384, obj_t BgL_nz00_4385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 140 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1835;
				obj_t BgL_nz00_1836;

				BgL_ez00_1835 = BgL_ez00_4384;
				BgL_nz00_1836 = BgL_nz00_4385;
				{	/* Eval/evaluate_fsize.scm 142 */
					obj_t BgL_arg2921z00_1841;

					BgL_arg2921z00_1841 =
						(((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_ez00_1835)))->BgL_argsz00);
					{
						obj_t BgL_lz00_3294;
						obj_t BgL_nz00_3295;
						obj_t BgL_rz00_3296;

						BgL_lz00_3294 = BgL_arg2921z00_1841;
						BgL_nz00_3295 = BgL_nz00_1836;
						BgL_rz00_3296 = BgL_nz00_1836;
					BgL_recz00_3293:
						if (NULLP(BgL_lz00_3294))
							{	/* Eval/evaluate_fsize.scm 142 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_3295,
									BgL_rz00_3296);
							}
						else
							{	/* Eval/evaluate_fsize.scm 142 */
								obj_t BgL_arg2924z00_3309;
								long BgL_arg2925z00_3310;
								obj_t BgL_arg2926z00_3311;

								BgL_arg2924z00_3309 = CDR(BgL_lz00_3294);
								BgL_arg2925z00_3310 = ((long) CINT(BgL_nz00_3295) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 142 */
									int BgL_xz00_3312;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_arg2927z00_3314;

										BgL_arg2927z00_3314 = CAR(BgL_lz00_3294);
										BgL_xz00_3312 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2927z00_3314),
											CINT(BgL_nz00_3295));
									}
									BgL_arg2926z00_3311 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3312),
										BgL_rz00_3296);
								}
								{
									obj_t BgL_rz00_5896;
									obj_t BgL_nz00_5894;
									obj_t BgL_lz00_5893;

									BgL_lz00_5893 = BgL_arg2924z00_3309;
									BgL_nz00_5894 = BINT(BgL_arg2925z00_3310);
									BgL_rz00_5896 = BgL_arg2926z00_3311;
									BgL_rz00_3296 = BgL_rz00_5896;
									BgL_nz00_3295 = BgL_nz00_5894;
									BgL_lz00_3294 = BgL_lz00_5893;
									goto BgL_recz00_3293;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels2599 */
	obj_t BGl_z62fsiza7ezd2ev_labels2599z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4386, BgL_ev_labelsz00_bglt BgL_ez00_4387, obj_t BgL_nz00_4388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 133 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1811;
				obj_t BgL_nz00_1812;

				BgL_ez00_1811 = BgL_ez00_4387;
				BgL_nz00_1812 = BgL_nz00_4388;
				{
					obj_t BgL_lz00_1818;
					obj_t BgL_rz00_1819;

					{	/* Eval/evaluate_fsize.scm 135 */
						obj_t BgL_arg2911z00_1817;

						BgL_arg2911z00_1817 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_1811)))->BgL_valsz00);
						BgL_lz00_1818 = BgL_arg2911z00_1817;
						BgL_rz00_1819 = BgL_nz00_1812;
					BgL_zc3anonymousza32912ze3z83_1820:
						if (NULLP(BgL_lz00_1818))
							{	/* Eval/evaluate_fsize.scm 137 */
								int BgL_xz00_1822;

								{	/* Eval/evaluate_fsize.scm 137 */
									BgL_ev_exprz00_bglt BgL_arg2914z00_1824;

									BgL_arg2914z00_1824 =
										(((BgL_ev_labelsz00_bglt) CREF(
												((obj_t) BgL_ez00_1811)))->BgL_bodyz00);
									BgL_xz00_1822 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2914z00_1824,
										CINT(BgL_nz00_1812));
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1822),
									BgL_rz00_1819);
							}
						else
							{	/* Eval/evaluate_fsize.scm 138 */
								obj_t BgL_arg2915z00_1825;
								obj_t BgL_arg2916z00_1826;

								BgL_arg2915z00_1825 = CDR(BgL_lz00_1818);
								{	/* Eval/evaluate_fsize.scm 138 */
									int BgL_xz00_1827;

									{	/* Eval/evaluate_fsize.scm 138 */
										obj_t BgL_arg2917z00_1829;
										long BgL_arg2918z00_1830;

										{	/* Eval/evaluate_fsize.scm 138 */
											obj_t BgL_pairz00_3245;

											BgL_pairz00_3245 = BgL_lz00_1818;
											BgL_arg2917z00_1829 = CDR(CAR(BgL_pairz00_3245));
										}
										{	/* Eval/evaluate_fsize.scm 138 */
											long BgL_auxz00_5910;

											{	/* Eval/evaluate_fsize.scm 138 */
												obj_t BgL_auxz00_5912;

												{	/* Eval/evaluate_fsize.scm 138 */
													obj_t BgL_pairz00_3249;

													BgL_pairz00_3249 = BgL_lz00_1818;
													BgL_auxz00_5912 = CAR(CAR(BgL_pairz00_3249));
												}
												BgL_auxz00_5910 = bgl_list_length(BgL_auxz00_5912);
											}
											BgL_arg2918z00_1830 =
												((long) CINT(BgL_nz00_1812) + BgL_auxz00_5910);
										}
										BgL_xz00_1827 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2917z00_1829),
											(int) (BgL_arg2918z00_1830));
									}
									BgL_arg2916z00_1826 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1827),
										BgL_rz00_1819);
								}
								{
									obj_t BgL_rz00_5923;
									obj_t BgL_lz00_5922;

									BgL_lz00_5922 = BgL_arg2915z00_1825;
									BgL_rz00_5923 = BgL_arg2916z00_1826;
									BgL_rz00_1819 = BgL_rz00_5923;
									BgL_lz00_1818 = BgL_lz00_5922;
									goto BgL_zc3anonymousza32912ze3z83_1820;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_letrec2597 */
	obj_t BGl_z62fsiza7ezd2ev_letrec2597z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4389, BgL_ev_letrecz00_bglt BgL_ez00_4390, obj_t BgL_nz00_4391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 125 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1787;
				int BgL_nz00_1788;

				BgL_ez00_1787 = BgL_ez00_4390;
				BgL_nz00_1788 = CINT(BgL_nz00_4391);
				{	/* Eval/evaluate_fsize.scm 127 */
					long BgL_nz00_1792;

					{	/* Eval/evaluate_fsize.scm 127 */
						long BgL_auxz00_5924;

						{	/* Eval/evaluate_fsize.scm 127 */
							obj_t BgL_auxz00_5926;

							{	/* Eval/evaluate_fsize.scm 127 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_3231;

								BgL_obj2083z00_3231 = ((BgL_ev_binderz00_bglt) BgL_ez00_1787);
								BgL_auxz00_5926 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_3231)))->BgL_valsz00);
							}
							BgL_auxz00_5924 = bgl_list_length(BgL_auxz00_5926);
						}
						BgL_nz00_1792 = ((long) (BgL_nz00_1788) + BgL_auxz00_5924);
					}
					{
						obj_t BgL_lz00_1795;
						obj_t BgL_rz00_1796;

						{	/* Eval/evaluate_fsize.scm 128 */
							obj_t BgL_arg2901z00_1794;

							{	/* Eval/evaluate_fsize.scm 128 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_3240;

								BgL_obj2083z00_3240 = ((BgL_ev_binderz00_bglt) BgL_ez00_1787);
								BgL_arg2901z00_1794 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_3240)))->BgL_valsz00);
							}
							BgL_lz00_1795 = BgL_arg2901z00_1794;
							BgL_rz00_1796 = BINT(BgL_nz00_1792);
						BgL_zc3anonymousza32902ze3z83_1797:
							if (NULLP(BgL_lz00_1795))
								{	/* Eval/evaluate_fsize.scm 130 */
									int BgL_xz00_1799;

									{	/* Eval/evaluate_fsize.scm 130 */
										BgL_ev_exprz00_bglt BgL_arg2904z00_1801;

										{	/* Eval/evaluate_fsize.scm 130 */
											BgL_ev_binderz00_bglt BgL_obj2086z00_3237;

											BgL_obj2086z00_3237 =
												((BgL_ev_binderz00_bglt) BgL_ez00_1787);
											BgL_arg2904z00_1801 =
												(((BgL_ev_binderz00_bglt) CREF(
														((obj_t) BgL_obj2086z00_3237)))->BgL_bodyz00);
										}
										BgL_xz00_1799 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2904z00_1801,
											(int) (BgL_nz00_1792));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1799),
										BgL_rz00_1796);
								}
							else
								{	/* Eval/evaluate_fsize.scm 131 */
									obj_t BgL_arg2905z00_1802;
									obj_t BgL_arg2907z00_1803;

									BgL_arg2905z00_1802 = CDR(BgL_lz00_1795);
									{	/* Eval/evaluate_fsize.scm 131 */
										int BgL_xz00_1804;

										{	/* Eval/evaluate_fsize.scm 131 */
											obj_t BgL_arg2908z00_1806;

											BgL_arg2908z00_1806 = CAR(BgL_lz00_1795);
											BgL_xz00_1804 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg2908z00_1806),
												(int) (BgL_nz00_1792));
										}
										BgL_arg2907z00_1803 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1804),
											BgL_rz00_1796);
									}
									{
										obj_t BgL_rz00_5952;
										obj_t BgL_lz00_5951;

										BgL_lz00_5951 = BgL_arg2905z00_1802;
										BgL_rz00_5952 = BgL_arg2907z00_1803;
										BgL_rz00_1796 = BgL_rz00_5952;
										BgL_lz00_1795 = BgL_lz00_5951;
										goto BgL_zc3anonymousza32902ze3z83_1797;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*2595 */
	obj_t BGl_z62fsiza7ezd2ev_letza22595zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4392, BgL_ev_letza2za2_bglt BgL_ez00_4393, obj_t BgL_nz00_4394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 118 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1764;
				int BgL_nz00_1765;

				BgL_ez00_1764 = BgL_ez00_4393;
				BgL_nz00_1765 = CINT(BgL_nz00_4394);
				{	/* Eval/evaluate_fsize.scm 120 */
					obj_t BgL_arg2893z00_1770;

					{	/* Eval/evaluate_fsize.scm 120 */
						BgL_ev_binderz00_bglt BgL_obj2083z00_3198;

						BgL_obj2083z00_3198 = ((BgL_ev_binderz00_bglt) BgL_ez00_1764);
						BgL_arg2893z00_1770 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2083z00_3198)))->BgL_valsz00);
					}
					{
						obj_t BgL_lz00_3200;
						int BgL_nz00_3201;
						obj_t BgL_rz00_3202;

						BgL_lz00_3200 = BgL_arg2893z00_1770;
						BgL_nz00_3201 = BgL_nz00_1765;
						BgL_rz00_3202 = BINT(BgL_nz00_1765);
					BgL_recz00_3199:
						if (NULLP(BgL_lz00_3200))
							{	/* Eval/evaluate_fsize.scm 120 */
								int BgL_xz00_3214;

								{	/* Eval/evaluate_fsize.scm 120 */
									BgL_ev_exprz00_bglt BgL_arg2896z00_3216;

									{	/* Eval/evaluate_fsize.scm 120 */
										BgL_ev_binderz00_bglt BgL_obj2086z00_3225;

										BgL_obj2086z00_3225 =
											((BgL_ev_binderz00_bglt) BgL_ez00_1764);
										BgL_arg2896z00_3216 =
											(((BgL_ev_binderz00_bglt) CREF(
													((obj_t) BgL_obj2086z00_3225)))->BgL_bodyz00);
									}
									BgL_xz00_3214 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2896z00_3216,
										BgL_nz00_3201);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3214),
									BgL_rz00_3202);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg2897z00_3217;
								long BgL_arg2898z00_3218;
								obj_t BgL_arg2899z00_3219;

								BgL_arg2897z00_3217 = CDR(BgL_lz00_3200);
								BgL_arg2898z00_3218 = ((long) (BgL_nz00_3201) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_3220;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg2900z00_3222;

										BgL_arg2900z00_3222 = CAR(BgL_lz00_3200);
										BgL_xz00_3220 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2900z00_3222),
											BgL_nz00_3201);
									}
									BgL_arg2899z00_3219 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3220),
										BgL_rz00_3202);
								}
								{
									obj_t BgL_rz00_5977;
									int BgL_nz00_5975;
									obj_t BgL_lz00_5974;

									BgL_lz00_5974 = BgL_arg2897z00_3217;
									BgL_nz00_5975 = (int) (BgL_arg2898z00_3218);
									BgL_rz00_5977 = BgL_arg2899z00_3219;
									BgL_rz00_3202 = BgL_rz00_5977;
									BgL_nz00_3201 = BgL_nz00_5975;
									BgL_lz00_3200 = BgL_lz00_5974;
									goto BgL_recz00_3199;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let2593 */
	obj_t BGl_z62fsiza7ezd2ev_let2593z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4395, BgL_ev_letz00_bglt BgL_ez00_4396, obj_t BgL_nz00_4397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1741;
				int BgL_nz00_1742;

				BgL_ez00_1741 = BgL_ez00_4396;
				BgL_nz00_1742 = CINT(BgL_nz00_4397);
				{	/* Eval/evaluate_fsize.scm 113 */
					obj_t BgL_arg2885z00_1747;

					{	/* Eval/evaluate_fsize.scm 113 */
						BgL_ev_binderz00_bglt BgL_obj2083z00_3126;

						BgL_obj2083z00_3126 = ((BgL_ev_binderz00_bglt) BgL_ez00_1741);
						BgL_arg2885z00_1747 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2083z00_3126)))->BgL_valsz00);
					}
					{
						obj_t BgL_lz00_3128;
						int BgL_nz00_3129;
						obj_t BgL_rz00_3130;

						BgL_lz00_3128 = BgL_arg2885z00_1747;
						BgL_nz00_3129 = BgL_nz00_1742;
						BgL_rz00_3130 = BINT(BgL_nz00_1742);
					BgL_recz00_3127:
						if (NULLP(BgL_lz00_3128))
							{	/* Eval/evaluate_fsize.scm 113 */
								int BgL_xz00_3142;

								{	/* Eval/evaluate_fsize.scm 113 */
									BgL_ev_exprz00_bglt BgL_arg2888z00_3144;

									{	/* Eval/evaluate_fsize.scm 113 */
										BgL_ev_binderz00_bglt BgL_obj2086z00_3153;

										BgL_obj2086z00_3153 =
											((BgL_ev_binderz00_bglt) BgL_ez00_1741);
										BgL_arg2888z00_3144 =
											(((BgL_ev_binderz00_bglt) CREF(
													((obj_t) BgL_obj2086z00_3153)))->BgL_bodyz00);
									}
									BgL_xz00_3142 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2888z00_3144,
										BgL_nz00_3129);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3142),
									BgL_rz00_3130);
							}
						else
							{	/* Eval/evaluate_fsize.scm 113 */
								obj_t BgL_arg2889z00_3145;
								long BgL_arg2890z00_3146;
								obj_t BgL_arg2891z00_3147;

								BgL_arg2889z00_3145 = CDR(BgL_lz00_3128);
								BgL_arg2890z00_3146 = ((long) (BgL_nz00_3129) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 113 */
									int BgL_xz00_3148;

									{	/* Eval/evaluate_fsize.scm 113 */
										obj_t BgL_arg2892z00_3150;

										BgL_arg2892z00_3150 = CAR(BgL_lz00_3128);
										BgL_xz00_3148 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2892z00_3150),
											BgL_nz00_3129);
									}
									BgL_arg2891z00_3147 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3148),
										BgL_rz00_3130);
								}
								{
									obj_t BgL_rz00_6002;
									int BgL_nz00_6000;
									obj_t BgL_lz00_5999;

									BgL_lz00_5999 = BgL_arg2889z00_3145;
									BgL_nz00_6000 = (int) (BgL_arg2890z00_3146);
									BgL_rz00_6002 = BgL_arg2891z00_3147;
									BgL_rz00_3130 = BgL_rz00_6002;
									BgL_nz00_3129 = BgL_nz00_6000;
									BgL_lz00_3128 = BgL_lz00_5999;
									goto BgL_recz00_3127;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_with-handle2591 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle2591zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4398, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4399,
		obj_t BgL_nz00_4400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1731;
				int BgL_nz00_1732;

				BgL_ez00_1731 = BgL_ez00_4399;
				BgL_nz00_1732 = CINT(BgL_nz00_4400);
				{	/* Eval/evaluate_fsize.scm 108 */
					int BgL_xz00_3081;
					int BgL_yz00_3082;

					{	/* Eval/evaluate_fsize.scm 108 */
						BgL_ev_exprz00_bglt BgL_arg2883z00_3083;

						BgL_arg2883z00_3083 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_1731)))->BgL_handlerz00);
						BgL_xz00_3081 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2883z00_3083,
							BgL_nz00_1732);
					}
					{	/* Eval/evaluate_fsize.scm 108 */
						BgL_ev_exprz00_bglt BgL_arg2884z00_3084;

						BgL_arg2884z00_3084 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_1731)))->BgL_bodyz00);
						BgL_yz00_3082 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2884z00_3084,
							BgL_nz00_1732);
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3081),
						BINT(BgL_yz00_3082));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot2589 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot2589zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4401, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_4402,
		obj_t BgL_nz00_4403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1721;
				int BgL_nz00_1722;

				BgL_ez00_1721 = BgL_ez00_4402;
				BgL_nz00_1722 = CINT(BgL_nz00_4403);
				{	/* Eval/evaluate_fsize.scm 104 */
					int BgL_xz00_3074;
					int BgL_yz00_3075;

					{	/* Eval/evaluate_fsize.scm 104 */
						BgL_ev_exprz00_bglt BgL_arg2881z00_3076;

						BgL_arg2881z00_3076 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_ez00_1721)))->BgL_ez00);
						BgL_xz00_3074 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2881z00_3076,
							BgL_nz00_1722);
					}
					{	/* Eval/evaluate_fsize.scm 104 */
						BgL_ev_exprz00_bglt BgL_arg2882z00_3077;

						BgL_arg2882z00_3077 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_ez00_1721)))->BgL_bodyz00);
						BgL_yz00_3075 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2882z00_3077,
							BgL_nz00_1722);
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3074),
						BINT(BgL_yz00_3075));
				}
			}
		}
	}



/* &fsize-ev_bind-exit2587 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit2587zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4404, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4405,
		obj_t BgL_nz00_4406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1713;
				int BgL_nz00_1714;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_6025;

					BgL_ez00_1713 = BgL_ez00_4405;
					BgL_nz00_1714 = CINT(BgL_nz00_4406);
					{	/* Eval/evaluate_fsize.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg2879z00_3067;
						long BgL_arg2880z00_3068;

						BgL_arg2879z00_3067 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_ez00_1713)))->BgL_bodyz00);
						BgL_arg2880z00_3068 = ((long) (BgL_nz00_1714) + ((long) 1));
						BgL_auxz00_6025 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2879z00_3067,
							(int) (BgL_arg2880z00_3068));
					}
					return BINT(BgL_auxz00_6025);
				}
			}
		}
	}



/* &fsize-ev_hook2585 */
	obj_t BGl_z62fsiza7ezd2ev_hook2585z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4407, BgL_ev_hookz00_bglt BgL_ez00_4408, obj_t BgL_nz00_4409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1706;
				int BgL_nz00_1707;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_6034;

					BgL_ez00_1706 = BgL_ez00_4408;
					BgL_nz00_1707 = CINT(BgL_nz00_4409);
					{	/* Eval/evaluate_fsize.scm 96 */
						BgL_ev_exprz00_bglt BgL_arg2878z00_3064;

						BgL_arg2878z00_3064 =
							(((BgL_ev_hookz00_bglt) CREF(((obj_t) BgL_ez00_1706)))->BgL_ez00);
						BgL_auxz00_6034 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2878z00_3064,
							BgL_nz00_1707);
					}
					return BINT(BgL_auxz00_6034);
				}
			}
		}
	}



/* &fsize-ev_prog22583 */
	obj_t BGl_z62fsiza7ezd2ev_prog22583z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4410, BgL_ev_prog2z00_bglt BgL_ez00_4411, obj_t BgL_nz00_4412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1696;
				int BgL_nz00_1697;

				BgL_ez00_1696 = BgL_ez00_4411;
				BgL_nz00_1697 = CINT(BgL_nz00_4412);
				{	/* Eval/evaluate_fsize.scm 92 */
					int BgL_xz00_3057;
					int BgL_yz00_3058;

					{	/* Eval/evaluate_fsize.scm 92 */
						BgL_ev_exprz00_bglt BgL_arg2876z00_3059;

						BgL_arg2876z00_3059 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1696)))->BgL_e1z00);
						BgL_xz00_3057 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2876z00_3059,
							BgL_nz00_1697);
					}
					{	/* Eval/evaluate_fsize.scm 92 */
						BgL_ev_exprz00_bglt BgL_arg2877z00_3060;

						BgL_arg2877z00_3060 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_1696)))->BgL_e2z00);
						BgL_yz00_3058 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2877z00_3060,
							BgL_nz00_1697);
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3057),
						BINT(BgL_yz00_3058));
				}
			}
		}
	}



/* &fsize-ev_list2581 */
	obj_t BGl_z62fsiza7ezd2ev_list2581z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4413, BgL_ev_listz00_bglt BgL_ez00_4414, obj_t BgL_nz00_4415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 85 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1679;
				int BgL_nz00_1680;

				BgL_ez00_1679 = BgL_ez00_4414;
				BgL_nz00_1680 = CINT(BgL_nz00_4415);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_g2334z00_1683;

					BgL_g2334z00_1683 =
						(((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_ez00_1679)))->BgL_argsz00);
					{
						obj_t BgL_lz00_3038;
						obj_t BgL_rz00_3039;

						BgL_lz00_3038 = BgL_g2334z00_1683;
						BgL_rz00_3039 = BINT(BgL_nz00_1680);
					BgL_recz00_3037:
						if (NULLP(BgL_lz00_3038))
							{	/* Eval/evaluate_fsize.scm 86 */
								return BgL_rz00_3039;
							}
						else
							{	/* Eval/evaluate_fsize.scm 86 */
								obj_t BgL_arg2873z00_3047;
								obj_t BgL_arg2874z00_3048;

								BgL_arg2873z00_3047 = CDR(BgL_lz00_3038);
								{	/* Eval/evaluate_fsize.scm 86 */
									int BgL_yz00_3050;

									{	/* Eval/evaluate_fsize.scm 86 */
										obj_t BgL_arg2875z00_3051;

										BgL_arg2875z00_3051 = CAR(BgL_lz00_3038);
										BgL_yz00_3050 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg2875z00_3051),
											BgL_nz00_1680);
									}
									BgL_arg2874z00_3048 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_3039,
										BINT(BgL_yz00_3050));
								}
								{
									obj_t BgL_rz00_6061;
									obj_t BgL_lz00_6060;

									BgL_lz00_6060 = BgL_arg2873z00_3047;
									BgL_rz00_6061 = BgL_arg2874z00_3048;
									BgL_rz00_3039 = BgL_rz00_6061;
									BgL_lz00_3038 = BgL_lz00_6060;
									goto BgL_recz00_3037;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if2579 */
	obj_t BGl_z62fsiza7ezd2ev_if2579z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4416, BgL_ev_ifz00_bglt BgL_ez00_4417, obj_t BgL_nz00_4418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 81 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1666;
				int BgL_nz00_1667;

				BgL_ez00_1666 = BgL_ez00_4417;
				BgL_nz00_1667 = CINT(BgL_nz00_4418);
				{	/* Eval/evaluate_fsize.scm 82 */
					int BgL_arg2866z00_3004;
					obj_t BgL_arg2867z00_3005;

					{	/* Eval/evaluate_fsize.scm 82 */
						BgL_ev_exprz00_bglt BgL_arg2868z00_3006;

						BgL_arg2868z00_3006 =
							(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1666)))->BgL_pz00);
						BgL_arg2866z00_3004 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2868z00_3006,
							BgL_nz00_1667);
					}
					{	/* Eval/evaluate_fsize.scm 82 */
						int BgL_xz00_3007;
						int BgL_yz00_3008;

						{	/* Eval/evaluate_fsize.scm 82 */
							BgL_ev_exprz00_bglt BgL_arg2869z00_3009;

							BgL_arg2869z00_3009 =
								(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1666)))->BgL_tz00);
							BgL_xz00_3007 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2869z00_3009,
								BgL_nz00_1667);
						}
						{	/* Eval/evaluate_fsize.scm 82 */
							BgL_ev_exprz00_bglt BgL_arg2870z00_3010;

							BgL_arg2870z00_3010 =
								(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1666)))->BgL_ez00);
							BgL_yz00_3008 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg2870z00_3010,
								BgL_nz00_1667);
						}
						BgL_arg2867z00_3005 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_3007),
							BINT(BgL_yz00_3008));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg2866z00_3004),
						BgL_arg2867z00_3005);
				}
			}
		}
	}



/* &fsize-ev_litt2577 */
	obj_t BGl_z62fsiza7ezd2ev_litt2577z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4419, BgL_ev_littz00_bglt BgL_ez00_4420, obj_t BgL_nz00_4421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 78 */
			return BINT(CINT(BgL_nz00_4421));
		}
	}



/* &fsize-ev_global2575 */
	obj_t BGl_z62fsiza7ezd2ev_global2575z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4422, BgL_ev_globalz00_bglt BgL_varz00_4423, obj_t BgL_nz00_4424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 75 */
			return BINT(CINT(BgL_nz00_4424));
		}
	}



/* &fsize-ev_var2573 */
	obj_t BGl_z62fsiza7ezd2ev_var2573z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4425, BgL_ev_varz00_bglt BgL_ez00_4426, obj_t BgL_nz00_4427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 72 */
			return BINT(CINT(BgL_nz00_4427));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 126621575),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3604z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
