/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62ev_setglobalzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_littzd2valuezd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62makezd2ev_trapzb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol4180z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_bindzd2exitzf3z43zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_labelsz00_bglt
		BGl_z52allocatezd2ev_labelsz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_letrecz00_bglt
		BGl_makezd2ev_letreczd2zz__evaluate_typesz00(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_makezd2ev_exprzd2zz__evaluate_typesz00();
	static obj_t BGl_symbol4182z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4184z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_prog2zd2e1zd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_labelszd2bodyzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol4186z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_letz00_bglt
		BGl_makezd2ev_letzd2zz__evaluate_typesz00(obj_t, obj_t, BgL_ev_exprz00_bglt,
		obj_t);
	static obj_t BGl_symbol4188z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_labelszf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62ev_withzd2handlerzd2handlerz62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_gotozd2labelszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_varzd2namezb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62makezd2ev_ifzb0zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62fillzd2ev_withzd2handlerz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_globalzd2loczb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62makezd2ev_labelszb0zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62ev_orzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol4190z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4192z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_trapz00_bglt
		BGl_fillzd2ev_trapz12zc0zz__evaluate_typesz00(BgL_ev_trapz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol4194z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62z52allocatezd2ev_globalze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4196z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_ex2896z81zz__evaluate_typesz00(obj_t,
		BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_ev_hookzf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62z52allocatezd2ev_binderze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_setglobalzd2namezb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol4198z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_z52allocatezd2ev_exprz80zz__evaluate_typesz00();
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_prog2z00_bglt
		BGl_ev_prog2zd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_bindzd2exitzd2_bglt
		BGl_z52allocatezd2ev_bindzd2exitz52zz__evaluate_typesz00();
	static obj_t BGl_z62ev_gotozf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_abszd2varszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_defglobalzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_an2868z81zz__evaluate_typesz00(obj_t,
		BgL_ev_andz00_bglt);
	static obj_t BGl_z62ev_ifzd2ezd2setz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z52thezd2ev_orzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt
		BGl_z62ev_letza2zd2nilz12zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62ev_setglobalzd2modzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_setlocalz00_bglt
		BGl_z52allocatezd2ev_setlocalz80zz__evaluate_typesz00();
	static BgL_ev_absz00_bglt
		BGl_z62z52allocatezd2ev_absze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z52thezd2ev_hookzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_ev_abszf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62fillzd2ev_listz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62fillzd2ev_unwindzd2protectz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_prog2z00_bglt
		BGl_fillzd2ev_prog2z12zc0zz__evaluate_typesz00(BgL_ev_prog2z00_bglt,
		BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62fillzd2ev_letz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_globalzd2modzb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62ev_trapzd2nilzb0zz__evaluate_typesz00(obj_t);
	static BgL_ev_andz00_bglt
		BGl_z62fillzd2ev_andz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62z52allocatezd2ev_hookze2zz__evaluate_typesz00(obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_un2835z81zz__evaluate_typesz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	BGL_EXPORTED_DECL BgL_ev_defglobalz00_bglt
		BGl_fillzd2ev_defglobalz12zc0zz__evaluate_typesz00(BgL_ev_defglobalz00_bglt,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_trapzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_binderzd2valszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_ap2803z81zz__evaluate_typesz00(obj_t,
		BgL_ev_appz00_bglt);
	static obj_t BGl_z62ev_setlocalzd2vzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_letreczf3zf3zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_hookz00_bglt
		BGl_z62makezd2ev_hookzb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_abszd2freezd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_labelsz00_bglt
		BGl_fillzd2ev_labelsz12zc0zz__evaluate_typesz00(BgL_ev_labelsz00_bglt,
		obj_t, obj_t, obj_t, obj_t, BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62ev_gotozd2labelzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_setlocalz00_bglt
		BGl_fillzd2ev_setlocalz12zc0zz__evaluate_typesz00(BgL_ev_setlocalz00_bglt,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_labelsz00_bglt
		BGl_z62fillzd2ev_labelsz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_bindzd2exitzd2_bglt
		BGl_makezd2ev_bindzd2exitz00zz__evaluate_typesz00(BgL_ev_varz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_littz00_bglt
		BGl_z62ev_littzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_varzd2namezd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62fillzd2ev_littz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ev_setlocalzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_gotozd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_globalzd2namezd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_prog2z00_bglt
		BGl_z52allocatezd2ev_prog2z80zz__evaluate_typesz00();
	static obj_t BGl_z52thezd2ev_exprzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2siza7ez17zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2bindzb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62ev_withzd2handlerzf3z43zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_ev_orz00_bglt
		BGl_makezd2ev_orzd2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_prog2zd2e2zd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_globalzf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62z52allocatezd2ev_gotoze2zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_appz00_bglt
		BGl_fillzd2ev_appz12zc0zz__evaluate_typesz00(BgL_ev_appz00_bglt, obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62z52allocatezd2ev_defglobalze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_abszd2innerzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_varz00_bglt
		BGl_z52allocatezd2ev_varz80zz__evaluate_typesz00();
	static obj_t BGl_z62ev_binderzd2varszb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_letreczf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_li2876z81zz__evaluate_typesz00(obj_t,
		BgL_ev_listz00_bglt);
	static BgL_ev_gotoz00_bglt
		BGl_z62makezd2ev_gotozb0zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62z52allocatezd2ev_setlocalze2zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_withzd2handlerzd2_bglt
		BGl_ev_withzd2handlerzd2nilz00zz__evaluate_typesz00();
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	extern long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_labelsz00_bglt
		BGl_makezd2ev_labelszd2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62ev_listzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_absz00_bglt
		BGl_makezd2ev_abszd2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		BgL_ev_exprz00_bglt, int, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_hookz00_bglt
		BGl_ev_hookzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_li2884z81zz__evaluate_typesz00(obj_t,
		BgL_ev_littz00_bglt);
	static BgL_ev_orz00_bglt BGl_z62makezd2ev_orzb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62makezd2ev_unwindzd2protectz62zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62ev_letreczd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_globalzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62ev_abszd2bodyzb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62z52allocatezd2ev_listze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_binderzd2varszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62ev_unwindzd2protectzd2bodyz62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_ifz00_bglt
		BGl_z52allocatezd2ev_ifz80zz__evaluate_typesz00();
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_ho2859z81zz__evaluate_typesz00(obj_t,
		BgL_ev_hookz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_andz00_bglt
		BGl_z52allocatezd2ev_andz80zz__evaluate_typesz00();
	static BgL_ev_ifz00_bglt
		BGl_z62z52allocatezd2ev_ifze2zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62makezd2ev_listzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_binderzf3zf3zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_unwindzd2protectzd2_bglt
		BGl_ev_unwindzd2protectzd2nilz00zz__evaluate_typesz00();
	static obj_t BGl_z62ev_ifzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_setglobalz00_bglt
		BGl_z52allocatezd2ev_setglobalz80zz__evaluate_typesz00();
	static BgL_ev_letz00_bglt BGl_z62makezd2ev_letzb0zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62ev_orzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_gotozd2argszb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_letzd2boxeszb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62z52allocatezd2ev_littze2zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_varz00_bglt
		BGl_fillzd2ev_varz12zc0zz__evaluate_typesz00(BgL_ev_varz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62ev_littzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_globalz00_bglt
		BGl_z52allocatezd2ev_globalz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_gotoz00_bglt
		BGl_ev_gotozd2nilzd2zz__evaluate_typesz00();
	static obj_t
		BGl_z62ev_setglobalzd2namezd2setz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_ev_binderz00_bglt
		BGl_z52allocatezd2ev_binderz80zz__evaluate_typesz00();
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2801ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62makezd2ev_littzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_gotoz00_bglt
		BGl_fillzd2ev_gotoz12zc0zz__evaluate_typesz00(BgL_ev_gotoz00_bglt, obj_t,
		BgL_ev_varz00_bglt, BgL_ev_labelsz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2805ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2809ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62ev_labelszd2bodyzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_letrecz00_bglt
		BGl_fillzd2ev_letrecz12zc0zz__evaluate_typesz00(BgL_ev_letrecz00_bglt,
		obj_t, obj_t, BgL_ev_exprz00_bglt);
	static BgL_ev_letrecz00_bglt
		BGl_z62fillzd2ev_letrecz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_globalzd2modzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_labelszd2boxeszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62makezd2ev_globalzb0zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_labelsz00_bglt
		BGl_ev_labelszd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_binderz00_bglt
		BGl_z62makezd2ev_binderzb0zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2813ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62makezd2ev_defglobalzb0zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2817ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_de2843z81zz__evaluate_typesz00(obj_t,
		BgL_ev_defglobalz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_bindzd2exitzd2_bglt
		BGl_ev_bindzd2exitzd2nilz00zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_appz00_bglt
		BGl_z52allocatezd2ev_appz80zz__evaluate_typesz00();
	static obj_t BGl_z62ev_binderzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_appzd2argszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_appzd2tailzf3z43zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_globalz00_bglt
		BGl_ev_globalzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL bool_t BGl_ev_letzf3zf3zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_globalz00_bglt
		BGl_fillzd2ev_globalz12zc0zz__evaluate_typesz00(BgL_ev_globalz00_bglt,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_setglobalz00_bglt
		BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62ev_binderzd2nilzb0zz__evaluate_typesz00(obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62fillzd2ev_globalz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2821ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2825ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static obj_t BGl_z62ev_abszd2arityzb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62ev_withzd2handlerzd2handlerzd2setz12za2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_andzf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2829ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_z52thezd2ev_labelszd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_ev_gotozf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62fillzd2ev_exprz12za2zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62ev_bindzd2exitzd2varzd2setz12za2zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_if2880z81zz__evaluate_typesz00(obj_t,
		BgL_ev_ifz00_bglt);
	static BgL_ev_prog2z00_bglt
		BGl_z62makezd2ev_prog2zb0zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_setglobalzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_abszd2siza7ezd2setz12zd7zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62z52allocatezd2ev_bindzd2exitz30zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_bindzd2exitzf3z21zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_appzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62z52allocatezd2ev_varze2zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62ev_ifzd2ezb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62fillzd2ev_letza2z12z00zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_absz00_bglt
		BGl_fillzd2ev_absz12zc0zz__evaluate_typesz00(BgL_ev_absz00_bglt, obj_t,
		obj_t, obj_t, obj_t, BgL_ev_exprz00_bglt, int, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62ev_littzd2valuezb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2833ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_orz00_bglt BGl_ev_orzd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62ev_ifzd2pzb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z52thezd2ev_globalzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2837ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_letz00_bglt
		BGl_ev_letzd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62ev_ifzd2tzb0zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_ev_orz00_bglt
		BGl_fillzd2ev_orz12zc0zz__evaluate_typesz00(BgL_ev_orz00_bglt, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62ev_unwindzd2protectzd2nilz62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_varz00_bglt
		BGl_ev_varzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL bool_t
		BGl_ev_unwindzd2protectzf3z21zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62ev_bindzd2exitzd2bodyz62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_varzd2effzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_list4202z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_prog2zf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2841ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62ev_ifzd2tzd2setz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62ev_abszd2bodyzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_setglobalz00_bglt
		BGl_fillzd2ev_setglobalz12zc0zz__evaluate_typesz00(BgL_ev_setglobalz00_bglt,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2845ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_defglobalz00_bglt, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2849ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_setglobalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_bindzd2exitzd2_bglt
		BGl_fillzd2ev_bindzd2exitz12z12zz__evaluate_typesz00
		(BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt, BgL_ev_exprz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62z52allocatezd2ev_exprze2zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_setlocalz00_bglt
		BGl_ev_setlocalzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_binderz00_bglt
		BGl_fillzd2ev_binderz12zc0zz__evaluate_typesz00(BgL_ev_binderz00_bglt,
		obj_t, obj_t, BgL_ev_exprz00_bglt);
	static BgL_ev_setlocalz00_bglt
		BGl_z62ev_setlocalzd2nilzb0zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62fillzd2ev_binderz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt
		BGl_z62z52allocatezd2ev_andze2zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62makezd2ev_exprzb0zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_listz00_bglt
		BGl_fillzd2ev_listz12zc0zz__evaluate_typesz00(BgL_ev_listz00_bglt, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2853ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62ev_prog2zd2e1zb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62ev_prog2zd2e2zb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2857ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_trapz00_bglt, obj_t);
	static obj_t BGl_z62ev_appzd2tailzf3zd2setz12z83zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_bi2827z81zz__evaluate_typesz00(obj_t,
		BgL_ev_binderz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_orz00_bglt
		BGl_z52allocatezd2ev_orz80zz__evaluate_typesz00();
	static BgL_ev_letz00_bglt BGl_z62ev_letzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t
		BGl_z62ev_unwindzd2protectzd2bodyzd2setz12za2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_orz00_bglt
		BGl_z62z52allocatezd2ev_orze2zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62ev_varzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluate_typesz00 =
		BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62makezd2ev_abszb0zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62ev_hookzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_labelszd2envzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_varzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2862ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2866ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_le2815z81zz__evaluate_typesz00(obj_t,
		BgL_ev_letrecz00_bglt);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_bi2839z81zz__evaluate_typesz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	BGL_EXPORTED_DECL BgL_ev_globalz00_bglt
		BGl_makezd2ev_globalzd2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62ev_appzd2funzb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_le2819z81zz__evaluate_typesz00(obj_t,
		BgL_ev_letza2za2_bglt);
	BGL_EXPORTED_DECL BgL_ev_binderz00_bglt
		BGl_makezd2ev_binderzd2zz__evaluate_typesz00(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static BgL_ev_prog2z00_bglt
		BGl_z62ev_prog2zd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62ev_letza2zd2boxesz12zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_exprzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_prog2zd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2870ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_andz00_bglt, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62fillzd2ev_setlocalz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_ev_littz00_bglt
		BGl_fillzd2ev_littz12zc0zz__evaluate_typesz00(BgL_ev_littz00_bglt, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_tr2855z81zz__evaluate_typesz00(obj_t,
		BgL_ev_trapz00_bglt);
	static obj_t BGl_z62ev_letza2zf3z33zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_varz00_bglt
		BGl_makezd2ev_varzd2zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62ev_unwindzd2protectzd2ezd2setz12za2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62makezd2ev_bindzd2exitz62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2874ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_orz00_bglt, obj_t);
	static obj_t BGl_z62ev_labelszd2valszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_le2823z81zz__evaluate_typesz00(obj_t,
		BgL_ev_letz00_bglt);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2878ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62ev_bindzd2exitzd2nilz62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_letza2za2_bglt
		BGl_makezd2ev_letza2z70zz__evaluate_typesz00(obj_t, obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_listzf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62z52allocatezd2ev_appze2zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62ev_setlocalzd2vzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_setlocalz00_bglt
		BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_ev_prog2zf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62ev_gotozd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_labelszd2envzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_appz00_bglt
		BGl_ev_appzd2nilzd2zz__evaluate_typesz00();
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2882ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62ev_exprzd2nilzb0zz__evaluate_typesz00(obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2886ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_labelszd2valszb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62z52allocatezd2ev_letrecze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_letza2zd2boxeszd2setz12zd2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_trapz00_bglt
		BGl_makezd2ev_trapzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_letza2za2_bglt
		BGl_z52allocatezd2ev_letza2z22zz__evaluate_typesz00();
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2890ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_ab2799z81zz__evaluate_typesz00(obj_t,
		BgL_ev_absz00_bglt);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2894ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_unwindzd2protectzd2_bglt
		BGl_fillzd2ev_unwindzd2protectz12z12zz__evaluate_typesz00
		(BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt);
	static BgL_ev_setglobalz00_bglt
		BGl_z62z52allocatezd2ev_setglobalze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_abszf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2898ze1zz__evaluate_typesz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_littzf3zf3zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_andz00_bglt
		BGl_makezd2ev_andzd2zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62ev_gotozd2labelszb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_listzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_appzd2argszb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62z52allocatezd2ev_withzd2handlerz30zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_gotozd2labelzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_gotozd2loczb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62fillzd2ev_hookz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_trapz00_bglt
		BGl_z52allocatezd2ev_trapz80zz__evaluate_typesz00();
	static obj_t BGl_z62ev_binderzd2bodyzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_letrecz00_bglt
		BGl_ev_letreczd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z52thezd2ev_ifzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_appz00_bglt BGl_z62ev_appzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_appzd2funzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_labelszd2stkzb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62makezd2ev_withzd2handlerz62zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62fillzd2ev_appz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_ifz00_bglt
		BGl_fillzd2ev_ifz12zc0zz__evaluate_typesz00(BgL_ev_ifz00_bglt,
		BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt);
	static obj_t BGl_z62ev_labelszd2boxeszb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_defglobalz00_bglt
		BGl_ev_defglobalzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_letz00_bglt
		BGl_fillzd2ev_letz12zc0zz__evaluate_typesz00(BgL_ev_letz00_bglt, obj_t,
		obj_t, BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_orz00_bglt BGl_z62fillzd2ev_orz12za2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_labelszd2varszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z52thezd2ev_letreczd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z52thezd2ev_letzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_andz00_bglt
		BGl_fillzd2ev_andz12zc0zz__evaluate_typesz00(BgL_ev_andz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2boxeszb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_varzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_appz00_bglt
		BGl_makezd2ev_appzd2zz__evaluate_typesz00(obj_t, BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_ev_setglobalz00_bglt
		BGl_ev_setglobalzd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_trapz00_bglt
		BGl_z62fillzd2ev_trapz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ev_appzd2loczb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_withzd2handlerzd2_bglt
		BGl_makezd2ev_withzd2handlerz00zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62fillzd2ev_defglobalz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_letz00_bglt
		BGl_z52allocatezd2ev_letz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_hookz00_bglt
		BGl_makezd2ev_hookzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62ev_abszd2bindzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_abszd2varszb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_defglobalzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_se2847z81zz__evaluate_typesz00(obj_t,
		BgL_ev_setglobalz00_bglt);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	BGL_EXPORTED_DECL bool_t BGl_ev_setlocalzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z52thezd2ev_trapzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_unwindzd2protectzd2_bglt
		BGl_z52allocatezd2ev_unwindzd2protectz52zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt
		BGl_z62ev_unwindzd2protectzd2ez62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_withzd2handlerzd2_bglt
		BGl_z52allocatezd2ev_withzd2handlerz52zz__evaluate_typesz00();
	BGL_EXPORTED_DECL bool_t BGl_ev_orzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_se2851z81zz__evaluate_typesz00(obj_t,
		BgL_ev_setlocalz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_andz00_bglt
		BGl_ev_andzd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_varz00_bglt
		BGl_z62fillzd2ev_varz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_binderz00_bglt
		BGl_ev_binderzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_absz00_bglt
		BGl_ev_abszd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_prog2z00_bglt
		BGl_z62z52allocatezd2ev_prog2ze2zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static BgL_ev_setlocalz00_bglt
		BGl_z62makezd2ev_setlocalzb0zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_hookz00_bglt
		BGl_z52allocatezd2ev_hookz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_listz00_bglt
		BGl_ev_listzd2nilzd2zz__evaluate_typesz00();
	static BgL_ev_setglobalz00_bglt
		BGl_z62makezd2ev_setglobalzb0zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_fillzd2ev_exprz12zc0zz__evaluate_typesz00(BgL_ev_exprz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62ev_binderzd2bodyzb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_prog2z00_bglt
		BGl_makezd2ev_prog2zd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62ev_hookzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z52thezd2ev_littzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_labelszd2varszb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_gotoz00_bglt
		BGl_makezd2ev_gotozd2zz__evaluate_typesz00(obj_t, BgL_ev_varz00_bglt,
		BgL_ev_labelsz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_letza2za2_bglt
		BGl_fillzd2ev_letza2z12z62zz__evaluate_typesz00(BgL_ev_letza2za2_bglt,
		obj_t, obj_t, BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62z52allocatezd2ev_labelsze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_gotozd2argszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_letzd2boxeszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_listzd2argszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_binderzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62makezd2ev_varzb0zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62ev_bindzd2exitzd2bodyzd2setz12za2zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62ev_bindzd2exitzd2varz62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62ev_withzd2handlerzd2bodyzd2setz12za2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62ev_globalzd2namezb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_wi2831z81zz__evaluate_typesz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	static BgL_ev_andz00_bglt BGl_z62ev_andzd2nilzb0zz__evaluate_typesz00(obj_t);
	static BgL_ev_absz00_bglt BGl_z62ev_abszd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62ev_ifzd2pzd2setz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62ev_varzd2effzb0zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_or2872z81zz__evaluate_typesz00(obj_t,
		BgL_ev_orz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_gotoz00_bglt
		BGl_z52allocatezd2ev_gotoz80zz__evaluate_typesz00();
	extern obj_t BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
	BGL_EXPORTED_DECL BgL_ev_letrecz00_bglt
		BGl_z52allocatezd2ev_letrecz80zz__evaluate_typesz00();
	static obj_t BGl_z62ev_trapzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62ev_listzd2argszb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_exprzf3zf3zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_letza2za2_bglt
		BGl_ev_letza2zd2nilz70zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4200z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2boxeszd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_appzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4203z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2innerzb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62ev_ifzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_va2892z81zz__evaluate_typesz00(obj_t,
		BgL_ev_varz00_bglt);
	static obj_t BGl_symbol4205z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_gl2888z81zz__evaluate_typesz00(obj_t,
		BgL_ev_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_listz00_bglt
		BGl_makezd2ev_listzd2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4207z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_symbol4209z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2freezb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_letza2zf3z51zz__evaluate_typesz00(obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62makezd2ev_letreczb0zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62fillzd2ev_absz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62ev_defglobalzd2nilzb0zz__evaluate_typesz00(obj_t);
	extern obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_symbol4211z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4130z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2wherezb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62makezd2ev_andzb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4213z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4132z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_abszd2loczb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_trapz00_bglt
		BGl_ev_trapzd2nilzd2zz__evaluate_typesz00();
	static obj_t BGl_symbol4215z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4134z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_littz00_bglt
		BGl_makezd2ev_littzd2zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol4217z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4136z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_letzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol4219z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4138z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62ev_setglobalzd2nilzb0zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_listz00_bglt
		BGl_z52allocatezd2ev_listz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_defglobalz00_bglt
		BGl_z52allocatezd2ev_defglobalz80zz__evaluate_typesz00();
	static obj_t BGl_z62ev_andzf3z91zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_appzf3zf3zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62z52allocatezd2ev_letze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4221z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4140z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4223z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4142z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4225z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4144z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_ifz00_bglt BGl_z62fillzd2ev_ifz12za2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol4227z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4146z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4229z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4148z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_absz00_bglt
		BGl_z52allocatezd2ev_absz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_littz00_bglt
		BGl_ev_littzd2nilzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_littz00_bglt
		BGl_z52allocatezd2ev_littz80zz__evaluate_typesz00();
	BGL_EXPORTED_DECL BgL_ev_withzd2handlerzd2_bglt
		BGl_fillzd2ev_withzd2handlerz12z12zz__evaluate_typesz00
		(BgL_ev_withzd2handlerzd2_bglt, BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt);
	static obj_t BGl_z62ev_hookzd2ezd2setz12z70zz__evaluate_typesz00(obj_t, obj_t,
		obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62fillzd2ev_prog2z12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol4231z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4150z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4233z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4152z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62ev_hookzd2ezb0zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4235z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4154z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4237z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4156z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4239z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4158z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_setglobalzd2loczb0zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_unwindzd2protectzd2_bglt
		BGl_makezd2ev_unwindzd2protectz00zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_pr2864z81zz__evaluate_typesz00(obj_t,
		BgL_ev_prog2z00_bglt);
	static BgL_ev_appz00_bglt BGl_z62makezd2ev_appzb0zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62fillzd2ev_gotoz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_ifz00_bglt BGl_ev_ifzd2nilzd2zz__evaluate_typesz00();
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_go2807z81zz__evaluate_typesz00(obj_t,
		BgL_ev_gotoz00_bglt);
	static obj_t BGl_symbol4241z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4160z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt
		BGl_z62ev_withzd2handlerzd2bodyz62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol4162z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt
		BGl_z62ev_labelszd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4164z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_defglobalz00_bglt
		BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62z52allocatezd2ev_letza2z40zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4166z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_ev_ifzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4168z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_labelszd2stkzd2setz12z70zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_labelszf3zf3zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_ev_ifz00_bglt
		BGl_makezd2ev_ifzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62ev_withzd2handlerzd2nilz62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62makezd2ev_letza2z12zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62z52allocatezd2ev_unwindzd2protectz30zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_ev_withzd2handlerzf3z21zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL BgL_ev_hookz00_bglt
		BGl_fillzd2ev_hookz12zc0zz__evaluate_typesz00(BgL_ev_hookz00_bglt,
		BgL_ev_exprz00_bglt);
	static BgL_ev_globalz00_bglt
		BGl_z62ev_globalzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4170z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_unwindzd2protectzf3z43zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ev_varzf3zf3zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol4172z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4335z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4174z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4176z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol4178z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_setglobalzd2modzb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62ev_listzd2nilzb0zz__evaluate_typesz00(obj_t);
	static obj_t
		BGl_z62objectzd2ze3structzd2ev_la2811z81zz__evaluate_typesz00(obj_t,
		BgL_ev_labelsz00_bglt);
	static BgL_ev_trapz00_bglt
		BGl_z62z52allocatezd2ev_trapze2zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z52thezd2ev_andzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62fillzd2ev_setglobalz12za2zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_abszd2nilz52zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62ev_binderzd2valszb0zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62fillzd2ev_bindzd2exitz12z70zz__evaluate_typesz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2bodyzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2b4443z00,
		BGl_z62ev_binderzd2bodyzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_gotozd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4444za7,
		BGl_z62z52allocatezd2ev_gotoze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_letrecz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_let4445z00,
		BGl_z62fillzd2ev_letrecz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_exprzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4446za7,
		BGl_z62z52allocatezd2ev_exprze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2freezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2free4447z00,
		BGl_z62ev_abszd2freezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_ifzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2nilza7b4448za7,
		BGl_z62ev_ifzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_trapzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_tra4449z00,
		BGl_z62makezd2ev_trapzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_prog2zd2e1zd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_prog2za7d2e14450z00,
		BGl_z62ev_prog2zd2e1zb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_setlocalzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4451za7,
		BGl_z62z52allocatezd2ev_setlocalze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2nilzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_bindza7d2exi4452z00,
		BGl_z62ev_bindzd2exitzd2nilz62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2varzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_bindza7d2exi4453z00,
		BGl_z62ev_bindzd2exitzd2varz62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2namezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7d2n4454z00,
		BGl_z62ev_globalzd2namezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_gotozd2loczd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2loc4455z00,
		BGl_z62ev_gotozd2loczb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_letzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7f3za791za74456z00,
		BGl_z62ev_letzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_littzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_lit4457z00,
		BGl_z62makezd2ev_littzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_trapzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_trapza7f3za7914458za7,
		BGl_z62ev_trapzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_letza2zd2boxeszd2setz12zd2envz62zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7a2za7d2b4459za7,
		BGl_z62ev_letza2zd2boxeszd2setz12zd2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_setglobalzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74460z00,
		BGl_z62ev_setglobalzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_letreczf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_letrecza7f3za74461za7,
		BGl_z62ev_letreczf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_appzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7f3za791za74462z00,
		BGl_z62ev_appzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2stkzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2s4463z00,
		BGl_z62ev_labelszd2stkzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2tzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2tza7b0za74464z00,
		BGl_z62ev_ifzd2tzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_gotozd2labelszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2lab4465z00,
		BGl_z62ev_gotozd2labelszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_letz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_let4466z00,
		BGl_z62fillzd2ev_letz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_listzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_listza7f3za7914467za7,
		BGl_z62ev_listzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2loczd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7d2l4468z00,
		BGl_z62ev_globalzd2loczb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2bodyzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_bindza7d2exi4469z00,
		BGl_z62ev_bindzd2exitzd2bodyz62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2bindzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2bind4470z00,
		BGl_z62ev_abszd2bindzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2loczd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2locza74471za7,
		BGl_z62ev_abszd2loczb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_withzd2handlerzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_wit4472z00,
		BGl_z62makezd2ev_withzd2handlerz62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_appz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_app4473z00,
		BGl_z62fillzd2ev_appz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2innerzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2inne4474z00,
		BGl_z62ev_abszd2innerzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_defglobalzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_defglobalza74475z00,
		BGl_z62ev_defglobalzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_prog2zd2e2zd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_prog2za7d2e24476z00,
		BGl_z62ev_prog2zd2e2zb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_unwindzd2protectzd2envz80zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4477za7,
		BGl_z62z52allocatezd2ev_unwindzd2protectz30zz__evaluate_typesz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_labelszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_lab4478z00,
		BGl_z62makezd2ev_labelszb0zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_prog2z12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_pro4479z00,
		BGl_z62fillzd2ev_prog2z12za2zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_prog2zd2e2zd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_prog2za7d2e24480z00,
		BGl_z62ev_prog2zd2e2zd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_varzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_varza7f3za791za74481z00,
		BGl_z62ev_varzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2bodyzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2b4482z00,
		BGl_z62ev_binderzd2bodyzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4201z00zz__evaluate_typesz00,
		BgL_bgl_string4201za700za7za7_4483za7, "boxes", 5);
	      DEFINE_STRING(BGl_string4204z00zz__evaluate_typesz00,
		BgL_bgl_string4204za700za7za7_4484za7, "quote", 5);
	      DEFINE_STRING(BGl_string4206z00zz__evaluate_typesz00,
		BgL_bgl_string4206za700za7za7_4485za7, "ev_let", 6);
	      DEFINE_STRING(BGl_string4208z00zz__evaluate_typesz00,
		BgL_bgl_string4208za700za7za7_4486za7, "ev_let*", 7);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2varszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2vars4487z00,
		BGl_z62ev_abszd2varszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_ifzd2ezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2eza7d2s4488za7,
		BGl_z62ev_ifzd2ezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_globalzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_glo4489z00,
		BGl_z62makezd2ev_globalzb0zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2varszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2v4490z00,
		BGl_z62ev_binderzd2varszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2ezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2eza7b0za74491z00,
		BGl_z62ev_ifzd2ezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_ifzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4492za7,
		BGl_z62z52allocatezd2ev_ifze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_gotozd2argszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2arg4493z00,
		BGl_z62ev_gotozd2argszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_letzd2boxeszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7d2boxe4494z00,
		BGl_z62ev_letzd2boxeszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4210z00zz__evaluate_typesz00,
		BgL_bgl_string4210za700za7za7_4495za7, "ev_letrec", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_bindzd2exitzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_bin4496z00,
		BGl_z62makezd2ev_bindzd2exitz62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4212z00zz__evaluate_typesz00,
		BgL_bgl_string4212za700za7za7_4497za7, "env", 3);
	      DEFINE_STRING(BGl_string4131z00zz__evaluate_typesz00,
		BgL_bgl_string4131za700za7za7_4498za7, "ev_expr", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_letzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_let4499z00,
		BGl_z62makezd2ev_letzb0zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4214z00zz__evaluate_typesz00,
		BgL_bgl_string4214za700za7za7_4500za7, "stk", 3);
	      DEFINE_STRING(BGl_string4133z00zz__evaluate_typesz00,
		BgL_bgl_string4133za700za7za7_4501za7, "name", 4);
	      DEFINE_STRING(BGl_string4216z00zz__evaluate_typesz00,
		BgL_bgl_string4216za700za7za7_4502za7, "ev_labels", 9);
	      DEFINE_STRING(BGl_string4135z00zz__evaluate_typesz00,
		BgL_bgl_string4135za700za7za7_4503za7, "eff", 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_varzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_var4504z00,
		BGl_z62makezd2ev_varzb0zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_letzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7d2nilza74505za7,
		BGl_z62ev_letzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4218z00zz__evaluate_typesz00,
		BgL_bgl_string4218za700za7za7_4506za7, "label", 5);
	      DEFINE_STRING(BGl_string4137z00zz__evaluate_typesz00,
		BgL_bgl_string4137za700za7za7_4507za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string4139z00zz__evaluate_typesz00,
		BgL_bgl_string4139za700za7za7_4508za7, "loc", 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_varz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_var4509z00,
		BGl_z62fillzd2ev_varz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_gotozd2labelzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2lab4510z00,
		BGl_z62ev_gotozd2labelzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2envzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2e4511z00,
		BGl_z62ev_labelszd2envzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2modzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74512z00,
		BGl_z62ev_setglobalzd2modzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2namezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74513z00,
		BGl_z62ev_setglobalzd2namezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4300z00zz__evaluate_typesz00,
		BgL_bgl_string4300za700za7za7_4514za7, "&ev_let*-boxes-set!", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_gotoz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_got4515z00,
		BGl_z62fillzd2ev_gotoz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string4301z00zz__evaluate_typesz00,
		BgL_bgl_string4301za700za7za7_4516za7, "&ev_let*-boxes", 14);
	      DEFINE_STRING(BGl_string4220z00zz__evaluate_typesz00,
		BgL_bgl_string4220za700za7za7_4517za7, "labels", 6);
	      DEFINE_STRING(BGl_string4302z00zz__evaluate_typesz00,
		BgL_bgl_string4302za700za7za7_4518za7, "&make-ev_let", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_hookzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_hookza7f3za7914519za7,
		BGl_z62ev_hookzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4303z00zz__evaluate_typesz00,
		BgL_bgl_string4303za700za7za7_4520za7, "&fill-ev_let!", 13);
	      DEFINE_STRING(BGl_string4222z00zz__evaluate_typesz00,
		BgL_bgl_string4222za700za7za7_4521za7, "ev_goto", 7);
	      DEFINE_STRING(BGl_string4141z00zz__evaluate_typesz00,
		BgL_bgl_string4141za700za7za7_4522za7, "mod", 3);
	      DEFINE_STRING(BGl_string4304z00zz__evaluate_typesz00,
		BgL_bgl_string4304za700za7za7_4523za7, "&ev_let-boxes-set!", 18);
	      DEFINE_STRING(BGl_string4305z00zz__evaluate_typesz00,
		BgL_bgl_string4305za700za7za7_4524za7, "&ev_let-boxes", 13);
	      DEFINE_STRING(BGl_string4224z00zz__evaluate_typesz00,
		BgL_bgl_string4224za700za7za7_4525za7, "fun", 3);
	      DEFINE_STRING(BGl_string4143z00zz__evaluate_typesz00,
		BgL_bgl_string4143za700za7za7_4526za7, "ev_global", 9);
	      DEFINE_STRING(BGl_string4306z00zz__evaluate_typesz00,
		BgL_bgl_string4306za700za7za7_4527za7, "&make-ev_binder", 15);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setlocalzd2vzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_setlocalza7d4528z00,
		BGl_z62ev_setlocalzd2vzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4307z00zz__evaluate_typesz00,
		BgL_bgl_string4307za700za7za7_4529za7, "&fill-ev_binder!", 16);
	      DEFINE_STRING(BGl_string4226z00zz__evaluate_typesz00,
		BgL_bgl_string4226za700za7za7_4530za7, "tail?", 5);
	      DEFINE_STRING(BGl_string4145z00zz__evaluate_typesz00,
		BgL_bgl_string4145za700za7za7_4531za7, "value", 5);
	      DEFINE_STRING(BGl_string4308z00zz__evaluate_typesz00,
		BgL_bgl_string4308za700za7za7_4532za7, "&ev_binder-vars-set!", 20);
	      DEFINE_STRING(BGl_string4309z00zz__evaluate_typesz00,
		BgL_bgl_string4309za700za7za7_4533za7, "&ev_binder-vars", 15);
	      DEFINE_STRING(BGl_string4228z00zz__evaluate_typesz00,
		BgL_bgl_string4228za700za7za7_4534za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string4147z00zz__evaluate_typesz00,
		BgL_bgl_string4147za700za7za7_4535za7, "ev_litt", 7);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2valszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2v4536z00,
		BGl_z62ev_binderzd2valszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4149z00zz__evaluate_typesz00,
		BgL_bgl_string4149za700za7za7_4537za7, "p", 1);
	      DEFINE_STRING(BGl_string4310z00zz__evaluate_typesz00,
		BgL_bgl_string4310za700za7za7_4538za7, "&ev_binder-vals-set!", 20);
	      DEFINE_STRING(BGl_string4311z00zz__evaluate_typesz00,
		BgL_bgl_string4311za700za7za7_4539za7, "&ev_binder-vals", 15);
	      DEFINE_STRING(BGl_string4230z00zz__evaluate_typesz00,
		BgL_bgl_string4230za700za7za7_4540za7, "where", 5);
	      DEFINE_STRING(BGl_string4312z00zz__evaluate_typesz00,
		BgL_bgl_string4312za700za7za7_4541za7, "&ev_binder-body-set!", 20);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_varzd2namezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_varza7d2name4542z00,
		BGl_z62ev_varzd2namezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4313z00zz__evaluate_typesz00,
		BgL_bgl_string4313za700za7za7_4543za7, "&ev_binder-body", 15);
	      DEFINE_STRING(BGl_string4232z00zz__evaluate_typesz00,
		BgL_bgl_string4232za700za7za7_4544za7, "arity", 5);
	      DEFINE_STRING(BGl_string4151z00zz__evaluate_typesz00,
		BgL_bgl_string4151za700za7za7_4545za7, "t", 1);
	      DEFINE_STRING(BGl_string4314z00zz__evaluate_typesz00,
		BgL_bgl_string4314za700za7za7_4546za7, "&make-ev_with-handler", 21);
	      DEFINE_STRING(BGl_string4315z00zz__evaluate_typesz00,
		BgL_bgl_string4315za700za7za7_4547za7, "&fill-ev_with-handler!", 22);
	      DEFINE_STRING(BGl_string4234z00zz__evaluate_typesz00,
		BgL_bgl_string4234za700za7za7_4548za7, "size", 4);
	      DEFINE_STRING(BGl_string4153z00zz__evaluate_typesz00,
		BgL_bgl_string4153za700za7za7_4549za7, "e", 1);
	      DEFINE_STRING(BGl_string4316z00zz__evaluate_typesz00,
		BgL_bgl_string4316za700za7za7_4550za7, "&ev_with-handler-handler-set!", 29);
	      DEFINE_STRING(BGl_string4317z00zz__evaluate_typesz00,
		BgL_bgl_string4317za700za7za7_4551za7, "&ev_with-handler-handler", 24);
	      DEFINE_STRING(BGl_string4236z00zz__evaluate_typesz00,
		BgL_bgl_string4236za700za7za7_4552za7, "bind", 4);
	      DEFINE_STRING(BGl_string4155z00zz__evaluate_typesz00,
		BgL_bgl_string4155za700za7za7_4553za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string4318z00zz__evaluate_typesz00,
		BgL_bgl_string4318za700za7za7_4554za7, "&ev_with-handler-body-set!", 26);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2nilzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_withza7d2han4555z00,
		BGl_z62ev_withzd2handlerzd2nilz62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4319z00zz__evaluate_typesz00,
		BgL_bgl_string4319za700za7za7_4556za7, "&ev_with-handler-body", 21);
	      DEFINE_STRING(BGl_string4238z00zz__evaluate_typesz00,
		BgL_bgl_string4238za700za7za7_4557za7, "free", 4);
	      DEFINE_STRING(BGl_string4157z00zz__evaluate_typesz00,
		BgL_bgl_string4157za700za7za7_4558za7, "args", 4);
	      DEFINE_STRING(BGl_string4159z00zz__evaluate_typesz00,
		BgL_bgl_string4159za700za7za7_4559za7, "ev_list", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_littzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_littza7f3za7914560za7,
		BGl_z62ev_littzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_andzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_andza7d2nilza74561za7,
		BGl_z62ev_andzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_globalz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_glo4562z00,
		BGl_z62fillzd2ev_globalz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_ifzd2pzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2pza7d2s4563za7,
		BGl_z62ev_ifzd2pzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2loczd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2locza74564za7,
		BGl_z62ev_appzd2loczb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4320z00zz__evaluate_typesz00,
		BgL_bgl_string4320za700za7za7_4565za7, "&make-ev_unwind-protect", 23);
	      DEFINE_STRING(BGl_string4321z00zz__evaluate_typesz00,
		BgL_bgl_string4321za700za7za7_4566za7, "&fill-ev_unwind-protect!", 24);
	      DEFINE_STRING(BGl_string4240z00zz__evaluate_typesz00,
		BgL_bgl_string4240za700za7za7_4567za7, "inner", 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2bodyzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2body4568z00,
		BGl_z62ev_abszd2bodyzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4322z00zz__evaluate_typesz00,
		BgL_bgl_string4322za700za7za7_4569za7, "&ev_unwind-protect-e-set!", 25);
	      DEFINE_STRING(BGl_string4323z00zz__evaluate_typesz00,
		BgL_bgl_string4323za700za7za7_4570za7, "&ev_unwind-protect-e", 20);
	      DEFINE_STRING(BGl_string4242z00zz__evaluate_typesz00,
		BgL_bgl_string4242za700za7za7_4571za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string4161z00zz__evaluate_typesz00,
		BgL_bgl_string4161za700za7za7_4572za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string4324z00zz__evaluate_typesz00,
		BgL_bgl_string4324za700za7za7_4573za7, "&ev_unwind-protect-body-set!", 28);
	      DEFINE_STRING(BGl_string4243z00zz__evaluate_typesz00,
		BgL_bgl_string4243za700za7za7_4574za7,
		"/tmp/bigloo/runtime/Eval/evaluate_types.scm", 43);
	      DEFINE_STRING(BGl_string4325z00zz__evaluate_typesz00,
		BgL_bgl_string4325za700za7za7_4575za7, "&ev_unwind-protect-body", 23);
	      DEFINE_STRING(BGl_string4244z00zz__evaluate_typesz00,
		BgL_bgl_string4244za700za7za7_4576za7, "&make-ev_abs", 12);
	      DEFINE_STRING(BGl_string4163z00zz__evaluate_typesz00,
		BgL_bgl_string4163za700za7za7_4577za7, "ev_and", 6);
	      DEFINE_STRING(BGl_string4326z00zz__evaluate_typesz00,
		BgL_bgl_string4326za700za7za7_4578za7, "&make-ev_bind-exit", 18);
	      DEFINE_STRING(BGl_string4245z00zz__evaluate_typesz00,
		BgL_bgl_string4245za700za7za7_4579za7, "bint", 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_listzd2argszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_listza7d2arg4580z00,
		BGl_z62ev_listzd2argszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4327z00zz__evaluate_typesz00,
		BgL_bgl_string4327za700za7za7_4581za7, "&fill-ev_bind-exit!", 19);
	      DEFINE_STRING(BGl_string4246z00zz__evaluate_typesz00,
		BgL_bgl_string4246za700za7za7_4582za7, "&fill-ev_abs!", 13);
	      DEFINE_STRING(BGl_string4165z00zz__evaluate_typesz00,
		BgL_bgl_string4165za700za7za7_4583za7, "e1", 2);
	      DEFINE_STRING(BGl_string4328z00zz__evaluate_typesz00,
		BgL_bgl_string4328za700za7za7_4584za7, "&ev_bind-exit-var-set!", 22);
	      DEFINE_STRING(BGl_string4247z00zz__evaluate_typesz00,
		BgL_bgl_string4247za700za7za7_4585za7, "&ev_abs-loc", 11);
	      DEFINE_STRING(BGl_string4329z00zz__evaluate_typesz00,
		BgL_bgl_string4329za700za7za7_4586za7, "&ev_bind-exit-var", 17);
	      DEFINE_STRING(BGl_string4248z00zz__evaluate_typesz00,
		BgL_bgl_string4248za700za7za7_4587za7, "&ev_abs-where", 13);
	      DEFINE_STRING(BGl_string4167z00zz__evaluate_typesz00,
		BgL_bgl_string4167za700za7za7_4588za7, "e2", 2);
	      DEFINE_STRING(BGl_string4249z00zz__evaluate_typesz00,
		BgL_bgl_string4249za700za7za7_4589za7, "&ev_abs-arity", 13);
	      DEFINE_STRING(BGl_string4169z00zz__evaluate_typesz00,
		BgL_bgl_string4169za700za7za7_4590za7, "ev_prog2", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_ifz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_ifza74591za7,
		BGl_z62fillzd2ev_ifz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_labelsz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_lab4592z00,
		BGl_z62fillzd2ev_labelsz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4400z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4593za7,
		BGl_z62objectzd2ze3structzd2ev_le2815z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4401z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4594z00,
		BGl_z62structzb2objectzd2ze3objec2817ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4402z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4595za7,
		BGl_z62objectzd2ze3structzd2ev_le2819z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4403z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4596z00,
		BGl_z62structzb2objectzd2ze3objec2821ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4404z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4597za7,
		BGl_z62objectzd2ze3structzd2ev_le2823z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4405z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4598z00,
		BGl_z62structzb2objectzd2ze3objec2825ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4330z00zz__evaluate_typesz00,
		BgL_bgl_string4330za700za7za7_4599za7, "&ev_bind-exit-body-set!", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4406z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4600za7,
		BGl_z62objectzd2ze3structzd2ev_bi2827z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4331z00zz__evaluate_typesz00,
		BgL_bgl_string4331za700za7za7_4601za7, "&ev_bind-exit-body", 18);
	      DEFINE_STRING(BGl_string4250z00zz__evaluate_typesz00,
		BgL_bgl_string4250za700za7za7_4602za7, "&ev_abs-vars-set!", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4407z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4603z00,
		BGl_z62structzb2objectzd2ze3objec2829ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4332z00zz__evaluate_typesz00,
		BgL_bgl_string4332za700za7za7_4604za7, "&make-ev_defglobal", 18);
	      DEFINE_STRING(BGl_string4251z00zz__evaluate_typesz00,
		BgL_bgl_string4251za700za7za7_4605za7, "&ev_abs-vars", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4408z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4606za7,
		BGl_z62objectzd2ze3structzd2ev_wi2831z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4333z00zz__evaluate_typesz00,
		BgL_bgl_string4333za700za7za7_4607za7, "symbol", 6);
	      DEFINE_STRING(BGl_string4252z00zz__evaluate_typesz00,
		BgL_bgl_string4252za700za7za7_4608za7, "&ev_abs-body-set!", 17);
	      DEFINE_STRING(BGl_string4171z00zz__evaluate_typesz00,
		BgL_bgl_string4171za700za7za7_4609za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4409z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4610z00,
		BGl_z62structzb2objectzd2ze3objec2833ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4334z00zz__evaluate_typesz00,
		BgL_bgl_string4334za700za7za7_4611za7, "&fill-ev_defglobal!", 19);
	      DEFINE_STRING(BGl_string4253z00zz__evaluate_typesz00,
		BgL_bgl_string4253za700za7za7_4612za7, "&ev_abs-body", 12);
	      DEFINE_STRING(BGl_string4254z00zz__evaluate_typesz00,
		BgL_bgl_string4254za700za7za7_4613za7, "&ev_abs-size-set!", 17);
	      DEFINE_STRING(BGl_string4173z00zz__evaluate_typesz00,
		BgL_bgl_string4173za700za7za7_4614za7, "ev_trap", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_orz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_orza74615za7,
		BGl_z62fillzd2ev_orz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4336z00zz__evaluate_typesz00,
		BgL_bgl_string4336za700za7za7_4616za7, "_", 1);
	      DEFINE_STRING(BGl_string4255z00zz__evaluate_typesz00,
		BgL_bgl_string4255za700za7za7_4617za7, "&ev_abs-size", 12);
	      DEFINE_STRING(BGl_string4337z00zz__evaluate_typesz00,
		BgL_bgl_string4337za700za7za7_4618za7, "&make-ev_setglobal", 18);
	      DEFINE_STRING(BGl_string4256z00zz__evaluate_typesz00,
		BgL_bgl_string4256za700za7za7_4619za7, "&ev_abs-bind-set!", 17);
	      DEFINE_STRING(BGl_string4175z00zz__evaluate_typesz00,
		BgL_bgl_string4175za700za7za7_4620za7, "v", 1);
	      DEFINE_STRING(BGl_string4338z00zz__evaluate_typesz00,
		BgL_bgl_string4338za700za7za7_4621za7, "&fill-ev_setglobal!", 19);
	      DEFINE_STRING(BGl_string4257z00zz__evaluate_typesz00,
		BgL_bgl_string4257za700za7za7_4622za7, "&ev_abs-bind", 12);
	      DEFINE_STRING(BGl_string4339z00zz__evaluate_typesz00,
		BgL_bgl_string4339za700za7za7_4623za7, "&ev_setglobal-loc", 17);
	      DEFINE_STRING(BGl_string4258z00zz__evaluate_typesz00,
		BgL_bgl_string4258za700za7za7_4624za7, "&ev_abs-free-set!", 17);
	      DEFINE_STRING(BGl_string4177z00zz__evaluate_typesz00,
		BgL_bgl_string4177za700za7za7_4625za7, "ev_setlocal", 11);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setlocalzd2vzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_setlocalza7d4626z00,
		BGl_z62ev_setlocalzd2vzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4259z00zz__evaluate_typesz00,
		BgL_bgl_string4259za700za7za7_4627za7, "&ev_abs-free", 12);
	      DEFINE_STRING(BGl_string4179z00zz__evaluate_typesz00,
		BgL_bgl_string4179za700za7za7_4628za7, "ev_setglobal", 12);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2wherezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2wher4629z00,
		BGl_z62ev_abszd2wherezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_appzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_app4630z00,
		BGl_z62makezd2ev_appzb0zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4410z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4631za7,
		BGl_z62objectzd2ze3structzd2ev_un2835z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4411z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4632z00,
		BGl_z62structzb2objectzd2ze3objec2837ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4412z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4633za7,
		BGl_z62objectzd2ze3structzd2ev_bi2839z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_exprzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_exprza7d2nil4634z00,
		BGl_z62ev_exprzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4413z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4635z00,
		BGl_z62structzb2objectzd2ze3objec2841ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_globalzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7f3za74636za7,
		BGl_z62ev_globalzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4414z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4637za7,
		BGl_z62objectzd2ze3structzd2ev_de2843z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4415z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4638z00,
		BGl_z62structzb2objectzd2ze3objec2845ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4340z00zz__evaluate_typesz00,
		BgL_bgl_string4340za700za7za7_4639za7, "&ev_setglobal-name-set!", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4416z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4640za7,
		BGl_z62objectzd2ze3structzd2ev_se2847z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4341z00zz__evaluate_typesz00,
		BgL_bgl_string4341za700za7za7_4641za7, "&ev_setglobal-name", 18);
	      DEFINE_STRING(BGl_string4260z00zz__evaluate_typesz00,
		BgL_bgl_string4260za700za7za7_4642za7, "&ev_abs-inner-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4417z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4643z00,
		BGl_z62structzb2objectzd2ze3objec2849ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4342z00zz__evaluate_typesz00,
		BgL_bgl_string4342za700za7za7_4644za7, "&ev_setglobal-mod-set!", 22);
	      DEFINE_STRING(BGl_string4261z00zz__evaluate_typesz00,
		BgL_bgl_string4261za700za7za7_4645za7, "&ev_abs-inner", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4418z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4646za7,
		BGl_z62objectzd2ze3structzd2ev_se2851z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4343z00zz__evaluate_typesz00,
		BgL_bgl_string4343za700za7za7_4647za7, "&ev_setglobal-mod", 17);
	      DEFINE_STRING(BGl_string4262z00zz__evaluate_typesz00,
		BgL_bgl_string4262za700za7za7_4648za7, "&ev_abs-boxes-set!", 18);
	      DEFINE_STRING(BGl_string4181z00zz__evaluate_typesz00,
		BgL_bgl_string4181za700za7za7_4649za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4419z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4650z00,
		BGl_z62structzb2objectzd2ze3objec2853ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4344z00zz__evaluate_typesz00,
		BgL_bgl_string4344za700za7za7_4651za7, "&make-ev_setlocal", 17);
	      DEFINE_STRING(BGl_string4263z00zz__evaluate_typesz00,
		BgL_bgl_string4263za700za7za7_4652za7, "&ev_abs-boxes", 13);
	      DEFINE_STRING(BGl_string4345z00zz__evaluate_typesz00,
		BgL_bgl_string4345za700za7za7_4653za7, "&fill-ev_setlocal!", 18);
	      DEFINE_STRING(BGl_string4264z00zz__evaluate_typesz00,
		BgL_bgl_string4264za700za7za7_4654za7, "&make-ev_app", 12);
	      DEFINE_STRING(BGl_string4183z00zz__evaluate_typesz00,
		BgL_bgl_string4183za700za7za7_4655za7, "var", 3);
	      DEFINE_STRING(BGl_string4346z00zz__evaluate_typesz00,
		BgL_bgl_string4346za700za7za7_4656za7, "&ev_setlocal-v-set!", 19);
	      DEFINE_STRING(BGl_string4265z00zz__evaluate_typesz00,
		BgL_bgl_string4265za700za7za7_4657za7, "&fill-ev_app!", 13);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2siza7ezd2setz12zd2envz67zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2siza7a4658za7,
		BGl_z62ev_abszd2siza7ezd2setz12zd7zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4347z00zz__evaluate_typesz00,
		BgL_bgl_string4347za700za7za7_4659za7, "&ev_setlocal-v", 14);
	      DEFINE_STRING(BGl_string4266z00zz__evaluate_typesz00,
		BgL_bgl_string4266za700za7za7_4660za7, "&ev_app-loc", 11);
	      DEFINE_STRING(BGl_string4185z00zz__evaluate_typesz00,
		BgL_bgl_string4185za700za7za7_4661za7, "body", 4);
	      DEFINE_STRING(BGl_string4348z00zz__evaluate_typesz00,
		BgL_bgl_string4348za700za7za7_4662za7, "&make-ev_trap", 13);
	      DEFINE_STRING(BGl_string4267z00zz__evaluate_typesz00,
		BgL_bgl_string4267za700za7za7_4663za7, "&ev_app-fun-set!", 16);
	      DEFINE_STRING(BGl_string4349z00zz__evaluate_typesz00,
		BgL_bgl_string4349za700za7za7_4664za7, "&fill-ev_trap!", 14);
	      DEFINE_STRING(BGl_string4268z00zz__evaluate_typesz00,
		BgL_bgl_string4268za700za7za7_4665za7, "&ev_app-fun", 11);
	      DEFINE_STRING(BGl_string4187z00zz__evaluate_typesz00,
		BgL_bgl_string4187za700za7za7_4666za7, "ev_bind-exit", 12);
	      DEFINE_STRING(BGl_string4269z00zz__evaluate_typesz00,
		BgL_bgl_string4269za700za7za7_4667za7, "&ev_app-args-set!", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_letzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4668za7,
		BGl_z62z52allocatezd2ev_letze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_hookzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_hoo4669z00,
		BGl_z62makezd2ev_hookzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4189z00zz__evaluate_typesz00,
		BgL_bgl_string4189za700za7za7_4670za7, "ev_unwind-protect", 17);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2boxeszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2boxe4671z00,
		BGl_z62ev_abszd2boxeszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_varzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4672za7,
		BGl_z62z52allocatezd2ev_varze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2freezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2free4673z00,
		BGl_z62ev_abszd2freezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4420z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4674za7,
		BGl_z62objectzd2ze3structzd2ev_tr2855z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4421z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4675z00,
		BGl_z62structzb2objectzd2ze3objec2857ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4422z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4676za7,
		BGl_z62objectzd2ze3structzd2ev_ho2859z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4423z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4677z00,
		BGl_z62structzb2objectzd2ze3objec2862ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2tailzf3zd2setz12zd2envz33zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2tail4678z00,
		BGl_z62ev_appzd2tailzf3zd2setz12z83zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4424z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4679za7,
		BGl_z62objectzd2ze3structzd2ev_pr2864z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_labelszf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7f3za74680za7,
		BGl_z62ev_labelszf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4425z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4681z00,
		BGl_z62structzb2objectzd2ze3objec2866ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4350z00zz__evaluate_typesz00,
		BgL_bgl_string4350za700za7za7_4682za7, "&make-ev_hook", 13);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_gotozd2argszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2arg4683z00,
		BGl_z62ev_gotozd2argszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_letzd2boxeszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7d2boxe4684z00,
		BGl_z62ev_letzd2boxeszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4426z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4685za7,
		BGl_z62objectzd2ze3structzd2ev_an2868z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4351z00zz__evaluate_typesz00,
		BgL_bgl_string4351za700za7za7_4686za7, "&fill-ev_hook!", 14);
	      DEFINE_STRING(BGl_string4270z00zz__evaluate_typesz00,
		BgL_bgl_string4270za700za7za7_4687za7, "&ev_app-args", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4427z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4688z00,
		BGl_z62structzb2objectzd2ze3objec2870ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4352z00zz__evaluate_typesz00,
		BgL_bgl_string4352za700za7za7_4689za7, "&ev_hook-e-set!", 15);
	      DEFINE_STRING(BGl_string4271z00zz__evaluate_typesz00,
		BgL_bgl_string4271za700za7za7_4690za7, "&ev_app-tail?-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4428z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4691za7,
		BGl_z62objectzd2ze3structzd2ev_or2872z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4353z00zz__evaluate_typesz00,
		BgL_bgl_string4353za700za7za7_4692za7, "&ev_hook-e", 10);
	      DEFINE_STRING(BGl_string4272z00zz__evaluate_typesz00,
		BgL_bgl_string4272za700za7za7_4693za7, "&ev_app-tail?", 13);
	      DEFINE_STRING(BGl_string4191z00zz__evaluate_typesz00,
		BgL_bgl_string4191za700za7za7_4694za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4429z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4695z00,
		BGl_z62structzb2objectzd2ze3objec2874ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4354z00zz__evaluate_typesz00,
		BgL_bgl_string4354za700za7za7_4696za7, "&make-ev_prog2", 14);
	      DEFINE_STRING(BGl_string4273z00zz__evaluate_typesz00,
		BgL_bgl_string4273za700za7za7_4697za7, "&make-ev_goto", 13);
	      DEFINE_STRING(BGl_string4355z00zz__evaluate_typesz00,
		BgL_bgl_string4355za700za7za7_4698za7, "&fill-ev_prog2!", 15);
	      DEFINE_STRING(BGl_string4274z00zz__evaluate_typesz00,
		BgL_bgl_string4274za700za7za7_4699za7, "&fill-ev_goto!", 14);
	      DEFINE_STRING(BGl_string4193z00zz__evaluate_typesz00,
		BgL_bgl_string4193za700za7za7_4700za7, "ev_with-handler", 15);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2bodyzd2setz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762ev_unwindza7d2p4701z00,
		BGl_z62ev_unwindzd2protectzd2bodyzd2setz12za2zz__evaluate_typesz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4356z00zz__evaluate_typesz00,
		BgL_bgl_string4356za700za7za7_4702za7, "&ev_prog2-e1-set!", 17);
	      DEFINE_STRING(BGl_string4275z00zz__evaluate_typesz00,
		BgL_bgl_string4275za700za7za7_4703za7, "&ev_goto-loc", 12);
	      DEFINE_STRING(BGl_string4357z00zz__evaluate_typesz00,
		BgL_bgl_string4357za700za7za7_4704za7, "&ev_prog2-e1", 12);
	      DEFINE_STRING(BGl_string4276z00zz__evaluate_typesz00,
		BgL_bgl_string4276za700za7za7_4705za7, "&ev_goto-label-set!", 19);
	      DEFINE_STRING(BGl_string4195z00zz__evaluate_typesz00,
		BgL_bgl_string4195za700za7za7_4706za7, "vars", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_ifzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_ifza74707za7,
		BGl_z62makezd2ev_ifzb0zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4358z00zz__evaluate_typesz00,
		BgL_bgl_string4358za700za7za7_4708za7, "&ev_prog2-e2-set!", 17);
	      DEFINE_STRING(BGl_string4277z00zz__evaluate_typesz00,
		BgL_bgl_string4277za700za7za7_4709za7, "&ev_goto-label", 14);
	      DEFINE_STRING(BGl_string4359z00zz__evaluate_typesz00,
		BgL_bgl_string4359za700za7za7_4710za7, "&ev_prog2-e2", 12);
	      DEFINE_STRING(BGl_string4278z00zz__evaluate_typesz00,
		BgL_bgl_string4278za700za7za7_4711za7, "&ev_goto-labels-set!", 20);
	      DEFINE_STRING(BGl_string4197z00zz__evaluate_typesz00,
		BgL_bgl_string4197za700za7za7_4712za7, "vals", 4);
	      DEFINE_STRING(BGl_string4279z00zz__evaluate_typesz00,
		BgL_bgl_string4279za700za7za7_4713za7, "&ev_goto-labels", 15);
	      DEFINE_STRING(BGl_string4199z00zz__evaluate_typesz00,
		BgL_bgl_string4199za700za7za7_4714za7, "ev_binder", 9);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2modzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7d2m4715z00,
		BGl_z62ev_globalzd2modzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_binderzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2n4716z00,
		BGl_z62ev_binderzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_ifzd2tzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2tza7d2s4717za7,
		BGl_z62ev_ifzd2tzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_listzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_listza7d2nil4718z00,
		BGl_z62ev_listzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2bodyzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2b4719z00,
		BGl_z62ev_labelszd2bodyzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4430z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4720za7,
		BGl_z62objectzd2ze3structzd2ev_li2876z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4431z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4721z00,
		BGl_z62structzb2objectzd2ze3objec2878ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4432z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4722za7,
		BGl_z62objectzd2ze3structzd2ev_if2880z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4433z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4723z00,
		BGl_z62structzb2objectzd2ze3objec2882ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2stkzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2s4724z00,
		BGl_z62ev_labelszd2stkzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4434z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4725za7,
		BGl_z62objectzd2ze3structzd2ev_li2884z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_listzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4726za7,
		BGl_z62z52allocatezd2ev_listze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4435z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4727z00,
		BGl_z62structzb2objectzd2ze3objec2886ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4360z00zz__evaluate_typesz00,
		BgL_bgl_string4360za700za7za7_4728za7, "&fill-ev_and!", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_exprz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_exp4729z00,
		BGl_z62fillzd2ev_exprz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4442z00zz__evaluate_typesz00,
		BgL_bgl_string4442za700za7za7_4730za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4436z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4731za7,
		BGl_z62objectzd2ze3structzd2ev_gl2888z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4361z00zz__evaluate_typesz00,
		BgL_bgl_string4361za700za7za7_4732za7, "&fill-ev_or!", 12);
	      DEFINE_STRING(BGl_string4280z00zz__evaluate_typesz00,
		BgL_bgl_string4280za700za7za7_4733za7, "&ev_goto-args-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4437z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4734z00,
		BGl_z62structzb2objectzd2ze3objec2890ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4362z00zz__evaluate_typesz00,
		BgL_bgl_string4362za700za7za7_4735za7, "&fill-ev_list!", 14);
	      DEFINE_STRING(BGl_string4281z00zz__evaluate_typesz00,
		BgL_bgl_string4281za700za7za7_4736za7, "&ev_goto-args", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4438z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4737za7,
		BGl_z62objectzd2ze3structzd2ev_va2892z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4363z00zz__evaluate_typesz00,
		BgL_bgl_string4363za700za7za7_4738za7, "&ev_list-args-set!", 18);
	      DEFINE_STRING(BGl_string4282z00zz__evaluate_typesz00,
		BgL_bgl_string4282za700za7za7_4739za7, "&make-ev_labels", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4439z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4740z00,
		BGl_z62structzb2objectzd2ze3objec2894ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4364z00zz__evaluate_typesz00,
		BgL_bgl_string4364za700za7za7_4741za7, "&ev_list-args", 13);
	      DEFINE_STRING(BGl_string4283z00zz__evaluate_typesz00,
		BgL_bgl_string4283za700za7za7_4742za7, "&fill-ev_labels!", 16);
	      DEFINE_STRING(BGl_string4365z00zz__evaluate_typesz00,
		BgL_bgl_string4365za700za7za7_4743za7, "&make-ev_if", 11);
	      DEFINE_STRING(BGl_string4284z00zz__evaluate_typesz00,
		BgL_bgl_string4284za700za7za7_4744za7, "&ev_labels-vars-set!", 20);
	      DEFINE_STRING(BGl_string4366z00zz__evaluate_typesz00,
		BgL_bgl_string4366za700za7za7_4745za7, "&fill-ev_if!", 12);
	      DEFINE_STRING(BGl_string4285z00zz__evaluate_typesz00,
		BgL_bgl_string4285za700za7za7_4746za7, "&ev_labels-vars", 15);
	      DEFINE_STRING(BGl_string4367z00zz__evaluate_typesz00,
		BgL_bgl_string4367za700za7za7_4747za7, "&ev_if-p-set!", 13);
	      DEFINE_STRING(BGl_string4286z00zz__evaluate_typesz00,
		BgL_bgl_string4286za700za7za7_4748za7, "&ev_labels-vals-set!", 20);
	      DEFINE_STRING(BGl_string4368z00zz__evaluate_typesz00,
		BgL_bgl_string4368za700za7za7_4749za7, "&ev_if-p", 8);
	      DEFINE_STRING(BGl_string4287z00zz__evaluate_typesz00,
		BgL_bgl_string4287za700za7za7_4750za7, "&ev_labels-vals", 15);
	      DEFINE_STRING(BGl_string4369z00zz__evaluate_typesz00,
		BgL_bgl_string4369za700za7za7_4751za7, "&ev_if-t-set!", 13);
	      DEFINE_STRING(BGl_string4288z00zz__evaluate_typesz00,
		BgL_bgl_string4288za700za7za7_4752za7, "&ev_labels-env-set!", 19);
	      DEFINE_STRING(BGl_string4289z00zz__evaluate_typesz00,
		BgL_bgl_string4289za700za7za7_4753za7, "&ev_labels-env", 14);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2innerzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2inne4754z00,
		BGl_z62ev_abszd2innerzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2bodyzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_withza7d2han4755z00,
		BGl_z62ev_withzd2handlerzd2bodyz62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_letza2z12zd2envzb0zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_let4756z00,
		BGl_z62fillzd2ev_letza2z12z00zz__evaluate_typesz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_gotozd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_got4757z00,
		BGl_z62makezd2ev_gotozb0zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_gotozd2labelzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2lab4758z00,
		BGl_z62ev_gotozd2labelzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2bodyzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2b4759z00,
		BGl_z62ev_labelszd2bodyzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_labelszd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4760za7,
		BGl_z62z52allocatezd2ev_labelsze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_letreczd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_let4761z00,
		BGl_z62makezd2ev_letreczb0zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_exprzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_exp4762z00,
		BGl_z62makezd2ev_exprzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4440z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4763za7,
		BGl_z62objectzd2ze3structzd2ev_ex2896z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4441z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4764z00,
		BGl_z62structzb2objectzd2ze3objec2898ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string4370z00zz__evaluate_typesz00,
		BgL_bgl_string4370za700za7za7_4765za7, "&ev_if-t", 8);
	      DEFINE_STRING(BGl_string4371z00zz__evaluate_typesz00,
		BgL_bgl_string4371za700za7za7_4766za7, "&ev_if-e-set!", 13);
	      DEFINE_STRING(BGl_string4290z00zz__evaluate_typesz00,
		BgL_bgl_string4290za700za7za7_4767za7, "&ev_labels-stk-set!", 19);
	      DEFINE_STRING(BGl_string4372z00zz__evaluate_typesz00,
		BgL_bgl_string4372za700za7za7_4768za7, "&ev_if-e", 8);
	      DEFINE_STRING(BGl_string4291z00zz__evaluate_typesz00,
		BgL_bgl_string4291za700za7za7_4769za7, "&ev_labels-stk", 14);
	      DEFINE_STRING(BGl_string4373z00zz__evaluate_typesz00,
		BgL_bgl_string4373za700za7za7_4770za7, "&fill-ev_litt!", 14);
	      DEFINE_STRING(BGl_string4292z00zz__evaluate_typesz00,
		BgL_bgl_string4292za700za7za7_4771za7, "&ev_labels-body-set!", 20);
	      DEFINE_STRING(BGl_string4374z00zz__evaluate_typesz00,
		BgL_bgl_string4374za700za7za7_4772za7, "&ev_litt-value-set!", 19);
	      DEFINE_STRING(BGl_string4293z00zz__evaluate_typesz00,
		BgL_bgl_string4293za700za7za7_4773za7, "&ev_labels-body", 15);
	      DEFINE_STRING(BGl_string4375z00zz__evaluate_typesz00,
		BgL_bgl_string4375za700za7za7_4774za7, "&ev_litt-value", 14);
	      DEFINE_STRING(BGl_string4294z00zz__evaluate_typesz00,
		BgL_bgl_string4294za700za7za7_4775za7, "&ev_labels-boxes-set!", 21);
	      DEFINE_STRING(BGl_string4376z00zz__evaluate_typesz00,
		BgL_bgl_string4376za700za7za7_4776za7, "&make-ev_global", 15);
	      DEFINE_STRING(BGl_string4295z00zz__evaluate_typesz00,
		BgL_bgl_string4295za700za7za7_4777za7, "&ev_labels-boxes", 16);
	      DEFINE_STRING(BGl_string4377z00zz__evaluate_typesz00,
		BgL_bgl_string4377za700za7za7_4778za7, "&fill-ev_global!", 16);
	      DEFINE_STRING(BGl_string4296z00zz__evaluate_typesz00,
		BgL_bgl_string4296za700za7za7_4779za7, "&make-ev_letrec", 15);
	      DEFINE_STRING(BGl_string4378z00zz__evaluate_typesz00,
		BgL_bgl_string4378za700za7za7_4780za7, "&ev_global-loc", 14);
	      DEFINE_STRING(BGl_string4297z00zz__evaluate_typesz00,
		BgL_bgl_string4297za700za7za7_4781za7, "&fill-ev_letrec!", 16);
	      DEFINE_STRING(BGl_string4379z00zz__evaluate_typesz00,
		BgL_bgl_string4379za700za7za7_4782za7, "&ev_global-name-set!", 20);
	      DEFINE_STRING(BGl_string4298z00zz__evaluate_typesz00,
		BgL_bgl_string4298za700za7za7_4783za7, "&make-ev_let*", 13);
	      DEFINE_STRING(BGl_string4299z00zz__evaluate_typesz00,
		BgL_bgl_string4299za700za7za7_4784za7, "&fill-ev_let*!", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_prog2zd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4785za7,
		BGl_z62z52allocatezd2ev_prog2ze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2envzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2e4786z00,
		BGl_z62ev_labelszd2envzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_globalzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4787za7,
		BGl_z62z52allocatezd2ev_globalze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_setglobalzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74788z00,
		BGl_z62ev_setglobalzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4380z00zz__evaluate_typesz00,
		BgL_bgl_string4380za700za7za7_4789za7, "&ev_global-name", 15);
	      DEFINE_STRING(BGl_string4381z00zz__evaluate_typesz00,
		BgL_bgl_string4381za700za7za7_4790za7, "&ev_global-mod-set!", 19);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2funzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2funza74791za7,
		BGl_z62ev_appzd2funzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4382z00zz__evaluate_typesz00,
		BgL_bgl_string4382za700za7za7_4792za7, "&ev_global-mod", 14);
	      DEFINE_STRING(BGl_string4383z00zz__evaluate_typesz00,
		BgL_bgl_string4383za700za7za7_4793za7, "&make-ev_var", 12);
	      DEFINE_STRING(BGl_string4384z00zz__evaluate_typesz00,
		BgL_bgl_string4384za700za7za7_4794za7, "&fill-ev_var!", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_prog2zd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_prog2za7d2ni4795z00,
		BGl_z62ev_prog2zd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4385z00zz__evaluate_typesz00,
		BgL_bgl_string4385za700za7za7_4796za7, "&ev_var-name-set!", 17);
	      DEFINE_STRING(BGl_string4386z00zz__evaluate_typesz00,
		BgL_bgl_string4386za700za7za7_4797za7, "&ev_var-name", 12);
	      DEFINE_STRING(BGl_string4387z00zz__evaluate_typesz00,
		BgL_bgl_string4387za700za7za7_4798za7, "&ev_var-eff-set!", 16);
	      DEFINE_STRING(BGl_string4388z00zz__evaluate_typesz00,
		BgL_bgl_string4388za700za7za7_4799za7, "&ev_var-eff", 11);
	      DEFINE_STRING(BGl_string4389z00zz__evaluate_typesz00,
		BgL_bgl_string4389za700za7za7_4800za7, "&fill-ev_expr!", 14);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2varszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2vars4801z00,
		BGl_z62ev_abszd2varszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_letza2zd2envzf0zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4802za7,
		BGl_z62z52allocatezd2ev_letza2z40zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_setlocalzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_setlocalza7d4803z00,
		BGl_z62ev_setlocalzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_defglobalzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_def4804z00,
		BGl_z62makezd2ev_defglobalzb0zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4391z00zz__evaluate_typesz00,
		BgL_bgl_string4391za700za7za7_4805za7, "object->struct::struct", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_appzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4806za7,
		BGl_z62z52allocatezd2ev_appze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4393z00zz__evaluate_typesz00,
		BgL_bgl_string4393za700za7za7_4807za7, "struct+object->object::object", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_andzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_and4808z00,
		BGl_z62makezd2ev_andzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_abszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_abs4809z00,
		BGl_z62makezd2ev_abszb0zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_hookzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_hookza7d2nil4810z00,
		BGl_z62ev_hookzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_setglobalzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_set4811z00,
		BGl_z62makezd2ev_setglobalzb0zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_trapzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4812za7,
		BGl_z62z52allocatezd2ev_trapze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4390z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4813za7,
		BGl_z62objectzd2ze3structzd2ev_ab2799z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_prog2zd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_pro4814z00,
		BGl_z62makezd2ev_prog2zb0zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4392z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4815z00,
		BGl_z62structzb2objectzd2ze3objec2801ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2varszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2v4816z00,
		BGl_z62ev_binderzd2varszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4394z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4817za7,
		BGl_z62objectzd2ze3structzd2ev_ap2803z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_gotozf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7f3za7914818za7,
		BGl_z62ev_gotozf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4395z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4819z00,
		BGl_z62structzb2objectzd2ze3objec2805ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4396z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4820za7,
		BGl_z62objectzd2ze3structzd2ev_go2807z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4397z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4821z00,
		BGl_z62structzb2objectzd2ze3objec2809ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4398z00zz__evaluate_typesz00,
		BgL_bgl_za762objectza7d2za7e3s4822za7,
		BGl_z62objectzd2ze3structzd2ev_la2811z81zz__evaluate_typesz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4399z00zz__evaluate_typesz00,
		BgL_bgl_za762structza7b2obje4823z00,
		BGl_z62structzb2objectzd2ze3objec2813ze1zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_binderzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_bin4824z00,
		BGl_z62makezd2ev_binderzb0zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2pzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7d2pza7b0za74825z00,
		BGl_z62ev_ifzd2pzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_listzd2argszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_listza7d2arg4826z00,
		BGl_z62ev_listzd2argszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_littzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4827za7,
		BGl_z62z52allocatezd2ev_littze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_withzd2handlerz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_wit4828z00,
		BGl_z62fillzd2ev_withzd2handlerz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2bodyzd2setz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762ev_withza7d2han4829z00,
		BGl_z62ev_withzd2handlerzd2bodyzd2setz12za2zz__evaluate_typesz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_hookzd2ezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_hookza7d2eza7b4830za7,
		BGl_z62ev_hookzd2ezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_gotozd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2nil4831z00,
		BGl_z62ev_gotozd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2arityzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2arit4832z00,
		BGl_z62ev_abszd2arityzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2handlerzd2setz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762ev_withza7d2han4833z00,
		BGl_z62ev_withzd2handlerzd2handlerzd2setz12za2zz__evaluate_typesz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_bindzd2exitzd2envz80zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4834za7,
		BGl_z62z52allocatezd2ev_bindzd2exitz30zz__evaluate_typesz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2varszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2v4835z00,
		BGl_z62ev_labelszd2varszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2modzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74836z00,
		BGl_z62ev_setglobalzd2modzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_setlocalzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_setlocalza7f4837z00,
		BGl_z62ev_setlocalzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_orzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4838za7,
		BGl_z62z52allocatezd2ev_orze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_withzd2handlerzd2envz80zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4839za7,
		BGl_z62z52allocatezd2ev_withzd2handlerz30zz__evaluate_typesz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_globalzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7d2n4840z00,
		BGl_z62ev_globalzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_abszd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2nilza74841za7,
		BGl_z62ev_abszd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_letreczd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_letrecza7d2n4842z00,
		BGl_z62ev_letreczd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2valszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7d2v4843z00,
		BGl_z62ev_binderzd2valszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2valszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2v4844z00,
		BGl_z62ev_labelszd2valszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_letza2zd2boxeszd2envza2zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7a2za7d2b4845za7,
		BGl_z62ev_letza2zd2boxesz12zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_andzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4846za7,
		BGl_z62z52allocatezd2ev_andze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_abszd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4847za7,
		BGl_z62z52allocatezd2ev_absze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_littzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_littza7d2nil4848z00,
		BGl_z62ev_littzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_orzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_orza7d2nilza7b4849za7,
		BGl_z62ev_orzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2namezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7d2n4850z00,
		BGl_z62ev_globalzd2namezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_varzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_varza7d2nilza74851za7,
		BGl_z62ev_varzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_varzd2effzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_varza7d2effza74852za7,
		BGl_z62ev_varzd2effzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_trapz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_tra4853z00,
		BGl_z62fillzd2ev_trapz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_letreczd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4854za7,
		BGl_z62z52allocatezd2ev_letrecze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_bindzd2exitz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_bin4855z00,
		BGl_z62fillzd2ev_bindzd2exitz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_exprzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_exprza7f3za7914856za7,
		BGl_z62ev_exprzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_littzd2valuezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_littza7d2val4857z00,
		BGl_z62ev_littzd2valuezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_binderz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_bin4858z00,
		BGl_z62fillzd2ev_binderz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_letza2zf3zd2envz83zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7a2za7f3za74859z00,
		BGl_z62ev_letza2zf3z33zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_listz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_lis4860z00,
		BGl_z62fillzd2ev_listz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2ezd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_unwindza7d2p4861z00,
		BGl_z62ev_unwindzd2protectzd2ez62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_unwindzd2protectz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_unw4862z00,
		BGl_z62fillzd2ev_unwindzd2protectz12z70zz__evaluate_typesz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2bodyzd2setz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762ev_bindza7d2exi4863z00,
		BGl_z62ev_bindzd2exitzd2bodyzd2setz12za2zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2namezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74864z00,
		BGl_z62ev_setglobalzd2namezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzd2effzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_varza7d2effza74865za7,
		BGl_z62ev_varzd2effzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2bodyzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2body4866z00,
		BGl_z62ev_abszd2bodyzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_andzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_andza7f3za791za74867z00,
		BGl_z62ev_andzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_littzd2valuezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_littza7d2val4868z00,
		BGl_z62ev_littzd2valuezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_setlocalz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_set4869z00,
		BGl_z62fillzd2ev_setlocalz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_defglobalzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_defglobalza74870z00,
		BGl_z62ev_defglobalzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_gotozd2labelszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_gotoza7d2lab4871z00,
		BGl_z62ev_gotozd2labelszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_binderzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_binderza7f3za74872za7,
		BGl_z62ev_binderzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2nilzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_unwindza7d2p4873z00,
		BGl_z62ev_unwindzd2protectzd2nilz62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2varszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2v4874z00,
		BGl_z62ev_labelszd2varszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzd2namezd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_varza7d2name4875z00,
		BGl_z62ev_varzd2namezb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2siza7ezd2envza7zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2siza7a4876za7,
		BGl_z62ev_abszd2siza7ez17zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzf3zd2envzf3zz__evaluate_typesz00,
		BgL_bgl_za762ev_unwindza7d2p4877z00,
		BGl_z62ev_unwindzd2protectzf3z43zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_andz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_and4878z00,
		BGl_z62fillzd2ev_andz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_prog2zf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_prog2za7f3za794879za7,
		BGl_z62ev_prog2zf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_binderzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4880za7,
		BGl_z62z52allocatezd2ev_binderze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2ev_orzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_orza74881za7,
		BGl_z62makezd2ev_orzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_unwindzd2protectzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_unw4882z00,
		BGl_z62makezd2ev_unwindzd2protectz62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_appzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2nilza74883za7,
		BGl_z62ev_appzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_setglobalz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_set4884z00,
		BGl_z62fillzd2ev_setglobalz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2bodyzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_unwindza7d2p4885z00,
		BGl_z62ev_unwindzd2protectzd2bodyz62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_letza2zd2nilzd2envza2zz__evaluate_typesz00,
		BgL_bgl_za762ev_letza7a2za7d2n4886za7,
		BGl_z62ev_letza2zd2nilz12zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_labelszd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2n4887z00,
		BGl_z62ev_labelszd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_prog2zd2e1zd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_prog2za7d2e14888z00,
		BGl_z62ev_prog2zd2e1zd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_listzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_lis4889z00,
		BGl_z62makezd2ev_listzb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_ifzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_ifza7f3za791za7za74890za7,
		BGl_z62ev_ifzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2ezd2setz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762ev_unwindza7d2p4891z00,
		BGl_z62ev_unwindzd2protectzd2ezd2setz12za2zz__evaluate_typesz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_abszf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7f3za791za74892z00,
		BGl_z62ev_abszf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2argszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2args4893z00,
		BGl_z62ev_appzd2argszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_hookzd2ezd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_hookza7d2eza7d4894za7,
		BGl_z62ev_hookzd2ezd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_orzf3zd2envz21zz__evaluate_typesz00,
		BgL_bgl_za762ev_orza7f3za791za7za74895za7,
		BGl_z62ev_orzf3z91zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2boxeszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2boxe4896z00,
		BGl_z62ev_abszd2boxeszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_hookz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_hoo4897z00,
		BGl_z62fillzd2ev_hookz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzf3zd2envzf3zz__evaluate_typesz00,
		BgL_bgl_za762ev_withza7d2han4898z00,
		BGl_z62ev_withzd2handlerzf3z43zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ev_trapzd2nilzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_trapza7d2nil4899z00,
		BGl_z62ev_trapzd2nilzb0zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2loczd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_setglobalza74900z00,
		BGl_z62ev_setglobalzd2loczb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_hookzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4901za7,
		BGl_z62z52allocatezd2ev_hookze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2funzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2funza74902za7,
		BGl_z62ev_appzd2funzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2varzd2setz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762ev_bindza7d2exi4903z00,
		BGl_z62ev_bindzd2exitzd2varzd2setz12za2zz__evaluate_typesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_defglobalz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_def4904z00,
		BGl_z62fillzd2ev_defglobalz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_defglobalzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4905za7,
		BGl_z62z52allocatezd2ev_defglobalze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2modzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_globalza7d2m4906z00,
		BGl_z62ev_globalzd2modzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2bindzd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_absza7d2bind4907z00,
		BGl_z62ev_abszd2bindzd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2boxeszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2b4908z00,
		BGl_z62ev_labelszd2boxeszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2boxeszd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2b4909z00,
		BGl_z62ev_labelszd2boxeszb0zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzf3zd2envzf3zz__evaluate_typesz00,
		BgL_bgl_za762ev_bindza7d2exi4910z00,
		BGl_z62ev_bindzd2exitzf3z43zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_absz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_abs4911z00,
		BGl_z62fillzd2ev_absz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 11);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_labelszd2valszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_labelsza7d2v4912z00,
		BGl_z62ev_labelszd2valszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2ev_littz12zd2envz12zz__evaluate_typesz00,
		BgL_bgl_za762fillza7d2ev_lit4913z00,
		BGl_z62fillzd2ev_littz12za2zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2handlerzd2envzd2zz__evaluate_typesz00,
		BgL_bgl_za762ev_withza7d2han4914z00,
		BGl_z62ev_withzd2handlerzd2handlerz62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_setglobalzd2envz52zz__evaluate_typesz00,
		BgL_bgl_za762za752allocateza7d4915za7,
		BGl_z62z52allocatezd2ev_setglobalze2zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2argszd2setz12zd2envzc0zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2args4916z00,
		BGl_z62ev_appzd2argszd2setz12z70zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2tailzf3zd2envzf3zz__evaluate_typesz00,
		BgL_bgl_za762ev_appza7d2tail4917z00,
		BGl_z62ev_appzd2tailzf3z43zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_letza2zd2envza2zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_let4918z00,
		BGl_z62makezd2ev_letza2z12zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2ev_setlocalzd2envz00zz__evaluate_typesz00,
		BgL_bgl_za762makeza7d2ev_set4919z00,
		BGl_z62makezd2ev_setlocalzb0zz__evaluate_typesz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_7012, char *BgL_fromz00_7013)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					BGl_methodzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol4130z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4131z00zz__evaluate_typesz00);
			BGl_symbol4132z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4133z00zz__evaluate_typesz00);
			BGl_symbol4134z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4135z00zz__evaluate_typesz00);
			BGl_symbol4136z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4137z00zz__evaluate_typesz00);
			BGl_symbol4138z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4139z00zz__evaluate_typesz00);
			BGl_symbol4140z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4141z00zz__evaluate_typesz00);
			BGl_symbol4142z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4143z00zz__evaluate_typesz00);
			BGl_symbol4144z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4145z00zz__evaluate_typesz00);
			BGl_symbol4146z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4147z00zz__evaluate_typesz00);
			BGl_symbol4148z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4149z00zz__evaluate_typesz00);
			BGl_symbol4150z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4151z00zz__evaluate_typesz00);
			BGl_symbol4152z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4153z00zz__evaluate_typesz00);
			BGl_symbol4154z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4155z00zz__evaluate_typesz00);
			BGl_symbol4156z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4157z00zz__evaluate_typesz00);
			BGl_symbol4158z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4159z00zz__evaluate_typesz00);
			BGl_symbol4160z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4161z00zz__evaluate_typesz00);
			BGl_symbol4162z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4163z00zz__evaluate_typesz00);
			BGl_symbol4164z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4165z00zz__evaluate_typesz00);
			BGl_symbol4166z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4167z00zz__evaluate_typesz00);
			BGl_symbol4168z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4169z00zz__evaluate_typesz00);
			BGl_symbol4170z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4171z00zz__evaluate_typesz00);
			BGl_symbol4172z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4173z00zz__evaluate_typesz00);
			BGl_symbol4174z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4175z00zz__evaluate_typesz00);
			BGl_symbol4176z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4177z00zz__evaluate_typesz00);
			BGl_symbol4178z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4179z00zz__evaluate_typesz00);
			BGl_symbol4180z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4181z00zz__evaluate_typesz00);
			BGl_symbol4182z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4183z00zz__evaluate_typesz00);
			BGl_symbol4184z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4185z00zz__evaluate_typesz00);
			BGl_symbol4186z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4187z00zz__evaluate_typesz00);
			BGl_symbol4188z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4189z00zz__evaluate_typesz00);
			BGl_symbol4190z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4191z00zz__evaluate_typesz00);
			BGl_symbol4192z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4193z00zz__evaluate_typesz00);
			BGl_symbol4194z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4195z00zz__evaluate_typesz00);
			BGl_symbol4196z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4197z00zz__evaluate_typesz00);
			BGl_symbol4198z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4199z00zz__evaluate_typesz00);
			BGl_symbol4200z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4201z00zz__evaluate_typesz00);
			BGl_symbol4203z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4204z00zz__evaluate_typesz00);
			BGl_list4202z00zz__evaluate_typesz00 =
				MAKE_PAIR(BGl_symbol4203z00zz__evaluate_typesz00,
				MAKE_PAIR(BNIL, BNIL));
			BGl_symbol4205z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4206z00zz__evaluate_typesz00);
			BGl_symbol4207z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4208z00zz__evaluate_typesz00);
			BGl_symbol4209z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4210z00zz__evaluate_typesz00);
			BGl_symbol4211z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4212z00zz__evaluate_typesz00);
			BGl_symbol4213z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4214z00zz__evaluate_typesz00);
			BGl_symbol4215z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4216z00zz__evaluate_typesz00);
			BGl_symbol4217z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4218z00zz__evaluate_typesz00);
			BGl_symbol4219z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4220z00zz__evaluate_typesz00);
			BGl_symbol4221z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4222z00zz__evaluate_typesz00);
			BGl_symbol4223z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4224z00zz__evaluate_typesz00);
			BGl_symbol4225z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4226z00zz__evaluate_typesz00);
			BGl_symbol4227z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4228z00zz__evaluate_typesz00);
			BGl_symbol4229z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4230z00zz__evaluate_typesz00);
			BGl_symbol4231z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4232z00zz__evaluate_typesz00);
			BGl_symbol4233z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4234z00zz__evaluate_typesz00);
			BGl_symbol4235z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4236z00zz__evaluate_typesz00);
			BGl_symbol4237z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4238z00zz__evaluate_typesz00);
			BGl_symbol4239z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4240z00zz__evaluate_typesz00);
			BGl_symbol4241z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4242z00zz__evaluate_typesz00);
			return (BGl_symbol4335z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string4336z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 50 */
				obj_t BgL_arg2937z00_1226;

				{	/* Eval/evaluate_types.scm 50 */
					obj_t BgL_v2762z00_1228;

					BgL_v2762z00_1228 = create_vector((int) (((long) 0)));
					BgL_arg2937z00_1226 = BgL_v2762z00_1228;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4130z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((bool_t) 0), BGl_makezd2ev_exprzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_exprzd2envz52zz__evaluate_typesz00,
					BGl_ev_exprzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_exprzf3zd2envz21zz__evaluate_typesz00, ((long) 480958271),
					BNIL, BFALSE, BgL_arg2937z00_1226);
			}
			{	/* Eval/evaluate_types.scm 52 */
				obj_t BgL_arg2939z00_1229;
				obj_t BgL_arg2940z00_1230;

				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_arg2941z00_1231;
					obj_t BgL_arg2942z00_1232;

					{	/* Eval/evaluate_types.scm 52 */
						obj_t BgL_arg2945z00_1235;

						BgL_arg2945z00_1235 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2941z00_1231 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4132z00zz__evaluate_typesz00,
							BGl_ev_varzd2namezd2envz00zz__evaluate_typesz00,
							BGl_ev_varzd2namezd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2945z00_1235);
					}
					BgL_arg2942z00_1232 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4134z00zz__evaluate_typesz00,
						BGl_ev_varzd2effzd2envz00zz__evaluate_typesz00,
						BGl_ev_varzd2effzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BFALSE);
					{	/* Eval/evaluate_types.scm 52 */
						obj_t BgL_list2943z00_1233;

						{	/* Eval/evaluate_types.scm 52 */
							obj_t BgL_arg2944z00_1234;

							BgL_arg2944z00_1234 = MAKE_PAIR(BgL_arg2942z00_1232, BNIL);
							BgL_list2943z00_1233 =
								MAKE_PAIR(BgL_arg2941z00_1231, BgL_arg2944z00_1234);
						}
						BgL_arg2939z00_1229 = BgL_list2943z00_1233;
				}}
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_v2763z00_1236;

					BgL_v2763z00_1236 = create_vector((int) (((long) 0)));
					BgL_arg2940z00_1230 = BgL_v2763z00_1236;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4136z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_varzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_varzd2envz52zz__evaluate_typesz00,
					BGl_ev_varzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_varzf3zd2envz21zz__evaluate_typesz00, ((long) 337323919),
					BgL_arg2939z00_1229, BFALSE, BgL_arg2940z00_1230);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg2946z00_1237;
				obj_t BgL_arg2947z00_1238;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_arg2948z00_1239;
					obj_t BgL_arg2949z00_1240;
					obj_t BgL_arg2950z00_1241;

					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_arg2954z00_1245;

						BgL_arg2954z00_1245 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2948z00_1239 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4138z00zz__evaluate_typesz00,
							BGl_ev_globalzd2loczd2envz00zz__evaluate_typesz00, BUNSPEC,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg2954z00_1245);
					}
					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_arg2955z00_1246;

						BgL_arg2955z00_1246 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2949z00_1240 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4132z00zz__evaluate_typesz00,
							BGl_ev_globalzd2namezd2envz00zz__evaluate_typesz00,
							BGl_ev_globalzd2namezd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg2955z00_1246);
					}
					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_arg2956z00_1247;

						BgL_arg2956z00_1247 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2950z00_1241 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4140z00zz__evaluate_typesz00,
							BGl_ev_globalzd2modzd2envz00zz__evaluate_typesz00,
							BGl_ev_globalzd2modzd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg2956z00_1247);
					}
					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_list2951z00_1242;

						{	/* Eval/evaluate_types.scm 55 */
							obj_t BgL_arg2952z00_1243;

							{	/* Eval/evaluate_types.scm 55 */
								obj_t BgL_arg2953z00_1244;

								BgL_arg2953z00_1244 = MAKE_PAIR(BgL_arg2950z00_1241, BNIL);
								BgL_arg2952z00_1243 =
									MAKE_PAIR(BgL_arg2949z00_1240, BgL_arg2953z00_1244);
							}
							BgL_list2951z00_1242 =
								MAKE_PAIR(BgL_arg2948z00_1239, BgL_arg2952z00_1243);
						}
						BgL_arg2946z00_1237 = BgL_list2951z00_1242;
				}}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v2764z00_1248;

					BgL_v2764z00_1248 = create_vector((int) (((long) 0)));
					BgL_arg2947z00_1238 = BgL_v2764z00_1248;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4142z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_globalzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_globalzd2envz52zz__evaluate_typesz00,
					BGl_ev_globalzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_globalzf3zd2envz21zz__evaluate_typesz00, ((long) 353902850),
					BgL_arg2946z00_1237, BFALSE, BgL_arg2947z00_1238);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg2957z00_1249;
				obj_t BgL_arg2958z00_1250;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_arg2959z00_1251;

					{	/* Eval/evaluate_types.scm 60 */
						obj_t BgL_arg2961z00_1253;

						BgL_arg2961z00_1253 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2959z00_1251 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4144z00zz__evaluate_typesz00,
							BGl_ev_littzd2valuezd2envz00zz__evaluate_typesz00,
							BGl_ev_littzd2valuezd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg2961z00_1253);
					}
					{	/* Eval/evaluate_types.scm 60 */
						obj_t BgL_list2960z00_1252;

						BgL_list2960z00_1252 = MAKE_PAIR(BgL_arg2959z00_1251, BNIL);
						BgL_arg2957z00_1249 = BgL_list2960z00_1252;
				}}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v2765z00_1254;

					BgL_v2765z00_1254 = create_vector((int) (((long) 0)));
					BgL_arg2958z00_1250 = BgL_v2765z00_1254;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4146z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_littzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_littzd2envz52zz__evaluate_typesz00,
					BGl_ev_littzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_littzf3zd2envz21zz__evaluate_typesz00, ((long) 203635166),
					BgL_arg2957z00_1249, BFALSE, BgL_arg2958z00_1250);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg2962z00_1255;
				obj_t BgL_arg2963z00_1256;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_arg2964z00_1257;
					obj_t BgL_arg2965z00_1258;
					obj_t BgL_arg2966z00_1259;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_arg2970z00_1263;

						BgL_arg2970z00_1263 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2964z00_1257 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4148z00zz__evaluate_typesz00,
							BGl_ev_ifzd2pzd2envz00zz__evaluate_typesz00,
							BGl_ev_ifzd2pzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2970z00_1263);
					}
					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_arg2972z00_1264;

						BgL_arg2972z00_1264 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2965z00_1258 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4150z00zz__evaluate_typesz00,
							BGl_ev_ifzd2tzd2envz00zz__evaluate_typesz00,
							BGl_ev_ifzd2tzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2972z00_1264);
					}
					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_arg2973z00_1265;

						BgL_arg2973z00_1265 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2966z00_1259 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4152z00zz__evaluate_typesz00,
							BGl_ev_ifzd2ezd2envz00zz__evaluate_typesz00,
							BGl_ev_ifzd2ezd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2973z00_1265);
					}
					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_list2967z00_1260;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_arg2968z00_1261;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_arg2969z00_1262;

								BgL_arg2969z00_1262 = MAKE_PAIR(BgL_arg2966z00_1259, BNIL);
								BgL_arg2968z00_1261 =
									MAKE_PAIR(BgL_arg2965z00_1258, BgL_arg2969z00_1262);
							}
							BgL_list2967z00_1260 =
								MAKE_PAIR(BgL_arg2964z00_1257, BgL_arg2968z00_1261);
						}
						BgL_arg2962z00_1255 = BgL_list2967z00_1260;
				}}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v2766z00_1266;

					BgL_v2766z00_1266 = create_vector((int) (((long) 0)));
					BgL_arg2963z00_1256 = BgL_v2766z00_1266;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4154z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_ifzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_ifzd2envz52zz__evaluate_typesz00,
					BGl_ev_ifzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_ifzf3zd2envz21zz__evaluate_typesz00, ((long) 246410259),
					BgL_arg2962z00_1255, BFALSE, BgL_arg2963z00_1256);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg2974z00_1267;
				obj_t BgL_arg2975z00_1268;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_arg2976z00_1269;

					{	/* Eval/evaluate_types.scm 66 */
						obj_t BgL_arg2978z00_1271;

						BgL_arg2978z00_1271 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2976z00_1269 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4156z00zz__evaluate_typesz00,
							BGl_ev_listzd2argszd2envz00zz__evaluate_typesz00,
							BGl_ev_listzd2argszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg2978z00_1271);
					}
					{	/* Eval/evaluate_types.scm 66 */
						obj_t BgL_list2977z00_1270;

						BgL_list2977z00_1270 = MAKE_PAIR(BgL_arg2976z00_1269, BNIL);
						BgL_arg2974z00_1267 = BgL_list2977z00_1270;
				}}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v2767z00_1272;

					BgL_v2767z00_1272 = create_vector((int) (((long) 0)));
					BgL_arg2975z00_1268 = BgL_v2767z00_1272;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4158z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_listzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_listzd2envz52zz__evaluate_typesz00,
					BGl_ev_listzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_listzf3zd2envz21zz__evaluate_typesz00, ((long) 3824783),
					BgL_arg2974z00_1267, BFALSE, BgL_arg2975z00_1268);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg2980z00_1274;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v2768z00_1276;

					BgL_v2768z00_1276 = create_vector((int) (((long) 0)));
					BgL_arg2980z00_1274 = BgL_v2768z00_1276;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4160z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_orzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_orzd2envz52zz__evaluate_typesz00,
					BGl_ev_orzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_orzf3zd2envz21zz__evaluate_typesz00, ((long) 258278049), BNIL,
					BFALSE, BgL_arg2980z00_1274);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg2983z00_1278;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v2769z00_1280;

					BgL_v2769z00_1280 = create_vector((int) (((long) 0)));
					BgL_arg2983z00_1278 = BgL_v2769z00_1280;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4162z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_andzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_andzd2envz52zz__evaluate_typesz00,
					BGl_ev_andzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_andzf3zd2envz21zz__evaluate_typesz00, ((long) 470096627), BNIL,
					BFALSE, BgL_arg2983z00_1278);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg2985z00_1281;
				obj_t BgL_arg2986z00_1282;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_arg2987z00_1283;
					obj_t BgL_arg2988z00_1284;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_arg2991z00_1287;

						BgL_arg2991z00_1287 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2987z00_1283 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4164z00zz__evaluate_typesz00,
							BGl_ev_prog2zd2e1zd2envz00zz__evaluate_typesz00,
							BGl_ev_prog2zd2e1zd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2991z00_1287);
					}
					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_arg2992z00_1288;

						BgL_arg2992z00_1288 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2988z00_1284 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4166z00zz__evaluate_typesz00,
							BGl_ev_prog2zd2e2zd2envz00zz__evaluate_typesz00,
							BGl_ev_prog2zd2e2zd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2992z00_1288);
					}
					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_list2989z00_1285;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_arg2990z00_1286;

							BgL_arg2990z00_1286 = MAKE_PAIR(BgL_arg2988z00_1284, BNIL);
							BgL_list2989z00_1285 =
								MAKE_PAIR(BgL_arg2987z00_1283, BgL_arg2990z00_1286);
						}
						BgL_arg2985z00_1281 = BgL_list2989z00_1285;
				}}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v2770z00_1289;

					BgL_v2770z00_1289 = create_vector((int) (((long) 0)));
					BgL_arg2986z00_1282 = BgL_v2770z00_1289;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4168z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_prog2zd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_prog2zd2envz52zz__evaluate_typesz00,
					BGl_ev_prog2zd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_prog2zf3zd2envz21zz__evaluate_typesz00, ((long) 383249961),
					BgL_arg2985z00_1281, BFALSE, BgL_arg2986z00_1282);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg2993z00_1290;
				obj_t BgL_arg2994z00_1291;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_arg2995z00_1292;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_arg2997z00_1294;

						BgL_arg2997z00_1294 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg2995z00_1292 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4152z00zz__evaluate_typesz00,
							BGl_ev_hookzd2ezd2envz00zz__evaluate_typesz00,
							BGl_ev_hookzd2ezd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg2997z00_1294);
					}
					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_list2996z00_1293;

						BgL_list2996z00_1293 = MAKE_PAIR(BgL_arg2995z00_1292, BNIL);
						BgL_arg2993z00_1290 = BgL_list2996z00_1293;
				}}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v2771z00_1295;

					BgL_v2771z00_1295 = create_vector((int) (((long) 0)));
					BgL_arg2994z00_1291 = BgL_v2771z00_1295;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4170z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_hookzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_hookzd2envz52zz__evaluate_typesz00,
					BGl_ev_hookzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_hookzf3zd2envz21zz__evaluate_typesz00, ((long) 223110569),
					BgL_arg2993z00_1290, BFALSE, BgL_arg2994z00_1291);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg2999z00_1297;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v2772z00_1299;

					BgL_v2772z00_1299 = create_vector((int) (((long) 0)));
					BgL_arg2999z00_1297 = BgL_v2772z00_1299;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4172z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_trapzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_trapzd2envz52zz__evaluate_typesz00,
					BGl_ev_trapzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_trapzf3zd2envz21zz__evaluate_typesz00, ((long) 481490295),
					BNIL, BFALSE, BgL_arg2999z00_1297);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg3001z00_1300;
				obj_t BgL_arg3002z00_1301;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_arg3003z00_1302;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_arg3005z00_1304;

						BgL_arg3005z00_1304 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3003z00_1302 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4174z00zz__evaluate_typesz00,
							BGl_ev_setlocalzd2vzd2envz00zz__evaluate_typesz00,
							BGl_ev_setlocalzd2vzd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3005z00_1304);
					}
					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_list3004z00_1303;

						BgL_list3004z00_1303 = MAKE_PAIR(BgL_arg3003z00_1302, BNIL);
						BgL_arg3001z00_1300 = BgL_list3004z00_1303;
				}}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v2773z00_1305;

					BgL_v2773z00_1305 = create_vector((int) (((long) 0)));
					BgL_arg3002z00_1301 = BgL_v2773z00_1305;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4176z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_setlocalzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_setlocalzd2envz52zz__evaluate_typesz00,
					BGl_ev_setlocalzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_setlocalzf3zd2envz21zz__evaluate_typesz00, ((long) 435489380),
					BgL_arg3001z00_1300, BFALSE, BgL_arg3002z00_1301);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg3006z00_1306;
				obj_t BgL_arg3007z00_1307;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_arg3008z00_1308;
					obj_t BgL_arg3009z00_1309;
					obj_t BgL_arg3010z00_1310;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_arg3014z00_1314;

						BgL_arg3014z00_1314 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3008z00_1308 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4138z00zz__evaluate_typesz00,
							BGl_ev_setglobalzd2loczd2envz00zz__evaluate_typesz00, BUNSPEC,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3014z00_1314);
					}
					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_arg3015z00_1315;

						BgL_arg3015z00_1315 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3009z00_1309 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4132z00zz__evaluate_typesz00,
							BGl_ev_setglobalzd2namezd2envz00zz__evaluate_typesz00,
							BGl_ev_setglobalzd2namezd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3015z00_1315);
					}
					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_arg3016z00_1316;

						BgL_arg3016z00_1316 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3010z00_1310 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4140z00zz__evaluate_typesz00,
							BGl_ev_setglobalzd2modzd2envz00zz__evaluate_typesz00,
							BGl_ev_setglobalzd2modzd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3016z00_1316);
					}
					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_list3011z00_1311;

						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL_arg3012z00_1312;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_arg3013z00_1313;

								BgL_arg3013z00_1313 = MAKE_PAIR(BgL_arg3010z00_1310, BNIL);
								BgL_arg3012z00_1312 =
									MAKE_PAIR(BgL_arg3009z00_1309, BgL_arg3013z00_1313);
							}
							BgL_list3011z00_1311 =
								MAKE_PAIR(BgL_arg3008z00_1308, BgL_arg3012z00_1312);
						}
						BgL_arg3006z00_1306 = BgL_list3011z00_1311;
				}}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v2774z00_1317;

					BgL_v2774z00_1317 = create_vector((int) (((long) 0)));
					BgL_arg3007z00_1307 = BgL_v2774z00_1317;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4178z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_setglobalzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_setglobalzd2envz52zz__evaluate_typesz00,
					BGl_ev_setglobalzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_setglobalzf3zd2envz21zz__evaluate_typesz00, ((long) 119775950),
					BgL_arg3006z00_1306, BFALSE, BgL_arg3007z00_1307);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg3018z00_1319;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v2775z00_1321;

					BgL_v2775z00_1321 = create_vector((int) (((long) 0)));
					BgL_arg3018z00_1319 = BgL_v2775z00_1321;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4180z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_defglobalzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_defglobalzd2envz52zz__evaluate_typesz00,
					BGl_ev_defglobalzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_defglobalzf3zd2envz21zz__evaluate_typesz00, ((long) 465277984),
					BNIL, BFALSE, BgL_arg3018z00_1319);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg3020z00_1322;
				obj_t BgL_arg3021z00_1323;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_arg3022z00_1324;
					obj_t BgL_arg3023z00_1325;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_arg3026z00_1328;

						BgL_arg3026z00_1328 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3022z00_1324 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4182z00zz__evaluate_typesz00,
							BGl_ev_bindzd2exitzd2varzd2envzd2zz__evaluate_typesz00,
							BGl_ev_bindzd2exitzd2varzd2setz12zd2envz12zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3026z00_1328);
					}
					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_arg3027z00_1329;

						BgL_arg3027z00_1329 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3023z00_1325 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4184z00zz__evaluate_typesz00,
							BGl_ev_bindzd2exitzd2bodyzd2envzd2zz__evaluate_typesz00,
							BGl_ev_bindzd2exitzd2bodyzd2setz12zd2envz12zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3027z00_1329);
					}
					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_list3024z00_1326;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_arg3025z00_1327;

							BgL_arg3025z00_1327 = MAKE_PAIR(BgL_arg3023z00_1325, BNIL);
							BgL_list3024z00_1326 =
								MAKE_PAIR(BgL_arg3022z00_1324, BgL_arg3025z00_1327);
						}
						BgL_arg3020z00_1322 = BgL_list3024z00_1326;
				}}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v2776z00_1330;

					BgL_v2776z00_1330 = create_vector((int) (((long) 0)));
					BgL_arg3021z00_1323 = BgL_v2776z00_1330;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4186z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_bindzd2exitzd2envzd2zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_bindzd2exitzd2envz80zz__evaluate_typesz00,
					BGl_ev_bindzd2exitzd2nilzd2envzd2zz__evaluate_typesz00,
					BGl_ev_bindzd2exitzf3zd2envzf3zz__evaluate_typesz00,
					((long) 426685987), BgL_arg3020z00_1322, BFALSE, BgL_arg3021z00_1323);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg3028z00_1331;
				obj_t BgL_arg3029z00_1332;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_arg3030z00_1333;
					obj_t BgL_arg3031z00_1334;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_arg3034z00_1337;

						BgL_arg3034z00_1337 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3030z00_1333 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4152z00zz__evaluate_typesz00,
							BGl_ev_unwindzd2protectzd2ezd2envzd2zz__evaluate_typesz00,
							BGl_ev_unwindzd2protectzd2ezd2setz12zd2envz12zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3034z00_1337);
					}
					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_arg3035z00_1338;

						BgL_arg3035z00_1338 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3031z00_1334 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4184z00zz__evaluate_typesz00,
							BGl_ev_unwindzd2protectzd2bodyzd2envzd2zz__evaluate_typesz00,
							BGl_ev_unwindzd2protectzd2bodyzd2setz12zd2envz12zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3035z00_1338);
					}
					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_list3032z00_1335;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_arg3033z00_1336;

							BgL_arg3033z00_1336 = MAKE_PAIR(BgL_arg3031z00_1334, BNIL);
							BgL_list3032z00_1335 =
								MAKE_PAIR(BgL_arg3030z00_1333, BgL_arg3033z00_1336);
						}
						BgL_arg3028z00_1331 = BgL_list3032z00_1335;
				}}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v2777z00_1339;

					BgL_v2777z00_1339 = create_vector((int) (((long) 0)));
					BgL_arg3029z00_1332 = BgL_v2777z00_1339;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4188z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_unwindzd2protectzd2envzd2zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_unwindzd2protectzd2envz80zz__evaluate_typesz00,
					BGl_ev_unwindzd2protectzd2nilzd2envzd2zz__evaluate_typesz00,
					BGl_ev_unwindzd2protectzf3zd2envzf3zz__evaluate_typesz00,
					((long) 423473114), BgL_arg3028z00_1331, BFALSE, BgL_arg3029z00_1332);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg3036z00_1340;
				obj_t BgL_arg3037z00_1341;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_arg3038z00_1342;
					obj_t BgL_arg3039z00_1343;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_arg3042z00_1346;

						BgL_arg3042z00_1346 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3038z00_1342 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4190z00zz__evaluate_typesz00,
							BGl_ev_withzd2handlerzd2handlerzd2envzd2zz__evaluate_typesz00,
							BGl_ev_withzd2handlerzd2handlerzd2setz12zd2envz12zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3042z00_1346);
					}
					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_arg3043z00_1347;

						BgL_arg3043z00_1347 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3039z00_1343 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4184z00zz__evaluate_typesz00,
							BGl_ev_withzd2handlerzd2bodyzd2envzd2zz__evaluate_typesz00,
							BGl_ev_withzd2handlerzd2bodyzd2setz12zd2envz12zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3043z00_1347);
					}
					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_list3040z00_1344;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_arg3041z00_1345;

							BgL_arg3041z00_1345 = MAKE_PAIR(BgL_arg3039z00_1343, BNIL);
							BgL_list3040z00_1344 =
								MAKE_PAIR(BgL_arg3038z00_1342, BgL_arg3041z00_1345);
						}
						BgL_arg3036z00_1340 = BgL_list3040z00_1344;
				}}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v2778z00_1348;

					BgL_v2778z00_1348 = create_vector((int) (((long) 0)));
					BgL_arg3037z00_1341 = BgL_v2778z00_1348;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4192z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_withzd2handlerzd2envzd2zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_withzd2handlerzd2envz80zz__evaluate_typesz00,
					BGl_ev_withzd2handlerzd2nilzd2envzd2zz__evaluate_typesz00,
					BGl_ev_withzd2handlerzf3zd2envzf3zz__evaluate_typesz00,
					((long) 135779639), BgL_arg3036z00_1340, BFALSE, BgL_arg3037z00_1341);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg3044z00_1349;
				obj_t BgL_arg3045z00_1350;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_arg3046z00_1351;
					obj_t BgL_arg3047z00_1352;
					obj_t BgL_arg3048z00_1353;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_arg3052z00_1357;

						BgL_arg3052z00_1357 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3046z00_1351 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4194z00zz__evaluate_typesz00,
							BGl_ev_binderzd2varszd2envz00zz__evaluate_typesz00,
							BGl_ev_binderzd2varszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3052z00_1357);
					}
					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_arg3053z00_1358;

						BgL_arg3053z00_1358 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3047z00_1352 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4196z00zz__evaluate_typesz00,
							BGl_ev_binderzd2valszd2envz00zz__evaluate_typesz00,
							BGl_ev_binderzd2valszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3053z00_1358);
					}
					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_arg3055z00_1359;

						BgL_arg3055z00_1359 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3048z00_1353 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4184z00zz__evaluate_typesz00,
							BGl_ev_binderzd2bodyzd2envz00zz__evaluate_typesz00,
							BGl_ev_binderzd2bodyzd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3055z00_1359);
					}
					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_list3049z00_1354;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_arg3050z00_1355;

							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL_arg3051z00_1356;

								BgL_arg3051z00_1356 = MAKE_PAIR(BgL_arg3048z00_1353, BNIL);
								BgL_arg3050z00_1355 =
									MAKE_PAIR(BgL_arg3047z00_1352, BgL_arg3051z00_1356);
							}
							BgL_list3049z00_1354 =
								MAKE_PAIR(BgL_arg3046z00_1351, BgL_arg3050z00_1355);
						}
						BgL_arg3044z00_1349 = BgL_list3049z00_1354;
				}}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v2779z00_1360;

					BgL_v2779z00_1360 = create_vector((int) (((long) 0)));
					BgL_arg3045z00_1350 = BgL_v2779z00_1360;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4198z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_binderzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_binderzd2envz52zz__evaluate_typesz00,
					BGl_ev_binderzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_binderzf3zd2envz21zz__evaluate_typesz00, ((long) 78879723),
					BgL_arg3044z00_1349, BFALSE, BgL_arg3045z00_1350);
			}
			{	/* Eval/evaluate_types.scm 96 */
				obj_t BgL_arg3057z00_1361;
				obj_t BgL_arg3058z00_1362;

				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_arg3059z00_1363;

					BgL_arg3059z00_1363 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4200z00zz__evaluate_typesz00,
						BGl_ev_letzd2boxeszd2envz00zz__evaluate_typesz00,
						BGl_ev_letzd2boxeszd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 96 */
						obj_t BgL_list3060z00_1364;

						BgL_list3060z00_1364 = MAKE_PAIR(BgL_arg3059z00_1363, BNIL);
						BgL_arg3057z00_1361 = BgL_list3060z00_1364;
				}}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v2780z00_1365;

					BgL_v2780z00_1365 = create_vector((int) (((long) 0)));
					BgL_arg3058z00_1362 = BgL_v2780z00_1365;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4205z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_letzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_letzd2envz52zz__evaluate_typesz00,
					BGl_ev_letzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_letzf3zd2envz21zz__evaluate_typesz00, ((long) 321782562),
					BgL_arg3057z00_1361, BFALSE, BgL_arg3058z00_1362);
			}
			{	/* Eval/evaluate_types.scm 98 */
				obj_t BgL_arg3061z00_1366;
				obj_t BgL_arg3062z00_1367;

				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_arg3063z00_1368;

					BgL_arg3063z00_1368 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4200z00zz__evaluate_typesz00,
						BGl_ev_letza2zd2boxeszd2envza2zz__evaluate_typesz00,
						BGl_ev_letza2zd2boxeszd2setz12zd2envz62zz__evaluate_typesz00,
						BUNSPEC, ((bool_t) 0), BFALSE,
						BGl_list4202z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 98 */
						obj_t BgL_list3064z00_1369;

						BgL_list3064z00_1369 = MAKE_PAIR(BgL_arg3063z00_1368, BNIL);
						BgL_arg3061z00_1366 = BgL_list3064z00_1369;
				}}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v2781z00_1370;

					BgL_v2781z00_1370 = create_vector((int) (((long) 0)));
					BgL_arg3062z00_1367 = BgL_v2781z00_1370;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4207z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_letza2zd2envza2zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_letza2zd2envzf0zz__evaluate_typesz00,
					BGl_ev_letza2zd2nilzd2envza2zz__evaluate_typesz00,
					BGl_ev_letza2zf3zd2envz83zz__evaluate_typesz00, ((long) 327489224),
					BgL_arg3061z00_1366, BFALSE, BgL_arg3062z00_1367);
			}
			{	/* Eval/evaluate_types.scm 100 */
				obj_t BgL_arg3066z00_1372;

				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v2782z00_1374;

					BgL_v2782z00_1374 = create_vector((int) (((long) 0)));
					BgL_arg3066z00_1372 = BgL_v2782z00_1374;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4209z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_letreczd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_letreczd2envz52zz__evaluate_typesz00,
					BGl_ev_letreczd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_letreczf3zd2envz21zz__evaluate_typesz00, ((long) 29108351),
					BNIL, BFALSE, BgL_arg3066z00_1372);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg3068z00_1375;
				obj_t BgL_arg3069z00_1376;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_arg3070z00_1377;
					obj_t BgL_arg3071z00_1378;
					obj_t BgL_arg3072z00_1379;
					obj_t BgL_arg3073z00_1380;
					obj_t BgL_arg3074z00_1381;
					obj_t BgL_arg3075z00_1382;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3082z00_1389;

						BgL_arg3082z00_1389 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3070z00_1377 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4194z00zz__evaluate_typesz00,
							BGl_ev_labelszd2varszd2envz00zz__evaluate_typesz00,
							BGl_ev_labelszd2varszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3082z00_1389);
					}
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3083z00_1390;

						BgL_arg3083z00_1390 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3071z00_1378 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4196z00zz__evaluate_typesz00,
							BGl_ev_labelszd2valszd2envz00zz__evaluate_typesz00,
							BGl_ev_labelszd2valszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3083z00_1390);
					}
					BgL_arg3072z00_1379 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4211z00zz__evaluate_typesz00,
						BGl_ev_labelszd2envzd2envz00zz__evaluate_typesz00,
						BGl_ev_labelszd2envzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					BgL_arg3073z00_1380 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4213z00zz__evaluate_typesz00,
						BGl_ev_labelszd2stkzd2envz00zz__evaluate_typesz00,
						BGl_ev_labelszd2stkzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3084z00_1391;

						BgL_arg3084z00_1391 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3074z00_1381 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4184z00zz__evaluate_typesz00,
							BGl_ev_labelszd2bodyzd2envz00zz__evaluate_typesz00,
							BGl_ev_labelszd2bodyzd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3084z00_1391);
					}
					BgL_arg3075z00_1382 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4200z00zz__evaluate_typesz00,
						BGl_ev_labelszd2boxeszd2envz00zz__evaluate_typesz00,
						BGl_ev_labelszd2boxeszd2setz12zd2envzc0zz__evaluate_typesz00,
						BUNSPEC, ((bool_t) 0), BFALSE,
						BGl_list4202z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_list3076z00_1383;

						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL_arg3077z00_1384;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_arg3078z00_1385;

								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_arg3079z00_1386;

									{	/* Eval/evaluate_types.scm 101 */
										obj_t BgL_arg3080z00_1387;

										{	/* Eval/evaluate_types.scm 101 */
											obj_t BgL_arg3081z00_1388;

											BgL_arg3081z00_1388 =
												MAKE_PAIR(BgL_arg3075z00_1382, BNIL);
											BgL_arg3080z00_1387 =
												MAKE_PAIR(BgL_arg3074z00_1381, BgL_arg3081z00_1388);
										}
										BgL_arg3079z00_1386 =
											MAKE_PAIR(BgL_arg3073z00_1380, BgL_arg3080z00_1387);
									}
									BgL_arg3078z00_1385 =
										MAKE_PAIR(BgL_arg3072z00_1379, BgL_arg3079z00_1386);
								}
								BgL_arg3077z00_1384 =
									MAKE_PAIR(BgL_arg3071z00_1378, BgL_arg3078z00_1385);
							}
							BgL_list3076z00_1383 =
								MAKE_PAIR(BgL_arg3070z00_1377, BgL_arg3077z00_1384);
						}
						BgL_arg3068z00_1375 = BgL_list3076z00_1383;
				}}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v2783z00_1392;

					BgL_v2783z00_1392 = create_vector((int) (((long) 0)));
					BgL_arg3069z00_1376 = BgL_v2783z00_1392;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4215z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_labelszd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_labelszd2envz52zz__evaluate_typesz00,
					BGl_ev_labelszd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_labelszf3zd2envz21zz__evaluate_typesz00, ((long) 6081308),
					BgL_arg3068z00_1375, BFALSE, BgL_arg3069z00_1376);
			}
			{	/* Eval/evaluate_types.scm 109 */
				obj_t BgL_arg3085z00_1393;
				obj_t BgL_arg3086z00_1394;

				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_arg3087z00_1395;
					obj_t BgL_arg3088z00_1396;
					obj_t BgL_arg3089z00_1397;
					obj_t BgL_arg3090z00_1398;

					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_arg3095z00_1403;

						BgL_arg3095z00_1403 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3087z00_1395 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4138z00zz__evaluate_typesz00,
							BGl_ev_gotozd2loczd2envz00zz__evaluate_typesz00, BUNSPEC, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3095z00_1403);
					}
					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_arg3096z00_1404;

						BgL_arg3096z00_1404 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3088z00_1396 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4217z00zz__evaluate_typesz00,
							BGl_ev_gotozd2labelzd2envz00zz__evaluate_typesz00,
							BGl_ev_gotozd2labelzd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3096z00_1404);
					}
					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_arg3097z00_1405;

						BgL_arg3097z00_1405 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3089z00_1397 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4219z00zz__evaluate_typesz00,
							BGl_ev_gotozd2labelszd2envz00zz__evaluate_typesz00,
							BGl_ev_gotozd2labelszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3097z00_1405);
					}
					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_arg3098z00_1406;

						BgL_arg3098z00_1406 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3090z00_1398 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4156z00zz__evaluate_typesz00,
							BGl_ev_gotozd2argszd2envz00zz__evaluate_typesz00,
							BGl_ev_gotozd2argszd2setz12zd2envzc0zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3098z00_1406);
					}
					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_list3091z00_1399;

						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL_arg3092z00_1400;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_arg3093z00_1401;

								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_arg3094z00_1402;

									BgL_arg3094z00_1402 = MAKE_PAIR(BgL_arg3090z00_1398, BNIL);
									BgL_arg3093z00_1401 =
										MAKE_PAIR(BgL_arg3089z00_1397, BgL_arg3094z00_1402);
								}
								BgL_arg3092z00_1400 =
									MAKE_PAIR(BgL_arg3088z00_1396, BgL_arg3093z00_1401);
							}
							BgL_list3091z00_1399 =
								MAKE_PAIR(BgL_arg3087z00_1395, BgL_arg3092z00_1400);
						}
						BgL_arg3085z00_1393 = BgL_list3091z00_1399;
				}}
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v2784z00_1407;

					BgL_v2784z00_1407 = create_vector((int) (((long) 0)));
					BgL_arg3086z00_1394 = BgL_v2784z00_1407;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4221z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_gotozd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_gotozd2envz52zz__evaluate_typesz00,
					BGl_ev_gotozd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_gotozf3zd2envz21zz__evaluate_typesz00, ((long) 395698793),
					BgL_arg3085z00_1393, BFALSE, BgL_arg3086z00_1394);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg3099z00_1408;
				obj_t BgL_arg3100z00_1409;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_arg3101z00_1410;
					obj_t BgL_arg3102z00_1411;
					obj_t BgL_arg3103z00_1412;
					obj_t BgL_arg3104z00_1413;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3109z00_1418;

						BgL_arg3109z00_1418 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3101z00_1410 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4138z00zz__evaluate_typesz00,
							BGl_ev_appzd2loczd2envz00zz__evaluate_typesz00, BUNSPEC, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3109z00_1418);
					}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3110z00_1419;

						BgL_arg3110z00_1419 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3102z00_1411 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4223z00zz__evaluate_typesz00,
							BGl_ev_appzd2funzd2envz00zz__evaluate_typesz00,
							BGl_ev_appzd2funzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3110z00_1419);
					}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3111z00_1420;

						BgL_arg3111z00_1420 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3103z00_1412 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4156z00zz__evaluate_typesz00,
							BGl_ev_appzd2argszd2envz00zz__evaluate_typesz00,
							BGl_ev_appzd2argszd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3111z00_1420);
					}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3112z00_1421;

						BgL_arg3112z00_1421 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3104z00_1413 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4225z00zz__evaluate_typesz00,
							BGl_ev_appzd2tailzf3zd2envzf3zz__evaluate_typesz00,
							BGl_ev_appzd2tailzf3zd2setz12zd2envz33zz__evaluate_typesz00,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3112z00_1421);
					}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_list3105z00_1414;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_arg3106z00_1415;

							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL_arg3107z00_1416;

								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_arg3108z00_1417;

									BgL_arg3108z00_1417 = MAKE_PAIR(BgL_arg3104z00_1413, BNIL);
									BgL_arg3107z00_1416 =
										MAKE_PAIR(BgL_arg3103z00_1412, BgL_arg3108z00_1417);
								}
								BgL_arg3106z00_1415 =
									MAKE_PAIR(BgL_arg3102z00_1411, BgL_arg3107z00_1416);
							}
							BgL_list3105z00_1414 =
								MAKE_PAIR(BgL_arg3101z00_1410, BgL_arg3106z00_1415);
						}
						BgL_arg3099z00_1408 = BgL_list3105z00_1414;
				}}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v2785z00_1422;

					BgL_v2785z00_1422 = create_vector((int) (((long) 0)));
					BgL_arg3100z00_1409 = BgL_v2785z00_1422;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4227z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_appzd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_appzd2envz52zz__evaluate_typesz00,
					BGl_ev_appzd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_appzf3zd2envz21zz__evaluate_typesz00, ((long) 385517445),
					BgL_arg3099z00_1408, BFALSE, BgL_arg3100z00_1409);
			}
			{	/* Eval/evaluate_types.scm 117 */
				obj_t BgL_arg3113z00_1423;
				obj_t BgL_arg3114z00_1424;

				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_arg3115z00_1425;
					obj_t BgL_arg3116z00_1426;
					obj_t BgL_arg3117z00_1427;
					obj_t BgL_arg3118z00_1428;
					obj_t BgL_arg3119z00_1429;
					obj_t BgL_arg3120z00_1430;
					obj_t BgL_arg3121z00_1431;
					obj_t BgL_arg3122z00_1432;
					obj_t BgL_arg3123z00_1433;
					obj_t BgL_arg3124z00_1434;

					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3135z00_1445;

						BgL_arg3135z00_1445 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3115z00_1425 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4138z00zz__evaluate_typesz00,
							BGl_ev_abszd2loczd2envz00zz__evaluate_typesz00, BUNSPEC, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3135z00_1445);
					}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3136z00_1446;

						BgL_arg3136z00_1446 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3116z00_1426 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4229z00zz__evaluate_typesz00,
							BGl_ev_abszd2wherezd2envz00zz__evaluate_typesz00, BUNSPEC,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3136z00_1446);
					}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3137z00_1447;

						BgL_arg3137z00_1447 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3117z00_1427 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4231z00zz__evaluate_typesz00,
							BGl_ev_abszd2arityzd2envz00zz__evaluate_typesz00, BUNSPEC,
							BUNSPEC, ((bool_t) 0), BFALSE, BgL_arg3137z00_1447);
					}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3138z00_1448;

						BgL_arg3138z00_1448 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3118z00_1428 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4194z00zz__evaluate_typesz00,
							BGl_ev_abszd2varszd2envz00zz__evaluate_typesz00,
							BGl_ev_abszd2varszd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3138z00_1448);
					}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3139z00_1449;

						BgL_arg3139z00_1449 =
							BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
						BgL_arg3119z00_1429 =
							BGl_makezd2classzd2fieldz00zz__objectz00
							(BGl_symbol4184z00zz__evaluate_typesz00,
							BGl_ev_abszd2bodyzd2envz00zz__evaluate_typesz00,
							BGl_ev_abszd2bodyzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
							((bool_t) 0), BFALSE, BgL_arg3139z00_1449);
					}
					BgL_arg3120z00_1430 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4233z00zz__evaluate_typesz00,
						BGl_ev_abszd2siza7ezd2envza7zz__evaluate_typesz00,
						BGl_ev_abszd2siza7ezd2setz12zd2envz67zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BINT(((long) 0)));
					BgL_arg3121z00_1431 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4235z00zz__evaluate_typesz00,
						BGl_ev_abszd2bindzd2envz00zz__evaluate_typesz00,
						BGl_ev_abszd2bindzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					BgL_arg3122z00_1432 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4237z00zz__evaluate_typesz00,
						BGl_ev_abszd2freezd2envz00zz__evaluate_typesz00,
						BGl_ev_abszd2freezd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					BgL_arg3123z00_1433 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4239z00zz__evaluate_typesz00,
						BGl_ev_abszd2innerzd2envz00zz__evaluate_typesz00,
						BGl_ev_abszd2innerzd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					BgL_arg3124z00_1434 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol4200z00zz__evaluate_typesz00,
						BGl_ev_abszd2boxeszd2envz00zz__evaluate_typesz00,
						BGl_ev_abszd2boxeszd2setz12zd2envzc0zz__evaluate_typesz00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list4202z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_list3125z00_1435;

						{	/* Eval/evaluate_types.scm 117 */
							obj_t BgL_arg3126z00_1436;

							{	/* Eval/evaluate_types.scm 117 */
								obj_t BgL_arg3127z00_1437;

								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_arg3128z00_1438;

									{	/* Eval/evaluate_types.scm 117 */
										obj_t BgL_arg3129z00_1439;

										{	/* Eval/evaluate_types.scm 117 */
											obj_t BgL_arg3130z00_1440;

											{	/* Eval/evaluate_types.scm 117 */
												obj_t BgL_arg3131z00_1441;

												{	/* Eval/evaluate_types.scm 117 */
													obj_t BgL_arg3132z00_1442;

													{	/* Eval/evaluate_types.scm 117 */
														obj_t BgL_arg3133z00_1443;

														{	/* Eval/evaluate_types.scm 117 */
															obj_t BgL_arg3134z00_1444;

															BgL_arg3134z00_1444 =
																MAKE_PAIR(BgL_arg3124z00_1434, BNIL);
															BgL_arg3133z00_1443 =
																MAKE_PAIR(BgL_arg3123z00_1433,
																BgL_arg3134z00_1444);
														}
														BgL_arg3132z00_1442 =
															MAKE_PAIR(BgL_arg3122z00_1432,
															BgL_arg3133z00_1443);
													}
													BgL_arg3131z00_1441 =
														MAKE_PAIR(BgL_arg3121z00_1431, BgL_arg3132z00_1442);
												}
												BgL_arg3130z00_1440 =
													MAKE_PAIR(BgL_arg3120z00_1430, BgL_arg3131z00_1441);
											}
											BgL_arg3129z00_1439 =
												MAKE_PAIR(BgL_arg3119z00_1429, BgL_arg3130z00_1440);
										}
										BgL_arg3128z00_1438 =
											MAKE_PAIR(BgL_arg3118z00_1428, BgL_arg3129z00_1439);
									}
									BgL_arg3127z00_1437 =
										MAKE_PAIR(BgL_arg3117z00_1427, BgL_arg3128z00_1438);
								}
								BgL_arg3126z00_1436 =
									MAKE_PAIR(BgL_arg3116z00_1426, BgL_arg3127z00_1437);
							}
							BgL_list3125z00_1435 =
								MAKE_PAIR(BgL_arg3115z00_1425, BgL_arg3126z00_1436);
						}
						BgL_arg3113z00_1423 = BgL_list3125z00_1435;
				}}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2786z00_1450;

					BgL_v2786z00_1450 = create_vector((int) (((long) 0)));
					BgL_arg3114z00_1424 = BgL_v2786z00_1450;
				}
				BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol4241z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((bool_t) 0),
					BGl_makezd2ev_abszd2envz00zz__evaluate_typesz00,
					BGl_z52allocatezd2ev_abszd2envz52zz__evaluate_typesz00,
					BGl_ev_abszd2nilzd2envz00zz__evaluate_typesz00,
					BGl_ev_abszf3zd2envz21zz__evaluate_typesz00, ((long) 372055153),
					BgL_arg3113z00_1423, BFALSE, BgL_arg3114z00_1424);
			}
			BGl_z52thezd2ev_abszd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_appzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_gotozd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_labelszd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_letreczd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_letzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_binderzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_trapzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_hookzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_prog2zd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_andzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_orzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_listzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_ifzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_littzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_globalzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			BGl_z52thezd2ev_varzd2nilz52zz__evaluate_typesz00 = BUNSPEC;
			return (BGl_z52thezd2ev_exprzd2nilz52zz__evaluate_typesz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* ev_abs? */
	BGL_EXPORTED_DEF bool_t BGl_ev_abszf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2735z00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2735z00_3,
				BGl_ev_absz00zz__evaluate_typesz00);
		}
	}



/* &ev_abs? */
	obj_t BGl_z62ev_abszf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4731,
		obj_t BgL_obj2735z00_4732)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2735z00_4732,
					BGl_ev_absz00zz__evaluate_typesz00));
		}
	}



/* make-ev_abs */
	BGL_EXPORTED_DEF BgL_ev_absz00_bglt
		BGl_makezd2ev_abszd2zz__evaluate_typesz00(obj_t BgL_loc2657z00_7,
		obj_t BgL_where2658z00_8, obj_t BgL_arity2659z00_9,
		obj_t BgL_vars2660z00_10, BgL_ev_exprz00_bglt BgL_body2661z00_11,
		int BgL_siza7e2662za7_12, obj_t BgL_bind2663z00_13,
		obj_t BgL_free2664z00_14, obj_t BgL_inner2665z00_15,
		obj_t BgL_boxes2666z00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_new2667z00_2569;

				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_res3553z00_2574;

					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_absz00_bglt BgL_new2691z00_2570;

						BgL_new2691z00_2570 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 117 */
							long BgL_arg3140z00_2571;

							BgL_arg3140z00_2571 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_absz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 117 */
								BgL_objectz00_bglt BgL_objz00_2572;

								BgL_objz00_2572 = ((BgL_objectz00_bglt) BgL_new2691z00_2570);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2572, BgL_arg3140z00_2571);
						}}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_auxz00_7308;

							BgL_auxz00_7308 = ((BgL_objectz00_bglt) BgL_new2691z00_2570);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_7308, BFALSE);
						}
						BgL_res3553z00_2574 = BgL_new2691z00_2570;
					}
					BgL_new2667z00_2569 = BgL_res3553z00_2574;
				}
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_res3554z00_2596;

					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_new2667z00_2569)))->BgL_locz00) =
						((obj_t) BgL_loc2657z00_7), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_wherez00) = ((obj_t) BgL_where2658z00_8), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_arityz00) = ((obj_t) BgL_arity2659z00_9), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_varsz00) = ((obj_t) BgL_vars2660z00_10), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2661z00_11), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_siza7eza7) = ((int) BgL_siza7e2662za7_12), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_bindz00) = ((obj_t) BgL_bind2663z00_13), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_freez00) = ((obj_t) BgL_free2664z00_14), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_innerz00) = ((obj_t) BgL_inner2665z00_15), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2667z00_2569)))->
							BgL_boxesz00) = ((obj_t) BgL_boxes2666z00_16), BUNSPEC);
					BgL_res3554z00_2596 = BgL_new2667z00_2569;
					BgL_res3554z00_2596;
				}
				return BgL_new2667z00_2569;
			}
		}
	}



/* &make-ev_abs */
	BgL_ev_absz00_bglt BGl_z62makezd2ev_abszb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4718, obj_t BgL_loc2657z00_4719, obj_t BgL_where2658z00_4720,
		obj_t BgL_arity2659z00_4721, obj_t BgL_vars2660z00_4722,
		obj_t BgL_body2661z00_4723, obj_t BgL_siza7e2662za7_4724,
		obj_t BgL_bind2663z00_4725, obj_t BgL_free2664z00_4726,
		obj_t BgL_inner2665z00_4727, obj_t BgL_boxes2666z00_4728)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				int BgL_auxz00_7339;
				BgL_ev_exprz00_bglt BgL_auxz00_7331;

				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_auxz00_7340;

					if (INTEGERP(BgL_siza7e2662za7_4724))
						{	/* Eval/evaluate_types.scm 117 */
							BgL_auxz00_7340 = BgL_siza7e2662za7_4724;
						}
					else
						{
							obj_t BgL_auxz00_7343;

							BgL_auxz00_7343 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
								BGl_string4244z00zz__evaluate_typesz00,
								BGl_string4245z00zz__evaluate_typesz00, BgL_siza7e2662za7_4724);
							FAILURE(BgL_auxz00_7343, BFALSE, BFALSE);
						}
					BgL_auxz00_7339 = CINT(BgL_auxz00_7340);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2661z00_4723,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_auxz00_7331 = ((BgL_ev_exprz00_bglt) BgL_body2661z00_4723);
					}
				else
					{
						obj_t BgL_auxz00_7335;

						BgL_auxz00_7335 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4244z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2661z00_4723);
						FAILURE(BgL_auxz00_7335, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_abszd2zz__evaluate_typesz00(BgL_loc2657z00_4719,
					BgL_where2658z00_4720, BgL_arity2659z00_4721, BgL_vars2660z00_4722,
					BgL_auxz00_7331, BgL_auxz00_7339, BgL_bind2663z00_4725,
					BgL_free2664z00_4726, BgL_inner2665z00_4727, BgL_boxes2666z00_4728);
			}
		}
	}



/* fill-ev_abs! */
	BGL_EXPORTED_DEF BgL_ev_absz00_bglt
		BGl_fillzd2ev_absz12zc0zz__evaluate_typesz00(BgL_ev_absz00_bglt
		BgL_new2679z00_17, obj_t BgL_loc2669z00_18, obj_t BgL_where2670z00_19,
		obj_t BgL_arity2671z00_20, obj_t BgL_vars2672z00_21,
		BgL_ev_exprz00_bglt BgL_body2673z00_22, int BgL_siza7e2674za7_23,
		obj_t BgL_bind2675z00_24, obj_t BgL_free2676z00_25,
		obj_t BgL_inner2677z00_26, obj_t BgL_boxes2678z00_27)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			((((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_new2679z00_17)))->BgL_locz00) =
				((obj_t) BgL_loc2669z00_18), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->
					BgL_wherez00) = ((obj_t) BgL_where2670z00_19), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->
					BgL_arityz00) = ((obj_t) BgL_arity2671z00_20), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->BgL_varsz00) =
				((obj_t) BgL_vars2672z00_21), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) BgL_body2673z00_22), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->
					BgL_siza7eza7) = ((int) BgL_siza7e2674za7_23), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->BgL_bindz00) =
				((obj_t) BgL_bind2675z00_24), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->BgL_freez00) =
				((obj_t) BgL_free2676z00_25), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->
					BgL_innerz00) = ((obj_t) BgL_inner2677z00_26), BUNSPEC);
			((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_17)))->
					BgL_boxesz00) = ((obj_t) BgL_boxes2678z00_27), BUNSPEC);
			return BgL_new2679z00_17;
		}
	}



/* &fill-ev_abs! */
	BgL_ev_absz00_bglt BGl_z62fillzd2ev_absz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4733, obj_t BgL_new2679z00_4734, obj_t BgL_loc2669z00_4735,
		obj_t BgL_where2670z00_4736, obj_t BgL_arity2671z00_4737,
		obj_t BgL_vars2672z00_4738, obj_t BgL_body2673z00_4739,
		obj_t BgL_siza7e2674za7_4740, obj_t BgL_bind2675z00_4741,
		obj_t BgL_free2676z00_4742, obj_t BgL_inner2677z00_4743,
		obj_t BgL_boxes2678z00_4744)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_new2679z00_6411;
				BgL_ev_exprz00_bglt BgL_body2673z00_6416;
				int BgL_siza7e2674za7_6417;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2679z00_4734,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_new2679z00_6411 = ((BgL_ev_absz00_bglt) BgL_new2679z00_4734);
					}
				else
					{
						obj_t BgL_auxz00_7372;

						BgL_auxz00_7372 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4246z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_new2679z00_4734);
						FAILURE(BgL_auxz00_7372, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2673z00_4739,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_body2673z00_6416 = ((BgL_ev_exprz00_bglt) BgL_body2673z00_4739);
					}
				else
					{
						obj_t BgL_auxz00_7379;

						BgL_auxz00_7379 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4246z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2673z00_4739);
						FAILURE(BgL_auxz00_7379, BFALSE, BFALSE);
					}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_auxz00_7383;

					if (INTEGERP(BgL_siza7e2674za7_4740))
						{	/* Eval/evaluate_types.scm 117 */
							BgL_auxz00_7383 = BgL_siza7e2674za7_4740;
						}
					else
						{
							obj_t BgL_auxz00_7386;

							BgL_auxz00_7386 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
								BGl_string4246z00zz__evaluate_typesz00,
								BGl_string4245z00zz__evaluate_typesz00, BgL_siza7e2674za7_4740);
							FAILURE(BgL_auxz00_7386, BFALSE, BFALSE);
						}
					BgL_siza7e2674za7_6417 = CINT(BgL_auxz00_7383);
				}
				((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_new2679z00_6411)))->BgL_locz00) =
					((obj_t) BgL_loc2669z00_4735), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_wherez00) = ((obj_t) BgL_where2670z00_4736), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_arityz00) = ((obj_t) BgL_arity2671z00_4737), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_varsz00) = ((obj_t) BgL_vars2672z00_4738), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2673z00_6416), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_siza7eza7) = ((int) BgL_siza7e2674za7_6417), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_bindz00) = ((obj_t) BgL_bind2675z00_4741), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_freez00) = ((obj_t) BgL_free2676z00_4742), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_innerz00) = ((obj_t) BgL_inner2677z00_4743), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_new2679z00_6411)))->
						BgL_boxesz00) = ((obj_t) BgL_boxes2678z00_4744), BUNSPEC);
				return BgL_new2679z00_6411;
			}
		}
	}



/* %allocate-ev_abs */
	BGL_EXPORTED_DEF BgL_ev_absz00_bglt
		BGl_z52allocatezd2ev_absz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_new2691z00_6422;

				BgL_new2691z00_6422 =
					((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 117 */
					long BgL_arg3140z00_6423;

					BgL_arg3140z00_6423 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_absz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_objz00_6424;

						BgL_objz00_6424 = ((BgL_objectz00_bglt) BgL_new2691z00_6422);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6424, BgL_arg3140z00_6423);
				}}
				{	/* Eval/evaluate_types.scm 117 */
					BgL_objectz00_bglt BgL_auxz00_7415;

					BgL_auxz00_7415 = ((BgL_objectz00_bglt) BgL_new2691z00_6422);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_7415, BFALSE);
				}
				return BgL_new2691z00_6422;
			}
		}
	}



/* &%allocate-ev_abs */
	BgL_ev_absz00_bglt BGl_z62z52allocatezd2ev_absze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_new2691z00_6425;

				BgL_new2691z00_6425 =
					((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 117 */
					long BgL_arg3140z00_6426;

					BgL_arg3140z00_6426 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_absz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_objz00_6427;

						BgL_objz00_6427 = ((BgL_objectz00_bglt) BgL_new2691z00_6425);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6427, BgL_arg3140z00_6426);
				}}
				{	/* Eval/evaluate_types.scm 117 */
					BgL_objectz00_bglt BgL_auxz00_7422;

					BgL_auxz00_7422 = ((BgL_objectz00_bglt) BgL_new2691z00_6425);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_7422, BFALSE);
				}
				return BgL_new2691z00_6425;
			}
		}
	}



/* ev_abs-nil */
	BGL_EXPORTED_DEF BgL_ev_absz00_bglt BGl_ev_abszd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_abszd2nilz52zz__evaluate_typesz00,
					BGl_ev_absz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_xz00_5070;

					BgL_xz00_5070 = BGl_z52thezd2ev_abszd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_absz00_bglt) BgL_xz00_5070);
				}
			else
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_g2692z00_1465;

					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_absz00_bglt BgL_res3555z00_2615;

						{	/* Eval/evaluate_types.scm 117 */
							BgL_ev_absz00_bglt BgL_new2691z00_2611;

							BgL_new2691z00_2611 =
								((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_absz00_bgl))));
							{	/* Eval/evaluate_types.scm 117 */
								long BgL_arg3140z00_2612;

								BgL_arg3140z00_2612 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_absz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 117 */
									BgL_objectz00_bglt BgL_objz00_2613;

									BgL_objz00_2613 = ((BgL_objectz00_bglt) BgL_new2691z00_2611);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2613,
										BgL_arg3140z00_2612);
							}}
							{	/* Eval/evaluate_types.scm 117 */
								BgL_objectz00_bglt BgL_auxz00_7432;

								BgL_auxz00_7432 = ((BgL_objectz00_bglt) BgL_new2691z00_2611);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_7432, BFALSE);
							}
							BgL_res3555z00_2615 = BgL_new2691z00_2611;
						}
						BgL_g2692z00_1465 = BgL_res3555z00_2615;
					}
					BGl_z52thezd2ev_abszd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2692z00_1465);
					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_exprz00_bglt BgL_arg3142z00_1466;

						BgL_arg3142z00_1466 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 117 */
							BgL_ev_absz00_bglt BgL_res3556z00_2637;

							{	/* Eval/evaluate_types.scm 117 */
								int BgL_siza7e2674za7_2622;

								BgL_siza7e2674za7_2622 = (int) (((long) 0));
								((((BgL_ev_absz00_bglt) CREF(
												((obj_t) BgL_g2692z00_1465)))->BgL_locz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_wherez00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_arityz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_bodyz00) =
									((BgL_ev_exprz00_bglt) BgL_arg3142z00_1466), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_siza7eza7) = ((int) BgL_siza7e2674za7_2622), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_bindz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_innerz00) = ((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_g2692z00_1465)))->
										BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_res3556z00_2637 = BgL_g2692z00_1465;
							} BgL_res3556z00_2637;
					}}
					return BgL_g2692z00_1465;
				}
		}
	}



/* &ev_abs-nil */
	BgL_ev_absz00_bglt BGl_z62ev_abszd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4730)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BGl_ev_abszd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_abs-loc */
	obj_t BGl_z62ev_abszd2loczb0zz__evaluate_typesz00(obj_t BgL_envz00_4677,
		obj_t BgL_obj2633z00_4678)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_obj2633z00_6429;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2633z00_4678,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 118 */
						BgL_obj2633z00_6429 = ((BgL_ev_absz00_bglt) BgL_obj2633z00_4678);
					}
				else
					{
						obj_t BgL_auxz00_7462;

						BgL_auxz00_7462 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3262)),
							BGl_string4247z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2633z00_4678);
						FAILURE(BgL_auxz00_7462, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2633z00_6429)))->BgL_locz00);
			}
		}
	}



/* &ev_abs-where */
	obj_t BGl_z62ev_abszd2wherezb0zz__evaluate_typesz00(obj_t BgL_envz00_4679,
		obj_t BgL_obj2634z00_4680)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_absz00_bglt BgL_obj2634z00_6431;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2634z00_4680,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 119 */
						BgL_obj2634z00_6431 = ((BgL_ev_absz00_bglt) BgL_obj2634z00_4680);
					}
				else
					{
						obj_t BgL_auxz00_7471;

						BgL_auxz00_7471 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3285)),
							BGl_string4248z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2634z00_4680);
						FAILURE(BgL_auxz00_7471, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2634z00_6431)))->BgL_wherez00);
			}
		}
	}



/* &ev_abs-arity */
	obj_t BGl_z62ev_abszd2arityzb0zz__evaluate_typesz00(obj_t BgL_envz00_4681,
		obj_t BgL_obj2635z00_4682)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 120 */
			{	/* Eval/evaluate_types.scm 120 */
				BgL_ev_absz00_bglt BgL_obj2635z00_6433;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2635z00_4682,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 120 */
						BgL_obj2635z00_6433 = ((BgL_ev_absz00_bglt) BgL_obj2635z00_4682);
					}
				else
					{
						obj_t BgL_auxz00_7480;

						BgL_auxz00_7480 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3310)),
							BGl_string4249z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2635z00_4682);
						FAILURE(BgL_auxz00_7480, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2635z00_6433)))->BgL_arityz00);
			}
		}
	}



/* &ev_abs-vars-set! */
	obj_t BGl_z62ev_abszd2varszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4685, obj_t BgL_obj2638z00_4686, obj_t BgL_val2637z00_4687)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_obj2638z00_6435;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2638z00_4686,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_obj2638z00_6435 = ((BgL_ev_absz00_bglt) BgL_obj2638z00_4686);
					}
				else
					{
						obj_t BgL_auxz00_7489;

						BgL_auxz00_7489 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4250z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2638z00_4686);
						FAILURE(BgL_auxz00_7489, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2638z00_6435)))->BgL_varsz00) =
					((obj_t) BgL_val2637z00_4687), BUNSPEC);
			}
		}
	}



/* &ev_abs-vars */
	obj_t BGl_z62ev_abszd2varszb0zz__evaluate_typesz00(obj_t BgL_envz00_4683,
		obj_t BgL_obj2636z00_4684)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_obj2636z00_6438;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2636z00_4684,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_obj2636z00_6438 = ((BgL_ev_absz00_bglt) BgL_obj2636z00_4684);
					}
				else
					{
						obj_t BgL_auxz00_7498;

						BgL_auxz00_7498 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4251z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2636z00_4684);
						FAILURE(BgL_auxz00_7498, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2636z00_6438)))->BgL_varsz00);
			}
		}
	}



/* &ev_abs-body-set! */
	obj_t BGl_z62ev_abszd2bodyzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4690, obj_t BgL_obj2641z00_4691, obj_t BgL_val2640z00_4692)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_obj2641z00_6441;
				BgL_ev_exprz00_bglt BgL_val2640z00_6442;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2641z00_4691,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_obj2641z00_6441 = ((BgL_ev_absz00_bglt) BgL_obj2641z00_4691);
					}
				else
					{
						obj_t BgL_auxz00_7507;

						BgL_auxz00_7507 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4252z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2641z00_4691);
						FAILURE(BgL_auxz00_7507, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2640z00_4692,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_val2640z00_6442 = ((BgL_ev_exprz00_bglt) BgL_val2640z00_4692);
					}
				else
					{
						obj_t BgL_auxz00_7514;

						BgL_auxz00_7514 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4252z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2640z00_4692);
						FAILURE(BgL_auxz00_7514, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2641z00_6441)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2640z00_6442), BUNSPEC);
			}
		}
	}



/* &ev_abs-body */
	BgL_ev_exprz00_bglt BGl_z62ev_abszd2bodyzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4688, obj_t BgL_obj2639z00_4689)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_obj2639z00_6444;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2639z00_4689,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 117 */
						BgL_obj2639z00_6444 = ((BgL_ev_absz00_bglt) BgL_obj2639z00_4689);
					}
				else
					{
						obj_t BgL_auxz00_7523;

						BgL_auxz00_7523 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3232)),
							BGl_string4253z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2639z00_4689);
						FAILURE(BgL_auxz00_7523, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2639z00_6444)))->BgL_bodyz00);
			}
		}
	}



/* &ev_abs-size-set! */
	obj_t BGl_z62ev_abszd2siza7ezd2setz12zd7zz__evaluate_typesz00(obj_t
		BgL_envz00_4695, obj_t BgL_obj2644z00_4696, obj_t BgL_val2643z00_4697)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 123 */
			{	/* Eval/evaluate_types.scm 123 */
				BgL_ev_absz00_bglt BgL_obj2644z00_6446;
				int BgL_val2643z00_6447;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2644z00_4696,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 123 */
						BgL_obj2644z00_6446 = ((BgL_ev_absz00_bglt) BgL_obj2644z00_4696);
					}
				else
					{
						obj_t BgL_auxz00_7532;

						BgL_auxz00_7532 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3368)),
							BGl_string4254z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2644z00_4696);
						FAILURE(BgL_auxz00_7532, BFALSE, BFALSE);
					}
				{	/* Eval/evaluate_types.scm 123 */
					obj_t BgL_auxz00_7536;

					if (INTEGERP(BgL_val2643z00_4697))
						{	/* Eval/evaluate_types.scm 123 */
							BgL_auxz00_7536 = BgL_val2643z00_4697;
						}
					else
						{
							obj_t BgL_auxz00_7539;

							BgL_auxz00_7539 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3368)),
								BGl_string4254z00zz__evaluate_typesz00,
								BGl_string4245z00zz__evaluate_typesz00, BgL_val2643z00_4697);
							FAILURE(BgL_auxz00_7539, BFALSE, BFALSE);
						}
					BgL_val2643z00_6447 = CINT(BgL_auxz00_7536);
				}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2644z00_6446)))->BgL_siza7eza7) =
					((int) BgL_val2643z00_6447), BUNSPEC);
		}}
	}



/* &ev_abs-size */
	obj_t BGl_z62ev_abszd2siza7ez17zz__evaluate_typesz00(obj_t BgL_envz00_4693,
		obj_t BgL_obj2642z00_4694)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 123 */
			{	/* Eval/evaluate_types.scm 123 */
				int BgL_auxz00_7546;

				{	/* Eval/evaluate_types.scm 123 */
					BgL_ev_absz00_bglt BgL_obj2642z00_6449;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2642z00_4694,
							BGl_ev_absz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_types.scm 123 */
							BgL_obj2642z00_6449 = ((BgL_ev_absz00_bglt) BgL_obj2642z00_4694);
						}
					else
						{
							obj_t BgL_auxz00_7550;

							BgL_auxz00_7550 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3368)),
								BGl_string4255z00zz__evaluate_typesz00,
								BGl_string4242z00zz__evaluate_typesz00, BgL_obj2642z00_4694);
							FAILURE(BgL_auxz00_7550, BFALSE, BFALSE);
						}
					BgL_auxz00_7546 =
						(((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2642z00_6449)))->BgL_siza7eza7);
				}
				return BINT(BgL_auxz00_7546);
			}
		}
	}



/* &ev_abs-bind-set! */
	obj_t BGl_z62ev_abszd2bindzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4700, obj_t BgL_obj2647z00_4701, obj_t BgL_val2646z00_4702)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 124 */
			{	/* Eval/evaluate_types.scm 124 */
				BgL_ev_absz00_bglt BgL_obj2647z00_6451;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2647z00_4701,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 124 */
						BgL_obj2647z00_6451 = ((BgL_ev_absz00_bglt) BgL_obj2647z00_4701);
					}
				else
					{
						obj_t BgL_auxz00_7560;

						BgL_auxz00_7560 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3399)),
							BGl_string4256z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2647z00_4701);
						FAILURE(BgL_auxz00_7560, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2647z00_6451)))->BgL_bindz00) =
					((obj_t) BgL_val2646z00_4702), BUNSPEC);
			}
		}
	}



/* &ev_abs-bind */
	obj_t BGl_z62ev_abszd2bindzb0zz__evaluate_typesz00(obj_t BgL_envz00_4698,
		obj_t BgL_obj2645z00_4699)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 124 */
			{	/* Eval/evaluate_types.scm 124 */
				BgL_ev_absz00_bglt BgL_obj2645z00_6454;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2645z00_4699,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 124 */
						BgL_obj2645z00_6454 = ((BgL_ev_absz00_bglt) BgL_obj2645z00_4699);
					}
				else
					{
						obj_t BgL_auxz00_7569;

						BgL_auxz00_7569 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3399)),
							BGl_string4257z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2645z00_4699);
						FAILURE(BgL_auxz00_7569, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2645z00_6454)))->BgL_bindz00);
			}
		}
	}



/* &ev_abs-free-set! */
	obj_t BGl_z62ev_abszd2freezd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4705, obj_t BgL_obj2650z00_4706, obj_t BgL_val2649z00_4707)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 125 */
			{	/* Eval/evaluate_types.scm 125 */
				BgL_ev_absz00_bglt BgL_obj2650z00_6456;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2650z00_4706,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 125 */
						BgL_obj2650z00_6456 = ((BgL_ev_absz00_bglt) BgL_obj2650z00_4706);
					}
				else
					{
						obj_t BgL_auxz00_7578;

						BgL_auxz00_7578 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3427)),
							BGl_string4258z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2650z00_4706);
						FAILURE(BgL_auxz00_7578, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2650z00_6456)))->BgL_freez00) =
					((obj_t) BgL_val2649z00_4707), BUNSPEC);
			}
		}
	}



/* &ev_abs-free */
	obj_t BGl_z62ev_abszd2freezb0zz__evaluate_typesz00(obj_t BgL_envz00_4703,
		obj_t BgL_obj2648z00_4704)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 125 */
			{	/* Eval/evaluate_types.scm 125 */
				BgL_ev_absz00_bglt BgL_obj2648z00_6459;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2648z00_4704,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 125 */
						BgL_obj2648z00_6459 = ((BgL_ev_absz00_bglt) BgL_obj2648z00_4704);
					}
				else
					{
						obj_t BgL_auxz00_7587;

						BgL_auxz00_7587 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3427)),
							BGl_string4259z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2648z00_4704);
						FAILURE(BgL_auxz00_7587, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2648z00_6459)))->BgL_freez00);
			}
		}
	}



/* &ev_abs-inner-set! */
	obj_t BGl_z62ev_abszd2innerzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4710, obj_t BgL_obj2653z00_4711, obj_t BgL_val2652z00_4712)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 126 */
			{	/* Eval/evaluate_types.scm 126 */
				BgL_ev_absz00_bglt BgL_obj2653z00_6461;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2653z00_4711,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 126 */
						BgL_obj2653z00_6461 = ((BgL_ev_absz00_bglt) BgL_obj2653z00_4711);
					}
				else
					{
						obj_t BgL_auxz00_7596;

						BgL_auxz00_7596 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3455)),
							BGl_string4260z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2653z00_4711);
						FAILURE(BgL_auxz00_7596, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2653z00_6461)))->BgL_innerz00) =
					((obj_t) BgL_val2652z00_4712), BUNSPEC);
			}
		}
	}



/* &ev_abs-inner */
	obj_t BGl_z62ev_abszd2innerzb0zz__evaluate_typesz00(obj_t BgL_envz00_4708,
		obj_t BgL_obj2651z00_4709)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 126 */
			{	/* Eval/evaluate_types.scm 126 */
				BgL_ev_absz00_bglt BgL_obj2651z00_6464;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2651z00_4709,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 126 */
						BgL_obj2651z00_6464 = ((BgL_ev_absz00_bglt) BgL_obj2651z00_4709);
					}
				else
					{
						obj_t BgL_auxz00_7605;

						BgL_auxz00_7605 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3455)),
							BGl_string4261z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2651z00_4709);
						FAILURE(BgL_auxz00_7605, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2651z00_6464)))->BgL_innerz00);
			}
		}
	}



/* &ev_abs-boxes-set! */
	obj_t BGl_z62ev_abszd2boxeszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4715, obj_t BgL_obj2656z00_4716, obj_t BgL_val2655z00_4717)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 127 */
			{	/* Eval/evaluate_types.scm 127 */
				BgL_ev_absz00_bglt BgL_obj2656z00_6466;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2656z00_4716,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 127 */
						BgL_obj2656z00_6466 = ((BgL_ev_absz00_bglt) BgL_obj2656z00_4716);
					}
				else
					{
						obj_t BgL_auxz00_7614;

						BgL_auxz00_7614 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3484)),
							BGl_string4262z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2656z00_4716);
						FAILURE(BgL_auxz00_7614, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_obj2656z00_6466)))->BgL_boxesz00) =
					((obj_t) BgL_val2655z00_4717), BUNSPEC);
			}
		}
	}



/* &ev_abs-boxes */
	obj_t BGl_z62ev_abszd2boxeszb0zz__evaluate_typesz00(obj_t BgL_envz00_4713,
		obj_t BgL_obj2654z00_4714)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 127 */
			{	/* Eval/evaluate_types.scm 127 */
				BgL_ev_absz00_bglt BgL_obj2654z00_6469;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2654z00_4714,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 127 */
						BgL_obj2654z00_6469 = ((BgL_ev_absz00_bglt) BgL_obj2654z00_4714);
					}
				else
					{
						obj_t BgL_auxz00_7623;

						BgL_auxz00_7623 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3484)),
							BGl_string4263z00zz__evaluate_typesz00,
							BGl_string4242z00zz__evaluate_typesz00, BgL_obj2654z00_4714);
						FAILURE(BgL_auxz00_7623, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(
							((obj_t) BgL_obj2654z00_6469)))->BgL_boxesz00);
			}
		}
	}



/* ev_app? */
	BGL_EXPORTED_DEF bool_t BGl_ev_appzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2632z00_52)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2632z00_52,
				BGl_ev_appz00zz__evaluate_typesz00);
		}
	}



/* &ev_app? */
	obj_t BGl_z62ev_appzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4675,
		obj_t BgL_obj2632z00_4676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2632z00_4676,
					BGl_ev_appz00zz__evaluate_typesz00));
		}
	}



/* make-ev_app */
	BGL_EXPORTED_DEF BgL_ev_appz00_bglt
		BGl_makezd2ev_appzd2zz__evaluate_typesz00(obj_t BgL_loc2596z00_56,
		BgL_ev_exprz00_bglt BgL_fun2597z00_57, obj_t BgL_args2598z00_58,
		obj_t BgL_tailzf32599zf3_59)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_new2600z00_2638;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_res3557z00_2643;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_appz00_bglt BgL_new2612z00_2639;

						BgL_new2612z00_2639 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 114 */
							long BgL_arg3143z00_2640;

							BgL_arg3143z00_2640 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_appz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 114 */
								BgL_objectz00_bglt BgL_objz00_2641;

								BgL_objz00_2641 = ((BgL_objectz00_bglt) BgL_new2612z00_2639);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2641, BgL_arg3143z00_2640);
						}}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_7636;

							BgL_auxz00_7636 = ((BgL_objectz00_bglt) BgL_new2612z00_2639);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_7636, BFALSE);
						}
						BgL_res3557z00_2643 = BgL_new2612z00_2639;
					}
					BgL_new2600z00_2638 = BgL_res3557z00_2643;
				}
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_res3558z00_2653;

					((((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_new2600z00_2638)))->BgL_locz00) =
						((obj_t) BgL_loc2596z00_56), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2600z00_2638)))->
							BgL_funz00) = ((BgL_ev_exprz00_bglt) BgL_fun2597z00_57), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2600z00_2638)))->
							BgL_argsz00) = ((obj_t) BgL_args2598z00_58), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2600z00_2638)))->
							BgL_tailzf3zf3) = ((obj_t) BgL_tailzf32599zf3_59), BUNSPEC);
					BgL_res3558z00_2653 = BgL_new2600z00_2638;
					BgL_res3558z00_2653;
				}
				return BgL_new2600z00_2638;
			}
		}
	}



/* &make-ev_app */
	BgL_ev_appz00_bglt BGl_z62makezd2ev_appzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4668, obj_t BgL_loc2596z00_4669, obj_t BgL_fun2597z00_4670,
		obj_t BgL_args2598z00_4671, obj_t BgL_tailzf32599zf3_4672)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_exprz00_bglt BgL_auxz00_7647;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_fun2597z00_4670,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_auxz00_7647 = ((BgL_ev_exprz00_bglt) BgL_fun2597z00_4670);
					}
				else
					{
						obj_t BgL_auxz00_7651;

						BgL_auxz00_7651 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4264z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_fun2597z00_4670);
						FAILURE(BgL_auxz00_7651, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_appzd2zz__evaluate_typesz00(BgL_loc2596z00_4669,
					BgL_auxz00_7647, BgL_args2598z00_4671, BgL_tailzf32599zf3_4672);
			}
		}
	}



/* fill-ev_app! */
	BGL_EXPORTED_DEF BgL_ev_appz00_bglt
		BGl_fillzd2ev_appz12zc0zz__evaluate_typesz00(BgL_ev_appz00_bglt
		BgL_new2606z00_60, obj_t BgL_loc2602z00_61,
		BgL_ev_exprz00_bglt BgL_fun2603z00_62, obj_t BgL_args2604z00_63,
		obj_t BgL_tailzf32605zf3_64)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			((((BgL_ev_appz00_bglt) CREF(
							((obj_t) BgL_new2606z00_60)))->BgL_locz00) =
				((obj_t) BgL_loc2602z00_61), BUNSPEC);
			((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2606z00_60)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) BgL_fun2603z00_62), BUNSPEC);
			((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2606z00_60)))->BgL_argsz00) =
				((obj_t) BgL_args2604z00_63), BUNSPEC);
			((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2606z00_60)))->
					BgL_tailzf3zf3) = ((obj_t) BgL_tailzf32605zf3_64), BUNSPEC);
			return BgL_new2606z00_60;
		}
	}



/* &fill-ev_app! */
	BgL_ev_appz00_bglt BGl_z62fillzd2ev_appz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4745, obj_t BgL_new2606z00_4746, obj_t BgL_loc2602z00_4747,
		obj_t BgL_fun2603z00_4748, obj_t BgL_args2604z00_4749,
		obj_t BgL_tailzf32605zf3_4750)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_new2606z00_6474;
				BgL_ev_exprz00_bglt BgL_fun2603z00_6476;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2606z00_4746,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_new2606z00_6474 = ((BgL_ev_appz00_bglt) BgL_new2606z00_4746);
					}
				else
					{
						obj_t BgL_auxz00_7667;

						BgL_auxz00_7667 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4265z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_new2606z00_4746);
						FAILURE(BgL_auxz00_7667, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_fun2603z00_4748,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_fun2603z00_6476 = ((BgL_ev_exprz00_bglt) BgL_fun2603z00_4748);
					}
				else
					{
						obj_t BgL_auxz00_7674;

						BgL_auxz00_7674 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4265z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_fun2603z00_4748);
						FAILURE(BgL_auxz00_7674, BFALSE, BFALSE);
					}
				((((BgL_ev_appz00_bglt) CREF(
								((obj_t) BgL_new2606z00_6474)))->BgL_locz00) =
					((obj_t) BgL_loc2602z00_4747), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2606z00_6474)))->
						BgL_funz00) = ((BgL_ev_exprz00_bglt) BgL_fun2603z00_6476), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2606z00_6474)))->
						BgL_argsz00) = ((obj_t) BgL_args2604z00_4749), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_new2606z00_6474)))->
						BgL_tailzf3zf3) = ((obj_t) BgL_tailzf32605zf3_4750), BUNSPEC);
				return BgL_new2606z00_6474;
			}
		}
	}



/* %allocate-ev_app */
	BGL_EXPORTED_DEF BgL_ev_appz00_bglt
		BGl_z52allocatezd2ev_appz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_new2612z00_6479;

				BgL_new2612z00_6479 =
					((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg3143z00_6480;

					BgL_arg3143z00_6480 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_appz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_objz00_6481;

						BgL_objz00_6481 = ((BgL_objectz00_bglt) BgL_new2612z00_6479);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6481, BgL_arg3143z00_6480);
				}}
				{	/* Eval/evaluate_types.scm 114 */
					BgL_objectz00_bglt BgL_auxz00_7690;

					BgL_auxz00_7690 = ((BgL_objectz00_bglt) BgL_new2612z00_6479);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_7690, BFALSE);
				}
				return BgL_new2612z00_6479;
			}
		}
	}



/* &%allocate-ev_app */
	BgL_ev_appz00_bglt BGl_z62z52allocatezd2ev_appze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_new2612z00_6482;

				BgL_new2612z00_6482 =
					((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg3143z00_6483;

					BgL_arg3143z00_6483 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_appz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_objz00_6484;

						BgL_objz00_6484 = ((BgL_objectz00_bglt) BgL_new2612z00_6482);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6484, BgL_arg3143z00_6483);
				}}
				{	/* Eval/evaluate_types.scm 114 */
					BgL_objectz00_bglt BgL_auxz00_7697;

					BgL_auxz00_7697 = ((BgL_objectz00_bglt) BgL_new2612z00_6482);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_7697, BFALSE);
				}
				return BgL_new2612z00_6482;
			}
		}
	}



/* ev_app-nil */
	BGL_EXPORTED_DEF BgL_ev_appz00_bglt BGl_ev_appzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_appzd2nilz52zz__evaluate_typesz00,
					BGl_ev_appz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_xz00_5178;

					BgL_xz00_5178 = BGl_z52thezd2ev_appzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_appz00_bglt) BgL_xz00_5178);
				}
			else
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_g2613z00_1475;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_appz00_bglt BgL_res3559z00_2666;

						{	/* Eval/evaluate_types.scm 114 */
							BgL_ev_appz00_bglt BgL_new2612z00_2662;

							BgL_new2612z00_2662 =
								((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_appz00_bgl))));
							{	/* Eval/evaluate_types.scm 114 */
								long BgL_arg3143z00_2663;

								BgL_arg3143z00_2663 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_appz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 114 */
									BgL_objectz00_bglt BgL_objz00_2664;

									BgL_objz00_2664 = ((BgL_objectz00_bglt) BgL_new2612z00_2662);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2664,
										BgL_arg3143z00_2663);
							}}
							{	/* Eval/evaluate_types.scm 114 */
								BgL_objectz00_bglt BgL_auxz00_7707;

								BgL_auxz00_7707 = ((BgL_objectz00_bglt) BgL_new2612z00_2662);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_7707, BFALSE);
							}
							BgL_res3559z00_2666 = BgL_new2612z00_2662;
						}
						BgL_g2613z00_1475 = BgL_res3559z00_2666;
					}
					BGl_z52thezd2ev_appzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2613z00_1475);
					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_exprz00_bglt BgL_arg3145z00_1476;

						BgL_arg3145z00_1476 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 114 */
							BgL_ev_appz00_bglt BgL_res3560z00_2676;

							((((BgL_ev_appz00_bglt) CREF(
											((obj_t) BgL_g2613z00_1475)))->BgL_locz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_g2613z00_1475)))->
									BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3145z00_1476), BUNSPEC);
							((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_g2613z00_1475)))->
									BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_g2613z00_1475)))->
									BgL_tailzf3zf3) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3560z00_2676 = BgL_g2613z00_1475;
							BgL_res3560z00_2676;
					}}
					return BgL_g2613z00_1475;
				}
		}
	}



/* &ev_app-nil */
	BgL_ev_appz00_bglt BGl_z62ev_appzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4674)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return BGl_ev_appzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_app-loc */
	obj_t BGl_z62ev_appzd2loczb0zz__evaluate_typesz00(obj_t BgL_envz00_4651,
		obj_t BgL_obj2586z00_4652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{	/* Eval/evaluate_types.scm 115 */
				BgL_ev_appz00_bglt BgL_obj2586z00_6486;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2586z00_4652,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 115 */
						BgL_obj2586z00_6486 = ((BgL_ev_appz00_bglt) BgL_obj2586z00_4652);
					}
				else
					{
						obj_t BgL_auxz00_7724;

						BgL_auxz00_7724 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3180)),
							BGl_string4266z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2586z00_4652);
						FAILURE(BgL_auxz00_7724, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_appz00_bglt) CREF(
							((obj_t) BgL_obj2586z00_6486)))->BgL_locz00);
			}
		}
	}



/* &ev_app-fun-set! */
	obj_t BGl_z62ev_appzd2funzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4655, obj_t BgL_obj2589z00_4656, obj_t BgL_val2588z00_4657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_obj2589z00_6489;
				BgL_ev_exprz00_bglt BgL_val2588z00_6490;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2589z00_4656,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_obj2589z00_6489 = ((BgL_ev_appz00_bglt) BgL_obj2589z00_4656);
					}
				else
					{
						obj_t BgL_auxz00_7733;

						BgL_auxz00_7733 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4267z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2589z00_4656);
						FAILURE(BgL_auxz00_7733, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2588z00_4657,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_val2588z00_6490 = ((BgL_ev_exprz00_bglt) BgL_val2588z00_4657);
					}
				else
					{
						obj_t BgL_auxz00_7740;

						BgL_auxz00_7740 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4267z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2588z00_4657);
						FAILURE(BgL_auxz00_7740, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_appz00_bglt) CREF(
								((obj_t) BgL_obj2589z00_6489)))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_val2588z00_6490), BUNSPEC);
			}
		}
	}



/* &ev_app-fun */
	BgL_ev_exprz00_bglt BGl_z62ev_appzd2funzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4653, obj_t BgL_obj2587z00_4654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_obj2587z00_6492;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2587z00_4654,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_obj2587z00_6492 = ((BgL_ev_appz00_bglt) BgL_obj2587z00_4654);
					}
				else
					{
						obj_t BgL_auxz00_7749;

						BgL_auxz00_7749 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4268z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2587z00_4654);
						FAILURE(BgL_auxz00_7749, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_appz00_bglt) CREF(
							((obj_t) BgL_obj2587z00_6492)))->BgL_funz00);
			}
		}
	}



/* &ev_app-args-set! */
	obj_t BGl_z62ev_appzd2argszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4660, obj_t BgL_obj2592z00_4661, obj_t BgL_val2591z00_4662)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_obj2592z00_6494;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2592z00_4661,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_obj2592z00_6494 = ((BgL_ev_appz00_bglt) BgL_obj2592z00_4661);
					}
				else
					{
						obj_t BgL_auxz00_7758;

						BgL_auxz00_7758 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4269z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2592z00_4661);
						FAILURE(BgL_auxz00_7758, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_appz00_bglt) CREF(
								((obj_t) BgL_obj2592z00_6494)))->BgL_argsz00) =
					((obj_t) BgL_val2591z00_4662), BUNSPEC);
			}
		}
	}



/* &ev_app-args */
	obj_t BGl_z62ev_appzd2argszb0zz__evaluate_typesz00(obj_t BgL_envz00_4658,
		obj_t BgL_obj2590z00_4659)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_obj2590z00_6497;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2590z00_4659,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_obj2590z00_6497 = ((BgL_ev_appz00_bglt) BgL_obj2590z00_4659);
					}
				else
					{
						obj_t BgL_auxz00_7767;

						BgL_auxz00_7767 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4270z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2590z00_4659);
						FAILURE(BgL_auxz00_7767, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_appz00_bglt) CREF(
							((obj_t) BgL_obj2590z00_6497)))->BgL_argsz00);
			}
		}
	}



/* &ev_app-tail?-set! */
	obj_t BGl_z62ev_appzd2tailzf3zd2setz12z83zz__evaluate_typesz00(obj_t
		BgL_envz00_4665, obj_t BgL_obj2595z00_4666, obj_t BgL_val2594z00_4667)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_obj2595z00_6499;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2595z00_4666,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_obj2595z00_6499 = ((BgL_ev_appz00_bglt) BgL_obj2595z00_4666);
					}
				else
					{
						obj_t BgL_auxz00_7776;

						BgL_auxz00_7776 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4271z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2595z00_4666);
						FAILURE(BgL_auxz00_7776, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_appz00_bglt) CREF(
								((obj_t) BgL_obj2595z00_6499)))->BgL_tailzf3zf3) =
					((obj_t) BgL_val2594z00_4667), BUNSPEC);
			}
		}
	}



/* &ev_app-tail? */
	obj_t BGl_z62ev_appzd2tailzf3z43zz__evaluate_typesz00(obj_t BgL_envz00_4663,
		obj_t BgL_obj2593z00_4664)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_obj2593z00_6502;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2593z00_4664,
						BGl_ev_appz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 114 */
						BgL_obj2593z00_6502 = ((BgL_ev_appz00_bglt) BgL_obj2593z00_4664);
					}
				else
					{
						obj_t BgL_auxz00_7785;

						BgL_auxz00_7785 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3150)),
							BGl_string4272z00zz__evaluate_typesz00,
							BGl_string4228z00zz__evaluate_typesz00, BgL_obj2593z00_4664);
						FAILURE(BgL_auxz00_7785, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_appz00_bglt) CREF(
							((obj_t) BgL_obj2593z00_6502)))->BgL_tailzf3zf3);
			}
		}
	}



/* ev_goto? */
	BGL_EXPORTED_DEF bool_t BGl_ev_gotozf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2585z00_75)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2585z00_75,
				BGl_ev_gotoz00zz__evaluate_typesz00);
		}
	}



/* &ev_goto? */
	obj_t BGl_z62ev_gotozf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4649,
		obj_t BgL_obj2585z00_4650)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2585z00_4650,
					BGl_ev_gotoz00zz__evaluate_typesz00));
		}
	}



/* make-ev_goto */
	BGL_EXPORTED_DEF BgL_ev_gotoz00_bglt
		BGl_makezd2ev_gotozd2zz__evaluate_typesz00(obj_t BgL_loc2549z00_79,
		BgL_ev_varz00_bglt BgL_label2550z00_80,
		BgL_ev_labelsz00_bglt BgL_labels2551z00_81, obj_t BgL_args2552z00_82)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_new2553z00_2677;

				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_res3561z00_2682;

					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_gotoz00_bglt BgL_new2565z00_2678;

						BgL_new2565z00_2678 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 109 */
							long BgL_arg3146z00_2679;

							BgL_arg3146z00_2679 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_gotoz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 109 */
								BgL_objectz00_bglt BgL_objz00_2680;

								BgL_objz00_2680 = ((BgL_objectz00_bglt) BgL_new2565z00_2678);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2680, BgL_arg3146z00_2679);
						}}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_auxz00_7798;

							BgL_auxz00_7798 = ((BgL_objectz00_bglt) BgL_new2565z00_2678);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_7798, BFALSE);
						}
						BgL_res3561z00_2682 = BgL_new2565z00_2678;
					}
					BgL_new2553z00_2677 = BgL_res3561z00_2682;
				}
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_res3562z00_2692;

					((((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_new2553z00_2677)))->BgL_locz00) =
						((obj_t) BgL_loc2549z00_79), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2553z00_2677)))->
							BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label2550z00_80), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2553z00_2677)))->
							BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels2551z00_81), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2553z00_2677)))->
							BgL_argsz00) = ((obj_t) BgL_args2552z00_82), BUNSPEC);
					BgL_res3562z00_2692 = BgL_new2553z00_2677;
					BgL_res3562z00_2692;
				}
				return BgL_new2553z00_2677;
			}
		}
	}



/* &make-ev_goto */
	BgL_ev_gotoz00_bglt BGl_z62makezd2ev_gotozb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4642, obj_t BgL_loc2549z00_4643, obj_t BgL_label2550z00_4644,
		obj_t BgL_labels2551z00_4645, obj_t BgL_args2552z00_4646)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_labelsz00_bglt BgL_auxz00_7817;
				BgL_ev_varz00_bglt BgL_auxz00_7809;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_labels2551z00_4645,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_auxz00_7817 = ((BgL_ev_labelsz00_bglt) BgL_labels2551z00_4645);
					}
				else
					{
						obj_t BgL_auxz00_7821;

						BgL_auxz00_7821 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4273z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_labels2551z00_4645);
						FAILURE(BgL_auxz00_7821, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_label2550z00_4644,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_auxz00_7809 = ((BgL_ev_varz00_bglt) BgL_label2550z00_4644);
					}
				else
					{
						obj_t BgL_auxz00_7813;

						BgL_auxz00_7813 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4273z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_label2550z00_4644);
						FAILURE(BgL_auxz00_7813, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_gotozd2zz__evaluate_typesz00(BgL_loc2549z00_4643,
					BgL_auxz00_7809, BgL_auxz00_7817, BgL_args2552z00_4646);
			}
		}
	}



/* fill-ev_goto! */
	BGL_EXPORTED_DEF BgL_ev_gotoz00_bglt
		BGl_fillzd2ev_gotoz12zc0zz__evaluate_typesz00(BgL_ev_gotoz00_bglt
		BgL_new2559z00_83, obj_t BgL_loc2555z00_84,
		BgL_ev_varz00_bglt BgL_label2556z00_85,
		BgL_ev_labelsz00_bglt BgL_labels2557z00_86, obj_t BgL_args2558z00_87)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			((((BgL_ev_gotoz00_bglt) CREF(
							((obj_t) BgL_new2559z00_83)))->BgL_locz00) =
				((obj_t) BgL_loc2555z00_84), BUNSPEC);
			((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2559z00_83)))->
					BgL_labelz00) = ((BgL_ev_varz00_bglt) BgL_label2556z00_85), BUNSPEC);
			((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2559z00_83)))->
					BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) BgL_labels2557z00_86), BUNSPEC);
			((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2559z00_83)))->
					BgL_argsz00) = ((obj_t) BgL_args2558z00_87), BUNSPEC);
			return BgL_new2559z00_83;
		}
	}



/* &fill-ev_goto! */
	BgL_ev_gotoz00_bglt BGl_z62fillzd2ev_gotoz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4751, obj_t BgL_new2559z00_4752, obj_t BgL_loc2555z00_4753,
		obj_t BgL_label2556z00_4754, obj_t BgL_labels2557z00_4755,
		obj_t BgL_args2558z00_4756)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_new2559z00_6509;
				BgL_ev_varz00_bglt BgL_label2556z00_6511;
				BgL_ev_labelsz00_bglt BgL_labels2557z00_6512;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2559z00_4752,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_new2559z00_6509 = ((BgL_ev_gotoz00_bglt) BgL_new2559z00_4752);
					}
				else
					{
						obj_t BgL_auxz00_7837;

						BgL_auxz00_7837 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4274z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_new2559z00_4752);
						FAILURE(BgL_auxz00_7837, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_label2556z00_4754,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_label2556z00_6511 =
							((BgL_ev_varz00_bglt) BgL_label2556z00_4754);
					}
				else
					{
						obj_t BgL_auxz00_7844;

						BgL_auxz00_7844 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4274z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_label2556z00_4754);
						FAILURE(BgL_auxz00_7844, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_labels2557z00_4755,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_labels2557z00_6512 =
							((BgL_ev_labelsz00_bglt) BgL_labels2557z00_4755);
					}
				else
					{
						obj_t BgL_auxz00_7851;

						BgL_auxz00_7851 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4274z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_labels2557z00_4755);
						FAILURE(BgL_auxz00_7851, BFALSE, BFALSE);
					}
				((((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_new2559z00_6509)))->BgL_locz00) =
					((obj_t) BgL_loc2555z00_4753), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2559z00_6509)))->
						BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_label2556z00_6511), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2559z00_6509)))->
						BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_labels2557z00_6512), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_new2559z00_6509)))->
						BgL_argsz00) = ((obj_t) BgL_args2558z00_4756), BUNSPEC);
				return BgL_new2559z00_6509;
			}
		}
	}



/* %allocate-ev_goto */
	BGL_EXPORTED_DEF BgL_ev_gotoz00_bglt
		BGl_z52allocatezd2ev_gotoz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_new2565z00_6514;

				BgL_new2565z00_6514 =
					((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 109 */
					long BgL_arg3146z00_6515;

					BgL_arg3146z00_6515 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_gotoz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 109 */
						BgL_objectz00_bglt BgL_objz00_6516;

						BgL_objz00_6516 = ((BgL_objectz00_bglt) BgL_new2565z00_6514);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6516, BgL_arg3146z00_6515);
				}}
				{	/* Eval/evaluate_types.scm 109 */
					BgL_objectz00_bglt BgL_auxz00_7867;

					BgL_auxz00_7867 = ((BgL_objectz00_bglt) BgL_new2565z00_6514);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_7867, BFALSE);
				}
				return BgL_new2565z00_6514;
			}
		}
	}



/* &%allocate-ev_goto */
	BgL_ev_gotoz00_bglt BGl_z62z52allocatezd2ev_gotoze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_new2565z00_6517;

				BgL_new2565z00_6517 =
					((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 109 */
					long BgL_arg3146z00_6518;

					BgL_arg3146z00_6518 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_gotoz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 109 */
						BgL_objectz00_bglt BgL_objz00_6519;

						BgL_objz00_6519 = ((BgL_objectz00_bglt) BgL_new2565z00_6517);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6519, BgL_arg3146z00_6518);
				}}
				{	/* Eval/evaluate_types.scm 109 */
					BgL_objectz00_bglt BgL_auxz00_7874;

					BgL_auxz00_7874 = ((BgL_objectz00_bglt) BgL_new2565z00_6517);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_7874, BFALSE);
				}
				return BgL_new2565z00_6517;
			}
		}
	}



/* ev_goto-nil */
	BGL_EXPORTED_DEF BgL_ev_gotoz00_bglt
		BGl_ev_gotozd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_gotozd2nilz52zz__evaluate_typesz00,
					BGl_ev_gotoz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_xz00_5244;

					BgL_xz00_5244 = BGl_z52thezd2ev_gotozd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_gotoz00_bglt) BgL_xz00_5244);
				}
			else
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_g2566z00_1485;

					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_gotoz00_bglt BgL_res3563z00_2705;

						{	/* Eval/evaluate_types.scm 109 */
							BgL_ev_gotoz00_bglt BgL_new2565z00_2701;

							BgL_new2565z00_2701 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_types.scm 109 */
								long BgL_arg3146z00_2702;

								BgL_arg3146z00_2702 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_gotoz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 109 */
									BgL_objectz00_bglt BgL_objz00_2703;

									BgL_objz00_2703 = ((BgL_objectz00_bglt) BgL_new2565z00_2701);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2703,
										BgL_arg3146z00_2702);
							}}
							{	/* Eval/evaluate_types.scm 109 */
								BgL_objectz00_bglt BgL_auxz00_7884;

								BgL_auxz00_7884 = ((BgL_objectz00_bglt) BgL_new2565z00_2701);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_7884, BFALSE);
							}
							BgL_res3563z00_2705 = BgL_new2565z00_2701;
						}
						BgL_g2566z00_1485 = BgL_res3563z00_2705;
					}
					BGl_z52thezd2ev_gotozd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2566z00_1485);
					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_varz00_bglt BgL_arg3148z00_1486;
						BgL_ev_labelsz00_bglt BgL_arg3149z00_1487;

						BgL_arg3148z00_1486 = BGl_ev_varzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3149z00_1487 = BGl_ev_labelszd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 109 */
							BgL_ev_gotoz00_bglt BgL_res3564z00_2715;

							((((BgL_ev_gotoz00_bglt) CREF(
											((obj_t) BgL_g2566z00_1485)))->BgL_locz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_g2566z00_1485)))->
									BgL_labelz00) =
								((BgL_ev_varz00_bglt) BgL_arg3148z00_1486), BUNSPEC);
							((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_g2566z00_1485)))->
									BgL_labelsz00) =
								((BgL_ev_labelsz00_bglt) BgL_arg3149z00_1487), BUNSPEC);
							((((BgL_ev_gotoz00_bglt) CREF(((obj_t) BgL_g2566z00_1485)))->
									BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3564z00_2715 = BgL_g2566z00_1485;
							BgL_res3564z00_2715;
					}}
					return BgL_g2566z00_1485;
				}
		}
	}



/* &ev_goto-nil */
	BgL_ev_gotoz00_bglt BGl_z62ev_gotozd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return BGl_ev_gotozd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_goto-loc */
	obj_t BGl_z62ev_gotozd2loczb0zz__evaluate_typesz00(obj_t BgL_envz00_4625,
		obj_t BgL_obj2539z00_4626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{	/* Eval/evaluate_types.scm 110 */
				BgL_ev_gotoz00_bglt BgL_obj2539z00_6521;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2539z00_4626,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 110 */
						BgL_obj2539z00_6521 = ((BgL_ev_gotoz00_bglt) BgL_obj2539z00_4626);
					}
				else
					{
						obj_t BgL_auxz00_7902;

						BgL_auxz00_7902 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3070)),
							BGl_string4275z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2539z00_4626);
						FAILURE(BgL_auxz00_7902, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_gotoz00_bglt) CREF(
							((obj_t) BgL_obj2539z00_6521)))->BgL_locz00);
			}
		}
	}



/* &ev_goto-label-set! */
	obj_t BGl_z62ev_gotozd2labelzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4629, obj_t BgL_obj2542z00_4630, obj_t BgL_val2541z00_4631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_obj2542z00_6524;
				BgL_ev_varz00_bglt BgL_val2541z00_6525;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2542z00_4630,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_obj2542z00_6524 = ((BgL_ev_gotoz00_bglt) BgL_obj2542z00_4630);
					}
				else
					{
						obj_t BgL_auxz00_7911;

						BgL_auxz00_7911 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4276z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2542z00_4630);
						FAILURE(BgL_auxz00_7911, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2541z00_4631,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_val2541z00_6525 = ((BgL_ev_varz00_bglt) BgL_val2541z00_4631);
					}
				else
					{
						obj_t BgL_auxz00_7918;

						BgL_auxz00_7918 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4276z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_val2541z00_4631);
						FAILURE(BgL_auxz00_7918, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_obj2542z00_6524)))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_val2541z00_6525), BUNSPEC);
			}
		}
	}



/* &ev_goto-label */
	BgL_ev_varz00_bglt BGl_z62ev_gotozd2labelzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4627, obj_t BgL_obj2540z00_4628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_obj2540z00_6527;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2540z00_4628,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_obj2540z00_6527 = ((BgL_ev_gotoz00_bglt) BgL_obj2540z00_4628);
					}
				else
					{
						obj_t BgL_auxz00_7927;

						BgL_auxz00_7927 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4277z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2540z00_4628);
						FAILURE(BgL_auxz00_7927, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_gotoz00_bglt) CREF(
							((obj_t) BgL_obj2540z00_6527)))->BgL_labelz00);
			}
		}
	}



/* &ev_goto-labels-set! */
	obj_t BGl_z62ev_gotozd2labelszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4634, obj_t BgL_obj2545z00_4635, obj_t BgL_val2544z00_4636)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_obj2545z00_6530;
				BgL_ev_labelsz00_bglt BgL_val2544z00_6531;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2545z00_4635,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_obj2545z00_6530 = ((BgL_ev_gotoz00_bglt) BgL_obj2545z00_4635);
					}
				else
					{
						obj_t BgL_auxz00_7936;

						BgL_auxz00_7936 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4278z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2545z00_4635);
						FAILURE(BgL_auxz00_7936, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2544z00_4636,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_val2544z00_6531 = ((BgL_ev_labelsz00_bglt) BgL_val2544z00_4636);
					}
				else
					{
						obj_t BgL_auxz00_7943;

						BgL_auxz00_7943 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4278z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_val2544z00_4636);
						FAILURE(BgL_auxz00_7943, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_obj2545z00_6530)))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_val2544z00_6531), BUNSPEC);
			}
		}
	}



/* &ev_goto-labels */
	BgL_ev_labelsz00_bglt BGl_z62ev_gotozd2labelszb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4632, obj_t BgL_obj2543z00_4633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_obj2543z00_6533;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2543z00_4633,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_obj2543z00_6533 = ((BgL_ev_gotoz00_bglt) BgL_obj2543z00_4633);
					}
				else
					{
						obj_t BgL_auxz00_7952;

						BgL_auxz00_7952 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4279z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2543z00_4633);
						FAILURE(BgL_auxz00_7952, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_gotoz00_bglt) CREF(
							((obj_t) BgL_obj2543z00_6533)))->BgL_labelsz00);
			}
		}
	}



/* &ev_goto-args-set! */
	obj_t BGl_z62ev_gotozd2argszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4639, obj_t BgL_obj2548z00_4640, obj_t BgL_val2547z00_4641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_obj2548z00_6535;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2548z00_4640,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_obj2548z00_6535 = ((BgL_ev_gotoz00_bglt) BgL_obj2548z00_4640);
					}
				else
					{
						obj_t BgL_auxz00_7961;

						BgL_auxz00_7961 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4280z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2548z00_4640);
						FAILURE(BgL_auxz00_7961, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_gotoz00_bglt) CREF(
								((obj_t) BgL_obj2548z00_6535)))->BgL_argsz00) =
					((obj_t) BgL_val2547z00_4641), BUNSPEC);
			}
		}
	}



/* &ev_goto-args */
	obj_t BGl_z62ev_gotozd2argszb0zz__evaluate_typesz00(obj_t BgL_envz00_4637,
		obj_t BgL_obj2546z00_4638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_obj2546z00_6538;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2546z00_4638,
						BGl_ev_gotoz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 109 */
						BgL_obj2546z00_6538 = ((BgL_ev_gotoz00_bglt) BgL_obj2546z00_4638);
					}
				else
					{
						obj_t BgL_auxz00_7970;

						BgL_auxz00_7970 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3039)),
							BGl_string4281z00zz__evaluate_typesz00,
							BGl_string4222z00zz__evaluate_typesz00, BgL_obj2546z00_4638);
						FAILURE(BgL_auxz00_7970, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_gotoz00_bglt) CREF(
							((obj_t) BgL_obj2546z00_6538)))->BgL_argsz00);
			}
		}
	}



/* ev_labels? */
	BGL_EXPORTED_DEF bool_t BGl_ev_labelszf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2538z00_98)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2538z00_98,
				BGl_ev_labelsz00zz__evaluate_typesz00);
		}
	}



/* &ev_labels? */
	obj_t BGl_z62ev_labelszf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4623,
		obj_t BgL_obj2538z00_4624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2538z00_4624,
					BGl_ev_labelsz00zz__evaluate_typesz00));
		}
	}



/* make-ev_labels */
	BGL_EXPORTED_DEF BgL_ev_labelsz00_bglt
		BGl_makezd2ev_labelszd2zz__evaluate_typesz00(obj_t BgL_vars2488z00_102,
		obj_t BgL_vals2489z00_103, obj_t BgL_env2490z00_104,
		obj_t BgL_stk2491z00_105, BgL_ev_exprz00_bglt BgL_body2492z00_106,
		obj_t BgL_boxes2493z00_107)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_new2494z00_2716;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_res3565z00_2721;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_labelsz00_bglt BgL_new2510z00_2717;

						BgL_new2510z00_2717 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg3150z00_2718;

							BgL_arg3150z00_2718 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_labelsz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2719;

								BgL_objz00_2719 = ((BgL_objectz00_bglt) BgL_new2510z00_2717);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2719, BgL_arg3150z00_2718);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_7983;

							BgL_auxz00_7983 = ((BgL_objectz00_bglt) BgL_new2510z00_2717);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_7983, BFALSE);
						}
						BgL_res3565z00_2721 = BgL_new2510z00_2717;
					}
					BgL_new2494z00_2716 = BgL_res3565z00_2721;
				}
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_res3566z00_2735;

					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_new2494z00_2716)))->BgL_varsz00) =
						((obj_t) BgL_vars2488z00_102), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2494z00_2716)))->
							BgL_valsz00) = ((obj_t) BgL_vals2489z00_103), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2494z00_2716)))->
							BgL_envz00) = ((obj_t) BgL_env2490z00_104), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2494z00_2716)))->
							BgL_stkz00) = ((obj_t) BgL_stk2491z00_105), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2494z00_2716)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2492z00_106), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2494z00_2716)))->
							BgL_boxesz00) = ((obj_t) BgL_boxes2493z00_107), BUNSPEC);
					BgL_res3566z00_2735 = BgL_new2494z00_2716;
					BgL_res3566z00_2735;
				}
				return BgL_new2494z00_2716;
			}
		}
	}



/* &make-ev_labels */
	BgL_ev_labelsz00_bglt BGl_z62makezd2ev_labelszb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4614, obj_t BgL_vars2488z00_4615, obj_t BgL_vals2489z00_4616,
		obj_t BgL_env2490z00_4617, obj_t BgL_stk2491z00_4618,
		obj_t BgL_body2492z00_4619, obj_t BgL_boxes2493z00_4620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_exprz00_bglt BgL_auxz00_7998;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2492z00_4619,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_auxz00_7998 = ((BgL_ev_exprz00_bglt) BgL_body2492z00_4619);
					}
				else
					{
						obj_t BgL_auxz00_8002;

						BgL_auxz00_8002 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4282z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2492z00_4619);
						FAILURE(BgL_auxz00_8002, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_labelszd2zz__evaluate_typesz00(BgL_vars2488z00_4615,
					BgL_vals2489z00_4616, BgL_env2490z00_4617, BgL_stk2491z00_4618,
					BgL_auxz00_7998, BgL_boxes2493z00_4620);
			}
		}
	}



/* fill-ev_labels! */
	BGL_EXPORTED_DEF BgL_ev_labelsz00_bglt
		BGl_fillzd2ev_labelsz12zc0zz__evaluate_typesz00(BgL_ev_labelsz00_bglt
		BgL_new2502z00_108, obj_t BgL_vars2496z00_109, obj_t BgL_vals2497z00_110,
		obj_t BgL_env2498z00_111, obj_t BgL_stk2499z00_112,
		BgL_ev_exprz00_bglt BgL_body2500z00_113, obj_t BgL_boxes2501z00_114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			((((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_new2502z00_108)))->BgL_varsz00) =
				((obj_t) BgL_vars2496z00_109), BUNSPEC);
			((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_108)))->
					BgL_valsz00) = ((obj_t) BgL_vals2497z00_110), BUNSPEC);
			((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_108)))->
					BgL_envz00) = ((obj_t) BgL_env2498z00_111), BUNSPEC);
			((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_108)))->
					BgL_stkz00) = ((obj_t) BgL_stk2499z00_112), BUNSPEC);
			((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_108)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2500z00_113), BUNSPEC);
			((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_108)))->
					BgL_boxesz00) = ((obj_t) BgL_boxes2501z00_114), BUNSPEC);
			return BgL_new2502z00_108;
		}
	}



/* &fill-ev_labels! */
	BgL_ev_labelsz00_bglt BGl_z62fillzd2ev_labelsz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4757, obj_t BgL_new2502z00_4758, obj_t BgL_vars2496z00_4759,
		obj_t BgL_vals2497z00_4760, obj_t BgL_env2498z00_4761,
		obj_t BgL_stk2499z00_4762, obj_t BgL_body2500z00_4763,
		obj_t BgL_boxes2501z00_4764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_new2502z00_6543;
				BgL_ev_exprz00_bglt BgL_body2500z00_6548;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2502z00_4758,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_new2502z00_6543 = ((BgL_ev_labelsz00_bglt) BgL_new2502z00_4758);
					}
				else
					{
						obj_t BgL_auxz00_8022;

						BgL_auxz00_8022 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4283z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_new2502z00_4758);
						FAILURE(BgL_auxz00_8022, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2500z00_4763,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_body2500z00_6548 = ((BgL_ev_exprz00_bglt) BgL_body2500z00_4763);
					}
				else
					{
						obj_t BgL_auxz00_8029;

						BgL_auxz00_8029 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4283z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2500z00_4763);
						FAILURE(BgL_auxz00_8029, BFALSE, BFALSE);
					}
				((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_new2502z00_6543)))->BgL_varsz00) =
					((obj_t) BgL_vars2496z00_4759), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_6543)))->
						BgL_valsz00) = ((obj_t) BgL_vals2497z00_4760), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_6543)))->
						BgL_envz00) = ((obj_t) BgL_env2498z00_4761), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_6543)))->
						BgL_stkz00) = ((obj_t) BgL_stk2499z00_4762), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_6543)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2500z00_6548), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_new2502z00_6543)))->
						BgL_boxesz00) = ((obj_t) BgL_boxes2501z00_4764), BUNSPEC);
				return BgL_new2502z00_6543;
			}
		}
	}



/* %allocate-ev_labels */
	BGL_EXPORTED_DEF BgL_ev_labelsz00_bglt
		BGl_z52allocatezd2ev_labelsz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_new2510z00_6550;

				BgL_new2510z00_6550 =
					((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg3150z00_6551;

					BgL_arg3150z00_6551 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_labelsz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_objz00_6552;

						BgL_objz00_6552 = ((BgL_objectz00_bglt) BgL_new2510z00_6550);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6552, BgL_arg3150z00_6551);
				}}
				{	/* Eval/evaluate_types.scm 101 */
					BgL_objectz00_bglt BgL_auxz00_8049;

					BgL_auxz00_8049 = ((BgL_objectz00_bglt) BgL_new2510z00_6550);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8049, BFALSE);
				}
				return BgL_new2510z00_6550;
			}
		}
	}



/* &%allocate-ev_labels */
	BgL_ev_labelsz00_bglt
		BGl_z62z52allocatezd2ev_labelsze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_new2510z00_6553;

				BgL_new2510z00_6553 =
					((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg3150z00_6554;

					BgL_arg3150z00_6554 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_labelsz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_objz00_6555;

						BgL_objz00_6555 = ((BgL_objectz00_bglt) BgL_new2510z00_6553);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6555, BgL_arg3150z00_6554);
				}}
				{	/* Eval/evaluate_types.scm 101 */
					BgL_objectz00_bglt BgL_auxz00_8056;

					BgL_auxz00_8056 = ((BgL_objectz00_bglt) BgL_new2510z00_6553);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8056, BFALSE);
				}
				return BgL_new2510z00_6553;
			}
		}
	}



/* ev_labels-nil */
	BGL_EXPORTED_DEF BgL_ev_labelsz00_bglt
		BGl_ev_labelszd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_labelszd2nilz52zz__evaluate_typesz00,
					BGl_ev_labelsz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_xz00_5311;

					BgL_xz00_5311 = BGl_z52thezd2ev_labelszd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_labelsz00_bglt) BgL_xz00_5311);
				}
			else
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_g2511z00_1498;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_labelsz00_bglt BgL_res3567z00_2750;

						{	/* Eval/evaluate_types.scm 101 */
							BgL_ev_labelsz00_bglt BgL_new2510z00_2746;

							BgL_new2510z00_2746 =
								((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_labelsz00_bgl))));
							{	/* Eval/evaluate_types.scm 101 */
								long BgL_arg3150z00_2747;

								BgL_arg3150z00_2747 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_labelsz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 101 */
									BgL_objectz00_bglt BgL_objz00_2748;

									BgL_objz00_2748 = ((BgL_objectz00_bglt) BgL_new2510z00_2746);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2748,
										BgL_arg3150z00_2747);
							}}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_auxz00_8066;

								BgL_auxz00_8066 = ((BgL_objectz00_bglt) BgL_new2510z00_2746);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8066, BFALSE);
							}
							BgL_res3567z00_2750 = BgL_new2510z00_2746;
						}
						BgL_g2511z00_1498 = BgL_res3567z00_2750;
					}
					BGl_z52thezd2ev_labelszd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2511z00_1498);
					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_exprz00_bglt BgL_arg3152z00_1499;

						BgL_arg3152z00_1499 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 101 */
							BgL_ev_labelsz00_bglt BgL_res3568z00_2764;

							((((BgL_ev_labelsz00_bglt) CREF(
											((obj_t) BgL_g2511z00_1498)))->BgL_varsz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_g2511z00_1498)))->
									BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_g2511z00_1498)))->
									BgL_envz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_g2511z00_1498)))->
									BgL_stkz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_g2511z00_1498)))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3152z00_1499), BUNSPEC);
							((((BgL_ev_labelsz00_bglt) CREF(((obj_t) BgL_g2511z00_1498)))->
									BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3568z00_2764 = BgL_g2511z00_1498;
							BgL_res3568z00_2764;
					}}
					return BgL_g2511z00_1498;
				}
		}
	}



/* &ev_labels-nil */
	BgL_ev_labelsz00_bglt BGl_z62ev_labelszd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BGl_ev_labelszd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_labels-vars-set! */
	obj_t BGl_z62ev_labelszd2varszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4586, obj_t BgL_obj2472z00_4587, obj_t BgL_val2471z00_4588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_obj2472z00_6557;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2472z00_4587,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_obj2472z00_6557 = ((BgL_ev_labelsz00_bglt) BgL_obj2472z00_4587);
					}
				else
					{
						obj_t BgL_auxz00_8087;

						BgL_auxz00_8087 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4284z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2472z00_4587);
						FAILURE(BgL_auxz00_8087, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_obj2472z00_6557)))->BgL_varsz00) =
					((obj_t) BgL_val2471z00_4588), BUNSPEC);
			}
		}
	}



/* &ev_labels-vars */
	obj_t BGl_z62ev_labelszd2varszb0zz__evaluate_typesz00(obj_t BgL_envz00_4584,
		obj_t BgL_obj2470z00_4585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_obj2470z00_6560;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2470z00_4585,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_obj2470z00_6560 = ((BgL_ev_labelsz00_bglt) BgL_obj2470z00_4585);
					}
				else
					{
						obj_t BgL_auxz00_8096;

						BgL_auxz00_8096 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4285z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2470z00_4585);
						FAILURE(BgL_auxz00_8096, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_obj2470z00_6560)))->BgL_varsz00);
			}
		}
	}



/* &ev_labels-vals-set! */
	obj_t BGl_z62ev_labelszd2valszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4591, obj_t BgL_obj2475z00_4592, obj_t BgL_val2474z00_4593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_obj2475z00_6562;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2475z00_4592,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_obj2475z00_6562 = ((BgL_ev_labelsz00_bglt) BgL_obj2475z00_4592);
					}
				else
					{
						obj_t BgL_auxz00_8105;

						BgL_auxz00_8105 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4286z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2475z00_4592);
						FAILURE(BgL_auxz00_8105, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_obj2475z00_6562)))->BgL_valsz00) =
					((obj_t) BgL_val2474z00_4593), BUNSPEC);
			}
		}
	}



/* &ev_labels-vals */
	obj_t BGl_z62ev_labelszd2valszb0zz__evaluate_typesz00(obj_t BgL_envz00_4589,
		obj_t BgL_obj2473z00_4590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_obj2473z00_6565;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2473z00_4590,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_obj2473z00_6565 = ((BgL_ev_labelsz00_bglt) BgL_obj2473z00_4590);
					}
				else
					{
						obj_t BgL_auxz00_8114;

						BgL_auxz00_8114 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4287z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2473z00_4590);
						FAILURE(BgL_auxz00_8114, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_obj2473z00_6565)))->BgL_valsz00);
			}
		}
	}



/* &ev_labels-env-set! */
	obj_t BGl_z62ev_labelszd2envzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4596, obj_t BgL_obj2478z00_4597, obj_t BgL_val2477z00_4598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_obj2478z00_6567;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2478z00_4597,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 104 */
						BgL_obj2478z00_6567 = ((BgL_ev_labelsz00_bglt) BgL_obj2478z00_4597);
					}
				else
					{
						obj_t BgL_auxz00_8123;

						BgL_auxz00_8123 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2906)),
							BGl_string4288z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2478z00_4597);
						FAILURE(BgL_auxz00_8123, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_obj2478z00_6567)))->BgL_envz00) =
					((obj_t) BgL_val2477z00_4598), BUNSPEC);
			}
		}
	}



/* &ev_labels-env */
	obj_t BGl_z62ev_labelszd2envzb0zz__evaluate_typesz00(obj_t BgL_envz00_4594,
		obj_t BgL_obj2476z00_4595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 104 */
			{	/* Eval/evaluate_types.scm 104 */
				BgL_ev_labelsz00_bglt BgL_obj2476z00_6570;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2476z00_4595,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 104 */
						BgL_obj2476z00_6570 = ((BgL_ev_labelsz00_bglt) BgL_obj2476z00_4595);
					}
				else
					{
						obj_t BgL_auxz00_8132;

						BgL_auxz00_8132 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2906)),
							BGl_string4289z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2476z00_4595);
						FAILURE(BgL_auxz00_8132, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_obj2476z00_6570)))->BgL_envz00);
			}
		}
	}



/* &ev_labels-stk-set! */
	obj_t BGl_z62ev_labelszd2stkzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4601, obj_t BgL_obj2481z00_4602, obj_t BgL_val2480z00_4603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_labelsz00_bglt BgL_obj2481z00_6572;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2481z00_4602,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 105 */
						BgL_obj2481z00_6572 = ((BgL_ev_labelsz00_bglt) BgL_obj2481z00_4602);
					}
				else
					{
						obj_t BgL_auxz00_8141;

						BgL_auxz00_8141 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2956)),
							BGl_string4290z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2481z00_4602);
						FAILURE(BgL_auxz00_8141, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_obj2481z00_6572)))->BgL_stkz00) =
					((obj_t) BgL_val2480z00_4603), BUNSPEC);
			}
		}
	}



/* &ev_labels-stk */
	obj_t BGl_z62ev_labelszd2stkzb0zz__evaluate_typesz00(obj_t BgL_envz00_4599,
		obj_t BgL_obj2479z00_4600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_labelsz00_bglt BgL_obj2479z00_6575;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2479z00_4600,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 105 */
						BgL_obj2479z00_6575 = ((BgL_ev_labelsz00_bglt) BgL_obj2479z00_4600);
					}
				else
					{
						obj_t BgL_auxz00_8150;

						BgL_auxz00_8150 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2956)),
							BGl_string4291z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2479z00_4600);
						FAILURE(BgL_auxz00_8150, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_obj2479z00_6575)))->BgL_stkz00);
			}
		}
	}



/* &ev_labels-body-set! */
	obj_t BGl_z62ev_labelszd2bodyzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4606, obj_t BgL_obj2484z00_4607, obj_t BgL_val2483z00_4608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_obj2484z00_6578;
				BgL_ev_exprz00_bglt BgL_val2483z00_6579;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2484z00_4607,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_obj2484z00_6578 = ((BgL_ev_labelsz00_bglt) BgL_obj2484z00_4607);
					}
				else
					{
						obj_t BgL_auxz00_8159;

						BgL_auxz00_8159 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4292z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2484z00_4607);
						FAILURE(BgL_auxz00_8159, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2483z00_4608,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_val2483z00_6579 = ((BgL_ev_exprz00_bglt) BgL_val2483z00_4608);
					}
				else
					{
						obj_t BgL_auxz00_8166;

						BgL_auxz00_8166 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4292z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2483z00_4608);
						FAILURE(BgL_auxz00_8166, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_obj2484z00_6578)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2483z00_6579), BUNSPEC);
			}
		}
	}



/* &ev_labels-body */
	BgL_ev_exprz00_bglt BGl_z62ev_labelszd2bodyzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4604, obj_t BgL_obj2482z00_4605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_obj2482z00_6581;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2482z00_4605,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 101 */
						BgL_obj2482z00_6581 = ((BgL_ev_labelsz00_bglt) BgL_obj2482z00_4605);
					}
				else
					{
						obj_t BgL_auxz00_8175;

						BgL_auxz00_8175 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2826)),
							BGl_string4293z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2482z00_4605);
						FAILURE(BgL_auxz00_8175, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_obj2482z00_6581)))->BgL_bodyz00);
			}
		}
	}



/* &ev_labels-boxes-set! */
	obj_t BGl_z62ev_labelszd2boxeszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4611, obj_t BgL_obj2487z00_4612, obj_t BgL_val2486z00_4613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 107 */
			{	/* Eval/evaluate_types.scm 107 */
				BgL_ev_labelsz00_bglt BgL_obj2487z00_6583;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2487z00_4612,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 107 */
						BgL_obj2487z00_6583 = ((BgL_ev_labelsz00_bglt) BgL_obj2487z00_4612);
					}
				else
					{
						obj_t BgL_auxz00_8184;

						BgL_auxz00_8184 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3004)),
							BGl_string4294z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2487z00_4612);
						FAILURE(BgL_auxz00_8184, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_obj2487z00_6583)))->BgL_boxesz00) =
					((obj_t) BgL_val2486z00_4613), BUNSPEC);
			}
		}
	}



/* &ev_labels-boxes */
	obj_t BGl_z62ev_labelszd2boxeszb0zz__evaluate_typesz00(obj_t BgL_envz00_4609,
		obj_t BgL_obj2485z00_4610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 107 */
			{	/* Eval/evaluate_types.scm 107 */
				BgL_ev_labelsz00_bglt BgL_obj2485z00_6586;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2485z00_4610,
						BGl_ev_labelsz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 107 */
						BgL_obj2485z00_6586 = ((BgL_ev_labelsz00_bglt) BgL_obj2485z00_4610);
					}
				else
					{
						obj_t BgL_auxz00_8193;

						BgL_auxz00_8193 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 3004)),
							BGl_string4295z00zz__evaluate_typesz00,
							BGl_string4216z00zz__evaluate_typesz00, BgL_obj2485z00_4610);
						FAILURE(BgL_auxz00_8193, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_labelsz00_bglt) CREF(
							((obj_t) BgL_obj2485z00_6586)))->BgL_boxesz00);
			}
		}
	}



/* ev_letrec? */
	BGL_EXPORTED_DEF bool_t BGl_ev_letreczf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2469z00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2469z00_133,
				BGl_ev_letrecz00zz__evaluate_typesz00);
		}
	}



/* &ev_letrec? */
	obj_t BGl_z62ev_letreczf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4582,
		obj_t BgL_obj2469z00_4583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2469z00_4583,
					BGl_ev_letrecz00zz__evaluate_typesz00));
		}
	}



/* make-ev_letrec */
	BGL_EXPORTED_DEF BgL_ev_letrecz00_bglt
		BGl_makezd2ev_letreczd2zz__evaluate_typesz00(obj_t BgL_vars2440z00_137,
		obj_t BgL_vals2441z00_138, BgL_ev_exprz00_bglt BgL_body2442z00_139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{	/* Eval/evaluate_types.scm 100 */
				BgL_ev_letrecz00_bglt BgL_new2443z00_2765;

				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_res3569z00_2770;

					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_letrecz00_bglt BgL_new2453z00_2766;

						BgL_new2453z00_2766 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 100 */
							long BgL_arg3153z00_2767;

							BgL_arg3153z00_2767 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_letrecz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 100 */
								BgL_objectz00_bglt BgL_objz00_2768;

								BgL_objz00_2768 = ((BgL_objectz00_bglt) BgL_new2453z00_2766);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2768, BgL_arg3153z00_2767);
						}}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_auxz00_8206;

							BgL_auxz00_8206 = ((BgL_objectz00_bglt) BgL_new2453z00_2766);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8206, BFALSE);
						}
						BgL_res3569z00_2770 = BgL_new2453z00_2766;
					}
					BgL_new2443z00_2765 = BgL_res3569z00_2770;
				}
				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_res3570z00_2778;

					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_new2443z00_2765)))->BgL_varsz00) =
						((obj_t) BgL_vars2440z00_137), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2443z00_2765)))->
							BgL_valsz00) = ((obj_t) BgL_vals2441z00_138), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2443z00_2765)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2442z00_139), BUNSPEC);
					BgL_res3570z00_2778 = BgL_new2443z00_2765;
					BgL_res3570z00_2778;
				}
				return BgL_new2443z00_2765;
			}
		}
	}



/* &make-ev_letrec */
	BgL_ev_letrecz00_bglt BGl_z62makezd2ev_letreczb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4576, obj_t BgL_vars2440z00_4577, obj_t BgL_vals2441z00_4578,
		obj_t BgL_body2442z00_4579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{	/* Eval/evaluate_types.scm 100 */
				BgL_ev_exprz00_bglt BgL_auxz00_8215;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2442z00_4579,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 100 */
						BgL_auxz00_8215 = ((BgL_ev_exprz00_bglt) BgL_body2442z00_4579);
					}
				else
					{
						obj_t BgL_auxz00_8219;

						BgL_auxz00_8219 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2793)),
							BGl_string4296z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2442z00_4579);
						FAILURE(BgL_auxz00_8219, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_letreczd2zz__evaluate_typesz00(BgL_vars2440z00_4577,
					BgL_vals2441z00_4578, BgL_auxz00_8215);
			}
		}
	}



/* fill-ev_letrec! */
	BGL_EXPORTED_DEF BgL_ev_letrecz00_bglt
		BGl_fillzd2ev_letrecz12zc0zz__evaluate_typesz00(BgL_ev_letrecz00_bglt
		BgL_new2448z00_140, obj_t BgL_vars2445z00_141, obj_t BgL_vals2446z00_142,
		BgL_ev_exprz00_bglt BgL_body2447z00_143)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			((((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_new2448z00_140)))->BgL_varsz00) =
				((obj_t) BgL_vars2445z00_141), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2448z00_140)))->
					BgL_valsz00) = ((obj_t) BgL_vals2446z00_142), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2448z00_140)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2447z00_143), BUNSPEC);
			return BgL_new2448z00_140;
		}
	}



/* &fill-ev_letrec! */
	BgL_ev_letrecz00_bglt BGl_z62fillzd2ev_letrecz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4765, obj_t BgL_new2448z00_4766, obj_t BgL_vars2445z00_4767,
		obj_t BgL_vals2446z00_4768, obj_t BgL_body2447z00_4769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{	/* Eval/evaluate_types.scm 100 */
				BgL_ev_letrecz00_bglt BgL_new2448z00_6591;
				BgL_ev_exprz00_bglt BgL_body2447z00_6594;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2448z00_4766,
						BGl_ev_letrecz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 100 */
						BgL_new2448z00_6591 = ((BgL_ev_letrecz00_bglt) BgL_new2448z00_4766);
					}
				else
					{
						obj_t BgL_auxz00_8233;

						BgL_auxz00_8233 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2793)),
							BGl_string4297z00zz__evaluate_typesz00,
							BGl_string4210z00zz__evaluate_typesz00, BgL_new2448z00_4766);
						FAILURE(BgL_auxz00_8233, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2447z00_4769,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 100 */
						BgL_body2447z00_6594 = ((BgL_ev_exprz00_bglt) BgL_body2447z00_4769);
					}
				else
					{
						obj_t BgL_auxz00_8240;

						BgL_auxz00_8240 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2793)),
							BGl_string4297z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2447z00_4769);
						FAILURE(BgL_auxz00_8240, BFALSE, BFALSE);
					}
				((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_new2448z00_6591)))->BgL_varsz00) =
					((obj_t) BgL_vars2445z00_4767), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2448z00_6591)))->
						BgL_valsz00) = ((obj_t) BgL_vals2446z00_4768), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2448z00_6591)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2447z00_6594), BUNSPEC);
				return BgL_new2448z00_6591;
			}
		}
	}



/* %allocate-ev_letrec */
	BGL_EXPORTED_DEF BgL_ev_letrecz00_bglt
		BGl_z52allocatezd2ev_letrecz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{	/* Eval/evaluate_types.scm 100 */
				BgL_ev_letrecz00_bglt BgL_new2453z00_6595;

				BgL_new2453z00_6595 =
					((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 100 */
					long BgL_arg3153z00_6596;

					BgL_arg3153z00_6596 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_letrecz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 100 */
						BgL_objectz00_bglt BgL_objz00_6597;

						BgL_objz00_6597 = ((BgL_objectz00_bglt) BgL_new2453z00_6595);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6597, BgL_arg3153z00_6596);
				}}
				{	/* Eval/evaluate_types.scm 100 */
					BgL_objectz00_bglt BgL_auxz00_8254;

					BgL_auxz00_8254 = ((BgL_objectz00_bglt) BgL_new2453z00_6595);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8254, BFALSE);
				}
				return BgL_new2453z00_6595;
			}
		}
	}



/* &%allocate-ev_letrec */
	BgL_ev_letrecz00_bglt
		BGl_z62z52allocatezd2ev_letrecze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{	/* Eval/evaluate_types.scm 100 */
				BgL_ev_letrecz00_bglt BgL_new2453z00_6598;

				BgL_new2453z00_6598 =
					((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 100 */
					long BgL_arg3153z00_6599;

					BgL_arg3153z00_6599 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_letrecz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 100 */
						BgL_objectz00_bglt BgL_objz00_6600;

						BgL_objz00_6600 = ((BgL_objectz00_bglt) BgL_new2453z00_6598);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6600, BgL_arg3153z00_6599);
				}}
				{	/* Eval/evaluate_types.scm 100 */
					BgL_objectz00_bglt BgL_auxz00_8261;

					BgL_auxz00_8261 = ((BgL_objectz00_bglt) BgL_new2453z00_6598);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8261, BFALSE);
				}
				return BgL_new2453z00_6598;
			}
		}
	}



/* ev_letrec-nil */
	BGL_EXPORTED_DEF BgL_ev_letrecz00_bglt
		BGl_ev_letreczd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_letreczd2nilz52zz__evaluate_typesz00,
					BGl_ev_letrecz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_xz00_5391;

					BgL_xz00_5391 = BGl_z52thezd2ev_letreczd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_letrecz00_bglt) BgL_xz00_5391);
				}
			else
				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_g2454z00_1507;

					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_letrecz00_bglt BgL_res3571z00_2790;

						{	/* Eval/evaluate_types.scm 100 */
							BgL_ev_letrecz00_bglt BgL_new2453z00_2786;

							BgL_new2453z00_2786 =
								((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_letrecz00_bgl))));
							{	/* Eval/evaluate_types.scm 100 */
								long BgL_arg3153z00_2787;

								BgL_arg3153z00_2787 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_letrecz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 100 */
									BgL_objectz00_bglt BgL_objz00_2788;

									BgL_objz00_2788 = ((BgL_objectz00_bglt) BgL_new2453z00_2786);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2788,
										BgL_arg3153z00_2787);
							}}
							{	/* Eval/evaluate_types.scm 100 */
								BgL_objectz00_bglt BgL_auxz00_8271;

								BgL_auxz00_8271 = ((BgL_objectz00_bglt) BgL_new2453z00_2786);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8271, BFALSE);
							}
							BgL_res3571z00_2790 = BgL_new2453z00_2786;
						}
						BgL_g2454z00_1507 = BgL_res3571z00_2790;
					}
					BGl_z52thezd2ev_letreczd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2454z00_1507);
					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg3155z00_1508;

						BgL_arg3155z00_1508 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 100 */
							BgL_ev_letrecz00_bglt BgL_res3572z00_2798;

							((((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_g2454z00_1507)))->BgL_varsz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2454z00_1507)))->
									BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2454z00_1507)))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3155z00_1508), BUNSPEC);
							BgL_res3572z00_2798 = BgL_g2454z00_1507;
							BgL_res3572z00_2798;
					}}
					return BgL_g2454z00_1507;
				}
		}
	}



/* &ev_letrec-nil */
	BgL_ev_letrecz00_bglt BGl_z62ev_letreczd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			return BGl_ev_letreczd2nilzd2zz__evaluate_typesz00();
		}
	}



/* ev_let*? */
	BGL_EXPORTED_DEF bool_t BGl_ev_letza2zf3z51zz__evaluate_typesz00(obj_t
		BgL_obj2430z00_144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2430z00_144,
				BGl_ev_letza2za2zz__evaluate_typesz00);
		}
	}



/* &ev_let*? */
	obj_t BGl_z62ev_letza2zf3z33zz__evaluate_typesz00(obj_t BgL_envz00_4574,
		obj_t BgL_obj2430z00_4575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2430z00_4575,
					BGl_ev_letza2za2zz__evaluate_typesz00));
		}
	}



/* make-ev_let* */
	BGL_EXPORTED_DEF BgL_ev_letza2za2_bglt
		BGl_makezd2ev_letza2z70zz__evaluate_typesz00(obj_t BgL_vars2394z00_148,
		obj_t BgL_vals2395z00_149, BgL_ev_exprz00_bglt BgL_body2396z00_150,
		obj_t BgL_boxes2397z00_151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_new2398z00_2799;

				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_res3573z00_2804;

					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_letza2za2_bglt BgL_new2410z00_2800;

						BgL_new2410z00_2800 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 98 */
							long BgL_arg3156z00_2801;

							BgL_arg3156z00_2801 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_letza2za2zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 98 */
								BgL_objectz00_bglt BgL_objz00_2802;

								BgL_objz00_2802 = ((BgL_objectz00_bglt) BgL_new2410z00_2800);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2802, BgL_arg3156z00_2801);
						}}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_auxz00_8290;

							BgL_auxz00_8290 = ((BgL_objectz00_bglt) BgL_new2410z00_2800);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8290, BFALSE);
						}
						BgL_res3573z00_2804 = BgL_new2410z00_2800;
					}
					BgL_new2398z00_2799 = BgL_res3573z00_2804;
				}
				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_res3574z00_2814;

					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_new2398z00_2799)))->BgL_varsz00) =
						((obj_t) BgL_vars2394z00_148), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2398z00_2799)))->
							BgL_valsz00) = ((obj_t) BgL_vals2395z00_149), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2398z00_2799)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2396z00_150), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(((obj_t) BgL_new2398z00_2799)))->
							BgL_boxesz00) = ((obj_t) BgL_boxes2397z00_151), BUNSPEC);
					BgL_res3574z00_2814 = BgL_new2398z00_2799;
					BgL_res3574z00_2814;
				}
				return BgL_new2398z00_2799;
			}
		}
	}



/* &make-ev_let* */
	BgL_ev_letza2za2_bglt BGl_z62makezd2ev_letza2z12zz__evaluate_typesz00(obj_t
		BgL_envz00_4567, obj_t BgL_vars2394z00_4568, obj_t BgL_vals2395z00_4569,
		obj_t BgL_body2396z00_4570, obj_t BgL_boxes2397z00_4571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_exprz00_bglt BgL_auxz00_8301;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2396z00_4570,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 98 */
						BgL_auxz00_8301 = ((BgL_ev_exprz00_bglt) BgL_body2396z00_4570);
					}
				else
					{
						obj_t BgL_auxz00_8305;

						BgL_auxz00_8305 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2733)),
							BGl_string4298z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2396z00_4570);
						FAILURE(BgL_auxz00_8305, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_letza2z70zz__evaluate_typesz00(BgL_vars2394z00_4568,
					BgL_vals2395z00_4569, BgL_auxz00_8301, BgL_boxes2397z00_4571);
			}
		}
	}



/* fill-ev_let*! */
	BGL_EXPORTED_DEF BgL_ev_letza2za2_bglt
		BGl_fillzd2ev_letza2z12z62zz__evaluate_typesz00(BgL_ev_letza2za2_bglt
		BgL_new2404z00_152, obj_t BgL_vars2400z00_153, obj_t BgL_vals2401z00_154,
		BgL_ev_exprz00_bglt BgL_body2402z00_155, obj_t BgL_boxes2403z00_156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			((((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_new2404z00_152)))->BgL_varsz00) =
				((obj_t) BgL_vars2400z00_153), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2404z00_152)))->
					BgL_valsz00) = ((obj_t) BgL_vals2401z00_154), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2404z00_152)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2402z00_155), BUNSPEC);
			((((BgL_ev_letza2za2_bglt) CREF(((obj_t) BgL_new2404z00_152)))->
					BgL_boxesz00) = ((obj_t) BgL_boxes2403z00_156), BUNSPEC);
			return BgL_new2404z00_152;
		}
	}



/* &fill-ev_let*! */
	BgL_ev_letza2za2_bglt BGl_z62fillzd2ev_letza2z12z00zz__evaluate_typesz00(obj_t
		BgL_envz00_4770, obj_t BgL_new2404z00_4771, obj_t BgL_vars2400z00_4772,
		obj_t BgL_vals2401z00_4773, obj_t BgL_body2402z00_4774,
		obj_t BgL_boxes2403z00_4775)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_new2404z00_6605;
				BgL_ev_exprz00_bglt BgL_body2402z00_6608;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2404z00_4771,
						BGl_ev_letza2za2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 98 */
						BgL_new2404z00_6605 = ((BgL_ev_letza2za2_bglt) BgL_new2404z00_4771);
					}
				else
					{
						obj_t BgL_auxz00_8321;

						BgL_auxz00_8321 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2733)),
							BGl_string4299z00zz__evaluate_typesz00,
							BGl_string4208z00zz__evaluate_typesz00, BgL_new2404z00_4771);
						FAILURE(BgL_auxz00_8321, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2402z00_4774,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 98 */
						BgL_body2402z00_6608 = ((BgL_ev_exprz00_bglt) BgL_body2402z00_4774);
					}
				else
					{
						obj_t BgL_auxz00_8328;

						BgL_auxz00_8328 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2733)),
							BGl_string4299z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2402z00_4774);
						FAILURE(BgL_auxz00_8328, BFALSE, BFALSE);
					}
				((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_new2404z00_6605)))->BgL_varsz00) =
					((obj_t) BgL_vars2400z00_4772), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2404z00_6605)))->
						BgL_valsz00) = ((obj_t) BgL_vals2401z00_4773), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2404z00_6605)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2402z00_6608), BUNSPEC);
				((((BgL_ev_letza2za2_bglt) CREF(((obj_t) BgL_new2404z00_6605)))->
						BgL_boxesz00) = ((obj_t) BgL_boxes2403z00_4775), BUNSPEC);
				return BgL_new2404z00_6605;
			}
		}
	}



/* %allocate-ev_let* */
	BGL_EXPORTED_DEF BgL_ev_letza2za2_bglt
		BGl_z52allocatezd2ev_letza2z22zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_new2410z00_6610;

				BgL_new2410z00_6610 =
					((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 98 */
					long BgL_arg3156z00_6611;

					BgL_arg3156z00_6611 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_letza2za2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 98 */
						BgL_objectz00_bglt BgL_objz00_6612;

						BgL_objz00_6612 = ((BgL_objectz00_bglt) BgL_new2410z00_6610);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6612, BgL_arg3156z00_6611);
				}}
				{	/* Eval/evaluate_types.scm 98 */
					BgL_objectz00_bglt BgL_auxz00_8344;

					BgL_auxz00_8344 = ((BgL_objectz00_bglt) BgL_new2410z00_6610);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8344, BFALSE);
				}
				return BgL_new2410z00_6610;
			}
		}
	}



/* &%allocate-ev_let* */
	BgL_ev_letza2za2_bglt
		BGl_z62z52allocatezd2ev_letza2z40zz__evaluate_typesz00(obj_t
		BgL_envz00_4572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_new2410z00_6613;

				BgL_new2410z00_6613 =
					((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 98 */
					long BgL_arg3156z00_6614;

					BgL_arg3156z00_6614 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_letza2za2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 98 */
						BgL_objectz00_bglt BgL_objz00_6615;

						BgL_objz00_6615 = ((BgL_objectz00_bglt) BgL_new2410z00_6613);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6615, BgL_arg3156z00_6614);
				}}
				{	/* Eval/evaluate_types.scm 98 */
					BgL_objectz00_bglt BgL_auxz00_8351;

					BgL_auxz00_8351 = ((BgL_objectz00_bglt) BgL_new2410z00_6613);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8351, BFALSE);
				}
				return BgL_new2410z00_6613;
			}
		}
	}



/* ev_let*-nil */
	BGL_EXPORTED_DEF BgL_ev_letza2za2_bglt
		BGl_ev_letza2zd2nilz70zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluate_typesz00,
					BGl_ev_letza2za2zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_xz00_5419;

					BgL_xz00_5419 = BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluate_typesz00;
					return ((BgL_ev_letza2za2_bglt) BgL_xz00_5419);
				}
			else
				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_g2411z00_1517;

					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_letza2za2_bglt BgL_res3575z00_2827;

						{	/* Eval/evaluate_types.scm 98 */
							BgL_ev_letza2za2_bglt BgL_new2410z00_2823;

							BgL_new2410z00_2823 =
								((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_letza2za2_bgl))));
							{	/* Eval/evaluate_types.scm 98 */
								long BgL_arg3156z00_2824;

								BgL_arg3156z00_2824 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_letza2za2zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 98 */
									BgL_objectz00_bglt BgL_objz00_2825;

									BgL_objz00_2825 = ((BgL_objectz00_bglt) BgL_new2410z00_2823);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2825,
										BgL_arg3156z00_2824);
							}}
							{	/* Eval/evaluate_types.scm 98 */
								BgL_objectz00_bglt BgL_auxz00_8361;

								BgL_auxz00_8361 = ((BgL_objectz00_bglt) BgL_new2410z00_2823);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8361, BFALSE);
							}
							BgL_res3575z00_2827 = BgL_new2410z00_2823;
						}
						BgL_g2411z00_1517 = BgL_res3575z00_2827;
					}
					BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluate_typesz00 =
						((obj_t) BgL_g2411z00_1517);
					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_exprz00_bglt BgL_arg3158z00_1518;

						BgL_arg3158z00_1518 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 98 */
							BgL_ev_letza2za2_bglt BgL_res3576z00_2837;

							((((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_g2411z00_1517)))->BgL_varsz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2411z00_1517)))->
									BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2411z00_1517)))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3158z00_1518), BUNSPEC);
							((((BgL_ev_letza2za2_bglt) CREF(((obj_t) BgL_g2411z00_1517)))->
									BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3576z00_2837 = BgL_g2411z00_1517;
							BgL_res3576z00_2837;
					}}
					return BgL_g2411z00_1517;
				}
		}
	}



/* &ev_let*-nil */
	BgL_ev_letza2za2_bglt BGl_z62ev_letza2zd2nilz12zz__evaluate_typesz00(obj_t
		BgL_envz00_4573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return BGl_ev_letza2zd2nilz70zz__evaluate_typesz00();
		}
	}



/* &ev_let*-boxes-set! */
	obj_t BGl_z62ev_letza2zd2boxeszd2setz12zd2zz__evaluate_typesz00(obj_t
		BgL_envz00_4564, obj_t BgL_obj2393z00_4565, obj_t BgL_val2392z00_4566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{	/* Eval/evaluate_types.scm 99 */
				BgL_ev_letza2za2_bglt BgL_obj2393z00_6617;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2393z00_4565,
						BGl_ev_letza2za2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 99 */
						BgL_obj2393z00_6617 = ((BgL_ev_letza2za2_bglt) BgL_obj2393z00_4565);
					}
				else
					{
						obj_t BgL_auxz00_8378;

						BgL_auxz00_8378 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2766)),
							BGl_string4300z00zz__evaluate_typesz00,
							BGl_string4208z00zz__evaluate_typesz00, BgL_obj2393z00_4565);
						FAILURE(BgL_auxz00_8378, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_letza2za2_bglt) CREF(
								((obj_t) BgL_obj2393z00_6617)))->BgL_boxesz00) =
					((obj_t) BgL_val2392z00_4566), BUNSPEC);
			}
		}
	}



/* &ev_let*-boxes */
	obj_t BGl_z62ev_letza2zd2boxesz12zz__evaluate_typesz00(obj_t BgL_envz00_4562,
		obj_t BgL_obj2391z00_4563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{	/* Eval/evaluate_types.scm 99 */
				BgL_ev_letza2za2_bglt BgL_obj2391z00_6620;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2391z00_4563,
						BGl_ev_letza2za2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 99 */
						BgL_obj2391z00_6620 = ((BgL_ev_letza2za2_bglt) BgL_obj2391z00_4563);
					}
				else
					{
						obj_t BgL_auxz00_8387;

						BgL_auxz00_8387 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2766)),
							BGl_string4301z00zz__evaluate_typesz00,
							BGl_string4208z00zz__evaluate_typesz00, BgL_obj2391z00_4563);
						FAILURE(BgL_auxz00_8387, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_letza2za2_bglt) CREF(
							((obj_t) BgL_obj2391z00_6620)))->BgL_boxesz00);
			}
		}
	}



/* ev_let? */
	BGL_EXPORTED_DEF bool_t BGl_ev_letzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2381z00_160)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2381z00_160,
				BGl_ev_letz00zz__evaluate_typesz00);
		}
	}



/* &ev_let? */
	obj_t BGl_z62ev_letzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4560,
		obj_t BgL_obj2381z00_4561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2381z00_4561,
					BGl_ev_letz00zz__evaluate_typesz00));
		}
	}



/* make-ev_let */
	BGL_EXPORTED_DEF BgL_ev_letz00_bglt
		BGl_makezd2ev_letzd2zz__evaluate_typesz00(obj_t BgL_vars2345z00_164,
		obj_t BgL_vals2346z00_165, BgL_ev_exprz00_bglt BgL_body2347z00_166,
		obj_t BgL_boxes2348z00_167)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_new2349z00_2838;

				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_res3577z00_2843;

					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_letz00_bglt BgL_new2361z00_2839;

						BgL_new2361z00_2839 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 96 */
							long BgL_arg3159z00_2840;

							BgL_arg3159z00_2840 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_letz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 96 */
								BgL_objectz00_bglt BgL_objz00_2841;

								BgL_objz00_2841 = ((BgL_objectz00_bglt) BgL_new2361z00_2839);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2841, BgL_arg3159z00_2840);
						}}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_auxz00_8400;

							BgL_auxz00_8400 = ((BgL_objectz00_bglt) BgL_new2361z00_2839);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8400, BFALSE);
						}
						BgL_res3577z00_2843 = BgL_new2361z00_2839;
					}
					BgL_new2349z00_2838 = BgL_res3577z00_2843;
				}
				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_res3578z00_2853;

					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_new2349z00_2838)))->BgL_varsz00) =
						((obj_t) BgL_vars2345z00_164), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2349z00_2838)))->
							BgL_valsz00) = ((obj_t) BgL_vals2346z00_165), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2349z00_2838)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2347z00_166), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(((obj_t) BgL_new2349z00_2838)))->
							BgL_boxesz00) = ((obj_t) BgL_boxes2348z00_167), BUNSPEC);
					BgL_res3578z00_2853 = BgL_new2349z00_2838;
					BgL_res3578z00_2853;
				}
				return BgL_new2349z00_2838;
			}
		}
	}



/* &make-ev_let */
	BgL_ev_letz00_bglt BGl_z62makezd2ev_letzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4553, obj_t BgL_vars2345z00_4554, obj_t BgL_vals2346z00_4555,
		obj_t BgL_body2347z00_4556, obj_t BgL_boxes2348z00_4557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_exprz00_bglt BgL_auxz00_8411;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2347z00_4556,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 96 */
						BgL_auxz00_8411 = ((BgL_ev_exprz00_bglt) BgL_body2347z00_4556);
					}
				else
					{
						obj_t BgL_auxz00_8415;

						BgL_auxz00_8415 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2674)),
							BGl_string4302z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2347z00_4556);
						FAILURE(BgL_auxz00_8415, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_letzd2zz__evaluate_typesz00(BgL_vars2345z00_4554,
					BgL_vals2346z00_4555, BgL_auxz00_8411, BgL_boxes2348z00_4557);
			}
		}
	}



/* fill-ev_let! */
	BGL_EXPORTED_DEF BgL_ev_letz00_bglt
		BGl_fillzd2ev_letz12zc0zz__evaluate_typesz00(BgL_ev_letz00_bglt
		BgL_new2355z00_168, obj_t BgL_vars2351z00_169, obj_t BgL_vals2352z00_170,
		BgL_ev_exprz00_bglt BgL_body2353z00_171, obj_t BgL_boxes2354z00_172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			((((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_new2355z00_168)))->BgL_varsz00) =
				((obj_t) BgL_vars2351z00_169), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2355z00_168)))->
					BgL_valsz00) = ((obj_t) BgL_vals2352z00_170), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2355z00_168)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2353z00_171), BUNSPEC);
			((((BgL_ev_letz00_bglt) CREF(((obj_t) BgL_new2355z00_168)))->
					BgL_boxesz00) = ((obj_t) BgL_boxes2354z00_172), BUNSPEC);
			return BgL_new2355z00_168;
		}
	}



/* &fill-ev_let! */
	BgL_ev_letz00_bglt BGl_z62fillzd2ev_letz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4776, obj_t BgL_new2355z00_4777, obj_t BgL_vars2351z00_4778,
		obj_t BgL_vals2352z00_4779, obj_t BgL_body2353z00_4780,
		obj_t BgL_boxes2354z00_4781)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_new2355z00_6625;
				BgL_ev_exprz00_bglt BgL_body2353z00_6628;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2355z00_4777,
						BGl_ev_letz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 96 */
						BgL_new2355z00_6625 = ((BgL_ev_letz00_bglt) BgL_new2355z00_4777);
					}
				else
					{
						obj_t BgL_auxz00_8431;

						BgL_auxz00_8431 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2674)),
							BGl_string4303z00zz__evaluate_typesz00,
							BGl_string4206z00zz__evaluate_typesz00, BgL_new2355z00_4777);
						FAILURE(BgL_auxz00_8431, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2353z00_4780,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 96 */
						BgL_body2353z00_6628 = ((BgL_ev_exprz00_bglt) BgL_body2353z00_4780);
					}
				else
					{
						obj_t BgL_auxz00_8438;

						BgL_auxz00_8438 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2674)),
							BGl_string4303z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2353z00_4780);
						FAILURE(BgL_auxz00_8438, BFALSE, BFALSE);
					}
				((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_new2355z00_6625)))->BgL_varsz00) =
					((obj_t) BgL_vars2351z00_4778), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2355z00_6625)))->
						BgL_valsz00) = ((obj_t) BgL_vals2352z00_4779), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2355z00_6625)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2353z00_6628), BUNSPEC);
				((((BgL_ev_letz00_bglt) CREF(((obj_t) BgL_new2355z00_6625)))->
						BgL_boxesz00) = ((obj_t) BgL_boxes2354z00_4781), BUNSPEC);
				return BgL_new2355z00_6625;
			}
		}
	}



/* %allocate-ev_let */
	BGL_EXPORTED_DEF BgL_ev_letz00_bglt
		BGl_z52allocatezd2ev_letz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_new2361z00_6630;

				BgL_new2361z00_6630 =
					((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 96 */
					long BgL_arg3159z00_6631;

					BgL_arg3159z00_6631 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_letz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 96 */
						BgL_objectz00_bglt BgL_objz00_6632;

						BgL_objz00_6632 = ((BgL_objectz00_bglt) BgL_new2361z00_6630);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6632, BgL_arg3159z00_6631);
				}}
				{	/* Eval/evaluate_types.scm 96 */
					BgL_objectz00_bglt BgL_auxz00_8454;

					BgL_auxz00_8454 = ((BgL_objectz00_bglt) BgL_new2361z00_6630);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8454, BFALSE);
				}
				return BgL_new2361z00_6630;
			}
		}
	}



/* &%allocate-ev_let */
	BgL_ev_letz00_bglt BGl_z62z52allocatezd2ev_letze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_new2361z00_6633;

				BgL_new2361z00_6633 =
					((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 96 */
					long BgL_arg3159z00_6634;

					BgL_arg3159z00_6634 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_letz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 96 */
						BgL_objectz00_bglt BgL_objz00_6635;

						BgL_objz00_6635 = ((BgL_objectz00_bglt) BgL_new2361z00_6633);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6635, BgL_arg3159z00_6634);
				}}
				{	/* Eval/evaluate_types.scm 96 */
					BgL_objectz00_bglt BgL_auxz00_8461;

					BgL_auxz00_8461 = ((BgL_objectz00_bglt) BgL_new2361z00_6633);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8461, BFALSE);
				}
				return BgL_new2361z00_6633;
			}
		}
	}



/* ev_let-nil */
	BGL_EXPORTED_DEF BgL_ev_letz00_bglt BGl_ev_letzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_letzd2nilz52zz__evaluate_typesz00,
					BGl_ev_letz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_xz00_5456;

					BgL_xz00_5456 = BGl_z52thezd2ev_letzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_letz00_bglt) BgL_xz00_5456);
				}
			else
				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_g2362z00_1527;

					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_letz00_bglt BgL_res3579z00_2866;

						{	/* Eval/evaluate_types.scm 96 */
							BgL_ev_letz00_bglt BgL_new2361z00_2862;

							BgL_new2361z00_2862 =
								((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_letz00_bgl))));
							{	/* Eval/evaluate_types.scm 96 */
								long BgL_arg3159z00_2863;

								BgL_arg3159z00_2863 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_letz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 96 */
									BgL_objectz00_bglt BgL_objz00_2864;

									BgL_objz00_2864 = ((BgL_objectz00_bglt) BgL_new2361z00_2862);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2864,
										BgL_arg3159z00_2863);
							}}
							{	/* Eval/evaluate_types.scm 96 */
								BgL_objectz00_bglt BgL_auxz00_8471;

								BgL_auxz00_8471 = ((BgL_objectz00_bglt) BgL_new2361z00_2862);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8471, BFALSE);
							}
							BgL_res3579z00_2866 = BgL_new2361z00_2862;
						}
						BgL_g2362z00_1527 = BgL_res3579z00_2866;
					}
					BGl_z52thezd2ev_letzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2362z00_1527);
					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_exprz00_bglt BgL_arg3161z00_1528;

						BgL_arg3161z00_1528 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 96 */
							BgL_ev_letz00_bglt BgL_res3580z00_2876;

							((((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_g2362z00_1527)))->BgL_varsz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2362z00_1527)))->
									BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2362z00_1527)))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3161z00_1528), BUNSPEC);
							((((BgL_ev_letz00_bglt) CREF(((obj_t) BgL_g2362z00_1527)))->
									BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3580z00_2876 = BgL_g2362z00_1527;
							BgL_res3580z00_2876;
					}}
					return BgL_g2362z00_1527;
				}
		}
	}



/* &ev_let-nil */
	BgL_ev_letz00_bglt BGl_z62ev_letzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return BGl_ev_letzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_let-boxes-set! */
	obj_t BGl_z62ev_letzd2boxeszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4550, obj_t BgL_obj2344z00_4551, obj_t BgL_val2342z00_4552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_letz00_bglt BgL_obj2344z00_6637;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2344z00_4551,
						BGl_ev_letz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 97 */
						BgL_obj2344z00_6637 = ((BgL_ev_letz00_bglt) BgL_obj2344z00_4551);
					}
				else
					{
						obj_t BgL_auxz00_8488;

						BgL_auxz00_8488 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2706)),
							BGl_string4304z00zz__evaluate_typesz00,
							BGl_string4206z00zz__evaluate_typesz00, BgL_obj2344z00_4551);
						FAILURE(BgL_auxz00_8488, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_letz00_bglt) CREF(
								((obj_t) BgL_obj2344z00_6637)))->BgL_boxesz00) =
					((obj_t) BgL_val2342z00_4552), BUNSPEC);
			}
		}
	}



/* &ev_let-boxes */
	obj_t BGl_z62ev_letzd2boxeszb0zz__evaluate_typesz00(obj_t BgL_envz00_4548,
		obj_t BgL_obj2341z00_4549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_letz00_bglt BgL_obj2341z00_6640;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2341z00_4549,
						BGl_ev_letz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 97 */
						BgL_obj2341z00_6640 = ((BgL_ev_letz00_bglt) BgL_obj2341z00_4549);
					}
				else
					{
						obj_t BgL_auxz00_8497;

						BgL_auxz00_8497 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2706)),
							BGl_string4305z00zz__evaluate_typesz00,
							BGl_string4206z00zz__evaluate_typesz00, BgL_obj2341z00_4549);
						FAILURE(BgL_auxz00_8497, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_letz00_bglt) CREF(
							((obj_t) BgL_obj2341z00_6640)))->BgL_boxesz00);
			}
		}
	}



/* ev_binder? */
	BGL_EXPORTED_DEF bool_t BGl_ev_binderzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2331z00_176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2331z00_176,
				BGl_ev_binderz00zz__evaluate_typesz00);
		}
	}



/* &ev_binder? */
	obj_t BGl_z62ev_binderzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4546,
		obj_t BgL_obj2331z00_4547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2331z00_4547,
					BGl_ev_binderz00zz__evaluate_typesz00));
		}
	}



/* make-ev_binder */
	BGL_EXPORTED_DEF BgL_ev_binderz00_bglt
		BGl_makezd2ev_binderzd2zz__evaluate_typesz00(obj_t BgL_vars2302z00_180,
		obj_t BgL_vals2303z00_181, BgL_ev_exprz00_bglt BgL_body2304z00_182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_new2305z00_2877;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_res3581z00_2882;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_binderz00_bglt BgL_new2315z00_2878;

						BgL_new2315z00_2878 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg3162z00_2879;

							BgL_arg3162z00_2879 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_binderz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_objz00_2880;

								BgL_objz00_2880 = ((BgL_objectz00_bglt) BgL_new2315z00_2878);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2880, BgL_arg3162z00_2879);
						}}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_8510;

							BgL_auxz00_8510 = ((BgL_objectz00_bglt) BgL_new2315z00_2878);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8510, BFALSE);
						}
						BgL_res3581z00_2882 = BgL_new2315z00_2878;
					}
					BgL_new2305z00_2877 = BgL_res3581z00_2882;
				}
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_res3582z00_2890;

					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_new2305z00_2877)))->BgL_varsz00) =
						((obj_t) BgL_vars2302z00_180), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2305z00_2877)))->
							BgL_valsz00) = ((obj_t) BgL_vals2303z00_181), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2305z00_2877)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2304z00_182), BUNSPEC);
					BgL_res3582z00_2890 = BgL_new2305z00_2877;
					BgL_res3582z00_2890;
				}
				return BgL_new2305z00_2877;
			}
		}
	}



/* &make-ev_binder */
	BgL_ev_binderz00_bglt BGl_z62makezd2ev_binderzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4540, obj_t BgL_vars2302z00_4541, obj_t BgL_vals2303z00_4542,
		obj_t BgL_body2304z00_4543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_exprz00_bglt BgL_auxz00_8519;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2304z00_4543,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_auxz00_8519 = ((BgL_ev_exprz00_bglt) BgL_body2304z00_4543);
					}
				else
					{
						obj_t BgL_auxz00_8523;

						BgL_auxz00_8523 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4306z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2304z00_4543);
						FAILURE(BgL_auxz00_8523, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_binderzd2zz__evaluate_typesz00(BgL_vars2302z00_4541,
					BgL_vals2303z00_4542, BgL_auxz00_8519);
			}
		}
	}



/* fill-ev_binder! */
	BGL_EXPORTED_DEF BgL_ev_binderz00_bglt
		BGl_fillzd2ev_binderz12zc0zz__evaluate_typesz00(BgL_ev_binderz00_bglt
		BgL_new2310z00_183, obj_t BgL_vars2307z00_184, obj_t BgL_vals2308z00_185,
		BgL_ev_exprz00_bglt BgL_body2309z00_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			((((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_new2310z00_183)))->BgL_varsz00) =
				((obj_t) BgL_vars2307z00_184), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2310z00_183)))->
					BgL_valsz00) = ((obj_t) BgL_vals2308z00_185), BUNSPEC);
			((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2310z00_183)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2309z00_186), BUNSPEC);
			return BgL_new2310z00_183;
		}
	}



/* &fill-ev_binder! */
	BgL_ev_binderz00_bglt BGl_z62fillzd2ev_binderz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4782, obj_t BgL_new2310z00_4783, obj_t BgL_vars2307z00_4784,
		obj_t BgL_vals2308z00_4785, obj_t BgL_body2309z00_4786)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_new2310z00_6645;
				BgL_ev_exprz00_bglt BgL_body2309z00_6648;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2310z00_4783,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_new2310z00_6645 = ((BgL_ev_binderz00_bglt) BgL_new2310z00_4783);
					}
				else
					{
						obj_t BgL_auxz00_8537;

						BgL_auxz00_8537 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4307z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_new2310z00_4783);
						FAILURE(BgL_auxz00_8537, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2309z00_4786,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_body2309z00_6648 = ((BgL_ev_exprz00_bglt) BgL_body2309z00_4786);
					}
				else
					{
						obj_t BgL_auxz00_8544;

						BgL_auxz00_8544 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4307z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2309z00_4786);
						FAILURE(BgL_auxz00_8544, BFALSE, BFALSE);
					}
				((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_new2310z00_6645)))->BgL_varsz00) =
					((obj_t) BgL_vars2307z00_4784), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2310z00_6645)))->
						BgL_valsz00) = ((obj_t) BgL_vals2308z00_4785), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_new2310z00_6645)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2309z00_6648), BUNSPEC);
				return BgL_new2310z00_6645;
			}
		}
	}



/* %allocate-ev_binder */
	BGL_EXPORTED_DEF BgL_ev_binderz00_bglt
		BGl_z52allocatezd2ev_binderz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_new2315z00_6649;

				BgL_new2315z00_6649 =
					((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg3162z00_6650;

					BgL_arg3162z00_6650 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_binderz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_objz00_6651;

						BgL_objz00_6651 = ((BgL_objectz00_bglt) BgL_new2315z00_6649);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6651, BgL_arg3162z00_6650);
				}}
				{	/* Eval/evaluate_types.scm 92 */
					BgL_objectz00_bglt BgL_auxz00_8558;

					BgL_auxz00_8558 = ((BgL_objectz00_bglt) BgL_new2315z00_6649);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8558, BFALSE);
				}
				return BgL_new2315z00_6649;
			}
		}
	}



/* &%allocate-ev_binder */
	BgL_ev_binderz00_bglt
		BGl_z62z52allocatezd2ev_binderze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_new2315z00_6652;

				BgL_new2315z00_6652 =
					((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg3162z00_6653;

					BgL_arg3162z00_6653 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_binderz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_objz00_6654;

						BgL_objz00_6654 = ((BgL_objectz00_bglt) BgL_new2315z00_6652);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6654, BgL_arg3162z00_6653);
				}}
				{	/* Eval/evaluate_types.scm 92 */
					BgL_objectz00_bglt BgL_auxz00_8565;

					BgL_auxz00_8565 = ((BgL_objectz00_bglt) BgL_new2315z00_6652);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8565, BFALSE);
				}
				return BgL_new2315z00_6652;
			}
		}
	}



/* ev_binder-nil */
	BGL_EXPORTED_DEF BgL_ev_binderz00_bglt
		BGl_ev_binderzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_binderzd2nilz52zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_xz00_5491;

					BgL_xz00_5491 = BGl_z52thezd2ev_binderzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_binderz00_bglt) BgL_xz00_5491);
				}
			else
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_g2316z00_1536;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_binderz00_bglt BgL_res3583z00_2902;

						{	/* Eval/evaluate_types.scm 92 */
							BgL_ev_binderz00_bglt BgL_new2315z00_2898;

							BgL_new2315z00_2898 =
								((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_binderz00_bgl))));
							{	/* Eval/evaluate_types.scm 92 */
								long BgL_arg3162z00_2899;

								BgL_arg3162z00_2899 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_binderz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 92 */
									BgL_objectz00_bglt BgL_objz00_2900;

									BgL_objz00_2900 = ((BgL_objectz00_bglt) BgL_new2315z00_2898);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2900,
										BgL_arg3162z00_2899);
							}}
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_auxz00_8575;

								BgL_auxz00_8575 = ((BgL_objectz00_bglt) BgL_new2315z00_2898);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8575, BFALSE);
							}
							BgL_res3583z00_2902 = BgL_new2315z00_2898;
						}
						BgL_g2316z00_1536 = BgL_res3583z00_2902;
					}
					BGl_z52thezd2ev_binderzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2316z00_1536);
					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_exprz00_bglt BgL_arg3164z00_1537;

						BgL_arg3164z00_1537 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 92 */
							BgL_ev_binderz00_bglt BgL_res3584z00_2910;

							((((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_g2316z00_1536)))->BgL_varsz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2316z00_1536)))->
									BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(((obj_t) BgL_g2316z00_1536)))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3164z00_1537), BUNSPEC);
							BgL_res3584z00_2910 = BgL_g2316z00_1536;
							BgL_res3584z00_2910;
					}}
					return BgL_g2316z00_1536;
				}
		}
	}



/* &ev_binder-nil */
	BgL_ev_binderz00_bglt BGl_z62ev_binderzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4545)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return BGl_ev_binderzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_binder-vars-set! */
	obj_t BGl_z62ev_binderzd2varszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4527, obj_t BgL_obj2295z00_4528, obj_t BgL_val2294z00_4529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_obj2295z00_6656;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2295z00_4528,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_obj2295z00_6656 = ((BgL_ev_binderz00_bglt) BgL_obj2295z00_4528);
					}
				else
					{
						obj_t BgL_auxz00_8590;

						BgL_auxz00_8590 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4308z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_obj2295z00_4528);
						FAILURE(BgL_auxz00_8590, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_obj2295z00_6656)))->BgL_varsz00) =
					((obj_t) BgL_val2294z00_4529), BUNSPEC);
			}
		}
	}



/* &ev_binder-vars */
	obj_t BGl_z62ev_binderzd2varszb0zz__evaluate_typesz00(obj_t BgL_envz00_4525,
		obj_t BgL_obj2293z00_4526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_obj2293z00_6659;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2293z00_4526,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_obj2293z00_6659 = ((BgL_ev_binderz00_bglt) BgL_obj2293z00_4526);
					}
				else
					{
						obj_t BgL_auxz00_8599;

						BgL_auxz00_8599 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4309z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_obj2293z00_4526);
						FAILURE(BgL_auxz00_8599, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_obj2293z00_6659)))->BgL_varsz00);
			}
		}
	}



/* &ev_binder-vals-set! */
	obj_t BGl_z62ev_binderzd2valszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4532, obj_t BgL_obj2298z00_4533, obj_t BgL_val2297z00_4534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_obj2298z00_6661;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2298z00_4533,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_obj2298z00_6661 = ((BgL_ev_binderz00_bglt) BgL_obj2298z00_4533);
					}
				else
					{
						obj_t BgL_auxz00_8608;

						BgL_auxz00_8608 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4310z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_obj2298z00_4533);
						FAILURE(BgL_auxz00_8608, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_obj2298z00_6661)))->BgL_valsz00) =
					((obj_t) BgL_val2297z00_4534), BUNSPEC);
			}
		}
	}



/* &ev_binder-vals */
	obj_t BGl_z62ev_binderzd2valszb0zz__evaluate_typesz00(obj_t BgL_envz00_4530,
		obj_t BgL_obj2296z00_4531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_obj2296z00_6664;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2296z00_4531,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_obj2296z00_6664 = ((BgL_ev_binderz00_bglt) BgL_obj2296z00_4531);
					}
				else
					{
						obj_t BgL_auxz00_8617;

						BgL_auxz00_8617 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4311z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_obj2296z00_4531);
						FAILURE(BgL_auxz00_8617, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_obj2296z00_6664)))->BgL_valsz00);
			}
		}
	}



/* &ev_binder-body-set! */
	obj_t BGl_z62ev_binderzd2bodyzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4537, obj_t BgL_obj2301z00_4538, obj_t BgL_val2300z00_4539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_obj2301z00_6667;
				BgL_ev_exprz00_bglt BgL_val2300z00_6668;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2301z00_4538,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_obj2301z00_6667 = ((BgL_ev_binderz00_bglt) BgL_obj2301z00_4538);
					}
				else
					{
						obj_t BgL_auxz00_8626;

						BgL_auxz00_8626 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4312z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_obj2301z00_4538);
						FAILURE(BgL_auxz00_8626, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2300z00_4539,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_val2300z00_6668 = ((BgL_ev_exprz00_bglt) BgL_val2300z00_4539);
					}
				else
					{
						obj_t BgL_auxz00_8633;

						BgL_auxz00_8633 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4312z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2300z00_4539);
						FAILURE(BgL_auxz00_8633, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_binderz00_bglt) CREF(
								((obj_t) BgL_obj2301z00_6667)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2300z00_6668), BUNSPEC);
			}
		}
	}



/* &ev_binder-body */
	BgL_ev_exprz00_bglt BGl_z62ev_binderzd2bodyzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4535, obj_t BgL_obj2299z00_4536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_obj2299z00_6670;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2299z00_4536,
						BGl_ev_binderz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 92 */
						BgL_obj2299z00_6670 = ((BgL_ev_binderz00_bglt) BgL_obj2299z00_4536);
					}
				else
					{
						obj_t BgL_auxz00_8642;

						BgL_auxz00_8642 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2598)),
							BGl_string4313z00zz__evaluate_typesz00,
							BGl_string4199z00zz__evaluate_typesz00, BgL_obj2299z00_4536);
						FAILURE(BgL_auxz00_8642, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_binderz00_bglt) CREF(
							((obj_t) BgL_obj2299z00_6670)))->BgL_bodyz00);
			}
		}
	}



/* ev_with-handler? */
	BGL_EXPORTED_DEF bool_t BGl_ev_withzd2handlerzf3z21zz__evaluate_typesz00(obj_t
		BgL_obj2292z00_196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2292z00_196,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
		}
	}



/* &ev_with-handler? */
	obj_t BGl_z62ev_withzd2handlerzf3z43zz__evaluate_typesz00(obj_t
		BgL_envz00_4523, obj_t BgL_obj2292z00_4524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2292z00_4524,
					BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		}
	}



/* make-ev_with-handler */
	BGL_EXPORTED_DEF BgL_ev_withzd2handlerzd2_bglt
		BGl_makezd2ev_withzd2handlerz00zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_handler2270z00_200, BgL_ev_exprz00_bglt BgL_body2271z00_201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new2272z00_2911;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_res3585z00_2916;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new2280z00_2912;

						BgL_new2280z00_2912 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg3165z00_2913;

							BgL_arg3165z00_2913 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_objz00_2914;

								BgL_objz00_2914 = ((BgL_objectz00_bglt) BgL_new2280z00_2912);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2914, BgL_arg3165z00_2913);
						}}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_8655;

							BgL_auxz00_8655 = ((BgL_objectz00_bglt) BgL_new2280z00_2912);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8655, BFALSE);
						}
						BgL_res3585z00_2916 = BgL_new2280z00_2912;
					}
					BgL_new2272z00_2911 = BgL_res3585z00_2916;
				}
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_res3586z00_2922;

					((((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_new2272z00_2911)))->BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler2270z00_200), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(((obj_t)
										BgL_new2272z00_2911)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2271z00_201), BUNSPEC);
					BgL_res3586z00_2922 = BgL_new2272z00_2911;
					BgL_res3586z00_2922;
				}
				return BgL_new2272z00_2911;
			}
		}
	}



/* &make-ev_with-handler */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62makezd2ev_withzd2handlerz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4518, obj_t BgL_handler2270z00_4519, obj_t BgL_body2271z00_4520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_exprz00_bglt BgL_auxz00_8670;
				BgL_ev_exprz00_bglt BgL_auxz00_8662;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2271z00_4520,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_auxz00_8670 = ((BgL_ev_exprz00_bglt) BgL_body2271z00_4520);
					}
				else
					{
						obj_t BgL_auxz00_8674;

						BgL_auxz00_8674 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4314z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2271z00_4520);
						FAILURE(BgL_auxz00_8674, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_handler2270z00_4519,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_auxz00_8662 = ((BgL_ev_exprz00_bglt) BgL_handler2270z00_4519);
					}
				else
					{
						obj_t BgL_auxz00_8666;

						BgL_auxz00_8666 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4314z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_handler2270z00_4519);
						FAILURE(BgL_auxz00_8666, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_withzd2handlerz00zz__evaluate_typesz00(BgL_auxz00_8662,
					BgL_auxz00_8670);
			}
		}
	}



/* fill-ev_with-handler! */
	BGL_EXPORTED_DEF BgL_ev_withzd2handlerzd2_bglt
		BGl_fillzd2ev_withzd2handlerz12z12zz__evaluate_typesz00
		(BgL_ev_withzd2handlerzd2_bglt BgL_new2276z00_202,
		BgL_ev_exprz00_bglt BgL_handler2274z00_203,
		BgL_ev_exprz00_bglt BgL_body2275z00_204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			((((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((obj_t) BgL_new2276z00_202)))->BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) BgL_handler2274z00_203), BUNSPEC);
			((((BgL_ev_withzd2handlerzd2_bglt) CREF(((obj_t) BgL_new2276z00_202)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2275z00_204), BUNSPEC);
			return BgL_new2276z00_202;
		}
	}



/* &fill-ev_with-handler! */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62fillzd2ev_withzd2handlerz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4787, obj_t BgL_new2276z00_4788, obj_t BgL_handler2274z00_4789,
		obj_t BgL_body2275z00_4790)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new2276z00_6677;
				BgL_ev_exprz00_bglt BgL_handler2274z00_6678;
				BgL_ev_exprz00_bglt BgL_body2275z00_6679;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2276z00_4788,
						BGl_ev_withzd2handlerzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_new2276z00_6677 =
							((BgL_ev_withzd2handlerzd2_bglt) BgL_new2276z00_4788);
					}
				else
					{
						obj_t BgL_auxz00_8686;

						BgL_auxz00_8686 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4315z00zz__evaluate_typesz00,
							BGl_string4193z00zz__evaluate_typesz00, BgL_new2276z00_4788);
						FAILURE(BgL_auxz00_8686, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_handler2274z00_4789,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_handler2274z00_6678 =
							((BgL_ev_exprz00_bglt) BgL_handler2274z00_4789);
					}
				else
					{
						obj_t BgL_auxz00_8693;

						BgL_auxz00_8693 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4315z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_handler2274z00_4789);
						FAILURE(BgL_auxz00_8693, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2275z00_4790,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_body2275z00_6679 = ((BgL_ev_exprz00_bglt) BgL_body2275z00_4790);
					}
				else
					{
						obj_t BgL_auxz00_8700;

						BgL_auxz00_8700 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4315z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2275z00_4790);
						FAILURE(BgL_auxz00_8700, BFALSE, BFALSE);
					}
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((obj_t) BgL_new2276z00_6677)))->BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) BgL_handler2274z00_6678), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(((obj_t)
									BgL_new2276z00_6677)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2275z00_6679), BUNSPEC);
				return BgL_new2276z00_6677;
			}
		}
	}



/* %allocate-ev_with-handler */
	BGL_EXPORTED_DEF BgL_ev_withzd2handlerzd2_bglt
		BGl_z52allocatezd2ev_withzd2handlerz52zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new2280z00_6680;

				BgL_new2280z00_6680 =
					((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg3165z00_6681;

					BgL_arg3165z00_6681 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_objz00_6682;

						BgL_objz00_6682 = ((BgL_objectz00_bglt) BgL_new2280z00_6680);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6682, BgL_arg3165z00_6681);
				}}
				{	/* Eval/evaluate_types.scm 89 */
					BgL_objectz00_bglt BgL_auxz00_8712;

					BgL_auxz00_8712 = ((BgL_objectz00_bglt) BgL_new2280z00_6680);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8712, BFALSE);
				}
				return BgL_new2280z00_6680;
			}
		}
	}



/* &%allocate-ev_with-handler */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62z52allocatezd2ev_withzd2handlerz30zz__evaluate_typesz00(obj_t
		BgL_envz00_4521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new2280z00_6683;

				BgL_new2280z00_6683 =
					((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg3165z00_6684;

					BgL_arg3165z00_6684 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_objz00_6685;

						BgL_objz00_6685 = ((BgL_objectz00_bglt) BgL_new2280z00_6683);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6685, BgL_arg3165z00_6684);
				}}
				{	/* Eval/evaluate_types.scm 89 */
					BgL_objectz00_bglt BgL_auxz00_8719;

					BgL_auxz00_8719 = ((BgL_objectz00_bglt) BgL_new2280z00_6683);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8719, BFALSE);
				}
				return BgL_new2280z00_6683;
			}
		}
	}



/* ev_with-handler-nil */
	BGL_EXPORTED_DEF BgL_ev_withzd2handlerzd2_bglt
		BGl_ev_withzd2handlerzd2nilz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluate_typesz00,
					BGl_ev_withzd2handlerzd2zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_xz00_5548;

					BgL_xz00_5548 =
						BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluate_typesz00;
					return ((BgL_ev_withzd2handlerzd2_bglt) BgL_xz00_5548);
				}
			else
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_g2281z00_1544;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_res3587z00_2933;

						{	/* Eval/evaluate_types.scm 89 */
							BgL_ev_withzd2handlerzd2_bglt BgL_new2280z00_2929;

							BgL_new2280z00_2929 =
								((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_withzd2handlerzd2_bgl))));
							{	/* Eval/evaluate_types.scm 89 */
								long BgL_arg3165z00_2930;

								BgL_arg3165z00_2930 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 89 */
									BgL_objectz00_bglt BgL_objz00_2931;

									BgL_objz00_2931 = ((BgL_objectz00_bglt) BgL_new2280z00_2929);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2931,
										BgL_arg3165z00_2930);
							}}
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_auxz00_8729;

								BgL_auxz00_8729 = ((BgL_objectz00_bglt) BgL_new2280z00_2929);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8729, BFALSE);
							}
							BgL_res3587z00_2933 = BgL_new2280z00_2929;
						}
						BgL_g2281z00_1544 = BgL_res3587z00_2933;
					}
					BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluate_typesz00 =
						((obj_t) BgL_g2281z00_1544);
					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_exprz00_bglt BgL_arg3167z00_1545;
						BgL_ev_exprz00_bglt BgL_arg3168z00_1546;

						BgL_arg3167z00_1545 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3168z00_1546 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 89 */
							BgL_ev_withzd2handlerzd2_bglt BgL_res3588z00_2939;

							((((BgL_ev_withzd2handlerzd2_bglt) CREF(
											((obj_t) BgL_g2281z00_1544)))->BgL_handlerz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3167z00_1545), BUNSPEC);
							((((BgL_ev_withzd2handlerzd2_bglt) CREF(((obj_t)
												BgL_g2281z00_1544)))->BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3168z00_1546), BUNSPEC);
							BgL_res3588z00_2939 = BgL_g2281z00_1544;
							BgL_res3588z00_2939;
					}}
					return BgL_g2281z00_1544;
				}
		}
	}



/* &ev_with-handler-nil */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62ev_withzd2handlerzd2nilz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return BGl_ev_withzd2handlerzd2nilz00zz__evaluate_typesz00();
		}
	}



/* &ev_with-handler-handler-set! */
	obj_t
		BGl_z62ev_withzd2handlerzd2handlerzd2setz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4510, obj_t BgL_obj2266z00_4511, obj_t BgL_val2265z00_4512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2266z00_6688;
				BgL_ev_exprz00_bglt BgL_val2265z00_6689;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2266z00_4511,
						BGl_ev_withzd2handlerzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_obj2266z00_6688 =
							((BgL_ev_withzd2handlerzd2_bglt) BgL_obj2266z00_4511);
					}
				else
					{
						obj_t BgL_auxz00_8743;

						BgL_auxz00_8743 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4316z00zz__evaluate_typesz00,
							BGl_string4193z00zz__evaluate_typesz00, BgL_obj2266z00_4511);
						FAILURE(BgL_auxz00_8743, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2265z00_4512,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_val2265z00_6689 = ((BgL_ev_exprz00_bglt) BgL_val2265z00_4512);
					}
				else
					{
						obj_t BgL_auxz00_8750;

						BgL_auxz00_8750 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4316z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2265z00_4512);
						FAILURE(BgL_auxz00_8750, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((obj_t) BgL_obj2266z00_6688)))->BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) BgL_val2265z00_6689), BUNSPEC);
			}
		}
	}



/* &ev_with-handler-handler */
	BgL_ev_exprz00_bglt
		BGl_z62ev_withzd2handlerzd2handlerz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4508, obj_t BgL_obj2264z00_4509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2264z00_6691;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2264z00_4509,
						BGl_ev_withzd2handlerzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_obj2264z00_6691 =
							((BgL_ev_withzd2handlerzd2_bglt) BgL_obj2264z00_4509);
					}
				else
					{
						obj_t BgL_auxz00_8759;

						BgL_auxz00_8759 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4317z00zz__evaluate_typesz00,
							BGl_string4193z00zz__evaluate_typesz00, BgL_obj2264z00_4509);
						FAILURE(BgL_auxz00_8759, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((obj_t) BgL_obj2264z00_6691)))->BgL_handlerz00);
			}
		}
	}



/* &ev_with-handler-body-set! */
	obj_t BGl_z62ev_withzd2handlerzd2bodyzd2setz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4515, obj_t BgL_obj2269z00_4516, obj_t BgL_val2268z00_4517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2269z00_6694;
				BgL_ev_exprz00_bglt BgL_val2268z00_6695;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2269z00_4516,
						BGl_ev_withzd2handlerzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_obj2269z00_6694 =
							((BgL_ev_withzd2handlerzd2_bglt) BgL_obj2269z00_4516);
					}
				else
					{
						obj_t BgL_auxz00_8768;

						BgL_auxz00_8768 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4318z00zz__evaluate_typesz00,
							BGl_string4193z00zz__evaluate_typesz00, BgL_obj2269z00_4516);
						FAILURE(BgL_auxz00_8768, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2268z00_4517,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_val2268z00_6695 = ((BgL_ev_exprz00_bglt) BgL_val2268z00_4517);
					}
				else
					{
						obj_t BgL_auxz00_8775;

						BgL_auxz00_8775 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4318z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2268z00_4517);
						FAILURE(BgL_auxz00_8775, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((obj_t) BgL_obj2269z00_6694)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2268z00_6695), BUNSPEC);
			}
		}
	}



/* &ev_with-handler-body */
	BgL_ev_exprz00_bglt
		BGl_z62ev_withzd2handlerzd2bodyz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4513, obj_t BgL_obj2267z00_4514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2267z00_6697;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2267z00_4514,
						BGl_ev_withzd2handlerzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 89 */
						BgL_obj2267z00_6697 =
							((BgL_ev_withzd2handlerzd2_bglt) BgL_obj2267z00_4514);
					}
				else
					{
						obj_t BgL_auxz00_8784;

						BgL_auxz00_8784 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2516)),
							BGl_string4319z00zz__evaluate_typesz00,
							BGl_string4193z00zz__evaluate_typesz00, BgL_obj2267z00_4514);
						FAILURE(BgL_auxz00_8784, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((obj_t) BgL_obj2267z00_6697)))->BgL_bodyz00);
			}
		}
	}



/* ev_unwind-protect? */
	BGL_EXPORTED_DEF bool_t
		BGl_ev_unwindzd2protectzf3z21zz__evaluate_typesz00(obj_t BgL_obj2263z00_211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2263z00_211,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
		}
	}



/* &ev_unwind-protect? */
	obj_t BGl_z62ev_unwindzd2protectzf3z43zz__evaluate_typesz00(obj_t
		BgL_envz00_4506, obj_t BgL_obj2263z00_4507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2263z00_4507,
					BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		}
	}



/* make-ev_unwind-protect */
	BGL_EXPORTED_DEF BgL_ev_unwindzd2protectzd2_bglt
		BGl_makezd2ev_unwindzd2protectz00zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e2241z00_215, BgL_ev_exprz00_bglt BgL_body2242z00_216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new2243z00_2940;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_res3589z00_2945;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new2251z00_2941;

						BgL_new2251z00_2941 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg3169z00_2942;

							BgL_arg3169z00_2942 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_objz00_2943;

								BgL_objz00_2943 = ((BgL_objectz00_bglt) BgL_new2251z00_2941);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2943, BgL_arg3169z00_2942);
						}}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_8797;

							BgL_auxz00_8797 = ((BgL_objectz00_bglt) BgL_new2251z00_2941);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8797, BFALSE);
						}
						BgL_res3589z00_2945 = BgL_new2251z00_2941;
					}
					BgL_new2243z00_2940 = BgL_res3589z00_2945;
				}
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_res3590z00_2951;

					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_new2243z00_2940)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e2241z00_215), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(((obj_t)
										BgL_new2243z00_2940)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2242z00_216), BUNSPEC);
					BgL_res3590z00_2951 = BgL_new2243z00_2940;
					BgL_res3590z00_2951;
				}
				return BgL_new2243z00_2940;
			}
		}
	}



/* &make-ev_unwind-protect */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62makezd2ev_unwindzd2protectz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4501, obj_t BgL_e2241z00_4502, obj_t BgL_body2242z00_4503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_exprz00_bglt BgL_auxz00_8812;
				BgL_ev_exprz00_bglt BgL_auxz00_8804;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2242z00_4503,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_auxz00_8812 = ((BgL_ev_exprz00_bglt) BgL_body2242z00_4503);
					}
				else
					{
						obj_t BgL_auxz00_8816;

						BgL_auxz00_8816 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4320z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2242z00_4503);
						FAILURE(BgL_auxz00_8816, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2241z00_4502,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_auxz00_8804 = ((BgL_ev_exprz00_bglt) BgL_e2241z00_4502);
					}
				else
					{
						obj_t BgL_auxz00_8808;

						BgL_auxz00_8808 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4320z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2241z00_4502);
						FAILURE(BgL_auxz00_8808, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_unwindzd2protectz00zz__evaluate_typesz00
					(BgL_auxz00_8804, BgL_auxz00_8812);
			}
		}
	}



/* fill-ev_unwind-protect! */
	BGL_EXPORTED_DEF BgL_ev_unwindzd2protectzd2_bglt
		BGl_fillzd2ev_unwindzd2protectz12z12zz__evaluate_typesz00
		(BgL_ev_unwindzd2protectzd2_bglt BgL_new2247z00_217,
		BgL_ev_exprz00_bglt BgL_e2245z00_218,
		BgL_ev_exprz00_bglt BgL_body2246z00_219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((obj_t) BgL_new2247z00_217)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e2245z00_218), BUNSPEC);
			((((BgL_ev_unwindzd2protectzd2_bglt) CREF(((obj_t) BgL_new2247z00_217)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2246z00_219), BUNSPEC);
			return BgL_new2247z00_217;
		}
	}



/* &fill-ev_unwind-protect! */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62fillzd2ev_unwindzd2protectz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4791, obj_t BgL_new2247z00_4792, obj_t BgL_e2245z00_4793,
		obj_t BgL_body2246z00_4794)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new2247z00_6704;
				BgL_ev_exprz00_bglt BgL_e2245z00_6705;
				BgL_ev_exprz00_bglt BgL_body2246z00_6706;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2247z00_4792,
						BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_new2247z00_6704 =
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_new2247z00_4792);
					}
				else
					{
						obj_t BgL_auxz00_8828;

						BgL_auxz00_8828 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4321z00zz__evaluate_typesz00,
							BGl_string4189z00zz__evaluate_typesz00, BgL_new2247z00_4792);
						FAILURE(BgL_auxz00_8828, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2245z00_4793,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_e2245z00_6705 = ((BgL_ev_exprz00_bglt) BgL_e2245z00_4793);
					}
				else
					{
						obj_t BgL_auxz00_8835;

						BgL_auxz00_8835 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4321z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2245z00_4793);
						FAILURE(BgL_auxz00_8835, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2246z00_4794,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_body2246z00_6706 = ((BgL_ev_exprz00_bglt) BgL_body2246z00_4794);
					}
				else
					{
						obj_t BgL_auxz00_8842;

						BgL_auxz00_8842 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4321z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2246z00_4794);
						FAILURE(BgL_auxz00_8842, BFALSE, BFALSE);
					}
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((obj_t) BgL_new2247z00_6704)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e2245z00_6705), BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(((obj_t)
									BgL_new2247z00_6704)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2246z00_6706), BUNSPEC);
				return BgL_new2247z00_6704;
			}
		}
	}



/* %allocate-ev_unwind-protect */
	BGL_EXPORTED_DEF BgL_ev_unwindzd2protectzd2_bglt
		BGl_z52allocatezd2ev_unwindzd2protectz52zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new2251z00_6707;

				BgL_new2251z00_6707 =
					((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg3169z00_6708;

					BgL_arg3169z00_6708 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_objz00_6709;

						BgL_objz00_6709 = ((BgL_objectz00_bglt) BgL_new2251z00_6707);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6709, BgL_arg3169z00_6708);
				}}
				{	/* Eval/evaluate_types.scm 86 */
					BgL_objectz00_bglt BgL_auxz00_8854;

					BgL_auxz00_8854 = ((BgL_objectz00_bglt) BgL_new2251z00_6707);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8854, BFALSE);
				}
				return BgL_new2251z00_6707;
			}
		}
	}



/* &%allocate-ev_unwind-protect */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62z52allocatezd2ev_unwindzd2protectz30zz__evaluate_typesz00(obj_t
		BgL_envz00_4504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new2251z00_6710;

				BgL_new2251z00_6710 =
					((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg3169z00_6711;

					BgL_arg3169z00_6711 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_objz00_6712;

						BgL_objz00_6712 = ((BgL_objectz00_bglt) BgL_new2251z00_6710);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6712, BgL_arg3169z00_6711);
				}}
				{	/* Eval/evaluate_types.scm 86 */
					BgL_objectz00_bglt BgL_auxz00_8861;

					BgL_auxz00_8861 = ((BgL_objectz00_bglt) BgL_new2251z00_6710);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8861, BFALSE);
				}
				return BgL_new2251z00_6710;
			}
		}
	}



/* ev_unwind-protect-nil */
	BGL_EXPORTED_DEF BgL_ev_unwindzd2protectzd2_bglt
		BGl_ev_unwindzd2protectzd2nilz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluate_typesz00,
					BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_xz00_5599;

					BgL_xz00_5599 =
						BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluate_typesz00;
					return ((BgL_ev_unwindzd2protectzd2_bglt) BgL_xz00_5599);
				}
			else
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_g2252z00_1553;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_res3591z00_2962;

						{	/* Eval/evaluate_types.scm 86 */
							BgL_ev_unwindzd2protectzd2_bglt BgL_new2251z00_2958;

							BgL_new2251z00_2958 =
								((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_unwindzd2protectzd2_bgl))));
							{	/* Eval/evaluate_types.scm 86 */
								long BgL_arg3169z00_2959;

								BgL_arg3169z00_2959 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 86 */
									BgL_objectz00_bglt BgL_objz00_2960;

									BgL_objz00_2960 = ((BgL_objectz00_bglt) BgL_new2251z00_2958);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2960,
										BgL_arg3169z00_2959);
							}}
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_8871;

								BgL_auxz00_8871 = ((BgL_objectz00_bglt) BgL_new2251z00_2958);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8871, BFALSE);
							}
							BgL_res3591z00_2962 = BgL_new2251z00_2958;
						}
						BgL_g2252z00_1553 = BgL_res3591z00_2962;
					}
					BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluate_typesz00 =
						((obj_t) BgL_g2252z00_1553);
					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_exprz00_bglt BgL_arg3171z00_1554;
						BgL_ev_exprz00_bglt BgL_arg3172z00_1555;

						BgL_arg3171z00_1554 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3172z00_1555 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 86 */
							BgL_ev_unwindzd2protectzd2_bglt BgL_res3592z00_2968;

							((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
											((obj_t) BgL_g2252z00_1553)))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_arg3171z00_1554), BUNSPEC);
							((((BgL_ev_unwindzd2protectzd2_bglt) CREF(((obj_t)
												BgL_g2252z00_1553)))->BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3172z00_1555), BUNSPEC);
							BgL_res3592z00_2968 = BgL_g2252z00_1553;
							BgL_res3592z00_2968;
					}}
					return BgL_g2252z00_1553;
				}
		}
	}



/* &ev_unwind-protect-nil */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62ev_unwindzd2protectzd2nilz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return BGl_ev_unwindzd2protectzd2nilz00zz__evaluate_typesz00();
		}
	}



/* &ev_unwind-protect-e-set! */
	obj_t BGl_z62ev_unwindzd2protectzd2ezd2setz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4493, obj_t BgL_obj2237z00_4494, obj_t BgL_val2236z00_4495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2237z00_6715;
				BgL_ev_exprz00_bglt BgL_val2236z00_6716;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2237z00_4494,
						BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_obj2237z00_6715 =
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_obj2237z00_4494);
					}
				else
					{
						obj_t BgL_auxz00_8885;

						BgL_auxz00_8885 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4322z00zz__evaluate_typesz00,
							BGl_string4189z00zz__evaluate_typesz00, BgL_obj2237z00_4494);
						FAILURE(BgL_auxz00_8885, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2236z00_4495,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_val2236z00_6716 = ((BgL_ev_exprz00_bglt) BgL_val2236z00_4495);
					}
				else
					{
						obj_t BgL_auxz00_8892;

						BgL_auxz00_8892 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4322z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2236z00_4495);
						FAILURE(BgL_auxz00_8892, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((obj_t) BgL_obj2237z00_6715)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_val2236z00_6716), BUNSPEC);
			}
		}
	}



/* &ev_unwind-protect-e */
	BgL_ev_exprz00_bglt
		BGl_z62ev_unwindzd2protectzd2ez62zz__evaluate_typesz00(obj_t
		BgL_envz00_4491, obj_t BgL_obj2235z00_4492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2235z00_6718;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2235z00_4492,
						BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_obj2235z00_6718 =
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_obj2235z00_4492);
					}
				else
					{
						obj_t BgL_auxz00_8901;

						BgL_auxz00_8901 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4323z00zz__evaluate_typesz00,
							BGl_string4189z00zz__evaluate_typesz00, BgL_obj2235z00_4492);
						FAILURE(BgL_auxz00_8901, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((obj_t) BgL_obj2235z00_6718)))->BgL_ez00);
			}
		}
	}



/* &ev_unwind-protect-body-set! */
	obj_t BGl_z62ev_unwindzd2protectzd2bodyzd2setz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4498, obj_t BgL_obj2240z00_4499, obj_t BgL_val2239z00_4500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2240z00_6721;
				BgL_ev_exprz00_bglt BgL_val2239z00_6722;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2240z00_4499,
						BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_obj2240z00_6721 =
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_obj2240z00_4499);
					}
				else
					{
						obj_t BgL_auxz00_8910;

						BgL_auxz00_8910 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4324z00zz__evaluate_typesz00,
							BGl_string4189z00zz__evaluate_typesz00, BgL_obj2240z00_4499);
						FAILURE(BgL_auxz00_8910, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2239z00_4500,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_val2239z00_6722 = ((BgL_ev_exprz00_bglt) BgL_val2239z00_4500);
					}
				else
					{
						obj_t BgL_auxz00_8917;

						BgL_auxz00_8917 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4324z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2239z00_4500);
						FAILURE(BgL_auxz00_8917, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((obj_t) BgL_obj2240z00_6721)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2239z00_6722), BUNSPEC);
			}
		}
	}



/* &ev_unwind-protect-body */
	BgL_ev_exprz00_bglt
		BGl_z62ev_unwindzd2protectzd2bodyz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4496, obj_t BgL_obj2238z00_4497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2238z00_6724;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2238z00_4497,
						BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 86 */
						BgL_obj2238z00_6724 =
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_obj2238z00_4497);
					}
				else
					{
						obj_t BgL_auxz00_8926;

						BgL_auxz00_8926 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2438)),
							BGl_string4325z00zz__evaluate_typesz00,
							BGl_string4189z00zz__evaluate_typesz00, BgL_obj2238z00_4497);
						FAILURE(BgL_auxz00_8926, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((obj_t) BgL_obj2238z00_6724)))->BgL_bodyz00);
			}
		}
	}



/* ev_bind-exit? */
	BGL_EXPORTED_DEF bool_t BGl_ev_bindzd2exitzf3z21zz__evaluate_typesz00(obj_t
		BgL_obj2234z00_226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2234z00_226,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
		}
	}



/* &ev_bind-exit? */
	obj_t BGl_z62ev_bindzd2exitzf3z43zz__evaluate_typesz00(obj_t BgL_envz00_4489,
		obj_t BgL_obj2234z00_4490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2234z00_4490,
					BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		}
	}



/* make-ev_bind-exit */
	BGL_EXPORTED_DEF BgL_ev_bindzd2exitzd2_bglt
		BGl_makezd2ev_bindzd2exitz00zz__evaluate_typesz00(BgL_ev_varz00_bglt
		BgL_var2212z00_230, BgL_ev_exprz00_bglt BgL_body2213z00_231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new2214z00_2969;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_res3593z00_2974;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new2222z00_2970;

						BgL_new2222z00_2970 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg3173z00_2971;

							BgL_arg3173z00_2971 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2972;

								BgL_objz00_2972 = ((BgL_objectz00_bglt) BgL_new2222z00_2970);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2972, BgL_arg3173z00_2971);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_8939;

							BgL_auxz00_8939 = ((BgL_objectz00_bglt) BgL_new2222z00_2970);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8939, BFALSE);
						}
						BgL_res3593z00_2974 = BgL_new2222z00_2970;
					}
					BgL_new2214z00_2969 = BgL_res3593z00_2974;
				}
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_res3594z00_2980;

					((((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_new2214z00_2969)))->BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var2212z00_230), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(((obj_t) BgL_new2214z00_2969)))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body2213z00_231), BUNSPEC);
					BgL_res3594z00_2980 = BgL_new2214z00_2969;
					BgL_res3594z00_2980;
				}
				return BgL_new2214z00_2969;
			}
		}
	}



/* &make-ev_bind-exit */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62makezd2ev_bindzd2exitz62zz__evaluate_typesz00(obj_t BgL_envz00_4484,
		obj_t BgL_var2212z00_4485, obj_t BgL_body2213z00_4486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_exprz00_bglt BgL_auxz00_8954;
				BgL_ev_varz00_bglt BgL_auxz00_8946;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2213z00_4486,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_auxz00_8954 = ((BgL_ev_exprz00_bglt) BgL_body2213z00_4486);
					}
				else
					{
						obj_t BgL_auxz00_8958;

						BgL_auxz00_8958 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4326z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2213z00_4486);
						FAILURE(BgL_auxz00_8958, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_var2212z00_4485,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_auxz00_8946 = ((BgL_ev_varz00_bglt) BgL_var2212z00_4485);
					}
				else
					{
						obj_t BgL_auxz00_8950;

						BgL_auxz00_8950 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4326z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_var2212z00_4485);
						FAILURE(BgL_auxz00_8950, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_bindzd2exitz00zz__evaluate_typesz00(BgL_auxz00_8946,
					BgL_auxz00_8954);
			}
		}
	}



/* fill-ev_bind-exit! */
	BGL_EXPORTED_DEF BgL_ev_bindzd2exitzd2_bglt
		BGl_fillzd2ev_bindzd2exitz12z12zz__evaluate_typesz00
		(BgL_ev_bindzd2exitzd2_bglt BgL_new2218z00_232,
		BgL_ev_varz00_bglt BgL_var2216z00_233,
		BgL_ev_exprz00_bglt BgL_body2217z00_234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			((((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((obj_t) BgL_new2218z00_232)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) BgL_var2216z00_233), BUNSPEC);
			((((BgL_ev_bindzd2exitzd2_bglt) CREF(((obj_t) BgL_new2218z00_232)))->
					BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2217z00_234), BUNSPEC);
			return BgL_new2218z00_232;
		}
	}



/* &fill-ev_bind-exit! */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62fillzd2ev_bindzd2exitz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4795, obj_t BgL_new2218z00_4796, obj_t BgL_var2216z00_4797,
		obj_t BgL_body2217z00_4798)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new2218z00_6731;
				BgL_ev_varz00_bglt BgL_var2216z00_6732;
				BgL_ev_exprz00_bglt BgL_body2217z00_6733;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2218z00_4796,
						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_new2218z00_6731 =
							((BgL_ev_bindzd2exitzd2_bglt) BgL_new2218z00_4796);
					}
				else
					{
						obj_t BgL_auxz00_8970;

						BgL_auxz00_8970 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4327z00zz__evaluate_typesz00,
							BGl_string4187z00zz__evaluate_typesz00, BgL_new2218z00_4796);
						FAILURE(BgL_auxz00_8970, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_var2216z00_4797,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_var2216z00_6732 = ((BgL_ev_varz00_bglt) BgL_var2216z00_4797);
					}
				else
					{
						obj_t BgL_auxz00_8977;

						BgL_auxz00_8977 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4327z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_var2216z00_4797);
						FAILURE(BgL_auxz00_8977, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_body2217z00_4798,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_body2217z00_6733 = ((BgL_ev_exprz00_bglt) BgL_body2217z00_4798);
					}
				else
					{
						obj_t BgL_auxz00_8984;

						BgL_auxz00_8984 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4327z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_body2217z00_4798);
						FAILURE(BgL_auxz00_8984, BFALSE, BFALSE);
					}
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(
								((obj_t) BgL_new2218z00_6731)))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_var2216z00_6732), BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(((obj_t) BgL_new2218z00_6731)))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_body2217z00_6733), BUNSPEC);
				return BgL_new2218z00_6731;
			}
		}
	}



/* %allocate-ev_bind-exit */
	BGL_EXPORTED_DEF BgL_ev_bindzd2exitzd2_bglt
		BGl_z52allocatezd2ev_bindzd2exitz52zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new2222z00_6734;

				BgL_new2222z00_6734 =
					((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg3173z00_6735;

					BgL_arg3173z00_6735 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_objz00_6736;

						BgL_objz00_6736 = ((BgL_objectz00_bglt) BgL_new2222z00_6734);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6736, BgL_arg3173z00_6735);
				}}
				{	/* Eval/evaluate_types.scm 83 */
					BgL_objectz00_bglt BgL_auxz00_8996;

					BgL_auxz00_8996 = ((BgL_objectz00_bglt) BgL_new2222z00_6734);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_8996, BFALSE);
				}
				return BgL_new2222z00_6734;
			}
		}
	}



/* &%allocate-ev_bind-exit */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62z52allocatezd2ev_bindzd2exitz30zz__evaluate_typesz00(obj_t
		BgL_envz00_4487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new2222z00_6737;

				BgL_new2222z00_6737 =
					((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg3173z00_6738;

					BgL_arg3173z00_6738 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_objz00_6739;

						BgL_objz00_6739 = ((BgL_objectz00_bglt) BgL_new2222z00_6737);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6739, BgL_arg3173z00_6738);
				}}
				{	/* Eval/evaluate_types.scm 83 */
					BgL_objectz00_bglt BgL_auxz00_9003;

					BgL_auxz00_9003 = ((BgL_objectz00_bglt) BgL_new2222z00_6737);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9003, BFALSE);
				}
				return BgL_new2222z00_6737;
			}
		}
	}



/* ev_bind-exit-nil */
	BGL_EXPORTED_DEF BgL_ev_bindzd2exitzd2_bglt
		BGl_ev_bindzd2exitzd2nilz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluate_typesz00,
					BGl_ev_bindzd2exitzd2zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_xz00_5650;

					BgL_xz00_5650 =
						BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluate_typesz00;
					return ((BgL_ev_bindzd2exitzd2_bglt) BgL_xz00_5650);
				}
			else
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_g2223z00_1562;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_res3595z00_2991;

						{	/* Eval/evaluate_types.scm 83 */
							BgL_ev_bindzd2exitzd2_bglt BgL_new2222z00_2987;

							BgL_new2222z00_2987 =
								((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_bindzd2exitzd2_bgl))));
							{	/* Eval/evaluate_types.scm 83 */
								long BgL_arg3173z00_2988;

								BgL_arg3173z00_2988 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 83 */
									BgL_objectz00_bglt BgL_objz00_2989;

									BgL_objz00_2989 = ((BgL_objectz00_bglt) BgL_new2222z00_2987);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2989,
										BgL_arg3173z00_2988);
							}}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_auxz00_9013;

								BgL_auxz00_9013 = ((BgL_objectz00_bglt) BgL_new2222z00_2987);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9013, BFALSE);
							}
							BgL_res3595z00_2991 = BgL_new2222z00_2987;
						}
						BgL_g2223z00_1562 = BgL_res3595z00_2991;
					}
					BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluate_typesz00 =
						((obj_t) BgL_g2223z00_1562);
					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_varz00_bglt BgL_arg3175z00_1563;
						BgL_ev_exprz00_bglt BgL_arg3176z00_1564;

						BgL_arg3175z00_1563 = BGl_ev_varzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3176z00_1564 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 83 */
							BgL_ev_bindzd2exitzd2_bglt BgL_res3596z00_2997;

							((((BgL_ev_bindzd2exitzd2_bglt) CREF(
											((obj_t) BgL_g2223z00_1562)))->BgL_varz00) =
								((BgL_ev_varz00_bglt) BgL_arg3175z00_1563), BUNSPEC);
							((((BgL_ev_bindzd2exitzd2_bglt) CREF(((obj_t)
												BgL_g2223z00_1562)))->BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3176z00_1564), BUNSPEC);
							BgL_res3596z00_2997 = BgL_g2223z00_1562;
							BgL_res3596z00_2997;
					}}
					return BgL_g2223z00_1562;
				}
		}
	}



/* &ev_bind-exit-nil */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62ev_bindzd2exitzd2nilz62zz__evaluate_typesz00(obj_t BgL_envz00_4488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return BGl_ev_bindzd2exitzd2nilz00zz__evaluate_typesz00();
		}
	}



/* &ev_bind-exit-var-set! */
	obj_t BGl_z62ev_bindzd2exitzd2varzd2setz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4476, obj_t BgL_obj2208z00_4477, obj_t BgL_val2207z00_4478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2208z00_6742;
				BgL_ev_varz00_bglt BgL_val2207z00_6743;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2208z00_4477,
						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_obj2208z00_6742 =
							((BgL_ev_bindzd2exitzd2_bglt) BgL_obj2208z00_4477);
					}
				else
					{
						obj_t BgL_auxz00_9027;

						BgL_auxz00_9027 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4328z00zz__evaluate_typesz00,
							BGl_string4187z00zz__evaluate_typesz00, BgL_obj2208z00_4477);
						FAILURE(BgL_auxz00_9027, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2207z00_4478,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_val2207z00_6743 = ((BgL_ev_varz00_bglt) BgL_val2207z00_4478);
					}
				else
					{
						obj_t BgL_auxz00_9034;

						BgL_auxz00_9034 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4328z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_val2207z00_4478);
						FAILURE(BgL_auxz00_9034, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(
								((obj_t) BgL_obj2208z00_6742)))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_val2207z00_6743), BUNSPEC);
			}
		}
	}



/* &ev_bind-exit-var */
	BgL_ev_varz00_bglt BGl_z62ev_bindzd2exitzd2varz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4474, obj_t BgL_obj2206z00_4475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2206z00_6745;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2206z00_4475,
						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_obj2206z00_6745 =
							((BgL_ev_bindzd2exitzd2_bglt) BgL_obj2206z00_4475);
					}
				else
					{
						obj_t BgL_auxz00_9043;

						BgL_auxz00_9043 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4329z00zz__evaluate_typesz00,
							BGl_string4187z00zz__evaluate_typesz00, BgL_obj2206z00_4475);
						FAILURE(BgL_auxz00_9043, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((obj_t) BgL_obj2206z00_6745)))->BgL_varz00);
			}
		}
	}



/* &ev_bind-exit-body-set! */
	obj_t BGl_z62ev_bindzd2exitzd2bodyzd2setz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4481, obj_t BgL_obj2211z00_4482, obj_t BgL_val2210z00_4483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2211z00_6748;
				BgL_ev_exprz00_bglt BgL_val2210z00_6749;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2211z00_4482,
						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_obj2211z00_6748 =
							((BgL_ev_bindzd2exitzd2_bglt) BgL_obj2211z00_4482);
					}
				else
					{
						obj_t BgL_auxz00_9052;

						BgL_auxz00_9052 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4330z00zz__evaluate_typesz00,
							BGl_string4187z00zz__evaluate_typesz00, BgL_obj2211z00_4482);
						FAILURE(BgL_auxz00_9052, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2210z00_4483,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_val2210z00_6749 = ((BgL_ev_exprz00_bglt) BgL_val2210z00_4483);
					}
				else
					{
						obj_t BgL_auxz00_9059;

						BgL_auxz00_9059 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4330z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2210z00_4483);
						FAILURE(BgL_auxz00_9059, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(
								((obj_t) BgL_obj2211z00_6748)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2210z00_6749), BUNSPEC);
			}
		}
	}



/* &ev_bind-exit-body */
	BgL_ev_exprz00_bglt BGl_z62ev_bindzd2exitzd2bodyz62zz__evaluate_typesz00(obj_t
		BgL_envz00_4479, obj_t BgL_obj2209z00_4480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2209z00_6751;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2209z00_4480,
						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 83 */
						BgL_obj2209z00_6751 =
							((BgL_ev_bindzd2exitzd2_bglt) BgL_obj2209z00_4480);
					}
				else
					{
						obj_t BgL_auxz00_9068;

						BgL_auxz00_9068 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2364)),
							BGl_string4331z00zz__evaluate_typesz00,
							BGl_string4187z00zz__evaluate_typesz00, BgL_obj2209z00_4480);
						FAILURE(BgL_auxz00_9068, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((obj_t) BgL_obj2209z00_6751)))->BgL_bodyz00);
			}
		}
	}



/* ev_defglobal? */
	BGL_EXPORTED_DEF bool_t BGl_ev_defglobalzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2205z00_241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2205z00_241,
				BGl_ev_defglobalz00zz__evaluate_typesz00);
		}
	}



/* &ev_defglobal? */
	obj_t BGl_z62ev_defglobalzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4472,
		obj_t BgL_obj2205z00_4473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2205z00_4473,
					BGl_ev_defglobalz00zz__evaluate_typesz00));
		}
	}



/* make-ev_defglobal */
	BGL_EXPORTED_DEF BgL_ev_defglobalz00_bglt
		BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e2169z00_245, obj_t BgL_loc2170z00_246, obj_t BgL_name2171z00_247,
		obj_t BgL_mod2172z00_248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new2173z00_2998;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_res3597z00_3003;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new2185z00_2999;

						BgL_new2185z00_2999 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg3177z00_3000;

							BgL_arg3177z00_3000 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_defglobalz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_objz00_3001;

								BgL_objz00_3001 = ((BgL_objectz00_bglt) BgL_new2185z00_2999);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3001, BgL_arg3177z00_3000);
						}}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_9081;

							BgL_auxz00_9081 = ((BgL_objectz00_bglt) BgL_new2185z00_2999);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9081, BFALSE);
						}
						BgL_res3597z00_3003 = BgL_new2185z00_2999;
					}
					BgL_new2173z00_2998 = BgL_res3597z00_3003;
				}
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_res3598z00_3013;

					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_new2173z00_2998)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e2169z00_245), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2173z00_2998)))->
							BgL_locz00) = ((obj_t) BgL_loc2170z00_246), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2173z00_2998)))->
							BgL_namez00) = ((obj_t) BgL_name2171z00_247), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2173z00_2998)))->
							BgL_modz00) = ((obj_t) BgL_mod2172z00_248), BUNSPEC);
					BgL_res3598z00_3013 = BgL_new2173z00_2998;
					BgL_res3598z00_3013;
				}
				return BgL_new2173z00_2998;
			}
		}
	}



/* &make-ev_defglobal */
	BgL_ev_defglobalz00_bglt
		BGl_z62makezd2ev_defglobalzb0zz__evaluate_typesz00(obj_t BgL_envz00_4465,
		obj_t BgL_e2169z00_4466, obj_t BgL_loc2170z00_4467,
		obj_t BgL_name2171z00_4468, obj_t BgL_mod2172z00_4469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_auxz00_9100;
				BgL_ev_exprz00_bglt BgL_auxz00_9092;

				if (SYMBOLP(BgL_name2171z00_4468))
					{	/* Eval/evaluate_types.scm 82 */
						BgL_auxz00_9100 = BgL_name2171z00_4468;
					}
				else
					{
						obj_t BgL_auxz00_9103;

						BgL_auxz00_9103 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2325)),
							BGl_string4332z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name2171z00_4468);
						FAILURE(BgL_auxz00_9103, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2169z00_4466,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 82 */
						BgL_auxz00_9092 = ((BgL_ev_exprz00_bglt) BgL_e2169z00_4466);
					}
				else
					{
						obj_t BgL_auxz00_9096;

						BgL_auxz00_9096 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2325)),
							BGl_string4332z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2169z00_4466);
						FAILURE(BgL_auxz00_9096, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00(BgL_auxz00_9092,
					BgL_loc2170z00_4467, BgL_auxz00_9100, BgL_mod2172z00_4469);
			}
		}
	}



/* fill-ev_defglobal! */
	BGL_EXPORTED_DEF BgL_ev_defglobalz00_bglt
		BGl_fillzd2ev_defglobalz12zc0zz__evaluate_typesz00(BgL_ev_defglobalz00_bglt
		BgL_new2179z00_249, BgL_ev_exprz00_bglt BgL_e2175z00_250,
		obj_t BgL_loc2176z00_251, obj_t BgL_name2177z00_252,
		obj_t BgL_mod2178z00_253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			((((BgL_ev_hookz00_bglt) CREF(
							((obj_t) BgL_new2179z00_249)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e2175z00_250), BUNSPEC);
			((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2179z00_249)))->
					BgL_locz00) = ((obj_t) BgL_loc2176z00_251), BUNSPEC);
			((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2179z00_249)))->
					BgL_namez00) = ((obj_t) BgL_name2177z00_252), BUNSPEC);
			((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2179z00_249)))->
					BgL_modz00) = ((obj_t) BgL_mod2178z00_253), BUNSPEC);
			return BgL_new2179z00_249;
		}
	}



/* &fill-ev_defglobal! */
	BgL_ev_defglobalz00_bglt
		BGl_z62fillzd2ev_defglobalz12za2zz__evaluate_typesz00(obj_t BgL_envz00_4799,
		obj_t BgL_new2179z00_4800, obj_t BgL_e2175z00_4801,
		obj_t BgL_loc2176z00_4802, obj_t BgL_name2177z00_4803,
		obj_t BgL_mod2178z00_4804)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new2179z00_6756;
				BgL_ev_exprz00_bglt BgL_e2175z00_6757;
				obj_t BgL_name2177z00_6759;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2179z00_4800,
						BGl_ev_defglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 82 */
						BgL_new2179z00_6756 =
							((BgL_ev_defglobalz00_bglt) BgL_new2179z00_4800);
					}
				else
					{
						obj_t BgL_auxz00_9119;

						BgL_auxz00_9119 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2325)),
							BGl_string4334z00zz__evaluate_typesz00,
							BGl_string4181z00zz__evaluate_typesz00, BgL_new2179z00_4800);
						FAILURE(BgL_auxz00_9119, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2175z00_4801,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 82 */
						BgL_e2175z00_6757 = ((BgL_ev_exprz00_bglt) BgL_e2175z00_4801);
					}
				else
					{
						obj_t BgL_auxz00_9126;

						BgL_auxz00_9126 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2325)),
							BGl_string4334z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2175z00_4801);
						FAILURE(BgL_auxz00_9126, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_name2177z00_4803))
					{	/* Eval/evaluate_types.scm 82 */
						BgL_name2177z00_6759 = BgL_name2177z00_4803;
					}
				else
					{
						obj_t BgL_auxz00_9132;

						BgL_auxz00_9132 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2325)),
							BGl_string4334z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name2177z00_4803);
						FAILURE(BgL_auxz00_9132, BFALSE, BFALSE);
					}
				((((BgL_ev_hookz00_bglt) CREF(
								((obj_t) BgL_new2179z00_6756)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e2175z00_6757), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2179z00_6756)))->
						BgL_locz00) = ((obj_t) BgL_loc2176z00_4802), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2179z00_6756)))->
						BgL_namez00) = ((obj_t) BgL_name2177z00_6759), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2179z00_6756)))->
						BgL_modz00) = ((obj_t) BgL_mod2178z00_4804), BUNSPEC);
				return BgL_new2179z00_6756;
			}
		}
	}



/* %allocate-ev_defglobal */
	BGL_EXPORTED_DEF BgL_ev_defglobalz00_bglt
		BGl_z52allocatezd2ev_defglobalz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new2185z00_6761;

				BgL_new2185z00_6761 =
					((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg3177z00_6762;

					BgL_arg3177z00_6762 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_defglobalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_objz00_6763;

						BgL_objz00_6763 = ((BgL_objectz00_bglt) BgL_new2185z00_6761);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6763, BgL_arg3177z00_6762);
				}}
				{	/* Eval/evaluate_types.scm 82 */
					BgL_objectz00_bglt BgL_auxz00_9148;

					BgL_auxz00_9148 = ((BgL_objectz00_bglt) BgL_new2185z00_6761);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9148, BFALSE);
				}
				return BgL_new2185z00_6761;
			}
		}
	}



/* &%allocate-ev_defglobal */
	BgL_ev_defglobalz00_bglt
		BGl_z62z52allocatezd2ev_defglobalze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new2185z00_6764;

				BgL_new2185z00_6764 =
					((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg3177z00_6765;

					BgL_arg3177z00_6765 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_defglobalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_objz00_6766;

						BgL_objz00_6766 = ((BgL_objectz00_bglt) BgL_new2185z00_6764);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6766, BgL_arg3177z00_6765);
				}}
				{	/* Eval/evaluate_types.scm 82 */
					BgL_objectz00_bglt BgL_auxz00_9155;

					BgL_auxz00_9155 = ((BgL_objectz00_bglt) BgL_new2185z00_6764);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9155, BFALSE);
				}
				return BgL_new2185z00_6764;
			}
		}
	}



/* ev_defglobal-nil */
	BGL_EXPORTED_DEF BgL_ev_defglobalz00_bglt
		BGl_ev_defglobalzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluate_typesz00,
					BGl_ev_defglobalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_xz00_5703;

					BgL_xz00_5703 =
						BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_defglobalz00_bglt) BgL_xz00_5703);
				}
			else
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_g2186z00_1573;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_res3599z00_3026;

						{	/* Eval/evaluate_types.scm 82 */
							BgL_ev_defglobalz00_bglt BgL_new2185z00_3022;

							BgL_new2185z00_3022 =
								((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_defglobalz00_bgl))));
							{	/* Eval/evaluate_types.scm 82 */
								long BgL_arg3177z00_3023;

								BgL_arg3177z00_3023 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_defglobalz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 82 */
									BgL_objectz00_bglt BgL_objz00_3024;

									BgL_objz00_3024 = ((BgL_objectz00_bglt) BgL_new2185z00_3022);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3024,
										BgL_arg3177z00_3023);
							}}
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_auxz00_9165;

								BgL_auxz00_9165 = ((BgL_objectz00_bglt) BgL_new2185z00_3022);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9165, BFALSE);
							}
							BgL_res3599z00_3026 = BgL_new2185z00_3022;
						}
						BgL_g2186z00_1573 = BgL_res3599z00_3026;
					}
					BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2186z00_1573);
					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_exprz00_bglt BgL_arg3179z00_1574;

						BgL_arg3179z00_1574 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 82 */
							BgL_ev_defglobalz00_bglt BgL_res3600z00_3036;

							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL_name2177z00_3030;

								BgL_name2177z00_3030 = BGl_symbol4335z00zz__evaluate_typesz00;
								((((BgL_ev_hookz00_bglt) CREF(
												((obj_t) BgL_g2186z00_1573)))->BgL_ez00) =
									((BgL_ev_exprz00_bglt) BgL_arg3179z00_1574), BUNSPEC);
								((((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
													BgL_g2186z00_1573)))->BgL_locz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
													BgL_g2186z00_1573)))->BgL_namez00) =
									((obj_t) BgL_name2177z00_3030), BUNSPEC);
								((((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
													BgL_g2186z00_1573)))->BgL_modz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								BgL_res3600z00_3036 = BgL_g2186z00_1573;
							} BgL_res3600z00_3036;
					}}
					return BgL_g2186z00_1573;
				}
		}
	}



/* &ev_defglobal-nil */
	BgL_ev_defglobalz00_bglt
		BGl_z62ev_defglobalzd2nilzb0zz__evaluate_typesz00(obj_t BgL_envz00_4471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			return BGl_ev_defglobalzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* ev_setglobal? */
	BGL_EXPORTED_DEF bool_t BGl_ev_setglobalzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2158z00_254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2158z00_254,
				BGl_ev_setglobalz00zz__evaluate_typesz00);
		}
	}



/* &ev_setglobal? */
	obj_t BGl_z62ev_setglobalzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4463,
		obj_t BgL_obj2158z00_4464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2158z00_4464,
					BGl_ev_setglobalz00zz__evaluate_typesz00));
		}
	}



/* make-ev_setglobal */
	BGL_EXPORTED_DEF BgL_ev_setglobalz00_bglt
		BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e2122z00_258, obj_t BgL_loc2123z00_259, obj_t BgL_name2124z00_260,
		obj_t BgL_mod2125z00_261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new2126z00_3037;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_res3601z00_3042;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new2138z00_3038;

						BgL_new2138z00_3038 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg3180z00_3039;

							BgL_arg3180z00_3039 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_setglobalz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_objz00_3040;

								BgL_objz00_3040 = ((BgL_objectz00_bglt) BgL_new2138z00_3038);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3040, BgL_arg3180z00_3039);
						}}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_9186;

							BgL_auxz00_9186 = ((BgL_objectz00_bglt) BgL_new2138z00_3038);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9186, BFALSE);
						}
						BgL_res3601z00_3042 = BgL_new2138z00_3038;
					}
					BgL_new2126z00_3037 = BgL_res3601z00_3042;
				}
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_res3602z00_3052;

					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_new2126z00_3037)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e2122z00_258), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2126z00_3037)))->
							BgL_locz00) = ((obj_t) BgL_loc2123z00_259), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2126z00_3037)))->
							BgL_namez00) = ((obj_t) BgL_name2124z00_260), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2126z00_3037)))->
							BgL_modz00) = ((obj_t) BgL_mod2125z00_261), BUNSPEC);
					BgL_res3602z00_3052 = BgL_new2126z00_3037;
					BgL_res3602z00_3052;
				}
				return BgL_new2126z00_3037;
			}
		}
	}



/* &make-ev_setglobal */
	BgL_ev_setglobalz00_bglt
		BGl_z62makezd2ev_setglobalzb0zz__evaluate_typesz00(obj_t BgL_envz00_4456,
		obj_t BgL_e2122z00_4457, obj_t BgL_loc2123z00_4458,
		obj_t BgL_name2124z00_4459, obj_t BgL_mod2125z00_4460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_auxz00_9205;
				BgL_ev_exprz00_bglt BgL_auxz00_9197;

				if (SYMBOLP(BgL_name2124z00_4459))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_auxz00_9205 = BgL_name2124z00_4459;
					}
				else
					{
						obj_t BgL_auxz00_9208;

						BgL_auxz00_9208 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4337z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name2124z00_4459);
						FAILURE(BgL_auxz00_9208, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2122z00_4457,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_auxz00_9197 = ((BgL_ev_exprz00_bglt) BgL_e2122z00_4457);
					}
				else
					{
						obj_t BgL_auxz00_9201;

						BgL_auxz00_9201 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4337z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2122z00_4457);
						FAILURE(BgL_auxz00_9201, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00(BgL_auxz00_9197,
					BgL_loc2123z00_4458, BgL_auxz00_9205, BgL_mod2125z00_4460);
			}
		}
	}



/* fill-ev_setglobal! */
	BGL_EXPORTED_DEF BgL_ev_setglobalz00_bglt
		BGl_fillzd2ev_setglobalz12zc0zz__evaluate_typesz00(BgL_ev_setglobalz00_bglt
		BgL_new2132z00_262, BgL_ev_exprz00_bglt BgL_e2128z00_263,
		obj_t BgL_loc2129z00_264, obj_t BgL_name2130z00_265,
		obj_t BgL_mod2131z00_266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			((((BgL_ev_hookz00_bglt) CREF(
							((obj_t) BgL_new2132z00_262)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e2128z00_263), BUNSPEC);
			((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2132z00_262)))->
					BgL_locz00) = ((obj_t) BgL_loc2129z00_264), BUNSPEC);
			((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2132z00_262)))->
					BgL_namez00) = ((obj_t) BgL_name2130z00_265), BUNSPEC);
			((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2132z00_262)))->
					BgL_modz00) = ((obj_t) BgL_mod2131z00_266), BUNSPEC);
			return BgL_new2132z00_262;
		}
	}



/* &fill-ev_setglobal! */
	BgL_ev_setglobalz00_bglt
		BGl_z62fillzd2ev_setglobalz12za2zz__evaluate_typesz00(obj_t BgL_envz00_4805,
		obj_t BgL_new2132z00_4806, obj_t BgL_e2128z00_4807,
		obj_t BgL_loc2129z00_4808, obj_t BgL_name2130z00_4809,
		obj_t BgL_mod2131z00_4810)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new2132z00_6771;
				BgL_ev_exprz00_bglt BgL_e2128z00_6772;
				obj_t BgL_name2130z00_6774;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2132z00_4806,
						BGl_ev_setglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_new2132z00_6771 =
							((BgL_ev_setglobalz00_bglt) BgL_new2132z00_4806);
					}
				else
					{
						obj_t BgL_auxz00_9224;

						BgL_auxz00_9224 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4338z00zz__evaluate_typesz00,
							BGl_string4179z00zz__evaluate_typesz00, BgL_new2132z00_4806);
						FAILURE(BgL_auxz00_9224, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2128z00_4807,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_e2128z00_6772 = ((BgL_ev_exprz00_bglt) BgL_e2128z00_4807);
					}
				else
					{
						obj_t BgL_auxz00_9231;

						BgL_auxz00_9231 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4338z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2128z00_4807);
						FAILURE(BgL_auxz00_9231, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_name2130z00_4809))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_name2130z00_6774 = BgL_name2130z00_4809;
					}
				else
					{
						obj_t BgL_auxz00_9237;

						BgL_auxz00_9237 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4338z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name2130z00_4809);
						FAILURE(BgL_auxz00_9237, BFALSE, BFALSE);
					}
				((((BgL_ev_hookz00_bglt) CREF(
								((obj_t) BgL_new2132z00_6771)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e2128z00_6772), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2132z00_6771)))->
						BgL_locz00) = ((obj_t) BgL_loc2129z00_4808), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2132z00_6771)))->
						BgL_namez00) = ((obj_t) BgL_name2130z00_6774), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((obj_t) BgL_new2132z00_6771)))->
						BgL_modz00) = ((obj_t) BgL_mod2131z00_4810), BUNSPEC);
				return BgL_new2132z00_6771;
			}
		}
	}



/* %allocate-ev_setglobal */
	BGL_EXPORTED_DEF BgL_ev_setglobalz00_bglt
		BGl_z52allocatezd2ev_setglobalz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new2138z00_6776;

				BgL_new2138z00_6776 =
					((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg3180z00_6777;

					BgL_arg3180z00_6777 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_setglobalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_objz00_6778;

						BgL_objz00_6778 = ((BgL_objectz00_bglt) BgL_new2138z00_6776);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6778, BgL_arg3180z00_6777);
				}}
				{	/* Eval/evaluate_types.scm 78 */
					BgL_objectz00_bglt BgL_auxz00_9253;

					BgL_auxz00_9253 = ((BgL_objectz00_bglt) BgL_new2138z00_6776);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9253, BFALSE);
				}
				return BgL_new2138z00_6776;
			}
		}
	}



/* &%allocate-ev_setglobal */
	BgL_ev_setglobalz00_bglt
		BGl_z62z52allocatezd2ev_setglobalze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new2138z00_6779;

				BgL_new2138z00_6779 =
					((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg3180z00_6780;

					BgL_arg3180z00_6780 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_setglobalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_objz00_6781;

						BgL_objz00_6781 = ((BgL_objectz00_bglt) BgL_new2138z00_6779);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6781, BgL_arg3180z00_6780);
				}}
				{	/* Eval/evaluate_types.scm 78 */
					BgL_objectz00_bglt BgL_auxz00_9260;

					BgL_auxz00_9260 = ((BgL_objectz00_bglt) BgL_new2138z00_6779);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9260, BFALSE);
				}
				return BgL_new2138z00_6779;
			}
		}
	}



/* ev_setglobal-nil */
	BGL_EXPORTED_DEF BgL_ev_setglobalz00_bglt
		BGl_ev_setglobalzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_xz00_5736;

					BgL_xz00_5736 =
						BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_setglobalz00_bglt) BgL_xz00_5736);
				}
			else
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_g2139z00_1583;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_res3603z00_3065;

						{	/* Eval/evaluate_types.scm 78 */
							BgL_ev_setglobalz00_bglt BgL_new2138z00_3061;

							BgL_new2138z00_3061 =
								((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_setglobalz00_bgl))));
							{	/* Eval/evaluate_types.scm 78 */
								long BgL_arg3180z00_3062;

								BgL_arg3180z00_3062 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_setglobalz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 78 */
									BgL_objectz00_bglt BgL_objz00_3063;

									BgL_objz00_3063 = ((BgL_objectz00_bglt) BgL_new2138z00_3061);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3063,
										BgL_arg3180z00_3062);
							}}
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_auxz00_9270;

								BgL_auxz00_9270 = ((BgL_objectz00_bglt) BgL_new2138z00_3061);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9270, BFALSE);
							}
							BgL_res3603z00_3065 = BgL_new2138z00_3061;
						}
						BgL_g2139z00_1583 = BgL_res3603z00_3065;
					}
					BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2139z00_1583);
					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_exprz00_bglt BgL_arg3182z00_1584;

						BgL_arg3182z00_1584 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 78 */
							BgL_ev_setglobalz00_bglt BgL_res3604z00_3075;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_name2130z00_3069;

								BgL_name2130z00_3069 = BGl_symbol4335z00zz__evaluate_typesz00;
								((((BgL_ev_hookz00_bglt) CREF(
												((obj_t) BgL_g2139z00_1583)))->BgL_ez00) =
									((BgL_ev_exprz00_bglt) BgL_arg3182z00_1584), BUNSPEC);
								((((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
													BgL_g2139z00_1583)))->BgL_locz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
													BgL_g2139z00_1583)))->BgL_namez00) =
									((obj_t) BgL_name2130z00_3069), BUNSPEC);
								((((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
													BgL_g2139z00_1583)))->BgL_modz00) =
									((obj_t) BUNSPEC), BUNSPEC);
								BgL_res3604z00_3075 = BgL_g2139z00_1583;
							} BgL_res3604z00_3075;
					}}
					return BgL_g2139z00_1583;
				}
		}
	}



/* &ev_setglobal-nil */
	BgL_ev_setglobalz00_bglt
		BGl_z62ev_setglobalzd2nilzb0zz__evaluate_typesz00(obj_t BgL_envz00_4462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return BGl_ev_setglobalzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_setglobal-loc */
	obj_t BGl_z62ev_setglobalzd2loczb0zz__evaluate_typesz00(obj_t BgL_envz00_4444,
		obj_t BgL_obj2115z00_4445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{	/* Eval/evaluate_types.scm 79 */
				BgL_ev_setglobalz00_bglt BgL_obj2115z00_6783;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2115z00_4445,
						BGl_ev_setglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 79 */
						BgL_obj2115z00_6783 =
							((BgL_ev_setglobalz00_bglt) BgL_obj2115z00_4445);
					}
				else
					{
						obj_t BgL_auxz00_9287;

						BgL_auxz00_9287 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2273)),
							BGl_string4339z00zz__evaluate_typesz00,
							BGl_string4179z00zz__evaluate_typesz00, BgL_obj2115z00_4445);
						FAILURE(BgL_auxz00_9287, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_setglobalz00_bglt) CREF(
							((obj_t) BgL_obj2115z00_6783)))->BgL_locz00);
			}
		}
	}



/* &ev_setglobal-name-set! */
	obj_t BGl_z62ev_setglobalzd2namezd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4448, obj_t BgL_obj2118z00_4449, obj_t BgL_val2117z00_4450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_obj2118z00_6785;
				obj_t BgL_val2117z00_6786;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2118z00_4449,
						BGl_ev_setglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_obj2118z00_6785 =
							((BgL_ev_setglobalz00_bglt) BgL_obj2118z00_4449);
					}
				else
					{
						obj_t BgL_auxz00_9296;

						BgL_auxz00_9296 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4340z00zz__evaluate_typesz00,
							BGl_string4179z00zz__evaluate_typesz00, BgL_obj2118z00_4449);
						FAILURE(BgL_auxz00_9296, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_val2117z00_4450))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_val2117z00_6786 = BgL_val2117z00_4450;
					}
				else
					{
						obj_t BgL_auxz00_9302;

						BgL_auxz00_9302 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4340z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_val2117z00_4450);
						FAILURE(BgL_auxz00_9302, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_setglobalz00_bglt) CREF(
								((obj_t) BgL_obj2118z00_6785)))->BgL_namez00) =
					((obj_t) BgL_val2117z00_6786), BUNSPEC);
			}
		}
	}



/* &ev_setglobal-name */
	obj_t BGl_z62ev_setglobalzd2namezb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4446, obj_t BgL_obj2116z00_4447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_obj2116z00_6788;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2116z00_4447,
						BGl_ev_setglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_obj2116z00_6788 =
							((BgL_ev_setglobalz00_bglt) BgL_obj2116z00_4447);
					}
				else
					{
						obj_t BgL_auxz00_9311;

						BgL_auxz00_9311 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4341z00zz__evaluate_typesz00,
							BGl_string4179z00zz__evaluate_typesz00, BgL_obj2116z00_4447);
						FAILURE(BgL_auxz00_9311, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_setglobalz00_bglt) CREF(
							((obj_t) BgL_obj2116z00_6788)))->BgL_namez00);
			}
		}
	}



/* &ev_setglobal-mod-set! */
	obj_t BGl_z62ev_setglobalzd2modzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4453, obj_t BgL_obj2121z00_4454, obj_t BgL_val2120z00_4455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_obj2121z00_6790;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2121z00_4454,
						BGl_ev_setglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_obj2121z00_6790 =
							((BgL_ev_setglobalz00_bglt) BgL_obj2121z00_4454);
					}
				else
					{
						obj_t BgL_auxz00_9320;

						BgL_auxz00_9320 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4342z00zz__evaluate_typesz00,
							BGl_string4179z00zz__evaluate_typesz00, BgL_obj2121z00_4454);
						FAILURE(BgL_auxz00_9320, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_setglobalz00_bglt) CREF(
								((obj_t) BgL_obj2121z00_6790)))->BgL_modz00) =
					((obj_t) BgL_val2120z00_4455), BUNSPEC);
			}
		}
	}



/* &ev_setglobal-mod */
	obj_t BGl_z62ev_setglobalzd2modzb0zz__evaluate_typesz00(obj_t BgL_envz00_4451,
		obj_t BgL_obj2119z00_4452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_obj2119z00_6793;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2119z00_4452,
						BGl_ev_setglobalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 78 */
						BgL_obj2119z00_6793 =
							((BgL_ev_setglobalz00_bglt) BgL_obj2119z00_4452);
					}
				else
					{
						obj_t BgL_auxz00_9329;

						BgL_auxz00_9329 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2237)),
							BGl_string4343z00zz__evaluate_typesz00,
							BGl_string4179z00zz__evaluate_typesz00, BgL_obj2119z00_4452);
						FAILURE(BgL_auxz00_9329, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_setglobalz00_bglt) CREF(
							((obj_t) BgL_obj2119z00_6793)))->BgL_modz00);
			}
		}
	}



/* ev_setlocal? */
	BGL_EXPORTED_DEF bool_t BGl_ev_setlocalzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2111z00_274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2111z00_274,
				BGl_ev_setlocalz00zz__evaluate_typesz00);
		}
	}



/* &ev_setlocal? */
	obj_t BGl_z62ev_setlocalzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4442,
		obj_t BgL_obj2111z00_4443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2111z00_4443,
					BGl_ev_setlocalz00zz__evaluate_typesz00));
		}
	}



/* make-ev_setlocal */
	BGL_EXPORTED_DEF BgL_ev_setlocalz00_bglt
		BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e2089z00_278, BgL_ev_varz00_bglt BgL_v2090z00_279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new2091z00_3076;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_res3605z00_3081;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new2099z00_3077;

						BgL_new2099z00_3077 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg3183z00_3078;

							BgL_arg3183z00_3078 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_setlocalz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_3079;

								BgL_objz00_3079 = ((BgL_objectz00_bglt) BgL_new2099z00_3077);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3079, BgL_arg3183z00_3078);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_9342;

							BgL_auxz00_9342 = ((BgL_objectz00_bglt) BgL_new2099z00_3077);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9342, BFALSE);
						}
						BgL_res3605z00_3081 = BgL_new2099z00_3077;
					}
					BgL_new2091z00_3076 = BgL_res3605z00_3081;
				}
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_res3606z00_3087;

					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_new2091z00_3076)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e2089z00_278), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(((obj_t) BgL_new2091z00_3076)))->
							BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_v2090z00_279), BUNSPEC);
					BgL_res3606z00_3087 = BgL_new2091z00_3076;
					BgL_res3606z00_3087;
				}
				return BgL_new2091z00_3076;
			}
		}
	}



/* &make-ev_setlocal */
	BgL_ev_setlocalz00_bglt
		BGl_z62makezd2ev_setlocalzb0zz__evaluate_typesz00(obj_t BgL_envz00_4437,
		obj_t BgL_e2089z00_4438, obj_t BgL_v2090z00_4439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_varz00_bglt BgL_auxz00_9357;
				BgL_ev_exprz00_bglt BgL_auxz00_9349;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_v2090z00_4439,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_auxz00_9357 = ((BgL_ev_varz00_bglt) BgL_v2090z00_4439);
					}
				else
					{
						obj_t BgL_auxz00_9361;

						BgL_auxz00_9361 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4344z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_v2090z00_4439);
						FAILURE(BgL_auxz00_9361, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2089z00_4438,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_auxz00_9349 = ((BgL_ev_exprz00_bglt) BgL_e2089z00_4438);
					}
				else
					{
						obj_t BgL_auxz00_9353;

						BgL_auxz00_9353 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4344z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2089z00_4438);
						FAILURE(BgL_auxz00_9353, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00(BgL_auxz00_9349,
					BgL_auxz00_9357);
			}
		}
	}



/* fill-ev_setlocal! */
	BGL_EXPORTED_DEF BgL_ev_setlocalz00_bglt
		BGl_fillzd2ev_setlocalz12zc0zz__evaluate_typesz00(BgL_ev_setlocalz00_bglt
		BgL_new2095z00_280, BgL_ev_exprz00_bglt BgL_e2093z00_281,
		BgL_ev_varz00_bglt BgL_v2094z00_282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			((((BgL_ev_hookz00_bglt) CREF(
							((obj_t) BgL_new2095z00_280)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e2093z00_281), BUNSPEC);
			((((BgL_ev_setlocalz00_bglt) CREF(((obj_t) BgL_new2095z00_280)))->
					BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_v2094z00_282), BUNSPEC);
			return BgL_new2095z00_280;
		}
	}



/* &fill-ev_setlocal! */
	BgL_ev_setlocalz00_bglt
		BGl_z62fillzd2ev_setlocalz12za2zz__evaluate_typesz00(obj_t BgL_envz00_4811,
		obj_t BgL_new2095z00_4812, obj_t BgL_e2093z00_4813, obj_t BgL_v2094z00_4814)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new2095z00_6800;
				BgL_ev_exprz00_bglt BgL_e2093z00_6801;
				BgL_ev_varz00_bglt BgL_v2094z00_6802;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2095z00_4812,
						BGl_ev_setlocalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_new2095z00_6800 =
							((BgL_ev_setlocalz00_bglt) BgL_new2095z00_4812);
					}
				else
					{
						obj_t BgL_auxz00_9373;

						BgL_auxz00_9373 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4345z00zz__evaluate_typesz00,
							BGl_string4177z00zz__evaluate_typesz00, BgL_new2095z00_4812);
						FAILURE(BgL_auxz00_9373, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2093z00_4813,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_e2093z00_6801 = ((BgL_ev_exprz00_bglt) BgL_e2093z00_4813);
					}
				else
					{
						obj_t BgL_auxz00_9380;

						BgL_auxz00_9380 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4345z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2093z00_4813);
						FAILURE(BgL_auxz00_9380, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_v2094z00_4814,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_v2094z00_6802 = ((BgL_ev_varz00_bglt) BgL_v2094z00_4814);
					}
				else
					{
						obj_t BgL_auxz00_9387;

						BgL_auxz00_9387 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4345z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_v2094z00_4814);
						FAILURE(BgL_auxz00_9387, BFALSE, BFALSE);
					}
				((((BgL_ev_hookz00_bglt) CREF(
								((obj_t) BgL_new2095z00_6800)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e2093z00_6801), BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) CREF(((obj_t) BgL_new2095z00_6800)))->
						BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_v2094z00_6802), BUNSPEC);
				return BgL_new2095z00_6800;
			}
		}
	}



/* %allocate-ev_setlocal */
	BGL_EXPORTED_DEF BgL_ev_setlocalz00_bglt
		BGl_z52allocatezd2ev_setlocalz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new2099z00_6803;

				BgL_new2099z00_6803 =
					((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg3183z00_6804;

					BgL_arg3183z00_6804 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_setlocalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_objz00_6805;

						BgL_objz00_6805 = ((BgL_objectz00_bglt) BgL_new2099z00_6803);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6805, BgL_arg3183z00_6804);
				}}
				{	/* Eval/evaluate_types.scm 76 */
					BgL_objectz00_bglt BgL_auxz00_9399;

					BgL_auxz00_9399 = ((BgL_objectz00_bglt) BgL_new2099z00_6803);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9399, BFALSE);
				}
				return BgL_new2099z00_6803;
			}
		}
	}



/* &%allocate-ev_setlocal */
	BgL_ev_setlocalz00_bglt
		BGl_z62z52allocatezd2ev_setlocalze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new2099z00_6806;

				BgL_new2099z00_6806 =
					((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg3183z00_6807;

					BgL_arg3183z00_6807 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_setlocalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_objz00_6808;

						BgL_objz00_6808 = ((BgL_objectz00_bglt) BgL_new2099z00_6806);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6808, BgL_arg3183z00_6807);
				}}
				{	/* Eval/evaluate_types.scm 76 */
					BgL_objectz00_bglt BgL_auxz00_9406;

					BgL_auxz00_9406 = ((BgL_objectz00_bglt) BgL_new2099z00_6806);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9406, BFALSE);
				}
				return BgL_new2099z00_6806;
			}
		}
	}



/* ev_setlocal-nil */
	BGL_EXPORTED_DEF BgL_ev_setlocalz00_bglt
		BGl_ev_setlocalzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluate_typesz00,
					BGl_ev_setlocalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_xz00_5789;

					BgL_xz00_5789 =
						BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_setlocalz00_bglt) BgL_xz00_5789);
				}
			else
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_g2100z00_1591;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_res3607z00_3098;

						{	/* Eval/evaluate_types.scm 76 */
							BgL_ev_setlocalz00_bglt BgL_new2099z00_3094;

							BgL_new2099z00_3094 =
								((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_setlocalz00_bgl))));
							{	/* Eval/evaluate_types.scm 76 */
								long BgL_arg3183z00_3095;

								BgL_arg3183z00_3095 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_setlocalz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 76 */
									BgL_objectz00_bglt BgL_objz00_3096;

									BgL_objz00_3096 = ((BgL_objectz00_bglt) BgL_new2099z00_3094);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3096,
										BgL_arg3183z00_3095);
							}}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_auxz00_9416;

								BgL_auxz00_9416 = ((BgL_objectz00_bglt) BgL_new2099z00_3094);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9416, BFALSE);
							}
							BgL_res3607z00_3098 = BgL_new2099z00_3094;
						}
						BgL_g2100z00_1591 = BgL_res3607z00_3098;
					}
					BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2100z00_1591);
					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_exprz00_bglt BgL_arg3185z00_1592;
						BgL_ev_varz00_bglt BgL_arg3186z00_1593;

						BgL_arg3185z00_1592 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3186z00_1593 = BGl_ev_varzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 76 */
							BgL_ev_setlocalz00_bglt BgL_res3608z00_3104;

							((((BgL_ev_hookz00_bglt) CREF(
											((obj_t) BgL_g2100z00_1591)))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_arg3185z00_1592), BUNSPEC);
							((((BgL_ev_setlocalz00_bglt) CREF(((obj_t) BgL_g2100z00_1591)))->
									BgL_vz00) =
								((BgL_ev_varz00_bglt) BgL_arg3186z00_1593), BUNSPEC);
							BgL_res3608z00_3104 = BgL_g2100z00_1591;
							BgL_res3608z00_3104;
					}}
					return BgL_g2100z00_1591;
				}
		}
	}



/* &ev_setlocal-nil */
	BgL_ev_setlocalz00_bglt BGl_z62ev_setlocalzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return BGl_ev_setlocalzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_setlocal-v-set! */
	obj_t BGl_z62ev_setlocalzd2vzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4434, obj_t BgL_obj2088z00_4435, obj_t BgL_val2087z00_4436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_obj2088z00_6811;
				BgL_ev_varz00_bglt BgL_val2087z00_6812;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2088z00_4435,
						BGl_ev_setlocalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_obj2088z00_6811 =
							((BgL_ev_setlocalz00_bglt) BgL_obj2088z00_4435);
					}
				else
					{
						obj_t BgL_auxz00_9430;

						BgL_auxz00_9430 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4346z00zz__evaluate_typesz00,
							BGl_string4177z00zz__evaluate_typesz00, BgL_obj2088z00_4435);
						FAILURE(BgL_auxz00_9430, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2087z00_4436,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_val2087z00_6812 = ((BgL_ev_varz00_bglt) BgL_val2087z00_4436);
					}
				else
					{
						obj_t BgL_auxz00_9437;

						BgL_auxz00_9437 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4346z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_val2087z00_4436);
						FAILURE(BgL_auxz00_9437, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_setlocalz00_bglt) CREF(
								((obj_t) BgL_obj2088z00_6811)))->BgL_vz00) =
					((BgL_ev_varz00_bglt) BgL_val2087z00_6812), BUNSPEC);
			}
		}
	}



/* &ev_setlocal-v */
	BgL_ev_varz00_bglt BGl_z62ev_setlocalzd2vzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4432, obj_t BgL_obj2086z00_4433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_obj2086z00_6814;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2086z00_4433,
						BGl_ev_setlocalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 76 */
						BgL_obj2086z00_6814 =
							((BgL_ev_setlocalz00_bglt) BgL_obj2086z00_4433);
					}
				else
					{
						obj_t BgL_auxz00_9446;

						BgL_auxz00_9446 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2187)),
							BGl_string4347z00zz__evaluate_typesz00,
							BGl_string4177z00zz__evaluate_typesz00, BgL_obj2086z00_4433);
						FAILURE(BgL_auxz00_9446, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_setlocalz00_bglt) CREF(
							((obj_t) BgL_obj2086z00_6814)))->BgL_vz00);
			}
		}
	}



/* ev_trap? */
	BGL_EXPORTED_DEF bool_t BGl_ev_trapzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2082z00_286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2082z00_286,
				BGl_ev_trapz00zz__evaluate_typesz00);
		}
	}



/* &ev_trap? */
	obj_t BGl_z62ev_trapzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4430,
		obj_t BgL_obj2082z00_4431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2082z00_4431,
					BGl_ev_trapz00zz__evaluate_typesz00));
		}
	}



/* make-ev_trap */
	BGL_EXPORTED_DEF BgL_ev_trapz00_bglt
		BGl_makezd2ev_trapzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e2067z00_290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new2068z00_3105;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_res3609z00_3110;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new2074z00_3106;

						BgL_new2074z00_3106 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg3187z00_3107;

							BgL_arg3187z00_3107 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_trapz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_objz00_3108;

								BgL_objz00_3108 = ((BgL_objectz00_bglt) BgL_new2074z00_3106);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3108, BgL_arg3187z00_3107);
						}}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_9459;

							BgL_auxz00_9459 = ((BgL_objectz00_bglt) BgL_new2074z00_3106);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9459, BFALSE);
						}
						BgL_res3609z00_3110 = BgL_new2074z00_3106;
					}
					BgL_new2068z00_3105 = BgL_res3609z00_3110;
				}
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_res3610z00_3114;

					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_new2068z00_3105)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e2067z00_290), BUNSPEC);
					BgL_res3610z00_3114 = BgL_new2068z00_3105;
					BgL_res3610z00_3114;
				}
				return BgL_new2068z00_3105;
			}
		}
	}



/* &make-ev_trap */
	BgL_ev_trapz00_bglt BGl_z62makezd2ev_trapzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4426, obj_t BgL_e2067z00_4427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_exprz00_bglt BgL_auxz00_9464;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2067z00_4427,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 75 */
						BgL_auxz00_9464 = ((BgL_ev_exprz00_bglt) BgL_e2067z00_4427);
					}
				else
					{
						obj_t BgL_auxz00_9468;

						BgL_auxz00_9468 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2158)),
							BGl_string4348z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2067z00_4427);
						FAILURE(BgL_auxz00_9468, BFALSE, BFALSE);
					}
				return BGl_makezd2ev_trapzd2zz__evaluate_typesz00(BgL_auxz00_9464);
			}
		}
	}



/* fill-ev_trap! */
	BGL_EXPORTED_DEF BgL_ev_trapz00_bglt
		BGl_fillzd2ev_trapz12zc0zz__evaluate_typesz00(BgL_ev_trapz00_bglt
		BgL_new2071z00_291, BgL_ev_exprz00_bglt BgL_e2070z00_292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			((((BgL_ev_hookz00_bglt) CREF(
							((obj_t) BgL_new2071z00_291)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e2070z00_292), BUNSPEC);
			return BgL_new2071z00_291;
		}
	}



/* &fill-ev_trap! */
	BgL_ev_trapz00_bglt BGl_z62fillzd2ev_trapz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4815, obj_t BgL_new2071z00_4816, obj_t BgL_e2070z00_4817)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new2071z00_6819;
				BgL_ev_exprz00_bglt BgL_e2070z00_6820;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2071z00_4816,
						BGl_ev_trapz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 75 */
						BgL_new2071z00_6819 = ((BgL_ev_trapz00_bglt) BgL_new2071z00_4816);
					}
				else
					{
						obj_t BgL_auxz00_9478;

						BgL_auxz00_9478 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2158)),
							BGl_string4349z00zz__evaluate_typesz00,
							BGl_string4173z00zz__evaluate_typesz00, BgL_new2071z00_4816);
						FAILURE(BgL_auxz00_9478, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2070z00_4817,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 75 */
						BgL_e2070z00_6820 = ((BgL_ev_exprz00_bglt) BgL_e2070z00_4817);
					}
				else
					{
						obj_t BgL_auxz00_9485;

						BgL_auxz00_9485 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2158)),
							BGl_string4349z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2070z00_4817);
						FAILURE(BgL_auxz00_9485, BFALSE, BFALSE);
					}
				((((BgL_ev_hookz00_bglt) CREF(
								((obj_t) BgL_new2071z00_6819)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e2070z00_6820), BUNSPEC);
				return BgL_new2071z00_6819;
			}
		}
	}



/* %allocate-ev_trap */
	BGL_EXPORTED_DEF BgL_ev_trapz00_bglt
		BGl_z52allocatezd2ev_trapz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new2074z00_6821;

				BgL_new2074z00_6821 =
					((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg3187z00_6822;

					BgL_arg3187z00_6822 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_trapz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_objz00_6823;

						BgL_objz00_6823 = ((BgL_objectz00_bglt) BgL_new2074z00_6821);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6823, BgL_arg3187z00_6822);
				}}
				{	/* Eval/evaluate_types.scm 75 */
					BgL_objectz00_bglt BgL_auxz00_9495;

					BgL_auxz00_9495 = ((BgL_objectz00_bglt) BgL_new2074z00_6821);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9495, BFALSE);
				}
				return BgL_new2074z00_6821;
			}
		}
	}



/* &%allocate-ev_trap */
	BgL_ev_trapz00_bglt BGl_z62z52allocatezd2ev_trapze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new2074z00_6824;

				BgL_new2074z00_6824 =
					((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg3187z00_6825;

					BgL_arg3187z00_6825 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_trapz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_objz00_6826;

						BgL_objz00_6826 = ((BgL_objectz00_bglt) BgL_new2074z00_6824);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6826, BgL_arg3187z00_6825);
				}}
				{	/* Eval/evaluate_types.scm 75 */
					BgL_objectz00_bglt BgL_auxz00_9502;

					BgL_auxz00_9502 = ((BgL_objectz00_bglt) BgL_new2074z00_6824);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9502, BFALSE);
				}
				return BgL_new2074z00_6824;
			}
		}
	}



/* ev_trap-nil */
	BGL_EXPORTED_DEF BgL_ev_trapz00_bglt
		BGl_ev_trapzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_trapzd2nilz52zz__evaluate_typesz00,
					BGl_ev_trapz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_xz00_5821;

					BgL_xz00_5821 = BGl_z52thezd2ev_trapzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_trapz00_bglt) BgL_xz00_5821);
				}
			else
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_g2075z00_1599;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_res3611z00_3124;

						{	/* Eval/evaluate_types.scm 75 */
							BgL_ev_trapz00_bglt BgL_new2074z00_3120;

							BgL_new2074z00_3120 =
								((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_trapz00_bgl))));
							{	/* Eval/evaluate_types.scm 75 */
								long BgL_arg3187z00_3121;

								BgL_arg3187z00_3121 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_trapz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 75 */
									BgL_objectz00_bglt BgL_objz00_3122;

									BgL_objz00_3122 = ((BgL_objectz00_bglt) BgL_new2074z00_3120);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3122,
										BgL_arg3187z00_3121);
							}}
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_auxz00_9512;

								BgL_auxz00_9512 = ((BgL_objectz00_bglt) BgL_new2074z00_3120);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9512, BFALSE);
							}
							BgL_res3611z00_3124 = BgL_new2074z00_3120;
						}
						BgL_g2075z00_1599 = BgL_res3611z00_3124;
					}
					BGl_z52thezd2ev_trapzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2075z00_1599);
					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_exprz00_bglt BgL_arg3189z00_1600;

						BgL_arg3189z00_1600 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 75 */
							BgL_ev_trapz00_bglt BgL_res3612z00_3128;

							((((BgL_ev_hookz00_bglt) CREF(
											((obj_t) BgL_g2075z00_1599)))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_arg3189z00_1600), BUNSPEC);
							BgL_res3612z00_3128 = BgL_g2075z00_1599;
							BgL_res3612z00_3128;
					}}
					return BgL_g2075z00_1599;
				}
		}
	}



/* &ev_trap-nil */
	BgL_ev_trapz00_bglt BGl_z62ev_trapzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			return BGl_ev_trapzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* ev_hook? */
	BGL_EXPORTED_DEF bool_t BGl_ev_hookzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2063z00_293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2063z00_293,
				BGl_ev_hookz00zz__evaluate_typesz00);
		}
	}



/* &ev_hook? */
	obj_t BGl_z62ev_hookzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4424,
		obj_t BgL_obj2063z00_4425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2063z00_4425,
					BGl_ev_hookz00zz__evaluate_typesz00));
		}
	}



/* make-ev_hook */
	BGL_EXPORTED_DEF BgL_ev_hookz00_bglt
		BGl_makezd2ev_hookzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e2048z00_297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new2049z00_3129;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_res3613z00_3134;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new2055z00_3130;

						BgL_new2055z00_3130 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg3190z00_3131;

							BgL_arg3190z00_3131 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_hookz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_objz00_3132;

								BgL_objz00_3132 = ((BgL_objectz00_bglt) BgL_new2055z00_3130);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3132, BgL_arg3190z00_3131);
						}}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_9527;

							BgL_auxz00_9527 = ((BgL_objectz00_bglt) BgL_new2055z00_3130);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9527, BFALSE);
						}
						BgL_res3613z00_3134 = BgL_new2055z00_3130;
					}
					BgL_new2049z00_3129 = BgL_res3613z00_3134;
				}
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_res3614z00_3138;

					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_new2049z00_3129)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e2048z00_297), BUNSPEC);
					BgL_res3614z00_3138 = BgL_new2049z00_3129;
					BgL_res3614z00_3138;
				}
				return BgL_new2049z00_3129;
			}
		}
	}



/* &make-ev_hook */
	BgL_ev_hookz00_bglt BGl_z62makezd2ev_hookzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4420, obj_t BgL_e2048z00_4421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_exprz00_bglt BgL_auxz00_9532;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2048z00_4421,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 73 */
						BgL_auxz00_9532 = ((BgL_ev_exprz00_bglt) BgL_e2048z00_4421);
					}
				else
					{
						obj_t BgL_auxz00_9536;

						BgL_auxz00_9536 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2111)),
							BGl_string4350z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2048z00_4421);
						FAILURE(BgL_auxz00_9536, BFALSE, BFALSE);
					}
				return BGl_makezd2ev_hookzd2zz__evaluate_typesz00(BgL_auxz00_9532);
			}
		}
	}



/* fill-ev_hook! */
	BGL_EXPORTED_DEF BgL_ev_hookz00_bglt
		BGl_fillzd2ev_hookz12zc0zz__evaluate_typesz00(BgL_ev_hookz00_bglt
		BgL_new2052z00_298, BgL_ev_exprz00_bglt BgL_e2051z00_299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			((((BgL_ev_hookz00_bglt) CREF(
							((obj_t) BgL_new2052z00_298)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e2051z00_299), BUNSPEC);
			return BgL_new2052z00_298;
		}
	}



/* &fill-ev_hook! */
	BgL_ev_hookz00_bglt BGl_z62fillzd2ev_hookz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4818, obj_t BgL_new2052z00_4819, obj_t BgL_e2051z00_4820)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new2052z00_6831;
				BgL_ev_exprz00_bglt BgL_e2051z00_6832;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2052z00_4819,
						BGl_ev_hookz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 73 */
						BgL_new2052z00_6831 = ((BgL_ev_hookz00_bglt) BgL_new2052z00_4819);
					}
				else
					{
						obj_t BgL_auxz00_9546;

						BgL_auxz00_9546 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2111)),
							BGl_string4351z00zz__evaluate_typesz00,
							BGl_string4171z00zz__evaluate_typesz00, BgL_new2052z00_4819);
						FAILURE(BgL_auxz00_9546, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e2051z00_4820,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 73 */
						BgL_e2051z00_6832 = ((BgL_ev_exprz00_bglt) BgL_e2051z00_4820);
					}
				else
					{
						obj_t BgL_auxz00_9553;

						BgL_auxz00_9553 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2111)),
							BGl_string4351z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e2051z00_4820);
						FAILURE(BgL_auxz00_9553, BFALSE, BFALSE);
					}
				((((BgL_ev_hookz00_bglt) CREF(
								((obj_t) BgL_new2052z00_6831)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e2051z00_6832), BUNSPEC);
				return BgL_new2052z00_6831;
			}
		}
	}



/* %allocate-ev_hook */
	BGL_EXPORTED_DEF BgL_ev_hookz00_bglt
		BGl_z52allocatezd2ev_hookz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new2055z00_6833;

				BgL_new2055z00_6833 =
					((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg3190z00_6834;

					BgL_arg3190z00_6834 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_hookz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_objz00_6835;

						BgL_objz00_6835 = ((BgL_objectz00_bglt) BgL_new2055z00_6833);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6835, BgL_arg3190z00_6834);
				}}
				{	/* Eval/evaluate_types.scm 73 */
					BgL_objectz00_bglt BgL_auxz00_9563;

					BgL_auxz00_9563 = ((BgL_objectz00_bglt) BgL_new2055z00_6833);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9563, BFALSE);
				}
				return BgL_new2055z00_6833;
			}
		}
	}



/* &%allocate-ev_hook */
	BgL_ev_hookz00_bglt BGl_z62z52allocatezd2ev_hookze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new2055z00_6836;

				BgL_new2055z00_6836 =
					((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg3190z00_6837;

					BgL_arg3190z00_6837 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_hookz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_objz00_6838;

						BgL_objz00_6838 = ((BgL_objectz00_bglt) BgL_new2055z00_6836);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6838, BgL_arg3190z00_6837);
				}}
				{	/* Eval/evaluate_types.scm 73 */
					BgL_objectz00_bglt BgL_auxz00_9570;

					BgL_auxz00_9570 = ((BgL_objectz00_bglt) BgL_new2055z00_6836);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9570, BFALSE);
				}
				return BgL_new2055z00_6836;
			}
		}
	}



/* ev_hook-nil */
	BGL_EXPORTED_DEF BgL_ev_hookz00_bglt
		BGl_ev_hookzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_hookzd2nilz52zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_xz00_5841;

					BgL_xz00_5841 = BGl_z52thezd2ev_hookzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_hookz00_bglt) BgL_xz00_5841);
				}
			else
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_g2056z00_1606;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_res3615z00_3148;

						{	/* Eval/evaluate_types.scm 73 */
							BgL_ev_hookz00_bglt BgL_new2055z00_3144;

							BgL_new2055z00_3144 =
								((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_hookz00_bgl))));
							{	/* Eval/evaluate_types.scm 73 */
								long BgL_arg3190z00_3145;

								BgL_arg3190z00_3145 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_hookz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 73 */
									BgL_objectz00_bglt BgL_objz00_3146;

									BgL_objz00_3146 = ((BgL_objectz00_bglt) BgL_new2055z00_3144);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3146,
										BgL_arg3190z00_3145);
							}}
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_auxz00_9580;

								BgL_auxz00_9580 = ((BgL_objectz00_bglt) BgL_new2055z00_3144);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9580, BFALSE);
							}
							BgL_res3615z00_3148 = BgL_new2055z00_3144;
						}
						BgL_g2056z00_1606 = BgL_res3615z00_3148;
					}
					BGl_z52thezd2ev_hookzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2056z00_1606);
					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_exprz00_bglt BgL_arg3192z00_1607;

						BgL_arg3192z00_1607 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 73 */
							BgL_ev_hookz00_bglt BgL_res3616z00_3152;

							((((BgL_ev_hookz00_bglt) CREF(
											((obj_t) BgL_g2056z00_1606)))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_arg3192z00_1607), BUNSPEC);
							BgL_res3616z00_3152 = BgL_g2056z00_1606;
							BgL_res3616z00_3152;
					}}
					return BgL_g2056z00_1606;
				}
		}
	}



/* &ev_hook-nil */
	BgL_ev_hookz00_bglt BGl_z62ev_hookzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return BGl_ev_hookzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_hook-e-set! */
	obj_t BGl_z62ev_hookzd2ezd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4417, obj_t BgL_obj2047z00_4418, obj_t BgL_val2046z00_4419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_obj2047z00_6841;
				BgL_ev_exprz00_bglt BgL_val2046z00_6842;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2047z00_4418,
						BGl_ev_hookz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 73 */
						BgL_obj2047z00_6841 = ((BgL_ev_hookz00_bglt) BgL_obj2047z00_4418);
					}
				else
					{
						obj_t BgL_auxz00_9591;

						BgL_auxz00_9591 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2111)),
							BGl_string4352z00zz__evaluate_typesz00,
							BGl_string4171z00zz__evaluate_typesz00, BgL_obj2047z00_4418);
						FAILURE(BgL_auxz00_9591, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2046z00_4419,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 73 */
						BgL_val2046z00_6842 = ((BgL_ev_exprz00_bglt) BgL_val2046z00_4419);
					}
				else
					{
						obj_t BgL_auxz00_9598;

						BgL_auxz00_9598 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2111)),
							BGl_string4352z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2046z00_4419);
						FAILURE(BgL_auxz00_9598, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_hookz00_bglt) CREF(
								((obj_t) BgL_obj2047z00_6841)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_val2046z00_6842), BUNSPEC);
			}
		}
	}



/* &ev_hook-e */
	BgL_ev_exprz00_bglt BGl_z62ev_hookzd2ezb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4415, obj_t BgL_obj2045z00_4416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_obj2045z00_6844;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2045z00_4416,
						BGl_ev_hookz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 73 */
						BgL_obj2045z00_6844 = ((BgL_ev_hookz00_bglt) BgL_obj2045z00_4416);
					}
				else
					{
						obj_t BgL_auxz00_9607;

						BgL_auxz00_9607 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2111)),
							BGl_string4353z00zz__evaluate_typesz00,
							BGl_string4171z00zz__evaluate_typesz00, BgL_obj2045z00_4416);
						FAILURE(BgL_auxz00_9607, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_hookz00_bglt) CREF(
							((obj_t) BgL_obj2045z00_6844)))->BgL_ez00);
			}
		}
	}



/* ev_prog2? */
	BGL_EXPORTED_DEF bool_t BGl_ev_prog2zf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2044z00_303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2044z00_303,
				BGl_ev_prog2z00zz__evaluate_typesz00);
		}
	}



/* &ev_prog2? */
	obj_t BGl_z62ev_prog2zf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4413,
		obj_t BgL_obj2044z00_4414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2044z00_4414,
					BGl_ev_prog2z00zz__evaluate_typesz00));
		}
	}



/* make-ev_prog2 */
	BGL_EXPORTED_DEF BgL_ev_prog2z00_bglt
		BGl_makezd2ev_prog2zd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_e12022z00_307, BgL_ev_exprz00_bglt BgL_e22023z00_308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new2024z00_3153;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_res3617z00_3158;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new2032z00_3154;

						BgL_new2032z00_3154 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg3193z00_3155;

							BgL_arg3193z00_3155 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_prog2z00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_3156;

								BgL_objz00_3156 = ((BgL_objectz00_bglt) BgL_new2032z00_3154);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3156, BgL_arg3193z00_3155);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_9620;

							BgL_auxz00_9620 = ((BgL_objectz00_bglt) BgL_new2032z00_3154);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9620, BFALSE);
						}
						BgL_res3617z00_3158 = BgL_new2032z00_3154;
					}
					BgL_new2024z00_3153 = BgL_res3617z00_3158;
				}
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_res3618z00_3164;

					((((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_new2024z00_3153)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e12022z00_307), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_new2024z00_3153)))->
							BgL_e2z00) = ((BgL_ev_exprz00_bglt) BgL_e22023z00_308), BUNSPEC);
					BgL_res3618z00_3164 = BgL_new2024z00_3153;
					BgL_res3618z00_3164;
				}
				return BgL_new2024z00_3153;
			}
		}
	}



/* &make-ev_prog2 */
	BgL_ev_prog2z00_bglt BGl_z62makezd2ev_prog2zb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4408, obj_t BgL_e12022z00_4409, obj_t BgL_e22023z00_4410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_exprz00_bglt BgL_auxz00_9635;
				BgL_ev_exprz00_bglt BgL_auxz00_9627;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_e22023z00_4410,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_auxz00_9635 = ((BgL_ev_exprz00_bglt) BgL_e22023z00_4410);
					}
				else
					{
						obj_t BgL_auxz00_9639;

						BgL_auxz00_9639 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4354z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e22023z00_4410);
						FAILURE(BgL_auxz00_9639, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e12022z00_4409,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_auxz00_9627 = ((BgL_ev_exprz00_bglt) BgL_e12022z00_4409);
					}
				else
					{
						obj_t BgL_auxz00_9631;

						BgL_auxz00_9631 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4354z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e12022z00_4409);
						FAILURE(BgL_auxz00_9631, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_prog2zd2zz__evaluate_typesz00(BgL_auxz00_9627,
					BgL_auxz00_9635);
			}
		}
	}



/* fill-ev_prog2! */
	BGL_EXPORTED_DEF BgL_ev_prog2z00_bglt
		BGl_fillzd2ev_prog2z12zc0zz__evaluate_typesz00(BgL_ev_prog2z00_bglt
		BgL_new2028z00_309, BgL_ev_exprz00_bglt BgL_e12026z00_310,
		BgL_ev_exprz00_bglt BgL_e22027z00_311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			((((BgL_ev_prog2z00_bglt) CREF(
							((obj_t) BgL_new2028z00_309)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) BgL_e12026z00_310), BUNSPEC);
			((((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_new2028z00_309)))->
					BgL_e2z00) = ((BgL_ev_exprz00_bglt) BgL_e22027z00_311), BUNSPEC);
			return BgL_new2028z00_309;
		}
	}



/* &fill-ev_prog2! */
	BgL_ev_prog2z00_bglt BGl_z62fillzd2ev_prog2z12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4821, obj_t BgL_new2028z00_4822, obj_t BgL_e12026z00_4823,
		obj_t BgL_e22027z00_4824)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new2028z00_6851;
				BgL_ev_exprz00_bglt BgL_e12026z00_6852;
				BgL_ev_exprz00_bglt BgL_e22027z00_6853;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2028z00_4822,
						BGl_ev_prog2z00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_new2028z00_6851 = ((BgL_ev_prog2z00_bglt) BgL_new2028z00_4822);
					}
				else
					{
						obj_t BgL_auxz00_9651;

						BgL_auxz00_9651 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4355z00zz__evaluate_typesz00,
							BGl_string4169z00zz__evaluate_typesz00, BgL_new2028z00_4822);
						FAILURE(BgL_auxz00_9651, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e12026z00_4823,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_e12026z00_6852 = ((BgL_ev_exprz00_bglt) BgL_e12026z00_4823);
					}
				else
					{
						obj_t BgL_auxz00_9658;

						BgL_auxz00_9658 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4355z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e12026z00_4823);
						FAILURE(BgL_auxz00_9658, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e22027z00_4824,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_e22027z00_6853 = ((BgL_ev_exprz00_bglt) BgL_e22027z00_4824);
					}
				else
					{
						obj_t BgL_auxz00_9665;

						BgL_auxz00_9665 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4355z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e22027z00_4824);
						FAILURE(BgL_auxz00_9665, BFALSE, BFALSE);
					}
				((((BgL_ev_prog2z00_bglt) CREF(
								((obj_t) BgL_new2028z00_6851)))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_e12026z00_6852), BUNSPEC);
				((((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_new2028z00_6851)))->
						BgL_e2z00) = ((BgL_ev_exprz00_bglt) BgL_e22027z00_6853), BUNSPEC);
				return BgL_new2028z00_6851;
			}
		}
	}



/* %allocate-ev_prog2 */
	BGL_EXPORTED_DEF BgL_ev_prog2z00_bglt
		BGl_z52allocatezd2ev_prog2z80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new2032z00_6854;

				BgL_new2032z00_6854 =
					((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg3193z00_6855;

					BgL_arg3193z00_6855 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_prog2z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_objz00_6856;

						BgL_objz00_6856 = ((BgL_objectz00_bglt) BgL_new2032z00_6854);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6856, BgL_arg3193z00_6855);
				}}
				{	/* Eval/evaluate_types.scm 70 */
					BgL_objectz00_bglt BgL_auxz00_9677;

					BgL_auxz00_9677 = ((BgL_objectz00_bglt) BgL_new2032z00_6854);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9677, BFALSE);
				}
				return BgL_new2032z00_6854;
			}
		}
	}



/* &%allocate-ev_prog2 */
	BgL_ev_prog2z00_bglt
		BGl_z62z52allocatezd2ev_prog2ze2zz__evaluate_typesz00(obj_t BgL_envz00_4411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new2032z00_6857;

				BgL_new2032z00_6857 =
					((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg3193z00_6858;

					BgL_arg3193z00_6858 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_prog2z00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_objz00_6859;

						BgL_objz00_6859 = ((BgL_objectz00_bglt) BgL_new2032z00_6857);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6859, BgL_arg3193z00_6858);
				}}
				{	/* Eval/evaluate_types.scm 70 */
					BgL_objectz00_bglt BgL_auxz00_9684;

					BgL_auxz00_9684 = ((BgL_objectz00_bglt) BgL_new2032z00_6857);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9684, BFALSE);
				}
				return BgL_new2032z00_6857;
			}
		}
	}



/* ev_prog2-nil */
	BGL_EXPORTED_DEF BgL_ev_prog2z00_bglt
		BGl_ev_prog2zd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_prog2zd2nilz52zz__evaluate_typesz00,
					BGl_ev_prog2z00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_xz00_5880;

					BgL_xz00_5880 = BGl_z52thezd2ev_prog2zd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_prog2z00_bglt) BgL_xz00_5880);
				}
			else
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_g2033z00_1614;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_res3619z00_3175;

						{	/* Eval/evaluate_types.scm 70 */
							BgL_ev_prog2z00_bglt BgL_new2032z00_3171;

							BgL_new2032z00_3171 =
								((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_prog2z00_bgl))));
							{	/* Eval/evaluate_types.scm 70 */
								long BgL_arg3193z00_3172;

								BgL_arg3193z00_3172 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_prog2z00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 70 */
									BgL_objectz00_bglt BgL_objz00_3173;

									BgL_objz00_3173 = ((BgL_objectz00_bglt) BgL_new2032z00_3171);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3173,
										BgL_arg3193z00_3172);
							}}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_auxz00_9694;

								BgL_auxz00_9694 = ((BgL_objectz00_bglt) BgL_new2032z00_3171);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9694, BFALSE);
							}
							BgL_res3619z00_3175 = BgL_new2032z00_3171;
						}
						BgL_g2033z00_1614 = BgL_res3619z00_3175;
					}
					BGl_z52thezd2ev_prog2zd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2033z00_1614);
					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_exprz00_bglt BgL_arg3195z00_1615;
						BgL_ev_exprz00_bglt BgL_arg3196z00_1616;

						BgL_arg3195z00_1615 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3196z00_1616 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 70 */
							BgL_ev_prog2z00_bglt BgL_res3620z00_3181;

							((((BgL_ev_prog2z00_bglt) CREF(
											((obj_t) BgL_g2033z00_1614)))->BgL_e1z00) =
								((BgL_ev_exprz00_bglt) BgL_arg3195z00_1615), BUNSPEC);
							((((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_g2033z00_1614)))->
									BgL_e2z00) =
								((BgL_ev_exprz00_bglt) BgL_arg3196z00_1616), BUNSPEC);
							BgL_res3620z00_3181 = BgL_g2033z00_1614;
							BgL_res3620z00_3181;
					}}
					return BgL_g2033z00_1614;
				}
		}
	}



/* &ev_prog2-nil */
	BgL_ev_prog2z00_bglt BGl_z62ev_prog2zd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return BGl_ev_prog2zd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_prog2-e1-set! */
	obj_t BGl_z62ev_prog2zd2e1zd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4400, obj_t BgL_obj2018z00_4401, obj_t BgL_val2017z00_4402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_obj2018z00_6862;
				BgL_ev_exprz00_bglt BgL_val2017z00_6863;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2018z00_4401,
						BGl_ev_prog2z00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_obj2018z00_6862 = ((BgL_ev_prog2z00_bglt) BgL_obj2018z00_4401);
					}
				else
					{
						obj_t BgL_auxz00_9708;

						BgL_auxz00_9708 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4356z00zz__evaluate_typesz00,
							BGl_string4169z00zz__evaluate_typesz00, BgL_obj2018z00_4401);
						FAILURE(BgL_auxz00_9708, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2017z00_4402,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_val2017z00_6863 = ((BgL_ev_exprz00_bglt) BgL_val2017z00_4402);
					}
				else
					{
						obj_t BgL_auxz00_9715;

						BgL_auxz00_9715 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4356z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2017z00_4402);
						FAILURE(BgL_auxz00_9715, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_prog2z00_bglt) CREF(
								((obj_t) BgL_obj2018z00_6862)))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_val2017z00_6863), BUNSPEC);
			}
		}
	}



/* &ev_prog2-e1 */
	BgL_ev_exprz00_bglt BGl_z62ev_prog2zd2e1zb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4398, obj_t BgL_obj2016z00_4399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_obj2016z00_6865;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2016z00_4399,
						BGl_ev_prog2z00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_obj2016z00_6865 = ((BgL_ev_prog2z00_bglt) BgL_obj2016z00_4399);
					}
				else
					{
						obj_t BgL_auxz00_9724;

						BgL_auxz00_9724 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4357z00zz__evaluate_typesz00,
							BGl_string4169z00zz__evaluate_typesz00, BgL_obj2016z00_4399);
						FAILURE(BgL_auxz00_9724, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_prog2z00_bglt) CREF(
							((obj_t) BgL_obj2016z00_6865)))->BgL_e1z00);
			}
		}
	}



/* &ev_prog2-e2-set! */
	obj_t BGl_z62ev_prog2zd2e2zd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4405, obj_t BgL_obj2021z00_4406, obj_t BgL_val2020z00_4407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_obj2021z00_6868;
				BgL_ev_exprz00_bglt BgL_val2020z00_6869;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2021z00_4406,
						BGl_ev_prog2z00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_obj2021z00_6868 = ((BgL_ev_prog2z00_bglt) BgL_obj2021z00_4406);
					}
				else
					{
						obj_t BgL_auxz00_9733;

						BgL_auxz00_9733 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4358z00zz__evaluate_typesz00,
							BGl_string4169z00zz__evaluate_typesz00, BgL_obj2021z00_4406);
						FAILURE(BgL_auxz00_9733, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2020z00_4407,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_val2020z00_6869 = ((BgL_ev_exprz00_bglt) BgL_val2020z00_4407);
					}
				else
					{
						obj_t BgL_auxz00_9740;

						BgL_auxz00_9740 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4358z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val2020z00_4407);
						FAILURE(BgL_auxz00_9740, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_prog2z00_bglt) CREF(
								((obj_t) BgL_obj2021z00_6868)))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_val2020z00_6869), BUNSPEC);
			}
		}
	}



/* &ev_prog2-e2 */
	BgL_ev_exprz00_bglt BGl_z62ev_prog2zd2e2zb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4403, obj_t BgL_obj2019z00_4404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_obj2019z00_6871;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2019z00_4404,
						BGl_ev_prog2z00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 70 */
						BgL_obj2019z00_6871 = ((BgL_ev_prog2z00_bglt) BgL_obj2019z00_4404);
					}
				else
					{
						obj_t BgL_auxz00_9749;

						BgL_auxz00_9749 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2043)),
							BGl_string4359z00zz__evaluate_typesz00,
							BGl_string4169z00zz__evaluate_typesz00, BgL_obj2019z00_4404);
						FAILURE(BgL_auxz00_9749, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_prog2z00_bglt) CREF(
							((obj_t) BgL_obj2019z00_6871)))->BgL_e2z00);
			}
		}
	}



/* ev_and? */
	BGL_EXPORTED_DEF bool_t BGl_ev_andzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj2015z00_318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2015z00_318,
				BGl_ev_andz00zz__evaluate_typesz00);
		}
	}



/* &ev_and? */
	obj_t BGl_z62ev_andzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4396,
		obj_t BgL_obj2015z00_4397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2015z00_4397,
					BGl_ev_andz00zz__evaluate_typesz00));
		}
	}



/* make-ev_and */
	BGL_EXPORTED_DEF BgL_ev_andz00_bglt
		BGl_makezd2ev_andzd2zz__evaluate_typesz00(obj_t BgL_args2000z00_322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new2001z00_3182;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_res3621z00_3187;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new2007z00_3183;

						BgL_new2007z00_3183 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg3197z00_3184;

							BgL_arg3197z00_3184 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_andz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_3185;

								BgL_objz00_3185 = ((BgL_objectz00_bglt) BgL_new2007z00_3183);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3185, BgL_arg3197z00_3184);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_9762;

							BgL_auxz00_9762 = ((BgL_objectz00_bglt) BgL_new2007z00_3183);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9762, BFALSE);
						}
						BgL_res3621z00_3187 = BgL_new2007z00_3183;
					}
					BgL_new2001z00_3182 = BgL_res3621z00_3187;
				}
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_res3622z00_3191;

					((((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_new2001z00_3182)))->BgL_argsz00) =
						((obj_t) BgL_args2000z00_322), BUNSPEC);
					BgL_res3622z00_3191 = BgL_new2001z00_3182;
					BgL_res3622z00_3191;
				}
				return BgL_new2001z00_3182;
			}
		}
	}



/* &make-ev_and */
	BgL_ev_andz00_bglt BGl_z62makezd2ev_andzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4392, obj_t BgL_args2000z00_4393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			return BGl_makezd2ev_andzd2zz__evaluate_typesz00(BgL_args2000z00_4393);
		}
	}



/* fill-ev_and! */
	BGL_EXPORTED_DEF BgL_ev_andz00_bglt
		BGl_fillzd2ev_andz12zc0zz__evaluate_typesz00(BgL_ev_andz00_bglt
		BgL_new2004z00_323, obj_t BgL_args2003z00_324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			((((BgL_ev_listz00_bglt) CREF(
							((obj_t) BgL_new2004z00_323)))->BgL_argsz00) =
				((obj_t) BgL_args2003z00_324), BUNSPEC);
			return BgL_new2004z00_323;
		}
	}



/* &fill-ev_and! */
	BgL_ev_andz00_bglt BGl_z62fillzd2ev_andz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4825, obj_t BgL_new2004z00_4826, obj_t BgL_args2003z00_4827)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new2004z00_6874;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new2004z00_4826,
						BGl_ev_andz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 69 */
						BgL_new2004z00_6874 = ((BgL_ev_andz00_bglt) BgL_new2004z00_4826);
					}
				else
					{
						obj_t BgL_auxz00_9773;

						BgL_auxz00_9773 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 2015)),
							BGl_string4360z00zz__evaluate_typesz00,
							BGl_string4163z00zz__evaluate_typesz00, BgL_new2004z00_4826);
						FAILURE(BgL_auxz00_9773, BFALSE, BFALSE);
					}
				((((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_new2004z00_6874)))->BgL_argsz00) =
					((obj_t) BgL_args2003z00_4827), BUNSPEC);
				return BgL_new2004z00_6874;
			}
		}
	}



/* %allocate-ev_and */
	BGL_EXPORTED_DEF BgL_ev_andz00_bglt
		BGl_z52allocatezd2ev_andz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new2007z00_6876;

				BgL_new2007z00_6876 =
					((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg3197z00_6877;

					BgL_arg3197z00_6877 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_andz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_objz00_6878;

						BgL_objz00_6878 = ((BgL_objectz00_bglt) BgL_new2007z00_6876);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6878, BgL_arg3197z00_6877);
				}}
				{	/* Eval/evaluate_types.scm 69 */
					BgL_objectz00_bglt BgL_auxz00_9783;

					BgL_auxz00_9783 = ((BgL_objectz00_bglt) BgL_new2007z00_6876);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9783, BFALSE);
				}
				return BgL_new2007z00_6876;
			}
		}
	}



/* &%allocate-ev_and */
	BgL_ev_andz00_bglt BGl_z62z52allocatezd2ev_andze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new2007z00_6879;

				BgL_new2007z00_6879 =
					((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg3197z00_6880;

					BgL_arg3197z00_6880 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_andz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_objz00_6881;

						BgL_objz00_6881 = ((BgL_objectz00_bglt) BgL_new2007z00_6879);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6881, BgL_arg3197z00_6880);
				}}
				{	/* Eval/evaluate_types.scm 69 */
					BgL_objectz00_bglt BgL_auxz00_9790;

					BgL_auxz00_9790 = ((BgL_objectz00_bglt) BgL_new2007z00_6879);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9790, BFALSE);
				}
				return BgL_new2007z00_6879;
			}
		}
	}



/* ev_and-nil */
	BGL_EXPORTED_DEF BgL_ev_andz00_bglt BGl_ev_andzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_andzd2nilz52zz__evaluate_typesz00,
					BGl_ev_andz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_xz00_5917;

					BgL_xz00_5917 = BGl_z52thezd2ev_andzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_andz00_bglt) BgL_xz00_5917);
				}
			else
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_g2008z00_1622;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_res3623z00_3201;

						{	/* Eval/evaluate_types.scm 69 */
							BgL_ev_andz00_bglt BgL_new2007z00_3197;

							BgL_new2007z00_3197 =
								((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_andz00_bgl))));
							{	/* Eval/evaluate_types.scm 69 */
								long BgL_arg3197z00_3198;

								BgL_arg3197z00_3198 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_andz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 69 */
									BgL_objectz00_bglt BgL_objz00_3199;

									BgL_objz00_3199 = ((BgL_objectz00_bglt) BgL_new2007z00_3197);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3199,
										BgL_arg3197z00_3198);
							}}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_auxz00_9800;

								BgL_auxz00_9800 = ((BgL_objectz00_bglt) BgL_new2007z00_3197);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9800, BFALSE);
							}
							BgL_res3623z00_3201 = BgL_new2007z00_3197;
						}
						BgL_g2008z00_1622 = BgL_res3623z00_3201;
					}
					BGl_z52thezd2ev_andzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g2008z00_1622);
					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_res3624z00_3205;

						((((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_g2008z00_1622)))->BgL_argsz00) =
							((obj_t) BUNSPEC), BUNSPEC);
						BgL_res3624z00_3205 = BgL_g2008z00_1622;
						BgL_res3624z00_3205;
					}
					return BgL_g2008z00_1622;
				}
		}
	}



/* &ev_and-nil */
	BgL_ev_andz00_bglt BGl_z62ev_andzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			return BGl_ev_andzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* ev_or? */
	BGL_EXPORTED_DEF bool_t BGl_ev_orzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1996z00_325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1996z00_325,
				BGl_ev_orz00zz__evaluate_typesz00);
		}
	}



/* &ev_or? */
	obj_t BGl_z62ev_orzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4390,
		obj_t BgL_obj1996z00_4391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1996z00_4391,
					BGl_ev_orz00zz__evaluate_typesz00));
		}
	}



/* make-ev_or */
	BGL_EXPORTED_DEF BgL_ev_orz00_bglt
		BGl_makezd2ev_orzd2zz__evaluate_typesz00(obj_t BgL_args1981z00_329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1982z00_3206;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_res3625z00_3211;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1988z00_3207;

						BgL_new1988z00_3207 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg3199z00_3208;

							BgL_arg3199z00_3208 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_orz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_objz00_3209;

								BgL_objz00_3209 = ((BgL_objectz00_bglt) BgL_new1988z00_3207);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3209, BgL_arg3199z00_3208);
						}}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_9814;

							BgL_auxz00_9814 = ((BgL_objectz00_bglt) BgL_new1988z00_3207);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9814, BFALSE);
						}
						BgL_res3625z00_3211 = BgL_new1988z00_3207;
					}
					BgL_new1982z00_3206 = BgL_res3625z00_3211;
				}
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_res3626z00_3215;

					((((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_new1982z00_3206)))->BgL_argsz00) =
						((obj_t) BgL_args1981z00_329), BUNSPEC);
					BgL_res3626z00_3215 = BgL_new1982z00_3206;
					BgL_res3626z00_3215;
				}
				return BgL_new1982z00_3206;
			}
		}
	}



/* &make-ev_or */
	BgL_ev_orz00_bglt BGl_z62makezd2ev_orzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4386, obj_t BgL_args1981z00_4387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			return BGl_makezd2ev_orzd2zz__evaluate_typesz00(BgL_args1981z00_4387);
		}
	}



/* fill-ev_or! */
	BGL_EXPORTED_DEF BgL_ev_orz00_bglt
		BGl_fillzd2ev_orz12zc0zz__evaluate_typesz00(BgL_ev_orz00_bglt
		BgL_new1985z00_330, obj_t BgL_args1984z00_331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			((((BgL_ev_listz00_bglt) CREF(
							((obj_t) BgL_new1985z00_330)))->BgL_argsz00) =
				((obj_t) BgL_args1984z00_331), BUNSPEC);
			return BgL_new1985z00_330;
		}
	}



/* &fill-ev_or! */
	BgL_ev_orz00_bglt BGl_z62fillzd2ev_orz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4828, obj_t BgL_new1985z00_4829, obj_t BgL_args1984z00_4830)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1985z00_6884;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1985z00_4829,
						BGl_ev_orz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 68 */
						BgL_new1985z00_6884 = ((BgL_ev_orz00_bglt) BgL_new1985z00_4829);
					}
				else
					{
						obj_t BgL_auxz00_9825;

						BgL_auxz00_9825 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1988)),
							BGl_string4361z00zz__evaluate_typesz00,
							BGl_string4161z00zz__evaluate_typesz00, BgL_new1985z00_4829);
						FAILURE(BgL_auxz00_9825, BFALSE, BFALSE);
					}
				((((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_new1985z00_6884)))->BgL_argsz00) =
					((obj_t) BgL_args1984z00_4830), BUNSPEC);
				return BgL_new1985z00_6884;
			}
		}
	}



/* %allocate-ev_or */
	BGL_EXPORTED_DEF BgL_ev_orz00_bglt
		BGl_z52allocatezd2ev_orz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1988z00_6886;

				BgL_new1988z00_6886 =
					((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg3199z00_6887;

					BgL_arg3199z00_6887 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_orz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_objz00_6888;

						BgL_objz00_6888 = ((BgL_objectz00_bglt) BgL_new1988z00_6886);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6888, BgL_arg3199z00_6887);
				}}
				{	/* Eval/evaluate_types.scm 68 */
					BgL_objectz00_bglt BgL_auxz00_9835;

					BgL_auxz00_9835 = ((BgL_objectz00_bglt) BgL_new1988z00_6886);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9835, BFALSE);
				}
				return BgL_new1988z00_6886;
			}
		}
	}



/* &%allocate-ev_or */
	BgL_ev_orz00_bglt BGl_z62z52allocatezd2ev_orze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1988z00_6889;

				BgL_new1988z00_6889 =
					((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg3199z00_6890;

					BgL_arg3199z00_6890 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_orz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_objz00_6891;

						BgL_objz00_6891 = ((BgL_objectz00_bglt) BgL_new1988z00_6889);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6891, BgL_arg3199z00_6890);
				}}
				{	/* Eval/evaluate_types.scm 68 */
					BgL_objectz00_bglt BgL_auxz00_9842;

					BgL_auxz00_9842 = ((BgL_objectz00_bglt) BgL_new1988z00_6889);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9842, BFALSE);
				}
				return BgL_new1988z00_6889;
			}
		}
	}



/* ev_or-nil */
	BGL_EXPORTED_DEF BgL_ev_orz00_bglt BGl_ev_orzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_orzd2nilz52zz__evaluate_typesz00,
					BGl_ev_orz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_xz00_5931;

					BgL_xz00_5931 = BGl_z52thezd2ev_orzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_orz00_bglt) BgL_xz00_5931);
				}
			else
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_g1989z00_1628;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_res3627z00_3225;

						{	/* Eval/evaluate_types.scm 68 */
							BgL_ev_orz00_bglt BgL_new1988z00_3221;

							BgL_new1988z00_3221 =
								((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_orz00_bgl))));
							{	/* Eval/evaluate_types.scm 68 */
								long BgL_arg3199z00_3222;

								BgL_arg3199z00_3222 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_orz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 68 */
									BgL_objectz00_bglt BgL_objz00_3223;

									BgL_objz00_3223 = ((BgL_objectz00_bglt) BgL_new1988z00_3221);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3223,
										BgL_arg3199z00_3222);
							}}
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_auxz00_9852;

								BgL_auxz00_9852 = ((BgL_objectz00_bglt) BgL_new1988z00_3221);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9852, BFALSE);
							}
							BgL_res3627z00_3225 = BgL_new1988z00_3221;
						}
						BgL_g1989z00_1628 = BgL_res3627z00_3225;
					}
					BGl_z52thezd2ev_orzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1989z00_1628);
					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_res3628z00_3229;

						((((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_g1989z00_1628)))->BgL_argsz00) =
							((obj_t) BUNSPEC), BUNSPEC);
						BgL_res3628z00_3229 = BgL_g1989z00_1628;
						BgL_res3628z00_3229;
					}
					return BgL_g1989z00_1628;
				}
		}
	}



/* &ev_or-nil */
	BgL_ev_orz00_bglt BGl_z62ev_orzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			return BGl_ev_orzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* ev_list? */
	BGL_EXPORTED_DEF bool_t BGl_ev_listzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1977z00_332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1977z00_332,
				BGl_ev_listz00zz__evaluate_typesz00);
		}
	}



/* &ev_list? */
	obj_t BGl_z62ev_listzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4384,
		obj_t BgL_obj1977z00_4385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1977z00_4385,
					BGl_ev_listz00zz__evaluate_typesz00));
		}
	}



/* make-ev_list */
	BGL_EXPORTED_DEF BgL_ev_listz00_bglt
		BGl_makezd2ev_listzd2zz__evaluate_typesz00(obj_t BgL_args1962z00_336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1963z00_3230;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_res3629z00_3235;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1969z00_3231;

						BgL_new1969z00_3231 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg3201z00_3232;

							BgL_arg3201z00_3232 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_listz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_objz00_3233;

								BgL_objz00_3233 = ((BgL_objectz00_bglt) BgL_new1969z00_3231);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3233, BgL_arg3201z00_3232);
						}}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_9866;

							BgL_auxz00_9866 = ((BgL_objectz00_bglt) BgL_new1969z00_3231);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9866, BFALSE);
						}
						BgL_res3629z00_3235 = BgL_new1969z00_3231;
					}
					BgL_new1963z00_3230 = BgL_res3629z00_3235;
				}
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_res3630z00_3239;

					((((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_new1963z00_3230)))->BgL_argsz00) =
						((obj_t) BgL_args1962z00_336), BUNSPEC);
					BgL_res3630z00_3239 = BgL_new1963z00_3230;
					BgL_res3630z00_3239;
				}
				return BgL_new1963z00_3230;
			}
		}
	}



/* &make-ev_list */
	BgL_ev_listz00_bglt BGl_z62makezd2ev_listzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4380, obj_t BgL_args1962z00_4381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return BGl_makezd2ev_listzd2zz__evaluate_typesz00(BgL_args1962z00_4381);
		}
	}



/* fill-ev_list! */
	BGL_EXPORTED_DEF BgL_ev_listz00_bglt
		BGl_fillzd2ev_listz12zc0zz__evaluate_typesz00(BgL_ev_listz00_bglt
		BgL_new1966z00_337, obj_t BgL_args1965z00_338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			((((BgL_ev_listz00_bglt) CREF(
							((obj_t) BgL_new1966z00_337)))->BgL_argsz00) =
				((obj_t) BgL_args1965z00_338), BUNSPEC);
			return BgL_new1966z00_337;
		}
	}



/* &fill-ev_list! */
	BgL_ev_listz00_bglt BGl_z62fillzd2ev_listz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4831, obj_t BgL_new1966z00_4832, obj_t BgL_args1965z00_4833)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1966z00_6894;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1966z00_4832,
						BGl_ev_listz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 66 */
						BgL_new1966z00_6894 = ((BgL_ev_listz00_bglt) BgL_new1966z00_4832);
					}
				else
					{
						obj_t BgL_auxz00_9877;

						BgL_auxz00_9877 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1947)),
							BGl_string4362z00zz__evaluate_typesz00,
							BGl_string4159z00zz__evaluate_typesz00, BgL_new1966z00_4832);
						FAILURE(BgL_auxz00_9877, BFALSE, BFALSE);
					}
				((((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_new1966z00_6894)))->BgL_argsz00) =
					((obj_t) BgL_args1965z00_4833), BUNSPEC);
				return BgL_new1966z00_6894;
			}
		}
	}



/* %allocate-ev_list */
	BGL_EXPORTED_DEF BgL_ev_listz00_bglt
		BGl_z52allocatezd2ev_listz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1969z00_6896;

				BgL_new1969z00_6896 =
					((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg3201z00_6897;

					BgL_arg3201z00_6897 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_listz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_objz00_6898;

						BgL_objz00_6898 = ((BgL_objectz00_bglt) BgL_new1969z00_6896);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6898, BgL_arg3201z00_6897);
				}}
				{	/* Eval/evaluate_types.scm 66 */
					BgL_objectz00_bglt BgL_auxz00_9887;

					BgL_auxz00_9887 = ((BgL_objectz00_bglt) BgL_new1969z00_6896);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9887, BFALSE);
				}
				return BgL_new1969z00_6896;
			}
		}
	}



/* &%allocate-ev_list */
	BgL_ev_listz00_bglt BGl_z62z52allocatezd2ev_listze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1969z00_6899;

				BgL_new1969z00_6899 =
					((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg3201z00_6900;

					BgL_arg3201z00_6900 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_listz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_objz00_6901;

						BgL_objz00_6901 = ((BgL_objectz00_bglt) BgL_new1969z00_6899);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6901, BgL_arg3201z00_6900);
				}}
				{	/* Eval/evaluate_types.scm 66 */
					BgL_objectz00_bglt BgL_auxz00_9894;

					BgL_auxz00_9894 = ((BgL_objectz00_bglt) BgL_new1969z00_6899);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_9894, BFALSE);
				}
				return BgL_new1969z00_6899;
			}
		}
	}



/* ev_list-nil */
	BGL_EXPORTED_DEF BgL_ev_listz00_bglt
		BGl_ev_listzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_listzd2nilz52zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_xz00_5945;

					BgL_xz00_5945 = BGl_z52thezd2ev_listzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_listz00_bglt) BgL_xz00_5945);
				}
			else
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_g1970z00_1634;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_res3631z00_3249;

						{	/* Eval/evaluate_types.scm 66 */
							BgL_ev_listz00_bglt BgL_new1969z00_3245;

							BgL_new1969z00_3245 =
								((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_listz00_bgl))));
							{	/* Eval/evaluate_types.scm 66 */
								long BgL_arg3201z00_3246;

								BgL_arg3201z00_3246 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_listz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 66 */
									BgL_objectz00_bglt BgL_objz00_3247;

									BgL_objz00_3247 = ((BgL_objectz00_bglt) BgL_new1969z00_3245);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3247,
										BgL_arg3201z00_3246);
							}}
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_auxz00_9904;

								BgL_auxz00_9904 = ((BgL_objectz00_bglt) BgL_new1969z00_3245);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_9904, BFALSE);
							}
							BgL_res3631z00_3249 = BgL_new1969z00_3245;
						}
						BgL_g1970z00_1634 = BgL_res3631z00_3249;
					}
					BGl_z52thezd2ev_listzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1970z00_1634);
					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_res3632z00_3253;

						((((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_g1970z00_1634)))->BgL_argsz00) =
							((obj_t) BUNSPEC), BUNSPEC);
						BgL_res3632z00_3253 = BgL_g1970z00_1634;
						BgL_res3632z00_3253;
					}
					return BgL_g1970z00_1634;
				}
		}
	}



/* &ev_list-nil */
	BgL_ev_listz00_bglt BGl_z62ev_listzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return BGl_ev_listzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_list-args-set! */
	obj_t BGl_z62ev_listzd2argszd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4377, obj_t BgL_obj1961z00_4378, obj_t BgL_val1960z00_4379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_obj1961z00_6903;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1961z00_4378,
						BGl_ev_listz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 66 */
						BgL_obj1961z00_6903 = ((BgL_ev_listz00_bglt) BgL_obj1961z00_4378);
					}
				else
					{
						obj_t BgL_auxz00_9914;

						BgL_auxz00_9914 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1947)),
							BGl_string4363z00zz__evaluate_typesz00,
							BGl_string4159z00zz__evaluate_typesz00, BgL_obj1961z00_4378);
						FAILURE(BgL_auxz00_9914, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_listz00_bglt) CREF(
								((obj_t) BgL_obj1961z00_6903)))->BgL_argsz00) =
					((obj_t) BgL_val1960z00_4379), BUNSPEC);
			}
		}
	}



/* &ev_list-args */
	obj_t BGl_z62ev_listzd2argszb0zz__evaluate_typesz00(obj_t BgL_envz00_4375,
		obj_t BgL_obj1959z00_4376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_obj1959z00_6906;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1959z00_4376,
						BGl_ev_listz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 66 */
						BgL_obj1959z00_6906 = ((BgL_ev_listz00_bglt) BgL_obj1959z00_4376);
					}
				else
					{
						obj_t BgL_auxz00_9923;

						BgL_auxz00_9923 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1947)),
							BGl_string4364z00zz__evaluate_typesz00,
							BGl_string4159z00zz__evaluate_typesz00, BgL_obj1959z00_4376);
						FAILURE(BgL_auxz00_9923, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_listz00_bglt) CREF(
							((obj_t) BgL_obj1959z00_6906)))->BgL_argsz00);
			}
		}
	}



/* ev_if? */
	BGL_EXPORTED_DEF bool_t BGl_ev_ifzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1958z00_342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1958z00_342,
				BGl_ev_ifz00zz__evaluate_typesz00);
		}
	}



/* &ev_if? */
	obj_t BGl_z62ev_ifzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4373,
		obj_t BgL_obj1958z00_4374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1958z00_4374,
					BGl_ev_ifz00zz__evaluate_typesz00));
		}
	}



/* make-ev_if */
	BGL_EXPORTED_DEF BgL_ev_ifz00_bglt
		BGl_makezd2ev_ifzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_p1929z00_346, BgL_ev_exprz00_bglt BgL_t1930z00_347,
		BgL_ev_exprz00_bglt BgL_e1931z00_348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1932z00_3254;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_res3633z00_3259;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1942z00_3255;

						BgL_new1942z00_3255 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg3203z00_3256;

							BgL_arg3203z00_3256 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_ifz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_objz00_3257;

								BgL_objz00_3257 = ((BgL_objectz00_bglt) BgL_new1942z00_3255);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3257, BgL_arg3203z00_3256);
						}}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_9936;

							BgL_auxz00_9936 = ((BgL_objectz00_bglt) BgL_new1942z00_3255);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9936, BFALSE);
						}
						BgL_res3633z00_3259 = BgL_new1942z00_3255;
					}
					BgL_new1932z00_3254 = BgL_res3633z00_3259;
				}
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_res3634z00_3267;

					((((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_new1932z00_3254)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1929z00_346), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_new1932z00_3254)))->
							BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_t1930z00_347), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_new1932z00_3254)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1931z00_348), BUNSPEC);
					BgL_res3634z00_3267 = BgL_new1932z00_3254;
					BgL_res3634z00_3267;
				}
				return BgL_new1932z00_3254;
			}
		}
	}



/* &make-ev_if */
	BgL_ev_ifz00_bglt BGl_z62makezd2ev_ifzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4367, obj_t BgL_p1929z00_4368, obj_t BgL_t1930z00_4369,
		obj_t BgL_e1931z00_4370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_9961;
				BgL_ev_exprz00_bglt BgL_auxz00_9953;
				BgL_ev_exprz00_bglt BgL_auxz00_9945;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_e1931z00_4370,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_auxz00_9961 = ((BgL_ev_exprz00_bglt) BgL_e1931z00_4370);
					}
				else
					{
						obj_t BgL_auxz00_9965;

						BgL_auxz00_9965 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4365z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e1931z00_4370);
						FAILURE(BgL_auxz00_9965, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_t1930z00_4369,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_auxz00_9953 = ((BgL_ev_exprz00_bglt) BgL_t1930z00_4369);
					}
				else
					{
						obj_t BgL_auxz00_9957;

						BgL_auxz00_9957 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4365z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_t1930z00_4369);
						FAILURE(BgL_auxz00_9957, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_p1929z00_4368,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_auxz00_9945 = ((BgL_ev_exprz00_bglt) BgL_p1929z00_4368);
					}
				else
					{
						obj_t BgL_auxz00_9949;

						BgL_auxz00_9949 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4365z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_p1929z00_4368);
						FAILURE(BgL_auxz00_9949, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_ifzd2zz__evaluate_typesz00(BgL_auxz00_9945,
					BgL_auxz00_9953, BgL_auxz00_9961);
			}
		}
	}



/* fill-ev_if! */
	BGL_EXPORTED_DEF BgL_ev_ifz00_bglt
		BGl_fillzd2ev_ifz12zc0zz__evaluate_typesz00(BgL_ev_ifz00_bglt
		BgL_new1937z00_349, BgL_ev_exprz00_bglt BgL_p1934z00_350,
		BgL_ev_exprz00_bglt BgL_t1935z00_351, BgL_ev_exprz00_bglt BgL_e1936z00_352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			((((BgL_ev_ifz00_bglt) CREF(
							((obj_t) BgL_new1937z00_349)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) BgL_p1934z00_350), BUNSPEC);
			((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_new1937z00_349)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) BgL_t1935z00_351), BUNSPEC);
			((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_new1937z00_349)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) BgL_e1936z00_352), BUNSPEC);
			return BgL_new1937z00_349;
		}
	}



/* &fill-ev_if! */
	BgL_ev_ifz00_bglt BGl_z62fillzd2ev_ifz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4834, obj_t BgL_new1937z00_4835, obj_t BgL_p1934z00_4836,
		obj_t BgL_t1935z00_4837, obj_t BgL_e1936z00_4838)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1937z00_6915;
				BgL_ev_exprz00_bglt BgL_p1934z00_6916;
				BgL_ev_exprz00_bglt BgL_t1935z00_6917;
				BgL_ev_exprz00_bglt BgL_e1936z00_6918;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1937z00_4835,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_new1937z00_6915 = ((BgL_ev_ifz00_bglt) BgL_new1937z00_4835);
					}
				else
					{
						obj_t BgL_auxz00_9979;

						BgL_auxz00_9979 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4366z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_new1937z00_4835);
						FAILURE(BgL_auxz00_9979, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_p1934z00_4836,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_p1934z00_6916 = ((BgL_ev_exprz00_bglt) BgL_p1934z00_4836);
					}
				else
					{
						obj_t BgL_auxz00_9986;

						BgL_auxz00_9986 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4366z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_p1934z00_4836);
						FAILURE(BgL_auxz00_9986, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_t1935z00_4837,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_t1935z00_6917 = ((BgL_ev_exprz00_bglt) BgL_t1935z00_4837);
					}
				else
					{
						obj_t BgL_auxz00_9993;

						BgL_auxz00_9993 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4366z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_t1935z00_4837);
						FAILURE(BgL_auxz00_9993, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_e1936z00_4838,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_e1936z00_6918 = ((BgL_ev_exprz00_bglt) BgL_e1936z00_4838);
					}
				else
					{
						obj_t BgL_auxz00_10000;

						BgL_auxz00_10000 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4366z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_e1936z00_4838);
						FAILURE(BgL_auxz00_10000, BFALSE, BFALSE);
					}
				((((BgL_ev_ifz00_bglt) CREF(
								((obj_t) BgL_new1937z00_6915)))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_p1934z00_6916), BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_new1937z00_6915)))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_t1935z00_6917), BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_new1937z00_6915)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_e1936z00_6918), BUNSPEC);
				return BgL_new1937z00_6915;
			}
		}
	}



/* %allocate-ev_if */
	BGL_EXPORTED_DEF BgL_ev_ifz00_bglt
		BGl_z52allocatezd2ev_ifz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1942z00_6919;

				BgL_new1942z00_6919 =
					((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg3203z00_6920;

					BgL_arg3203z00_6920 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_ifz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_objz00_6921;

						BgL_objz00_6921 = ((BgL_objectz00_bglt) BgL_new1942z00_6919);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6921, BgL_arg3203z00_6920);
				}}
				{	/* Eval/evaluate_types.scm 62 */
					BgL_objectz00_bglt BgL_auxz00_10014;

					BgL_auxz00_10014 = ((BgL_objectz00_bglt) BgL_new1942z00_6919);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10014, BFALSE);
				}
				return BgL_new1942z00_6919;
			}
		}
	}



/* &%allocate-ev_if */
	BgL_ev_ifz00_bglt BGl_z62z52allocatezd2ev_ifze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1942z00_6922;

				BgL_new1942z00_6922 =
					((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg3203z00_6923;

					BgL_arg3203z00_6923 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_ifz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_objz00_6924;

						BgL_objz00_6924 = ((BgL_objectz00_bglt) BgL_new1942z00_6922);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6924, BgL_arg3203z00_6923);
				}}
				{	/* Eval/evaluate_types.scm 62 */
					BgL_objectz00_bglt BgL_auxz00_10021;

					BgL_auxz00_10021 = ((BgL_objectz00_bglt) BgL_new1942z00_6922);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10021, BFALSE);
				}
				return BgL_new1942z00_6922;
			}
		}
	}



/* ev_if-nil */
	BGL_EXPORTED_DEF BgL_ev_ifz00_bglt BGl_ev_ifzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_ifzd2nilz52zz__evaluate_typesz00,
					BGl_ev_ifz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_xz00_5989;

					BgL_xz00_5989 = BGl_z52thezd2ev_ifzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_ifz00_bglt) BgL_xz00_5989);
				}
			else
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_g1943z00_1642;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_res3635z00_3279;

						{	/* Eval/evaluate_types.scm 62 */
							BgL_ev_ifz00_bglt BgL_new1942z00_3275;

							BgL_new1942z00_3275 =
								((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_ifz00_bgl))));
							{	/* Eval/evaluate_types.scm 62 */
								long BgL_arg3203z00_3276;

								BgL_arg3203z00_3276 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_ifz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 62 */
									BgL_objectz00_bglt BgL_objz00_3277;

									BgL_objz00_3277 = ((BgL_objectz00_bglt) BgL_new1942z00_3275);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3277,
										BgL_arg3203z00_3276);
							}}
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_auxz00_10031;

								BgL_auxz00_10031 = ((BgL_objectz00_bglt) BgL_new1942z00_3275);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_10031, BFALSE);
							}
							BgL_res3635z00_3279 = BgL_new1942z00_3275;
						}
						BgL_g1943z00_1642 = BgL_res3635z00_3279;
					}
					BGl_z52thezd2ev_ifzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1943z00_1642);
					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_exprz00_bglt BgL_arg3205z00_1643;
						BgL_ev_exprz00_bglt BgL_arg3206z00_1644;
						BgL_ev_exprz00_bglt BgL_arg3207z00_1645;

						BgL_arg3205z00_1643 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3206z00_1644 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						BgL_arg3207z00_1645 = BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
						{	/* Eval/evaluate_types.scm 62 */
							BgL_ev_ifz00_bglt BgL_res3636z00_3287;

							((((BgL_ev_ifz00_bglt) CREF(
											((obj_t) BgL_g1943z00_1642)))->BgL_pz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3205z00_1643), BUNSPEC);
							((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_g1943z00_1642)))->
									BgL_tz00) =
								((BgL_ev_exprz00_bglt) BgL_arg3206z00_1644), BUNSPEC);
							((((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_g1943z00_1642)))->
									BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_arg3207z00_1645), BUNSPEC);
							BgL_res3636z00_3287 = BgL_g1943z00_1642;
							BgL_res3636z00_3287;
					}}
					return BgL_g1943z00_1642;
				}
		}
	}



/* &ev_if-nil */
	BgL_ev_ifz00_bglt BGl_z62ev_ifzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return BGl_ev_ifzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_if-p-set! */
	obj_t BGl_z62ev_ifzd2pzd2setz12z70zz__evaluate_typesz00(obj_t BgL_envz00_4354,
		obj_t BgL_obj1922z00_4355, obj_t BgL_val1921z00_4356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_obj1922z00_6927;
				BgL_ev_exprz00_bglt BgL_val1921z00_6928;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1922z00_4355,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_obj1922z00_6927 = ((BgL_ev_ifz00_bglt) BgL_obj1922z00_4355);
					}
				else
					{
						obj_t BgL_auxz00_10048;

						BgL_auxz00_10048 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4367z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_obj1922z00_4355);
						FAILURE(BgL_auxz00_10048, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1921z00_4356,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_val1921z00_6928 = ((BgL_ev_exprz00_bglt) BgL_val1921z00_4356);
					}
				else
					{
						obj_t BgL_auxz00_10055;

						BgL_auxz00_10055 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4367z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val1921z00_4356);
						FAILURE(BgL_auxz00_10055, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_ifz00_bglt) CREF(
								((obj_t) BgL_obj1922z00_6927)))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_val1921z00_6928), BUNSPEC);
			}
		}
	}



/* &ev_if-p */
	BgL_ev_exprz00_bglt BGl_z62ev_ifzd2pzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4352, obj_t BgL_obj1920z00_4353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_obj1920z00_6930;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1920z00_4353,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_obj1920z00_6930 = ((BgL_ev_ifz00_bglt) BgL_obj1920z00_4353);
					}
				else
					{
						obj_t BgL_auxz00_10064;

						BgL_auxz00_10064 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4368z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_obj1920z00_4353);
						FAILURE(BgL_auxz00_10064, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_obj1920z00_6930)))->BgL_pz00);
			}
		}
	}



/* &ev_if-t-set! */
	obj_t BGl_z62ev_ifzd2tzd2setz12z70zz__evaluate_typesz00(obj_t BgL_envz00_4359,
		obj_t BgL_obj1925z00_4360, obj_t BgL_val1924z00_4361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_obj1925z00_6933;
				BgL_ev_exprz00_bglt BgL_val1924z00_6934;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1925z00_4360,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_obj1925z00_6933 = ((BgL_ev_ifz00_bglt) BgL_obj1925z00_4360);
					}
				else
					{
						obj_t BgL_auxz00_10073;

						BgL_auxz00_10073 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4369z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_obj1925z00_4360);
						FAILURE(BgL_auxz00_10073, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1924z00_4361,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_val1924z00_6934 = ((BgL_ev_exprz00_bglt) BgL_val1924z00_4361);
					}
				else
					{
						obj_t BgL_auxz00_10080;

						BgL_auxz00_10080 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4369z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val1924z00_4361);
						FAILURE(BgL_auxz00_10080, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_ifz00_bglt) CREF(
								((obj_t) BgL_obj1925z00_6933)))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_val1924z00_6934), BUNSPEC);
			}
		}
	}



/* &ev_if-t */
	BgL_ev_exprz00_bglt BGl_z62ev_ifzd2tzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4357, obj_t BgL_obj1923z00_4358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_obj1923z00_6936;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1923z00_4358,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_obj1923z00_6936 = ((BgL_ev_ifz00_bglt) BgL_obj1923z00_4358);
					}
				else
					{
						obj_t BgL_auxz00_10089;

						BgL_auxz00_10089 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4370z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_obj1923z00_4358);
						FAILURE(BgL_auxz00_10089, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_obj1923z00_6936)))->BgL_tz00);
			}
		}
	}



/* &ev_if-e-set! */
	obj_t BGl_z62ev_ifzd2ezd2setz12z70zz__evaluate_typesz00(obj_t BgL_envz00_4364,
		obj_t BgL_obj1928z00_4365, obj_t BgL_val1927z00_4366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_obj1928z00_6939;
				BgL_ev_exprz00_bglt BgL_val1927z00_6940;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1928z00_4365,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_obj1928z00_6939 = ((BgL_ev_ifz00_bglt) BgL_obj1928z00_4365);
					}
				else
					{
						obj_t BgL_auxz00_10098;

						BgL_auxz00_10098 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4371z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_obj1928z00_4365);
						FAILURE(BgL_auxz00_10098, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1927z00_4366,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_val1927z00_6940 = ((BgL_ev_exprz00_bglt) BgL_val1927z00_4366);
					}
				else
					{
						obj_t BgL_auxz00_10105;

						BgL_auxz00_10105 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4371z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_val1927z00_4366);
						FAILURE(BgL_auxz00_10105, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_ifz00_bglt) CREF(
								((obj_t) BgL_obj1928z00_6939)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_val1927z00_6940), BUNSPEC);
			}
		}
	}



/* &ev_if-e */
	BgL_ev_exprz00_bglt BGl_z62ev_ifzd2ezb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4362, obj_t BgL_obj1926z00_4363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_obj1926z00_6942;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1926z00_4363,
						BGl_ev_ifz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 62 */
						BgL_obj1926z00_6942 = ((BgL_ev_ifz00_bglt) BgL_obj1926z00_4363);
					}
				else
					{
						obj_t BgL_auxz00_10114;

						BgL_auxz00_10114 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1866)),
							BGl_string4372z00zz__evaluate_typesz00,
							BGl_string4155z00zz__evaluate_typesz00, BgL_obj1926z00_4363);
						FAILURE(BgL_auxz00_10114, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_obj1926z00_6942)))->BgL_ez00);
			}
		}
	}



/* ev_litt? */
	BGL_EXPORTED_DEF bool_t BGl_ev_littzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1919z00_362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1919z00_362,
				BGl_ev_littz00zz__evaluate_typesz00);
		}
	}



/* &ev_litt? */
	obj_t BGl_z62ev_littzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4350,
		obj_t BgL_obj1919z00_4351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1919z00_4351,
					BGl_ev_littz00zz__evaluate_typesz00));
		}
	}



/* make-ev_litt */
	BGL_EXPORTED_DEF BgL_ev_littz00_bglt
		BGl_makezd2ev_littzd2zz__evaluate_typesz00(obj_t BgL_value1904z00_366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1905z00_3288;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_res3637z00_3293;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1911z00_3289;

						BgL_new1911z00_3289 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg3208z00_3290;

							BgL_arg3208z00_3290 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_littz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_objz00_3291;

								BgL_objz00_3291 = ((BgL_objectz00_bglt) BgL_new1911z00_3289);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3291, BgL_arg3208z00_3290);
						}}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_10127;

							BgL_auxz00_10127 = ((BgL_objectz00_bglt) BgL_new1911z00_3289);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10127, BFALSE);
						}
						BgL_res3637z00_3293 = BgL_new1911z00_3289;
					}
					BgL_new1905z00_3288 = BgL_res3637z00_3293;
				}
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_res3638z00_3297;

					((((BgL_ev_littz00_bglt) CREF(
									((obj_t) BgL_new1905z00_3288)))->BgL_valuez00) =
						((obj_t) BgL_value1904z00_366), BUNSPEC);
					BgL_res3638z00_3297 = BgL_new1905z00_3288;
					BgL_res3638z00_3297;
				}
				return BgL_new1905z00_3288;
			}
		}
	}



/* &make-ev_litt */
	BgL_ev_littz00_bglt BGl_z62makezd2ev_littzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4346, obj_t BgL_value1904z00_4347)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return BGl_makezd2ev_littzd2zz__evaluate_typesz00(BgL_value1904z00_4347);
		}
	}



/* fill-ev_litt! */
	BGL_EXPORTED_DEF BgL_ev_littz00_bglt
		BGl_fillzd2ev_littz12zc0zz__evaluate_typesz00(BgL_ev_littz00_bglt
		BgL_new1908z00_367, obj_t BgL_value1907z00_368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			((((BgL_ev_littz00_bglt) CREF(
							((obj_t) BgL_new1908z00_367)))->BgL_valuez00) =
				((obj_t) BgL_value1907z00_368), BUNSPEC);
			return BgL_new1908z00_367;
		}
	}



/* &fill-ev_litt! */
	BgL_ev_littz00_bglt BGl_z62fillzd2ev_littz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4839, obj_t BgL_new1908z00_4840, obj_t BgL_value1907z00_4841)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1908z00_6945;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1908z00_4840,
						BGl_ev_littz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 60 */
						BgL_new1908z00_6945 = ((BgL_ev_littz00_bglt) BgL_new1908z00_4840);
					}
				else
					{
						obj_t BgL_auxz00_10138;

						BgL_auxz00_10138 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1824)),
							BGl_string4373z00zz__evaluate_typesz00,
							BGl_string4147z00zz__evaluate_typesz00, BgL_new1908z00_4840);
						FAILURE(BgL_auxz00_10138, BFALSE, BFALSE);
					}
				((((BgL_ev_littz00_bglt) CREF(
								((obj_t) BgL_new1908z00_6945)))->BgL_valuez00) =
					((obj_t) BgL_value1907z00_4841), BUNSPEC);
				return BgL_new1908z00_6945;
			}
		}
	}



/* %allocate-ev_litt */
	BGL_EXPORTED_DEF BgL_ev_littz00_bglt
		BGl_z52allocatezd2ev_littz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1911z00_6947;

				BgL_new1911z00_6947 =
					((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg3208z00_6948;

					BgL_arg3208z00_6948 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_littz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_objz00_6949;

						BgL_objz00_6949 = ((BgL_objectz00_bglt) BgL_new1911z00_6947);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6949, BgL_arg3208z00_6948);
				}}
				{	/* Eval/evaluate_types.scm 60 */
					BgL_objectz00_bglt BgL_auxz00_10148;

					BgL_auxz00_10148 = ((BgL_objectz00_bglt) BgL_new1911z00_6947);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10148, BFALSE);
				}
				return BgL_new1911z00_6947;
			}
		}
	}



/* &%allocate-ev_litt */
	BgL_ev_littz00_bglt BGl_z62z52allocatezd2ev_littze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1911z00_6950;

				BgL_new1911z00_6950 =
					((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg3208z00_6951;

					BgL_arg3208z00_6951 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_littz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_objz00_6952;

						BgL_objz00_6952 = ((BgL_objectz00_bglt) BgL_new1911z00_6950);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6952, BgL_arg3208z00_6951);
				}}
				{	/* Eval/evaluate_types.scm 60 */
					BgL_objectz00_bglt BgL_auxz00_10155;

					BgL_auxz00_10155 = ((BgL_objectz00_bglt) BgL_new1911z00_6950);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10155, BFALSE);
				}
				return BgL_new1911z00_6950;
			}
		}
	}



/* ev_litt-nil */
	BGL_EXPORTED_DEF BgL_ev_littz00_bglt
		BGl_ev_littzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_littzd2nilz52zz__evaluate_typesz00,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_xz00_6038;

					BgL_xz00_6038 = BGl_z52thezd2ev_littzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_littz00_bglt) BgL_xz00_6038);
				}
			else
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_g1912z00_1651;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_res3639z00_3307;

						{	/* Eval/evaluate_types.scm 60 */
							BgL_ev_littz00_bglt BgL_new1911z00_3303;

							BgL_new1911z00_3303 =
								((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_littz00_bgl))));
							{	/* Eval/evaluate_types.scm 60 */
								long BgL_arg3208z00_3304;

								BgL_arg3208z00_3304 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_littz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 60 */
									BgL_objectz00_bglt BgL_objz00_3305;

									BgL_objz00_3305 = ((BgL_objectz00_bglt) BgL_new1911z00_3303);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3305,
										BgL_arg3208z00_3304);
							}}
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_auxz00_10165;

								BgL_auxz00_10165 = ((BgL_objectz00_bglt) BgL_new1911z00_3303);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_10165, BFALSE);
							}
							BgL_res3639z00_3307 = BgL_new1911z00_3303;
						}
						BgL_g1912z00_1651 = BgL_res3639z00_3307;
					}
					BGl_z52thezd2ev_littzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1912z00_1651);
					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_res3640z00_3311;

						((((BgL_ev_littz00_bglt) CREF(
										((obj_t) BgL_g1912z00_1651)))->BgL_valuez00) =
							((obj_t) BUNSPEC), BUNSPEC);
						BgL_res3640z00_3311 = BgL_g1912z00_1651;
						BgL_res3640z00_3311;
					}
					return BgL_g1912z00_1651;
				}
		}
	}



/* &ev_litt-nil */
	BgL_ev_littz00_bglt BGl_z62ev_littzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return BGl_ev_littzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_litt-value-set! */
	obj_t BGl_z62ev_littzd2valuezd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4343, obj_t BgL_obj1903z00_4344, obj_t BgL_val1902z00_4345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_obj1903z00_6954;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1903z00_4344,
						BGl_ev_littz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 60 */
						BgL_obj1903z00_6954 = ((BgL_ev_littz00_bglt) BgL_obj1903z00_4344);
					}
				else
					{
						obj_t BgL_auxz00_10175;

						BgL_auxz00_10175 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1824)),
							BGl_string4374z00zz__evaluate_typesz00,
							BGl_string4147z00zz__evaluate_typesz00, BgL_obj1903z00_4344);
						FAILURE(BgL_auxz00_10175, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_littz00_bglt) CREF(
								((obj_t) BgL_obj1903z00_6954)))->BgL_valuez00) =
					((obj_t) BgL_val1902z00_4345), BUNSPEC);
			}
		}
	}



/* &ev_litt-value */
	obj_t BGl_z62ev_littzd2valuezb0zz__evaluate_typesz00(obj_t BgL_envz00_4341,
		obj_t BgL_obj1901z00_4342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_obj1901z00_6957;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1901z00_4342,
						BGl_ev_littz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 60 */
						BgL_obj1901z00_6957 = ((BgL_ev_littz00_bglt) BgL_obj1901z00_4342);
					}
				else
					{
						obj_t BgL_auxz00_10184;

						BgL_auxz00_10184 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1824)),
							BGl_string4375z00zz__evaluate_typesz00,
							BGl_string4147z00zz__evaluate_typesz00, BgL_obj1901z00_4342);
						FAILURE(BgL_auxz00_10184, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_littz00_bglt) CREF(
							((obj_t) BgL_obj1901z00_6957)))->BgL_valuez00);
			}
		}
	}



/* ev_global? */
	BGL_EXPORTED_DEF bool_t BGl_ev_globalzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1900z00_372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1900z00_372,
				BGl_ev_globalz00zz__evaluate_typesz00);
		}
	}



/* &ev_global? */
	obj_t BGl_z62ev_globalzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4339,
		obj_t BgL_obj1900z00_4340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1900z00_4340,
					BGl_ev_globalz00zz__evaluate_typesz00));
		}
	}



/* make-ev_global */
	BGL_EXPORTED_DEF BgL_ev_globalz00_bglt
		BGl_makezd2ev_globalzd2zz__evaluate_typesz00(obj_t BgL_loc1871z00_376,
		obj_t BgL_name1872z00_377, obj_t BgL_mod1873z00_378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1874z00_3312;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_res3641z00_3317;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1884z00_3313;

						BgL_new1884z00_3313 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg3210z00_3314;

							BgL_arg3210z00_3314 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_globalz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_objz00_3315;

								BgL_objz00_3315 = ((BgL_objectz00_bglt) BgL_new1884z00_3313);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3315, BgL_arg3210z00_3314);
						}}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_10197;

							BgL_auxz00_10197 = ((BgL_objectz00_bglt) BgL_new1884z00_3313);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10197, BFALSE);
						}
						BgL_res3641z00_3317 = BgL_new1884z00_3313;
					}
					BgL_new1874z00_3312 = BgL_res3641z00_3317;
				}
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_res3642z00_3325;

					((((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_new1874z00_3312)))->BgL_locz00) =
						((obj_t) BgL_loc1871z00_376), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_new1874z00_3312)))->
							BgL_namez00) = ((obj_t) BgL_name1872z00_377), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_new1874z00_3312)))->
							BgL_modz00) = ((obj_t) BgL_mod1873z00_378), BUNSPEC);
					BgL_res3642z00_3325 = BgL_new1874z00_3312;
					BgL_res3642z00_3325;
				}
				return BgL_new1874z00_3312;
			}
		}
	}



/* &make-ev_global */
	BgL_ev_globalz00_bglt BGl_z62makezd2ev_globalzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4333, obj_t BgL_loc1871z00_4334, obj_t BgL_name1872z00_4335,
		obj_t BgL_mod1873z00_4336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_auxz00_10206;

				if (SYMBOLP(BgL_name1872z00_4335))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_auxz00_10206 = BgL_name1872z00_4335;
					}
				else
					{
						obj_t BgL_auxz00_10209;

						BgL_auxz00_10209 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4376z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name1872z00_4335);
						FAILURE(BgL_auxz00_10209, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_globalzd2zz__evaluate_typesz00(BgL_loc1871z00_4334,
					BgL_auxz00_10206, BgL_mod1873z00_4336);
			}
		}
	}



/* fill-ev_global! */
	BGL_EXPORTED_DEF BgL_ev_globalz00_bglt
		BGl_fillzd2ev_globalz12zc0zz__evaluate_typesz00(BgL_ev_globalz00_bglt
		BgL_new1879z00_379, obj_t BgL_loc1876z00_380, obj_t BgL_name1877z00_381,
		obj_t BgL_mod1878z00_382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			((((BgL_ev_globalz00_bglt) CREF(
							((obj_t) BgL_new1879z00_379)))->BgL_locz00) =
				((obj_t) BgL_loc1876z00_380), BUNSPEC);
			((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_new1879z00_379)))->
					BgL_namez00) = ((obj_t) BgL_name1877z00_381), BUNSPEC);
			((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_new1879z00_379)))->
					BgL_modz00) = ((obj_t) BgL_mod1878z00_382), BUNSPEC);
			return BgL_new1879z00_379;
		}
	}



/* &fill-ev_global! */
	BgL_ev_globalz00_bglt BGl_z62fillzd2ev_globalz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4842, obj_t BgL_new1879z00_4843, obj_t BgL_loc1876z00_4844,
		obj_t BgL_name1877z00_4845, obj_t BgL_mod1878z00_4846)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1879z00_6960;
				obj_t BgL_name1877z00_6962;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1879z00_4843,
						BGl_ev_globalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_new1879z00_6960 = ((BgL_ev_globalz00_bglt) BgL_new1879z00_4843);
					}
				else
					{
						obj_t BgL_auxz00_10223;

						BgL_auxz00_10223 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4377z00zz__evaluate_typesz00,
							BGl_string4143z00zz__evaluate_typesz00, BgL_new1879z00_4843);
						FAILURE(BgL_auxz00_10223, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_name1877z00_4845))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_name1877z00_6962 = BgL_name1877z00_4845;
					}
				else
					{
						obj_t BgL_auxz00_10229;

						BgL_auxz00_10229 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4377z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name1877z00_4845);
						FAILURE(BgL_auxz00_10229, BFALSE, BFALSE);
					}
				((((BgL_ev_globalz00_bglt) CREF(
								((obj_t) BgL_new1879z00_6960)))->BgL_locz00) =
					((obj_t) BgL_loc1876z00_4844), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_new1879z00_6960)))->
						BgL_namez00) = ((obj_t) BgL_name1877z00_6962), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_new1879z00_6960)))->
						BgL_modz00) = ((obj_t) BgL_mod1878z00_4846), BUNSPEC);
				return BgL_new1879z00_6960;
			}
		}
	}



/* %allocate-ev_global */
	BGL_EXPORTED_DEF BgL_ev_globalz00_bglt
		BGl_z52allocatezd2ev_globalz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1884z00_6964;

				BgL_new1884z00_6964 =
					((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg3210z00_6965;

					BgL_arg3210z00_6965 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_globalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_objz00_6966;

						BgL_objz00_6966 = ((BgL_objectz00_bglt) BgL_new1884z00_6964);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6966, BgL_arg3210z00_6965);
				}}
				{	/* Eval/evaluate_types.scm 55 */
					BgL_objectz00_bglt BgL_auxz00_10243;

					BgL_auxz00_10243 = ((BgL_objectz00_bglt) BgL_new1884z00_6964);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10243, BFALSE);
				}
				return BgL_new1884z00_6964;
			}
		}
	}



/* &%allocate-ev_global */
	BgL_ev_globalz00_bglt
		BGl_z62z52allocatezd2ev_globalze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1884z00_6967;

				BgL_new1884z00_6967 =
					((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg3210z00_6968;

					BgL_arg3210z00_6968 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_globalz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_objz00_6969;

						BgL_objz00_6969 = ((BgL_objectz00_bglt) BgL_new1884z00_6967);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6969, BgL_arg3210z00_6968);
				}}
				{	/* Eval/evaluate_types.scm 55 */
					BgL_objectz00_bglt BgL_auxz00_10250;

					BgL_auxz00_10250 = ((BgL_objectz00_bglt) BgL_new1884z00_6967);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10250, BFALSE);
				}
				return BgL_new1884z00_6967;
			}
		}
	}



/* ev_global-nil */
	BGL_EXPORTED_DEF BgL_ev_globalz00_bglt
		BGl_ev_globalzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_globalzd2nilz52zz__evaluate_typesz00,
					BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_xz00_6068;

					BgL_xz00_6068 = BGl_z52thezd2ev_globalzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_globalz00_bglt) BgL_xz00_6068);
				}
			else
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_g1885z00_1659;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_res3643z00_3337;

						{	/* Eval/evaluate_types.scm 55 */
							BgL_ev_globalz00_bglt BgL_new1884z00_3333;

							BgL_new1884z00_3333 =
								((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_globalz00_bgl))));
							{	/* Eval/evaluate_types.scm 55 */
								long BgL_arg3210z00_3334;

								BgL_arg3210z00_3334 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_globalz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 55 */
									BgL_objectz00_bglt BgL_objz00_3335;

									BgL_objz00_3335 = ((BgL_objectz00_bglt) BgL_new1884z00_3333);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3335,
										BgL_arg3210z00_3334);
							}}
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_auxz00_10260;

								BgL_auxz00_10260 = ((BgL_objectz00_bglt) BgL_new1884z00_3333);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_10260, BFALSE);
							}
							BgL_res3643z00_3337 = BgL_new1884z00_3333;
						}
						BgL_g1885z00_1659 = BgL_res3643z00_3337;
					}
					BGl_z52thezd2ev_globalzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1885z00_1659);
					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_res3644z00_3345;

						{	/* Eval/evaluate_types.scm 55 */
							obj_t BgL_name1877z00_3340;

							BgL_name1877z00_3340 = BGl_symbol4335z00zz__evaluate_typesz00;
							((((BgL_ev_globalz00_bglt) CREF(
											((obj_t) BgL_g1885z00_1659)))->BgL_locz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_g1885z00_1659)))->
									BgL_namez00) = ((obj_t) BgL_name1877z00_3340), BUNSPEC);
							((((BgL_ev_globalz00_bglt) CREF(((obj_t) BgL_g1885z00_1659)))->
									BgL_modz00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3644z00_3345 = BgL_g1885z00_1659;
						} BgL_res3644z00_3345;
					}
					return BgL_g1885z00_1659;
				}
		}
	}



/* &ev_global-nil */
	BgL_ev_globalz00_bglt BGl_z62ev_globalzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return BGl_ev_globalzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_global-loc */
	obj_t BGl_z62ev_globalzd2loczb0zz__evaluate_typesz00(obj_t BgL_envz00_4321,
		obj_t BgL_obj1864z00_4322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{	/* Eval/evaluate_types.scm 56 */
				BgL_ev_globalz00_bglt BgL_obj1864z00_6971;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1864z00_4322,
						BGl_ev_globalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 56 */
						BgL_obj1864z00_6971 = ((BgL_ev_globalz00_bglt) BgL_obj1864z00_4322);
					}
				else
					{
						obj_t BgL_auxz00_10274;

						BgL_auxz00_10274 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1767)),
							BGl_string4378z00zz__evaluate_typesz00,
							BGl_string4143z00zz__evaluate_typesz00, BgL_obj1864z00_4322);
						FAILURE(BgL_auxz00_10274, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_globalz00_bglt) CREF(
							((obj_t) BgL_obj1864z00_6971)))->BgL_locz00);
			}
		}
	}



/* &ev_global-name-set! */
	obj_t BGl_z62ev_globalzd2namezd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4325, obj_t BgL_obj1867z00_4326, obj_t BgL_val1866z00_4327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_obj1867z00_6973;
				obj_t BgL_val1866z00_6974;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1867z00_4326,
						BGl_ev_globalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_obj1867z00_6973 = ((BgL_ev_globalz00_bglt) BgL_obj1867z00_4326);
					}
				else
					{
						obj_t BgL_auxz00_10283;

						BgL_auxz00_10283 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4379z00zz__evaluate_typesz00,
							BGl_string4143z00zz__evaluate_typesz00, BgL_obj1867z00_4326);
						FAILURE(BgL_auxz00_10283, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_val1866z00_4327))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_val1866z00_6974 = BgL_val1866z00_4327;
					}
				else
					{
						obj_t BgL_auxz00_10289;

						BgL_auxz00_10289 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4379z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_val1866z00_4327);
						FAILURE(BgL_auxz00_10289, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_globalz00_bglt) CREF(
								((obj_t) BgL_obj1867z00_6973)))->BgL_namez00) =
					((obj_t) BgL_val1866z00_6974), BUNSPEC);
			}
		}
	}



/* &ev_global-name */
	obj_t BGl_z62ev_globalzd2namezb0zz__evaluate_typesz00(obj_t BgL_envz00_4323,
		obj_t BgL_obj1865z00_4324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_obj1865z00_6976;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1865z00_4324,
						BGl_ev_globalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_obj1865z00_6976 = ((BgL_ev_globalz00_bglt) BgL_obj1865z00_4324);
					}
				else
					{
						obj_t BgL_auxz00_10298;

						BgL_auxz00_10298 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4380z00zz__evaluate_typesz00,
							BGl_string4143z00zz__evaluate_typesz00, BgL_obj1865z00_4324);
						FAILURE(BgL_auxz00_10298, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_globalz00_bglt) CREF(
							((obj_t) BgL_obj1865z00_6976)))->BgL_namez00);
			}
		}
	}



/* &ev_global-mod-set! */
	obj_t BGl_z62ev_globalzd2modzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4330, obj_t BgL_obj1870z00_4331, obj_t BgL_val1869z00_4332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_obj1870z00_6978;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1870z00_4331,
						BGl_ev_globalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_obj1870z00_6978 = ((BgL_ev_globalz00_bglt) BgL_obj1870z00_4331);
					}
				else
					{
						obj_t BgL_auxz00_10307;

						BgL_auxz00_10307 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4381z00zz__evaluate_typesz00,
							BGl_string4143z00zz__evaluate_typesz00, BgL_obj1870z00_4331);
						FAILURE(BgL_auxz00_10307, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_globalz00_bglt) CREF(
								((obj_t) BgL_obj1870z00_6978)))->BgL_modz00) =
					((obj_t) BgL_val1869z00_4332), BUNSPEC);
			}
		}
	}



/* &ev_global-mod */
	obj_t BGl_z62ev_globalzd2modzb0zz__evaluate_typesz00(obj_t BgL_envz00_4328,
		obj_t BgL_obj1868z00_4329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_obj1868z00_6981;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1868z00_4329,
						BGl_ev_globalz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 55 */
						BgL_obj1868z00_6981 = ((BgL_ev_globalz00_bglt) BgL_obj1868z00_4329);
					}
				else
					{
						obj_t BgL_auxz00_10316;

						BgL_auxz00_10316 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1734)),
							BGl_string4382z00zz__evaluate_typesz00,
							BGl_string4143z00zz__evaluate_typesz00, BgL_obj1868z00_4329);
						FAILURE(BgL_auxz00_10316, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_globalz00_bglt) CREF(
							((obj_t) BgL_obj1868z00_6981)))->BgL_modz00);
			}
		}
	}



/* ev_var? */
	BGL_EXPORTED_DEF bool_t BGl_ev_varzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1863z00_390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1863z00_390,
				BGl_ev_varz00zz__evaluate_typesz00);
		}
	}



/* &ev_var? */
	obj_t BGl_z62ev_varzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4319,
		obj_t BgL_obj1863z00_4320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1863z00_4320,
					BGl_ev_varz00zz__evaluate_typesz00));
		}
	}



/* make-ev_var */
	BGL_EXPORTED_DEF BgL_ev_varz00_bglt
		BGl_makezd2ev_varzd2zz__evaluate_typesz00(obj_t BgL_name1841z00_394,
		obj_t BgL_eff1842z00_395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_new1843z00_3346;

				{	/* Eval/evaluate_types.scm 52 */
					BgL_ev_varz00_bglt BgL_res3645z00_3351;

					{	/* Eval/evaluate_types.scm 52 */
						BgL_ev_varz00_bglt BgL_new1851z00_3347;

						BgL_new1851z00_3347 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 52 */
							long BgL_arg3212z00_3348;

							BgL_arg3212z00_3348 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_varz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 52 */
								BgL_objectz00_bglt BgL_objz00_3349;

								BgL_objz00_3349 = ((BgL_objectz00_bglt) BgL_new1851z00_3347);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3349, BgL_arg3212z00_3348);
						}}
						{	/* Eval/evaluate_types.scm 52 */
							BgL_objectz00_bglt BgL_auxz00_10329;

							BgL_auxz00_10329 = ((BgL_objectz00_bglt) BgL_new1851z00_3347);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10329, BFALSE);
						}
						BgL_res3645z00_3351 = BgL_new1851z00_3347;
					}
					BgL_new1843z00_3346 = BgL_res3645z00_3351;
				}
				{	/* Eval/evaluate_types.scm 52 */
					BgL_ev_varz00_bglt BgL_res3646z00_3357;

					((((BgL_ev_varz00_bglt) CREF(
									((obj_t) BgL_new1843z00_3346)))->BgL_namez00) =
						((obj_t) BgL_name1841z00_394), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(((obj_t) BgL_new1843z00_3346)))->
							BgL_effz00) = ((obj_t) BgL_eff1842z00_395), BUNSPEC);
					BgL_res3646z00_3357 = BgL_new1843z00_3346;
					BgL_res3646z00_3357;
				}
				return BgL_new1843z00_3346;
			}
		}
	}



/* &make-ev_var */
	BgL_ev_varz00_bglt BGl_z62makezd2ev_varzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4314, obj_t BgL_name1841z00_4315, obj_t BgL_eff1842z00_4316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				obj_t BgL_auxz00_10336;

				if (SYMBOLP(BgL_name1841z00_4315))
					{	/* Eval/evaluate_types.scm 52 */
						BgL_auxz00_10336 = BgL_name1841z00_4315;
					}
				else
					{
						obj_t BgL_auxz00_10339;

						BgL_auxz00_10339 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1660)),
							BGl_string4383z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name1841z00_4315);
						FAILURE(BgL_auxz00_10339, BFALSE, BFALSE);
					}
				return
					BGl_makezd2ev_varzd2zz__evaluate_typesz00(BgL_auxz00_10336,
					BgL_eff1842z00_4316);
			}
		}
	}



/* fill-ev_var! */
	BGL_EXPORTED_DEF BgL_ev_varz00_bglt
		BGl_fillzd2ev_varz12zc0zz__evaluate_typesz00(BgL_ev_varz00_bglt
		BgL_new1847z00_396, obj_t BgL_name1845z00_397, obj_t BgL_eff1846z00_398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			((((BgL_ev_varz00_bglt) CREF(
							((obj_t) BgL_new1847z00_396)))->BgL_namez00) =
				((obj_t) BgL_name1845z00_397), BUNSPEC);
			((((BgL_ev_varz00_bglt) CREF(((obj_t) BgL_new1847z00_396)))->BgL_effz00) =
				((obj_t) BgL_eff1846z00_398), BUNSPEC);
			return BgL_new1847z00_396;
		}
	}



/* &fill-ev_var! */
	BgL_ev_varz00_bglt BGl_z62fillzd2ev_varz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4847, obj_t BgL_new1847z00_4848, obj_t BgL_name1845z00_4849,
		obj_t BgL_eff1846z00_4850)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_new1847z00_6984;
				obj_t BgL_name1845z00_6985;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1847z00_4848,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 52 */
						BgL_new1847z00_6984 = ((BgL_ev_varz00_bglt) BgL_new1847z00_4848);
					}
				else
					{
						obj_t BgL_auxz00_10351;

						BgL_auxz00_10351 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1660)),
							BGl_string4384z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_new1847z00_4848);
						FAILURE(BgL_auxz00_10351, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_name1845z00_4849))
					{	/* Eval/evaluate_types.scm 52 */
						BgL_name1845z00_6985 = BgL_name1845z00_4849;
					}
				else
					{
						obj_t BgL_auxz00_10357;

						BgL_auxz00_10357 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1660)),
							BGl_string4384z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_name1845z00_4849);
						FAILURE(BgL_auxz00_10357, BFALSE, BFALSE);
					}
				((((BgL_ev_varz00_bglt) CREF(
								((obj_t) BgL_new1847z00_6984)))->BgL_namez00) =
					((obj_t) BgL_name1845z00_6985), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(((obj_t) BgL_new1847z00_6984)))->
						BgL_effz00) = ((obj_t) BgL_eff1846z00_4850), BUNSPEC);
				return BgL_new1847z00_6984;
			}
		}
	}



/* %allocate-ev_var */
	BGL_EXPORTED_DEF BgL_ev_varz00_bglt
		BGl_z52allocatezd2ev_varz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_new1851z00_6987;

				BgL_new1851z00_6987 =
					((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 52 */
					long BgL_arg3212z00_6988;

					BgL_arg3212z00_6988 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_varz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 52 */
						BgL_objectz00_bglt BgL_objz00_6989;

						BgL_objz00_6989 = ((BgL_objectz00_bglt) BgL_new1851z00_6987);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6989, BgL_arg3212z00_6988);
				}}
				{	/* Eval/evaluate_types.scm 52 */
					BgL_objectz00_bglt BgL_auxz00_10369;

					BgL_auxz00_10369 = ((BgL_objectz00_bglt) BgL_new1851z00_6987);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10369, BFALSE);
				}
				return BgL_new1851z00_6987;
			}
		}
	}



/* &%allocate-ev_var */
	BgL_ev_varz00_bglt BGl_z62z52allocatezd2ev_varze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4317)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_new1851z00_6990;

				BgL_new1851z00_6990 =
					((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 52 */
					long BgL_arg3212z00_6991;

					BgL_arg3212z00_6991 =
						BGl_classzd2numzd2zz__objectz00(BGl_ev_varz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 52 */
						BgL_objectz00_bglt BgL_objz00_6992;

						BgL_objz00_6992 = ((BgL_objectz00_bglt) BgL_new1851z00_6990);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6992, BgL_arg3212z00_6991);
				}}
				{	/* Eval/evaluate_types.scm 52 */
					BgL_objectz00_bglt BgL_auxz00_10376;

					BgL_auxz00_10376 = ((BgL_objectz00_bglt) BgL_new1851z00_6990);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10376, BFALSE);
				}
				return BgL_new1851z00_6990;
			}
		}
	}



/* ev_var-nil */
	BGL_EXPORTED_DEF BgL_ev_varz00_bglt BGl_ev_varzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_varzd2nilz52zz__evaluate_typesz00,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_xz00_6112;

					BgL_xz00_6112 = BGl_z52thezd2ev_varzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_varz00_bglt) BgL_xz00_6112);
				}
			else
				{	/* Eval/evaluate_types.scm 52 */
					BgL_ev_varz00_bglt BgL_g1852z00_1666;

					{	/* Eval/evaluate_types.scm 52 */
						BgL_ev_varz00_bglt BgL_res3647z00_3368;

						{	/* Eval/evaluate_types.scm 52 */
							BgL_ev_varz00_bglt BgL_new1851z00_3364;

							BgL_new1851z00_3364 =
								((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_varz00_bgl))));
							{	/* Eval/evaluate_types.scm 52 */
								long BgL_arg3212z00_3365;

								BgL_arg3212z00_3365 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_varz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 52 */
									BgL_objectz00_bglt BgL_objz00_3366;

									BgL_objz00_3366 = ((BgL_objectz00_bglt) BgL_new1851z00_3364);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3366,
										BgL_arg3212z00_3365);
							}}
							{	/* Eval/evaluate_types.scm 52 */
								BgL_objectz00_bglt BgL_auxz00_10386;

								BgL_auxz00_10386 = ((BgL_objectz00_bglt) BgL_new1851z00_3364);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_10386, BFALSE);
							}
							BgL_res3647z00_3368 = BgL_new1851z00_3364;
						}
						BgL_g1852z00_1666 = BgL_res3647z00_3368;
					}
					BGl_z52thezd2ev_varzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1852z00_1666);
					{	/* Eval/evaluate_types.scm 52 */
						BgL_ev_varz00_bglt BgL_res3648z00_3374;

						{	/* Eval/evaluate_types.scm 52 */
							obj_t BgL_name1845z00_3370;

							BgL_name1845z00_3370 = BGl_symbol4335z00zz__evaluate_typesz00;
							((((BgL_ev_varz00_bglt) CREF(
											((obj_t) BgL_g1852z00_1666)))->BgL_namez00) =
								((obj_t) BgL_name1845z00_3370), BUNSPEC);
							((((BgL_ev_varz00_bglt) CREF(((obj_t) BgL_g1852z00_1666)))->
									BgL_effz00) = ((obj_t) BUNSPEC), BUNSPEC);
							BgL_res3648z00_3374 = BgL_g1852z00_1666;
						} BgL_res3648z00_3374;
					}
					return BgL_g1852z00_1666;
				}
		}
	}



/* &ev_var-nil */
	BgL_ev_varz00_bglt BGl_z62ev_varzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return BGl_ev_varzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* &ev_var-name-set! */
	obj_t BGl_z62ev_varzd2namezd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4306, obj_t BgL_obj1837z00_4307, obj_t BgL_val1836z00_4308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_obj1837z00_6994;
				obj_t BgL_val1836z00_6995;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1837z00_4307,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 52 */
						BgL_obj1837z00_6994 = ((BgL_ev_varz00_bglt) BgL_obj1837z00_4307);
					}
				else
					{
						obj_t BgL_auxz00_10398;

						BgL_auxz00_10398 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1660)),
							BGl_string4385z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_obj1837z00_4307);
						FAILURE(BgL_auxz00_10398, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_val1836z00_4308))
					{	/* Eval/evaluate_types.scm 52 */
						BgL_val1836z00_6995 = BgL_val1836z00_4308;
					}
				else
					{
						obj_t BgL_auxz00_10404;

						BgL_auxz00_10404 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1660)),
							BGl_string4385z00zz__evaluate_typesz00,
							BGl_string4333z00zz__evaluate_typesz00, BgL_val1836z00_4308);
						FAILURE(BgL_auxz00_10404, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_varz00_bglt) CREF(
								((obj_t) BgL_obj1837z00_6994)))->BgL_namez00) =
					((obj_t) BgL_val1836z00_6995), BUNSPEC);
			}
		}
	}



/* &ev_var-name */
	obj_t BGl_z62ev_varzd2namezb0zz__evaluate_typesz00(obj_t BgL_envz00_4304,
		obj_t BgL_obj1835z00_4305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_obj1835z00_6997;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1835z00_4305,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 52 */
						BgL_obj1835z00_6997 = ((BgL_ev_varz00_bglt) BgL_obj1835z00_4305);
					}
				else
					{
						obj_t BgL_auxz00_10413;

						BgL_auxz00_10413 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1660)),
							BGl_string4386z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_obj1835z00_4305);
						FAILURE(BgL_auxz00_10413, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_varz00_bglt) CREF(
							((obj_t) BgL_obj1835z00_6997)))->BgL_namez00);
			}
		}
	}



/* &ev_var-eff-set! */
	obj_t BGl_z62ev_varzd2effzd2setz12z70zz__evaluate_typesz00(obj_t
		BgL_envz00_4311, obj_t BgL_obj1840z00_4312, obj_t BgL_val1839z00_4313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 54 */
			{	/* Eval/evaluate_types.scm 54 */
				BgL_ev_varz00_bglt BgL_obj1840z00_6999;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1840z00_4312,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 54 */
						BgL_obj1840z00_6999 = ((BgL_ev_varz00_bglt) BgL_obj1840z00_4312);
					}
				else
					{
						obj_t BgL_auxz00_10422;

						BgL_auxz00_10422 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1710)),
							BGl_string4387z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_obj1840z00_4312);
						FAILURE(BgL_auxz00_10422, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_varz00_bglt) CREF(
								((obj_t) BgL_obj1840z00_6999)))->BgL_effz00) =
					((obj_t) BgL_val1839z00_4313), BUNSPEC);
			}
		}
	}



/* &ev_var-eff */
	obj_t BGl_z62ev_varzd2effzb0zz__evaluate_typesz00(obj_t BgL_envz00_4309,
		obj_t BgL_obj1838z00_4310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 54 */
			{	/* Eval/evaluate_types.scm 54 */
				BgL_ev_varz00_bglt BgL_obj1838z00_7002;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1838z00_4310,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 54 */
						BgL_obj1838z00_7002 = ((BgL_ev_varz00_bglt) BgL_obj1838z00_4310);
					}
				else
					{
						obj_t BgL_auxz00_10431;

						BgL_auxz00_10431 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1710)),
							BGl_string4388z00zz__evaluate_typesz00,
							BGl_string4137z00zz__evaluate_typesz00, BgL_obj1838z00_4310);
						FAILURE(BgL_auxz00_10431, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_varz00_bglt) CREF(
							((obj_t) BgL_obj1838z00_7002)))->BgL_effz00);
			}
		}
	}



/* ev_expr? */
	BGL_EXPORTED_DEF bool_t BGl_ev_exprzf3zf3zz__evaluate_typesz00(obj_t
		BgL_obj1834z00_405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1834z00_405,
				BGl_ev_exprz00zz__evaluate_typesz00);
		}
	}



/* &ev_expr? */
	obj_t BGl_z62ev_exprzf3z91zz__evaluate_typesz00(obj_t BgL_envz00_4302,
		obj_t BgL_obj1834z00_4303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1834z00_4303,
					BGl_ev_exprz00zz__evaluate_typesz00));
		}
	}



/* make-ev_expr */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_makezd2ev_exprzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{	/* Eval/evaluate_types.scm 50 */
				BgL_ev_exprz00_bglt BgL_new1826z00_3375;

				{	/* Eval/evaluate_types.scm 50 */
					BgL_ev_exprz00_bglt BgL_res3649z00_3380;

					{	/* Eval/evaluate_types.scm 50 */
						BgL_ev_exprz00_bglt BgL_new1830z00_3376;

						BgL_new1830z00_3376 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 50 */
							long BgL_arg3214z00_3377;

							BgL_arg3214z00_3377 =
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_exprz00zz__evaluate_typesz00);
							{	/* Eval/evaluate_types.scm 50 */
								BgL_objectz00_bglt BgL_objz00_3378;

								BgL_objz00_3378 = ((BgL_objectz00_bglt) BgL_new1830z00_3376);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3378, BgL_arg3214z00_3377);
						}}
						{	/* Eval/evaluate_types.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_10444;

							BgL_auxz00_10444 = ((BgL_objectz00_bglt) BgL_new1830z00_3376);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10444, BFALSE);
						}
						BgL_res3649z00_3380 = BgL_new1830z00_3376;
					}
					BgL_new1826z00_3375 = BgL_res3649z00_3380;
				}
				return BgL_new1826z00_3375;
			}
		}
	}



/* &make-ev_expr */
	BgL_ev_exprz00_bglt BGl_z62makezd2ev_exprzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			return BGl_makezd2ev_exprzd2zz__evaluate_typesz00();
		}
	}



/* fill-ev_expr! */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_fillzd2ev_exprz12zc0zz__evaluate_typesz00(BgL_ev_exprz00_bglt
		BgL_new1828z00_409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{	/* Eval/evaluate_types.scm 50 */

				return BgL_new1828z00_409;
			}
		}
	}



/* &fill-ev_expr! */
	BgL_ev_exprz00_bglt BGl_z62fillzd2ev_exprz12za2zz__evaluate_typesz00(obj_t
		BgL_envz00_4851, obj_t BgL_new1828z00_4852)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{	/* Eval/evaluate_types.scm 50 */
				BgL_ev_exprz00_bglt BgL_new1828z00_7005;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_new1828z00_4852,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 50 */
						BgL_new1828z00_7005 = ((BgL_ev_exprz00_bglt) BgL_new1828z00_4852);
					}
				else
					{
						obj_t BgL_auxz00_10451;

						BgL_auxz00_10451 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4243z00zz__evaluate_typesz00, BINT(((long) 1635)),
							BGl_string4389z00zz__evaluate_typesz00,
							BGl_string4131z00zz__evaluate_typesz00, BgL_new1828z00_4852);
						FAILURE(BgL_auxz00_10451, BFALSE, BFALSE);
					}
				{	/* Eval/evaluate_types.scm 50 */

					return BgL_new1828z00_7005;
				}
			}
		}
	}



/* %allocate-ev_expr */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_z52allocatezd2ev_exprz80zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{	/* Eval/evaluate_types.scm 50 */
				BgL_ev_exprz00_bglt BgL_new1830z00_7006;

				BgL_new1830z00_7006 =
					((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 50 */
					long BgL_arg3214z00_7007;

					BgL_arg3214z00_7007 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_exprz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 50 */
						BgL_objectz00_bglt BgL_objz00_7008;

						BgL_objz00_7008 = ((BgL_objectz00_bglt) BgL_new1830z00_7006);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_7008, BgL_arg3214z00_7007);
				}}
				{	/* Eval/evaluate_types.scm 50 */
					BgL_objectz00_bglt BgL_auxz00_10459;

					BgL_auxz00_10459 = ((BgL_objectz00_bglt) BgL_new1830z00_7006);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10459, BFALSE);
				}
				return BgL_new1830z00_7006;
			}
		}
	}



/* &%allocate-ev_expr */
	BgL_ev_exprz00_bglt BGl_z62z52allocatezd2ev_exprze2zz__evaluate_typesz00(obj_t
		BgL_envz00_4300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{	/* Eval/evaluate_types.scm 50 */
				BgL_ev_exprz00_bglt BgL_new1830z00_7009;

				BgL_new1830z00_7009 =
					((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 50 */
					long BgL_arg3214z00_7010;

					BgL_arg3214z00_7010 =
						BGl_classzd2numzd2zz__objectz00
						(BGl_ev_exprz00zz__evaluate_typesz00);
					{	/* Eval/evaluate_types.scm 50 */
						BgL_objectz00_bglt BgL_objz00_7011;

						BgL_objz00_7011 = ((BgL_objectz00_bglt) BgL_new1830z00_7009);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_7011, BgL_arg3214z00_7010);
				}}
				{	/* Eval/evaluate_types.scm 50 */
					BgL_objectz00_bglt BgL_auxz00_10466;

					BgL_auxz00_10466 = ((BgL_objectz00_bglt) BgL_new1830z00_7009);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_10466, BFALSE);
				}
				return BgL_new1830z00_7009;
			}
		}
	}



/* ev_expr-nil */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_ev_exprzd2nilzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			if (BGl_iszd2azf3z21zz__objectz00
				(BGl_z52thezd2ev_exprzd2nilz52zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_types.scm 50 */
					obj_t BgL_xz00_6143;

					BgL_xz00_6143 = BGl_z52thezd2ev_exprzd2nilz52zz__evaluate_typesz00;
					return ((BgL_ev_exprz00_bglt) BgL_xz00_6143);
				}
			else
				{	/* Eval/evaluate_types.scm 50 */
					BgL_ev_exprz00_bglt BgL_g1831z00_1671;

					{	/* Eval/evaluate_types.scm 50 */
						BgL_ev_exprz00_bglt BgL_res3651z00_3391;

						{	/* Eval/evaluate_types.scm 50 */
							BgL_ev_exprz00_bglt BgL_new1830z00_3387;

							BgL_new1830z00_3387 =
								((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_exprz00_bgl))));
							{	/* Eval/evaluate_types.scm 50 */
								long BgL_arg3214z00_3388;

								BgL_arg3214z00_3388 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_exprz00zz__evaluate_typesz00);
								{	/* Eval/evaluate_types.scm 50 */
									BgL_objectz00_bglt BgL_objz00_3389;

									BgL_objz00_3389 = ((BgL_objectz00_bglt) BgL_new1830z00_3387);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3389,
										BgL_arg3214z00_3388);
							}}
							{	/* Eval/evaluate_types.scm 50 */
								BgL_objectz00_bglt BgL_auxz00_10476;

								BgL_auxz00_10476 = ((BgL_objectz00_bglt) BgL_new1830z00_3387);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_10476, BFALSE);
							}
							BgL_res3651z00_3391 = BgL_new1830z00_3387;
						}
						BgL_g1831z00_1671 = BgL_res3651z00_3391;
					}
					BGl_z52thezd2ev_exprzd2nilz52zz__evaluate_typesz00 =
						((obj_t) BgL_g1831z00_1671);
					return BgL_g1831z00_1671;
				}
		}
	}



/* &ev_expr-nil */
	BgL_ev_exprz00_bglt BGl_z62ev_exprzd2nilzb0zz__evaluate_typesz00(obj_t
		BgL_envz00_4301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			return BGl_ev_exprzd2nilzd2zz__evaluate_typesz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc4390z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc4392z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc4394z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc4395z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc4396z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc4397z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc4398z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc4399z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc4400z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc4401z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc4402z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc4403z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc4404z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc4405z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc4406z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc4407z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc4408z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc4409z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc4410z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc4411z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc4412z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc4413z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc4414z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc4415z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc4416z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc4417z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc4418z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc4419z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc4420z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc4421z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc4422z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc4423z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc4424z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc4425z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc4426z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc4427z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4428z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4429z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc4430z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc4431z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4432z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4433z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc4434z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc4435z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc4436z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc4437z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc4438z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc4439z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_proc4440z00zz__evaluate_typesz00,
				BGl_string4391z00zz__evaluate_typesz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_proc4441z00zz__evaluate_typesz00,
				BGl_string4393z00zz__evaluate_typesz00);
		}
	}



/* &struct+object->objec2898 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2898ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4903, BgL_ev_exprz00_bglt BgL_oz00_4904, obj_t BgL_sz00_4905)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{
				BgL_ev_exprz00_bglt BgL_oz00_2249;
				obj_t BgL_sz00_2250;

				BgL_oz00_2249 = BgL_oz00_4904;
				BgL_sz00_2250 = BgL_sz00_4905;
				{	/* Eval/evaluate_types.scm 50 */
					obj_t BgL_arg3334z00_4080;

					BgL_arg3334z00_4080 = STRUCT_REF(BgL_sz00_2250, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 50 */
						BgL_objectz00_bglt BgL_auxz00_10533;

						BgL_auxz00_10533 = ((BgL_objectz00_bglt) BgL_oz00_2249);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10533, BgL_arg3334z00_4080);
				}}
				return ((BgL_objectz00_bglt) BgL_oz00_2249);
			}
		}
	}



/* &object->struct-ev_ex2896 */
	obj_t BGl_z62objectzd2ze3structzd2ev_ex2896z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4906, BgL_ev_exprz00_bglt BgL_obj1832z00_4907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{
				BgL_ev_exprz00_bglt BgL_obj1832z00_2244;

				BgL_obj1832z00_2244 = BgL_obj1832z00_4907;
				{	/* Eval/evaluate_types.scm 50 */
					obj_t BgL_res1833z00_4072;

					BgL_res1833z00_4072 =
						make_struct(BGl_symbol4130z00zz__evaluate_typesz00,
						(int) (((long) 1)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 50 */
						int BgL_auxz00_10539;

						BgL_auxz00_10539 = (int) (((long) 0));
						STRUCT_SET(BgL_res1833z00_4072, BgL_auxz00_10539, BFALSE);
					}
					return BgL_res1833z00_4072;
				}
			}
		}
	}



/* &struct+object->objec2894 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2894ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4908, BgL_ev_varz00_bglt BgL_oz00_4909, obj_t BgL_sz00_4910)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{
				BgL_ev_varz00_bglt BgL_oz00_2236;
				obj_t BgL_sz00_2237;

				BgL_oz00_2236 = BgL_oz00_4909;
				BgL_sz00_2237 = BgL_sz00_4910;
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_arg3333z00_4063;

					BgL_arg3333z00_4063 = STRUCT_REF(BgL_sz00_2237, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 52 */
						BgL_objectz00_bglt BgL_auxz00_10544;

						BgL_auxz00_10544 = ((BgL_objectz00_bglt) BgL_oz00_2236);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10544, BgL_arg3333z00_4063);
				}}
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_v1857z00_4064;

					BgL_v1857z00_4064 = STRUCT_REF(BgL_sz00_2237, (int) (((long) 1)));
					((((BgL_ev_varz00_bglt) CREF(
									((obj_t) BgL_oz00_2236)))->BgL_namez00) =
						((obj_t) BgL_v1857z00_4064), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_v1861z00_4065;

					BgL_v1861z00_4065 = STRUCT_REF(BgL_sz00_2237, (int) (((long) 2)));
					((((BgL_ev_varz00_bglt) CREF(
									((obj_t) BgL_oz00_2236)))->BgL_effz00) =
						((obj_t) BgL_v1861z00_4065), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2236);
			}
		}
	}



/* &object->struct-ev_va2892 */
	obj_t BGl_z62objectzd2ze3structzd2ev_va2892z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4911, BgL_ev_varz00_bglt BgL_obj1853z00_4912)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{
				BgL_ev_varz00_bglt BgL_obj1853z00_2229;

				BgL_obj1853z00_2229 = BgL_obj1853z00_4912;
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_res1854z00_2232;

					BgL_res1854z00_2232 =
						make_struct(BGl_symbol4136z00zz__evaluate_typesz00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 52 */
						int BgL_auxz00_10558;

						BgL_auxz00_10558 = (int) (((long) 0));
						STRUCT_SET(BgL_res1854z00_2232, BgL_auxz00_10558, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 52 */
						obj_t BgL_arg3331z00_2233;

						BgL_arg3331z00_2233 =
							(((BgL_ev_varz00_bglt) CREF(
									((obj_t) BgL_obj1853z00_2229)))->BgL_namez00);
						{	/* Eval/evaluate_types.scm 52 */
							int BgL_auxz00_10563;

							BgL_auxz00_10563 = (int) (((long) 1));
							STRUCT_SET(BgL_res1854z00_2232, BgL_auxz00_10563,
								BgL_arg3331z00_2233);
					}}
					{	/* Eval/evaluate_types.scm 52 */
						obj_t BgL_arg3332z00_2234;

						BgL_arg3332z00_2234 =
							(((BgL_ev_varz00_bglt) CREF(
									((obj_t) BgL_obj1853z00_2229)))->BgL_effz00);
						{	/* Eval/evaluate_types.scm 52 */
							int BgL_auxz00_10568;

							BgL_auxz00_10568 = (int) (((long) 2));
							STRUCT_SET(BgL_res1854z00_2232, BgL_auxz00_10568,
								BgL_arg3332z00_2234);
					}}
					return BgL_res1854z00_2232;
				}
			}
		}
	}



/* &struct+object->objec2890 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2890ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4913, BgL_ev_globalz00_bglt BgL_oz00_4914, obj_t BgL_sz00_4915)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_oz00_2220;
				obj_t BgL_sz00_2221;

				BgL_oz00_2220 = BgL_oz00_4914;
				BgL_sz00_2221 = BgL_sz00_4915;
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_arg3330z00_2224;

					BgL_arg3330z00_2224 = STRUCT_REF(BgL_sz00_2221, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_10573;

						BgL_auxz00_10573 = ((BgL_objectz00_bglt) BgL_oz00_2220);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10573, BgL_arg3330z00_2224);
				}}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1890z00_2225;

					BgL_v1890z00_2225 = STRUCT_REF(BgL_sz00_2221, (int) (((long) 1)));
					((((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_2220)))->BgL_locz00) =
						((obj_t) BgL_v1890z00_2225), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1894z00_2226;

					BgL_v1894z00_2226 = STRUCT_REF(BgL_sz00_2221, (int) (((long) 2)));
					((((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_2220)))->BgL_namez00) =
						((obj_t) BgL_v1894z00_2226), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1898z00_2227;

					BgL_v1898z00_2227 = STRUCT_REF(BgL_sz00_2221, (int) (((long) 3)));
					((((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_oz00_2220)))->BgL_modz00) =
						((obj_t) BgL_v1898z00_2227), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2220);
			}
		}
	}



/* &object->struct-ev_gl2888 */
	obj_t BGl_z62objectzd2ze3structzd2ev_gl2888z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4916, BgL_ev_globalz00_bglt BgL_obj1886z00_4917)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_obj1886z00_2212;

				BgL_obj1886z00_2212 = BgL_obj1886z00_4917;
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_res1887z00_2215;

					BgL_res1887z00_2215 =
						make_struct(BGl_symbol4142z00zz__evaluate_typesz00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 55 */
						int BgL_auxz00_10591;

						BgL_auxz00_10591 = (int) (((long) 0));
						STRUCT_SET(BgL_res1887z00_2215, BgL_auxz00_10591, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_arg3327z00_2216;

						BgL_arg3327z00_2216 =
							(((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_obj1886z00_2212)))->BgL_locz00);
						{	/* Eval/evaluate_types.scm 55 */
							int BgL_auxz00_10596;

							BgL_auxz00_10596 = (int) (((long) 1));
							STRUCT_SET(BgL_res1887z00_2215, BgL_auxz00_10596,
								BgL_arg3327z00_2216);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_arg3328z00_2217;

						BgL_arg3328z00_2217 =
							(((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_obj1886z00_2212)))->BgL_namez00);
						{	/* Eval/evaluate_types.scm 55 */
							int BgL_auxz00_10601;

							BgL_auxz00_10601 = (int) (((long) 2));
							STRUCT_SET(BgL_res1887z00_2215, BgL_auxz00_10601,
								BgL_arg3328z00_2217);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						obj_t BgL_arg3329z00_2218;

						BgL_arg3329z00_2218 =
							(((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_obj1886z00_2212)))->BgL_modz00);
						{	/* Eval/evaluate_types.scm 55 */
							int BgL_auxz00_10606;

							BgL_auxz00_10606 = (int) (((long) 3));
							STRUCT_SET(BgL_res1887z00_2215, BgL_auxz00_10606,
								BgL_arg3329z00_2218);
					}}
					return BgL_res1887z00_2215;
				}
			}
		}
	}



/* &struct+object->objec2886 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2886ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4918, BgL_ev_littz00_bglt BgL_oz00_4919, obj_t BgL_sz00_4920)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_oz00_2205;
				obj_t BgL_sz00_2206;

				BgL_oz00_2205 = BgL_oz00_4919;
				BgL_sz00_2206 = BgL_sz00_4920;
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_arg3326z00_4015;

					BgL_arg3326z00_4015 = STRUCT_REF(BgL_sz00_2206, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_10611;

						BgL_auxz00_10611 = ((BgL_objectz00_bglt) BgL_oz00_2205);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10611, BgL_arg3326z00_4015);
				}}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1917z00_4016;

					BgL_v1917z00_4016 = STRUCT_REF(BgL_sz00_2206, (int) (((long) 1)));
					((((BgL_ev_littz00_bglt) CREF(
									((obj_t) BgL_oz00_2205)))->BgL_valuez00) =
						((obj_t) BgL_v1917z00_4016), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2205);
			}
		}
	}



/* &object->struct-ev_li2884 */
	obj_t BGl_z62objectzd2ze3structzd2ev_li2884z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4921, BgL_ev_littz00_bglt BgL_obj1913z00_4922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_obj1913z00_2199;

				BgL_obj1913z00_2199 = BgL_obj1913z00_4922;
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_res1914z00_4002;

					BgL_res1914z00_4002 =
						make_struct(BGl_symbol4146z00zz__evaluate_typesz00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 60 */
						int BgL_auxz00_10621;

						BgL_auxz00_10621 = (int) (((long) 0));
						STRUCT_SET(BgL_res1914z00_4002, BgL_auxz00_10621, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 60 */
						obj_t BgL_arg3325z00_4003;

						BgL_arg3325z00_4003 =
							(((BgL_ev_littz00_bglt) CREF(
									((obj_t) BgL_obj1913z00_2199)))->BgL_valuez00);
						{	/* Eval/evaluate_types.scm 60 */
							int BgL_auxz00_10626;

							BgL_auxz00_10626 = (int) (((long) 1));
							STRUCT_SET(BgL_res1914z00_4002, BgL_auxz00_10626,
								BgL_arg3325z00_4003);
					}}
					return BgL_res1914z00_4002;
				}
			}
		}
	}



/* &struct+object->objec2882 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2882ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4923, BgL_ev_ifz00_bglt BgL_oz00_4924, obj_t BgL_sz00_4925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_oz00_2190;
				obj_t BgL_sz00_2191;

				BgL_oz00_2190 = BgL_oz00_4924;
				BgL_sz00_2191 = BgL_sz00_4925;
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_arg3324z00_2194;

					BgL_arg3324z00_2194 = STRUCT_REF(BgL_sz00_2191, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_10631;

						BgL_auxz00_10631 = ((BgL_objectz00_bglt) BgL_oz00_2190);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10631, BgL_arg3324z00_2194);
				}}
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_exprz00_bglt BgL_v1948z00_2195;

					BgL_v1948z00_2195 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2191, (int) (((long) 1))));
					((((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_oz00_2190)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_v1948z00_2195), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_exprz00_bglt BgL_v1952z00_2196;

					BgL_v1952z00_2196 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2191, (int) (((long) 2))));
					((((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_oz00_2190)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_v1952z00_2196), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_exprz00_bglt BgL_v1956z00_2197;

					BgL_v1956z00_2197 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2191, (int) (((long) 3))));
					((((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_oz00_2190)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v1956z00_2197), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2190);
			}
		}
	}



/* &object->struct-ev_if2880 */
	obj_t BGl_z62objectzd2ze3structzd2ev_if2880z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4926, BgL_ev_ifz00_bglt BgL_obj1944z00_4927)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_obj1944z00_2182;

				BgL_obj1944z00_2182 = BgL_obj1944z00_4927;
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_res1945z00_2185;

					BgL_res1945z00_2185 =
						make_struct(BGl_symbol4154z00zz__evaluate_typesz00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 62 */
						int BgL_auxz00_10652;

						BgL_auxz00_10652 = (int) (((long) 0));
						STRUCT_SET(BgL_res1945z00_2185, BgL_auxz00_10652, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_exprz00_bglt BgL_arg3321z00_2186;

						BgL_arg3321z00_2186 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_obj1944z00_2182)))->BgL_pz00);
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_oz00_3985;

							BgL_oz00_3985 = ((obj_t) BgL_arg3321z00_2186);
							{	/* Eval/evaluate_types.scm 62 */
								int BgL_auxz00_10658;

								BgL_auxz00_10658 = (int) (((long) 1));
								STRUCT_SET(BgL_res1945z00_2185, BgL_auxz00_10658,
									BgL_oz00_3985);
					}}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_exprz00_bglt BgL_arg3322z00_2187;

						BgL_arg3322z00_2187 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_obj1944z00_2182)))->BgL_tz00);
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_oz00_3989;

							BgL_oz00_3989 = ((obj_t) BgL_arg3322z00_2187);
							{	/* Eval/evaluate_types.scm 62 */
								int BgL_auxz00_10664;

								BgL_auxz00_10664 = (int) (((long) 2));
								STRUCT_SET(BgL_res1945z00_2185, BgL_auxz00_10664,
									BgL_oz00_3989);
					}}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_exprz00_bglt BgL_arg3323z00_2188;

						BgL_arg3323z00_2188 =
							(((BgL_ev_ifz00_bglt) CREF(
									((obj_t) BgL_obj1944z00_2182)))->BgL_ez00);
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_oz00_3993;

							BgL_oz00_3993 = ((obj_t) BgL_arg3323z00_2188);
							{	/* Eval/evaluate_types.scm 62 */
								int BgL_auxz00_10670;

								BgL_auxz00_10670 = (int) (((long) 3));
								STRUCT_SET(BgL_res1945z00_2185, BgL_auxz00_10670,
									BgL_oz00_3993);
					}}}
					return BgL_res1945z00_2185;
				}
			}
		}
	}



/* &struct+object->objec2878 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2878ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4928, BgL_ev_listz00_bglt BgL_oz00_4929, obj_t BgL_sz00_4930)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_oz00_2175;
				obj_t BgL_sz00_2176;

				BgL_oz00_2175 = BgL_oz00_4929;
				BgL_sz00_2176 = BgL_sz00_4930;
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_arg3320z00_3969;

					BgL_arg3320z00_3969 = STRUCT_REF(BgL_sz00_2176, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_10675;

						BgL_auxz00_10675 = ((BgL_objectz00_bglt) BgL_oz00_2175);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10675, BgL_arg3320z00_3969);
				}}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1975z00_3970;

					BgL_v1975z00_3970 = STRUCT_REF(BgL_sz00_2176, (int) (((long) 1)));
					((((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_oz00_2175)))->BgL_argsz00) =
						((obj_t) BgL_v1975z00_3970), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2175);
			}
		}
	}



/* &object->struct-ev_li2876 */
	obj_t BGl_z62objectzd2ze3structzd2ev_li2876z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4931, BgL_ev_listz00_bglt BgL_obj1971z00_4932)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_obj1971z00_2169;

				BgL_obj1971z00_2169 = BgL_obj1971z00_4932;
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_res1972z00_3956;

					BgL_res1972z00_3956 =
						make_struct(BGl_symbol4158z00zz__evaluate_typesz00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 66 */
						int BgL_auxz00_10685;

						BgL_auxz00_10685 = (int) (((long) 0));
						STRUCT_SET(BgL_res1972z00_3956, BgL_auxz00_10685, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 66 */
						obj_t BgL_arg3319z00_3957;

						BgL_arg3319z00_3957 =
							(((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_obj1971z00_2169)))->BgL_argsz00);
						{	/* Eval/evaluate_types.scm 66 */
							int BgL_auxz00_10690;

							BgL_auxz00_10690 = (int) (((long) 1));
							STRUCT_SET(BgL_res1972z00_3956, BgL_auxz00_10690,
								BgL_arg3319z00_3957);
					}}
					return BgL_res1972z00_3956;
				}
			}
		}
	}



/* &struct+object->objec2874 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2874ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4933, BgL_ev_orz00_bglt BgL_oz00_4934, obj_t BgL_sz00_4935)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_oz00_2162;
				obj_t BgL_sz00_2163;

				BgL_oz00_2162 = BgL_oz00_4934;
				BgL_sz00_2163 = BgL_sz00_4935;
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_arg3318z00_3950;

					BgL_arg3318z00_3950 = STRUCT_REF(BgL_sz00_2163, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_10695;

						BgL_auxz00_10695 = ((BgL_objectz00_bglt) BgL_oz00_2162);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10695, BgL_arg3318z00_3950);
				}}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1994z00_3951;

					BgL_v1994z00_3951 = STRUCT_REF(BgL_sz00_2163, (int) (((long) 1)));
					((((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_oz00_2162)))->BgL_argsz00) =
						((obj_t) BgL_v1994z00_3951), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2162);
			}
		}
	}



/* &object->struct-ev_or2872 */
	obj_t BGl_z62objectzd2ze3structzd2ev_or2872z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4936, BgL_ev_orz00_bglt BgL_obj1990z00_4937)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_obj1990z00_2156;

				BgL_obj1990z00_2156 = BgL_obj1990z00_4937;
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_res1991z00_3937;

					BgL_res1991z00_3937 =
						make_struct(BGl_symbol4160z00zz__evaluate_typesz00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 68 */
						int BgL_auxz00_10705;

						BgL_auxz00_10705 = (int) (((long) 0));
						STRUCT_SET(BgL_res1991z00_3937, BgL_auxz00_10705, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 68 */
						obj_t BgL_arg3317z00_3938;

						{	/* Eval/evaluate_types.scm 68 */
							BgL_ev_listz00_bglt BgL_obj1959z00_3946;

							BgL_obj1959z00_3946 = ((BgL_ev_listz00_bglt) BgL_obj1990z00_2156);
							BgL_arg3317z00_3938 =
								(((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_obj1959z00_3946)))->BgL_argsz00);
						}
						{	/* Eval/evaluate_types.scm 68 */
							int BgL_auxz00_10711;

							BgL_auxz00_10711 = (int) (((long) 1));
							STRUCT_SET(BgL_res1991z00_3937, BgL_auxz00_10711,
								BgL_arg3317z00_3938);
					}}
					return BgL_res1991z00_3937;
				}
			}
		}
	}



/* &struct+object->objec2870 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2870ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4938, BgL_ev_andz00_bglt BgL_oz00_4939, obj_t BgL_sz00_4940)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_oz00_2149;
				obj_t BgL_sz00_2150;

				BgL_oz00_2149 = BgL_oz00_4939;
				BgL_sz00_2150 = BgL_sz00_4940;
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_arg3316z00_3931;

					BgL_arg3316z00_3931 = STRUCT_REF(BgL_sz00_2150, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_10716;

						BgL_auxz00_10716 = ((BgL_objectz00_bglt) BgL_oz00_2149);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10716, BgL_arg3316z00_3931);
				}}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v2013z00_3932;

					BgL_v2013z00_3932 = STRUCT_REF(BgL_sz00_2150, (int) (((long) 1)));
					((((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_oz00_2149)))->BgL_argsz00) =
						((obj_t) BgL_v2013z00_3932), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2149);
			}
		}
	}



/* &object->struct-ev_an2868 */
	obj_t BGl_z62objectzd2ze3structzd2ev_an2868z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4941, BgL_ev_andz00_bglt BgL_obj2009z00_4942)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_obj2009z00_2143;

				BgL_obj2009z00_2143 = BgL_obj2009z00_4942;
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_res2010z00_3918;

					BgL_res2010z00_3918 =
						make_struct(BGl_symbol4162z00zz__evaluate_typesz00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 69 */
						int BgL_auxz00_10726;

						BgL_auxz00_10726 = (int) (((long) 0));
						STRUCT_SET(BgL_res2010z00_3918, BgL_auxz00_10726, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 69 */
						obj_t BgL_arg3315z00_3919;

						{	/* Eval/evaluate_types.scm 69 */
							BgL_ev_listz00_bglt BgL_obj1959z00_3927;

							BgL_obj1959z00_3927 = ((BgL_ev_listz00_bglt) BgL_obj2009z00_2143);
							BgL_arg3315z00_3919 =
								(((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_obj1959z00_3927)))->BgL_argsz00);
						}
						{	/* Eval/evaluate_types.scm 69 */
							int BgL_auxz00_10732;

							BgL_auxz00_10732 = (int) (((long) 1));
							STRUCT_SET(BgL_res2010z00_3918, BgL_auxz00_10732,
								BgL_arg3315z00_3919);
					}}
					return BgL_res2010z00_3918;
				}
			}
		}
	}



/* &struct+object->objec2866 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2866ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4943, BgL_ev_prog2z00_bglt BgL_oz00_4944, obj_t BgL_sz00_4945)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_oz00_2135;
				obj_t BgL_sz00_2136;

				BgL_oz00_2135 = BgL_oz00_4944;
				BgL_sz00_2136 = BgL_sz00_4945;
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_arg3314z00_3909;

					BgL_arg3314z00_3909 = STRUCT_REF(BgL_sz00_2136, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_10737;

						BgL_auxz00_10737 = ((BgL_objectz00_bglt) BgL_oz00_2135);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10737, BgL_arg3314z00_3909);
				}}
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_exprz00_bglt BgL_v2038z00_3910;

					BgL_v2038z00_3910 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2136, (int) (((long) 1))));
					((((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_oz00_2135)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_v2038z00_3910), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_exprz00_bglt BgL_v2042z00_3911;

					BgL_v2042z00_3911 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2136, (int) (((long) 2))));
					((((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_oz00_2135)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_v2042z00_3911), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2135);
			}
		}
	}



/* &object->struct-ev_pr2864 */
	obj_t BGl_z62objectzd2ze3structzd2ev_pr2864z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4946, BgL_ev_prog2z00_bglt BgL_obj2034z00_4947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_obj2034z00_2128;

				BgL_obj2034z00_2128 = BgL_obj2034z00_4947;
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_res2035z00_2131;

					BgL_res2035z00_2131 =
						make_struct(BGl_symbol4168z00zz__evaluate_typesz00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 70 */
						int BgL_auxz00_10753;

						BgL_auxz00_10753 = (int) (((long) 0));
						STRUCT_SET(BgL_res2035z00_2131, BgL_auxz00_10753, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_exprz00_bglt BgL_arg3312z00_2132;

						BgL_arg3312z00_2132 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_obj2034z00_2128)))->BgL_e1z00);
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_oz00_3904;

							BgL_oz00_3904 = ((obj_t) BgL_arg3312z00_2132);
							{	/* Eval/evaluate_types.scm 70 */
								int BgL_auxz00_10759;

								BgL_auxz00_10759 = (int) (((long) 1));
								STRUCT_SET(BgL_res2035z00_2131, BgL_auxz00_10759,
									BgL_oz00_3904);
					}}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_exprz00_bglt BgL_arg3313z00_2133;

						BgL_arg3313z00_2133 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_obj2034z00_2128)))->BgL_e2z00);
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_oz00_3908;

							BgL_oz00_3908 = ((obj_t) BgL_arg3313z00_2133);
							{	/* Eval/evaluate_types.scm 70 */
								int BgL_auxz00_10765;

								BgL_auxz00_10765 = (int) (((long) 2));
								STRUCT_SET(BgL_res2035z00_2131, BgL_auxz00_10765,
									BgL_oz00_3908);
					}}}
					return BgL_res2035z00_2131;
				}
			}
		}
	}



/* &struct+object->objec2862 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2862ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4948, BgL_ev_hookz00_bglt BgL_oz00_4949, obj_t BgL_sz00_4950)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_oz00_2121;
				obj_t BgL_sz00_2122;

				BgL_oz00_2121 = BgL_oz00_4949;
				BgL_sz00_2122 = BgL_sz00_4950;
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_arg3311z00_3888;

					BgL_arg3311z00_3888 = STRUCT_REF(BgL_sz00_2122, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_10770;

						BgL_auxz00_10770 = ((BgL_objectz00_bglt) BgL_oz00_2121);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10770, BgL_arg3311z00_3888);
				}}
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_exprz00_bglt BgL_v2061z00_3889;

					BgL_v2061z00_3889 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2122, (int) (((long) 1))));
					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_oz00_2121)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v2061z00_3889), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2121);
			}
		}
	}



/* &object->struct-ev_ho2859 */
	obj_t BGl_z62objectzd2ze3structzd2ev_ho2859z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4951, BgL_ev_hookz00_bglt BgL_obj2057z00_4952)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_obj2057z00_2115;

				BgL_obj2057z00_2115 = BgL_obj2057z00_4952;
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_res2058z00_3875;

					BgL_res2058z00_3875 =
						make_struct(BGl_symbol4170z00zz__evaluate_typesz00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 73 */
						int BgL_auxz00_10781;

						BgL_auxz00_10781 = (int) (((long) 0));
						STRUCT_SET(BgL_res2058z00_3875, BgL_auxz00_10781, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_exprz00_bglt BgL_arg3310z00_3876;

						BgL_arg3310z00_3876 =
							(((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_obj2057z00_2115)))->BgL_ez00);
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL_oz00_3887;

							BgL_oz00_3887 = ((obj_t) BgL_arg3310z00_3876);
							{	/* Eval/evaluate_types.scm 73 */
								int BgL_auxz00_10787;

								BgL_auxz00_10787 = (int) (((long) 1));
								STRUCT_SET(BgL_res2058z00_3875, BgL_auxz00_10787,
									BgL_oz00_3887);
					}}}
					return BgL_res2058z00_3875;
				}
			}
		}
	}



/* &struct+object->objec2857 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2857ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4953, BgL_ev_trapz00_bglt BgL_oz00_4954, obj_t BgL_sz00_4955)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_oz00_2108;
				obj_t BgL_sz00_2109;

				BgL_oz00_2108 = BgL_oz00_4954;
				BgL_sz00_2109 = BgL_sz00_4955;
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_arg3309z00_3869;

					BgL_arg3309z00_3869 = STRUCT_REF(BgL_sz00_2109, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_10792;

						BgL_auxz00_10792 = ((BgL_objectz00_bglt) BgL_oz00_2108);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10792, BgL_arg3309z00_3869);
				}}
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_exprz00_bglt BgL_v2080z00_3870;

					BgL_v2080z00_3870 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2109, (int) (((long) 1))));
					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_oz00_2108)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v2080z00_3870), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2108);
			}
		}
	}



/* &object->struct-ev_tr2855 */
	obj_t BGl_z62objectzd2ze3structzd2ev_tr2855z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4956, BgL_ev_trapz00_bglt BgL_obj2076z00_4957)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_obj2076z00_2102;

				BgL_obj2076z00_2102 = BgL_obj2076z00_4957;
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_res2077z00_3856;

					BgL_res2077z00_3856 =
						make_struct(BGl_symbol4172z00zz__evaluate_typesz00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 75 */
						int BgL_auxz00_10803;

						BgL_auxz00_10803 = (int) (((long) 0));
						STRUCT_SET(BgL_res2077z00_3856, BgL_auxz00_10803, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_exprz00_bglt BgL_arg3308z00_3857;

						{	/* Eval/evaluate_types.scm 75 */
							BgL_ev_hookz00_bglt BgL_obj2045z00_3865;

							BgL_obj2045z00_3865 = ((BgL_ev_hookz00_bglt) BgL_obj2076z00_2102);
							BgL_arg3308z00_3857 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj2045z00_3865)))->BgL_ez00);
						}
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL_oz00_3868;

							BgL_oz00_3868 = ((obj_t) BgL_arg3308z00_3857);
							{	/* Eval/evaluate_types.scm 75 */
								int BgL_auxz00_10810;

								BgL_auxz00_10810 = (int) (((long) 1));
								STRUCT_SET(BgL_res2077z00_3856, BgL_auxz00_10810,
									BgL_oz00_3868);
					}}}
					return BgL_res2077z00_3856;
				}
			}
		}
	}



/* &struct+object->objec2853 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2853ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4958, BgL_ev_setlocalz00_bglt BgL_oz00_4959, obj_t BgL_sz00_4960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_2094;
				obj_t BgL_sz00_2095;

				BgL_oz00_2094 = BgL_oz00_4959;
				BgL_sz00_2095 = BgL_sz00_4960;
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_arg3307z00_3847;

					BgL_arg3307z00_3847 = STRUCT_REF(BgL_sz00_2095, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_10815;

						BgL_auxz00_10815 = ((BgL_objectz00_bglt) BgL_oz00_2094);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10815, BgL_arg3307z00_3847);
				}}
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_exprz00_bglt BgL_v2105z00_3848;

					BgL_v2105z00_3848 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2095, (int) (((long) 1))));
					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_oz00_2094)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v2105z00_3848), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_varz00_bglt BgL_v2109z00_3849;

					BgL_v2109z00_3849 =
						((BgL_ev_varz00_bglt)
						STRUCT_REF(BgL_sz00_2095, (int) (((long) 2))));
					((((BgL_ev_setlocalz00_bglt) CREF(
									((obj_t) BgL_oz00_2094)))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v2109z00_3849), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2094);
			}
		}
	}



/* &object->struct-ev_se2851 */
	obj_t BGl_z62objectzd2ze3structzd2ev_se2851z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4961, BgL_ev_setlocalz00_bglt BgL_obj2101z00_4962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_obj2101z00_2087;

				BgL_obj2101z00_2087 = BgL_obj2101z00_4962;
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_res2102z00_2090;

					BgL_res2102z00_2090 =
						make_struct(BGl_symbol4176z00zz__evaluate_typesz00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 76 */
						int BgL_auxz00_10831;

						BgL_auxz00_10831 = (int) (((long) 0));
						STRUCT_SET(BgL_res2102z00_2090, BgL_auxz00_10831, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_exprz00_bglt BgL_arg3305z00_2091;

						{	/* Eval/evaluate_types.scm 76 */
							BgL_ev_hookz00_bglt BgL_obj2045z00_3839;

							BgL_obj2045z00_3839 = ((BgL_ev_hookz00_bglt) BgL_obj2101z00_2087);
							BgL_arg3305z00_2091 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj2045z00_3839)))->BgL_ez00);
						}
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_oz00_3842;

							BgL_oz00_3842 = ((obj_t) BgL_arg3305z00_2091);
							{	/* Eval/evaluate_types.scm 76 */
								int BgL_auxz00_10838;

								BgL_auxz00_10838 = (int) (((long) 1));
								STRUCT_SET(BgL_res2102z00_2090, BgL_auxz00_10838,
									BgL_oz00_3842);
					}}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_varz00_bglt BgL_arg3306z00_2092;

						BgL_arg3306z00_2092 =
							(((BgL_ev_setlocalz00_bglt) CREF(
									((obj_t) BgL_obj2101z00_2087)))->BgL_vz00);
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_oz00_3846;

							BgL_oz00_3846 = ((obj_t) BgL_arg3306z00_2092);
							{	/* Eval/evaluate_types.scm 76 */
								int BgL_auxz00_10844;

								BgL_auxz00_10844 = (int) (((long) 2));
								STRUCT_SET(BgL_res2102z00_2090, BgL_auxz00_10844,
									BgL_oz00_3846);
					}}}
					return BgL_res2102z00_2090;
				}
			}
		}
	}



/* &struct+object->objec2849 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2849ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4963, BgL_ev_setglobalz00_bglt BgL_oz00_4964,
		obj_t BgL_sz00_4965)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_oz00_2077;
				obj_t BgL_sz00_2078;

				BgL_oz00_2077 = BgL_oz00_4964;
				BgL_sz00_2078 = BgL_sz00_4965;
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_arg3304z00_2081;

					BgL_arg3304z00_2081 = STRUCT_REF(BgL_sz00_2078, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_10849;

						BgL_auxz00_10849 = ((BgL_objectz00_bglt) BgL_oz00_2077);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10849, BgL_arg3304z00_2081);
				}}
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_exprz00_bglt BgL_v2144z00_2082;

					BgL_v2144z00_2082 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2078, (int) (((long) 1))));
					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_oz00_2077)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v2144z00_2082), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v2148z00_2083;

					BgL_v2148z00_2083 = STRUCT_REF(BgL_sz00_2078, (int) (((long) 2)));
					((((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_oz00_2077)))->BgL_locz00) =
						((obj_t) BgL_v2148z00_2083), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v2152z00_2084;

					BgL_v2152z00_2084 = STRUCT_REF(BgL_sz00_2078, (int) (((long) 3)));
					((((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_oz00_2077)))->BgL_namez00) =
						((obj_t) BgL_v2152z00_2084), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v2156z00_2085;

					BgL_v2156z00_2085 = STRUCT_REF(BgL_sz00_2078, (int) (((long) 4)));
					((((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_oz00_2077)))->BgL_modz00) =
						((obj_t) BgL_v2156z00_2085), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2077);
			}
		}
	}



/* &object->struct-ev_se2847 */
	obj_t BGl_z62objectzd2ze3structzd2ev_se2847z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4966, BgL_ev_setglobalz00_bglt BgL_obj2140z00_4967)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_obj2140z00_2068;

				BgL_obj2140z00_2068 = BgL_obj2140z00_4967;
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_res2141z00_2071;

					BgL_res2141z00_2071 =
						make_struct(BGl_symbol4178z00zz__evaluate_typesz00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 78 */
						int BgL_auxz00_10872;

						BgL_auxz00_10872 = (int) (((long) 0));
						STRUCT_SET(BgL_res2141z00_2071, BgL_auxz00_10872, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_exprz00_bglt BgL_arg3300z00_2072;

						{	/* Eval/evaluate_types.scm 78 */
							BgL_ev_hookz00_bglt BgL_obj2045z00_3806;

							BgL_obj2045z00_3806 = ((BgL_ev_hookz00_bglt) BgL_obj2140z00_2068);
							BgL_arg3300z00_2072 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj2045z00_3806)))->BgL_ez00);
						}
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL_oz00_3809;

							BgL_oz00_3809 = ((obj_t) BgL_arg3300z00_2072);
							{	/* Eval/evaluate_types.scm 78 */
								int BgL_auxz00_10879;

								BgL_auxz00_10879 = (int) (((long) 1));
								STRUCT_SET(BgL_res2141z00_2071, BgL_auxz00_10879,
									BgL_oz00_3809);
					}}}
					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_arg3301z00_2073;

						BgL_arg3301z00_2073 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_obj2140z00_2068)))->BgL_locz00);
						{	/* Eval/evaluate_types.scm 78 */
							int BgL_auxz00_10884;

							BgL_auxz00_10884 = (int) (((long) 2));
							STRUCT_SET(BgL_res2141z00_2071, BgL_auxz00_10884,
								BgL_arg3301z00_2073);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_arg3302z00_2074;

						BgL_arg3302z00_2074 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_obj2140z00_2068)))->BgL_namez00);
						{	/* Eval/evaluate_types.scm 78 */
							int BgL_auxz00_10889;

							BgL_auxz00_10889 = (int) (((long) 3));
							STRUCT_SET(BgL_res2141z00_2071, BgL_auxz00_10889,
								BgL_arg3302z00_2074);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_arg3303z00_2075;

						BgL_arg3303z00_2075 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_obj2140z00_2068)))->BgL_modz00);
						{	/* Eval/evaluate_types.scm 78 */
							int BgL_auxz00_10894;

							BgL_auxz00_10894 = (int) (((long) 4));
							STRUCT_SET(BgL_res2141z00_2071, BgL_auxz00_10894,
								BgL_arg3303z00_2075);
					}}
					return BgL_res2141z00_2071;
				}
			}
		}
	}



/* &struct+object->objec2845 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2845ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4968, BgL_ev_defglobalz00_bglt BgL_oz00_4969,
		obj_t BgL_sz00_4970)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_oz00_2058;
				obj_t BgL_sz00_2059;

				BgL_oz00_2058 = BgL_oz00_4969;
				BgL_sz00_2059 = BgL_sz00_4970;
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_arg3299z00_2062;

					BgL_arg3299z00_2062 = STRUCT_REF(BgL_sz00_2059, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_10899;

						BgL_auxz00_10899 = ((BgL_objectz00_bglt) BgL_oz00_2058);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10899, BgL_arg3299z00_2062);
				}}
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_exprz00_bglt BgL_v2191z00_2063;

					BgL_v2191z00_2063 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2059, (int) (((long) 1))));
					((((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_oz00_2058)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v2191z00_2063), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v2195z00_2064;

					BgL_v2195z00_2064 = STRUCT_REF(BgL_sz00_2059, (int) (((long) 2)));
					((((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_oz00_2058)))->BgL_locz00) =
						((obj_t) BgL_v2195z00_2064), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v2199z00_2065;

					BgL_v2199z00_2065 = STRUCT_REF(BgL_sz00_2059, (int) (((long) 3)));
					((((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_oz00_2058)))->BgL_namez00) =
						((obj_t) BgL_v2199z00_2065), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v2203z00_2066;

					BgL_v2203z00_2066 = STRUCT_REF(BgL_sz00_2059, (int) (((long) 4)));
					((((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_oz00_2058)))->BgL_modz00) =
						((obj_t) BgL_v2203z00_2066), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2058);
			}
		}
	}



/* &object->struct-ev_de2843 */
	obj_t BGl_z62objectzd2ze3structzd2ev_de2843z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4971, BgL_ev_defglobalz00_bglt BgL_obj2187z00_4972)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_obj2187z00_2049;

				BgL_obj2187z00_2049 = BgL_obj2187z00_4972;
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_res2188z00_2052;

					BgL_res2188z00_2052 =
						make_struct(BGl_symbol4180z00zz__evaluate_typesz00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 82 */
						int BgL_auxz00_10922;

						BgL_auxz00_10922 = (int) (((long) 0));
						STRUCT_SET(BgL_res2188z00_2052, BgL_auxz00_10922, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_exprz00_bglt BgL_arg3295z00_2053;

						{	/* Eval/evaluate_types.scm 82 */
							BgL_ev_hookz00_bglt BgL_obj2045z00_3773;

							BgL_obj2045z00_3773 = ((BgL_ev_hookz00_bglt) BgL_obj2187z00_2049);
							BgL_arg3295z00_2053 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj2045z00_3773)))->BgL_ez00);
						}
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL_oz00_3776;

							BgL_oz00_3776 = ((obj_t) BgL_arg3295z00_2053);
							{	/* Eval/evaluate_types.scm 82 */
								int BgL_auxz00_10929;

								BgL_auxz00_10929 = (int) (((long) 1));
								STRUCT_SET(BgL_res2188z00_2052, BgL_auxz00_10929,
									BgL_oz00_3776);
					}}}
					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_arg3296z00_2054;

						{	/* Eval/evaluate_types.scm 82 */
							BgL_ev_setglobalz00_bglt BgL_obj2115z00_3777;

							BgL_obj2115z00_3777 =
								((BgL_ev_setglobalz00_bglt) BgL_obj2187z00_2049);
							BgL_arg3296z00_2054 =
								(((BgL_ev_setglobalz00_bglt) CREF(
										((obj_t) BgL_obj2115z00_3777)))->BgL_locz00);
						}
						{	/* Eval/evaluate_types.scm 82 */
							int BgL_auxz00_10935;

							BgL_auxz00_10935 = (int) (((long) 2));
							STRUCT_SET(BgL_res2188z00_2052, BgL_auxz00_10935,
								BgL_arg3296z00_2054);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_arg3297z00_2055;

						{	/* Eval/evaluate_types.scm 82 */
							BgL_ev_setglobalz00_bglt BgL_obj2116z00_3781;

							BgL_obj2116z00_3781 =
								((BgL_ev_setglobalz00_bglt) BgL_obj2187z00_2049);
							BgL_arg3297z00_2055 =
								(((BgL_ev_setglobalz00_bglt) CREF(
										((obj_t) BgL_obj2116z00_3781)))->BgL_namez00);
						}
						{	/* Eval/evaluate_types.scm 82 */
							int BgL_auxz00_10941;

							BgL_auxz00_10941 = (int) (((long) 3));
							STRUCT_SET(BgL_res2188z00_2052, BgL_auxz00_10941,
								BgL_arg3297z00_2055);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_arg3298z00_2056;

						{	/* Eval/evaluate_types.scm 82 */
							BgL_ev_setglobalz00_bglt BgL_obj2119z00_3785;

							BgL_obj2119z00_3785 =
								((BgL_ev_setglobalz00_bglt) BgL_obj2187z00_2049);
							BgL_arg3298z00_2056 =
								(((BgL_ev_setglobalz00_bglt) CREF(
										((obj_t) BgL_obj2119z00_3785)))->BgL_modz00);
						}
						{	/* Eval/evaluate_types.scm 82 */
							int BgL_auxz00_10947;

							BgL_auxz00_10947 = (int) (((long) 4));
							STRUCT_SET(BgL_res2188z00_2052, BgL_auxz00_10947,
								BgL_arg3298z00_2056);
					}}
					return BgL_res2188z00_2052;
				}
			}
		}
	}



/* &struct+object->objec2841 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2841ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4973, BgL_ev_bindzd2exitzd2_bglt BgL_oz00_4974,
		obj_t BgL_sz00_4975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_2041;
				obj_t BgL_sz00_2042;

				BgL_oz00_2041 = BgL_oz00_4974;
				BgL_sz00_2042 = BgL_sz00_4975;
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_arg3294z00_3757;

					BgL_arg3294z00_3757 = STRUCT_REF(BgL_sz00_2042, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_10952;

						BgL_auxz00_10952 = ((BgL_objectz00_bglt) BgL_oz00_2041);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10952, BgL_arg3294z00_3757);
				}}
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_varz00_bglt BgL_v2228z00_3758;

					BgL_v2228z00_3758 =
						((BgL_ev_varz00_bglt)
						STRUCT_REF(BgL_sz00_2042, (int) (((long) 1))));
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_oz00_2041)))->BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_v2228z00_3758), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_exprz00_bglt BgL_v2232z00_3759;

					BgL_v2232z00_3759 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2042, (int) (((long) 2))));
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_oz00_2041)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2232z00_3759), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2041);
			}
		}
	}



/* &object->struct-ev_bi2839 */
	obj_t BGl_z62objectzd2ze3structzd2ev_bi2839z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4976, BgL_ev_bindzd2exitzd2_bglt BgL_obj2224z00_4977)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2224z00_2034;

				BgL_obj2224z00_2034 = BgL_obj2224z00_4977;
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_res2225z00_2037;

					BgL_res2225z00_2037 =
						make_struct(BGl_symbol4186z00zz__evaluate_typesz00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 83 */
						int BgL_auxz00_10968;

						BgL_auxz00_10968 = (int) (((long) 0));
						STRUCT_SET(BgL_res2225z00_2037, BgL_auxz00_10968, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_varz00_bglt BgL_arg3292z00_2038;

						BgL_arg3292z00_2038 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_obj2224z00_2034)))->BgL_varz00);
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_oz00_3752;

							BgL_oz00_3752 = ((obj_t) BgL_arg3292z00_2038);
							{	/* Eval/evaluate_types.scm 83 */
								int BgL_auxz00_10974;

								BgL_auxz00_10974 = (int) (((long) 1));
								STRUCT_SET(BgL_res2225z00_2037, BgL_auxz00_10974,
									BgL_oz00_3752);
					}}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_exprz00_bglt BgL_arg3293z00_2039;

						BgL_arg3293z00_2039 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_obj2224z00_2034)))->BgL_bodyz00);
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_oz00_3756;

							BgL_oz00_3756 = ((obj_t) BgL_arg3293z00_2039);
							{	/* Eval/evaluate_types.scm 83 */
								int BgL_auxz00_10980;

								BgL_auxz00_10980 = (int) (((long) 2));
								STRUCT_SET(BgL_res2225z00_2037, BgL_auxz00_10980,
									BgL_oz00_3756);
					}}}
					return BgL_res2225z00_2037;
				}
			}
		}
	}



/* &struct+object->objec2837 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2837ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4978, BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_4979,
		obj_t BgL_sz00_4980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_2026;
				obj_t BgL_sz00_2027;

				BgL_oz00_2026 = BgL_oz00_4979;
				BgL_sz00_2027 = BgL_sz00_4980;
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_arg3291z00_3733;

					BgL_arg3291z00_3733 = STRUCT_REF(BgL_sz00_2027, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_10985;

						BgL_auxz00_10985 = ((BgL_objectz00_bglt) BgL_oz00_2026);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10985, BgL_arg3291z00_3733);
				}}
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_exprz00_bglt BgL_v2257z00_3734;

					BgL_v2257z00_3734 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2027, (int) (((long) 1))));
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_oz00_2026)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_v2257z00_3734), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_exprz00_bglt BgL_v2261z00_3735;

					BgL_v2261z00_3735 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2027, (int) (((long) 2))));
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_oz00_2026)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2261z00_3735), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2026);
			}
		}
	}



/* &object->struct-ev_un2835 */
	obj_t BGl_z62objectzd2ze3structzd2ev_un2835z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4981, BgL_ev_unwindzd2protectzd2_bglt BgL_obj2253z00_4982)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2253z00_2019;

				BgL_obj2253z00_2019 = BgL_obj2253z00_4982;
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_res2254z00_2022;

					BgL_res2254z00_2022 =
						make_struct(BGl_symbol4188z00zz__evaluate_typesz00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 86 */
						int BgL_auxz00_11001;

						BgL_auxz00_11001 = (int) (((long) 0));
						STRUCT_SET(BgL_res2254z00_2022, BgL_auxz00_11001, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_exprz00_bglt BgL_arg3289z00_2023;

						BgL_arg3289z00_2023 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_obj2253z00_2019)))->BgL_ez00);
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_oz00_3728;

							BgL_oz00_3728 = ((obj_t) BgL_arg3289z00_2023);
							{	/* Eval/evaluate_types.scm 86 */
								int BgL_auxz00_11007;

								BgL_auxz00_11007 = (int) (((long) 1));
								STRUCT_SET(BgL_res2254z00_2022, BgL_auxz00_11007,
									BgL_oz00_3728);
					}}}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_exprz00_bglt BgL_arg3290z00_2024;

						BgL_arg3290z00_2024 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_obj2253z00_2019)))->BgL_bodyz00);
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_oz00_3732;

							BgL_oz00_3732 = ((obj_t) BgL_arg3290z00_2024);
							{	/* Eval/evaluate_types.scm 86 */
								int BgL_auxz00_11013;

								BgL_auxz00_11013 = (int) (((long) 2));
								STRUCT_SET(BgL_res2254z00_2022, BgL_auxz00_11013,
									BgL_oz00_3732);
					}}}
					return BgL_res2254z00_2022;
				}
			}
		}
	}



/* &struct+object->objec2833 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2833ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4983, BgL_ev_withzd2handlerzd2_bglt BgL_oz00_4984,
		obj_t BgL_sz00_4985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_2011;
				obj_t BgL_sz00_2012;

				BgL_oz00_2011 = BgL_oz00_4984;
				BgL_sz00_2012 = BgL_sz00_4985;
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_arg3288z00_3709;

					BgL_arg3288z00_3709 = STRUCT_REF(BgL_sz00_2012, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_11018;

						BgL_auxz00_11018 = ((BgL_objectz00_bglt) BgL_oz00_2011);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11018, BgL_arg3288z00_3709);
				}}
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_exprz00_bglt BgL_v2286z00_3710;

					BgL_v2286z00_3710 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2012, (int) (((long) 1))));
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_oz00_2011)))->BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_v2286z00_3710), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_exprz00_bglt BgL_v2290z00_3711;

					BgL_v2290z00_3711 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_2012, (int) (((long) 2))));
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_oz00_2011)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2290z00_3711), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_2011);
			}
		}
	}



/* &object->struct-ev_wi2831 */
	obj_t BGl_z62objectzd2ze3structzd2ev_wi2831z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4986, BgL_ev_withzd2handlerzd2_bglt BgL_obj2282z00_4987)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2282z00_2004;

				BgL_obj2282z00_2004 = BgL_obj2282z00_4987;
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_res2283z00_2007;

					BgL_res2283z00_2007 =
						make_struct(BGl_symbol4192z00zz__evaluate_typesz00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 89 */
						int BgL_auxz00_11034;

						BgL_auxz00_11034 = (int) (((long) 0));
						STRUCT_SET(BgL_res2283z00_2007, BgL_auxz00_11034, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_exprz00_bglt BgL_arg3286z00_2008;

						BgL_arg3286z00_2008 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_obj2282z00_2004)))->BgL_handlerz00);
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_oz00_3704;

							BgL_oz00_3704 = ((obj_t) BgL_arg3286z00_2008);
							{	/* Eval/evaluate_types.scm 89 */
								int BgL_auxz00_11040;

								BgL_auxz00_11040 = (int) (((long) 1));
								STRUCT_SET(BgL_res2283z00_2007, BgL_auxz00_11040,
									BgL_oz00_3704);
					}}}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_exprz00_bglt BgL_arg3287z00_2009;

						BgL_arg3287z00_2009 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_obj2282z00_2004)))->BgL_bodyz00);
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_oz00_3708;

							BgL_oz00_3708 = ((obj_t) BgL_arg3287z00_2009);
							{	/* Eval/evaluate_types.scm 89 */
								int BgL_auxz00_11046;

								BgL_auxz00_11046 = (int) (((long) 2));
								STRUCT_SET(BgL_res2283z00_2007, BgL_auxz00_11046,
									BgL_oz00_3708);
					}}}
					return BgL_res2283z00_2007;
				}
			}
		}
	}



/* &struct+object->objec2829 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2829ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4988, BgL_ev_binderz00_bglt BgL_oz00_4989, obj_t BgL_sz00_4990)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_binderz00_bglt BgL_oz00_1995;
				obj_t BgL_sz00_1996;

				BgL_oz00_1995 = BgL_oz00_4989;
				BgL_sz00_1996 = BgL_sz00_4990;
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_arg3285z00_1999;

					BgL_arg3285z00_1999 = STRUCT_REF(BgL_sz00_1996, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_11051;

						BgL_auxz00_11051 = ((BgL_objectz00_bglt) BgL_oz00_1995);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11051, BgL_arg3285z00_1999);
				}}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v2321z00_2000;

					BgL_v2321z00_2000 = STRUCT_REF(BgL_sz00_1996, (int) (((long) 1)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1995)))->BgL_varsz00) =
						((obj_t) BgL_v2321z00_2000), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v2325z00_2001;

					BgL_v2325z00_2001 = STRUCT_REF(BgL_sz00_1996, (int) (((long) 2)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1995)))->BgL_valsz00) =
						((obj_t) BgL_v2325z00_2001), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_exprz00_bglt BgL_v2329z00_2002;

					BgL_v2329z00_2002 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1996, (int) (((long) 3))));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1995)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2329z00_2002), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1995);
			}
		}
	}



/* &object->struct-ev_bi2827 */
	obj_t BGl_z62objectzd2ze3structzd2ev_bi2827z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4991, BgL_ev_binderz00_bglt BgL_obj2317z00_4992)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_binderz00_bglt BgL_obj2317z00_1987;

				BgL_obj2317z00_1987 = BgL_obj2317z00_4992;
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_res2318z00_1990;

					BgL_res2318z00_1990 =
						make_struct(BGl_symbol4198z00zz__evaluate_typesz00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 92 */
						int BgL_auxz00_11070;

						BgL_auxz00_11070 = (int) (((long) 0));
						STRUCT_SET(BgL_res2318z00_1990, BgL_auxz00_11070, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_arg3282z00_1991;

						BgL_arg3282z00_1991 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2317z00_1987)))->BgL_varsz00);
						{	/* Eval/evaluate_types.scm 92 */
							int BgL_auxz00_11075;

							BgL_auxz00_11075 = (int) (((long) 1));
							STRUCT_SET(BgL_res2318z00_1990, BgL_auxz00_11075,
								BgL_arg3282z00_1991);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_arg3283z00_1992;

						BgL_arg3283z00_1992 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2317z00_1987)))->BgL_valsz00);
						{	/* Eval/evaluate_types.scm 92 */
							int BgL_auxz00_11080;

							BgL_auxz00_11080 = (int) (((long) 2));
							STRUCT_SET(BgL_res2318z00_1990, BgL_auxz00_11080,
								BgL_arg3283z00_1992);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_exprz00_bglt BgL_arg3284z00_1993;

						BgL_arg3284z00_1993 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2317z00_1987)))->BgL_bodyz00);
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_oz00_3685;

							BgL_oz00_3685 = ((obj_t) BgL_arg3284z00_1993);
							{	/* Eval/evaluate_types.scm 92 */
								int BgL_auxz00_11086;

								BgL_auxz00_11086 = (int) (((long) 3));
								STRUCT_SET(BgL_res2318z00_1990, BgL_auxz00_11086,
									BgL_oz00_3685);
					}}}
					return BgL_res2318z00_1990;
				}
			}
		}
	}



/* &struct+object->objec2825 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2825ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4993, BgL_ev_letz00_bglt BgL_oz00_4994, obj_t BgL_sz00_4995)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				BgL_ev_letz00_bglt BgL_oz00_1977;
				obj_t BgL_sz00_1978;

				BgL_oz00_1977 = BgL_oz00_4994;
				BgL_sz00_1978 = BgL_sz00_4995;
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_arg3281z00_1981;

					BgL_arg3281z00_1981 = STRUCT_REF(BgL_sz00_1978, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 96 */
						BgL_objectz00_bglt BgL_auxz00_11091;

						BgL_auxz00_11091 = ((BgL_objectz00_bglt) BgL_oz00_1977);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11091, BgL_arg3281z00_1981);
				}}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v2367z00_1982;

					BgL_v2367z00_1982 = STRUCT_REF(BgL_sz00_1978, (int) (((long) 1)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1977)))->BgL_varsz00) =
						((obj_t) BgL_v2367z00_1982), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v2371z00_1983;

					BgL_v2371z00_1983 = STRUCT_REF(BgL_sz00_1978, (int) (((long) 2)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1977)))->BgL_valsz00) =
						((obj_t) BgL_v2371z00_1983), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_exprz00_bglt BgL_v2375z00_1984;

					BgL_v2375z00_1984 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1978, (int) (((long) 3))));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1977)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2375z00_1984), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v2379z00_1985;

					BgL_v2379z00_1985 = STRUCT_REF(BgL_sz00_1978, (int) (((long) 4)));
					((((BgL_ev_letz00_bglt) CREF(
									((obj_t) BgL_oz00_1977)))->BgL_boxesz00) =
						((obj_t) BgL_v2379z00_1985), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1977);
			}
		}
	}



/* &object->struct-ev_le2823 */
	obj_t BGl_z62objectzd2ze3structzd2ev_le2823z81zz__evaluate_typesz00(obj_t
		BgL_envz00_4996, BgL_ev_letz00_bglt BgL_obj2363z00_4997)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				BgL_ev_letz00_bglt BgL_obj2363z00_1968;

				BgL_obj2363z00_1968 = BgL_obj2363z00_4997;
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_res2364z00_1971;

					BgL_res2364z00_1971 =
						make_struct(BGl_symbol4205z00zz__evaluate_typesz00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 96 */
						int BgL_auxz00_11114;

						BgL_auxz00_11114 = (int) (((long) 0));
						STRUCT_SET(BgL_res2364z00_1971, BgL_auxz00_11114, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 96 */
						obj_t BgL_arg3277z00_1972;

						{	/* Eval/evaluate_types.scm 96 */
							BgL_ev_binderz00_bglt BgL_obj2293z00_3641;

							BgL_obj2293z00_3641 =
								((BgL_ev_binderz00_bglt) BgL_obj2363z00_1968);
							BgL_arg3277z00_1972 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2293z00_3641)))->BgL_varsz00);
						}
						{	/* Eval/evaluate_types.scm 96 */
							int BgL_auxz00_11120;

							BgL_auxz00_11120 = (int) (((long) 1));
							STRUCT_SET(BgL_res2364z00_1971, BgL_auxz00_11120,
								BgL_arg3277z00_1972);
					}}
					{	/* Eval/evaluate_types.scm 96 */
						obj_t BgL_arg3278z00_1973;

						{	/* Eval/evaluate_types.scm 96 */
							BgL_ev_binderz00_bglt BgL_obj2296z00_3645;

							BgL_obj2296z00_3645 =
								((BgL_ev_binderz00_bglt) BgL_obj2363z00_1968);
							BgL_arg3278z00_1973 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2296z00_3645)))->BgL_valsz00);
						}
						{	/* Eval/evaluate_types.scm 96 */
							int BgL_auxz00_11126;

							BgL_auxz00_11126 = (int) (((long) 2));
							STRUCT_SET(BgL_res2364z00_1971, BgL_auxz00_11126,
								BgL_arg3278z00_1973);
					}}
					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_exprz00_bglt BgL_arg3279z00_1974;

						{	/* Eval/evaluate_types.scm 96 */
							BgL_ev_binderz00_bglt BgL_obj2299z00_3649;

							BgL_obj2299z00_3649 =
								((BgL_ev_binderz00_bglt) BgL_obj2363z00_1968);
							BgL_arg3279z00_1974 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2299z00_3649)))->BgL_bodyz00);
						}
						{	/* Eval/evaluate_types.scm 96 */
							obj_t BgL_oz00_3652;

							BgL_oz00_3652 = ((obj_t) BgL_arg3279z00_1974);
							{	/* Eval/evaluate_types.scm 96 */
								int BgL_auxz00_11133;

								BgL_auxz00_11133 = (int) (((long) 3));
								STRUCT_SET(BgL_res2364z00_1971, BgL_auxz00_11133,
									BgL_oz00_3652);
					}}}
					{	/* Eval/evaluate_types.scm 96 */
						obj_t BgL_arg3280z00_1975;

						BgL_arg3280z00_1975 =
							(((BgL_ev_letz00_bglt) CREF(
									((obj_t) BgL_obj2363z00_1968)))->BgL_boxesz00);
						{	/* Eval/evaluate_types.scm 96 */
							int BgL_auxz00_11138;

							BgL_auxz00_11138 = (int) (((long) 4));
							STRUCT_SET(BgL_res2364z00_1971, BgL_auxz00_11138,
								BgL_arg3280z00_1975);
					}}
					return BgL_res2364z00_1971;
				}
			}
		}
	}



/* &struct+object->objec2821 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2821ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_4998, BgL_ev_letza2za2_bglt BgL_oz00_4999, obj_t BgL_sz00_5000)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				BgL_ev_letza2za2_bglt BgL_oz00_1958;
				obj_t BgL_sz00_1959;

				BgL_oz00_1958 = BgL_oz00_4999;
				BgL_sz00_1959 = BgL_sz00_5000;
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_arg3276z00_1962;

					BgL_arg3276z00_1962 = STRUCT_REF(BgL_sz00_1959, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 98 */
						BgL_objectz00_bglt BgL_auxz00_11143;

						BgL_auxz00_11143 = ((BgL_objectz00_bglt) BgL_oz00_1958);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11143, BgL_arg3276z00_1962);
				}}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v2416z00_1963;

					BgL_v2416z00_1963 = STRUCT_REF(BgL_sz00_1959, (int) (((long) 1)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1958)))->BgL_varsz00) =
						((obj_t) BgL_v2416z00_1963), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v2420z00_1964;

					BgL_v2420z00_1964 = STRUCT_REF(BgL_sz00_1959, (int) (((long) 2)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1958)))->BgL_valsz00) =
						((obj_t) BgL_v2420z00_1964), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_exprz00_bglt BgL_v2424z00_1965;

					BgL_v2424z00_1965 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1959, (int) (((long) 3))));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1958)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2424z00_1965), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v2428z00_1966;

					BgL_v2428z00_1966 = STRUCT_REF(BgL_sz00_1959, (int) (((long) 4)));
					((((BgL_ev_letza2za2_bglt) CREF(
									((obj_t) BgL_oz00_1958)))->BgL_boxesz00) =
						((obj_t) BgL_v2428z00_1966), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1958);
			}
		}
	}



/* &object->struct-ev_le2819 */
	obj_t BGl_z62objectzd2ze3structzd2ev_le2819z81zz__evaluate_typesz00(obj_t
		BgL_envz00_5001, BgL_ev_letza2za2_bglt BgL_obj2412z00_5002)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				BgL_ev_letza2za2_bglt BgL_obj2412z00_1949;

				BgL_obj2412z00_1949 = BgL_obj2412z00_5002;
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_res2413z00_1952;

					BgL_res2413z00_1952 =
						make_struct(BGl_symbol4207z00zz__evaluate_typesz00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 98 */
						int BgL_auxz00_11166;

						BgL_auxz00_11166 = (int) (((long) 0));
						STRUCT_SET(BgL_res2413z00_1952, BgL_auxz00_11166, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 98 */
						obj_t BgL_arg3272z00_1953;

						{	/* Eval/evaluate_types.scm 98 */
							BgL_ev_binderz00_bglt BgL_obj2293z00_3608;

							BgL_obj2293z00_3608 =
								((BgL_ev_binderz00_bglt) BgL_obj2412z00_1949);
							BgL_arg3272z00_1953 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2293z00_3608)))->BgL_varsz00);
						}
						{	/* Eval/evaluate_types.scm 98 */
							int BgL_auxz00_11172;

							BgL_auxz00_11172 = (int) (((long) 1));
							STRUCT_SET(BgL_res2413z00_1952, BgL_auxz00_11172,
								BgL_arg3272z00_1953);
					}}
					{	/* Eval/evaluate_types.scm 98 */
						obj_t BgL_arg3273z00_1954;

						{	/* Eval/evaluate_types.scm 98 */
							BgL_ev_binderz00_bglt BgL_obj2296z00_3612;

							BgL_obj2296z00_3612 =
								((BgL_ev_binderz00_bglt) BgL_obj2412z00_1949);
							BgL_arg3273z00_1954 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2296z00_3612)))->BgL_valsz00);
						}
						{	/* Eval/evaluate_types.scm 98 */
							int BgL_auxz00_11178;

							BgL_auxz00_11178 = (int) (((long) 2));
							STRUCT_SET(BgL_res2413z00_1952, BgL_auxz00_11178,
								BgL_arg3273z00_1954);
					}}
					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_exprz00_bglt BgL_arg3274z00_1955;

						{	/* Eval/evaluate_types.scm 98 */
							BgL_ev_binderz00_bglt BgL_obj2299z00_3616;

							BgL_obj2299z00_3616 =
								((BgL_ev_binderz00_bglt) BgL_obj2412z00_1949);
							BgL_arg3274z00_1955 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2299z00_3616)))->BgL_bodyz00);
						}
						{	/* Eval/evaluate_types.scm 98 */
							obj_t BgL_oz00_3619;

							BgL_oz00_3619 = ((obj_t) BgL_arg3274z00_1955);
							{	/* Eval/evaluate_types.scm 98 */
								int BgL_auxz00_11185;

								BgL_auxz00_11185 = (int) (((long) 3));
								STRUCT_SET(BgL_res2413z00_1952, BgL_auxz00_11185,
									BgL_oz00_3619);
					}}}
					{	/* Eval/evaluate_types.scm 98 */
						obj_t BgL_arg3275z00_1956;

						BgL_arg3275z00_1956 =
							(((BgL_ev_letza2za2_bglt) CREF(
									((obj_t) BgL_obj2412z00_1949)))->BgL_boxesz00);
						{	/* Eval/evaluate_types.scm 98 */
							int BgL_auxz00_11190;

							BgL_auxz00_11190 = (int) (((long) 4));
							STRUCT_SET(BgL_res2413z00_1952, BgL_auxz00_11190,
								BgL_arg3275z00_1956);
					}}
					return BgL_res2413z00_1952;
				}
			}
		}
	}



/* &struct+object->objec2817 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2817ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_5003, BgL_ev_letrecz00_bglt BgL_oz00_5004, obj_t BgL_sz00_5005)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				BgL_ev_letrecz00_bglt BgL_oz00_1940;
				obj_t BgL_sz00_1941;

				BgL_oz00_1940 = BgL_oz00_5004;
				BgL_sz00_1941 = BgL_sz00_5005;
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_arg3271z00_1944;

					BgL_arg3271z00_1944 = STRUCT_REF(BgL_sz00_1941, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 100 */
						BgL_objectz00_bglt BgL_auxz00_11195;

						BgL_auxz00_11195 = ((BgL_objectz00_bglt) BgL_oz00_1940);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11195, BgL_arg3271z00_1944);
				}}
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v2459z00_1945;

					BgL_v2459z00_1945 = STRUCT_REF(BgL_sz00_1941, (int) (((long) 1)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1940)))->BgL_varsz00) =
						((obj_t) BgL_v2459z00_1945), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v2463z00_1946;

					BgL_v2463z00_1946 = STRUCT_REF(BgL_sz00_1941, (int) (((long) 2)));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1940)))->BgL_valsz00) =
						((obj_t) BgL_v2463z00_1946), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_exprz00_bglt BgL_v2467z00_1947;

					BgL_v2467z00_1947 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1941, (int) (((long) 3))));
					((((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_oz00_1940)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2467z00_1947), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1940);
			}
		}
	}



/* &object->struct-ev_le2815 */
	obj_t BGl_z62objectzd2ze3structzd2ev_le2815z81zz__evaluate_typesz00(obj_t
		BgL_envz00_5006, BgL_ev_letrecz00_bglt BgL_obj2455z00_5007)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				BgL_ev_letrecz00_bglt BgL_obj2455z00_1932;

				BgL_obj2455z00_1932 = BgL_obj2455z00_5007;
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_res2456z00_1935;

					BgL_res2456z00_1935 =
						make_struct(BGl_symbol4209z00zz__evaluate_typesz00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 100 */
						int BgL_auxz00_11214;

						BgL_auxz00_11214 = (int) (((long) 0));
						STRUCT_SET(BgL_res2456z00_1935, BgL_auxz00_11214, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 100 */
						obj_t BgL_arg3268z00_1936;

						{	/* Eval/evaluate_types.scm 100 */
							BgL_ev_binderz00_bglt BgL_obj2293z00_3581;

							BgL_obj2293z00_3581 =
								((BgL_ev_binderz00_bglt) BgL_obj2455z00_1932);
							BgL_arg3268z00_1936 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2293z00_3581)))->BgL_varsz00);
						}
						{	/* Eval/evaluate_types.scm 100 */
							int BgL_auxz00_11220;

							BgL_auxz00_11220 = (int) (((long) 1));
							STRUCT_SET(BgL_res2456z00_1935, BgL_auxz00_11220,
								BgL_arg3268z00_1936);
					}}
					{	/* Eval/evaluate_types.scm 100 */
						obj_t BgL_arg3269z00_1937;

						{	/* Eval/evaluate_types.scm 100 */
							BgL_ev_binderz00_bglt BgL_obj2296z00_3585;

							BgL_obj2296z00_3585 =
								((BgL_ev_binderz00_bglt) BgL_obj2455z00_1932);
							BgL_arg3269z00_1937 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2296z00_3585)))->BgL_valsz00);
						}
						{	/* Eval/evaluate_types.scm 100 */
							int BgL_auxz00_11226;

							BgL_auxz00_11226 = (int) (((long) 2));
							STRUCT_SET(BgL_res2456z00_1935, BgL_auxz00_11226,
								BgL_arg3269z00_1937);
					}}
					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg3270z00_1938;

						{	/* Eval/evaluate_types.scm 100 */
							BgL_ev_binderz00_bglt BgL_obj2299z00_3589;

							BgL_obj2299z00_3589 =
								((BgL_ev_binderz00_bglt) BgL_obj2455z00_1932);
							BgL_arg3270z00_1938 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2299z00_3589)))->BgL_bodyz00);
						}
						{	/* Eval/evaluate_types.scm 100 */
							obj_t BgL_oz00_3592;

							BgL_oz00_3592 = ((obj_t) BgL_arg3270z00_1938);
							{	/* Eval/evaluate_types.scm 100 */
								int BgL_auxz00_11233;

								BgL_auxz00_11233 = (int) (((long) 3));
								STRUCT_SET(BgL_res2456z00_1935, BgL_auxz00_11233,
									BgL_oz00_3592);
					}}}
					return BgL_res2456z00_1935;
				}
			}
		}
	}



/* &struct+object->objec2813 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2813ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_5008, BgL_ev_labelsz00_bglt BgL_oz00_5009, obj_t BgL_sz00_5010)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_labelsz00_bglt BgL_oz00_1920;
				obj_t BgL_sz00_1921;

				BgL_oz00_1920 = BgL_oz00_5009;
				BgL_sz00_1921 = BgL_sz00_5010;
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_arg3267z00_1924;

					BgL_arg3267z00_1924 = STRUCT_REF(BgL_sz00_1921, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_11238;

						BgL_auxz00_11238 = ((BgL_objectz00_bglt) BgL_oz00_1920);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11238, BgL_arg3267z00_1924);
				}}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v2516z00_1925;

					BgL_v2516z00_1925 = STRUCT_REF(BgL_sz00_1921, (int) (((long) 1)));
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_oz00_1920)))->BgL_varsz00) =
						((obj_t) BgL_v2516z00_1925), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v2520z00_1926;

					BgL_v2520z00_1926 = STRUCT_REF(BgL_sz00_1921, (int) (((long) 2)));
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_oz00_1920)))->BgL_valsz00) =
						((obj_t) BgL_v2520z00_1926), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v2524z00_1927;

					BgL_v2524z00_1927 = STRUCT_REF(BgL_sz00_1921, (int) (((long) 3)));
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_oz00_1920)))->BgL_envz00) =
						((obj_t) BgL_v2524z00_1927), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v2528z00_1928;

					BgL_v2528z00_1928 = STRUCT_REF(BgL_sz00_1921, (int) (((long) 4)));
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_oz00_1920)))->BgL_stkz00) =
						((obj_t) BgL_v2528z00_1928), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_exprz00_bglt BgL_v2532z00_1929;

					BgL_v2532z00_1929 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1921, (int) (((long) 5))));
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_oz00_1920)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2532z00_1929), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v2536z00_1930;

					BgL_v2536z00_1930 = STRUCT_REF(BgL_sz00_1921, (int) (((long) 6)));
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_oz00_1920)))->BgL_boxesz00) =
						((obj_t) BgL_v2536z00_1930), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1920);
			}
		}
	}



/* &object->struct-ev_la2811 */
	obj_t BGl_z62objectzd2ze3structzd2ev_la2811z81zz__evaluate_typesz00(obj_t
		BgL_envz00_5011, BgL_ev_labelsz00_bglt BgL_obj2512z00_5012)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_labelsz00_bglt BgL_obj2512z00_1909;

				BgL_obj2512z00_1909 = BgL_obj2512z00_5012;
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_res2513z00_1912;

					BgL_res2513z00_1912 =
						make_struct(BGl_symbol4215z00zz__evaluate_typesz00,
						(int) (((long) 7)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 101 */
						int BgL_auxz00_11269;

						BgL_auxz00_11269 = (int) (((long) 0));
						STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11269, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3261z00_1913;

						BgL_arg3261z00_1913 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2512z00_1909)))->BgL_varsz00);
						{	/* Eval/evaluate_types.scm 101 */
							int BgL_auxz00_11274;

							BgL_auxz00_11274 = (int) (((long) 1));
							STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11274,
								BgL_arg3261z00_1913);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3262z00_1914;

						BgL_arg3262z00_1914 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2512z00_1909)))->BgL_valsz00);
						{	/* Eval/evaluate_types.scm 101 */
							int BgL_auxz00_11279;

							BgL_auxz00_11279 = (int) (((long) 2));
							STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11279,
								BgL_arg3262z00_1914);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3263z00_1915;

						BgL_arg3263z00_1915 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2512z00_1909)))->BgL_envz00);
						{	/* Eval/evaluate_types.scm 101 */
							int BgL_auxz00_11284;

							BgL_auxz00_11284 = (int) (((long) 3));
							STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11284,
								BgL_arg3263z00_1915);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3264z00_1916;

						BgL_arg3264z00_1916 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2512z00_1909)))->BgL_stkz00);
						{	/* Eval/evaluate_types.scm 101 */
							int BgL_auxz00_11289;

							BgL_auxz00_11289 = (int) (((long) 4));
							STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11289,
								BgL_arg3264z00_1916);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_exprz00_bglt BgL_arg3265z00_1917;

						BgL_arg3265z00_1917 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2512z00_1909)))->BgL_bodyz00);
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL_oz00_3555;

							BgL_oz00_3555 = ((obj_t) BgL_arg3265z00_1917);
							{	/* Eval/evaluate_types.scm 101 */
								int BgL_auxz00_11295;

								BgL_auxz00_11295 = (int) (((long) 5));
								STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11295,
									BgL_oz00_3555);
					}}}
					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_arg3266z00_1918;

						BgL_arg3266z00_1918 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2512z00_1909)))->BgL_boxesz00);
						{	/* Eval/evaluate_types.scm 101 */
							int BgL_auxz00_11300;

							BgL_auxz00_11300 = (int) (((long) 6));
							STRUCT_SET(BgL_res2513z00_1912, BgL_auxz00_11300,
								BgL_arg3266z00_1918);
					}}
					return BgL_res2513z00_1912;
				}
			}
		}
	}



/* &struct+object->objec2809 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2809ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_5013, BgL_ev_gotoz00_bglt BgL_oz00_5014, obj_t BgL_sz00_5015)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				BgL_ev_gotoz00_bglt BgL_oz00_1899;
				obj_t BgL_sz00_1900;

				BgL_oz00_1899 = BgL_oz00_5014;
				BgL_sz00_1900 = BgL_sz00_5015;
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_arg3260z00_1903;

					BgL_arg3260z00_1903 = STRUCT_REF(BgL_sz00_1900, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 109 */
						BgL_objectz00_bglt BgL_auxz00_11305;

						BgL_auxz00_11305 = ((BgL_objectz00_bglt) BgL_oz00_1899);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11305, BgL_arg3260z00_1903);
				}}
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v2571z00_1904;

					BgL_v2571z00_1904 = STRUCT_REF(BgL_sz00_1900, (int) (((long) 1)));
					((((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_oz00_1899)))->BgL_locz00) =
						((obj_t) BgL_v2571z00_1904), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_varz00_bglt BgL_v2575z00_1905;

					BgL_v2575z00_1905 =
						((BgL_ev_varz00_bglt)
						STRUCT_REF(BgL_sz00_1900, (int) (((long) 2))));
					((((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_oz00_1899)))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_v2575z00_1905), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_labelsz00_bglt BgL_v2579z00_1906;

					BgL_v2579z00_1906 =
						((BgL_ev_labelsz00_bglt)
						STRUCT_REF(BgL_sz00_1900, (int) (((long) 3))));
					((((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_oz00_1899)))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_v2579z00_1906), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v2583z00_1907;

					BgL_v2583z00_1907 = STRUCT_REF(BgL_sz00_1900, (int) (((long) 4)));
					((((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_oz00_1899)))->BgL_argsz00) =
						((obj_t) BgL_v2583z00_1907), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1899);
			}
		}
	}



/* &object->struct-ev_go2807 */
	obj_t BGl_z62objectzd2ze3structzd2ev_go2807z81zz__evaluate_typesz00(obj_t
		BgL_envz00_5016, BgL_ev_gotoz00_bglt BgL_obj2567z00_5017)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				BgL_ev_gotoz00_bglt BgL_obj2567z00_1890;

				BgL_obj2567z00_1890 = BgL_obj2567z00_5017;
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_res2568z00_1893;

					BgL_res2568z00_1893 =
						make_struct(BGl_symbol4221z00zz__evaluate_typesz00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 109 */
						int BgL_auxz00_11329;

						BgL_auxz00_11329 = (int) (((long) 0));
						STRUCT_SET(BgL_res2568z00_1893, BgL_auxz00_11329, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_arg3256z00_1894;

						BgL_arg3256z00_1894 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_obj2567z00_1890)))->BgL_locz00);
						{	/* Eval/evaluate_types.scm 109 */
							int BgL_auxz00_11334;

							BgL_auxz00_11334 = (int) (((long) 1));
							STRUCT_SET(BgL_res2568z00_1893, BgL_auxz00_11334,
								BgL_arg3256z00_1894);
					}}
					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_varz00_bglt BgL_arg3257z00_1895;

						BgL_arg3257z00_1895 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_obj2567z00_1890)))->BgL_labelz00);
						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL_oz00_3510;

							BgL_oz00_3510 = ((obj_t) BgL_arg3257z00_1895);
							{	/* Eval/evaluate_types.scm 109 */
								int BgL_auxz00_11340;

								BgL_auxz00_11340 = (int) (((long) 2));
								STRUCT_SET(BgL_res2568z00_1893, BgL_auxz00_11340,
									BgL_oz00_3510);
					}}}
					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_labelsz00_bglt BgL_arg3258z00_1896;

						BgL_arg3258z00_1896 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_obj2567z00_1890)))->BgL_labelsz00);
						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL_oz00_3514;

							BgL_oz00_3514 = ((obj_t) BgL_arg3258z00_1896);
							{	/* Eval/evaluate_types.scm 109 */
								int BgL_auxz00_11346;

								BgL_auxz00_11346 = (int) (((long) 3));
								STRUCT_SET(BgL_res2568z00_1893, BgL_auxz00_11346,
									BgL_oz00_3514);
					}}}
					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_arg3259z00_1897;

						BgL_arg3259z00_1897 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_obj2567z00_1890)))->BgL_argsz00);
						{	/* Eval/evaluate_types.scm 109 */
							int BgL_auxz00_11351;

							BgL_auxz00_11351 = (int) (((long) 4));
							STRUCT_SET(BgL_res2568z00_1893, BgL_auxz00_11351,
								BgL_arg3259z00_1897);
					}}
					return BgL_res2568z00_1893;
				}
			}
		}
	}



/* &struct+object->objec2805 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2805ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_5018, BgL_ev_appz00_bglt BgL_oz00_5019, obj_t BgL_sz00_5020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_appz00_bglt BgL_oz00_1880;
				obj_t BgL_sz00_1881;

				BgL_oz00_1880 = BgL_oz00_5019;
				BgL_sz00_1881 = BgL_sz00_5020;
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_arg3255z00_1884;

					BgL_arg3255z00_1884 = STRUCT_REF(BgL_sz00_1881, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_11356;

						BgL_auxz00_11356 = ((BgL_objectz00_bglt) BgL_oz00_1880);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11356, BgL_arg3255z00_1884);
				}}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v2618z00_1885;

					BgL_v2618z00_1885 = STRUCT_REF(BgL_sz00_1881, (int) (((long) 1)));
					((((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_oz00_1880)))->BgL_locz00) =
						((obj_t) BgL_v2618z00_1885), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_exprz00_bglt BgL_v2622z00_1886;

					BgL_v2622z00_1886 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1881, (int) (((long) 2))));
					((((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_oz00_1880)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_v2622z00_1886), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v2626z00_1887;

					BgL_v2626z00_1887 = STRUCT_REF(BgL_sz00_1881, (int) (((long) 3)));
					((((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_oz00_1880)))->BgL_argsz00) =
						((obj_t) BgL_v2626z00_1887), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v2630z00_1888;

					BgL_v2630z00_1888 = STRUCT_REF(BgL_sz00_1881, (int) (((long) 4)));
					((((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_oz00_1880)))->BgL_tailzf3zf3) =
						((obj_t) BgL_v2630z00_1888), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1880);
			}
		}
	}



/* &object->struct-ev_ap2803 */
	obj_t BGl_z62objectzd2ze3structzd2ev_ap2803z81zz__evaluate_typesz00(obj_t
		BgL_envz00_5021, BgL_ev_appz00_bglt BgL_obj2614z00_5022)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_appz00_bglt BgL_obj2614z00_1871;

				BgL_obj2614z00_1871 = BgL_obj2614z00_5022;
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_res2615z00_1874;

					BgL_res2615z00_1874 =
						make_struct(BGl_symbol4227z00zz__evaluate_typesz00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 114 */
						int BgL_auxz00_11379;

						BgL_auxz00_11379 = (int) (((long) 0));
						STRUCT_SET(BgL_res2615z00_1874, BgL_auxz00_11379, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3251z00_1875;

						BgL_arg3251z00_1875 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_obj2614z00_1871)))->BgL_locz00);
						{	/* Eval/evaluate_types.scm 114 */
							int BgL_auxz00_11384;

							BgL_auxz00_11384 = (int) (((long) 1));
							STRUCT_SET(BgL_res2615z00_1874, BgL_auxz00_11384,
								BgL_arg3251z00_1875);
					}}
					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_exprz00_bglt BgL_arg3252z00_1876;

						BgL_arg3252z00_1876 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_obj2614z00_1871)))->BgL_funz00);
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_oz00_3477;

							BgL_oz00_3477 = ((obj_t) BgL_arg3252z00_1876);
							{	/* Eval/evaluate_types.scm 114 */
								int BgL_auxz00_11390;

								BgL_auxz00_11390 = (int) (((long) 2));
								STRUCT_SET(BgL_res2615z00_1874, BgL_auxz00_11390,
									BgL_oz00_3477);
					}}}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3253z00_1877;

						BgL_arg3253z00_1877 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_obj2614z00_1871)))->BgL_argsz00);
						{	/* Eval/evaluate_types.scm 114 */
							int BgL_auxz00_11395;

							BgL_auxz00_11395 = (int) (((long) 3));
							STRUCT_SET(BgL_res2615z00_1874, BgL_auxz00_11395,
								BgL_arg3253z00_1877);
					}}
					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_arg3254z00_1878;

						BgL_arg3254z00_1878 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_obj2614z00_1871)))->BgL_tailzf3zf3);
						{	/* Eval/evaluate_types.scm 114 */
							int BgL_auxz00_11400;

							BgL_auxz00_11400 = (int) (((long) 4));
							STRUCT_SET(BgL_res2615z00_1874, BgL_auxz00_11400,
								BgL_arg3254z00_1878);
					}}
					return BgL_res2615z00_1874;
				}
			}
		}
	}



/* &struct+object->objec2801 */
	BgL_objectz00_bglt
		BGl_z62structzb2objectzd2ze3objec2801ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_5023, BgL_ev_absz00_bglt BgL_oz00_5024, obj_t BgL_sz00_5025)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				BgL_ev_absz00_bglt BgL_oz00_1855;
				obj_t BgL_sz00_1856;

				BgL_oz00_1855 = BgL_oz00_5024;
				BgL_sz00_1856 = BgL_sz00_5025;
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_arg3250z00_1859;

					BgL_arg3250z00_1859 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 0)));
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_auxz00_11405;

						BgL_auxz00_11405 = ((BgL_objectz00_bglt) BgL_oz00_1855);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11405, BgL_arg3250z00_1859);
				}}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2697z00_1860;

					BgL_v2697z00_1860 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 1)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_locz00) =
						((obj_t) BgL_v2697z00_1860), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2701z00_1861;

					BgL_v2701z00_1861 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 2)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_wherez00) =
						((obj_t) BgL_v2701z00_1861), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2705z00_1862;

					BgL_v2705z00_1862 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 3)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_arityz00) =
						((obj_t) BgL_v2705z00_1862), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2709z00_1863;

					BgL_v2709z00_1863 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 4)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_varsz00) =
						((obj_t) BgL_v2709z00_1863), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_exprz00_bglt BgL_v2713z00_1864;

					BgL_v2713z00_1864 =
						((BgL_ev_exprz00_bglt)
						STRUCT_REF(BgL_sz00_1856, (int) (((long) 5))));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_v2713z00_1864), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					int BgL_v2717z00_1865;

					BgL_v2717z00_1865 =
						CINT(STRUCT_REF(BgL_sz00_1856, (int) (((long) 6))));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_siza7eza7) =
						((int) BgL_v2717z00_1865), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2721z00_1866;

					BgL_v2721z00_1866 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 7)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_bindz00) =
						((obj_t) BgL_v2721z00_1866), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2725z00_1867;

					BgL_v2725z00_1867 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 8)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_freez00) =
						((obj_t) BgL_v2725z00_1867), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2729z00_1868;

					BgL_v2729z00_1868 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 9)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_innerz00) =
						((obj_t) BgL_v2729z00_1868), BUNSPEC);
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v2733z00_1869;

					BgL_v2733z00_1869 = STRUCT_REF(BgL_sz00_1856, (int) (((long) 10)));
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_oz00_1855)))->BgL_boxesz00) =
						((obj_t) BgL_v2733z00_1869), BUNSPEC);
				}
				return ((BgL_objectz00_bglt) BgL_oz00_1855);
			}
		}
	}



/* &object->struct-ev_ab2799 */
	obj_t BGl_z62objectzd2ze3structzd2ev_ab2799z81zz__evaluate_typesz00(obj_t
		BgL_envz00_5026, BgL_ev_absz00_bglt BgL_obj2693z00_5027)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				BgL_ev_absz00_bglt BgL_obj2693z00_1840;

				BgL_obj2693z00_1840 = BgL_obj2693z00_5027;
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_res2694z00_1843;

					BgL_res2694z00_1843 =
						make_struct(BGl_symbol4241z00zz__evaluate_typesz00,
						(int) (((long) 11)), BUNSPEC);
					{	/* Eval/evaluate_types.scm 117 */
						int BgL_auxz00_11453;

						BgL_auxz00_11453 = (int) (((long) 0));
						STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11453, BFALSE);
					}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3240z00_1844;

						BgL_arg3240z00_1844 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_locz00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11458;

							BgL_auxz00_11458 = (int) (((long) 1));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11458,
								BgL_arg3240z00_1844);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3241z00_1845;

						BgL_arg3241z00_1845 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_wherez00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11463;

							BgL_auxz00_11463 = (int) (((long) 2));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11463,
								BgL_arg3241z00_1845);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3242z00_1846;

						BgL_arg3242z00_1846 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_arityz00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11468;

							BgL_auxz00_11468 = (int) (((long) 3));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11468,
								BgL_arg3242z00_1846);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3243z00_1847;

						BgL_arg3243z00_1847 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_varsz00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11473;

							BgL_auxz00_11473 = (int) (((long) 4));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11473,
								BgL_arg3243z00_1847);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_exprz00_bglt BgL_arg3244z00_1848;

						BgL_arg3244z00_1848 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_bodyz00);
						{	/* Eval/evaluate_types.scm 117 */
							obj_t BgL_oz00_3420;

							BgL_oz00_3420 = ((obj_t) BgL_arg3244z00_1848);
							{	/* Eval/evaluate_types.scm 117 */
								int BgL_auxz00_11479;

								BgL_auxz00_11479 = (int) (((long) 5));
								STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11479,
									BgL_oz00_3420);
					}}}
					{	/* Eval/evaluate_types.scm 117 */
						int BgL_arg3245z00_1849;

						BgL_arg3245z00_1849 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_siza7eza7);
						{	/* Eval/evaluate_types.scm 117 */
							obj_t BgL_auxz00_11486;
							int BgL_auxz00_11484;

							BgL_auxz00_11486 = BINT(BgL_arg3245z00_1849);
							BgL_auxz00_11484 = (int) (((long) 6));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11484,
								BgL_auxz00_11486);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3246z00_1850;

						BgL_arg3246z00_1850 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_bindz00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11491;

							BgL_auxz00_11491 = (int) (((long) 7));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11491,
								BgL_arg3246z00_1850);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3247z00_1851;

						BgL_arg3247z00_1851 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_freez00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11496;

							BgL_auxz00_11496 = (int) (((long) 8));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11496,
								BgL_arg3247z00_1851);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3248z00_1852;

						BgL_arg3248z00_1852 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_innerz00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11501;

							BgL_auxz00_11501 = (int) (((long) 9));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11501,
								BgL_arg3248z00_1852);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_arg3249z00_1853;

						BgL_arg3249z00_1853 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2693z00_1840)))->BgL_boxesz00);
						{	/* Eval/evaluate_types.scm 117 */
							int BgL_auxz00_11506;

							BgL_auxz00_11506 = (int) (((long) 10));
							STRUCT_SET(BgL_res2694z00_1843, BgL_auxz00_11506,
								BgL_arg3249z00_1853);
					}}
					return BgL_res2694z00_1843;
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534),
				BSTRING_TO_STRING(BGl_string4442z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
